-- packages/acs-reference/sql/timezone-rules.sql
--
-- This file is generated automatically based on the Unix timezone
-- database.  It defines each time range during which a particular
-- local-to-UTC conversion rule is in effect.  The rules specification
-- is of the form:
--
-- timezone.add_rule (tz, abbrev, isdst, gmt_offset,
--                    utc_start, utc_end, local_start, local_end)
--
-- where
--
--    tz                is the Unix timezone name
--    abbrev            is an abbreviation for the conversion rule,
--    isdist            is the Daylight Savings Time flag
--    gmt_offset        is the difference between local time and UTC
--    utc_[start,end]   are the UTC times during which the rule applies
--    local_[start,end] are the local times during which this rule applies.
--
-- Note that local times are discontinuous because of DST transitions.
--
-- Rules in general run until 2038.
--
-- @author  Ron Henderson (ron@arsdigita.com)
-- @created 2000-12-04
--
-- $Id: timezone-rules.sql,v 1.1 2000/12/06 08:00:20 ron Exp $

-- Generating data for 521 timezones

--
-- Africa/Abidjan
--

begin
timezone.add_rule('Africa/Abidjan', 'GMT', 0, -968, 'Dec 14 20:45:52 1901', 'Jan 1 00:16:07 1912', 'Dec 14 20:29:44 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Abidjan', 'GMT', 0, 0, 'Jan 1 00:16:08 1912', 'Jan 18 03:14:07 2038', 'Jan 1 00:16:08 1912', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Accra
--

begin
timezone.add_rule('Africa/Accra', 'GMT', 0, -52, 'Dec 14 20:45:52 1901', 'Jan 1 00:00:51 1918', 'Dec 14 20:45:00 1901', 'Dec 31 23:59:59 1917');
timezone.add_rule('Africa/Accra', 'GMT', 0, 0, 'Jan 1 00:00:52 1918', 'Aug 31 23:59:59 1936', 'Jan 1 00:00:52 1918', 'Aug 31 23:59:59 1936');
timezone.add_rule('Africa/Accra', 'GHST', 1, 1200, 'Sep 1 00:00:00 1936', 'Dec 30 23:39:59 1936', 'Sep 1 00:20:00 1936', 'Dec 30 23:59:59 1936');
timezone.add_rule('Africa/Accra', 'GMT', 0, 0, 'Dec 30 23:40:00 1936', 'Aug 31 23:59:59 1937', 'Dec 30 23:40:00 1936', 'Aug 31 23:59:59 1937');
timezone.add_rule('Africa/Accra', 'GHST', 1, 1200, 'Sep 1 00:00:00 1937', 'Dec 30 23:39:59 1937', 'Sep 1 00:20:00 1937', 'Dec 30 23:59:59 1937');
timezone.add_rule('Africa/Accra', 'GMT', 0, 0, 'Dec 30 23:40:00 1937', 'Aug 31 23:59:59 1938', 'Dec 30 23:40:00 1937', 'Aug 31 23:59:59 1938');
timezone.add_rule('Africa/Accra', 'GHST', 1, 1200, 'Sep 1 00:00:00 1938', 'Dec 30 23:39:59 1938', 'Sep 1 00:20:00 1938', 'Dec 30 23:59:59 1938');
timezone.add_rule('Africa/Accra', 'GMT', 0, 0, 'Dec 30 23:40:00 1938', 'Aug 31 23:59:59 1939', 'Dec 30 23:40:00 1938', 'Aug 31 23:59:59 1939');
timezone.add_rule('Africa/Accra', 'GHST', 1, 1200, 'Sep 1 00:00:00 1939', 'Dec 30 23:39:59 1939', 'Sep 1 00:20:00 1939', 'Dec 30 23:59:59 1939');
timezone.add_rule('Africa/Accra', 'GMT', 0, 0, 'Dec 30 23:40:00 1939', 'Aug 31 23:59:59 1940', 'Dec 30 23:40:00 1939', 'Aug 31 23:59:59 1940');
timezone.add_rule('Africa/Accra', 'GHST', 1, 1200, 'Sep 1 00:00:00 1940', 'Dec 30 23:39:59 1940', 'Sep 1 00:20:00 1940', 'Dec 30 23:59:59 1940');
timezone.add_rule('Africa/Accra', 'GMT', 0, 0, 'Dec 30 23:40:00 1940', 'Aug 31 23:59:59 1941', 'Dec 30 23:40:00 1940', 'Aug 31 23:59:59 1941');
timezone.add_rule('Africa/Accra', 'GHST', 1, 1200, 'Sep 1 00:00:00 1941', 'Dec 30 23:39:59 1941', 'Sep 1 00:20:00 1941', 'Dec 30 23:59:59 1941');
timezone.add_rule('Africa/Accra', 'GMT', 0, 0, 'Dec 30 23:40:00 1941', 'Aug 31 23:59:59 1942', 'Dec 30 23:40:00 1941', 'Aug 31 23:59:59 1942');
timezone.add_rule('Africa/Accra', 'GHST', 1, 1200, 'Sep 1 00:00:00 1942', 'Dec 30 23:39:59 1942', 'Sep 1 00:20:00 1942', 'Dec 30 23:59:59 1942');
timezone.add_rule('Africa/Accra', 'GMT', 0, 0, 'Dec 30 23:40:00 1942', 'Jan 18 03:14:07 2038', 'Dec 30 23:40:00 1942', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Addis_Ababa
--

begin
timezone.add_rule('Africa/Addis_Ababa', 'EAT', 0, 9320, 'Dec 14 20:45:52 1901', 'May 4 21:24:39 1936', 'Dec 14 23:21:12 1901', 'May 4 23:59:59 1936');
timezone.add_rule('Africa/Addis_Ababa', 'EAT', 0, 10800, 'May 4 21:24:40 1936', 'Jan 18 03:14:07 2038', 'May 5 00:24:40 1936', 'Jan 18 06:14:07 2038');
end;
/

--
-- Africa/Algiers
--

begin
timezone.add_rule('Africa/Algiers', 'CET', 0, 561, 'Dec 14 20:45:52 1901', 'Mar 10 23:50:38 1911', 'Dec 14 20:55:13 1901', 'Mar 10 23:59:59 1911');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Mar 10 23:50:39 1911', 'Jun 14 22:59:59 1916', 'Mar 10 23:50:39 1911', 'Jun 14 22:59:59 1916');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'Jun 14 23:00:00 1916', 'Oct 1 22:59:59 1916', 'Jun 15 00:00:00 1916', 'Oct 1 23:59:59 1916');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Oct 1 23:00:00 1916', 'Mar 24 22:59:59 1917', 'Oct 1 23:00:00 1916', 'Mar 24 22:59:59 1917');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'Mar 24 23:00:00 1917', 'Oct 7 22:59:59 1917', 'Mar 25 00:00:00 1917', 'Oct 7 23:59:59 1917');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Oct 7 23:00:00 1917', 'Mar 9 22:59:59 1918', 'Oct 7 23:00:00 1917', 'Mar 9 22:59:59 1918');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'Mar 9 23:00:00 1918', 'Oct 6 22:59:59 1918', 'Mar 10 00:00:00 1918', 'Oct 6 23:59:59 1918');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Oct 6 23:00:00 1918', 'Mar 1 22:59:59 1919', 'Oct 6 23:00:00 1918', 'Mar 1 22:59:59 1919');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'Mar 1 23:00:00 1919', 'Oct 5 22:59:59 1919', 'Mar 2 00:00:00 1919', 'Oct 5 23:59:59 1919');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Oct 5 23:00:00 1919', 'Feb 14 22:59:59 1920', 'Oct 5 23:00:00 1919', 'Feb 14 22:59:59 1920');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'Feb 14 23:00:00 1920', 'Oct 23 22:59:59 1920', 'Feb 15 00:00:00 1920', 'Oct 23 23:59:59 1920');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Oct 23 23:00:00 1920', 'Mar 14 22:59:59 1921', 'Oct 23 23:00:00 1920', 'Mar 14 22:59:59 1921');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'Mar 14 23:00:00 1921', 'Jun 21 22:59:59 1921', 'Mar 15 00:00:00 1921', 'Jun 21 23:59:59 1921');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Jun 21 23:00:00 1921', 'Sep 11 22:59:59 1939', 'Jun 21 23:00:00 1921', 'Sep 11 22:59:59 1939');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'Sep 11 23:00:00 1939', 'Nov 18 23:59:59 1939', 'Sep 12 00:00:00 1939', 'Nov 19 00:59:59 1939');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Nov 19 00:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 19 00:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Africa/Algiers', 'CET', 0, 3600, 'Feb 25 02:00:00 1940', 'Apr 3 00:59:59 1944', 'Feb 25 03:00:00 1940', 'Apr 3 01:59:59 1944');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 7 23:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 8 01:59:59 1944');
timezone.add_rule('Africa/Algiers', 'CET', 0, 3600, 'Oct 8 00:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 8 01:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 15 22:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 16 00:59:59 1945');
timezone.add_rule('Africa/Algiers', 'CET', 0, 3600, 'Sep 15 23:00:00 1945', 'Oct 6 22:59:59 1946', 'Sep 16 00:00:00 1945', 'Oct 6 23:59:59 1946');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Oct 6 23:00:00 1946', 'Jan 28 23:59:59 1956', 'Oct 6 23:00:00 1946', 'Jan 28 23:59:59 1956');
timezone.add_rule('Africa/Algiers', 'CET', 0, 3600, 'Jan 29 00:00:00 1956', 'Apr 13 22:59:59 1963', 'Jan 29 01:00:00 1956', 'Apr 13 23:59:59 1963');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Apr 13 23:00:00 1963', 'Apr 25 22:59:59 1971', 'Apr 13 23:00:00 1963', 'Apr 25 22:59:59 1971');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'Apr 25 23:00:00 1971', 'Sep 26 22:59:59 1971', 'Apr 26 00:00:00 1971', 'Sep 26 23:59:59 1971');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Sep 26 23:00:00 1971', 'May 5 23:59:59 1977', 'Sep 26 23:00:00 1971', 'May 5 23:59:59 1977');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'May 6 00:00:00 1977', 'Oct 20 22:59:59 1977', 'May 6 01:00:00 1977', 'Oct 20 23:59:59 1977');
timezone.add_rule('Africa/Algiers', 'CET', 0, 3600, 'Oct 20 23:00:00 1977', 'Mar 23 23:59:59 1978', 'Oct 21 00:00:00 1977', 'Mar 24 00:59:59 1978');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 7200, 'Mar 24 00:00:00 1978', 'Sep 22 00:59:59 1978', 'Mar 24 02:00:00 1978', 'Sep 22 02:59:59 1978');
timezone.add_rule('Africa/Algiers', 'CET', 0, 3600, 'Sep 22 01:00:00 1978', 'Oct 25 22:59:59 1979', 'Sep 22 02:00:00 1978', 'Oct 25 23:59:59 1979');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Oct 25 23:00:00 1979', 'Apr 24 23:59:59 1980', 'Oct 25 23:00:00 1979', 'Apr 24 23:59:59 1980');
timezone.add_rule('Africa/Algiers', 'WEST', 1, 3600, 'Apr 25 00:00:00 1980', 'Oct 31 00:59:59 1980', 'Apr 25 01:00:00 1980', 'Oct 31 01:59:59 1980');
timezone.add_rule('Africa/Algiers', 'CET', 0, 0, 'Oct 31 01:00:00 1980', 'Apr 30 23:59:59 1981', 'Oct 31 01:00:00 1980', 'Apr 30 23:59:59 1981');
timezone.add_rule('Africa/Algiers', 'CET', 0, 3600, 'May 1 00:00:00 1981', 'Jan 18 03:14:07 2038', 'May 1 01:00:00 1981', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Asmera
--

begin
timezone.add_rule('Africa/Asmera', 'EAT', 0, 9320, 'Dec 14 20:45:52 1901', 'May 4 21:24:39 1936', 'Dec 14 23:21:12 1901', 'May 4 23:59:59 1936');
timezone.add_rule('Africa/Asmera', 'EAT', 0, 10800, 'May 4 21:24:40 1936', 'Jan 18 03:14:07 2038', 'May 5 00:24:40 1936', 'Jan 18 06:14:07 2038');
end;
/

--
-- Africa/Bamako
--

begin
timezone.add_rule('Africa/Bamako', 'GMT', 0, -1920, 'Dec 14 20:45:52 1901', 'Jan 1 00:31:59 1912', 'Dec 14 20:13:52 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Bamako', 'GMT', 0, 0, 'Jan 1 00:32:00 1912', 'Feb 25 23:59:59 1934', 'Jan 1 00:32:00 1912', 'Feb 25 23:59:59 1934');
timezone.add_rule('Africa/Bamako', 'GMT', 0, -3600, 'Feb 26 00:00:00 1934', 'Jun 20 00:59:59 1960', 'Feb 25 23:00:00 1934', 'Jun 19 23:59:59 1960');
timezone.add_rule('Africa/Bamako', 'GMT', 0, 0, 'Jun 20 01:00:00 1960', 'Jan 18 03:14:07 2038', 'Jun 20 01:00:00 1960', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Bangui
--

begin
timezone.add_rule('Africa/Bangui', 'WAT', 0, 4460, 'Dec 14 20:45:52 1901', 'Dec 31 22:45:39 1911', 'Dec 14 22:00:12 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Bangui', 'WAT', 0, 3600, 'Dec 31 22:45:40 1911', 'Jan 18 03:14:07 2038', 'Dec 31 23:45:40 1911', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Banjul
--

begin
timezone.add_rule('Africa/Banjul', 'GMT', 0, -3996, 'Dec 14 20:45:52 1901', 'Jan 1 01:06:35 1935', 'Dec 14 19:39:16 1901', 'Dec 31 23:59:59 1934');
timezone.add_rule('Africa/Banjul', 'GMT', 0, -3600, 'Jan 1 01:06:36 1935', 'Jan 1 00:59:59 1964', 'Jan 1 00:06:36 1935', 'Dec 31 23:59:59 1963');
timezone.add_rule('Africa/Banjul', 'GMT', 0, 0, 'Jan 1 01:00:00 1964', 'Jan 18 03:14:07 2038', 'Jan 1 01:00:00 1964', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Bissau
--

begin
timezone.add_rule('Africa/Bissau', 'GMT', 0, -3740, 'Dec 14 20:45:52 1901', 'May 26 01:02:19 1911', 'Dec 14 19:43:32 1901', 'May 25 23:59:59 1911');
timezone.add_rule('Africa/Bissau', 'GMT', 0, -3600, 'May 26 01:02:20 1911', 'Jan 1 00:59:59 1975', 'May 26 00:02:20 1911', 'Dec 31 23:59:59 1974');
timezone.add_rule('Africa/Bissau', 'GMT', 0, 0, 'Jan 1 01:00:00 1975', 'Jan 18 03:14:07 2038', 'Jan 1 01:00:00 1975', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Blantyre
--

begin
timezone.add_rule('Africa/Blantyre', 'CAT', 0, 8400, 'Dec 14 20:45:52 1901', 'Feb 28 21:39:59 1903', 'Dec 14 23:05:52 1901', 'Feb 28 23:59:59 1903');
timezone.add_rule('Africa/Blantyre', 'CAT', 0, 7200, 'Feb 28 21:40:00 1903', 'Jan 18 03:14:07 2038', 'Feb 28 23:40:00 1903', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Brazzaville
--

begin
timezone.add_rule('Africa/Brazzaville', 'WAT', 0, 3668, 'Dec 14 20:45:52 1901', 'Dec 31 22:58:51 1911', 'Dec 14 21:47:00 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Brazzaville', 'WAT', 0, 3600, 'Dec 31 22:58:52 1911', 'Jan 18 03:14:07 2038', 'Dec 31 23:58:52 1911', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Bujumbura
--

begin
timezone.add_rule('Africa/Bujumbura', 'CAT', 0, 7200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 22:45:52 1901', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Cairo
--

begin
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Dec 14 20:45:52 1901', 'Jul 14 21:59:59 1940', 'Dec 14 22:45:52 1901', 'Jul 14 23:59:59 1940');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Jul 14 22:00:00 1940', 'Sep 30 20:59:59 1940', 'Jul 15 01:00:00 1940', 'Sep 30 23:59:59 1940');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 21:00:00 1940', 'Apr 14 21:59:59 1941', 'Sep 30 23:00:00 1940', 'Apr 14 23:59:59 1941');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 14 22:00:00 1941', 'Sep 15 20:59:59 1941', 'Apr 15 01:00:00 1941', 'Sep 15 23:59:59 1941');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 15 21:00:00 1941', 'Mar 31 21:59:59 1942', 'Sep 15 23:00:00 1941', 'Mar 31 23:59:59 1942');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Mar 31 22:00:00 1942', 'Oct 26 20:59:59 1942', 'Apr 1 01:00:00 1942', 'Oct 26 23:59:59 1942');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 26 21:00:00 1942', 'Mar 31 21:59:59 1943', 'Oct 26 23:00:00 1942', 'Mar 31 23:59:59 1943');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Mar 31 22:00:00 1943', 'Oct 31 20:59:59 1943', 'Apr 1 01:00:00 1943', 'Oct 31 23:59:59 1943');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 31 21:00:00 1943', 'Mar 31 21:59:59 1944', 'Oct 31 23:00:00 1943', 'Mar 31 23:59:59 1944');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Mar 31 22:00:00 1944', 'Oct 31 20:59:59 1944', 'Apr 1 01:00:00 1944', 'Oct 31 23:59:59 1944');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 31 21:00:00 1944', 'Apr 15 21:59:59 1945', 'Oct 31 23:00:00 1944', 'Apr 15 23:59:59 1945');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 15 22:00:00 1945', 'Oct 31 20:59:59 1945', 'Apr 16 01:00:00 1945', 'Oct 31 23:59:59 1945');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 31 21:00:00 1945', 'May 9 21:59:59 1957', 'Oct 31 23:00:00 1945', 'May 9 23:59:59 1957');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'May 9 22:00:00 1957', 'Sep 30 20:59:59 1957', 'May 10 01:00:00 1957', 'Sep 30 23:59:59 1957');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 21:00:00 1957', 'Apr 30 21:59:59 1958', 'Sep 30 23:00:00 1957', 'Apr 30 23:59:59 1958');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 22:00:00 1958', 'Sep 30 20:59:59 1958', 'May 1 01:00:00 1958', 'Sep 30 23:59:59 1958');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 21:00:00 1958', 'Apr 30 22:59:59 1959', 'Sep 30 23:00:00 1958', 'May 1 00:59:59 1959');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1959', 'Sep 29 23:59:59 1959', 'May 1 02:00:00 1959', 'Sep 30 02:59:59 1959');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 00:00:00 1959', 'Apr 30 22:59:59 1960', 'Sep 30 02:00:00 1959', 'May 1 00:59:59 1960');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1960', 'Sep 29 23:59:59 1960', 'May 1 02:00:00 1960', 'Sep 30 02:59:59 1960');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 00:00:00 1960', 'Apr 30 22:59:59 1961', 'Sep 30 02:00:00 1960', 'May 1 00:59:59 1961');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1961', 'Sep 29 23:59:59 1961', 'May 1 02:00:00 1961', 'Sep 30 02:59:59 1961');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 00:00:00 1961', 'Apr 30 22:59:59 1962', 'Sep 30 02:00:00 1961', 'May 1 00:59:59 1962');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1962', 'Sep 29 23:59:59 1962', 'May 1 02:00:00 1962', 'Sep 30 02:59:59 1962');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 00:00:00 1962', 'Apr 30 22:59:59 1963', 'Sep 30 02:00:00 1962', 'May 1 00:59:59 1963');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1963', 'Sep 29 23:59:59 1963', 'May 1 02:00:00 1963', 'Sep 30 02:59:59 1963');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 00:00:00 1963', 'Apr 30 22:59:59 1964', 'Sep 30 02:00:00 1963', 'May 1 00:59:59 1964');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1964', 'Sep 29 23:59:59 1964', 'May 1 02:00:00 1964', 'Sep 30 02:59:59 1964');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 00:00:00 1964', 'Apr 30 22:59:59 1965', 'Sep 30 02:00:00 1964', 'May 1 00:59:59 1965');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1965', 'Sep 29 23:59:59 1965', 'May 1 02:00:00 1965', 'Sep 30 02:59:59 1965');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 00:00:00 1965', 'Apr 30 22:59:59 1966', 'Sep 30 02:00:00 1965', 'May 1 00:59:59 1966');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1966', 'Sep 30 23:59:59 1966', 'May 1 02:00:00 1966', 'Oct 1 02:59:59 1966');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1966', 'Apr 30 22:59:59 1967', 'Oct 1 02:00:00 1966', 'May 1 00:59:59 1967');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1967', 'Sep 30 23:59:59 1967', 'May 1 02:00:00 1967', 'Oct 1 02:59:59 1967');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1967', 'Apr 30 22:59:59 1968', 'Oct 1 02:00:00 1967', 'May 1 00:59:59 1968');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1968', 'Sep 30 23:59:59 1968', 'May 1 02:00:00 1968', 'Oct 1 02:59:59 1968');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1968', 'Apr 30 22:59:59 1969', 'Oct 1 02:00:00 1968', 'May 1 00:59:59 1969');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1969', 'Sep 30 23:59:59 1969', 'May 1 02:00:00 1969', 'Oct 1 02:59:59 1969');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1969', 'Apr 30 22:59:59 1970', 'Oct 1 02:00:00 1969', 'May 1 00:59:59 1970');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1970', 'Sep 30 23:59:59 1970', 'May 1 02:00:00 1970', 'Oct 1 02:59:59 1970');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1970', 'Apr 30 22:59:59 1971', 'Oct 1 02:00:00 1970', 'May 1 00:59:59 1971');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1971', 'Sep 30 23:59:59 1971', 'May 1 02:00:00 1971', 'Oct 1 02:59:59 1971');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1971', 'Apr 30 22:59:59 1972', 'Oct 1 02:00:00 1971', 'May 1 00:59:59 1972');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1972', 'Sep 30 23:59:59 1972', 'May 1 02:00:00 1972', 'Oct 1 02:59:59 1972');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1972', 'Apr 30 22:59:59 1973', 'Oct 1 02:00:00 1972', 'May 1 00:59:59 1973');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1973', 'Sep 30 23:59:59 1973', 'May 1 02:00:00 1973', 'Oct 1 02:59:59 1973');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1973', 'Apr 30 22:59:59 1974', 'Oct 1 02:00:00 1973', 'May 1 00:59:59 1974');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1974', 'Sep 30 23:59:59 1974', 'May 1 02:00:00 1974', 'Oct 1 02:59:59 1974');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1974', 'Apr 30 22:59:59 1975', 'Oct 1 02:00:00 1974', 'May 1 00:59:59 1975');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1975', 'Sep 30 23:59:59 1975', 'May 1 02:00:00 1975', 'Oct 1 02:59:59 1975');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1975', 'Apr 30 22:59:59 1976', 'Oct 1 02:00:00 1975', 'May 1 00:59:59 1976');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1976', 'Sep 30 23:59:59 1976', 'May 1 02:00:00 1976', 'Oct 1 02:59:59 1976');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1976', 'Apr 30 22:59:59 1977', 'Oct 1 02:00:00 1976', 'May 1 00:59:59 1977');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1977', 'Sep 30 23:59:59 1977', 'May 1 02:00:00 1977', 'Oct 1 02:59:59 1977');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1977', 'Apr 30 22:59:59 1978', 'Oct 1 02:00:00 1977', 'May 1 00:59:59 1978');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1978', 'Sep 30 23:59:59 1978', 'May 1 02:00:00 1978', 'Oct 1 02:59:59 1978');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1978', 'Apr 30 22:59:59 1979', 'Oct 1 02:00:00 1978', 'May 1 00:59:59 1979');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1979', 'Sep 30 23:59:59 1979', 'May 1 02:00:00 1979', 'Oct 1 02:59:59 1979');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1979', 'Apr 30 22:59:59 1980', 'Oct 1 02:00:00 1979', 'May 1 00:59:59 1980');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1980', 'Sep 30 23:59:59 1980', 'May 1 02:00:00 1980', 'Oct 1 02:59:59 1980');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1980', 'Apr 30 22:59:59 1981', 'Oct 1 02:00:00 1980', 'May 1 00:59:59 1981');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1981', 'Sep 30 23:59:59 1981', 'May 1 02:00:00 1981', 'Oct 1 02:59:59 1981');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1981', 'Jul 24 22:59:59 1982', 'Oct 1 02:00:00 1981', 'Jul 25 00:59:59 1982');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Jul 24 23:00:00 1982', 'Sep 30 23:59:59 1982', 'Jul 25 02:00:00 1982', 'Oct 1 02:59:59 1982');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1982', 'Jul 11 22:59:59 1983', 'Oct 1 02:00:00 1982', 'Jul 12 00:59:59 1983');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Jul 11 23:00:00 1983', 'Sep 30 23:59:59 1983', 'Jul 12 02:00:00 1983', 'Oct 1 02:59:59 1983');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1983', 'Apr 30 22:59:59 1984', 'Oct 1 02:00:00 1983', 'May 1 00:59:59 1984');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1984', 'Sep 30 23:59:59 1984', 'May 1 02:00:00 1984', 'Oct 1 02:59:59 1984');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1984', 'Apr 30 22:59:59 1985', 'Oct 1 02:00:00 1984', 'May 1 00:59:59 1985');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1985', 'Sep 30 23:59:59 1985', 'May 1 02:00:00 1985', 'Oct 1 02:59:59 1985');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1985', 'Apr 30 22:59:59 1986', 'Oct 1 02:00:00 1985', 'May 1 00:59:59 1986');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1986', 'Sep 30 23:59:59 1986', 'May 1 02:00:00 1986', 'Oct 1 02:59:59 1986');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1986', 'Apr 30 22:59:59 1987', 'Oct 1 02:00:00 1986', 'May 1 00:59:59 1987');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1987', 'Sep 30 23:59:59 1987', 'May 1 02:00:00 1987', 'Oct 1 02:59:59 1987');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1987', 'Apr 30 22:59:59 1988', 'Oct 1 02:00:00 1987', 'May 1 00:59:59 1988');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1988', 'Sep 30 23:59:59 1988', 'May 1 02:00:00 1988', 'Oct 1 02:59:59 1988');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1988', 'May 5 22:59:59 1989', 'Oct 1 02:00:00 1988', 'May 6 00:59:59 1989');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'May 5 23:00:00 1989', 'Sep 30 23:59:59 1989', 'May 6 02:00:00 1989', 'Oct 1 02:59:59 1989');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1989', 'Apr 30 22:59:59 1990', 'Oct 1 02:00:00 1989', 'May 1 00:59:59 1990');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1990', 'Sep 30 23:59:59 1990', 'May 1 02:00:00 1990', 'Oct 1 02:59:59 1990');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1990', 'Apr 30 22:59:59 1991', 'Oct 1 02:00:00 1990', 'May 1 00:59:59 1991');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1991', 'Sep 30 23:59:59 1991', 'May 1 02:00:00 1991', 'Oct 1 02:59:59 1991');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1991', 'Apr 30 22:59:59 1992', 'Oct 1 02:00:00 1991', 'May 1 00:59:59 1992');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1992', 'Sep 30 23:59:59 1992', 'May 1 02:00:00 1992', 'Oct 1 02:59:59 1992');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1992', 'Apr 30 22:59:59 1993', 'Oct 1 02:00:00 1992', 'May 1 00:59:59 1993');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1993', 'Sep 30 23:59:59 1993', 'May 1 02:00:00 1993', 'Oct 1 02:59:59 1993');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1993', 'Apr 30 22:59:59 1994', 'Oct 1 02:00:00 1993', 'May 1 00:59:59 1994');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 30 23:00:00 1994', 'Sep 30 23:59:59 1994', 'May 1 02:00:00 1994', 'Oct 1 02:59:59 1994');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Oct 1 00:00:00 1994', 'Apr 27 21:59:59 1995', 'Oct 1 02:00:00 1994', 'Apr 27 23:59:59 1995');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 27 22:00:00 1995', 'Sep 28 20:59:59 1995', 'Apr 28 01:00:00 1995', 'Sep 28 23:59:59 1995');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 28 21:00:00 1995', 'Apr 25 21:59:59 1996', 'Sep 28 23:00:00 1995', 'Apr 25 23:59:59 1996');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 25 22:00:00 1996', 'Sep 26 20:59:59 1996', 'Apr 26 01:00:00 1996', 'Sep 26 23:59:59 1996');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 26 21:00:00 1996', 'Apr 24 21:59:59 1997', 'Sep 26 23:00:00 1996', 'Apr 24 23:59:59 1997');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 24 22:00:00 1997', 'Sep 25 20:59:59 1997', 'Apr 25 01:00:00 1997', 'Sep 25 23:59:59 1997');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 25 21:00:00 1997', 'Apr 23 21:59:59 1998', 'Sep 25 23:00:00 1997', 'Apr 23 23:59:59 1998');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 23 22:00:00 1998', 'Sep 24 20:59:59 1998', 'Apr 24 01:00:00 1998', 'Sep 24 23:59:59 1998');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 24 21:00:00 1998', 'Apr 22 21:59:59 1999', 'Sep 24 23:00:00 1998', 'Apr 22 23:59:59 1999');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 22 22:00:00 1999', 'Sep 30 20:59:59 1999', 'Apr 23 01:00:00 1999', 'Sep 30 23:59:59 1999');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 21:00:00 1999', 'Apr 27 21:59:59 2000', 'Sep 30 23:00:00 1999', 'Apr 27 23:59:59 2000');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 27 22:00:00 2000', 'Sep 28 20:59:59 2000', 'Apr 28 01:00:00 2000', 'Sep 28 23:59:59 2000');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 28 21:00:00 2000', 'Apr 26 21:59:59 2001', 'Sep 28 23:00:00 2000', 'Apr 26 23:59:59 2001');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 26 22:00:00 2001', 'Sep 27 20:59:59 2001', 'Apr 27 01:00:00 2001', 'Sep 27 23:59:59 2001');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 27 21:00:00 2001', 'Apr 25 21:59:59 2002', 'Sep 27 23:00:00 2001', 'Apr 25 23:59:59 2002');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 25 22:00:00 2002', 'Sep 26 20:59:59 2002', 'Apr 26 01:00:00 2002', 'Sep 26 23:59:59 2002');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 26 21:00:00 2002', 'Apr 24 21:59:59 2003', 'Sep 26 23:00:00 2002', 'Apr 24 23:59:59 2003');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 24 22:00:00 2003', 'Sep 25 20:59:59 2003', 'Apr 25 01:00:00 2003', 'Sep 25 23:59:59 2003');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 25 21:00:00 2003', 'Apr 22 21:59:59 2004', 'Sep 25 23:00:00 2003', 'Apr 22 23:59:59 2004');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 22 22:00:00 2004', 'Sep 30 20:59:59 2004', 'Apr 23 01:00:00 2004', 'Sep 30 23:59:59 2004');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 21:00:00 2004', 'Apr 21 21:59:59 2005', 'Sep 30 23:00:00 2004', 'Apr 21 23:59:59 2005');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 21 22:00:00 2005', 'Sep 29 20:59:59 2005', 'Apr 22 01:00:00 2005', 'Sep 29 23:59:59 2005');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 29 21:00:00 2005', 'Apr 27 21:59:59 2006', 'Sep 29 23:00:00 2005', 'Apr 27 23:59:59 2006');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 27 22:00:00 2006', 'Sep 28 20:59:59 2006', 'Apr 28 01:00:00 2006', 'Sep 28 23:59:59 2006');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 28 21:00:00 2006', 'Apr 26 21:59:59 2007', 'Sep 28 23:00:00 2006', 'Apr 26 23:59:59 2007');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 26 22:00:00 2007', 'Sep 27 20:59:59 2007', 'Apr 27 01:00:00 2007', 'Sep 27 23:59:59 2007');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 27 21:00:00 2007', 'Apr 24 21:59:59 2008', 'Sep 27 23:00:00 2007', 'Apr 24 23:59:59 2008');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 24 22:00:00 2008', 'Sep 25 20:59:59 2008', 'Apr 25 01:00:00 2008', 'Sep 25 23:59:59 2008');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 25 21:00:00 2008', 'Apr 23 21:59:59 2009', 'Sep 25 23:00:00 2008', 'Apr 23 23:59:59 2009');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 23 22:00:00 2009', 'Sep 24 20:59:59 2009', 'Apr 24 01:00:00 2009', 'Sep 24 23:59:59 2009');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 24 21:00:00 2009', 'Apr 22 21:59:59 2010', 'Sep 24 23:00:00 2009', 'Apr 22 23:59:59 2010');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 22 22:00:00 2010', 'Sep 30 20:59:59 2010', 'Apr 23 01:00:00 2010', 'Sep 30 23:59:59 2010');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 21:00:00 2010', 'Apr 21 21:59:59 2011', 'Sep 30 23:00:00 2010', 'Apr 21 23:59:59 2011');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 21 22:00:00 2011', 'Sep 29 20:59:59 2011', 'Apr 22 01:00:00 2011', 'Sep 29 23:59:59 2011');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 29 21:00:00 2011', 'Apr 26 21:59:59 2012', 'Sep 29 23:00:00 2011', 'Apr 26 23:59:59 2012');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 26 22:00:00 2012', 'Sep 27 20:59:59 2012', 'Apr 27 01:00:00 2012', 'Sep 27 23:59:59 2012');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 27 21:00:00 2012', 'Apr 25 21:59:59 2013', 'Sep 27 23:00:00 2012', 'Apr 25 23:59:59 2013');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 25 22:00:00 2013', 'Sep 26 20:59:59 2013', 'Apr 26 01:00:00 2013', 'Sep 26 23:59:59 2013');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 26 21:00:00 2013', 'Apr 24 21:59:59 2014', 'Sep 26 23:00:00 2013', 'Apr 24 23:59:59 2014');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 24 22:00:00 2014', 'Sep 25 20:59:59 2014', 'Apr 25 01:00:00 2014', 'Sep 25 23:59:59 2014');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 25 21:00:00 2014', 'Apr 23 21:59:59 2015', 'Sep 25 23:00:00 2014', 'Apr 23 23:59:59 2015');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 23 22:00:00 2015', 'Sep 24 20:59:59 2015', 'Apr 24 01:00:00 2015', 'Sep 24 23:59:59 2015');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 24 21:00:00 2015', 'Apr 21 21:59:59 2016', 'Sep 24 23:00:00 2015', 'Apr 21 23:59:59 2016');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 21 22:00:00 2016', 'Sep 29 20:59:59 2016', 'Apr 22 01:00:00 2016', 'Sep 29 23:59:59 2016');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 29 21:00:00 2016', 'Apr 27 21:59:59 2017', 'Sep 29 23:00:00 2016', 'Apr 27 23:59:59 2017');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 27 22:00:00 2017', 'Sep 28 20:59:59 2017', 'Apr 28 01:00:00 2017', 'Sep 28 23:59:59 2017');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 28 21:00:00 2017', 'Apr 26 21:59:59 2018', 'Sep 28 23:00:00 2017', 'Apr 26 23:59:59 2018');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 26 22:00:00 2018', 'Sep 27 20:59:59 2018', 'Apr 27 01:00:00 2018', 'Sep 27 23:59:59 2018');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 27 21:00:00 2018', 'Apr 25 21:59:59 2019', 'Sep 27 23:00:00 2018', 'Apr 25 23:59:59 2019');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 25 22:00:00 2019', 'Sep 26 20:59:59 2019', 'Apr 26 01:00:00 2019', 'Sep 26 23:59:59 2019');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 26 21:00:00 2019', 'Apr 23 21:59:59 2020', 'Sep 26 23:00:00 2019', 'Apr 23 23:59:59 2020');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 23 22:00:00 2020', 'Sep 24 20:59:59 2020', 'Apr 24 01:00:00 2020', 'Sep 24 23:59:59 2020');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 24 21:00:00 2020', 'Apr 22 21:59:59 2021', 'Sep 24 23:00:00 2020', 'Apr 22 23:59:59 2021');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 22 22:00:00 2021', 'Sep 30 20:59:59 2021', 'Apr 23 01:00:00 2021', 'Sep 30 23:59:59 2021');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 21:00:00 2021', 'Apr 21 21:59:59 2022', 'Sep 30 23:00:00 2021', 'Apr 21 23:59:59 2022');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 21 22:00:00 2022', 'Sep 29 20:59:59 2022', 'Apr 22 01:00:00 2022', 'Sep 29 23:59:59 2022');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 29 21:00:00 2022', 'Apr 27 21:59:59 2023', 'Sep 29 23:00:00 2022', 'Apr 27 23:59:59 2023');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 27 22:00:00 2023', 'Sep 28 20:59:59 2023', 'Apr 28 01:00:00 2023', 'Sep 28 23:59:59 2023');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 28 21:00:00 2023', 'Apr 25 21:59:59 2024', 'Sep 28 23:00:00 2023', 'Apr 25 23:59:59 2024');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 25 22:00:00 2024', 'Sep 26 20:59:59 2024', 'Apr 26 01:00:00 2024', 'Sep 26 23:59:59 2024');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 26 21:00:00 2024', 'Apr 24 21:59:59 2025', 'Sep 26 23:00:00 2024', 'Apr 24 23:59:59 2025');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 24 22:00:00 2025', 'Sep 25 20:59:59 2025', 'Apr 25 01:00:00 2025', 'Sep 25 23:59:59 2025');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 25 21:00:00 2025', 'Apr 23 21:59:59 2026', 'Sep 25 23:00:00 2025', 'Apr 23 23:59:59 2026');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 23 22:00:00 2026', 'Sep 24 20:59:59 2026', 'Apr 24 01:00:00 2026', 'Sep 24 23:59:59 2026');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 24 21:00:00 2026', 'Apr 22 21:59:59 2027', 'Sep 24 23:00:00 2026', 'Apr 22 23:59:59 2027');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 22 22:00:00 2027', 'Sep 30 20:59:59 2027', 'Apr 23 01:00:00 2027', 'Sep 30 23:59:59 2027');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 21:00:00 2027', 'Apr 27 21:59:59 2028', 'Sep 30 23:00:00 2027', 'Apr 27 23:59:59 2028');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 27 22:00:00 2028', 'Sep 28 20:59:59 2028', 'Apr 28 01:00:00 2028', 'Sep 28 23:59:59 2028');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 28 21:00:00 2028', 'Apr 26 21:59:59 2029', 'Sep 28 23:00:00 2028', 'Apr 26 23:59:59 2029');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 26 22:00:00 2029', 'Sep 27 20:59:59 2029', 'Apr 27 01:00:00 2029', 'Sep 27 23:59:59 2029');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 27 21:00:00 2029', 'Apr 25 21:59:59 2030', 'Sep 27 23:00:00 2029', 'Apr 25 23:59:59 2030');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 25 22:00:00 2030', 'Sep 26 20:59:59 2030', 'Apr 26 01:00:00 2030', 'Sep 26 23:59:59 2030');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 26 21:00:00 2030', 'Apr 24 21:59:59 2031', 'Sep 26 23:00:00 2030', 'Apr 24 23:59:59 2031');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 24 22:00:00 2031', 'Sep 25 20:59:59 2031', 'Apr 25 01:00:00 2031', 'Sep 25 23:59:59 2031');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 25 21:00:00 2031', 'Apr 22 21:59:59 2032', 'Sep 25 23:00:00 2031', 'Apr 22 23:59:59 2032');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 22 22:00:00 2032', 'Sep 30 20:59:59 2032', 'Apr 23 01:00:00 2032', 'Sep 30 23:59:59 2032');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 30 21:00:00 2032', 'Apr 21 21:59:59 2033', 'Sep 30 23:00:00 2032', 'Apr 21 23:59:59 2033');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 21 22:00:00 2033', 'Sep 29 20:59:59 2033', 'Apr 22 01:00:00 2033', 'Sep 29 23:59:59 2033');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 29 21:00:00 2033', 'Apr 27 21:59:59 2034', 'Sep 29 23:00:00 2033', 'Apr 27 23:59:59 2034');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 27 22:00:00 2034', 'Sep 28 20:59:59 2034', 'Apr 28 01:00:00 2034', 'Sep 28 23:59:59 2034');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 28 21:00:00 2034', 'Apr 26 21:59:59 2035', 'Sep 28 23:00:00 2034', 'Apr 26 23:59:59 2035');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 26 22:00:00 2035', 'Sep 27 20:59:59 2035', 'Apr 27 01:00:00 2035', 'Sep 27 23:59:59 2035');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 27 21:00:00 2035', 'Apr 24 21:59:59 2036', 'Sep 27 23:00:00 2035', 'Apr 24 23:59:59 2036');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 24 22:00:00 2036', 'Sep 25 20:59:59 2036', 'Apr 25 01:00:00 2036', 'Sep 25 23:59:59 2036');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 25 21:00:00 2036', 'Apr 23 21:59:59 2037', 'Sep 25 23:00:00 2036', 'Apr 23 23:59:59 2037');
timezone.add_rule('Africa/Cairo', 'EEST', 1, 10800, 'Apr 23 22:00:00 2037', 'Sep 24 20:59:59 2037', 'Apr 24 01:00:00 2037', 'Sep 24 23:59:59 2037');
timezone.add_rule('Africa/Cairo', 'EET', 0, 7200, 'Sep 24 21:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 24 23:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Casablanca
--

begin
timezone.add_rule('Africa/Casablanca', 'WET', 0, -1820, 'Dec 14 20:45:52 1901', 'Oct 26 00:30:19 1913', 'Dec 14 20:15:32 1901', 'Oct 25 23:59:59 1913');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Oct 26 00:30:20 1913', 'Sep 11 23:59:59 1939', 'Oct 26 00:30:20 1913', 'Sep 11 23:59:59 1939');
timezone.add_rule('Africa/Casablanca', 'WEST', 1, 3600, 'Sep 12 00:00:00 1939', 'Nov 18 22:59:59 1939', 'Sep 12 01:00:00 1939', 'Nov 18 23:59:59 1939');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Nov 18 23:00:00 1939', 'Feb 24 23:59:59 1940', 'Nov 18 23:00:00 1939', 'Feb 24 23:59:59 1940');
timezone.add_rule('Africa/Casablanca', 'WEST', 1, 3600, 'Feb 25 00:00:00 1940', 'Nov 17 22:59:59 1945', 'Feb 25 01:00:00 1940', 'Nov 17 23:59:59 1945');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Nov 17 23:00:00 1945', 'Jun 10 23:59:59 1950', 'Nov 17 23:00:00 1945', 'Jun 10 23:59:59 1950');
timezone.add_rule('Africa/Casablanca', 'WEST', 1, 3600, 'Jun 11 00:00:00 1950', 'Oct 28 22:59:59 1950', 'Jun 11 01:00:00 1950', 'Oct 28 23:59:59 1950');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Oct 28 23:00:00 1950', 'Jun 3 11:59:59 1967', 'Oct 28 23:00:00 1950', 'Jun 3 11:59:59 1967');
timezone.add_rule('Africa/Casablanca', 'WEST', 1, 3600, 'Jun 3 12:00:00 1967', 'Sep 30 22:59:59 1967', 'Jun 3 13:00:00 1967', 'Sep 30 23:59:59 1967');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Sep 30 23:00:00 1967', 'Jun 23 23:59:59 1974', 'Sep 30 23:00:00 1967', 'Jun 23 23:59:59 1974');
timezone.add_rule('Africa/Casablanca', 'WEST', 1, 3600, 'Jun 24 00:00:00 1974', 'Aug 31 22:59:59 1974', 'Jun 24 01:00:00 1974', 'Aug 31 23:59:59 1974');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Aug 31 23:00:00 1974', 'Apr 30 23:59:59 1976', 'Aug 31 23:00:00 1974', 'Apr 30 23:59:59 1976');
timezone.add_rule('Africa/Casablanca', 'WEST', 1, 3600, 'May 1 00:00:00 1976', 'Jul 31 22:59:59 1976', 'May 1 01:00:00 1976', 'Jul 31 23:59:59 1976');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Jul 31 23:00:00 1976', 'Apr 30 23:59:59 1977', 'Jul 31 23:00:00 1976', 'Apr 30 23:59:59 1977');
timezone.add_rule('Africa/Casablanca', 'WEST', 1, 3600, 'May 1 00:00:00 1977', 'Sep 27 22:59:59 1977', 'May 1 01:00:00 1977', 'Sep 27 23:59:59 1977');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Sep 27 23:00:00 1977', 'May 31 23:59:59 1978', 'Sep 27 23:00:00 1977', 'May 31 23:59:59 1978');
timezone.add_rule('Africa/Casablanca', 'WEST', 1, 3600, 'Jun 1 00:00:00 1978', 'Aug 3 22:59:59 1978', 'Jun 1 01:00:00 1978', 'Aug 3 23:59:59 1978');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Aug 3 23:00:00 1978', 'Mar 15 23:59:59 1984', 'Aug 3 23:00:00 1978', 'Mar 15 23:59:59 1984');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 3600, 'Mar 16 00:00:00 1984', 'Dec 31 22:59:59 1985', 'Mar 16 01:00:00 1984', 'Dec 31 23:59:59 1985');
timezone.add_rule('Africa/Casablanca', 'WET', 0, 0, 'Dec 31 23:00:00 1985', 'Jan 18 03:14:07 2038', 'Dec 31 23:00:00 1985', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Ceuta
--

begin
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Dec 14 20:45:52 1901', 'May 6 22:59:59 1918', 'Dec 14 20:45:52 1901', 'May 6 22:59:59 1918');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'May 6 23:00:00 1918', 'Oct 7 21:59:59 1918', 'May 7 00:00:00 1918', 'Oct 7 22:59:59 1918');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Oct 7 22:00:00 1918', 'Apr 16 22:59:59 1924', 'Oct 7 22:00:00 1918', 'Apr 16 22:59:59 1924');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'Apr 16 23:00:00 1924', 'Oct 4 22:59:59 1924', 'Apr 17 00:00:00 1924', 'Oct 4 23:59:59 1924');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Oct 4 23:00:00 1924', 'Apr 17 22:59:59 1926', 'Oct 4 23:00:00 1924', 'Apr 17 22:59:59 1926');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'Apr 17 23:00:00 1926', 'Oct 2 22:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927', 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'Apr 9 23:00:00 1927', 'Oct 1 22:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928', 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'Apr 14 23:00:00 1928', 'Oct 6 22:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 6 23:59:59 1928');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Oct 6 23:00:00 1928', 'Jun 3 11:59:59 1967', 'Oct 6 23:00:00 1928', 'Jun 3 11:59:59 1967');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'Jun 3 12:00:00 1967', 'Sep 30 22:59:59 1967', 'Jun 3 13:00:00 1967', 'Sep 30 23:59:59 1967');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Sep 30 23:00:00 1967', 'Jun 23 23:59:59 1974', 'Sep 30 23:00:00 1967', 'Jun 23 23:59:59 1974');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'Jun 24 00:00:00 1974', 'Aug 31 22:59:59 1974', 'Jun 24 01:00:00 1974', 'Aug 31 23:59:59 1974');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Aug 31 23:00:00 1974', 'Apr 30 23:59:59 1976', 'Aug 31 23:00:00 1974', 'Apr 30 23:59:59 1976');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'May 1 00:00:00 1976', 'Jul 31 22:59:59 1976', 'May 1 01:00:00 1976', 'Jul 31 23:59:59 1976');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Jul 31 23:00:00 1976', 'Apr 30 23:59:59 1977', 'Jul 31 23:00:00 1976', 'Apr 30 23:59:59 1977');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'May 1 00:00:00 1977', 'Sep 27 22:59:59 1977', 'May 1 01:00:00 1977', 'Sep 27 23:59:59 1977');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Sep 27 23:00:00 1977', 'May 31 23:59:59 1978', 'Sep 27 23:00:00 1977', 'May 31 23:59:59 1978');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 3600, 'Jun 1 00:00:00 1978', 'Aug 3 22:59:59 1978', 'Jun 1 01:00:00 1978', 'Aug 3 23:59:59 1978');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 0, 'Aug 3 23:00:00 1978', 'Mar 15 23:59:59 1984', 'Aug 3 23:00:00 1978', 'Mar 15 23:59:59 1984');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Mar 16 00:00:00 1984', 'Mar 30 00:59:59 1986', 'Mar 16 01:00:00 1984', 'Mar 30 01:59:59 1986');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Africa/Ceuta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Africa/Ceuta', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Conakry
--

begin
timezone.add_rule('Africa/Conakry', 'GMT', 0, -3292, 'Dec 14 20:45:52 1901', 'Jan 1 00:54:51 1912', 'Dec 14 19:51:00 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Conakry', 'GMT', 0, 0, 'Jan 1 00:54:52 1912', 'Feb 25 23:59:59 1934', 'Jan 1 00:54:52 1912', 'Feb 25 23:59:59 1934');
timezone.add_rule('Africa/Conakry', 'GMT', 0, -3600, 'Feb 26 00:00:00 1934', 'Jan 1 00:59:59 1960', 'Feb 25 23:00:00 1934', 'Dec 31 23:59:59 1959');
timezone.add_rule('Africa/Conakry', 'GMT', 0, 0, 'Jan 1 01:00:00 1960', 'Jan 18 03:14:07 2038', 'Jan 1 01:00:00 1960', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Dakar
--

begin
timezone.add_rule('Africa/Dakar', 'GMT', 0, -4184, 'Dec 14 20:45:52 1901', 'Jan 1 01:09:43 1912', 'Dec 14 19:36:08 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Dakar', 'GMT', 0, -3600, 'Jan 1 01:09:44 1912', 'Jun 1 00:59:59 1941', 'Jan 1 00:09:44 1912', 'May 31 23:59:59 1941');
timezone.add_rule('Africa/Dakar', 'GMT', 0, 0, 'Jun 1 01:00:00 1941', 'Jan 18 03:14:07 2038', 'Jun 1 01:00:00 1941', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Dar_es_Salaam
--

begin
timezone.add_rule('Africa/Dar_es_Salaam', 'EAT', 0, 9428, 'Dec 14 20:45:52 1901', 'Dec 31 21:22:51 1930', 'Dec 14 23:23:00 1901', 'Dec 31 23:59:59 1930');
timezone.add_rule('Africa/Dar_es_Salaam', 'EAT', 0, 10800, 'Dec 31 21:22:52 1930', 'Dec 31 20:59:59 1947', 'Jan 1 00:22:52 1931', 'Dec 31 23:59:59 1947');
timezone.add_rule('Africa/Dar_es_Salaam', 'EAT', 0, 9900, 'Dec 31 21:00:00 1947', 'Dec 31 21:14:59 1960', 'Dec 31 23:45:00 1947', 'Dec 31 23:59:59 1960');
timezone.add_rule('Africa/Dar_es_Salaam', 'EAT', 0, 10800, 'Dec 31 21:15:00 1960', 'Jan 18 03:14:07 2038', 'Jan 1 00:15:00 1961', 'Jan 18 06:14:07 2038');
end;
/

--
-- Africa/Djibouti
--

begin
timezone.add_rule('Africa/Djibouti', 'EAT', 0, 10356, 'Dec 14 20:45:52 1901', 'Jun 30 21:07:23 1911', 'Dec 14 23:38:28 1901', 'Jun 30 23:59:59 1911');
timezone.add_rule('Africa/Djibouti', 'EAT', 0, 10800, 'Jun 30 21:07:24 1911', 'Jan 18 03:14:07 2038', 'Jul 1 00:07:24 1911', 'Jan 18 06:14:07 2038');
end;
/

--
-- Africa/Douala
--

begin
timezone.add_rule('Africa/Douala', 'WAT', 0, 2328, 'Dec 14 20:45:52 1901', 'Dec 31 23:21:11 1911', 'Dec 14 21:24:40 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Douala', 'WAT', 0, 3600, 'Dec 31 23:21:12 1911', 'Jan 18 03:14:07 2038', 'Jan 1 00:21:12 1912', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/El_Aaiun
--

begin
timezone.add_rule('Africa/El_Aaiun', 'WET', 0, -3168, 'Dec 14 20:45:52 1901', 'Jan 1 00:52:47 1934', 'Dec 14 19:53:04 1901', 'Dec 31 23:59:59 1933');
timezone.add_rule('Africa/El_Aaiun', 'WET', 0, -3600, 'Jan 1 00:52:48 1934', 'Apr 14 00:59:59 1976', 'Dec 31 23:52:48 1933', 'Apr 13 23:59:59 1976');
timezone.add_rule('Africa/El_Aaiun', 'WET', 0, 0, 'Apr 14 01:00:00 1976', 'Jan 18 03:14:07 2038', 'Apr 14 01:00:00 1976', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Freetown
--

begin
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3180, 'Dec 14 20:45:52 1901', 'Jun 1 00:52:59 1913', 'Dec 14 19:52:52 1901', 'May 31 23:59:59 1913');
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3600, 'Jun 1 00:53:00 1913', 'Jun 1 00:59:59 1935', 'May 31 23:53:00 1913', 'May 31 23:59:59 1935');
timezone.add_rule('Africa/Freetown', 'SLST', 1, -1200, 'Jun 1 01:00:00 1935', 'Oct 1 00:19:59 1935', 'Jun 1 00:40:00 1935', 'Sep 30 23:59:59 1935');
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3600, 'Oct 1 00:20:00 1935', 'Jun 1 00:59:59 1936', 'Sep 30 23:20:00 1935', 'May 31 23:59:59 1936');
timezone.add_rule('Africa/Freetown', 'SLST', 1, -1200, 'Jun 1 01:00:00 1936', 'Oct 1 00:19:59 1936', 'Jun 1 00:40:00 1936', 'Sep 30 23:59:59 1936');
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3600, 'Oct 1 00:20:00 1936', 'Jun 1 00:59:59 1937', 'Sep 30 23:20:00 1936', 'May 31 23:59:59 1937');
timezone.add_rule('Africa/Freetown', 'SLST', 1, -1200, 'Jun 1 01:00:00 1937', 'Oct 1 00:19:59 1937', 'Jun 1 00:40:00 1937', 'Sep 30 23:59:59 1937');
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3600, 'Oct 1 00:20:00 1937', 'Jun 1 00:59:59 1938', 'Sep 30 23:20:00 1937', 'May 31 23:59:59 1938');
timezone.add_rule('Africa/Freetown', 'SLST', 1, -1200, 'Jun 1 01:00:00 1938', 'Oct 1 00:19:59 1938', 'Jun 1 00:40:00 1938', 'Sep 30 23:59:59 1938');
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3600, 'Oct 1 00:20:00 1938', 'Jun 1 00:59:59 1939', 'Sep 30 23:20:00 1938', 'May 31 23:59:59 1939');
timezone.add_rule('Africa/Freetown', 'SLST', 1, -1200, 'Jun 1 01:00:00 1939', 'Oct 1 00:19:59 1939', 'Jun 1 00:40:00 1939', 'Sep 30 23:59:59 1939');
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3600, 'Oct 1 00:20:00 1939', 'Jun 1 00:59:59 1940', 'Sep 30 23:20:00 1939', 'May 31 23:59:59 1940');
timezone.add_rule('Africa/Freetown', 'SLST', 1, -1200, 'Jun 1 01:00:00 1940', 'Oct 1 00:19:59 1940', 'Jun 1 00:40:00 1940', 'Sep 30 23:59:59 1940');
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3600, 'Oct 1 00:20:00 1940', 'Jun 1 00:59:59 1941', 'Sep 30 23:20:00 1940', 'May 31 23:59:59 1941');
timezone.add_rule('Africa/Freetown', 'SLST', 1, -1200, 'Jun 1 01:00:00 1941', 'Oct 1 00:19:59 1941', 'Jun 1 00:40:00 1941', 'Sep 30 23:59:59 1941');
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3600, 'Oct 1 00:20:00 1941', 'Jun 1 00:59:59 1942', 'Sep 30 23:20:00 1941', 'May 31 23:59:59 1942');
timezone.add_rule('Africa/Freetown', 'SLST', 1, -1200, 'Jun 1 01:00:00 1942', 'Oct 1 00:19:59 1942', 'Jun 1 00:40:00 1942', 'Sep 30 23:59:59 1942');
timezone.add_rule('Africa/Freetown', 'GMT', 0, -3600, 'Oct 1 00:20:00 1942', 'Jan 1 00:59:59 1957', 'Sep 30 23:20:00 1942', 'Dec 31 23:59:59 1956');
timezone.add_rule('Africa/Freetown', 'GMT', 0, 0, 'Jan 1 01:00:00 1957', 'May 31 23:59:59 1957', 'Jan 1 01:00:00 1957', 'May 31 23:59:59 1957');
timezone.add_rule('Africa/Freetown', 'SLST', 1, 3600, 'Jun 1 00:00:00 1957', 'Aug 31 22:59:59 1957', 'Jun 1 01:00:00 1957', 'Aug 31 23:59:59 1957');
timezone.add_rule('Africa/Freetown', 'GMT', 0, 0, 'Aug 31 23:00:00 1957', 'May 31 23:59:59 1958', 'Aug 31 23:00:00 1957', 'May 31 23:59:59 1958');
timezone.add_rule('Africa/Freetown', 'SLST', 1, 3600, 'Jun 1 00:00:00 1958', 'Aug 31 22:59:59 1958', 'Jun 1 01:00:00 1958', 'Aug 31 23:59:59 1958');
timezone.add_rule('Africa/Freetown', 'GMT', 0, 0, 'Aug 31 23:00:00 1958', 'May 31 23:59:59 1959', 'Aug 31 23:00:00 1958', 'May 31 23:59:59 1959');
timezone.add_rule('Africa/Freetown', 'SLST', 1, 3600, 'Jun 1 00:00:00 1959', 'Aug 31 22:59:59 1959', 'Jun 1 01:00:00 1959', 'Aug 31 23:59:59 1959');
timezone.add_rule('Africa/Freetown', 'GMT', 0, 0, 'Aug 31 23:00:00 1959', 'May 31 23:59:59 1960', 'Aug 31 23:00:00 1959', 'May 31 23:59:59 1960');
timezone.add_rule('Africa/Freetown', 'SLST', 1, 3600, 'Jun 1 00:00:00 1960', 'Aug 31 22:59:59 1960', 'Jun 1 01:00:00 1960', 'Aug 31 23:59:59 1960');
timezone.add_rule('Africa/Freetown', 'GMT', 0, 0, 'Aug 31 23:00:00 1960', 'May 31 23:59:59 1961', 'Aug 31 23:00:00 1960', 'May 31 23:59:59 1961');
timezone.add_rule('Africa/Freetown', 'SLST', 1, 3600, 'Jun 1 00:00:00 1961', 'Aug 31 22:59:59 1961', 'Jun 1 01:00:00 1961', 'Aug 31 23:59:59 1961');
timezone.add_rule('Africa/Freetown', 'GMT', 0, 0, 'Aug 31 23:00:00 1961', 'May 31 23:59:59 1962', 'Aug 31 23:00:00 1961', 'May 31 23:59:59 1962');
timezone.add_rule('Africa/Freetown', 'SLST', 1, 3600, 'Jun 1 00:00:00 1962', 'Aug 31 22:59:59 1962', 'Jun 1 01:00:00 1962', 'Aug 31 23:59:59 1962');
timezone.add_rule('Africa/Freetown', 'GMT', 0, 0, 'Aug 31 23:00:00 1962', 'Jan 18 03:14:07 2038', 'Aug 31 23:00:00 1962', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Gaborone
--

begin
timezone.add_rule('Africa/Gaborone', 'CAT', 0, 7200, 'Dec 14 20:45:52 1901', 'Sep 18 23:59:59 1943', 'Dec 14 22:45:52 1901', 'Sep 19 01:59:59 1943');
timezone.add_rule('Africa/Gaborone', 'CAST', 1, 10800, 'Sep 19 00:00:00 1943', 'Mar 18 22:59:59 1944', 'Sep 19 03:00:00 1943', 'Mar 19 01:59:59 1944');
timezone.add_rule('Africa/Gaborone', 'CAT', 0, 7200, 'Mar 18 23:00:00 1944', 'Jan 18 03:14:07 2038', 'Mar 19 01:00:00 1944', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Harare
--

begin
timezone.add_rule('Africa/Harare', 'CAT', 0, 7452, 'Dec 14 20:45:52 1901', 'Feb 28 21:55:47 1903', 'Dec 14 22:50:04 1901', 'Feb 28 23:59:59 1903');
timezone.add_rule('Africa/Harare', 'CAT', 0, 7200, 'Feb 28 21:55:48 1903', 'Jan 18 03:14:07 2038', 'Feb 28 23:55:48 1903', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Johannesburg
--

begin
timezone.add_rule('Africa/Johannesburg', 'SAST', 0, 5400, 'Dec 14 20:45:52 1901', 'Feb 28 22:29:59 1903', 'Dec 14 22:15:52 1901', 'Feb 28 23:59:59 1903');
timezone.add_rule('Africa/Johannesburg', 'SAST', 0, 7200, 'Feb 28 22:30:00 1903', 'Sep 19 23:59:59 1942', 'Mar 1 00:30:00 1903', 'Sep 20 01:59:59 1942');
timezone.add_rule('Africa/Johannesburg', 'SAST', 1, 10800, 'Sep 20 00:00:00 1942', 'Mar 20 22:59:59 1943', 'Sep 20 03:00:00 1942', 'Mar 21 01:59:59 1943');
timezone.add_rule('Africa/Johannesburg', 'SAST', 0, 7200, 'Mar 20 23:00:00 1943', 'Sep 18 23:59:59 1943', 'Mar 21 01:00:00 1943', 'Sep 19 01:59:59 1943');
timezone.add_rule('Africa/Johannesburg', 'SAST', 1, 10800, 'Sep 19 00:00:00 1943', 'Mar 18 22:59:59 1944', 'Sep 19 03:00:00 1943', 'Mar 19 01:59:59 1944');
timezone.add_rule('Africa/Johannesburg', 'SAST', 0, 7200, 'Mar 18 23:00:00 1944', 'Jan 18 03:14:07 2038', 'Mar 19 01:00:00 1944', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Kampala
--

begin
timezone.add_rule('Africa/Kampala', 'EAT', 0, 7780, 'Dec 14 20:45:52 1901', 'Jun 30 21:50:19 1928', 'Dec 14 22:55:32 1901', 'Jun 30 23:59:59 1928');
timezone.add_rule('Africa/Kampala', 'EAT', 0, 10800, 'Jun 30 21:50:20 1928', 'Dec 31 20:59:59 1929', 'Jul 1 00:50:20 1928', 'Dec 31 23:59:59 1929');
timezone.add_rule('Africa/Kampala', 'EAT', 0, 9000, 'Dec 31 21:00:00 1929', 'Dec 31 21:29:59 1947', 'Dec 31 23:30:00 1929', 'Dec 31 23:59:59 1947');
timezone.add_rule('Africa/Kampala', 'EAT', 0, 9900, 'Dec 31 21:30:00 1947', 'Dec 31 21:14:59 1956', 'Jan 1 00:15:00 1948', 'Dec 31 23:59:59 1956');
timezone.add_rule('Africa/Kampala', 'EAT', 0, 10800, 'Dec 31 21:15:00 1956', 'Jan 18 03:14:07 2038', 'Jan 1 00:15:00 1957', 'Jan 18 06:14:07 2038');
end;
/

--
-- Africa/Khartoum
--

begin
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7808, 'Dec 14 20:45:52 1901', 'Dec 31 21:49:51 1930', 'Dec 14 22:56:00 1901', 'Dec 31 23:59:59 1930');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Dec 31 21:49:52 1930', 'Apr 30 21:59:59 1970', 'Dec 31 23:49:52 1930', 'Apr 30 23:59:59 1970');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 30 22:00:00 1970', 'Oct 14 20:59:59 1970', 'May 1 01:00:00 1970', 'Oct 14 23:59:59 1970');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1970', 'Apr 29 21:59:59 1971', 'Oct 14 23:00:00 1970', 'Apr 29 23:59:59 1971');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 29 22:00:00 1971', 'Oct 14 20:59:59 1971', 'Apr 30 01:00:00 1971', 'Oct 14 23:59:59 1971');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1971', 'Apr 29 21:59:59 1972', 'Oct 14 23:00:00 1971', 'Apr 29 23:59:59 1972');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 29 22:00:00 1972', 'Oct 14 20:59:59 1972', 'Apr 30 01:00:00 1972', 'Oct 14 23:59:59 1972');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1972', 'Apr 28 21:59:59 1973', 'Oct 14 23:00:00 1972', 'Apr 28 23:59:59 1973');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 28 22:00:00 1973', 'Oct 14 20:59:59 1973', 'Apr 29 01:00:00 1973', 'Oct 14 23:59:59 1973');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1973', 'Apr 27 21:59:59 1974', 'Oct 14 23:00:00 1973', 'Apr 27 23:59:59 1974');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 27 22:00:00 1974', 'Oct 14 20:59:59 1974', 'Apr 28 01:00:00 1974', 'Oct 14 23:59:59 1974');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1974', 'Apr 26 21:59:59 1975', 'Oct 14 23:00:00 1974', 'Apr 26 23:59:59 1975');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 26 22:00:00 1975', 'Oct 14 20:59:59 1975', 'Apr 27 01:00:00 1975', 'Oct 14 23:59:59 1975');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1975', 'Apr 24 21:59:59 1976', 'Oct 14 23:00:00 1975', 'Apr 24 23:59:59 1976');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 24 22:00:00 1976', 'Oct 14 20:59:59 1976', 'Apr 25 01:00:00 1976', 'Oct 14 23:59:59 1976');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1976', 'Apr 23 21:59:59 1977', 'Oct 14 23:00:00 1976', 'Apr 23 23:59:59 1977');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 23 22:00:00 1977', 'Oct 14 20:59:59 1977', 'Apr 24 01:00:00 1977', 'Oct 14 23:59:59 1977');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1977', 'Apr 29 21:59:59 1978', 'Oct 14 23:00:00 1977', 'Apr 29 23:59:59 1978');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 29 22:00:00 1978', 'Oct 14 20:59:59 1978', 'Apr 30 01:00:00 1978', 'Oct 14 23:59:59 1978');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1978', 'Apr 28 21:59:59 1979', 'Oct 14 23:00:00 1978', 'Apr 28 23:59:59 1979');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 28 22:00:00 1979', 'Oct 14 20:59:59 1979', 'Apr 29 01:00:00 1979', 'Oct 14 23:59:59 1979');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1979', 'Apr 26 21:59:59 1980', 'Oct 14 23:00:00 1979', 'Apr 26 23:59:59 1980');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 26 22:00:00 1980', 'Oct 14 20:59:59 1980', 'Apr 27 01:00:00 1980', 'Oct 14 23:59:59 1980');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1980', 'Apr 25 21:59:59 1981', 'Oct 14 23:00:00 1980', 'Apr 25 23:59:59 1981');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 25 22:00:00 1981', 'Oct 14 20:59:59 1981', 'Apr 26 01:00:00 1981', 'Oct 14 23:59:59 1981');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1981', 'Apr 24 21:59:59 1982', 'Oct 14 23:00:00 1981', 'Apr 24 23:59:59 1982');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 24 22:00:00 1982', 'Oct 14 20:59:59 1982', 'Apr 25 01:00:00 1982', 'Oct 14 23:59:59 1982');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1982', 'Apr 23 21:59:59 1983', 'Oct 14 23:00:00 1982', 'Apr 23 23:59:59 1983');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 23 22:00:00 1983', 'Oct 14 20:59:59 1983', 'Apr 24 01:00:00 1983', 'Oct 14 23:59:59 1983');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1983', 'Apr 28 21:59:59 1984', 'Oct 14 23:00:00 1983', 'Apr 28 23:59:59 1984');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 28 22:00:00 1984', 'Oct 14 20:59:59 1984', 'Apr 29 01:00:00 1984', 'Oct 14 23:59:59 1984');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1984', 'Apr 27 21:59:59 1985', 'Oct 14 23:00:00 1984', 'Apr 27 23:59:59 1985');
timezone.add_rule('Africa/Khartoum', 'CAST', 1, 10800, 'Apr 27 22:00:00 1985', 'Oct 14 20:59:59 1985', 'Apr 28 01:00:00 1985', 'Oct 14 23:59:59 1985');
timezone.add_rule('Africa/Khartoum', 'CAT', 0, 7200, 'Oct 14 21:00:00 1985', 'Jan 18 03:14:07 2038', 'Oct 14 23:00:00 1985', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Kigali
--

begin
timezone.add_rule('Africa/Kigali', 'CAT', 0, 7216, 'Dec 14 20:45:52 1901', 'May 31 21:59:43 1935', 'Dec 14 22:46:08 1901', 'May 31 23:59:59 1935');
timezone.add_rule('Africa/Kigali', 'CAT', 0, 7200, 'May 31 21:59:44 1935', 'Jan 18 03:14:07 2038', 'May 31 23:59:44 1935', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Kinshasa
--

begin
timezone.add_rule('Africa/Kinshasa', 'WAT', 0, 3600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 21:45:52 1901', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Lagos
--

begin
timezone.add_rule('Africa/Lagos', 'WAT', 0, 816, 'Dec 14 20:45:52 1901', 'Aug 31 23:46:23 1919', 'Dec 14 20:59:28 1901', 'Aug 31 23:59:59 1919');
timezone.add_rule('Africa/Lagos', 'WAT', 0, 3600, 'Aug 31 23:46:24 1919', 'Jan 18 03:14:07 2038', 'Sep 1 00:46:24 1919', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Libreville
--

begin
timezone.add_rule('Africa/Libreville', 'WAT', 0, 2268, 'Dec 14 20:45:52 1901', 'Dec 31 23:22:11 1911', 'Dec 14 21:23:40 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Libreville', 'WAT', 0, 3600, 'Dec 31 23:22:12 1911', 'Jan 18 03:14:07 2038', 'Jan 1 00:22:12 1912', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Lome
--

begin
timezone.add_rule('Africa/Lome', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Luanda
--

begin
timezone.add_rule('Africa/Luanda', 'WAT', 0, 3124, 'Dec 14 20:45:52 1901', 'May 25 23:07:55 1911', 'Dec 14 21:37:56 1901', 'May 25 23:59:59 1911');
timezone.add_rule('Africa/Luanda', 'WAT', 0, 3600, 'May 25 23:07:56 1911', 'Jan 18 03:14:07 2038', 'May 26 00:07:56 1911', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Lubumbashi
--

begin
timezone.add_rule('Africa/Lubumbashi', 'CAT', 0, 7200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 22:45:52 1901', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Lusaka
--

begin
timezone.add_rule('Africa/Lusaka', 'CAT', 0, 6788, 'Dec 14 20:45:52 1901', 'Feb 28 22:06:51 1903', 'Dec 14 22:39:00 1901', 'Feb 28 23:59:59 1903');
timezone.add_rule('Africa/Lusaka', 'CAT', 0, 7200, 'Feb 28 22:06:52 1903', 'Jan 18 03:14:07 2038', 'Mar 1 00:06:52 1903', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Malabo
--

begin
timezone.add_rule('Africa/Malabo', 'WAT', 0, 2108, 'Dec 14 20:45:52 1901', 'Dec 31 23:24:51 1911', 'Dec 14 21:21:00 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Malabo', 'WAT', 0, 0, 'Dec 31 23:24:52 1911', 'Dec 14 23:59:59 1963', 'Dec 31 23:24:52 1911', 'Dec 14 23:59:59 1963');
timezone.add_rule('Africa/Malabo', 'WAT', 0, 3600, 'Dec 15 00:00:00 1963', 'Jan 18 03:14:07 2038', 'Dec 15 01:00:00 1963', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Maputo
--

begin
timezone.add_rule('Africa/Maputo', 'CAT', 0, 7820, 'Dec 14 20:45:52 1901', 'Feb 28 21:49:39 1903', 'Dec 14 22:56:12 1901', 'Feb 28 23:59:59 1903');
timezone.add_rule('Africa/Maputo', 'CAT', 0, 7200, 'Feb 28 21:49:40 1903', 'Jan 18 03:14:07 2038', 'Feb 28 23:49:40 1903', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Maseru
--

begin
timezone.add_rule('Africa/Maseru', 'SAST', 0, 6600, 'Dec 14 20:45:52 1901', 'Feb 28 22:09:59 1903', 'Dec 14 22:35:52 1901', 'Feb 28 23:59:59 1903');
timezone.add_rule('Africa/Maseru', 'SAST', 0, 7200, 'Feb 28 22:10:00 1903', 'Sep 18 23:59:59 1943', 'Mar 1 00:10:00 1903', 'Sep 19 01:59:59 1943');
timezone.add_rule('Africa/Maseru', 'SAST', 1, 10800, 'Sep 19 00:00:00 1943', 'Mar 18 22:59:59 1944', 'Sep 19 03:00:00 1943', 'Mar 19 01:59:59 1944');
timezone.add_rule('Africa/Maseru', 'SAST', 0, 7200, 'Mar 18 23:00:00 1944', 'Jan 18 03:14:07 2038', 'Mar 19 01:00:00 1944', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Mbabane
--

begin
timezone.add_rule('Africa/Mbabane', 'SAST', 0, 7464, 'Dec 14 20:45:52 1901', 'Feb 28 21:55:35 1903', 'Dec 14 22:50:16 1901', 'Feb 28 23:59:59 1903');
timezone.add_rule('Africa/Mbabane', 'SAST', 0, 7200, 'Feb 28 21:55:36 1903', 'Jan 18 03:14:07 2038', 'Feb 28 23:55:36 1903', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Mogadishu
--

begin
timezone.add_rule('Africa/Mogadishu', 'EAT', 0, 10800, 'Dec 14 20:45:52 1901', 'Dec 31 20:59:59 1930', 'Dec 14 23:45:52 1901', 'Dec 31 23:59:59 1930');
timezone.add_rule('Africa/Mogadishu', 'EAT', 0, 9000, 'Dec 31 21:00:00 1930', 'Dec 31 21:29:59 1956', 'Dec 31 23:30:00 1930', 'Dec 31 23:59:59 1956');
timezone.add_rule('Africa/Mogadishu', 'EAT', 0, 10800, 'Dec 31 21:30:00 1956', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1957', 'Jan 18 06:14:07 2038');
end;
/

--
-- Africa/Monrovia
--

begin
timezone.add_rule('Africa/Monrovia', 'GMT', 0, -2588, 'Dec 14 20:45:52 1901', 'Mar 1 00:43:07 1919', 'Dec 14 20:02:44 1901', 'Feb 28 23:59:59 1919');
timezone.add_rule('Africa/Monrovia', 'GMT', 0, -2670, 'Mar 1 00:43:08 1919', 'May 1 00:44:29 1972', 'Feb 28 23:58:38 1919', 'Apr 30 23:59:59 1972');
timezone.add_rule('Africa/Monrovia', 'GMT', 0, 0, 'May 1 00:44:30 1972', 'Jan 18 03:14:07 2038', 'May 1 00:44:30 1972', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Nairobi
--

begin
timezone.add_rule('Africa/Nairobi', 'EAT', 0, 8836, 'Dec 14 20:45:52 1901', 'Jun 30 21:32:43 1928', 'Dec 14 23:13:08 1901', 'Jun 30 23:59:59 1928');
timezone.add_rule('Africa/Nairobi', 'EAT', 0, 10800, 'Jun 30 21:32:44 1928', 'Dec 31 20:59:59 1929', 'Jul 1 00:32:44 1928', 'Dec 31 23:59:59 1929');
timezone.add_rule('Africa/Nairobi', 'EAT', 0, 9000, 'Dec 31 21:00:00 1929', 'Dec 31 21:29:59 1939', 'Dec 31 23:30:00 1929', 'Dec 31 23:59:59 1939');
timezone.add_rule('Africa/Nairobi', 'EAT', 0, 9900, 'Dec 31 21:30:00 1939', 'Dec 31 21:14:59 1959', 'Jan 1 00:15:00 1940', 'Dec 31 23:59:59 1959');
timezone.add_rule('Africa/Nairobi', 'EAT', 0, 10800, 'Dec 31 21:15:00 1959', 'Jan 18 03:14:07 2038', 'Jan 1 00:15:00 1960', 'Jan 18 06:14:07 2038');
end;
/

--
-- Africa/Ndjamena
--

begin
timezone.add_rule('Africa/Ndjamena', 'WAT', 0, 3612, 'Dec 14 20:45:52 1901', 'Dec 31 22:59:47 1911', 'Dec 14 21:46:04 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Ndjamena', 'WAT', 0, 3600, 'Dec 31 22:59:48 1911', 'Oct 13 22:59:59 1979', 'Dec 31 23:59:48 1911', 'Oct 13 23:59:59 1979');
timezone.add_rule('Africa/Ndjamena', 'WAST', 1, 7200, 'Oct 13 23:00:00 1979', 'Mar 7 21:59:59 1980', 'Oct 14 01:00:00 1979', 'Mar 7 23:59:59 1980');
timezone.add_rule('Africa/Ndjamena', 'WAT', 0, 3600, 'Mar 7 22:00:00 1980', 'Jan 18 03:14:07 2038', 'Mar 7 23:00:00 1980', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Niamey
--

begin
timezone.add_rule('Africa/Niamey', 'WAT', 0, 508, 'Dec 14 20:45:52 1901', 'Dec 31 23:51:31 1911', 'Dec 14 20:54:20 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Niamey', 'WAT', 0, -3600, 'Dec 31 23:51:32 1911', 'Feb 26 00:59:59 1934', 'Dec 31 22:51:32 1911', 'Feb 25 23:59:59 1934');
timezone.add_rule('Africa/Niamey', 'WAT', 0, 0, 'Feb 26 01:00:00 1934', 'Dec 31 23:59:59 1959', 'Feb 26 01:00:00 1934', 'Dec 31 23:59:59 1959');
timezone.add_rule('Africa/Niamey', 'WAT', 0, 3600, 'Jan 1 00:00:00 1960', 'Jan 18 03:14:07 2038', 'Jan 1 01:00:00 1960', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Nouakchott
--

begin
timezone.add_rule('Africa/Nouakchott', 'GMT', 0, -3828, 'Dec 14 20:45:52 1901', 'Jan 1 01:03:47 1912', 'Dec 14 19:42:04 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Nouakchott', 'GMT', 0, 0, 'Jan 1 01:03:48 1912', 'Feb 25 23:59:59 1934', 'Jan 1 01:03:48 1912', 'Feb 25 23:59:59 1934');
timezone.add_rule('Africa/Nouakchott', 'GMT', 0, -3600, 'Feb 26 00:00:00 1934', 'Nov 28 00:59:59 1960', 'Feb 25 23:00:00 1934', 'Nov 27 23:59:59 1960');
timezone.add_rule('Africa/Nouakchott', 'GMT', 0, 0, 'Nov 28 01:00:00 1960', 'Jan 18 03:14:07 2038', 'Nov 28 01:00:00 1960', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Ouagadougou
--

begin
timezone.add_rule('Africa/Ouagadougou', 'GMT', 0, -364, 'Dec 14 20:45:52 1901', 'Jan 1 00:06:03 1912', 'Dec 14 20:39:48 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Ouagadougou', 'GMT', 0, 0, 'Jan 1 00:06:04 1912', 'Jan 18 03:14:07 2038', 'Jan 1 00:06:04 1912', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Porto-Novo
--

begin
timezone.add_rule('Africa/Porto-Novo', 'WAT', 0, 628, 'Dec 14 20:45:52 1901', 'Dec 31 23:49:31 1911', 'Dec 14 20:56:20 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Porto-Novo', 'WAT', 0, 0, 'Dec 31 23:49:32 1911', 'Feb 25 23:59:59 1934', 'Dec 31 23:49:32 1911', 'Feb 25 23:59:59 1934');
timezone.add_rule('Africa/Porto-Novo', 'WAT', 0, 3600, 'Feb 26 00:00:00 1934', 'Jan 18 03:14:07 2038', 'Feb 26 01:00:00 1934', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Sao_Tome
--

begin
timezone.add_rule('Africa/Sao_Tome', 'GMT', 0, -2192, 'Dec 14 20:45:52 1901', 'Jan 1 00:36:31 1912', 'Dec 14 20:09:20 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Sao_Tome', 'GMT', 0, 0, 'Jan 1 00:36:32 1912', 'Jan 18 03:14:07 2038', 'Jan 1 00:36:32 1912', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Timbuktu
--

begin
timezone.add_rule('Africa/Timbuktu', 'GMT', 0, -724, 'Dec 14 20:45:52 1901', 'Jan 1 00:12:03 1912', 'Dec 14 20:33:48 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Africa/Timbuktu', 'GMT', 0, 0, 'Jan 1 00:12:04 1912', 'Jan 18 03:14:07 2038', 'Jan 1 00:12:04 1912', 'Jan 18 03:14:07 2038');
end;
/

--
-- Africa/Tripoli
--

begin
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3164, 'Dec 14 20:45:52 1901', 'Dec 31 23:07:15 1919', 'Dec 14 21:38:36 1901', 'Dec 31 23:59:59 1919');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Dec 31 23:07:16 1919', 'Oct 14 00:59:59 1951', 'Jan 1 00:07:16 1920', 'Oct 14 01:59:59 1951');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Oct 14 01:00:00 1951', 'Dec 31 21:59:59 1951', 'Oct 14 03:00:00 1951', 'Dec 31 23:59:59 1951');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Dec 31 22:00:00 1951', 'Oct 9 00:59:59 1953', 'Dec 31 23:00:00 1951', 'Oct 9 01:59:59 1953');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Oct 9 01:00:00 1953', 'Dec 31 21:59:59 1953', 'Oct 9 03:00:00 1953', 'Dec 31 23:59:59 1953');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Dec 31 22:00:00 1953', 'Sep 29 22:59:59 1955', 'Dec 31 23:00:00 1953', 'Sep 29 23:59:59 1955');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Sep 29 23:00:00 1955', 'Dec 31 21:59:59 1955', 'Sep 30 01:00:00 1955', 'Dec 31 23:59:59 1955');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Dec 31 22:00:00 1955', 'Dec 31 22:59:59 1958', 'Dec 31 23:00:00 1955', 'Dec 31 23:59:59 1958');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 7200, 'Dec 31 23:00:00 1958', 'Dec 31 21:59:59 1981', 'Jan 1 01:00:00 1959', 'Dec 31 23:59:59 1981');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Dec 31 22:00:00 1981', 'Mar 31 22:59:59 1982', 'Dec 31 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Mar 31 23:00:00 1982', 'Sep 30 21:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Sep 30 22:00:00 1982', 'Mar 31 22:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Mar 31 23:00:00 1983', 'Sep 30 21:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Sep 30 22:00:00 1983', 'Mar 31 22:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Mar 31 23:00:00 1984', 'Sep 30 21:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 23:59:59 1984');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Sep 30 22:00:00 1984', 'Apr 5 22:59:59 1985', 'Sep 30 23:00:00 1984', 'Apr 5 23:59:59 1985');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Apr 5 23:00:00 1985', 'Sep 30 21:59:59 1985', 'Apr 6 01:00:00 1985', 'Sep 30 23:59:59 1985');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Sep 30 22:00:00 1985', 'Apr 3 22:59:59 1986', 'Sep 30 23:00:00 1985', 'Apr 3 23:59:59 1986');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Apr 3 23:00:00 1986', 'Oct 2 21:59:59 1986', 'Apr 4 01:00:00 1986', 'Oct 2 23:59:59 1986');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Oct 2 22:00:00 1986', 'Mar 31 22:59:59 1987', 'Oct 2 23:00:00 1986', 'Mar 31 23:59:59 1987');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Mar 31 23:00:00 1987', 'Sep 30 21:59:59 1987', 'Apr 1 01:00:00 1987', 'Sep 30 23:59:59 1987');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Sep 30 22:00:00 1987', 'Mar 31 22:59:59 1988', 'Sep 30 23:00:00 1987', 'Mar 31 23:59:59 1988');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Mar 31 23:00:00 1988', 'Sep 30 21:59:59 1988', 'Apr 1 01:00:00 1988', 'Sep 30 23:59:59 1988');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Sep 30 22:00:00 1988', 'Mar 31 22:59:59 1989', 'Sep 30 23:00:00 1988', 'Mar 31 23:59:59 1989');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Mar 31 23:00:00 1989', 'Sep 30 21:59:59 1989', 'Apr 1 01:00:00 1989', 'Sep 30 23:59:59 1989');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Sep 30 22:00:00 1989', 'May 3 22:59:59 1990', 'Sep 30 23:00:00 1989', 'May 3 23:59:59 1990');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'May 3 23:00:00 1990', 'Sep 30 21:59:59 1990', 'May 4 01:00:00 1990', 'Sep 30 23:59:59 1990');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Sep 30 22:00:00 1990', 'Dec 31 22:59:59 1990', 'Sep 30 23:00:00 1990', 'Dec 31 23:59:59 1990');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 7200, 'Dec 31 23:00:00 1990', 'Mar 30 00:59:59 1996', 'Jan 1 01:00:00 1991', 'Mar 30 02:59:59 1996');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Mar 30 01:00:00 1996', 'Sep 30 00:59:59 1996', 'Mar 30 03:00:00 1996', 'Sep 30 02:59:59 1996');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 3600, 'Sep 30 01:00:00 1996', 'Apr 3 22:59:59 1997', 'Sep 30 02:00:00 1996', 'Apr 3 23:59:59 1997');
timezone.add_rule('Africa/Tripoli', 'CEST', 1, 7200, 'Apr 3 23:00:00 1997', 'Oct 3 21:59:59 1997', 'Apr 4 01:00:00 1997', 'Oct 3 23:59:59 1997');
timezone.add_rule('Africa/Tripoli', 'EET', 0, 7200, 'Oct 3 22:00:00 1997', 'Jan 18 03:14:07 2038', 'Oct 4 00:00:00 1997', 'Jan 18 05:14:07 2038');
end;
/

--
-- Africa/Tunis
--

begin
timezone.add_rule('Africa/Tunis', 'CET', 0, 561, 'Dec 14 20:45:52 1901', 'Mar 10 23:50:38 1911', 'Dec 14 20:55:13 1901', 'Mar 10 23:59:59 1911');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Mar 10 23:50:39 1911', 'Apr 15 21:59:59 1939', 'Mar 11 00:50:39 1911', 'Apr 15 22:59:59 1939');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Apr 15 22:00:00 1939', 'Nov 18 21:59:59 1939', 'Apr 16 00:00:00 1939', 'Nov 18 23:59:59 1939');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Nov 18 22:00:00 1939', 'Feb 25 21:59:59 1940', 'Nov 18 23:00:00 1939', 'Feb 25 22:59:59 1940');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Feb 25 22:00:00 1940', 'Oct 5 21:59:59 1941', 'Feb 26 00:00:00 1940', 'Oct 5 23:59:59 1941');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Oct 5 22:00:00 1941', 'Mar 8 22:59:59 1942', 'Oct 5 23:00:00 1941', 'Mar 8 23:59:59 1942');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Mar 8 23:00:00 1942', 'Nov 2 00:59:59 1942', 'Mar 9 01:00:00 1942', 'Nov 2 02:59:59 1942');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Apr 16 23:59:59 1943', 'Mar 29 03:00:00 1943', 'Apr 17 01:59:59 1943');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Apr 17 00:00:00 1943', 'Apr 25 00:59:59 1943', 'Apr 17 01:00:00 1943', 'Apr 25 01:59:59 1943');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Apr 25 01:00:00 1943', 'Oct 3 23:59:59 1943', 'Apr 25 03:00:00 1943', 'Oct 4 01:59:59 1943');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Oct 4 00:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 01:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 7 21:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 7 23:59:59 1944');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Oct 7 22:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 7 23:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 15 21:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 15 23:59:59 1945');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Sep 15 22:00:00 1945', 'Apr 29 22:59:59 1977', 'Sep 15 23:00:00 1945', 'Apr 29 23:59:59 1977');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Apr 29 23:00:00 1977', 'Sep 23 22:59:59 1977', 'Apr 30 01:00:00 1977', 'Sep 24 00:59:59 1977');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Sep 23 23:00:00 1977', 'Apr 30 22:59:59 1978', 'Sep 24 00:00:00 1977', 'Apr 30 23:59:59 1978');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Apr 30 23:00:00 1978', 'Sep 30 22:59:59 1978', 'May 1 01:00:00 1978', 'Oct 1 00:59:59 1978');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Sep 30 23:00:00 1978', 'May 31 22:59:59 1988', 'Oct 1 00:00:00 1978', 'May 31 23:59:59 1988');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'May 31 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Jun 1 01:00:00 1988', 'Sep 25 00:59:59 1988');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 00:00:00 1988', 'Mar 25 23:59:59 1989');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989', 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Sep 23 23:00:00 1989', 'Apr 30 22:59:59 1990', 'Sep 24 00:00:00 1989', 'Apr 30 23:59:59 1990');
timezone.add_rule('Africa/Tunis', 'CEST', 1, 7200, 'Apr 30 23:00:00 1990', 'Sep 29 22:59:59 1990', 'May 1 01:00:00 1990', 'Sep 30 00:59:59 1990');
timezone.add_rule('Africa/Tunis', 'CET', 0, 3600, 'Sep 29 23:00:00 1990', 'Jan 18 03:14:07 2038', 'Sep 30 00:00:00 1990', 'Jan 18 04:14:07 2038');
end;
/

--
-- Africa/Windhoek
--

begin
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 5400, 'Dec 14 20:45:52 1901', 'Feb 28 22:29:59 1903', 'Dec 14 22:15:52 1901', 'Feb 28 23:59:59 1903');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 7200, 'Feb 28 22:30:00 1903', 'Sep 19 23:59:59 1942', 'Mar 1 00:30:00 1903', 'Sep 20 01:59:59 1942');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 10800, 'Sep 20 00:00:00 1942', 'Mar 20 22:59:59 1943', 'Sep 20 03:00:00 1942', 'Mar 21 01:59:59 1943');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 7200, 'Mar 20 23:00:00 1943', 'Apr 2 21:59:59 1994', 'Mar 21 01:00:00 1943', 'Apr 2 23:59:59 1994');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 2 22:00:00 1994', 'Sep 4 00:59:59 1994', 'Apr 2 23:00:00 1994', 'Sep 4 01:59:59 1994');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 4 01:00:00 1994', 'Apr 1 23:59:59 1995', 'Sep 4 03:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 2 00:00:00 1995', 'Sep 3 00:59:59 1995', 'Apr 2 01:00:00 1995', 'Sep 3 01:59:59 1995');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 3 01:00:00 1995', 'Apr 6 23:59:59 1996', 'Sep 3 03:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 7 00:00:00 1996', 'Sep 1 00:59:59 1996', 'Apr 7 01:00:00 1996', 'Sep 1 01:59:59 1996');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 1 01:00:00 1996', 'Apr 5 23:59:59 1997', 'Sep 1 03:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 6 00:00:00 1997', 'Sep 7 00:59:59 1997', 'Apr 6 01:00:00 1997', 'Sep 7 01:59:59 1997');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 7 01:00:00 1997', 'Apr 4 23:59:59 1998', 'Sep 7 03:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 5 00:00:00 1998', 'Sep 6 00:59:59 1998', 'Apr 5 01:00:00 1998', 'Sep 6 01:59:59 1998');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 6 01:00:00 1998', 'Apr 3 23:59:59 1999', 'Sep 6 03:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 4 00:00:00 1999', 'Sep 5 00:59:59 1999', 'Apr 4 01:00:00 1999', 'Sep 5 01:59:59 1999');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 5 01:00:00 1999', 'Apr 1 23:59:59 2000', 'Sep 5 03:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 2 00:00:00 2000', 'Sep 3 00:59:59 2000', 'Apr 2 01:00:00 2000', 'Sep 3 01:59:59 2000');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 3 01:00:00 2000', 'Mar 31 23:59:59 2001', 'Sep 3 03:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 1 00:00:00 2001', 'Sep 2 00:59:59 2001', 'Apr 1 01:00:00 2001', 'Sep 2 01:59:59 2001');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 2 01:00:00 2001', 'Apr 6 23:59:59 2002', 'Sep 2 03:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 7 00:00:00 2002', 'Sep 1 00:59:59 2002', 'Apr 7 01:00:00 2002', 'Sep 1 01:59:59 2002');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 1 01:00:00 2002', 'Apr 5 23:59:59 2003', 'Sep 1 03:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 6 00:00:00 2003', 'Sep 7 00:59:59 2003', 'Apr 6 01:00:00 2003', 'Sep 7 01:59:59 2003');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 7 01:00:00 2003', 'Apr 3 23:59:59 2004', 'Sep 7 03:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 4 00:00:00 2004', 'Sep 5 00:59:59 2004', 'Apr 4 01:00:00 2004', 'Sep 5 01:59:59 2004');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 5 01:00:00 2004', 'Apr 2 23:59:59 2005', 'Sep 5 03:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 3 00:00:00 2005', 'Sep 4 00:59:59 2005', 'Apr 3 01:00:00 2005', 'Sep 4 01:59:59 2005');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 4 01:00:00 2005', 'Apr 1 23:59:59 2006', 'Sep 4 03:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 2 00:00:00 2006', 'Sep 3 00:59:59 2006', 'Apr 2 01:00:00 2006', 'Sep 3 01:59:59 2006');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 3 01:00:00 2006', 'Mar 31 23:59:59 2007', 'Sep 3 03:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 1 00:00:00 2007', 'Sep 2 00:59:59 2007', 'Apr 1 01:00:00 2007', 'Sep 2 01:59:59 2007');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 2 01:00:00 2007', 'Apr 5 23:59:59 2008', 'Sep 2 03:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 6 00:00:00 2008', 'Sep 7 00:59:59 2008', 'Apr 6 01:00:00 2008', 'Sep 7 01:59:59 2008');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 7 01:00:00 2008', 'Apr 4 23:59:59 2009', 'Sep 7 03:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 5 00:00:00 2009', 'Sep 6 00:59:59 2009', 'Apr 5 01:00:00 2009', 'Sep 6 01:59:59 2009');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 6 01:00:00 2009', 'Apr 3 23:59:59 2010', 'Sep 6 03:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 4 00:00:00 2010', 'Sep 5 00:59:59 2010', 'Apr 4 01:00:00 2010', 'Sep 5 01:59:59 2010');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 5 01:00:00 2010', 'Apr 2 23:59:59 2011', 'Sep 5 03:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 3 00:00:00 2011', 'Sep 4 00:59:59 2011', 'Apr 3 01:00:00 2011', 'Sep 4 01:59:59 2011');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 4 01:00:00 2011', 'Mar 31 23:59:59 2012', 'Sep 4 03:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 1 00:00:00 2012', 'Sep 2 00:59:59 2012', 'Apr 1 01:00:00 2012', 'Sep 2 01:59:59 2012');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 2 01:00:00 2012', 'Apr 6 23:59:59 2013', 'Sep 2 03:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 7 00:00:00 2013', 'Sep 1 00:59:59 2013', 'Apr 7 01:00:00 2013', 'Sep 1 01:59:59 2013');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 1 01:00:00 2013', 'Apr 5 23:59:59 2014', 'Sep 1 03:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 6 00:00:00 2014', 'Sep 7 00:59:59 2014', 'Apr 6 01:00:00 2014', 'Sep 7 01:59:59 2014');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 7 01:00:00 2014', 'Apr 4 23:59:59 2015', 'Sep 7 03:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 5 00:00:00 2015', 'Sep 6 00:59:59 2015', 'Apr 5 01:00:00 2015', 'Sep 6 01:59:59 2015');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 6 01:00:00 2015', 'Apr 2 23:59:59 2016', 'Sep 6 03:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 3 00:00:00 2016', 'Sep 4 00:59:59 2016', 'Apr 3 01:00:00 2016', 'Sep 4 01:59:59 2016');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 4 01:00:00 2016', 'Apr 1 23:59:59 2017', 'Sep 4 03:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 2 00:00:00 2017', 'Sep 3 00:59:59 2017', 'Apr 2 01:00:00 2017', 'Sep 3 01:59:59 2017');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 3 01:00:00 2017', 'Mar 31 23:59:59 2018', 'Sep 3 03:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 1 00:00:00 2018', 'Sep 2 00:59:59 2018', 'Apr 1 01:00:00 2018', 'Sep 2 01:59:59 2018');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 2 01:00:00 2018', 'Apr 6 23:59:59 2019', 'Sep 2 03:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 7 00:00:00 2019', 'Sep 1 00:59:59 2019', 'Apr 7 01:00:00 2019', 'Sep 1 01:59:59 2019');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 1 01:00:00 2019', 'Apr 4 23:59:59 2020', 'Sep 1 03:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 5 00:00:00 2020', 'Sep 6 00:59:59 2020', 'Apr 5 01:00:00 2020', 'Sep 6 01:59:59 2020');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 6 01:00:00 2020', 'Apr 3 23:59:59 2021', 'Sep 6 03:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 4 00:00:00 2021', 'Sep 5 00:59:59 2021', 'Apr 4 01:00:00 2021', 'Sep 5 01:59:59 2021');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 5 01:00:00 2021', 'Apr 2 23:59:59 2022', 'Sep 5 03:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 3 00:00:00 2022', 'Sep 4 00:59:59 2022', 'Apr 3 01:00:00 2022', 'Sep 4 01:59:59 2022');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 4 01:00:00 2022', 'Apr 1 23:59:59 2023', 'Sep 4 03:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 2 00:00:00 2023', 'Sep 3 00:59:59 2023', 'Apr 2 01:00:00 2023', 'Sep 3 01:59:59 2023');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 3 01:00:00 2023', 'Apr 6 23:59:59 2024', 'Sep 3 03:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 7 00:00:00 2024', 'Sep 1 00:59:59 2024', 'Apr 7 01:00:00 2024', 'Sep 1 01:59:59 2024');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 1 01:00:00 2024', 'Apr 5 23:59:59 2025', 'Sep 1 03:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 6 00:00:00 2025', 'Sep 7 00:59:59 2025', 'Apr 6 01:00:00 2025', 'Sep 7 01:59:59 2025');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 7 01:00:00 2025', 'Apr 4 23:59:59 2026', 'Sep 7 03:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 5 00:00:00 2026', 'Sep 6 00:59:59 2026', 'Apr 5 01:00:00 2026', 'Sep 6 01:59:59 2026');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 6 01:00:00 2026', 'Apr 3 23:59:59 2027', 'Sep 6 03:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 4 00:00:00 2027', 'Sep 5 00:59:59 2027', 'Apr 4 01:00:00 2027', 'Sep 5 01:59:59 2027');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 5 01:00:00 2027', 'Apr 1 23:59:59 2028', 'Sep 5 03:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 2 00:00:00 2028', 'Sep 3 00:59:59 2028', 'Apr 2 01:00:00 2028', 'Sep 3 01:59:59 2028');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 3 01:00:00 2028', 'Mar 31 23:59:59 2029', 'Sep 3 03:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 1 00:00:00 2029', 'Sep 2 00:59:59 2029', 'Apr 1 01:00:00 2029', 'Sep 2 01:59:59 2029');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 2 01:00:00 2029', 'Apr 6 23:59:59 2030', 'Sep 2 03:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 7 00:00:00 2030', 'Sep 1 00:59:59 2030', 'Apr 7 01:00:00 2030', 'Sep 1 01:59:59 2030');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 1 01:00:00 2030', 'Apr 5 23:59:59 2031', 'Sep 1 03:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 6 00:00:00 2031', 'Sep 7 00:59:59 2031', 'Apr 6 01:00:00 2031', 'Sep 7 01:59:59 2031');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 7 01:00:00 2031', 'Apr 3 23:59:59 2032', 'Sep 7 03:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 4 00:00:00 2032', 'Sep 5 00:59:59 2032', 'Apr 4 01:00:00 2032', 'Sep 5 01:59:59 2032');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 5 01:00:00 2032', 'Apr 2 23:59:59 2033', 'Sep 5 03:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 3 00:00:00 2033', 'Sep 4 00:59:59 2033', 'Apr 3 01:00:00 2033', 'Sep 4 01:59:59 2033');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 4 01:00:00 2033', 'Apr 1 23:59:59 2034', 'Sep 4 03:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 2 00:00:00 2034', 'Sep 3 00:59:59 2034', 'Apr 2 01:00:00 2034', 'Sep 3 01:59:59 2034');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 3 01:00:00 2034', 'Mar 31 23:59:59 2035', 'Sep 3 03:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 1 00:00:00 2035', 'Sep 2 00:59:59 2035', 'Apr 1 01:00:00 2035', 'Sep 2 01:59:59 2035');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 2 01:00:00 2035', 'Apr 5 23:59:59 2036', 'Sep 2 03:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 6 00:00:00 2036', 'Sep 7 00:59:59 2036', 'Apr 6 01:00:00 2036', 'Sep 7 01:59:59 2036');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 7 01:00:00 2036', 'Apr 4 23:59:59 2037', 'Sep 7 03:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Africa/Windhoek', 'WAT', 0, 3600, 'Apr 5 00:00:00 2037', 'Sep 6 00:59:59 2037', 'Apr 5 01:00:00 2037', 'Sep 6 01:59:59 2037');
timezone.add_rule('Africa/Windhoek', 'WAST', 1, 7200, 'Sep 6 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 6 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- America/Adak
--

begin
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Dec 14 20:45:52 1901', 'Feb 9 12:59:59 1942', 'Dec 14 09:45:52 1901', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Feb 9 13:00:00 1942', 'Sep 30 11:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Sep 30 12:00:00 1945', 'Apr 27 12:59:59 1969', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 27 13:00:00 1969', 'Oct 26 11:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 26 12:00:00 1969', 'Apr 26 12:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 26 13:00:00 1970', 'Oct 25 11:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 25 12:00:00 1970', 'Apr 25 12:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 25 13:00:00 1971', 'Oct 31 11:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 31 12:00:00 1971', 'Apr 30 12:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 30 13:00:00 1972', 'Oct 29 11:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 29 12:00:00 1972', 'Apr 29 12:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 29 13:00:00 1973', 'Oct 28 11:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 28 12:00:00 1973', 'Jan 6 12:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Jan 6 13:00:00 1974', 'Oct 27 11:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 27 12:00:00 1974', 'Feb 23 12:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Feb 23 13:00:00 1975', 'Oct 26 11:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 26 12:00:00 1975', 'Apr 25 12:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 25 13:00:00 1976', 'Oct 31 11:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 31 12:00:00 1976', 'Apr 24 12:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 24 13:00:00 1977', 'Oct 30 11:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 30 12:00:00 1977', 'Apr 30 12:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 30 13:00:00 1978', 'Oct 29 11:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 29 12:00:00 1978', 'Apr 29 12:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 29 13:00:00 1979', 'Oct 28 11:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 28 12:00:00 1979', 'Apr 27 12:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 27 13:00:00 1980', 'Oct 26 11:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 26 12:00:00 1980', 'Apr 26 12:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 26 13:00:00 1981', 'Oct 25 11:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 25 12:00:00 1981', 'Apr 25 12:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 25 13:00:00 1982', 'Oct 31 11:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Adak', 'HAST', 0, -39600, 'Oct 31 12:00:00 1982', 'Apr 24 12:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Adak', 'HADT', 1, -36000, 'Apr 24 13:00:00 1983', 'Oct 30 11:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 30 12:00:00 1983', 'Apr 29 11:59:59 1984', 'Oct 30 02:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 29 12:00:00 1984', 'Oct 28 10:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 28 11:00:00 1984', 'Apr 28 11:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 28 12:00:00 1985', 'Oct 27 10:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 27 11:00:00 1985', 'Apr 27 11:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 27 12:00:00 1986', 'Oct 26 10:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 26 11:00:00 1986', 'Apr 5 11:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 5 12:00:00 1987', 'Oct 25 10:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 25 11:00:00 1987', 'Apr 3 11:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 3 12:00:00 1988', 'Oct 30 10:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 30 11:00:00 1988', 'Apr 2 11:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 2 12:00:00 1989', 'Oct 29 10:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 29 11:00:00 1989', 'Apr 1 11:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 1 12:00:00 1990', 'Oct 28 10:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 28 11:00:00 1990', 'Apr 7 11:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 7 12:00:00 1991', 'Oct 27 10:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 27 11:00:00 1991', 'Apr 5 11:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 5 12:00:00 1992', 'Oct 25 10:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 25 11:00:00 1992', 'Apr 4 11:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 4 12:00:00 1993', 'Oct 31 10:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 31 11:00:00 1993', 'Apr 3 11:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 3 12:00:00 1994', 'Oct 30 10:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 30 11:00:00 1994', 'Apr 2 11:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 2 12:00:00 1995', 'Oct 29 10:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 29 11:00:00 1995', 'Apr 7 11:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 7 12:00:00 1996', 'Oct 27 10:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 27 11:00:00 1996', 'Apr 6 11:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 6 12:00:00 1997', 'Oct 26 10:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 26 11:00:00 1997', 'Apr 5 11:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 5 12:00:00 1998', 'Oct 25 10:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 25 11:00:00 1998', 'Apr 4 11:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 4 12:00:00 1999', 'Oct 31 10:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 31 11:00:00 1999', 'Apr 2 11:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 2 12:00:00 2000', 'Oct 29 10:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 29 11:00:00 2000', 'Apr 1 11:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 1 12:00:00 2001', 'Oct 28 10:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 28 11:00:00 2001', 'Apr 7 11:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 7 12:00:00 2002', 'Oct 27 10:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 27 11:00:00 2002', 'Apr 6 11:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 6 12:00:00 2003', 'Oct 26 10:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 26 11:00:00 2003', 'Apr 4 11:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 4 12:00:00 2004', 'Oct 31 10:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 31 11:00:00 2004', 'Apr 3 11:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 3 12:00:00 2005', 'Oct 30 10:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 30 11:00:00 2005', 'Apr 2 11:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 2 12:00:00 2006', 'Oct 29 10:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 29 11:00:00 2006', 'Apr 1 11:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 1 12:00:00 2007', 'Oct 28 10:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 28 11:00:00 2007', 'Apr 6 11:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 6 12:00:00 2008', 'Oct 26 10:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 26 11:00:00 2008', 'Apr 5 11:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 5 12:00:00 2009', 'Oct 25 10:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 25 11:00:00 2009', 'Apr 4 11:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 4 12:00:00 2010', 'Oct 31 10:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 31 11:00:00 2010', 'Apr 3 11:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 3 12:00:00 2011', 'Oct 30 10:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 30 11:00:00 2011', 'Apr 1 11:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 1 12:00:00 2012', 'Oct 28 10:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 28 11:00:00 2012', 'Apr 7 11:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 7 12:00:00 2013', 'Oct 27 10:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 27 11:00:00 2013', 'Apr 6 11:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 6 12:00:00 2014', 'Oct 26 10:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 26 11:00:00 2014', 'Apr 5 11:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 5 12:00:00 2015', 'Oct 25 10:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 25 11:00:00 2015', 'Apr 3 11:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 3 12:00:00 2016', 'Oct 30 10:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 30 11:00:00 2016', 'Apr 2 11:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 2 12:00:00 2017', 'Oct 29 10:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 29 11:00:00 2017', 'Apr 1 11:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 1 12:00:00 2018', 'Oct 28 10:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 28 11:00:00 2018', 'Apr 7 11:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 7 12:00:00 2019', 'Oct 27 10:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 27 11:00:00 2019', 'Apr 5 11:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 5 12:00:00 2020', 'Oct 25 10:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 25 11:00:00 2020', 'Apr 4 11:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 4 12:00:00 2021', 'Oct 31 10:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 31 11:00:00 2021', 'Apr 3 11:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 3 12:00:00 2022', 'Oct 30 10:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 30 11:00:00 2022', 'Apr 2 11:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 2 12:00:00 2023', 'Oct 29 10:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 29 11:00:00 2023', 'Apr 7 11:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 7 12:00:00 2024', 'Oct 27 10:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 27 11:00:00 2024', 'Apr 6 11:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 6 12:00:00 2025', 'Oct 26 10:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 26 11:00:00 2025', 'Apr 5 11:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 5 12:00:00 2026', 'Oct 25 10:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 25 11:00:00 2026', 'Apr 4 11:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 4 12:00:00 2027', 'Oct 31 10:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 31 11:00:00 2027', 'Apr 2 11:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 2 12:00:00 2028', 'Oct 29 10:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 29 11:00:00 2028', 'Apr 1 11:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 1 12:00:00 2029', 'Oct 28 10:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 28 11:00:00 2029', 'Apr 7 11:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 7 12:00:00 2030', 'Oct 27 10:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 27 11:00:00 2030', 'Apr 6 11:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 6 12:00:00 2031', 'Oct 26 10:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 26 11:00:00 2031', 'Apr 4 11:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 4 12:00:00 2032', 'Oct 31 10:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 31 11:00:00 2032', 'Apr 3 11:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 3 12:00:00 2033', 'Oct 30 10:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 30 11:00:00 2033', 'Apr 2 11:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 2 12:00:00 2034', 'Oct 29 10:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 29 11:00:00 2034', 'Apr 1 11:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 1 12:00:00 2035', 'Oct 28 10:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 28 11:00:00 2035', 'Apr 6 11:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 6 12:00:00 2036', 'Oct 26 10:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 26 11:00:00 2036', 'Apr 5 11:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Adak', 'HADT', 1, -32400, 'Apr 5 12:00:00 2037', 'Oct 25 10:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Adak', 'HAST', 0, -36000, 'Oct 25 11:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 17:14:07 2038');
end;
/

--
-- America/Anchorage
--

begin
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Dec 14 20:45:52 1901', 'Feb 9 11:59:59 1942', 'Dec 14 10:45:52 1901', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Feb 9 12:00:00 1942', 'Sep 30 10:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Sep 30 11:00:00 1945', 'Apr 27 11:59:59 1969', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 27 12:00:00 1969', 'Oct 26 10:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 26 11:00:00 1969', 'Apr 26 11:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 26 12:00:00 1970', 'Oct 25 10:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 25 11:00:00 1970', 'Apr 25 11:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 25 12:00:00 1971', 'Oct 31 10:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 31 11:00:00 1971', 'Apr 30 11:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 30 12:00:00 1972', 'Oct 29 10:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 29 11:00:00 1972', 'Apr 29 11:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 29 12:00:00 1973', 'Oct 28 10:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 28 11:00:00 1973', 'Jan 6 11:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Jan 6 12:00:00 1974', 'Oct 27 10:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 27 11:00:00 1974', 'Feb 23 11:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Feb 23 12:00:00 1975', 'Oct 26 10:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 26 11:00:00 1975', 'Apr 25 11:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 25 12:00:00 1976', 'Oct 31 10:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 31 11:00:00 1976', 'Apr 24 11:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 24 12:00:00 1977', 'Oct 30 10:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 30 11:00:00 1977', 'Apr 30 11:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 30 12:00:00 1978', 'Oct 29 10:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 29 11:00:00 1978', 'Apr 29 11:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 29 12:00:00 1979', 'Oct 28 10:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 28 11:00:00 1979', 'Apr 27 11:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 27 12:00:00 1980', 'Oct 26 10:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 26 11:00:00 1980', 'Apr 26 11:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 26 12:00:00 1981', 'Oct 25 10:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 25 11:00:00 1981', 'Apr 25 11:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 25 12:00:00 1982', 'Oct 31 10:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Anchorage', 'AKST', 0, -36000, 'Oct 31 11:00:00 1982', 'Apr 24 11:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -32400, 'Apr 24 12:00:00 1983', 'Oct 30 10:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 30 11:00:00 1983', 'Apr 29 10:59:59 1984', 'Oct 30 02:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 29 11:00:00 1984', 'Oct 28 09:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 28 10:00:00 1984', 'Apr 28 10:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 28 11:00:00 1985', 'Oct 27 09:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 27 10:00:00 1985', 'Apr 27 10:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 27 11:00:00 1986', 'Oct 26 09:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 26 10:00:00 1986', 'Apr 5 10:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1987', 'Oct 25 09:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 25 10:00:00 1987', 'Apr 3 10:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1988', 'Oct 30 09:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 30 10:00:00 1988', 'Apr 2 10:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1989', 'Oct 29 09:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 29 10:00:00 1989', 'Apr 1 10:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 1 11:00:00 1990', 'Oct 28 09:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 28 10:00:00 1990', 'Apr 7 10:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1991', 'Oct 27 09:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 27 10:00:00 1991', 'Apr 5 10:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1992', 'Oct 25 09:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 25 10:00:00 1992', 'Apr 4 10:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1993', 'Oct 31 09:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 31 10:00:00 1993', 'Apr 3 10:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1994', 'Oct 30 09:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 30 10:00:00 1994', 'Apr 2 10:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1995', 'Oct 29 09:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 29 10:00:00 1995', 'Apr 7 10:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1996', 'Oct 27 09:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 27 10:00:00 1996', 'Apr 6 10:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 6 11:00:00 1997', 'Oct 26 09:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 26 10:00:00 1997', 'Apr 5 10:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1998', 'Oct 25 09:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 25 10:00:00 1998', 'Apr 4 10:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1999', 'Oct 31 09:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 31 10:00:00 1999', 'Apr 2 10:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2000', 'Oct 29 09:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 29 10:00:00 2000', 'Apr 1 10:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2001', 'Oct 28 09:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 28 10:00:00 2001', 'Apr 7 10:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2002', 'Oct 27 09:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 27 10:00:00 2002', 'Apr 6 10:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2003', 'Oct 26 09:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 26 10:00:00 2003', 'Apr 4 10:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2004', 'Oct 31 09:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 31 10:00:00 2004', 'Apr 3 10:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2005', 'Oct 30 09:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 30 10:00:00 2005', 'Apr 2 10:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2006', 'Oct 29 09:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 29 10:00:00 2006', 'Apr 1 10:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2007', 'Oct 28 09:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 28 10:00:00 2007', 'Apr 6 10:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2008', 'Oct 26 09:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 26 10:00:00 2008', 'Apr 5 10:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2009', 'Oct 25 09:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 25 10:00:00 2009', 'Apr 4 10:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2010', 'Oct 31 09:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 31 10:00:00 2010', 'Apr 3 10:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2011', 'Oct 30 09:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 30 10:00:00 2011', 'Apr 1 10:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2012', 'Oct 28 09:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 28 10:00:00 2012', 'Apr 7 10:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2013', 'Oct 27 09:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 27 10:00:00 2013', 'Apr 6 10:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2014', 'Oct 26 09:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 26 10:00:00 2014', 'Apr 5 10:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2015', 'Oct 25 09:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 25 10:00:00 2015', 'Apr 3 10:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2016', 'Oct 30 09:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 30 10:00:00 2016', 'Apr 2 10:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2017', 'Oct 29 09:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 29 10:00:00 2017', 'Apr 1 10:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2018', 'Oct 28 09:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 28 10:00:00 2018', 'Apr 7 10:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2019', 'Oct 27 09:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 27 10:00:00 2019', 'Apr 5 10:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2020', 'Oct 25 09:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 25 10:00:00 2020', 'Apr 4 10:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2021', 'Oct 31 09:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 31 10:00:00 2021', 'Apr 3 10:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2022', 'Oct 30 09:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 30 10:00:00 2022', 'Apr 2 10:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2023', 'Oct 29 09:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 29 10:00:00 2023', 'Apr 7 10:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2024', 'Oct 27 09:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 27 10:00:00 2024', 'Apr 6 10:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2025', 'Oct 26 09:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 26 10:00:00 2025', 'Apr 5 10:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2026', 'Oct 25 09:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 25 10:00:00 2026', 'Apr 4 10:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2027', 'Oct 31 09:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 31 10:00:00 2027', 'Apr 2 10:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2028', 'Oct 29 09:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 29 10:00:00 2028', 'Apr 1 10:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2029', 'Oct 28 09:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 28 10:00:00 2029', 'Apr 7 10:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2030', 'Oct 27 09:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 27 10:00:00 2030', 'Apr 6 10:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2031', 'Oct 26 09:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 26 10:00:00 2031', 'Apr 4 10:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2032', 'Oct 31 09:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 31 10:00:00 2032', 'Apr 3 10:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2033', 'Oct 30 09:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 30 10:00:00 2033', 'Apr 2 10:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2034', 'Oct 29 09:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 29 10:00:00 2034', 'Apr 1 10:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2035', 'Oct 28 09:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 28 10:00:00 2035', 'Apr 6 10:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2036', 'Oct 26 09:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 26 10:00:00 2036', 'Apr 5 10:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Anchorage', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2037', 'Oct 25 09:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Anchorage', 'AKST', 0, -32400, 'Oct 25 10:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 18:14:07 2038');
end;
/

--
-- America/Anguilla
--

begin
timezone.add_rule('America/Anguilla', 'AST', 0, -15136, 'Dec 14 20:45:52 1901', 'Mar 2 04:12:15 1912', 'Dec 14 16:33:36 1901', 'Mar 1 23:59:59 1912');
timezone.add_rule('America/Anguilla', 'AST', 0, -14400, 'Mar 2 04:12:16 1912', 'Jan 18 03:14:07 2038', 'Mar 2 00:12:16 1912', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Antigua
--

begin
timezone.add_rule('America/Antigua', 'AST', 0, -14832, 'Dec 14 20:45:52 1901', 'Mar 2 04:07:11 1912', 'Dec 14 16:38:40 1901', 'Mar 1 23:59:59 1912');
timezone.add_rule('America/Antigua', 'AST', 0, -18000, 'Mar 2 04:07:12 1912', 'Jan 1 04:59:59 1951', 'Mar 1 23:07:12 1912', 'Dec 31 23:59:59 1950');
timezone.add_rule('America/Antigua', 'AST', 0, -14400, 'Jan 1 05:00:00 1951', 'Jan 18 03:14:07 2038', 'Jan 1 01:00:00 1951', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Araguaina
--

begin
timezone.add_rule('America/Araguaina', 'BRT', 0, -11568, 'Dec 14 20:45:52 1901', 'Jan 1 03:12:47 1914', 'Dec 14 17:33:04 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Jan 1 03:12:48 1914', 'Oct 3 13:59:59 1931', 'Jan 1 00:12:48 1914', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 3 14:00:00 1931', 'Apr 1 01:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Apr 1 02:00:00 1932', 'Oct 3 02:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 3 03:00:00 1932', 'Apr 1 01:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Apr 1 02:00:00 1933', 'Dec 1 02:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Dec 1 03:00:00 1949', 'Apr 16 02:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Apr 16 03:00:00 1950', 'Dec 1 02:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Dec 1 03:00:00 1950', 'Apr 1 01:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Apr 1 02:00:00 1951', 'Dec 1 02:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Dec 1 03:00:00 1951', 'Apr 1 01:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Apr 1 02:00:00 1952', 'Dec 1 02:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Dec 1 03:00:00 1952', 'Mar 1 01:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Mar 1 02:00:00 1953', 'Dec 9 02:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Dec 9 03:00:00 1963', 'Mar 1 01:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Mar 1 02:00:00 1964', 'Jan 31 02:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Jan 31 03:00:00 1965', 'Mar 31 01:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Mar 31 02:00:00 1965', 'Dec 1 02:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Dec 1 03:00:00 1965', 'Mar 1 01:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Mar 1 02:00:00 1966', 'Nov 1 02:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Nov 1 03:00:00 1966', 'Mar 1 01:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Mar 1 02:00:00 1967', 'Nov 1 02:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Nov 1 03:00:00 1967', 'Mar 1 01:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Mar 1 02:00:00 1968', 'Nov 2 02:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 15 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Mar 15 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 14 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 14 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 7 02:00:00 1988', 'Oct 16 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Oct 15 23:59:59 1988');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 16 03:00:00 1988', 'Jan 29 01:59:59 1989', 'Oct 16 01:00:00 1988', 'Jan 28 23:59:59 1989');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Jan 29 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Jan 28 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 15 03:00:00 1989', 'Feb 11 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Feb 10 23:59:59 1990');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 11 02:00:00 1990', 'Oct 15 02:59:59 1995', 'Feb 10 23:00:00 1990', 'Oct 14 23:59:59 1995');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 15 03:00:00 1995', 'Feb 11 01:59:59 1996', 'Oct 15 01:00:00 1995', 'Feb 10 23:59:59 1996');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 11 02:00:00 1996', 'Oct 6 02:59:59 1996', 'Feb 10 23:00:00 1996', 'Oct 5 23:59:59 1996');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 6 03:00:00 1996', 'Feb 16 01:59:59 1997', 'Oct 6 01:00:00 1996', 'Feb 15 23:59:59 1997');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 16 02:00:00 1997', 'Oct 6 02:59:59 1997', 'Feb 15 23:00:00 1997', 'Oct 5 23:59:59 1997');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 6 03:00:00 1997', 'Mar 1 01:59:59 1998', 'Oct 6 01:00:00 1997', 'Feb 28 23:59:59 1998');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Mar 1 02:00:00 1998', 'Oct 11 02:59:59 1998', 'Feb 28 23:00:00 1998', 'Oct 10 23:59:59 1998');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 11 03:00:00 1998', 'Feb 21 01:59:59 1999', 'Oct 11 01:00:00 1998', 'Feb 20 23:59:59 1999');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 21 02:00:00 1999', 'Oct 10 02:59:59 1999', 'Feb 20 23:00:00 1999', 'Oct 9 23:59:59 1999');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 10 03:00:00 1999', 'Feb 20 01:59:59 2000', 'Oct 10 01:00:00 1999', 'Feb 19 23:59:59 2000');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 20 02:00:00 2000', 'Oct 8 02:59:59 2000', 'Feb 19 23:00:00 2000', 'Oct 7 23:59:59 2000');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 8 03:00:00 2000', 'Feb 18 01:59:59 2001', 'Oct 8 01:00:00 2000', 'Feb 17 23:59:59 2001');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 18 02:00:00 2001', 'Oct 14 02:59:59 2001', 'Feb 17 23:00:00 2001', 'Oct 13 23:59:59 2001');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 14 03:00:00 2001', 'Feb 17 01:59:59 2002', 'Oct 14 01:00:00 2001', 'Feb 16 23:59:59 2002');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 17 02:00:00 2002', 'Oct 13 02:59:59 2002', 'Feb 16 23:00:00 2002', 'Oct 12 23:59:59 2002');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 13 03:00:00 2002', 'Feb 16 01:59:59 2003', 'Oct 13 01:00:00 2002', 'Feb 15 23:59:59 2003');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 16 02:00:00 2003', 'Oct 12 02:59:59 2003', 'Feb 15 23:00:00 2003', 'Oct 11 23:59:59 2003');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 12 03:00:00 2003', 'Feb 15 01:59:59 2004', 'Oct 12 01:00:00 2003', 'Feb 14 23:59:59 2004');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 15 02:00:00 2004', 'Oct 10 02:59:59 2004', 'Feb 14 23:00:00 2004', 'Oct 9 23:59:59 2004');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 10 03:00:00 2004', 'Feb 20 01:59:59 2005', 'Oct 10 01:00:00 2004', 'Feb 19 23:59:59 2005');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 20 02:00:00 2005', 'Oct 9 02:59:59 2005', 'Feb 19 23:00:00 2005', 'Oct 8 23:59:59 2005');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 9 03:00:00 2005', 'Feb 19 01:59:59 2006', 'Oct 9 01:00:00 2005', 'Feb 18 23:59:59 2006');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 19 02:00:00 2006', 'Oct 8 02:59:59 2006', 'Feb 18 23:00:00 2006', 'Oct 7 23:59:59 2006');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 8 03:00:00 2006', 'Feb 18 01:59:59 2007', 'Oct 8 01:00:00 2006', 'Feb 17 23:59:59 2007');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 18 02:00:00 2007', 'Oct 14 02:59:59 2007', 'Feb 17 23:00:00 2007', 'Oct 13 23:59:59 2007');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 14 03:00:00 2007', 'Feb 17 01:59:59 2008', 'Oct 14 01:00:00 2007', 'Feb 16 23:59:59 2008');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 17 02:00:00 2008', 'Oct 12 02:59:59 2008', 'Feb 16 23:00:00 2008', 'Oct 11 23:59:59 2008');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 12 03:00:00 2008', 'Feb 15 01:59:59 2009', 'Oct 12 01:00:00 2008', 'Feb 14 23:59:59 2009');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 15 02:00:00 2009', 'Oct 11 02:59:59 2009', 'Feb 14 23:00:00 2009', 'Oct 10 23:59:59 2009');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 11 03:00:00 2009', 'Feb 21 01:59:59 2010', 'Oct 11 01:00:00 2009', 'Feb 20 23:59:59 2010');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 21 02:00:00 2010', 'Oct 10 02:59:59 2010', 'Feb 20 23:00:00 2010', 'Oct 9 23:59:59 2010');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 10 03:00:00 2010', 'Feb 20 01:59:59 2011', 'Oct 10 01:00:00 2010', 'Feb 19 23:59:59 2011');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 20 02:00:00 2011', 'Oct 9 02:59:59 2011', 'Feb 19 23:00:00 2011', 'Oct 8 23:59:59 2011');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 9 03:00:00 2011', 'Feb 19 01:59:59 2012', 'Oct 9 01:00:00 2011', 'Feb 18 23:59:59 2012');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 19 02:00:00 2012', 'Oct 14 02:59:59 2012', 'Feb 18 23:00:00 2012', 'Oct 13 23:59:59 2012');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 14 03:00:00 2012', 'Feb 17 01:59:59 2013', 'Oct 14 01:00:00 2012', 'Feb 16 23:59:59 2013');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 17 02:00:00 2013', 'Oct 13 02:59:59 2013', 'Feb 16 23:00:00 2013', 'Oct 12 23:59:59 2013');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 13 03:00:00 2013', 'Feb 16 01:59:59 2014', 'Oct 13 01:00:00 2013', 'Feb 15 23:59:59 2014');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 16 02:00:00 2014', 'Oct 12 02:59:59 2014', 'Feb 15 23:00:00 2014', 'Oct 11 23:59:59 2014');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 12 03:00:00 2014', 'Feb 15 01:59:59 2015', 'Oct 12 01:00:00 2014', 'Feb 14 23:59:59 2015');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 15 02:00:00 2015', 'Oct 11 02:59:59 2015', 'Feb 14 23:00:00 2015', 'Oct 10 23:59:59 2015');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 11 03:00:00 2015', 'Feb 21 01:59:59 2016', 'Oct 11 01:00:00 2015', 'Feb 20 23:59:59 2016');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 21 02:00:00 2016', 'Oct 9 02:59:59 2016', 'Feb 20 23:00:00 2016', 'Oct 8 23:59:59 2016');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 9 03:00:00 2016', 'Feb 19 01:59:59 2017', 'Oct 9 01:00:00 2016', 'Feb 18 23:59:59 2017');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 19 02:00:00 2017', 'Oct 8 02:59:59 2017', 'Feb 18 23:00:00 2017', 'Oct 7 23:59:59 2017');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 8 03:00:00 2017', 'Feb 18 01:59:59 2018', 'Oct 8 01:00:00 2017', 'Feb 17 23:59:59 2018');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 18 02:00:00 2018', 'Oct 14 02:59:59 2018', 'Feb 17 23:00:00 2018', 'Oct 13 23:59:59 2018');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 14 03:00:00 2018', 'Feb 17 01:59:59 2019', 'Oct 14 01:00:00 2018', 'Feb 16 23:59:59 2019');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 17 02:00:00 2019', 'Oct 13 02:59:59 2019', 'Feb 16 23:00:00 2019', 'Oct 12 23:59:59 2019');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 13 03:00:00 2019', 'Feb 16 01:59:59 2020', 'Oct 13 01:00:00 2019', 'Feb 15 23:59:59 2020');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 16 02:00:00 2020', 'Oct 11 02:59:59 2020', 'Feb 15 23:00:00 2020', 'Oct 10 23:59:59 2020');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 11 03:00:00 2020', 'Feb 21 01:59:59 2021', 'Oct 11 01:00:00 2020', 'Feb 20 23:59:59 2021');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 21 02:00:00 2021', 'Oct 10 02:59:59 2021', 'Feb 20 23:00:00 2021', 'Oct 9 23:59:59 2021');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 10 03:00:00 2021', 'Feb 20 01:59:59 2022', 'Oct 10 01:00:00 2021', 'Feb 19 23:59:59 2022');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 20 02:00:00 2022', 'Oct 9 02:59:59 2022', 'Feb 19 23:00:00 2022', 'Oct 8 23:59:59 2022');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 9 03:00:00 2022', 'Feb 19 01:59:59 2023', 'Oct 9 01:00:00 2022', 'Feb 18 23:59:59 2023');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 19 02:00:00 2023', 'Oct 8 02:59:59 2023', 'Feb 18 23:00:00 2023', 'Oct 7 23:59:59 2023');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 8 03:00:00 2023', 'Feb 18 01:59:59 2024', 'Oct 8 01:00:00 2023', 'Feb 17 23:59:59 2024');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 18 02:00:00 2024', 'Oct 13 02:59:59 2024', 'Feb 17 23:00:00 2024', 'Oct 12 23:59:59 2024');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 13 03:00:00 2024', 'Feb 16 01:59:59 2025', 'Oct 13 01:00:00 2024', 'Feb 15 23:59:59 2025');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 16 02:00:00 2025', 'Oct 12 02:59:59 2025', 'Feb 15 23:00:00 2025', 'Oct 11 23:59:59 2025');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 12 03:00:00 2025', 'Feb 15 01:59:59 2026', 'Oct 12 01:00:00 2025', 'Feb 14 23:59:59 2026');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 15 02:00:00 2026', 'Oct 11 02:59:59 2026', 'Feb 14 23:00:00 2026', 'Oct 10 23:59:59 2026');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 11 03:00:00 2026', 'Feb 21 01:59:59 2027', 'Oct 11 01:00:00 2026', 'Feb 20 23:59:59 2027');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 21 02:00:00 2027', 'Oct 10 02:59:59 2027', 'Feb 20 23:00:00 2027', 'Oct 9 23:59:59 2027');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 10 03:00:00 2027', 'Feb 20 01:59:59 2028', 'Oct 10 01:00:00 2027', 'Feb 19 23:59:59 2028');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 20 02:00:00 2028', 'Oct 8 02:59:59 2028', 'Feb 19 23:00:00 2028', 'Oct 7 23:59:59 2028');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 8 03:00:00 2028', 'Feb 18 01:59:59 2029', 'Oct 8 01:00:00 2028', 'Feb 17 23:59:59 2029');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 18 02:00:00 2029', 'Oct 14 02:59:59 2029', 'Feb 17 23:00:00 2029', 'Oct 13 23:59:59 2029');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 14 03:00:00 2029', 'Feb 17 01:59:59 2030', 'Oct 14 01:00:00 2029', 'Feb 16 23:59:59 2030');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 17 02:00:00 2030', 'Oct 13 02:59:59 2030', 'Feb 16 23:00:00 2030', 'Oct 12 23:59:59 2030');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 13 03:00:00 2030', 'Feb 16 01:59:59 2031', 'Oct 13 01:00:00 2030', 'Feb 15 23:59:59 2031');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 16 02:00:00 2031', 'Oct 12 02:59:59 2031', 'Feb 15 23:00:00 2031', 'Oct 11 23:59:59 2031');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 12 03:00:00 2031', 'Feb 15 01:59:59 2032', 'Oct 12 01:00:00 2031', 'Feb 14 23:59:59 2032');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 15 02:00:00 2032', 'Oct 10 02:59:59 2032', 'Feb 14 23:00:00 2032', 'Oct 9 23:59:59 2032');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 10 03:00:00 2032', 'Feb 20 01:59:59 2033', 'Oct 10 01:00:00 2032', 'Feb 19 23:59:59 2033');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 20 02:00:00 2033', 'Oct 9 02:59:59 2033', 'Feb 19 23:00:00 2033', 'Oct 8 23:59:59 2033');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 9 03:00:00 2033', 'Feb 19 01:59:59 2034', 'Oct 9 01:00:00 2033', 'Feb 18 23:59:59 2034');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 19 02:00:00 2034', 'Oct 8 02:59:59 2034', 'Feb 18 23:00:00 2034', 'Oct 7 23:59:59 2034');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 8 03:00:00 2034', 'Feb 18 01:59:59 2035', 'Oct 8 01:00:00 2034', 'Feb 17 23:59:59 2035');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 18 02:00:00 2035', 'Oct 14 02:59:59 2035', 'Feb 17 23:00:00 2035', 'Oct 13 23:59:59 2035');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 14 03:00:00 2035', 'Feb 17 01:59:59 2036', 'Oct 14 01:00:00 2035', 'Feb 16 23:59:59 2036');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 17 02:00:00 2036', 'Oct 12 02:59:59 2036', 'Feb 16 23:00:00 2036', 'Oct 11 23:59:59 2036');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 12 03:00:00 2036', 'Feb 15 01:59:59 2037', 'Oct 12 01:00:00 2036', 'Feb 14 23:59:59 2037');
timezone.add_rule('America/Araguaina', 'BRT', 0, -10800, 'Feb 15 02:00:00 2037', 'Oct 11 02:59:59 2037', 'Feb 14 23:00:00 2037', 'Oct 10 23:59:59 2037');
timezone.add_rule('America/Araguaina', 'BRST', 1, -7200, 'Oct 11 03:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 11 01:00:00 2037', 'Jan 18 01:14:07 2038');
end;
/

--
-- America/Aruba
--

begin
timezone.add_rule('America/Aruba', 'AST', 0, -16824, 'Dec 14 20:45:52 1901', 'Feb 12 04:40:23 1912', 'Dec 14 16:05:28 1901', 'Feb 11 23:59:59 1912');
timezone.add_rule('America/Aruba', 'AST', 0, -16200, 'Feb 12 04:40:24 1912', 'Jan 1 04:29:59 1965', 'Feb 12 00:10:24 1912', 'Dec 31 23:59:59 1964');
timezone.add_rule('America/Aruba', 'AST', 0, -14400, 'Jan 1 04:30:00 1965', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1965', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Asuncion
--

begin
timezone.add_rule('America/Asuncion', 'PYT', 0, -13840, 'Dec 14 20:45:52 1901', 'Oct 10 03:50:39 1931', 'Dec 14 16:55:12 1901', 'Oct 9 23:59:59 1931');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Oct 10 03:50:40 1931', 'Oct 1 03:59:59 1972', 'Oct 9 23:50:40 1931', 'Sep 30 23:59:59 1972');
timezone.add_rule('America/Asuncion', 'PYT', 0, -10800, 'Oct 1 04:00:00 1972', 'Apr 1 02:59:59 1974', 'Oct 1 01:00:00 1972', 'Mar 31 23:59:59 1974');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1974', 'Oct 1 03:59:59 1975', 'Mar 31 23:00:00 1974', 'Sep 30 23:59:59 1975');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1975', 'Mar 1 02:59:59 1976', 'Oct 1 01:00:00 1975', 'Feb 29 23:59:59 1976');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Mar 1 03:00:00 1976', 'Oct 1 03:59:59 1976', 'Feb 29 23:00:00 1976', 'Sep 30 23:59:59 1976');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1976', 'Mar 1 02:59:59 1977', 'Oct 1 01:00:00 1976', 'Feb 28 23:59:59 1977');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Mar 1 03:00:00 1977', 'Oct 1 03:59:59 1977', 'Feb 28 23:00:00 1977', 'Sep 30 23:59:59 1977');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1977', 'Mar 1 02:59:59 1978', 'Oct 1 01:00:00 1977', 'Feb 28 23:59:59 1978');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Mar 1 03:00:00 1978', 'Oct 1 03:59:59 1978', 'Feb 28 23:00:00 1978', 'Sep 30 23:59:59 1978');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1978', 'Apr 1 02:59:59 1980', 'Oct 1 01:00:00 1978', 'Mar 31 23:59:59 1980');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1980', 'Oct 1 03:59:59 1980', 'Mar 31 23:00:00 1980', 'Sep 30 23:59:59 1980');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1980', 'Apr 1 02:59:59 1981', 'Oct 1 01:00:00 1980', 'Mar 31 23:59:59 1981');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1981', 'Oct 1 03:59:59 1981', 'Mar 31 23:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1981', 'Apr 1 02:59:59 1982', 'Oct 1 01:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1982', 'Oct 1 03:59:59 1982', 'Mar 31 23:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1982', 'Apr 1 02:59:59 1983', 'Oct 1 01:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1983', 'Oct 1 03:59:59 1983', 'Mar 31 23:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1983', 'Apr 1 02:59:59 1984', 'Oct 1 01:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1984', 'Oct 1 03:59:59 1984', 'Mar 31 23:00:00 1984', 'Sep 30 23:59:59 1984');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1984', 'Apr 1 02:59:59 1985', 'Oct 1 01:00:00 1984', 'Mar 31 23:59:59 1985');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1985', 'Oct 1 03:59:59 1985', 'Mar 31 23:00:00 1985', 'Sep 30 23:59:59 1985');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1985', 'Apr 1 02:59:59 1986', 'Oct 1 01:00:00 1985', 'Mar 31 23:59:59 1986');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1986', 'Oct 1 03:59:59 1986', 'Mar 31 23:00:00 1986', 'Sep 30 23:59:59 1986');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1986', 'Apr 1 02:59:59 1987', 'Oct 1 01:00:00 1986', 'Mar 31 23:59:59 1987');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1987', 'Oct 1 03:59:59 1987', 'Mar 31 23:00:00 1987', 'Sep 30 23:59:59 1987');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1987', 'Apr 1 02:59:59 1988', 'Oct 1 01:00:00 1987', 'Mar 31 23:59:59 1988');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1988', 'Oct 1 03:59:59 1988', 'Mar 31 23:00:00 1988', 'Sep 30 23:59:59 1988');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1988', 'Apr 1 02:59:59 1989', 'Oct 1 01:00:00 1988', 'Mar 31 23:59:59 1989');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1989', 'Oct 22 03:59:59 1989', 'Mar 31 23:00:00 1989', 'Oct 21 23:59:59 1989');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 22 04:00:00 1989', 'Apr 1 02:59:59 1990', 'Oct 22 01:00:00 1989', 'Mar 31 23:59:59 1990');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1990', 'Oct 1 03:59:59 1990', 'Mar 31 23:00:00 1990', 'Sep 30 23:59:59 1990');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1990', 'Apr 1 02:59:59 1991', 'Oct 1 01:00:00 1990', 'Mar 31 23:59:59 1991');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Apr 1 03:00:00 1991', 'Oct 6 03:59:59 1991', 'Mar 31 23:00:00 1991', 'Oct 5 23:59:59 1991');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 6 04:00:00 1991', 'Mar 1 02:59:59 1992', 'Oct 6 01:00:00 1991', 'Feb 29 23:59:59 1992');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Mar 1 03:00:00 1992', 'Oct 5 03:59:59 1992', 'Feb 29 23:00:00 1992', 'Oct 4 23:59:59 1992');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 5 04:00:00 1992', 'Mar 31 02:59:59 1993', 'Oct 5 01:00:00 1992', 'Mar 30 23:59:59 1993');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Mar 31 03:00:00 1993', 'Oct 1 03:59:59 1993', 'Mar 30 23:00:00 1993', 'Sep 30 23:59:59 1993');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1993', 'Feb 27 02:59:59 1994', 'Oct 1 01:00:00 1993', 'Feb 26 23:59:59 1994');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 27 03:00:00 1994', 'Oct 1 03:59:59 1994', 'Feb 26 23:00:00 1994', 'Sep 30 23:59:59 1994');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1994', 'Feb 26 02:59:59 1995', 'Oct 1 01:00:00 1994', 'Feb 25 23:59:59 1995');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 26 03:00:00 1995', 'Oct 1 03:59:59 1995', 'Feb 25 23:00:00 1995', 'Sep 30 23:59:59 1995');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 1995', 'Mar 1 02:59:59 1996', 'Oct 1 01:00:00 1995', 'Feb 29 23:59:59 1996');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Mar 1 03:00:00 1996', 'Oct 6 03:59:59 1996', 'Feb 29 23:00:00 1996', 'Oct 5 23:59:59 1996');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 6 04:00:00 1996', 'Mar 1 02:59:59 1997', 'Oct 6 01:00:00 1996', 'Feb 28 23:59:59 1997');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Mar 1 03:00:00 1997', 'Oct 5 03:59:59 1997', 'Feb 28 23:00:00 1997', 'Oct 4 23:59:59 1997');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 5 04:00:00 1997', 'Mar 1 02:59:59 1998', 'Oct 5 01:00:00 1997', 'Feb 28 23:59:59 1998');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Mar 1 03:00:00 1998', 'Oct 4 03:59:59 1998', 'Feb 28 23:00:00 1998', 'Oct 3 23:59:59 1998');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 4 04:00:00 1998', 'Feb 28 02:59:59 1999', 'Oct 4 01:00:00 1998', 'Feb 27 23:59:59 1999');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 28 03:00:00 1999', 'Oct 3 03:59:59 1999', 'Feb 27 23:00:00 1999', 'Oct 2 23:59:59 1999');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 3 04:00:00 1999', 'Feb 27 02:59:59 2000', 'Oct 3 01:00:00 1999', 'Feb 26 23:59:59 2000');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 27 03:00:00 2000', 'Oct 1 03:59:59 2000', 'Feb 26 23:00:00 2000', 'Sep 30 23:59:59 2000');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 2000', 'Feb 25 02:59:59 2001', 'Oct 1 01:00:00 2000', 'Feb 24 23:59:59 2001');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 25 03:00:00 2001', 'Oct 7 03:59:59 2001', 'Feb 24 23:00:00 2001', 'Oct 6 23:59:59 2001');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 7 04:00:00 2001', 'Feb 24 02:59:59 2002', 'Oct 7 01:00:00 2001', 'Feb 23 23:59:59 2002');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 24 03:00:00 2002', 'Oct 6 03:59:59 2002', 'Feb 23 23:00:00 2002', 'Oct 5 23:59:59 2002');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 6 04:00:00 2002', 'Feb 23 02:59:59 2003', 'Oct 6 01:00:00 2002', 'Feb 22 23:59:59 2003');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 23 03:00:00 2003', 'Oct 5 03:59:59 2003', 'Feb 22 23:00:00 2003', 'Oct 4 23:59:59 2003');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 5 04:00:00 2003', 'Feb 29 02:59:59 2004', 'Oct 5 01:00:00 2003', 'Feb 28 23:59:59 2004');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 29 03:00:00 2004', 'Oct 3 03:59:59 2004', 'Feb 28 23:00:00 2004', 'Oct 2 23:59:59 2004');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 3 04:00:00 2004', 'Feb 27 02:59:59 2005', 'Oct 3 01:00:00 2004', 'Feb 26 23:59:59 2005');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 27 03:00:00 2005', 'Oct 2 03:59:59 2005', 'Feb 26 23:00:00 2005', 'Oct 1 23:59:59 2005');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 2 04:00:00 2005', 'Feb 26 02:59:59 2006', 'Oct 2 01:00:00 2005', 'Feb 25 23:59:59 2006');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 26 03:00:00 2006', 'Oct 1 03:59:59 2006', 'Feb 25 23:00:00 2006', 'Sep 30 23:59:59 2006');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 2006', 'Feb 25 02:59:59 2007', 'Oct 1 01:00:00 2006', 'Feb 24 23:59:59 2007');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 25 03:00:00 2007', 'Oct 7 03:59:59 2007', 'Feb 24 23:00:00 2007', 'Oct 6 23:59:59 2007');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 7 04:00:00 2007', 'Feb 24 02:59:59 2008', 'Oct 7 01:00:00 2007', 'Feb 23 23:59:59 2008');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 24 03:00:00 2008', 'Oct 5 03:59:59 2008', 'Feb 23 23:00:00 2008', 'Oct 4 23:59:59 2008');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 5 04:00:00 2008', 'Feb 22 02:59:59 2009', 'Oct 5 01:00:00 2008', 'Feb 21 23:59:59 2009');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 22 03:00:00 2009', 'Oct 4 03:59:59 2009', 'Feb 21 23:00:00 2009', 'Oct 3 23:59:59 2009');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 4 04:00:00 2009', 'Feb 28 02:59:59 2010', 'Oct 4 01:00:00 2009', 'Feb 27 23:59:59 2010');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 28 03:00:00 2010', 'Oct 3 03:59:59 2010', 'Feb 27 23:00:00 2010', 'Oct 2 23:59:59 2010');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 3 04:00:00 2010', 'Feb 27 02:59:59 2011', 'Oct 3 01:00:00 2010', 'Feb 26 23:59:59 2011');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 27 03:00:00 2011', 'Oct 2 03:59:59 2011', 'Feb 26 23:00:00 2011', 'Oct 1 23:59:59 2011');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 2 04:00:00 2011', 'Feb 26 02:59:59 2012', 'Oct 2 01:00:00 2011', 'Feb 25 23:59:59 2012');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 26 03:00:00 2012', 'Oct 7 03:59:59 2012', 'Feb 25 23:00:00 2012', 'Oct 6 23:59:59 2012');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 7 04:00:00 2012', 'Feb 24 02:59:59 2013', 'Oct 7 01:00:00 2012', 'Feb 23 23:59:59 2013');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 24 03:00:00 2013', 'Oct 6 03:59:59 2013', 'Feb 23 23:00:00 2013', 'Oct 5 23:59:59 2013');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 6 04:00:00 2013', 'Feb 23 02:59:59 2014', 'Oct 6 01:00:00 2013', 'Feb 22 23:59:59 2014');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 23 03:00:00 2014', 'Oct 5 03:59:59 2014', 'Feb 22 23:00:00 2014', 'Oct 4 23:59:59 2014');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 5 04:00:00 2014', 'Feb 22 02:59:59 2015', 'Oct 5 01:00:00 2014', 'Feb 21 23:59:59 2015');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 22 03:00:00 2015', 'Oct 4 03:59:59 2015', 'Feb 21 23:00:00 2015', 'Oct 3 23:59:59 2015');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 4 04:00:00 2015', 'Feb 28 02:59:59 2016', 'Oct 4 01:00:00 2015', 'Feb 27 23:59:59 2016');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 28 03:00:00 2016', 'Oct 2 03:59:59 2016', 'Feb 27 23:00:00 2016', 'Oct 1 23:59:59 2016');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 2 04:00:00 2016', 'Feb 26 02:59:59 2017', 'Oct 2 01:00:00 2016', 'Feb 25 23:59:59 2017');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 26 03:00:00 2017', 'Oct 1 03:59:59 2017', 'Feb 25 23:00:00 2017', 'Sep 30 23:59:59 2017');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 2017', 'Feb 25 02:59:59 2018', 'Oct 1 01:00:00 2017', 'Feb 24 23:59:59 2018');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 25 03:00:00 2018', 'Oct 7 03:59:59 2018', 'Feb 24 23:00:00 2018', 'Oct 6 23:59:59 2018');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 7 04:00:00 2018', 'Feb 24 02:59:59 2019', 'Oct 7 01:00:00 2018', 'Feb 23 23:59:59 2019');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 24 03:00:00 2019', 'Oct 6 03:59:59 2019', 'Feb 23 23:00:00 2019', 'Oct 5 23:59:59 2019');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 6 04:00:00 2019', 'Feb 23 02:59:59 2020', 'Oct 6 01:00:00 2019', 'Feb 22 23:59:59 2020');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 23 03:00:00 2020', 'Oct 4 03:59:59 2020', 'Feb 22 23:00:00 2020', 'Oct 3 23:59:59 2020');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 4 04:00:00 2020', 'Feb 28 02:59:59 2021', 'Oct 4 01:00:00 2020', 'Feb 27 23:59:59 2021');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 28 03:00:00 2021', 'Oct 3 03:59:59 2021', 'Feb 27 23:00:00 2021', 'Oct 2 23:59:59 2021');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 3 04:00:00 2021', 'Feb 27 02:59:59 2022', 'Oct 3 01:00:00 2021', 'Feb 26 23:59:59 2022');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 27 03:00:00 2022', 'Oct 2 03:59:59 2022', 'Feb 26 23:00:00 2022', 'Oct 1 23:59:59 2022');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 2 04:00:00 2022', 'Feb 26 02:59:59 2023', 'Oct 2 01:00:00 2022', 'Feb 25 23:59:59 2023');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 26 03:00:00 2023', 'Oct 1 03:59:59 2023', 'Feb 25 23:00:00 2023', 'Sep 30 23:59:59 2023');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 2023', 'Feb 25 02:59:59 2024', 'Oct 1 01:00:00 2023', 'Feb 24 23:59:59 2024');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 25 03:00:00 2024', 'Oct 6 03:59:59 2024', 'Feb 24 23:00:00 2024', 'Oct 5 23:59:59 2024');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 6 04:00:00 2024', 'Feb 23 02:59:59 2025', 'Oct 6 01:00:00 2024', 'Feb 22 23:59:59 2025');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 23 03:00:00 2025', 'Oct 5 03:59:59 2025', 'Feb 22 23:00:00 2025', 'Oct 4 23:59:59 2025');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 5 04:00:00 2025', 'Feb 22 02:59:59 2026', 'Oct 5 01:00:00 2025', 'Feb 21 23:59:59 2026');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 22 03:00:00 2026', 'Oct 4 03:59:59 2026', 'Feb 21 23:00:00 2026', 'Oct 3 23:59:59 2026');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 4 04:00:00 2026', 'Feb 28 02:59:59 2027', 'Oct 4 01:00:00 2026', 'Feb 27 23:59:59 2027');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 28 03:00:00 2027', 'Oct 3 03:59:59 2027', 'Feb 27 23:00:00 2027', 'Oct 2 23:59:59 2027');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 3 04:00:00 2027', 'Feb 27 02:59:59 2028', 'Oct 3 01:00:00 2027', 'Feb 26 23:59:59 2028');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 27 03:00:00 2028', 'Oct 1 03:59:59 2028', 'Feb 26 23:00:00 2028', 'Sep 30 23:59:59 2028');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 2028', 'Feb 25 02:59:59 2029', 'Oct 1 01:00:00 2028', 'Feb 24 23:59:59 2029');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 25 03:00:00 2029', 'Oct 7 03:59:59 2029', 'Feb 24 23:00:00 2029', 'Oct 6 23:59:59 2029');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 7 04:00:00 2029', 'Feb 24 02:59:59 2030', 'Oct 7 01:00:00 2029', 'Feb 23 23:59:59 2030');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 24 03:00:00 2030', 'Oct 6 03:59:59 2030', 'Feb 23 23:00:00 2030', 'Oct 5 23:59:59 2030');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 6 04:00:00 2030', 'Feb 23 02:59:59 2031', 'Oct 6 01:00:00 2030', 'Feb 22 23:59:59 2031');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 23 03:00:00 2031', 'Oct 5 03:59:59 2031', 'Feb 22 23:00:00 2031', 'Oct 4 23:59:59 2031');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 5 04:00:00 2031', 'Feb 29 02:59:59 2032', 'Oct 5 01:00:00 2031', 'Feb 28 23:59:59 2032');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 29 03:00:00 2032', 'Oct 3 03:59:59 2032', 'Feb 28 23:00:00 2032', 'Oct 2 23:59:59 2032');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 3 04:00:00 2032', 'Feb 27 02:59:59 2033', 'Oct 3 01:00:00 2032', 'Feb 26 23:59:59 2033');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 27 03:00:00 2033', 'Oct 2 03:59:59 2033', 'Feb 26 23:00:00 2033', 'Oct 1 23:59:59 2033');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 2 04:00:00 2033', 'Feb 26 02:59:59 2034', 'Oct 2 01:00:00 2033', 'Feb 25 23:59:59 2034');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 26 03:00:00 2034', 'Oct 1 03:59:59 2034', 'Feb 25 23:00:00 2034', 'Sep 30 23:59:59 2034');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 1 04:00:00 2034', 'Feb 25 02:59:59 2035', 'Oct 1 01:00:00 2034', 'Feb 24 23:59:59 2035');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 25 03:00:00 2035', 'Oct 7 03:59:59 2035', 'Feb 24 23:00:00 2035', 'Oct 6 23:59:59 2035');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 7 04:00:00 2035', 'Feb 24 02:59:59 2036', 'Oct 7 01:00:00 2035', 'Feb 23 23:59:59 2036');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 24 03:00:00 2036', 'Oct 5 03:59:59 2036', 'Feb 23 23:00:00 2036', 'Oct 4 23:59:59 2036');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 5 04:00:00 2036', 'Feb 22 02:59:59 2037', 'Oct 5 01:00:00 2036', 'Feb 21 23:59:59 2037');
timezone.add_rule('America/Asuncion', 'PYT', 0, -14400, 'Feb 22 03:00:00 2037', 'Oct 4 03:59:59 2037', 'Feb 21 23:00:00 2037', 'Oct 3 23:59:59 2037');
timezone.add_rule('America/Asuncion', 'PYST', 1, -10800, 'Oct 4 04:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 4 01:00:00 2037', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Atka
--

begin
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Dec 14 20:45:52 1901', 'Feb 9 12:59:59 1942', 'Dec 14 09:45:52 1901', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Feb 9 13:00:00 1942', 'Sep 30 11:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Sep 30 12:00:00 1945', 'Apr 27 12:59:59 1969', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 27 13:00:00 1969', 'Oct 26 11:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 26 12:00:00 1969', 'Apr 26 12:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 26 13:00:00 1970', 'Oct 25 11:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 25 12:00:00 1970', 'Apr 25 12:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 25 13:00:00 1971', 'Oct 31 11:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 31 12:00:00 1971', 'Apr 30 12:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 30 13:00:00 1972', 'Oct 29 11:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 29 12:00:00 1972', 'Apr 29 12:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 29 13:00:00 1973', 'Oct 28 11:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 28 12:00:00 1973', 'Jan 6 12:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Jan 6 13:00:00 1974', 'Oct 27 11:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 27 12:00:00 1974', 'Feb 23 12:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Feb 23 13:00:00 1975', 'Oct 26 11:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 26 12:00:00 1975', 'Apr 25 12:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 25 13:00:00 1976', 'Oct 31 11:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 31 12:00:00 1976', 'Apr 24 12:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 24 13:00:00 1977', 'Oct 30 11:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 30 12:00:00 1977', 'Apr 30 12:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 30 13:00:00 1978', 'Oct 29 11:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 29 12:00:00 1978', 'Apr 29 12:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 29 13:00:00 1979', 'Oct 28 11:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 28 12:00:00 1979', 'Apr 27 12:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 27 13:00:00 1980', 'Oct 26 11:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 26 12:00:00 1980', 'Apr 26 12:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 26 13:00:00 1981', 'Oct 25 11:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 25 12:00:00 1981', 'Apr 25 12:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 25 13:00:00 1982', 'Oct 31 11:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Atka', 'HAST', 0, -39600, 'Oct 31 12:00:00 1982', 'Apr 24 12:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Atka', 'HADT', 1, -36000, 'Apr 24 13:00:00 1983', 'Oct 30 11:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 30 12:00:00 1983', 'Apr 29 11:59:59 1984', 'Oct 30 02:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 29 12:00:00 1984', 'Oct 28 10:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 28 11:00:00 1984', 'Apr 28 11:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 28 12:00:00 1985', 'Oct 27 10:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 27 11:00:00 1985', 'Apr 27 11:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 27 12:00:00 1986', 'Oct 26 10:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 26 11:00:00 1986', 'Apr 5 11:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 5 12:00:00 1987', 'Oct 25 10:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 25 11:00:00 1987', 'Apr 3 11:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 3 12:00:00 1988', 'Oct 30 10:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 30 11:00:00 1988', 'Apr 2 11:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 2 12:00:00 1989', 'Oct 29 10:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 29 11:00:00 1989', 'Apr 1 11:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 1 12:00:00 1990', 'Oct 28 10:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 28 11:00:00 1990', 'Apr 7 11:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 7 12:00:00 1991', 'Oct 27 10:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 27 11:00:00 1991', 'Apr 5 11:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 5 12:00:00 1992', 'Oct 25 10:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 25 11:00:00 1992', 'Apr 4 11:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 4 12:00:00 1993', 'Oct 31 10:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 31 11:00:00 1993', 'Apr 3 11:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 3 12:00:00 1994', 'Oct 30 10:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 30 11:00:00 1994', 'Apr 2 11:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 2 12:00:00 1995', 'Oct 29 10:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 29 11:00:00 1995', 'Apr 7 11:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 7 12:00:00 1996', 'Oct 27 10:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 27 11:00:00 1996', 'Apr 6 11:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 6 12:00:00 1997', 'Oct 26 10:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 26 11:00:00 1997', 'Apr 5 11:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 5 12:00:00 1998', 'Oct 25 10:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 25 11:00:00 1998', 'Apr 4 11:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 4 12:00:00 1999', 'Oct 31 10:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 31 11:00:00 1999', 'Apr 2 11:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 2 12:00:00 2000', 'Oct 29 10:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 29 11:00:00 2000', 'Apr 1 11:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 1 12:00:00 2001', 'Oct 28 10:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 28 11:00:00 2001', 'Apr 7 11:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 7 12:00:00 2002', 'Oct 27 10:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 27 11:00:00 2002', 'Apr 6 11:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 6 12:00:00 2003', 'Oct 26 10:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 26 11:00:00 2003', 'Apr 4 11:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 4 12:00:00 2004', 'Oct 31 10:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 31 11:00:00 2004', 'Apr 3 11:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 3 12:00:00 2005', 'Oct 30 10:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 30 11:00:00 2005', 'Apr 2 11:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 2 12:00:00 2006', 'Oct 29 10:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 29 11:00:00 2006', 'Apr 1 11:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 1 12:00:00 2007', 'Oct 28 10:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 28 11:00:00 2007', 'Apr 6 11:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 6 12:00:00 2008', 'Oct 26 10:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 26 11:00:00 2008', 'Apr 5 11:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 5 12:00:00 2009', 'Oct 25 10:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 25 11:00:00 2009', 'Apr 4 11:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 4 12:00:00 2010', 'Oct 31 10:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 31 11:00:00 2010', 'Apr 3 11:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 3 12:00:00 2011', 'Oct 30 10:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 30 11:00:00 2011', 'Apr 1 11:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 1 12:00:00 2012', 'Oct 28 10:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 28 11:00:00 2012', 'Apr 7 11:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 7 12:00:00 2013', 'Oct 27 10:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 27 11:00:00 2013', 'Apr 6 11:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 6 12:00:00 2014', 'Oct 26 10:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 26 11:00:00 2014', 'Apr 5 11:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 5 12:00:00 2015', 'Oct 25 10:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 25 11:00:00 2015', 'Apr 3 11:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 3 12:00:00 2016', 'Oct 30 10:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 30 11:00:00 2016', 'Apr 2 11:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 2 12:00:00 2017', 'Oct 29 10:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 29 11:00:00 2017', 'Apr 1 11:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 1 12:00:00 2018', 'Oct 28 10:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 28 11:00:00 2018', 'Apr 7 11:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 7 12:00:00 2019', 'Oct 27 10:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 27 11:00:00 2019', 'Apr 5 11:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 5 12:00:00 2020', 'Oct 25 10:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 25 11:00:00 2020', 'Apr 4 11:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 4 12:00:00 2021', 'Oct 31 10:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 31 11:00:00 2021', 'Apr 3 11:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 3 12:00:00 2022', 'Oct 30 10:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 30 11:00:00 2022', 'Apr 2 11:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 2 12:00:00 2023', 'Oct 29 10:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 29 11:00:00 2023', 'Apr 7 11:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 7 12:00:00 2024', 'Oct 27 10:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 27 11:00:00 2024', 'Apr 6 11:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 6 12:00:00 2025', 'Oct 26 10:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 26 11:00:00 2025', 'Apr 5 11:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 5 12:00:00 2026', 'Oct 25 10:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 25 11:00:00 2026', 'Apr 4 11:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 4 12:00:00 2027', 'Oct 31 10:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 31 11:00:00 2027', 'Apr 2 11:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 2 12:00:00 2028', 'Oct 29 10:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 29 11:00:00 2028', 'Apr 1 11:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 1 12:00:00 2029', 'Oct 28 10:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 28 11:00:00 2029', 'Apr 7 11:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 7 12:00:00 2030', 'Oct 27 10:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 27 11:00:00 2030', 'Apr 6 11:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 6 12:00:00 2031', 'Oct 26 10:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 26 11:00:00 2031', 'Apr 4 11:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 4 12:00:00 2032', 'Oct 31 10:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 31 11:00:00 2032', 'Apr 3 11:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 3 12:00:00 2033', 'Oct 30 10:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 30 11:00:00 2033', 'Apr 2 11:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 2 12:00:00 2034', 'Oct 29 10:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 29 11:00:00 2034', 'Apr 1 11:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 1 12:00:00 2035', 'Oct 28 10:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 28 11:00:00 2035', 'Apr 6 11:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 6 12:00:00 2036', 'Oct 26 10:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 26 11:00:00 2036', 'Apr 5 11:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Atka', 'HADT', 1, -32400, 'Apr 5 12:00:00 2037', 'Oct 25 10:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Atka', 'HAST', 0, -36000, 'Oct 25 11:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 17:14:07 2038');
end;
/

--
-- America/Barbados
--

begin
timezone.add_rule('America/Barbados', 'AST', 0, -14308, 'Dec 14 20:45:52 1901', 'Jan 1 03:58:27 1932', 'Dec 14 16:47:24 1901', 'Dec 31 23:59:59 1931');
timezone.add_rule('America/Barbados', 'AST', 0, -14400, 'Jan 1 03:58:28 1932', 'Jun 12 05:59:59 1977', 'Dec 31 23:58:28 1931', 'Jun 12 01:59:59 1977');
timezone.add_rule('America/Barbados', 'ADT', 1, -10800, 'Jun 12 06:00:00 1977', 'Oct 2 04:59:59 1977', 'Jun 12 03:00:00 1977', 'Oct 2 01:59:59 1977');
timezone.add_rule('America/Barbados', 'AST', 0, -14400, 'Oct 2 05:00:00 1977', 'Apr 16 05:59:59 1978', 'Oct 2 01:00:00 1977', 'Apr 16 01:59:59 1978');
timezone.add_rule('America/Barbados', 'ADT', 1, -10800, 'Apr 16 06:00:00 1978', 'Oct 1 04:59:59 1978', 'Apr 16 03:00:00 1978', 'Oct 1 01:59:59 1978');
timezone.add_rule('America/Barbados', 'AST', 0, -14400, 'Oct 1 05:00:00 1978', 'Apr 15 05:59:59 1979', 'Oct 1 01:00:00 1978', 'Apr 15 01:59:59 1979');
timezone.add_rule('America/Barbados', 'ADT', 1, -10800, 'Apr 15 06:00:00 1979', 'Sep 30 04:59:59 1979', 'Apr 15 03:00:00 1979', 'Sep 30 01:59:59 1979');
timezone.add_rule('America/Barbados', 'AST', 0, -14400, 'Sep 30 05:00:00 1979', 'Apr 20 05:59:59 1980', 'Sep 30 01:00:00 1979', 'Apr 20 01:59:59 1980');
timezone.add_rule('America/Barbados', 'ADT', 1, -10800, 'Apr 20 06:00:00 1980', 'Sep 25 04:59:59 1980', 'Apr 20 03:00:00 1980', 'Sep 25 01:59:59 1980');
timezone.add_rule('America/Barbados', 'AST', 0, -14400, 'Sep 25 05:00:00 1980', 'Jan 18 03:14:07 2038', 'Sep 25 01:00:00 1980', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Belem
--

begin
timezone.add_rule('America/Belem', 'BRT', 0, -11636, 'Dec 14 20:45:52 1901', 'Jan 1 03:13:55 1914', 'Dec 14 17:31:56 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Jan 1 03:13:56 1914', 'Oct 3 13:59:59 1931', 'Jan 1 00:13:56 1914', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Oct 3 14:00:00 1931', 'Apr 1 01:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Apr 1 02:00:00 1932', 'Oct 3 02:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Oct 3 03:00:00 1932', 'Apr 1 01:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Apr 1 02:00:00 1933', 'Dec 1 02:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Dec 1 03:00:00 1949', 'Apr 16 02:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Apr 16 03:00:00 1950', 'Dec 1 02:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Dec 1 03:00:00 1950', 'Apr 1 01:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Apr 1 02:00:00 1951', 'Dec 1 02:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Dec 1 03:00:00 1951', 'Apr 1 01:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Apr 1 02:00:00 1952', 'Dec 1 02:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Dec 1 03:00:00 1952', 'Mar 1 01:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Mar 1 02:00:00 1953', 'Dec 9 02:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Dec 9 03:00:00 1963', 'Mar 1 01:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Mar 1 02:00:00 1964', 'Jan 31 02:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Jan 31 03:00:00 1965', 'Mar 31 01:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Mar 31 02:00:00 1965', 'Dec 1 02:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Dec 1 03:00:00 1965', 'Mar 1 01:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Mar 1 02:00:00 1966', 'Nov 1 02:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Nov 1 03:00:00 1966', 'Mar 1 01:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Mar 1 02:00:00 1967', 'Nov 1 02:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Nov 1 03:00:00 1967', 'Mar 1 01:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Mar 1 02:00:00 1968', 'Nov 2 02:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 15 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Mar 15 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 14 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Feb 14 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Belem', 'BRST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Belem', 'BRT', 0, -10800, 'Feb 7 02:00:00 1988', 'Jan 18 03:14:07 2038', 'Feb 6 23:00:00 1988', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Belize
--

begin
timezone.add_rule('America/Belize', 'CST', 0, -21168, 'Dec 14 20:45:52 1901', 'Apr 1 05:52:47 1912', 'Dec 14 14:53:04 1901', 'Mar 31 23:59:59 1912');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Apr 1 05:52:48 1912', 'Oct 6 05:59:59 1918', 'Mar 31 23:52:48 1912', 'Oct 5 23:59:59 1918');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 6 06:00:00 1918', 'Feb 9 05:29:59 1919', 'Oct 6 00:30:00 1918', 'Feb 8 23:59:59 1919');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 9 05:30:00 1919', 'Oct 5 05:59:59 1919', 'Feb 8 23:30:00 1919', 'Oct 4 23:59:59 1919');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 5 06:00:00 1919', 'Feb 15 05:29:59 1920', 'Oct 5 00:30:00 1919', 'Feb 14 23:59:59 1920');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 15 05:30:00 1920', 'Oct 3 05:59:59 1920', 'Feb 14 23:30:00 1920', 'Oct 2 23:59:59 1920');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 3 06:00:00 1920', 'Feb 13 05:29:59 1921', 'Oct 3 00:30:00 1920', 'Feb 12 23:59:59 1921');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 13 05:30:00 1921', 'Oct 2 05:59:59 1921', 'Feb 12 23:30:00 1921', 'Oct 1 23:59:59 1921');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 2 06:00:00 1921', 'Feb 12 05:29:59 1922', 'Oct 2 00:30:00 1921', 'Feb 11 23:59:59 1922');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 12 05:30:00 1922', 'Oct 8 05:59:59 1922', 'Feb 11 23:30:00 1922', 'Oct 7 23:59:59 1922');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 8 06:00:00 1922', 'Feb 11 05:29:59 1923', 'Oct 8 00:30:00 1922', 'Feb 10 23:59:59 1923');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 11 05:30:00 1923', 'Oct 7 05:59:59 1923', 'Feb 10 23:30:00 1923', 'Oct 6 23:59:59 1923');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 7 06:00:00 1923', 'Feb 10 05:29:59 1924', 'Oct 7 00:30:00 1923', 'Feb 9 23:59:59 1924');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 10 05:30:00 1924', 'Oct 5 05:59:59 1924', 'Feb 9 23:30:00 1924', 'Oct 4 23:59:59 1924');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 5 06:00:00 1924', 'Feb 15 05:29:59 1925', 'Oct 5 00:30:00 1924', 'Feb 14 23:59:59 1925');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 15 05:30:00 1925', 'Oct 4 05:59:59 1925', 'Feb 14 23:30:00 1925', 'Oct 3 23:59:59 1925');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 4 06:00:00 1925', 'Feb 14 05:29:59 1926', 'Oct 4 00:30:00 1925', 'Feb 13 23:59:59 1926');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 14 05:30:00 1926', 'Oct 3 05:59:59 1926', 'Feb 13 23:30:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 3 06:00:00 1926', 'Feb 13 05:29:59 1927', 'Oct 3 00:30:00 1926', 'Feb 12 23:59:59 1927');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 13 05:30:00 1927', 'Oct 2 05:59:59 1927', 'Feb 12 23:30:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 2 06:00:00 1927', 'Feb 12 05:29:59 1928', 'Oct 2 00:30:00 1927', 'Feb 11 23:59:59 1928');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 12 05:30:00 1928', 'Oct 7 05:59:59 1928', 'Feb 11 23:30:00 1928', 'Oct 6 23:59:59 1928');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 7 06:00:00 1928', 'Feb 10 05:29:59 1929', 'Oct 7 00:30:00 1928', 'Feb 9 23:59:59 1929');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 10 05:30:00 1929', 'Oct 6 05:59:59 1929', 'Feb 9 23:30:00 1929', 'Oct 5 23:59:59 1929');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 6 06:00:00 1929', 'Feb 9 05:29:59 1930', 'Oct 6 00:30:00 1929', 'Feb 8 23:59:59 1930');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 9 05:30:00 1930', 'Oct 5 05:59:59 1930', 'Feb 8 23:30:00 1930', 'Oct 4 23:59:59 1930');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 5 06:00:00 1930', 'Feb 15 05:29:59 1931', 'Oct 5 00:30:00 1930', 'Feb 14 23:59:59 1931');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 15 05:30:00 1931', 'Oct 4 05:59:59 1931', 'Feb 14 23:30:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 4 06:00:00 1931', 'Feb 14 05:29:59 1932', 'Oct 4 00:30:00 1931', 'Feb 13 23:59:59 1932');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 14 05:30:00 1932', 'Oct 2 05:59:59 1932', 'Feb 13 23:30:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 2 06:00:00 1932', 'Feb 12 05:29:59 1933', 'Oct 2 00:30:00 1932', 'Feb 11 23:59:59 1933');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 12 05:30:00 1933', 'Oct 8 05:59:59 1933', 'Feb 11 23:30:00 1933', 'Oct 7 23:59:59 1933');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 8 06:00:00 1933', 'Feb 11 05:29:59 1934', 'Oct 8 00:30:00 1933', 'Feb 10 23:59:59 1934');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 11 05:30:00 1934', 'Oct 7 05:59:59 1934', 'Feb 10 23:30:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 7 06:00:00 1934', 'Feb 10 05:29:59 1935', 'Oct 7 00:30:00 1934', 'Feb 9 23:59:59 1935');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 10 05:30:00 1935', 'Oct 6 05:59:59 1935', 'Feb 9 23:30:00 1935', 'Oct 5 23:59:59 1935');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 6 06:00:00 1935', 'Feb 9 05:29:59 1936', 'Oct 6 00:30:00 1935', 'Feb 8 23:59:59 1936');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 9 05:30:00 1936', 'Oct 4 05:59:59 1936', 'Feb 8 23:30:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 4 06:00:00 1936', 'Feb 14 05:29:59 1937', 'Oct 4 00:30:00 1936', 'Feb 13 23:59:59 1937');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 14 05:30:00 1937', 'Oct 3 05:59:59 1937', 'Feb 13 23:30:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 3 06:00:00 1937', 'Feb 13 05:29:59 1938', 'Oct 3 00:30:00 1937', 'Feb 12 23:59:59 1938');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 13 05:30:00 1938', 'Oct 2 05:59:59 1938', 'Feb 12 23:30:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 2 06:00:00 1938', 'Feb 12 05:29:59 1939', 'Oct 2 00:30:00 1938', 'Feb 11 23:59:59 1939');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 12 05:30:00 1939', 'Oct 8 05:59:59 1939', 'Feb 11 23:30:00 1939', 'Oct 7 23:59:59 1939');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 8 06:00:00 1939', 'Feb 11 05:29:59 1940', 'Oct 8 00:30:00 1939', 'Feb 10 23:59:59 1940');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 11 05:30:00 1940', 'Oct 6 05:59:59 1940', 'Feb 10 23:30:00 1940', 'Oct 5 23:59:59 1940');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 6 06:00:00 1940', 'Feb 9 05:29:59 1941', 'Oct 6 00:30:00 1940', 'Feb 8 23:59:59 1941');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 9 05:30:00 1941', 'Oct 5 05:59:59 1941', 'Feb 8 23:30:00 1941', 'Oct 4 23:59:59 1941');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 5 06:00:00 1941', 'Feb 15 05:29:59 1942', 'Oct 5 00:30:00 1941', 'Feb 14 23:59:59 1942');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 15 05:30:00 1942', 'Oct 4 05:59:59 1942', 'Feb 14 23:30:00 1942', 'Oct 3 23:59:59 1942');
timezone.add_rule('America/Belize', 'CDT', 1, -19800, 'Oct 4 06:00:00 1942', 'Feb 14 05:29:59 1943', 'Oct 4 00:30:00 1942', 'Feb 13 23:59:59 1943');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 14 05:30:00 1943', 'Dec 5 05:59:59 1973', 'Feb 13 23:30:00 1943', 'Dec 4 23:59:59 1973');
timezone.add_rule('America/Belize', 'CDT', 1, -18000, 'Dec 5 06:00:00 1973', 'Feb 9 04:59:59 1974', 'Dec 5 01:00:00 1973', 'Feb 8 23:59:59 1974');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 9 05:00:00 1974', 'Dec 18 05:59:59 1982', 'Feb 8 23:00:00 1974', 'Dec 17 23:59:59 1982');
timezone.add_rule('America/Belize', 'CDT', 1, -18000, 'Dec 18 06:00:00 1982', 'Feb 12 04:59:59 1983', 'Dec 18 01:00:00 1982', 'Feb 11 23:59:59 1983');
timezone.add_rule('America/Belize', 'CST', 0, -21600, 'Feb 12 05:00:00 1983', 'Jan 18 03:14:07 2038', 'Feb 11 23:00:00 1983', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Boa_Vista not installed
--

--
-- America/Bogota
--

begin
timezone.add_rule('America/Bogota', 'COT', 0, -17780, 'Dec 14 20:45:52 1901', 'Nov 23 04:56:19 1914', 'Dec 14 15:49:32 1901', 'Nov 22 23:59:59 1914');
timezone.add_rule('America/Bogota', 'COT', 0, -18000, 'Nov 23 04:56:20 1914', 'May 2 04:59:59 1992', 'Nov 22 23:56:20 1914', 'May 1 23:59:59 1992');
timezone.add_rule('America/Bogota', 'COST', 1, -14400, 'May 2 05:00:00 1992', 'Dec 31 03:59:59 1992', 'May 2 01:00:00 1992', 'Dec 30 23:59:59 1992');
timezone.add_rule('America/Bogota', 'COT', 0, -18000, 'Dec 31 04:00:00 1992', 'Jan 18 03:14:07 2038', 'Dec 30 23:00:00 1992', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Boise
--

begin
timezone.add_rule('America/Boise', 'MST', 0, -28800, 'Dec 14 20:45:52 1901', 'Mar 31 09:59:59 1918', 'Dec 14 12:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Boise', 'MDT', 1, -25200, 'Mar 31 10:00:00 1918', 'Oct 27 08:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Boise', 'MST', 0, -28800, 'Oct 27 09:00:00 1918', 'Mar 30 09:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Boise', 'MDT', 1, -25200, 'Mar 30 10:00:00 1919', 'Oct 26 08:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Boise', 'MST', 0, -28800, 'Oct 26 09:00:00 1919', 'May 13 09:59:59 1923', 'Oct 26 01:00:00 1919', 'May 13 01:59:59 1923');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'May 13 10:00:00 1923', 'Feb 9 08:59:59 1942', 'May 13 03:00:00 1923', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 30 08:59:59 1967', 'Sep 30 01:00:00 1945', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Apr 28 08:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 28 09:00:00 1968', 'Oct 27 07:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 1968', 'Apr 27 08:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 27 09:00:00 1969', 'Oct 26 07:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 1969', 'Apr 26 08:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 26 09:00:00 1970', 'Oct 25 07:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 1970', 'Apr 25 08:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 25 09:00:00 1971', 'Oct 31 07:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 1971', 'Apr 30 08:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 30 09:00:00 1972', 'Oct 29 07:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 1972', 'Apr 29 08:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 29 09:00:00 1973', 'Oct 28 07:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 1973', 'Feb 3 08:59:59 1974', 'Oct 28 01:00:00 1973', 'Feb 3 01:59:59 1974');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Feb 3 09:00:00 1974', 'Oct 27 07:59:59 1974', 'Feb 3 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 1974', 'Feb 23 08:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Feb 23 09:00:00 1975', 'Oct 26 07:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 1975', 'Apr 25 08:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 25 09:00:00 1976', 'Oct 31 07:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 1976', 'Apr 24 08:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 24 09:00:00 1977', 'Oct 30 07:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 30 08:00:00 1977', 'Apr 30 08:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 30 09:00:00 1978', 'Oct 29 07:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 1978', 'Apr 29 08:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 29 09:00:00 1979', 'Oct 28 07:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 1979', 'Apr 27 08:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Boise', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Boise', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- America/Buenos_Aires
--

begin
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -15404, 'Dec 14 20:45:52 1901', 'May 1 04:16:43 1920', 'Dec 14 16:29:08 1901', 'Apr 30 23:59:59 1920');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'May 1 04:16:44 1920', 'Dec 1 03:59:59 1930', 'May 1 00:16:44 1920', 'Nov 30 23:59:59 1930');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Dec 1 04:00:00 1930', 'Apr 1 02:59:59 1931', 'Dec 1 01:00:00 1930', 'Mar 31 23:59:59 1931');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Apr 1 03:00:00 1931', 'Oct 15 03:59:59 1931', 'Mar 31 23:00:00 1931', 'Oct 14 23:59:59 1931');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Oct 15 04:00:00 1931', 'Mar 1 02:59:59 1932', 'Oct 15 01:00:00 1931', 'Feb 29 23:59:59 1932');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1932', 'Nov 1 03:59:59 1932', 'Feb 29 23:00:00 1932', 'Oct 31 23:59:59 1932');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Nov 1 04:00:00 1932', 'Mar 1 02:59:59 1933', 'Nov 1 01:00:00 1932', 'Feb 28 23:59:59 1933');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1933', 'Nov 1 03:59:59 1933', 'Feb 28 23:00:00 1933', 'Oct 31 23:59:59 1933');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Nov 1 04:00:00 1933', 'Mar 1 02:59:59 1934', 'Nov 1 01:00:00 1933', 'Feb 28 23:59:59 1934');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1934', 'Nov 1 03:59:59 1934', 'Feb 28 23:00:00 1934', 'Oct 31 23:59:59 1934');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Nov 1 04:00:00 1934', 'Mar 1 02:59:59 1935', 'Nov 1 01:00:00 1934', 'Feb 28 23:59:59 1935');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1935', 'Nov 1 03:59:59 1935', 'Feb 28 23:00:00 1935', 'Oct 31 23:59:59 1935');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Nov 1 04:00:00 1935', 'Mar 1 02:59:59 1936', 'Nov 1 01:00:00 1935', 'Feb 29 23:59:59 1936');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1936', 'Nov 1 03:59:59 1936', 'Feb 29 23:00:00 1936', 'Oct 31 23:59:59 1936');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Nov 1 04:00:00 1936', 'Mar 1 02:59:59 1937', 'Nov 1 01:00:00 1936', 'Feb 28 23:59:59 1937');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1937', 'Nov 1 03:59:59 1937', 'Feb 28 23:00:00 1937', 'Oct 31 23:59:59 1937');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Nov 1 04:00:00 1937', 'Mar 1 02:59:59 1938', 'Nov 1 01:00:00 1937', 'Feb 28 23:59:59 1938');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1938', 'Nov 1 03:59:59 1938', 'Feb 28 23:00:00 1938', 'Oct 31 23:59:59 1938');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Nov 1 04:00:00 1938', 'Mar 1 02:59:59 1939', 'Nov 1 01:00:00 1938', 'Feb 28 23:59:59 1939');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1939', 'Nov 1 03:59:59 1939', 'Feb 28 23:00:00 1939', 'Oct 31 23:59:59 1939');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Nov 1 04:00:00 1939', 'Mar 1 02:59:59 1940', 'Nov 1 01:00:00 1939', 'Feb 29 23:59:59 1940');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1940', 'Jul 1 03:59:59 1940', 'Feb 29 23:00:00 1940', 'Jun 30 23:59:59 1940');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Jul 1 04:00:00 1940', 'Jun 15 02:59:59 1941', 'Jul 1 01:00:00 1940', 'Jun 14 23:59:59 1941');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Jun 15 03:00:00 1941', 'Oct 15 03:59:59 1941', 'Jun 14 23:00:00 1941', 'Oct 14 23:59:59 1941');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Oct 15 04:00:00 1941', 'Aug 1 02:59:59 1943', 'Oct 15 01:00:00 1941', 'Jul 31 23:59:59 1943');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Aug 1 03:00:00 1943', 'Oct 15 03:59:59 1943', 'Jul 31 23:00:00 1943', 'Oct 14 23:59:59 1943');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Oct 15 04:00:00 1943', 'Mar 1 02:59:59 1946', 'Oct 15 01:00:00 1943', 'Feb 28 23:59:59 1946');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1946', 'Oct 1 03:59:59 1946', 'Feb 28 23:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Oct 1 04:00:00 1946', 'Oct 1 02:59:59 1963', 'Oct 1 01:00:00 1946', 'Sep 30 23:59:59 1963');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Oct 1 03:00:00 1963', 'Dec 15 03:59:59 1963', 'Sep 30 23:00:00 1963', 'Dec 14 23:59:59 1963');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Dec 15 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 15 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1964', 'Oct 15 03:59:59 1964', 'Feb 29 23:00:00 1964', 'Oct 14 23:59:59 1964');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Oct 15 04:00:00 1964', 'Mar 1 02:59:59 1965', 'Oct 15 01:00:00 1964', 'Feb 28 23:59:59 1965');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1965', 'Oct 15 03:59:59 1965', 'Feb 28 23:00:00 1965', 'Oct 14 23:59:59 1965');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Oct 15 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Oct 15 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Mar 1 03:00:00 1966', 'Oct 15 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 14 23:59:59 1966');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Oct 15 04:00:00 1966', 'Apr 1 02:59:59 1967', 'Oct 15 01:00:00 1966', 'Mar 31 23:59:59 1967');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Apr 1 03:00:00 1967', 'Oct 1 03:59:59 1967', 'Mar 31 23:00:00 1967', 'Sep 30 23:59:59 1967');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Oct 1 04:00:00 1967', 'Apr 7 02:59:59 1968', 'Oct 1 01:00:00 1967', 'Apr 6 23:59:59 1968');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Apr 7 03:00:00 1968', 'Oct 6 03:59:59 1968', 'Apr 6 23:00:00 1968', 'Oct 5 23:59:59 1968');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -10800, 'Oct 6 04:00:00 1968', 'Apr 6 02:59:59 1969', 'Oct 6 01:00:00 1968', 'Apr 5 23:59:59 1969');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -14400, 'Apr 6 03:00:00 1969', 'Oct 5 03:59:59 1969', 'Apr 5 23:00:00 1969', 'Oct 4 23:59:59 1969');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Oct 5 04:00:00 1969', 'Jan 23 02:59:59 1974', 'Oct 5 01:00:00 1969', 'Jan 22 23:59:59 1974');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Jan 23 03:00:00 1974', 'May 1 01:59:59 1974', 'Jan 23 01:00:00 1974', 'Apr 30 23:59:59 1974');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'May 1 02:00:00 1974', 'Oct 6 02:59:59 1974', 'Apr 30 23:00:00 1974', 'Oct 5 23:59:59 1974');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Oct 6 03:00:00 1974', 'Apr 6 01:59:59 1975', 'Oct 6 01:00:00 1974', 'Apr 5 23:59:59 1975');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Apr 6 02:00:00 1975', 'Oct 5 02:59:59 1975', 'Apr 5 23:00:00 1975', 'Oct 4 23:59:59 1975');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Oct 5 03:00:00 1975', 'Apr 4 01:59:59 1976', 'Oct 5 01:00:00 1975', 'Apr 3 23:59:59 1976');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Apr 4 02:00:00 1976', 'Oct 3 02:59:59 1976', 'Apr 3 23:00:00 1976', 'Oct 2 23:59:59 1976');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Oct 3 03:00:00 1976', 'Apr 3 01:59:59 1977', 'Oct 3 01:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Apr 3 02:00:00 1977', 'Nov 2 02:59:59 1985', 'Apr 2 23:00:00 1977', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 14 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 13 23:59:59 1986');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Mar 14 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 13 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 13 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 12 23:59:59 1987');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Feb 13 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 12 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Feb 7 02:00:00 1988', 'Dec 1 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Nov 30 23:59:59 1988');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Dec 1 03:00:00 1988', 'Mar 5 01:59:59 1989', 'Dec 1 01:00:00 1988', 'Mar 4 23:59:59 1989');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Mar 5 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Mar 4 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Oct 15 03:00:00 1989', 'Mar 4 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 3 23:59:59 1990');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Mar 4 02:00:00 1990', 'Oct 21 02:59:59 1990', 'Mar 3 23:00:00 1990', 'Oct 20 23:59:59 1990');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Oct 21 03:00:00 1990', 'Mar 3 01:59:59 1991', 'Oct 21 01:00:00 1990', 'Mar 2 23:59:59 1991');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Mar 3 02:00:00 1991', 'Oct 20 02:59:59 1991', 'Mar 2 23:00:00 1991', 'Oct 19 23:59:59 1991');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Oct 20 03:00:00 1991', 'Mar 1 01:59:59 1992', 'Oct 20 01:00:00 1991', 'Feb 29 23:59:59 1992');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Mar 1 02:00:00 1992', 'Oct 18 02:59:59 1992', 'Feb 29 23:00:00 1992', 'Oct 17 23:59:59 1992');
timezone.add_rule('America/Buenos_Aires', 'ARST', 1, -7200, 'Oct 18 03:00:00 1992', 'Mar 7 01:59:59 1993', 'Oct 18 01:00:00 1992', 'Mar 6 23:59:59 1993');
timezone.add_rule('America/Buenos_Aires', 'ART', 0, -10800, 'Mar 7 02:00:00 1993', 'Jan 18 03:14:07 2038', 'Mar 6 23:00:00 1993', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Cambridge_Bay not installed
--

--
-- America/Cancun
--

begin
timezone.add_rule('America/Cancun', 'CST', 0, -20824, 'Dec 14 20:45:52 1901', 'Jan 1 06:59:45 1922', 'Dec 14 14:58:48 1901', 'Jan 1 01:12:41 1922');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Jan 1 06:59:46 1922', 'Apr 7 07:59:59 1996', 'Jan 1 00:59:46 1922', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Cancun', 'CST', 0, -18000, 'Oct 26 07:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 02:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Cancun', 'CDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Aug 2 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Aug 2 01:59:59 1998');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Aug 2 06:00:00 1998', 'Oct 25 06:59:59 1998', 'Aug 2 01:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Cancun', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Cancun', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Caracas
--

begin
timezone.add_rule('America/Caracas', 'VET', 0, -16064, 'Dec 14 20:45:52 1901', 'Feb 12 04:27:43 1912', 'Dec 14 16:18:08 1901', 'Feb 11 23:59:59 1912');
timezone.add_rule('America/Caracas', 'VET', 0, -16200, 'Feb 12 04:27:44 1912', 'Jan 1 04:29:59 1965', 'Feb 11 23:57:44 1912', 'Dec 31 23:59:59 1964');
timezone.add_rule('America/Caracas', 'VET', 0, -14400, 'Jan 1 04:30:00 1965', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1965', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Catamarca
--

begin
timezone.add_rule('America/Catamarca', 'ART', 0, -15404, 'Dec 14 20:45:52 1901', 'May 1 04:16:43 1920', 'Dec 14 16:29:08 1901', 'Apr 30 23:59:59 1920');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'May 1 04:16:44 1920', 'Dec 1 03:59:59 1930', 'May 1 00:16:44 1920', 'Nov 30 23:59:59 1930');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Dec 1 04:00:00 1930', 'Apr 1 02:59:59 1931', 'Dec 1 01:00:00 1930', 'Mar 31 23:59:59 1931');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Apr 1 03:00:00 1931', 'Oct 15 03:59:59 1931', 'Mar 31 23:00:00 1931', 'Oct 14 23:59:59 1931');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Oct 15 04:00:00 1931', 'Mar 1 02:59:59 1932', 'Oct 15 01:00:00 1931', 'Feb 29 23:59:59 1932');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1932', 'Nov 1 03:59:59 1932', 'Feb 29 23:00:00 1932', 'Oct 31 23:59:59 1932');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Nov 1 04:00:00 1932', 'Mar 1 02:59:59 1933', 'Nov 1 01:00:00 1932', 'Feb 28 23:59:59 1933');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1933', 'Nov 1 03:59:59 1933', 'Feb 28 23:00:00 1933', 'Oct 31 23:59:59 1933');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Nov 1 04:00:00 1933', 'Mar 1 02:59:59 1934', 'Nov 1 01:00:00 1933', 'Feb 28 23:59:59 1934');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1934', 'Nov 1 03:59:59 1934', 'Feb 28 23:00:00 1934', 'Oct 31 23:59:59 1934');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Nov 1 04:00:00 1934', 'Mar 1 02:59:59 1935', 'Nov 1 01:00:00 1934', 'Feb 28 23:59:59 1935');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1935', 'Nov 1 03:59:59 1935', 'Feb 28 23:00:00 1935', 'Oct 31 23:59:59 1935');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Nov 1 04:00:00 1935', 'Mar 1 02:59:59 1936', 'Nov 1 01:00:00 1935', 'Feb 29 23:59:59 1936');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1936', 'Nov 1 03:59:59 1936', 'Feb 29 23:00:00 1936', 'Oct 31 23:59:59 1936');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Nov 1 04:00:00 1936', 'Mar 1 02:59:59 1937', 'Nov 1 01:00:00 1936', 'Feb 28 23:59:59 1937');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1937', 'Nov 1 03:59:59 1937', 'Feb 28 23:00:00 1937', 'Oct 31 23:59:59 1937');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Nov 1 04:00:00 1937', 'Mar 1 02:59:59 1938', 'Nov 1 01:00:00 1937', 'Feb 28 23:59:59 1938');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1938', 'Nov 1 03:59:59 1938', 'Feb 28 23:00:00 1938', 'Oct 31 23:59:59 1938');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Nov 1 04:00:00 1938', 'Mar 1 02:59:59 1939', 'Nov 1 01:00:00 1938', 'Feb 28 23:59:59 1939');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1939', 'Nov 1 03:59:59 1939', 'Feb 28 23:00:00 1939', 'Oct 31 23:59:59 1939');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Nov 1 04:00:00 1939', 'Mar 1 02:59:59 1940', 'Nov 1 01:00:00 1939', 'Feb 29 23:59:59 1940');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1940', 'Jul 1 03:59:59 1940', 'Feb 29 23:00:00 1940', 'Jun 30 23:59:59 1940');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Jul 1 04:00:00 1940', 'Jun 15 02:59:59 1941', 'Jul 1 01:00:00 1940', 'Jun 14 23:59:59 1941');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Jun 15 03:00:00 1941', 'Oct 15 03:59:59 1941', 'Jun 14 23:00:00 1941', 'Oct 14 23:59:59 1941');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Oct 15 04:00:00 1941', 'Aug 1 02:59:59 1943', 'Oct 15 01:00:00 1941', 'Jul 31 23:59:59 1943');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Aug 1 03:00:00 1943', 'Oct 15 03:59:59 1943', 'Jul 31 23:00:00 1943', 'Oct 14 23:59:59 1943');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Oct 15 04:00:00 1943', 'Mar 1 02:59:59 1946', 'Oct 15 01:00:00 1943', 'Feb 28 23:59:59 1946');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1946', 'Oct 1 03:59:59 1946', 'Feb 28 23:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Oct 1 04:00:00 1946', 'Oct 1 02:59:59 1963', 'Oct 1 01:00:00 1946', 'Sep 30 23:59:59 1963');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Oct 1 03:00:00 1963', 'Dec 15 03:59:59 1963', 'Sep 30 23:00:00 1963', 'Dec 14 23:59:59 1963');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Dec 15 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 15 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1964', 'Oct 15 03:59:59 1964', 'Feb 29 23:00:00 1964', 'Oct 14 23:59:59 1964');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Oct 15 04:00:00 1964', 'Mar 1 02:59:59 1965', 'Oct 15 01:00:00 1964', 'Feb 28 23:59:59 1965');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1965', 'Oct 15 03:59:59 1965', 'Feb 28 23:00:00 1965', 'Oct 14 23:59:59 1965');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Oct 15 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Oct 15 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Mar 1 03:00:00 1966', 'Oct 15 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 14 23:59:59 1966');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Oct 15 04:00:00 1966', 'Apr 1 02:59:59 1967', 'Oct 15 01:00:00 1966', 'Mar 31 23:59:59 1967');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Apr 1 03:00:00 1967', 'Oct 1 03:59:59 1967', 'Mar 31 23:00:00 1967', 'Sep 30 23:59:59 1967');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Oct 1 04:00:00 1967', 'Apr 7 02:59:59 1968', 'Oct 1 01:00:00 1967', 'Apr 6 23:59:59 1968');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Apr 7 03:00:00 1968', 'Oct 6 03:59:59 1968', 'Apr 6 23:00:00 1968', 'Oct 5 23:59:59 1968');
timezone.add_rule('America/Catamarca', 'ARST', 1, -10800, 'Oct 6 04:00:00 1968', 'Apr 6 02:59:59 1969', 'Oct 6 01:00:00 1968', 'Apr 5 23:59:59 1969');
timezone.add_rule('America/Catamarca', 'ART', 0, -14400, 'Apr 6 03:00:00 1969', 'Oct 5 03:59:59 1969', 'Apr 5 23:00:00 1969', 'Oct 4 23:59:59 1969');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Oct 5 04:00:00 1969', 'Jan 23 02:59:59 1974', 'Oct 5 01:00:00 1969', 'Jan 22 23:59:59 1974');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Jan 23 03:00:00 1974', 'May 1 01:59:59 1974', 'Jan 23 01:00:00 1974', 'Apr 30 23:59:59 1974');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'May 1 02:00:00 1974', 'Oct 6 02:59:59 1974', 'Apr 30 23:00:00 1974', 'Oct 5 23:59:59 1974');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Oct 6 03:00:00 1974', 'Apr 6 01:59:59 1975', 'Oct 6 01:00:00 1974', 'Apr 5 23:59:59 1975');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Apr 6 02:00:00 1975', 'Oct 5 02:59:59 1975', 'Apr 5 23:00:00 1975', 'Oct 4 23:59:59 1975');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Oct 5 03:00:00 1975', 'Apr 4 01:59:59 1976', 'Oct 5 01:00:00 1975', 'Apr 3 23:59:59 1976');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Apr 4 02:00:00 1976', 'Oct 3 02:59:59 1976', 'Apr 3 23:00:00 1976', 'Oct 2 23:59:59 1976');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Oct 3 03:00:00 1976', 'Apr 3 01:59:59 1977', 'Oct 3 01:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Apr 3 02:00:00 1977', 'Nov 2 02:59:59 1985', 'Apr 2 23:00:00 1977', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 14 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 13 23:59:59 1986');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Mar 14 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 13 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 13 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 12 23:59:59 1987');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Feb 13 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 12 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Feb 7 02:00:00 1988', 'Dec 1 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Nov 30 23:59:59 1988');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Dec 1 03:00:00 1988', 'Mar 5 01:59:59 1989', 'Dec 1 01:00:00 1988', 'Mar 4 23:59:59 1989');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Mar 5 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Mar 4 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Oct 15 03:00:00 1989', 'Mar 4 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 3 23:59:59 1990');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Mar 4 02:00:00 1990', 'Oct 20 02:59:59 1991', 'Mar 3 23:00:00 1990', 'Oct 19 23:59:59 1991');
timezone.add_rule('America/Catamarca', 'ARST', 1, -7200, 'Oct 20 03:00:00 1991', 'Mar 1 01:59:59 1992', 'Oct 20 01:00:00 1991', 'Feb 29 23:59:59 1992');
timezone.add_rule('America/Catamarca', 'ART', 0, -10800, 'Mar 1 02:00:00 1992', 'Jan 18 03:14:07 2038', 'Feb 29 23:00:00 1992', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Cayenne
--

begin
timezone.add_rule('America/Cayenne', 'GFT', 0, -12560, 'Dec 14 20:45:52 1901', 'Jul 1 03:29:19 1911', 'Dec 14 17:16:32 1901', 'Jun 30 23:59:59 1911');
timezone.add_rule('America/Cayenne', 'GFT', 0, -14400, 'Jul 1 03:29:20 1911', 'Oct 1 03:59:59 1967', 'Jun 30 23:29:20 1911', 'Sep 30 23:59:59 1967');
timezone.add_rule('America/Cayenne', 'GFT', 0, -10800, 'Oct 1 04:00:00 1967', 'Jan 18 03:14:07 2038', 'Oct 1 01:00:00 1967', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Cayman
--

begin
timezone.add_rule('America/Cayman', 'EST', 0, -18432, 'Dec 14 20:45:52 1901', 'Feb 1 05:07:11 1912', 'Dec 14 15:38:40 1901', 'Jan 31 23:59:59 1912');
timezone.add_rule('America/Cayman', 'EST', 0, -18000, 'Feb 1 05:07:12 1912', 'Jan 18 03:14:07 2038', 'Feb 1 00:07:12 1912', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Chicago
--

begin
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 1919', 'Jun 13 07:59:59 1920', 'Oct 26 01:00:00 1919', 'Jun 13 01:59:59 1920');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Jun 13 08:00:00 1920', 'Oct 31 06:59:59 1920', 'Jun 13 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 1920', 'Mar 27 07:59:59 1921', 'Oct 31 01:00:00 1920', 'Mar 27 01:59:59 1921');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Mar 27 08:00:00 1921', 'Oct 30 06:59:59 1921', 'Mar 27 03:00:00 1921', 'Oct 30 01:59:59 1921');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 1921', 'Apr 30 07:59:59 1922', 'Oct 30 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 30 08:00:00 1922', 'Sep 24 06:59:59 1922', 'Apr 30 03:00:00 1922', 'Sep 24 01:59:59 1922');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 24 07:00:00 1922', 'Apr 29 07:59:59 1923', 'Sep 24 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 29 08:00:00 1923', 'Sep 30 06:59:59 1923', 'Apr 29 03:00:00 1923', 'Sep 30 01:59:59 1923');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 30 07:00:00 1923', 'Apr 27 07:59:59 1924', 'Sep 30 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 27 08:00:00 1924', 'Sep 28 06:59:59 1924', 'Apr 27 03:00:00 1924', 'Sep 28 01:59:59 1924');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 28 07:00:00 1924', 'Apr 26 07:59:59 1925', 'Sep 28 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 26 08:00:00 1925', 'Sep 27 06:59:59 1925', 'Apr 26 03:00:00 1925', 'Sep 27 01:59:59 1925');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 27 07:00:00 1925', 'Apr 25 07:59:59 1926', 'Sep 27 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 25 08:00:00 1926', 'Sep 26 06:59:59 1926', 'Apr 25 03:00:00 1926', 'Sep 26 01:59:59 1926');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 26 07:00:00 1926', 'Apr 24 07:59:59 1927', 'Sep 26 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 24 08:00:00 1927', 'Sep 25 06:59:59 1927', 'Apr 24 03:00:00 1927', 'Sep 25 01:59:59 1927');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 25 07:00:00 1927', 'Apr 29 07:59:59 1928', 'Sep 25 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 29 08:00:00 1928', 'Sep 30 06:59:59 1928', 'Apr 29 03:00:00 1928', 'Sep 30 01:59:59 1928');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 30 07:00:00 1928', 'Apr 28 07:59:59 1929', 'Sep 30 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 28 08:00:00 1929', 'Sep 29 06:59:59 1929', 'Apr 28 03:00:00 1929', 'Sep 29 01:59:59 1929');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 29 07:00:00 1929', 'Apr 27 07:59:59 1930', 'Sep 29 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 27 08:00:00 1930', 'Sep 28 06:59:59 1930', 'Apr 27 03:00:00 1930', 'Sep 28 01:59:59 1930');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 28 07:00:00 1930', 'Apr 26 07:59:59 1931', 'Sep 28 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 26 08:00:00 1931', 'Sep 27 06:59:59 1931', 'Apr 26 03:00:00 1931', 'Sep 27 01:59:59 1931');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 27 07:00:00 1931', 'Apr 24 07:59:59 1932', 'Sep 27 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 24 08:00:00 1932', 'Sep 25 06:59:59 1932', 'Apr 24 03:00:00 1932', 'Sep 25 01:59:59 1932');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 25 07:00:00 1932', 'Apr 30 07:59:59 1933', 'Sep 25 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 30 08:00:00 1933', 'Sep 24 06:59:59 1933', 'Apr 30 03:00:00 1933', 'Sep 24 01:59:59 1933');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 24 07:00:00 1933', 'Apr 29 07:59:59 1934', 'Sep 24 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 29 08:00:00 1934', 'Sep 30 06:59:59 1934', 'Apr 29 03:00:00 1934', 'Sep 30 01:59:59 1934');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 30 07:00:00 1934', 'Apr 28 07:59:59 1935', 'Sep 30 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 28 08:00:00 1935', 'Sep 29 06:59:59 1935', 'Apr 28 03:00:00 1935', 'Sep 29 01:59:59 1935');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 29 07:00:00 1935', 'Mar 1 07:59:59 1936', 'Sep 29 01:00:00 1935', 'Mar 1 01:59:59 1936');
timezone.add_rule('America/Chicago', 'CST', 0, -18000, 'Mar 1 08:00:00 1936', 'Nov 15 06:59:59 1936', 'Mar 1 03:00:00 1936', 'Nov 15 01:59:59 1936');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Nov 15 07:00:00 1936', 'Apr 25 07:59:59 1937', 'Nov 15 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 25 08:00:00 1937', 'Sep 26 06:59:59 1937', 'Apr 25 03:00:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 26 07:00:00 1937', 'Apr 24 07:59:59 1938', 'Sep 26 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 24 08:00:00 1938', 'Sep 25 06:59:59 1938', 'Apr 24 03:00:00 1938', 'Sep 25 01:59:59 1938');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 25 07:00:00 1938', 'Apr 30 07:59:59 1939', 'Sep 25 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 30 08:00:00 1939', 'Sep 24 06:59:59 1939', 'Apr 30 03:00:00 1939', 'Sep 24 01:59:59 1939');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 24 07:00:00 1939', 'Apr 28 07:59:59 1940', 'Sep 24 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 28 08:00:00 1940', 'Sep 29 06:59:59 1940', 'Apr 28 03:00:00 1940', 'Sep 29 01:59:59 1940');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 29 07:00:00 1940', 'Apr 27 07:59:59 1941', 'Sep 29 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 27 08:00:00 1941', 'Sep 28 06:59:59 1941', 'Apr 27 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 28 07:00:00 1941', 'Feb 9 07:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Sep 29 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 29 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Oct 30 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Oct 28 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Oct 27 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Oct 26 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Oct 30 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 1960', 'Apr 30 07:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 30 08:00:00 1961', 'Oct 29 06:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 1961', 'Apr 29 07:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 29 08:00:00 1962', 'Oct 28 06:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 1962', 'Apr 28 07:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 28 08:00:00 1963', 'Oct 27 06:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 1963', 'Apr 26 07:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 26 08:00:00 1964', 'Oct 25 06:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 1964', 'Apr 25 07:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 25 08:00:00 1965', 'Oct 31 06:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 1965', 'Apr 24 07:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 24 08:00:00 1966', 'Oct 30 06:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 1966', 'Apr 30 07:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 30 08:00:00 1967', 'Oct 29 06:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 1967', 'Apr 28 07:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 28 08:00:00 1968', 'Oct 27 06:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 1968', 'Apr 27 07:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 27 08:00:00 1969', 'Oct 26 06:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 1969', 'Apr 26 07:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 26 08:00:00 1970', 'Oct 25 06:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 1970', 'Apr 25 07:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 25 08:00:00 1971', 'Oct 31 06:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 1971', 'Apr 30 07:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 30 08:00:00 1972', 'Oct 29 06:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 1972', 'Apr 29 07:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 29 08:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 1973', 'Jan 6 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Jan 6 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 1974', 'Feb 23 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Feb 23 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 1991', 'Apr 5 07:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 5 08:00:00 1992', 'Oct 25 06:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 1992', 'Apr 4 07:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 4 08:00:00 1993', 'Oct 31 06:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 1993', 'Apr 3 07:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 3 08:00:00 1994', 'Oct 30 06:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 1994', 'Apr 2 07:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 2 08:00:00 1995', 'Oct 29 06:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 1995', 'Apr 7 07:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Chicago', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Chicago', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Chihuahua
--

begin
timezone.add_rule('America/Chihuahua', 'MST', 0, -25460, 'Dec 14 20:45:52 1901', 'Jan 1 07:00:03 1922', 'Dec 14 13:41:32 1901', 'Dec 31 23:55:43 1921');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Jan 1 07:00:04 1922', 'Jun 11 05:59:59 1927', 'Jan 1 00:00:04 1922', 'Jun 10 22:59:59 1927');
timezone.add_rule('America/Chihuahua', 'MST', 0, -21600, 'Jun 11 06:00:00 1927', 'Nov 15 05:59:59 1930', 'Jun 11 00:00:00 1927', 'Nov 14 23:59:59 1930');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Nov 15 06:00:00 1930', 'May 2 05:59:59 1931', 'Nov 14 23:00:00 1930', 'May 1 22:59:59 1931');
timezone.add_rule('America/Chihuahua', 'MST', 0, -21600, 'May 2 06:00:00 1931', 'Oct 1 05:59:59 1931', 'May 2 00:00:00 1931', 'Sep 30 23:59:59 1931');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 1 06:00:00 1931', 'Mar 31 05:59:59 1932', 'Sep 30 23:00:00 1931', 'Mar 30 22:59:59 1932');
timezone.add_rule('America/Chihuahua', 'MST', 0, -21600, 'Mar 31 06:00:00 1932', 'Apr 7 07:59:59 1996', 'Mar 31 00:00:00 1932', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Chihuahua', 'MST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Chihuahua', 'MST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 02:59:59 1998');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Chihuahua', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Chihuahua', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- America/Cordoba
--

begin
timezone.add_rule('America/Cordoba', 'ART', 0, -15404, 'Dec 14 20:45:52 1901', 'May 1 04:16:43 1920', 'Dec 14 16:29:08 1901', 'Apr 30 23:59:59 1920');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'May 1 04:16:44 1920', 'Dec 1 03:59:59 1930', 'May 1 00:16:44 1920', 'Nov 30 23:59:59 1930');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Dec 1 04:00:00 1930', 'Apr 1 02:59:59 1931', 'Dec 1 01:00:00 1930', 'Mar 31 23:59:59 1931');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Apr 1 03:00:00 1931', 'Oct 15 03:59:59 1931', 'Mar 31 23:00:00 1931', 'Oct 14 23:59:59 1931');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Oct 15 04:00:00 1931', 'Mar 1 02:59:59 1932', 'Oct 15 01:00:00 1931', 'Feb 29 23:59:59 1932');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1932', 'Nov 1 03:59:59 1932', 'Feb 29 23:00:00 1932', 'Oct 31 23:59:59 1932');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Nov 1 04:00:00 1932', 'Mar 1 02:59:59 1933', 'Nov 1 01:00:00 1932', 'Feb 28 23:59:59 1933');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1933', 'Nov 1 03:59:59 1933', 'Feb 28 23:00:00 1933', 'Oct 31 23:59:59 1933');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Nov 1 04:00:00 1933', 'Mar 1 02:59:59 1934', 'Nov 1 01:00:00 1933', 'Feb 28 23:59:59 1934');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1934', 'Nov 1 03:59:59 1934', 'Feb 28 23:00:00 1934', 'Oct 31 23:59:59 1934');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Nov 1 04:00:00 1934', 'Mar 1 02:59:59 1935', 'Nov 1 01:00:00 1934', 'Feb 28 23:59:59 1935');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1935', 'Nov 1 03:59:59 1935', 'Feb 28 23:00:00 1935', 'Oct 31 23:59:59 1935');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Nov 1 04:00:00 1935', 'Mar 1 02:59:59 1936', 'Nov 1 01:00:00 1935', 'Feb 29 23:59:59 1936');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1936', 'Nov 1 03:59:59 1936', 'Feb 29 23:00:00 1936', 'Oct 31 23:59:59 1936');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Nov 1 04:00:00 1936', 'Mar 1 02:59:59 1937', 'Nov 1 01:00:00 1936', 'Feb 28 23:59:59 1937');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1937', 'Nov 1 03:59:59 1937', 'Feb 28 23:00:00 1937', 'Oct 31 23:59:59 1937');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Nov 1 04:00:00 1937', 'Mar 1 02:59:59 1938', 'Nov 1 01:00:00 1937', 'Feb 28 23:59:59 1938');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1938', 'Nov 1 03:59:59 1938', 'Feb 28 23:00:00 1938', 'Oct 31 23:59:59 1938');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Nov 1 04:00:00 1938', 'Mar 1 02:59:59 1939', 'Nov 1 01:00:00 1938', 'Feb 28 23:59:59 1939');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1939', 'Nov 1 03:59:59 1939', 'Feb 28 23:00:00 1939', 'Oct 31 23:59:59 1939');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Nov 1 04:00:00 1939', 'Mar 1 02:59:59 1940', 'Nov 1 01:00:00 1939', 'Feb 29 23:59:59 1940');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1940', 'Jul 1 03:59:59 1940', 'Feb 29 23:00:00 1940', 'Jun 30 23:59:59 1940');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Jul 1 04:00:00 1940', 'Jun 15 02:59:59 1941', 'Jul 1 01:00:00 1940', 'Jun 14 23:59:59 1941');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Jun 15 03:00:00 1941', 'Oct 15 03:59:59 1941', 'Jun 14 23:00:00 1941', 'Oct 14 23:59:59 1941');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Oct 15 04:00:00 1941', 'Aug 1 02:59:59 1943', 'Oct 15 01:00:00 1941', 'Jul 31 23:59:59 1943');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Aug 1 03:00:00 1943', 'Oct 15 03:59:59 1943', 'Jul 31 23:00:00 1943', 'Oct 14 23:59:59 1943');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Oct 15 04:00:00 1943', 'Mar 1 02:59:59 1946', 'Oct 15 01:00:00 1943', 'Feb 28 23:59:59 1946');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1946', 'Oct 1 03:59:59 1946', 'Feb 28 23:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Oct 1 04:00:00 1946', 'Oct 1 02:59:59 1963', 'Oct 1 01:00:00 1946', 'Sep 30 23:59:59 1963');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Oct 1 03:00:00 1963', 'Dec 15 03:59:59 1963', 'Sep 30 23:00:00 1963', 'Dec 14 23:59:59 1963');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Dec 15 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 15 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1964', 'Oct 15 03:59:59 1964', 'Feb 29 23:00:00 1964', 'Oct 14 23:59:59 1964');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Oct 15 04:00:00 1964', 'Mar 1 02:59:59 1965', 'Oct 15 01:00:00 1964', 'Feb 28 23:59:59 1965');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1965', 'Oct 15 03:59:59 1965', 'Feb 28 23:00:00 1965', 'Oct 14 23:59:59 1965');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Oct 15 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Oct 15 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Mar 1 03:00:00 1966', 'Oct 15 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 14 23:59:59 1966');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Oct 15 04:00:00 1966', 'Apr 1 02:59:59 1967', 'Oct 15 01:00:00 1966', 'Mar 31 23:59:59 1967');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Apr 1 03:00:00 1967', 'Oct 1 03:59:59 1967', 'Mar 31 23:00:00 1967', 'Sep 30 23:59:59 1967');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Oct 1 04:00:00 1967', 'Apr 7 02:59:59 1968', 'Oct 1 01:00:00 1967', 'Apr 6 23:59:59 1968');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Apr 7 03:00:00 1968', 'Oct 6 03:59:59 1968', 'Apr 6 23:00:00 1968', 'Oct 5 23:59:59 1968');
timezone.add_rule('America/Cordoba', 'ARST', 1, -10800, 'Oct 6 04:00:00 1968', 'Apr 6 02:59:59 1969', 'Oct 6 01:00:00 1968', 'Apr 5 23:59:59 1969');
timezone.add_rule('America/Cordoba', 'ART', 0, -14400, 'Apr 6 03:00:00 1969', 'Oct 5 03:59:59 1969', 'Apr 5 23:00:00 1969', 'Oct 4 23:59:59 1969');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'Oct 5 04:00:00 1969', 'Jan 23 02:59:59 1974', 'Oct 5 01:00:00 1969', 'Jan 22 23:59:59 1974');
timezone.add_rule('America/Cordoba', 'ARST', 1, -7200, 'Jan 23 03:00:00 1974', 'May 1 01:59:59 1974', 'Jan 23 01:00:00 1974', 'Apr 30 23:59:59 1974');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'May 1 02:00:00 1974', 'Oct 6 02:59:59 1974', 'Apr 30 23:00:00 1974', 'Oct 5 23:59:59 1974');
timezone.add_rule('America/Cordoba', 'ARST', 1, -7200, 'Oct 6 03:00:00 1974', 'Apr 6 01:59:59 1975', 'Oct 6 01:00:00 1974', 'Apr 5 23:59:59 1975');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'Apr 6 02:00:00 1975', 'Oct 5 02:59:59 1975', 'Apr 5 23:00:00 1975', 'Oct 4 23:59:59 1975');
timezone.add_rule('America/Cordoba', 'ARST', 1, -7200, 'Oct 5 03:00:00 1975', 'Apr 4 01:59:59 1976', 'Oct 5 01:00:00 1975', 'Apr 3 23:59:59 1976');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'Apr 4 02:00:00 1976', 'Oct 3 02:59:59 1976', 'Apr 3 23:00:00 1976', 'Oct 2 23:59:59 1976');
timezone.add_rule('America/Cordoba', 'ARST', 1, -7200, 'Oct 3 03:00:00 1976', 'Apr 3 01:59:59 1977', 'Oct 3 01:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'Apr 3 02:00:00 1977', 'Nov 2 02:59:59 1985', 'Apr 2 23:00:00 1977', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Cordoba', 'ARST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 14 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 13 23:59:59 1986');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'Mar 14 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 13 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Cordoba', 'ARST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 13 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 12 23:59:59 1987');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'Feb 13 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 12 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Cordoba', 'ARST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'Feb 7 02:00:00 1988', 'Dec 1 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Nov 30 23:59:59 1988');
timezone.add_rule('America/Cordoba', 'ARST', 1, -7200, 'Dec 1 03:00:00 1988', 'Mar 5 01:59:59 1989', 'Dec 1 01:00:00 1988', 'Mar 4 23:59:59 1989');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'Mar 5 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Mar 4 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Cordoba', 'ARST', 1, -7200, 'Oct 15 03:00:00 1989', 'Mar 4 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 3 23:59:59 1990');
timezone.add_rule('America/Cordoba', 'ART', 0, -10800, 'Mar 4 02:00:00 1990', 'Jan 18 03:14:07 2038', 'Mar 3 23:00:00 1990', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Costa_Rica
--

begin
timezone.add_rule('America/Costa_Rica', 'CST', 0, -20160, 'Dec 14 20:45:52 1901', 'Jan 15 05:35:59 1921', 'Dec 14 15:09:52 1901', 'Jan 14 23:59:59 1921');
timezone.add_rule('America/Costa_Rica', 'CST', 0, -21600, 'Jan 15 05:36:00 1921', 'Feb 25 05:59:59 1979', 'Jan 14 23:36:00 1921', 'Feb 24 23:59:59 1979');
timezone.add_rule('America/Costa_Rica', 'CDT', 1, -18000, 'Feb 25 06:00:00 1979', 'Jun 3 04:59:59 1979', 'Feb 25 01:00:00 1979', 'Jun 2 23:59:59 1979');
timezone.add_rule('America/Costa_Rica', 'CST', 0, -21600, 'Jun 3 05:00:00 1979', 'Feb 24 05:59:59 1980', 'Jun 2 23:00:00 1979', 'Feb 23 23:59:59 1980');
timezone.add_rule('America/Costa_Rica', 'CDT', 1, -18000, 'Feb 24 06:00:00 1980', 'Jun 1 04:59:59 1980', 'Feb 24 01:00:00 1980', 'May 31 23:59:59 1980');
timezone.add_rule('America/Costa_Rica', 'CST', 0, -21600, 'Jun 1 05:00:00 1980', 'Jan 19 05:59:59 1991', 'May 31 23:00:00 1980', 'Jan 18 23:59:59 1991');
timezone.add_rule('America/Costa_Rica', 'CDT', 1, -18000, 'Jan 19 06:00:00 1991', 'Jul 1 04:59:59 1991', 'Jan 19 01:00:00 1991', 'Jun 30 23:59:59 1991');
timezone.add_rule('America/Costa_Rica', 'CST', 0, -21600, 'Jul 1 05:00:00 1991', 'Jan 18 05:59:59 1992', 'Jun 30 23:00:00 1991', 'Jan 17 23:59:59 1992');
timezone.add_rule('America/Costa_Rica', 'CDT', 1, -18000, 'Jan 18 06:00:00 1992', 'Mar 15 04:59:59 1992', 'Jan 18 01:00:00 1992', 'Mar 14 23:59:59 1992');
timezone.add_rule('America/Costa_Rica', 'CST', 0, -21600, 'Mar 15 05:00:00 1992', 'Jan 18 03:14:07 2038', 'Mar 14 23:00:00 1992', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Cuiaba
--

begin
timezone.add_rule('America/Cuiaba', 'AMT', 0, -13460, 'Dec 14 20:45:52 1901', 'Jan 1 03:44:19 1914', 'Dec 14 17:01:32 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Jan 1 03:44:20 1914', 'Oct 3 14:59:59 1931', 'Dec 31 23:44:20 1913', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Oct 3 15:00:00 1931', 'Apr 1 02:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Apr 1 03:00:00 1932', 'Oct 3 03:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Oct 3 04:00:00 1932', 'Apr 1 02:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Apr 1 03:00:00 1933', 'Dec 1 03:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Dec 1 04:00:00 1949', 'Apr 16 03:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Apr 16 04:00:00 1950', 'Dec 1 03:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Dec 1 04:00:00 1950', 'Apr 1 02:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Apr 1 03:00:00 1951', 'Dec 1 03:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Dec 1 04:00:00 1951', 'Apr 1 02:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Apr 1 03:00:00 1952', 'Dec 1 03:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Dec 1 04:00:00 1952', 'Mar 1 02:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Mar 1 03:00:00 1953', 'Dec 9 03:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Dec 9 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Mar 1 03:00:00 1964', 'Jan 31 03:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Jan 31 04:00:00 1965', 'Mar 31 02:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Mar 31 03:00:00 1965', 'Dec 1 03:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Dec 1 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Mar 1 03:00:00 1966', 'Nov 1 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Nov 1 04:00:00 1966', 'Mar 1 02:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Mar 1 03:00:00 1967', 'Nov 1 03:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Nov 1 04:00:00 1967', 'Mar 1 02:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Mar 1 03:00:00 1968', 'Nov 2 03:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Nov 2 04:00:00 1985', 'Mar 15 02:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Mar 15 03:00:00 1986', 'Oct 25 03:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Oct 25 04:00:00 1986', 'Feb 14 02:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Feb 14 03:00:00 1987', 'Oct 25 03:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Oct 25 04:00:00 1987', 'Feb 7 02:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Feb 7 03:00:00 1988', 'Oct 16 03:59:59 1988', 'Feb 6 23:00:00 1988', 'Oct 15 23:59:59 1988');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Oct 16 04:00:00 1988', 'Jan 29 02:59:59 1989', 'Oct 16 01:00:00 1988', 'Jan 28 23:59:59 1989');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Jan 29 03:00:00 1989', 'Oct 15 03:59:59 1989', 'Jan 28 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Cuiaba', 'AMST', 1, -10800, 'Oct 15 04:00:00 1989', 'Feb 11 02:59:59 1990', 'Oct 15 01:00:00 1989', 'Feb 10 23:59:59 1990');
timezone.add_rule('America/Cuiaba', 'AMT', 0, -14400, 'Feb 11 03:00:00 1990', 'Jan 18 03:14:07 2038', 'Feb 10 23:00:00 1990', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Curacao
--

begin
timezone.add_rule('America/Curacao', 'AST', 0, -16544, 'Dec 14 20:45:52 1901', 'Feb 12 04:35:43 1912', 'Dec 14 16:10:08 1901', 'Feb 11 23:59:59 1912');
timezone.add_rule('America/Curacao', 'AST', 0, -16200, 'Feb 12 04:35:44 1912', 'Jan 1 04:29:59 1965', 'Feb 12 00:05:44 1912', 'Dec 31 23:59:59 1964');
timezone.add_rule('America/Curacao', 'AST', 0, -14400, 'Jan 1 04:30:00 1965', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1965', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Dawson
--

begin
timezone.add_rule('America/Dawson', 'PST', 0, -32400, 'Dec 14 20:45:52 1901', 'Apr 14 10:59:59 1918', 'Dec 14 11:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Dawson', 'PDT', 1, -28800, 'Apr 14 11:00:00 1918', 'Oct 27 09:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Dawson', 'PST', 0, -32400, 'Oct 27 10:00:00 1918', 'May 25 10:59:59 1919', 'Oct 27 01:00:00 1918', 'May 25 01:59:59 1919');
timezone.add_rule('America/Dawson', 'PDT', 1, -28800, 'May 25 11:00:00 1919', 'Nov 1 07:59:59 1919', 'May 25 03:00:00 1919', 'Oct 31 23:59:59 1919');
timezone.add_rule('America/Dawson', 'PST', 0, -32400, 'Nov 1 08:00:00 1919', 'Feb 9 10:59:59 1942', 'Oct 31 23:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Dawson', 'PDT', 1, -28800, 'Feb 9 11:00:00 1942', 'Sep 30 09:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Dawson', 'PST', 0, -32400, 'Sep 30 10:00:00 1945', 'Apr 25 08:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 24 23:59:59 1965');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 25 09:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 02:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Dawson', 'PST', 0, -32400, 'Oct 31 09:00:00 1965', 'Oct 28 08:59:59 1973', 'Oct 31 00:00:00 1965', 'Oct 27 23:59:59 1973');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 28 09:00:00 1973', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1973', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Dawson', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Dawson', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- America/Dawson_Creek
--

begin
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Dec 14 20:45:52 1901', 'Apr 14 09:59:59 1918', 'Dec 14 12:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 14 10:00:00 1918', 'Oct 31 08:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 31 09:00:00 1918', 'Feb 9 09:59:59 1942', 'Oct 31 01:00:00 1918', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Feb 9 10:00:00 1942', 'Sep 30 08:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 30 09:00:00 1945', 'Apr 27 09:59:59 1947', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 27 10:00:00 1947', 'Sep 28 08:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 28 09:00:00 1947', 'Apr 25 09:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 25 10:00:00 1948', 'Sep 26 08:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 26 09:00:00 1948', 'Apr 24 09:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 24 10:00:00 1949', 'Sep 25 08:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 25 09:00:00 1949', 'Apr 30 09:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 30 10:00:00 1950', 'Sep 24 08:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 24 09:00:00 1950', 'Apr 29 09:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 29 10:00:00 1951', 'Sep 30 08:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 30 09:00:00 1951', 'Apr 27 09:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 27 10:00:00 1952', 'Sep 28 08:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 28 09:00:00 1952', 'Apr 26 09:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 26 10:00:00 1953', 'Sep 27 08:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 27 09:00:00 1953', 'Apr 25 09:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 25 10:00:00 1954', 'Sep 26 08:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 26 09:00:00 1954', 'Apr 24 09:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 24 10:00:00 1955', 'Sep 25 08:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 25 09:00:00 1955', 'Apr 29 09:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 29 10:00:00 1956', 'Sep 30 08:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 30 09:00:00 1956', 'Apr 28 09:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 28 10:00:00 1957', 'Sep 29 08:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 29 09:00:00 1957', 'Apr 27 09:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 27 10:00:00 1958', 'Sep 28 08:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 28 09:00:00 1958', 'Apr 26 09:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 26 10:00:00 1959', 'Sep 27 08:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 27 09:00:00 1959', 'Apr 24 09:59:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 24 10:00:00 1960', 'Sep 25 08:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 25 09:00:00 1960', 'Apr 30 09:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 30 10:00:00 1961', 'Sep 24 08:59:59 1961', 'Apr 30 03:00:00 1961', 'Sep 24 01:59:59 1961');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Sep 24 09:00:00 1961', 'Apr 29 09:59:59 1962', 'Sep 24 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 29 10:00:00 1962', 'Oct 28 08:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 28 09:00:00 1962', 'Apr 28 09:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 28 10:00:00 1963', 'Oct 27 08:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 27 09:00:00 1963', 'Apr 26 09:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 26 10:00:00 1964', 'Oct 25 08:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 25 09:00:00 1964', 'Apr 25 09:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 25 10:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 31 09:00:00 1965', 'Apr 24 09:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 24 10:00:00 1966', 'Oct 30 08:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 30 09:00:00 1966', 'Apr 30 09:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 30 10:00:00 1967', 'Oct 29 08:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 29 09:00:00 1967', 'Apr 28 09:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 28 10:00:00 1968', 'Oct 27 08:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 27 09:00:00 1968', 'Apr 27 09:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Dawson_Creek', 'PDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Aug 30 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Aug 30 01:59:59 1972');
timezone.add_rule('America/Dawson_Creek', 'MST', 0, -25200, 'Aug 30 09:00:00 1972', 'Jan 18 03:14:07 2038', 'Aug 30 02:00:00 1972', 'Jan 17 20:14:07 2038');
end;
/

--
-- America/Denver
--

begin
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Mar 31 08:59:59 1918', 'Dec 14 13:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Mar 31 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'Mar 30 08:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Mar 30 09:00:00 1919', 'Oct 26 07:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 1919', 'Mar 28 08:59:59 1920', 'Oct 26 01:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Mar 28 09:00:00 1920', 'Oct 31 07:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 1920', 'Mar 27 08:59:59 1921', 'Oct 31 01:00:00 1920', 'Mar 27 01:59:59 1921');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Mar 27 09:00:00 1921', 'May 22 07:59:59 1921', 'Mar 27 03:00:00 1921', 'May 22 01:59:59 1921');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'May 22 08:00:00 1921', 'Feb 9 08:59:59 1942', 'May 22 01:00:00 1921', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 25 08:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 25 09:00:00 1965', 'Oct 31 07:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 1965', 'Apr 24 08:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 24 09:00:00 1966', 'Oct 30 07:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 1966', 'Apr 30 08:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Apr 28 08:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 28 09:00:00 1968', 'Oct 27 07:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 1968', 'Apr 27 08:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 27 09:00:00 1969', 'Oct 26 07:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 1969', 'Apr 26 08:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 26 09:00:00 1970', 'Oct 25 07:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 1970', 'Apr 25 08:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 25 09:00:00 1971', 'Oct 31 07:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 1971', 'Apr 30 08:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 30 09:00:00 1972', 'Oct 29 07:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 1972', 'Apr 29 08:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 29 09:00:00 1973', 'Oct 28 07:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 1973', 'Jan 6 08:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Jan 6 09:00:00 1974', 'Oct 27 07:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 1974', 'Feb 23 08:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Feb 23 09:00:00 1975', 'Oct 26 07:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 1975', 'Apr 25 08:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 25 09:00:00 1976', 'Oct 31 07:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 1976', 'Apr 24 08:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 24 09:00:00 1977', 'Oct 30 07:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 1977', 'Apr 30 08:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 30 09:00:00 1978', 'Oct 29 07:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 1978', 'Apr 29 08:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 29 09:00:00 1979', 'Oct 28 07:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 1979', 'Apr 27 08:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Denver', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Denver', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- America/Detroit
--

begin
timezone.add_rule('America/Detroit', 'EST', 0, -19931, 'Dec 14 20:45:52 1901', 'Jan 1 05:32:10 1905', 'Dec 14 15:13:41 1901', 'Dec 31 23:59:59 1904');
timezone.add_rule('America/Detroit', 'EST', 0, -21600, 'Jan 1 05:32:11 1905', 'May 15 07:59:59 1915', 'Dec 31 23:32:11 1904', 'May 15 01:59:59 1915');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'May 15 08:00:00 1915', 'Feb 9 06:59:59 1942', 'May 15 03:00:00 1915', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Feb 9 07:00:00 1942', 'Sep 30 05:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 25 06:59:59 1948', 'Sep 30 01:00:00 1945', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 25 07:00:00 1948', 'Sep 26 05:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Sep 26 06:00:00 1948', 'Jun 14 06:59:59 1967', 'Sep 26 01:00:00 1948', 'Jun 14 01:59:59 1967');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Jun 14 07:00:00 1967', 'Oct 29 05:59:59 1967', 'Jun 14 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 1967', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1967', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Jan 6 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Jan 6 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Apr 27 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 27 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Detroit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Detroit', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Dominica
--

begin
timezone.add_rule('America/Dominica', 'AST', 0, -14736, 'Dec 14 20:45:52 1901', 'Jul 1 04:06:35 1911', 'Dec 14 16:40:16 1901', 'Jul 1 00:00:59 1911');
timezone.add_rule('America/Dominica', 'AST', 0, -14400, 'Jul 1 04:06:36 1911', 'Jan 18 03:14:07 2038', 'Jul 1 00:06:36 1911', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Edmonton
--

begin
timezone.add_rule('America/Edmonton', 'MST', 0, -27232, 'Dec 14 20:45:52 1901', 'Sep 1 07:33:51 1906', 'Dec 14 13:12:00 1901', 'Aug 31 23:59:59 1906');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Sep 1 07:33:52 1906', 'Apr 14 08:59:59 1918', 'Sep 1 00:33:52 1906', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 14 09:00:00 1918', 'Oct 31 07:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 1918', 'Apr 13 08:59:59 1919', 'Oct 31 01:00:00 1918', 'Apr 13 01:59:59 1919');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 13 09:00:00 1919', 'May 27 07:59:59 1919', 'Apr 13 03:00:00 1919', 'May 27 01:59:59 1919');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'May 27 08:00:00 1919', 'Apr 25 08:59:59 1920', 'May 27 01:00:00 1919', 'Apr 25 01:59:59 1920');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 25 09:00:00 1920', 'Oct 31 07:59:59 1920', 'Apr 25 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 1920', 'Apr 24 08:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 24 09:00:00 1921', 'Sep 25 07:59:59 1921', 'Apr 24 03:00:00 1921', 'Sep 25 01:59:59 1921');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Sep 25 08:00:00 1921', 'Apr 30 08:59:59 1922', 'Sep 25 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 30 09:00:00 1922', 'Sep 24 07:59:59 1922', 'Apr 30 03:00:00 1922', 'Sep 24 01:59:59 1922');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Sep 24 08:00:00 1922', 'Apr 29 08:59:59 1923', 'Sep 24 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 29 09:00:00 1923', 'Sep 30 07:59:59 1923', 'Apr 29 03:00:00 1923', 'Sep 30 01:59:59 1923');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Sep 30 08:00:00 1923', 'Feb 9 08:59:59 1942', 'Sep 30 01:00:00 1923', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 27 08:59:59 1947', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 27 09:00:00 1947', 'Sep 28 07:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Sep 28 08:00:00 1947', 'Apr 30 08:59:59 1967', 'Sep 28 01:00:00 1947', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Apr 27 08:59:59 1969', 'Oct 29 01:00:00 1967', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 27 09:00:00 1969', 'Oct 26 07:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 1969', 'Apr 30 08:59:59 1972', 'Oct 26 01:00:00 1969', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 30 09:00:00 1972', 'Oct 29 07:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 1972', 'Apr 29 08:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 29 09:00:00 1973', 'Oct 28 07:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 1973', 'Apr 28 08:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 28 09:00:00 1974', 'Oct 27 07:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 27 08:00:00 1974', 'Apr 27 08:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 27 09:00:00 1975', 'Oct 26 07:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 1975', 'Apr 25 08:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 25 09:00:00 1976', 'Oct 31 07:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 1976', 'Apr 24 08:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 24 09:00:00 1977', 'Oct 30 07:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 30 08:00:00 1977', 'Apr 30 08:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 30 09:00:00 1978', 'Oct 29 07:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 1978', 'Apr 29 08:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 29 09:00:00 1979', 'Oct 28 07:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 1979', 'Apr 27 08:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Edmonton', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Edmonton', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- America/El_Salvador
--

begin
timezone.add_rule('America/El_Salvador', 'CST', 0, -21408, 'Dec 14 20:45:52 1901', 'Jan 1 05:56:47 1921', 'Dec 14 14:49:04 1901', 'Dec 31 23:59:59 1920');
timezone.add_rule('America/El_Salvador', 'CST', 0, -21600, 'Jan 1 05:56:48 1921', 'May 3 05:59:59 1987', 'Dec 31 23:56:48 1920', 'May 2 23:59:59 1987');
timezone.add_rule('America/El_Salvador', 'CDT', 1, -18000, 'May 3 06:00:00 1987', 'Sep 27 04:59:59 1987', 'May 3 01:00:00 1987', 'Sep 26 23:59:59 1987');
timezone.add_rule('America/El_Salvador', 'CST', 0, -21600, 'Sep 27 05:00:00 1987', 'May 1 05:59:59 1988', 'Sep 26 23:00:00 1987', 'Apr 30 23:59:59 1988');
timezone.add_rule('America/El_Salvador', 'CDT', 1, -18000, 'May 1 06:00:00 1988', 'Sep 25 04:59:59 1988', 'May 1 01:00:00 1988', 'Sep 24 23:59:59 1988');
timezone.add_rule('America/El_Salvador', 'CST', 0, -21600, 'Sep 25 05:00:00 1988', 'Jan 18 03:14:07 2038', 'Sep 24 23:00:00 1988', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Ensenada
--

begin
timezone.add_rule('America/Ensenada', 'PST', 0, -27988, 'Dec 14 20:45:52 1901', 'Jan 1 07:59:59 1922', 'Dec 14 12:59:24 1901', 'Jan 1 00:13:31 1922');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Jan 1 08:00:00 1922', 'Jun 11 06:59:59 1927', 'Jan 1 00:00:00 1922', 'Jun 10 22:59:59 1927');
timezone.add_rule('America/Ensenada', 'PST', 0, -25200, 'Jun 11 07:00:00 1927', 'Nov 16 06:59:59 1930', 'Jun 11 00:00:00 1927', 'Nov 15 23:59:59 1930');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Nov 16 07:00:00 1930', 'Apr 1 07:59:59 1942', 'Nov 15 23:00:00 1930', 'Mar 31 23:59:59 1942');
timezone.add_rule('America/Ensenada', 'PST', 0, -25200, 'Apr 1 08:00:00 1942', 'Jan 14 06:59:59 1949', 'Apr 1 01:00:00 1942', 'Jan 13 23:59:59 1949');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Jan 14 07:00:00 1949', 'Apr 7 09:59:59 1996', 'Jan 13 23:00:00 1949', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Ensenada', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Ensenada', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- America/Fort_Wayne
--

begin
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Jun 22 07:59:59 1941', 'Oct 26 01:00:00 1919', 'Jun 22 01:59:59 1941');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Jun 22 08:00:00 1941', 'Sep 28 06:59:59 1941', 'Jun 22 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 28 07:00:00 1941', 'Feb 9 07:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Sep 29 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 29 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -18000, 'Apr 24 08:00:00 1955', 'Sep 29 06:59:59 1957', 'Apr 24 03:00:00 1955', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -18000, 'Apr 27 08:00:00 1958', 'Apr 27 06:59:59 1969', 'Apr 27 03:00:00 1958', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Fort_Wayne', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Fort_Wayne', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 1970', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Fortaleza
--

begin
timezone.add_rule('America/Fortaleza', 'BRT', 0, -9240, 'Dec 14 20:45:52 1901', 'Jan 1 02:33:59 1914', 'Dec 14 18:11:52 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Jan 1 02:34:00 1914', 'Oct 3 13:59:59 1931', 'Dec 31 23:34:00 1913', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Oct 3 14:00:00 1931', 'Apr 1 01:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Apr 1 02:00:00 1932', 'Oct 3 02:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Oct 3 03:00:00 1932', 'Apr 1 01:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Apr 1 02:00:00 1933', 'Dec 1 02:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Dec 1 03:00:00 1949', 'Apr 16 02:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Apr 16 03:00:00 1950', 'Dec 1 02:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Dec 1 03:00:00 1950', 'Apr 1 01:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Apr 1 02:00:00 1951', 'Dec 1 02:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Dec 1 03:00:00 1951', 'Apr 1 01:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Apr 1 02:00:00 1952', 'Dec 1 02:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Dec 1 03:00:00 1952', 'Mar 1 01:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Mar 1 02:00:00 1953', 'Dec 9 02:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Dec 9 03:00:00 1963', 'Mar 1 01:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Mar 1 02:00:00 1964', 'Jan 31 02:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Jan 31 03:00:00 1965', 'Mar 31 01:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Mar 31 02:00:00 1965', 'Dec 1 02:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Dec 1 03:00:00 1965', 'Mar 1 01:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Mar 1 02:00:00 1966', 'Nov 1 02:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Nov 1 03:00:00 1966', 'Mar 1 01:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Mar 1 02:00:00 1967', 'Nov 1 02:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Nov 1 03:00:00 1967', 'Mar 1 01:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Mar 1 02:00:00 1968', 'Nov 2 02:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 15 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Mar 15 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 14 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Feb 14 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Feb 7 02:00:00 1988', 'Oct 16 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Oct 15 23:59:59 1988');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Oct 16 03:00:00 1988', 'Jan 29 01:59:59 1989', 'Oct 16 01:00:00 1988', 'Jan 28 23:59:59 1989');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Jan 29 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Jan 28 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Fortaleza', 'BRST', 1, -7200, 'Oct 15 03:00:00 1989', 'Feb 11 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Feb 10 23:59:59 1990');
timezone.add_rule('America/Fortaleza', 'BRT', 0, -10800, 'Feb 11 02:00:00 1990', 'Jan 18 03:14:07 2038', 'Feb 10 23:00:00 1990', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Glace_Bay
--

begin
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14388, 'Dec 14 20:45:52 1901', 'Jun 15 03:59:47 1902', 'Dec 14 16:46:04 1901', 'Jun 14 23:59:59 1902');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Jun 15 03:59:48 1902', 'Apr 14 05:59:59 1918', 'Jun 14 23:59:48 1902', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 14 06:00:00 1918', 'Oct 31 04:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1918', 'Feb 9 05:59:59 1942', 'Oct 31 01:00:00 1918', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Feb 9 06:00:00 1942', 'Sep 30 04:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Sep 30 05:00:00 1945', 'Apr 26 05:59:59 1953', 'Sep 30 01:00:00 1945', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 26 06:00:00 1953', 'Sep 27 04:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Sep 27 05:00:00 1953', 'Apr 30 05:59:59 1972', 'Sep 27 01:00:00 1953', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 30 06:00:00 1972', 'Oct 29 04:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 1972', 'Apr 29 05:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 29 06:00:00 1973', 'Oct 28 04:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 1973', 'Apr 28 05:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 28 06:00:00 1974', 'Oct 27 04:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 1974', 'Apr 27 05:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 27 06:00:00 1975', 'Oct 26 04:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 1975', 'Apr 25 05:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 25 06:00:00 1976', 'Oct 31 04:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1976', 'Apr 24 05:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 24 06:00:00 1977', 'Oct 30 04:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 1977', 'Apr 30 05:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 30 06:00:00 1978', 'Oct 29 04:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 1978', 'Apr 29 05:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 29 06:00:00 1979', 'Oct 28 04:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 1979', 'Apr 27 05:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 27 06:00:00 1980', 'Oct 26 04:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 1980', 'Apr 26 05:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 26 06:00:00 1981', 'Oct 25 04:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 1981', 'Apr 25 05:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 25 06:00:00 1982', 'Oct 31 04:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1982', 'Apr 24 05:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 24 06:00:00 1983', 'Oct 30 04:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 1983', 'Apr 29 05:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 29 06:00:00 1984', 'Oct 28 04:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 1984', 'Apr 28 05:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 28 06:00:00 1985', 'Oct 27 04:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 1985', 'Apr 27 05:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 27 06:00:00 1986', 'Oct 26 04:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 1986', 'Apr 5 05:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 1987', 'Oct 25 04:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 1987', 'Apr 3 05:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 1988', 'Oct 30 04:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 1988', 'Apr 2 05:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 1989', 'Oct 29 04:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 1989', 'Apr 1 05:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 1990', 'Oct 28 04:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 1990', 'Apr 7 05:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 1991', 'Oct 27 04:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 1991', 'Apr 5 05:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 1992', 'Oct 25 04:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 1992', 'Apr 4 05:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 1993', 'Oct 31 04:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1993', 'Apr 3 05:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 1994', 'Oct 30 04:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 1994', 'Apr 2 05:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 1995', 'Oct 29 04:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 1995', 'Apr 7 05:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 1996', 'Oct 27 04:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 1996', 'Apr 6 05:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 1997', 'Oct 26 04:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 1997', 'Apr 5 05:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 1998', 'Oct 25 04:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 1998', 'Apr 4 05:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 1999', 'Oct 31 04:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1999', 'Apr 2 05:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2000', 'Oct 29 04:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2000', 'Apr 1 05:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2001', 'Oct 28 04:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2001', 'Apr 7 05:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2002', 'Oct 27 04:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2002', 'Apr 6 05:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2003', 'Oct 26 04:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2003', 'Apr 4 05:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2004', 'Oct 31 04:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2004', 'Apr 3 05:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2005', 'Oct 30 04:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2005', 'Apr 2 05:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2006', 'Oct 29 04:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2006', 'Apr 1 05:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2007', 'Oct 28 04:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2007', 'Apr 6 05:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2008', 'Oct 26 04:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2008', 'Apr 5 05:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2009', 'Oct 25 04:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2009', 'Apr 4 05:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2010', 'Oct 31 04:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2010', 'Apr 3 05:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2011', 'Oct 30 04:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2011', 'Apr 1 05:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2012', 'Oct 28 04:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2012', 'Apr 7 05:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2013', 'Oct 27 04:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2013', 'Apr 6 05:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2014', 'Oct 26 04:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2014', 'Apr 5 05:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2015', 'Oct 25 04:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2015', 'Apr 3 05:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2016', 'Oct 30 04:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2016', 'Apr 2 05:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2017', 'Oct 29 04:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2017', 'Apr 1 05:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2018', 'Oct 28 04:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2018', 'Apr 7 05:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2019', 'Oct 27 04:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2019', 'Apr 5 05:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2020', 'Oct 25 04:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2020', 'Apr 4 05:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2021', 'Oct 31 04:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2021', 'Apr 3 05:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2022', 'Oct 30 04:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2022', 'Apr 2 05:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2023', 'Oct 29 04:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2023', 'Apr 7 05:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2024', 'Oct 27 04:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2024', 'Apr 6 05:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2025', 'Oct 26 04:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2025', 'Apr 5 05:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2026', 'Oct 25 04:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2026', 'Apr 4 05:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2027', 'Oct 31 04:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2027', 'Apr 2 05:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2028', 'Oct 29 04:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2028', 'Apr 1 05:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2029', 'Oct 28 04:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2029', 'Apr 7 05:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2030', 'Oct 27 04:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2030', 'Apr 6 05:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2031', 'Oct 26 04:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2031', 'Apr 4 05:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2032', 'Oct 31 04:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2032', 'Apr 3 05:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2033', 'Oct 30 04:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2033', 'Apr 2 05:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2034', 'Oct 29 04:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2034', 'Apr 1 05:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2035', 'Oct 28 04:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2035', 'Apr 6 05:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2036', 'Oct 26 04:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2036', 'Apr 5 05:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Glace_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2037', 'Oct 25 04:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Glace_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Godthab
--

begin
timezone.add_rule('America/Godthab', 'WGT', 0, -12416, 'Dec 14 20:45:52 1901', 'Jul 28 03:26:55 1916', 'Dec 14 17:18:56 1901', 'Jul 27 23:59:59 1916');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Jul 28 03:26:56 1916', 'Apr 6 04:59:59 1980', 'Jul 28 00:26:56 1916', 'Apr 6 01:59:59 1980');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Apr 6 05:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 27 22:59:59 1980');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 27 22:00:00 1980', 'Mar 28 21:59:59 1981');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 28 23:00:00 1981', 'Sep 26 22:59:59 1981');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 26 22:00:00 1981', 'Mar 27 21:59:59 1982');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 27 23:00:00 1982', 'Sep 25 22:59:59 1982');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 25 22:00:00 1982', 'Mar 26 21:59:59 1983');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 26 23:00:00 1983', 'Sep 24 22:59:59 1983');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 24 22:00:00 1983', 'Mar 24 21:59:59 1984');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 24 23:00:00 1984', 'Sep 29 22:59:59 1984');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 29 22:00:00 1984', 'Mar 30 21:59:59 1985');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 28 22:00:00 1985', 'Mar 29 21:59:59 1986');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 27 22:00:00 1986', 'Mar 28 21:59:59 1987');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 26 22:00:00 1987', 'Mar 26 21:59:59 1988');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 24 22:00:00 1988', 'Mar 25 21:59:59 1989');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 23 22:00:00 1989', 'Mar 24 21:59:59 1990');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 24 23:00:00 1990', 'Sep 29 22:59:59 1990');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 29 22:00:00 1990', 'Mar 30 21:59:59 1991');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 30 23:00:00 1991', 'Sep 28 22:59:59 1991');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 28 22:00:00 1991', 'Mar 28 21:59:59 1992');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 28 23:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 27 21:59:59 1993');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 27 23:00:00 1993', 'Sep 25 22:59:59 1993');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 25 22:00:00 1993', 'Mar 26 21:59:59 1994');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 26 23:00:00 1994', 'Sep 24 22:59:59 1994');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 24 22:00:00 1994', 'Mar 25 21:59:59 1995');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 25 23:00:00 1995', 'Sep 23 22:59:59 1995');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 23 22:00:00 1995', 'Mar 30 21:59:59 1996');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 30 23:00:00 1996', 'Oct 26 22:59:59 1996');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 26 22:00:00 1996', 'Mar 29 21:59:59 1997');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 29 23:00:00 1997', 'Oct 25 22:59:59 1997');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 25 22:00:00 1997', 'Mar 28 21:59:59 1998');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 28 23:00:00 1998', 'Oct 24 22:59:59 1998');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 24 22:00:00 1998', 'Mar 27 21:59:59 1999');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 27 23:00:00 1999', 'Oct 30 22:59:59 1999');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 30 22:00:00 1999', 'Mar 25 21:59:59 2000');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 25 23:00:00 2000', 'Oct 28 22:59:59 2000');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 28 22:00:00 2000', 'Mar 24 21:59:59 2001');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 24 23:00:00 2001', 'Oct 27 22:59:59 2001');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 27 22:00:00 2001', 'Mar 30 21:59:59 2002');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 30 23:00:00 2002', 'Oct 26 22:59:59 2002');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 26 22:00:00 2002', 'Mar 29 21:59:59 2003');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 29 23:00:00 2003', 'Oct 25 22:59:59 2003');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 25 22:00:00 2003', 'Mar 27 21:59:59 2004');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 27 23:00:00 2004', 'Oct 30 22:59:59 2004');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 30 22:00:00 2004', 'Mar 26 21:59:59 2005');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 26 23:00:00 2005', 'Oct 29 22:59:59 2005');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 29 22:00:00 2005', 'Mar 25 21:59:59 2006');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 25 23:00:00 2006', 'Oct 28 22:59:59 2006');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 28 22:00:00 2006', 'Mar 24 21:59:59 2007');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 24 23:00:00 2007', 'Oct 27 22:59:59 2007');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 27 22:00:00 2007', 'Mar 29 21:59:59 2008');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 29 23:00:00 2008', 'Oct 25 22:59:59 2008');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 25 22:00:00 2008', 'Mar 28 21:59:59 2009');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 28 23:00:00 2009', 'Oct 24 22:59:59 2009');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 24 22:00:00 2009', 'Mar 27 21:59:59 2010');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 27 23:00:00 2010', 'Oct 30 22:59:59 2010');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 30 22:00:00 2010', 'Mar 26 21:59:59 2011');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 26 23:00:00 2011', 'Oct 29 22:59:59 2011');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 29 22:00:00 2011', 'Mar 24 21:59:59 2012');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 24 23:00:00 2012', 'Oct 27 22:59:59 2012');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 27 22:00:00 2012', 'Mar 30 21:59:59 2013');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 30 23:00:00 2013', 'Oct 26 22:59:59 2013');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 26 22:00:00 2013', 'Mar 29 21:59:59 2014');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 29 23:00:00 2014', 'Oct 25 22:59:59 2014');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 25 22:00:00 2014', 'Mar 28 21:59:59 2015');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 28 23:00:00 2015', 'Oct 24 22:59:59 2015');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 24 22:00:00 2015', 'Mar 26 21:59:59 2016');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 26 23:00:00 2016', 'Oct 29 22:59:59 2016');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 29 22:00:00 2016', 'Mar 25 21:59:59 2017');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 25 23:00:00 2017', 'Oct 28 22:59:59 2017');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 28 22:00:00 2017', 'Mar 24 21:59:59 2018');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 24 23:00:00 2018', 'Oct 27 22:59:59 2018');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 27 22:00:00 2018', 'Mar 30 21:59:59 2019');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 30 23:00:00 2019', 'Oct 26 22:59:59 2019');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 26 22:00:00 2019', 'Mar 28 21:59:59 2020');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 28 23:00:00 2020', 'Oct 24 22:59:59 2020');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 24 22:00:00 2020', 'Mar 27 21:59:59 2021');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 27 23:00:00 2021', 'Oct 30 22:59:59 2021');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 30 22:00:00 2021', 'Mar 26 21:59:59 2022');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 26 23:00:00 2022', 'Oct 29 22:59:59 2022');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 29 22:00:00 2022', 'Mar 25 21:59:59 2023');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 25 23:00:00 2023', 'Oct 28 22:59:59 2023');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 28 22:00:00 2023', 'Mar 30 21:59:59 2024');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 30 23:00:00 2024', 'Oct 26 22:59:59 2024');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 26 22:00:00 2024', 'Mar 29 21:59:59 2025');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 29 23:00:00 2025', 'Oct 25 22:59:59 2025');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 25 22:00:00 2025', 'Mar 28 21:59:59 2026');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 28 23:00:00 2026', 'Oct 24 22:59:59 2026');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 24 22:00:00 2026', 'Mar 27 21:59:59 2027');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 27 23:00:00 2027', 'Oct 30 22:59:59 2027');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 30 22:00:00 2027', 'Mar 25 21:59:59 2028');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 25 23:00:00 2028', 'Oct 28 22:59:59 2028');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 28 22:00:00 2028', 'Mar 24 21:59:59 2029');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 24 23:00:00 2029', 'Oct 27 22:59:59 2029');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 27 22:00:00 2029', 'Mar 30 21:59:59 2030');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 30 23:00:00 2030', 'Oct 26 22:59:59 2030');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 26 22:00:00 2030', 'Mar 29 21:59:59 2031');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 29 23:00:00 2031', 'Oct 25 22:59:59 2031');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 25 22:00:00 2031', 'Mar 27 21:59:59 2032');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 27 23:00:00 2032', 'Oct 30 22:59:59 2032');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 30 22:00:00 2032', 'Mar 26 21:59:59 2033');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 26 23:00:00 2033', 'Oct 29 22:59:59 2033');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 29 22:00:00 2033', 'Mar 25 21:59:59 2034');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 25 23:00:00 2034', 'Oct 28 22:59:59 2034');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 28 22:00:00 2034', 'Mar 24 21:59:59 2035');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 24 23:00:00 2035', 'Oct 27 22:59:59 2035');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 27 22:00:00 2035', 'Mar 29 21:59:59 2036');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 29 23:00:00 2036', 'Oct 25 22:59:59 2036');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 25 22:00:00 2036', 'Mar 28 21:59:59 2037');
timezone.add_rule('America/Godthab', 'WGST', 1, -7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 28 23:00:00 2037', 'Oct 24 22:59:59 2037');
timezone.add_rule('America/Godthab', 'WGT', 0, -10800, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 24 22:00:00 2037', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Goose_Bay
--

begin
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12652, 'Dec 14 20:45:52 1901', 'Apr 8 05:30:51 1917', 'Dec 14 17:15:00 1901', 'Apr 8 01:59:59 1917');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9052, 'Apr 8 05:30:52 1917', 'Sep 17 04:30:51 1917', 'Apr 8 03:00:00 1917', 'Sep 17 01:59:59 1917');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12652, 'Sep 17 04:30:52 1917', 'Apr 14 05:30:51 1918', 'Sep 17 01:00:00 1917', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9052, 'Apr 14 05:30:52 1918', 'Oct 31 04:30:51 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12652, 'Oct 31 04:30:52 1918', 'Mar 30 03:30:51 1935', 'Oct 31 01:00:00 1918', 'Mar 29 23:59:59 1935');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Mar 30 03:30:52 1935', 'May 10 03:29:59 1936', 'Mar 30 00:00:52 1935', 'May 9 23:59:59 1936');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 10 03:30:00 1936', 'Oct 4 02:29:59 1936', 'May 10 01:00:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 4 02:30:00 1936', 'May 9 03:29:59 1937', 'Oct 3 23:00:00 1936', 'May 8 23:59:59 1937');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 9 03:30:00 1937', 'Oct 3 02:29:59 1937', 'May 9 01:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 3 02:30:00 1937', 'May 8 03:29:59 1938', 'Oct 2 23:00:00 1937', 'May 7 23:59:59 1938');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 8 03:30:00 1938', 'Oct 2 02:29:59 1938', 'May 8 01:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 2 02:30:00 1938', 'May 14 03:29:59 1939', 'Oct 1 23:00:00 1938', 'May 13 23:59:59 1939');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 14 03:30:00 1939', 'Oct 1 02:29:59 1939', 'May 14 01:00:00 1939', 'Sep 30 23:59:59 1939');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 1 02:30:00 1939', 'May 12 03:29:59 1940', 'Sep 30 23:00:00 1939', 'May 11 23:59:59 1940');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 12 03:30:00 1940', 'Oct 6 02:29:59 1940', 'May 12 01:00:00 1940', 'Oct 5 23:59:59 1940');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 6 02:30:00 1940', 'May 11 03:29:59 1941', 'Oct 5 23:00:00 1940', 'May 10 23:59:59 1941');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 11 03:30:00 1941', 'Oct 5 02:29:59 1941', 'May 11 01:00:00 1941', 'Oct 4 23:59:59 1941');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 5 02:30:00 1941', 'Mar 1 03:29:59 1942', 'Oct 4 23:00:00 1941', 'Feb 28 23:59:59 1942');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Mar 1 03:30:00 1942', 'Dec 31 02:29:59 1942', 'Mar 1 01:00:00 1942', 'Dec 30 23:59:59 1942');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Dec 31 02:30:00 1942', 'May 30 03:29:59 1943', 'Dec 30 23:00:00 1942', 'May 29 23:59:59 1943');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 30 03:30:00 1943', 'Sep 5 02:29:59 1943', 'May 30 01:00:00 1943', 'Sep 4 23:59:59 1943');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 5 02:30:00 1943', 'Jul 10 03:29:59 1944', 'Sep 4 23:00:00 1943', 'Jul 9 23:59:59 1944');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Jul 10 03:30:00 1944', 'Sep 2 02:29:59 1944', 'Jul 10 01:00:00 1944', 'Sep 1 23:59:59 1944');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 2 02:30:00 1944', 'Jan 1 03:29:59 1945', 'Sep 1 23:00:00 1944', 'Dec 31 23:59:59 1944');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Jan 1 03:30:00 1945', 'Oct 7 04:29:59 1945', 'Jan 1 01:00:00 1945', 'Oct 7 01:59:59 1945');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 7 04:30:00 1945', 'May 12 05:29:59 1946', 'Oct 7 01:00:00 1945', 'May 12 01:59:59 1946');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 12 05:30:00 1946', 'Oct 6 04:29:59 1946', 'May 12 03:00:00 1946', 'Oct 6 01:59:59 1946');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 6 04:30:00 1946', 'May 11 05:29:59 1947', 'Oct 6 01:00:00 1946', 'May 11 01:59:59 1947');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 11 05:30:00 1947', 'Oct 5 04:29:59 1947', 'May 11 03:00:00 1947', 'Oct 5 01:59:59 1947');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 5 04:30:00 1947', 'May 9 05:29:59 1948', 'Oct 5 01:00:00 1947', 'May 9 01:59:59 1948');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 9 05:30:00 1948', 'Oct 3 04:29:59 1948', 'May 9 03:00:00 1948', 'Oct 3 01:59:59 1948');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 3 04:30:00 1948', 'May 8 05:29:59 1949', 'Oct 3 01:00:00 1948', 'May 8 01:59:59 1949');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 8 05:30:00 1949', 'Oct 2 04:29:59 1949', 'May 8 03:00:00 1949', 'Oct 2 01:59:59 1949');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 2 04:30:00 1949', 'May 14 05:29:59 1950', 'Oct 2 01:00:00 1949', 'May 14 01:59:59 1950');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'May 14 05:30:00 1950', 'Oct 8 04:29:59 1950', 'May 14 03:00:00 1950', 'Oct 8 01:59:59 1950');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 8 04:30:00 1950', 'Apr 29 05:29:59 1951', 'Oct 8 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 29 05:30:00 1951', 'Sep 30 04:29:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 30 04:30:00 1951', 'Apr 27 05:29:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 27 05:30:00 1952', 'Sep 28 04:29:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 28 04:30:00 1952', 'Apr 26 05:29:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 26 05:30:00 1953', 'Sep 27 04:29:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 27 04:30:00 1953', 'Apr 25 05:29:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 25 05:30:00 1954', 'Sep 26 04:29:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 26 04:30:00 1954', 'Apr 24 05:29:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 24 05:30:00 1955', 'Sep 25 04:29:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 25 04:30:00 1955', 'Apr 29 05:29:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 29 05:30:00 1956', 'Sep 30 04:29:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 30 04:30:00 1956', 'Apr 28 05:29:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 28 05:30:00 1957', 'Sep 29 04:29:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 29 04:30:00 1957', 'Apr 27 05:29:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 27 05:30:00 1958', 'Sep 28 04:29:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 28 04:30:00 1958', 'Apr 26 05:29:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 26 05:30:00 1959', 'Sep 27 04:29:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Sep 27 04:30:00 1959', 'Apr 24 05:29:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 24 05:30:00 1960', 'Oct 30 04:29:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 30 04:30:00 1960', 'Apr 30 05:29:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 30 05:30:00 1961', 'Oct 29 04:29:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 29 04:30:00 1961', 'Apr 29 05:29:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 29 05:30:00 1962', 'Oct 28 04:29:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 28 04:30:00 1962', 'Apr 28 05:29:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 28 05:30:00 1963', 'Oct 27 04:29:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 27 04:30:00 1963', 'Apr 26 05:29:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 26 05:30:00 1964', 'Oct 25 04:29:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 25 04:30:00 1964', 'Apr 25 05:29:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -9000, 'Apr 25 05:30:00 1965', 'Oct 31 04:29:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -12600, 'Oct 31 04:30:00 1965', 'Mar 15 05:29:59 1966', 'Oct 31 01:00:00 1965', 'Mar 15 01:59:59 1966');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Mar 15 05:30:00 1966', 'Apr 24 05:59:59 1966', 'Mar 15 01:30:00 1966', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 24 06:00:00 1966', 'Oct 30 04:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 1966', 'Apr 30 05:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 30 06:00:00 1967', 'Oct 29 04:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 1967', 'Apr 28 05:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 28 06:00:00 1968', 'Oct 27 04:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 1968', 'Apr 27 05:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 27 06:00:00 1969', 'Oct 26 04:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 1969', 'Apr 26 05:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 26 06:00:00 1970', 'Oct 25 04:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 1970', 'Apr 25 05:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 25 06:00:00 1971', 'Oct 31 04:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1971', 'Apr 30 05:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 30 06:00:00 1972', 'Oct 29 04:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 1972', 'Apr 29 05:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 29 06:00:00 1973', 'Oct 28 04:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 1973', 'Apr 28 05:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 28 06:00:00 1974', 'Oct 27 04:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 1974', 'Apr 27 05:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 27 06:00:00 1975', 'Oct 26 04:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 1975', 'Apr 25 05:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 25 06:00:00 1976', 'Oct 31 04:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1976', 'Apr 24 05:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 24 06:00:00 1977', 'Oct 30 04:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 1977', 'Apr 30 05:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 30 06:00:00 1978', 'Oct 29 04:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 1978', 'Apr 29 05:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 29 06:00:00 1979', 'Oct 28 04:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 1979', 'Apr 27 05:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 27 06:00:00 1980', 'Oct 26 04:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 1980', 'Apr 26 05:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 26 06:00:00 1981', 'Oct 25 04:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 1981', 'Apr 25 05:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 25 06:00:00 1982', 'Oct 31 04:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1982', 'Apr 24 05:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 24 06:00:00 1983', 'Oct 30 04:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 1983', 'Apr 29 05:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 29 06:00:00 1984', 'Oct 28 04:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 1984', 'Apr 28 05:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 28 06:00:00 1985', 'Oct 27 04:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 1985', 'Apr 27 05:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 27 06:00:00 1986', 'Oct 26 04:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 1986', 'Apr 5 05:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 1987', 'Oct 25 04:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 1987', 'Apr 3 05:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -7200, 'Apr 3 06:00:00 1988', 'Oct 30 03:59:59 1988', 'Apr 3 04:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 04:00:00 1988', 'Apr 2 05:59:59 1989', 'Oct 30 00:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 1989', 'Oct 29 04:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 1989', 'Apr 1 05:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 1990', 'Oct 28 04:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 1990', 'Apr 7 05:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 1991', 'Oct 27 04:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 1991', 'Apr 5 05:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 1992', 'Oct 25 04:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 1992', 'Apr 4 05:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 1993', 'Oct 31 04:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1993', 'Apr 3 05:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 1994', 'Oct 30 04:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 1994', 'Apr 2 05:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 1995', 'Oct 29 04:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 1995', 'Apr 7 05:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 1996', 'Oct 27 04:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 1996', 'Apr 6 05:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 1997', 'Oct 26 04:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 1997', 'Apr 5 05:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 1998', 'Oct 25 04:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 1998', 'Apr 4 05:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 1999', 'Oct 31 04:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 1999', 'Apr 2 05:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2000', 'Oct 29 04:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2000', 'Apr 1 05:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2001', 'Oct 28 04:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2001', 'Apr 7 05:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2002', 'Oct 27 04:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2002', 'Apr 6 05:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2003', 'Oct 26 04:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2003', 'Apr 4 05:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2004', 'Oct 31 04:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2004', 'Apr 3 05:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2005', 'Oct 30 04:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2005', 'Apr 2 05:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2006', 'Oct 29 04:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2006', 'Apr 1 05:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2007', 'Oct 28 04:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2007', 'Apr 6 05:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2008', 'Oct 26 04:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2008', 'Apr 5 05:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2009', 'Oct 25 04:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2009', 'Apr 4 05:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2010', 'Oct 31 04:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2010', 'Apr 3 05:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2011', 'Oct 30 04:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2011', 'Apr 1 05:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2012', 'Oct 28 04:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2012', 'Apr 7 05:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2013', 'Oct 27 04:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2013', 'Apr 6 05:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2014', 'Oct 26 04:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2014', 'Apr 5 05:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2015', 'Oct 25 04:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2015', 'Apr 3 05:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2016', 'Oct 30 04:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2016', 'Apr 2 05:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2017', 'Oct 29 04:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2017', 'Apr 1 05:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2018', 'Oct 28 04:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2018', 'Apr 7 05:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2019', 'Oct 27 04:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2019', 'Apr 5 05:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2020', 'Oct 25 04:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2020', 'Apr 4 05:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2021', 'Oct 31 04:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2021', 'Apr 3 05:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2022', 'Oct 30 04:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2022', 'Apr 2 05:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2023', 'Oct 29 04:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2023', 'Apr 7 05:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2024', 'Oct 27 04:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2024', 'Apr 6 05:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2025', 'Oct 26 04:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2025', 'Apr 5 05:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2026', 'Oct 25 04:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2026', 'Apr 4 05:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2027', 'Oct 31 04:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2027', 'Apr 2 05:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2028', 'Oct 29 04:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2028', 'Apr 1 05:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2029', 'Oct 28 04:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2029', 'Apr 7 05:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 7 06:00:00 2030', 'Oct 27 04:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 27 05:00:00 2030', 'Apr 6 05:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2031', 'Oct 26 04:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2031', 'Apr 4 05:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 4 06:00:00 2032', 'Oct 31 04:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 31 05:00:00 2032', 'Apr 3 05:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 3 06:00:00 2033', 'Oct 30 04:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 30 05:00:00 2033', 'Apr 2 05:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 2 06:00:00 2034', 'Oct 29 04:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 29 05:00:00 2034', 'Apr 1 05:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 1 06:00:00 2035', 'Oct 28 04:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 28 05:00:00 2035', 'Apr 6 05:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 6 06:00:00 2036', 'Oct 26 04:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 26 05:00:00 2036', 'Apr 5 05:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Goose_Bay', 'ADT', 1, -10800, 'Apr 5 06:00:00 2037', 'Oct 25 04:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Goose_Bay', 'AST', 0, -14400, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Grand_Turk
--

begin
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18432, 'Dec 14 20:45:52 1901', 'Feb 1 05:07:11 1912', 'Dec 14 15:38:40 1901', 'Jan 31 23:59:59 1912');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Feb 1 05:07:12 1912', 'Apr 29 04:59:59 1979', 'Feb 1 00:07:12 1912', 'Apr 28 23:59:59 1979');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 29 05:00:00 1979', 'Oct 28 03:59:59 1979', 'Apr 29 01:00:00 1979', 'Oct 27 23:59:59 1979');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 28 04:00:00 1979', 'Apr 27 04:59:59 1980', 'Oct 27 23:00:00 1979', 'Apr 26 23:59:59 1980');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 27 05:00:00 1980', 'Oct 26 03:59:59 1980', 'Apr 27 01:00:00 1980', 'Oct 25 23:59:59 1980');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 26 04:00:00 1980', 'Apr 26 04:59:59 1981', 'Oct 25 23:00:00 1980', 'Apr 25 23:59:59 1981');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 26 05:00:00 1981', 'Oct 25 03:59:59 1981', 'Apr 26 01:00:00 1981', 'Oct 24 23:59:59 1981');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 25 04:00:00 1981', 'Apr 25 04:59:59 1982', 'Oct 24 23:00:00 1981', 'Apr 24 23:59:59 1982');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 25 05:00:00 1982', 'Oct 31 03:59:59 1982', 'Apr 25 01:00:00 1982', 'Oct 30 23:59:59 1982');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 31 04:00:00 1982', 'Apr 24 04:59:59 1983', 'Oct 30 23:00:00 1982', 'Apr 23 23:59:59 1983');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 24 05:00:00 1983', 'Oct 30 03:59:59 1983', 'Apr 24 01:00:00 1983', 'Oct 29 23:59:59 1983');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 30 04:00:00 1983', 'Apr 29 04:59:59 1984', 'Oct 29 23:00:00 1983', 'Apr 28 23:59:59 1984');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 29 05:00:00 1984', 'Oct 28 03:59:59 1984', 'Apr 29 01:00:00 1984', 'Oct 27 23:59:59 1984');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 28 04:00:00 1984', 'Apr 28 04:59:59 1985', 'Oct 27 23:00:00 1984', 'Apr 27 23:59:59 1985');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 28 05:00:00 1985', 'Oct 27 03:59:59 1985', 'Apr 28 01:00:00 1985', 'Oct 26 23:59:59 1985');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 27 04:00:00 1985', 'Apr 27 04:59:59 1986', 'Oct 26 23:00:00 1985', 'Apr 26 23:59:59 1986');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 27 05:00:00 1986', 'Oct 26 03:59:59 1986', 'Apr 27 01:00:00 1986', 'Oct 25 23:59:59 1986');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 26 04:00:00 1986', 'Apr 5 04:59:59 1987', 'Oct 25 23:00:00 1986', 'Apr 4 23:59:59 1987');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 5 05:00:00 1987', 'Oct 25 03:59:59 1987', 'Apr 5 01:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 25 04:00:00 1987', 'Apr 3 04:59:59 1988', 'Oct 24 23:00:00 1987', 'Apr 2 23:59:59 1988');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 3 05:00:00 1988', 'Oct 30 03:59:59 1988', 'Apr 3 01:00:00 1988', 'Oct 29 23:59:59 1988');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 30 04:00:00 1988', 'Apr 2 04:59:59 1989', 'Oct 29 23:00:00 1988', 'Apr 1 23:59:59 1989');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 2 05:00:00 1989', 'Oct 29 03:59:59 1989', 'Apr 2 01:00:00 1989', 'Oct 28 23:59:59 1989');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 29 04:00:00 1989', 'Apr 1 04:59:59 1990', 'Oct 28 23:00:00 1989', 'Mar 31 23:59:59 1990');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 1 05:00:00 1990', 'Oct 28 03:59:59 1990', 'Apr 1 01:00:00 1990', 'Oct 27 23:59:59 1990');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 28 04:00:00 1990', 'Apr 7 04:59:59 1991', 'Oct 27 23:00:00 1990', 'Apr 6 23:59:59 1991');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 7 05:00:00 1991', 'Oct 27 03:59:59 1991', 'Apr 7 01:00:00 1991', 'Oct 26 23:59:59 1991');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 27 04:00:00 1991', 'Apr 5 04:59:59 1992', 'Oct 26 23:00:00 1991', 'Apr 4 23:59:59 1992');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 5 05:00:00 1992', 'Oct 25 03:59:59 1992', 'Apr 5 01:00:00 1992', 'Oct 24 23:59:59 1992');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 25 04:00:00 1992', 'Apr 4 04:59:59 1993', 'Oct 24 23:00:00 1992', 'Apr 3 23:59:59 1993');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 4 05:00:00 1993', 'Oct 31 03:59:59 1993', 'Apr 4 01:00:00 1993', 'Oct 30 23:59:59 1993');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 31 04:00:00 1993', 'Apr 3 04:59:59 1994', 'Oct 30 23:00:00 1993', 'Apr 2 23:59:59 1994');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 3 05:00:00 1994', 'Oct 30 03:59:59 1994', 'Apr 3 01:00:00 1994', 'Oct 29 23:59:59 1994');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 30 04:00:00 1994', 'Apr 2 04:59:59 1995', 'Oct 29 23:00:00 1994', 'Apr 1 23:59:59 1995');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 2 05:00:00 1995', 'Oct 29 03:59:59 1995', 'Apr 2 01:00:00 1995', 'Oct 28 23:59:59 1995');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 29 04:00:00 1995', 'Apr 7 04:59:59 1996', 'Oct 28 23:00:00 1995', 'Apr 6 23:59:59 1996');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 7 05:00:00 1996', 'Oct 27 03:59:59 1996', 'Apr 7 01:00:00 1996', 'Oct 26 23:59:59 1996');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 27 04:00:00 1996', 'Apr 6 04:59:59 1997', 'Oct 26 23:00:00 1996', 'Apr 5 23:59:59 1997');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 6 05:00:00 1997', 'Oct 26 03:59:59 1997', 'Apr 6 01:00:00 1997', 'Oct 25 23:59:59 1997');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 26 04:00:00 1997', 'Apr 5 04:59:59 1998', 'Oct 25 23:00:00 1997', 'Apr 4 23:59:59 1998');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 5 05:00:00 1998', 'Oct 25 03:59:59 1998', 'Apr 5 01:00:00 1998', 'Oct 24 23:59:59 1998');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 25 04:00:00 1998', 'Apr 4 04:59:59 1999', 'Oct 24 23:00:00 1998', 'Apr 3 23:59:59 1999');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 4 05:00:00 1999', 'Oct 31 03:59:59 1999', 'Apr 4 01:00:00 1999', 'Oct 30 23:59:59 1999');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 31 04:00:00 1999', 'Apr 2 04:59:59 2000', 'Oct 30 23:00:00 1999', 'Apr 1 23:59:59 2000');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 2 05:00:00 2000', 'Oct 29 03:59:59 2000', 'Apr 2 01:00:00 2000', 'Oct 28 23:59:59 2000');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 29 04:00:00 2000', 'Apr 1 04:59:59 2001', 'Oct 28 23:00:00 2000', 'Mar 31 23:59:59 2001');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 1 05:00:00 2001', 'Oct 28 03:59:59 2001', 'Apr 1 01:00:00 2001', 'Oct 27 23:59:59 2001');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 28 04:00:00 2001', 'Apr 7 04:59:59 2002', 'Oct 27 23:00:00 2001', 'Apr 6 23:59:59 2002');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 7 05:00:00 2002', 'Oct 27 03:59:59 2002', 'Apr 7 01:00:00 2002', 'Oct 26 23:59:59 2002');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 27 04:00:00 2002', 'Apr 6 04:59:59 2003', 'Oct 26 23:00:00 2002', 'Apr 5 23:59:59 2003');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 6 05:00:00 2003', 'Oct 26 03:59:59 2003', 'Apr 6 01:00:00 2003', 'Oct 25 23:59:59 2003');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 26 04:00:00 2003', 'Apr 4 04:59:59 2004', 'Oct 25 23:00:00 2003', 'Apr 3 23:59:59 2004');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 4 05:00:00 2004', 'Oct 31 03:59:59 2004', 'Apr 4 01:00:00 2004', 'Oct 30 23:59:59 2004');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 31 04:00:00 2004', 'Apr 3 04:59:59 2005', 'Oct 30 23:00:00 2004', 'Apr 2 23:59:59 2005');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 3 05:00:00 2005', 'Oct 30 03:59:59 2005', 'Apr 3 01:00:00 2005', 'Oct 29 23:59:59 2005');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 30 04:00:00 2005', 'Apr 2 04:59:59 2006', 'Oct 29 23:00:00 2005', 'Apr 1 23:59:59 2006');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 2 05:00:00 2006', 'Oct 29 03:59:59 2006', 'Apr 2 01:00:00 2006', 'Oct 28 23:59:59 2006');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 29 04:00:00 2006', 'Apr 1 04:59:59 2007', 'Oct 28 23:00:00 2006', 'Mar 31 23:59:59 2007');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 1 05:00:00 2007', 'Oct 28 03:59:59 2007', 'Apr 1 01:00:00 2007', 'Oct 27 23:59:59 2007');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 28 04:00:00 2007', 'Apr 6 04:59:59 2008', 'Oct 27 23:00:00 2007', 'Apr 5 23:59:59 2008');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 6 05:00:00 2008', 'Oct 26 03:59:59 2008', 'Apr 6 01:00:00 2008', 'Oct 25 23:59:59 2008');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 26 04:00:00 2008', 'Apr 5 04:59:59 2009', 'Oct 25 23:00:00 2008', 'Apr 4 23:59:59 2009');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 5 05:00:00 2009', 'Oct 25 03:59:59 2009', 'Apr 5 01:00:00 2009', 'Oct 24 23:59:59 2009');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 25 04:00:00 2009', 'Apr 4 04:59:59 2010', 'Oct 24 23:00:00 2009', 'Apr 3 23:59:59 2010');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 4 05:00:00 2010', 'Oct 31 03:59:59 2010', 'Apr 4 01:00:00 2010', 'Oct 30 23:59:59 2010');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 31 04:00:00 2010', 'Apr 3 04:59:59 2011', 'Oct 30 23:00:00 2010', 'Apr 2 23:59:59 2011');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 3 05:00:00 2011', 'Oct 30 03:59:59 2011', 'Apr 3 01:00:00 2011', 'Oct 29 23:59:59 2011');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 30 04:00:00 2011', 'Apr 1 04:59:59 2012', 'Oct 29 23:00:00 2011', 'Mar 31 23:59:59 2012');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 1 05:00:00 2012', 'Oct 28 03:59:59 2012', 'Apr 1 01:00:00 2012', 'Oct 27 23:59:59 2012');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 28 04:00:00 2012', 'Apr 7 04:59:59 2013', 'Oct 27 23:00:00 2012', 'Apr 6 23:59:59 2013');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 7 05:00:00 2013', 'Oct 27 03:59:59 2013', 'Apr 7 01:00:00 2013', 'Oct 26 23:59:59 2013');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 27 04:00:00 2013', 'Apr 6 04:59:59 2014', 'Oct 26 23:00:00 2013', 'Apr 5 23:59:59 2014');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 6 05:00:00 2014', 'Oct 26 03:59:59 2014', 'Apr 6 01:00:00 2014', 'Oct 25 23:59:59 2014');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 26 04:00:00 2014', 'Apr 5 04:59:59 2015', 'Oct 25 23:00:00 2014', 'Apr 4 23:59:59 2015');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 5 05:00:00 2015', 'Oct 25 03:59:59 2015', 'Apr 5 01:00:00 2015', 'Oct 24 23:59:59 2015');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 25 04:00:00 2015', 'Apr 3 04:59:59 2016', 'Oct 24 23:00:00 2015', 'Apr 2 23:59:59 2016');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 3 05:00:00 2016', 'Oct 30 03:59:59 2016', 'Apr 3 01:00:00 2016', 'Oct 29 23:59:59 2016');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 30 04:00:00 2016', 'Apr 2 04:59:59 2017', 'Oct 29 23:00:00 2016', 'Apr 1 23:59:59 2017');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 2 05:00:00 2017', 'Oct 29 03:59:59 2017', 'Apr 2 01:00:00 2017', 'Oct 28 23:59:59 2017');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 29 04:00:00 2017', 'Apr 1 04:59:59 2018', 'Oct 28 23:00:00 2017', 'Mar 31 23:59:59 2018');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 1 05:00:00 2018', 'Oct 28 03:59:59 2018', 'Apr 1 01:00:00 2018', 'Oct 27 23:59:59 2018');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 28 04:00:00 2018', 'Apr 7 04:59:59 2019', 'Oct 27 23:00:00 2018', 'Apr 6 23:59:59 2019');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 7 05:00:00 2019', 'Oct 27 03:59:59 2019', 'Apr 7 01:00:00 2019', 'Oct 26 23:59:59 2019');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 27 04:00:00 2019', 'Apr 5 04:59:59 2020', 'Oct 26 23:00:00 2019', 'Apr 4 23:59:59 2020');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 5 05:00:00 2020', 'Oct 25 03:59:59 2020', 'Apr 5 01:00:00 2020', 'Oct 24 23:59:59 2020');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 25 04:00:00 2020', 'Apr 4 04:59:59 2021', 'Oct 24 23:00:00 2020', 'Apr 3 23:59:59 2021');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 4 05:00:00 2021', 'Oct 31 03:59:59 2021', 'Apr 4 01:00:00 2021', 'Oct 30 23:59:59 2021');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 31 04:00:00 2021', 'Apr 3 04:59:59 2022', 'Oct 30 23:00:00 2021', 'Apr 2 23:59:59 2022');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 3 05:00:00 2022', 'Oct 30 03:59:59 2022', 'Apr 3 01:00:00 2022', 'Oct 29 23:59:59 2022');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 30 04:00:00 2022', 'Apr 2 04:59:59 2023', 'Oct 29 23:00:00 2022', 'Apr 1 23:59:59 2023');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 2 05:00:00 2023', 'Oct 29 03:59:59 2023', 'Apr 2 01:00:00 2023', 'Oct 28 23:59:59 2023');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 29 04:00:00 2023', 'Apr 7 04:59:59 2024', 'Oct 28 23:00:00 2023', 'Apr 6 23:59:59 2024');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 7 05:00:00 2024', 'Oct 27 03:59:59 2024', 'Apr 7 01:00:00 2024', 'Oct 26 23:59:59 2024');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 27 04:00:00 2024', 'Apr 6 04:59:59 2025', 'Oct 26 23:00:00 2024', 'Apr 5 23:59:59 2025');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 6 05:00:00 2025', 'Oct 26 03:59:59 2025', 'Apr 6 01:00:00 2025', 'Oct 25 23:59:59 2025');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 26 04:00:00 2025', 'Apr 5 04:59:59 2026', 'Oct 25 23:00:00 2025', 'Apr 4 23:59:59 2026');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 5 05:00:00 2026', 'Oct 25 03:59:59 2026', 'Apr 5 01:00:00 2026', 'Oct 24 23:59:59 2026');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 25 04:00:00 2026', 'Apr 4 04:59:59 2027', 'Oct 24 23:00:00 2026', 'Apr 3 23:59:59 2027');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 4 05:00:00 2027', 'Oct 31 03:59:59 2027', 'Apr 4 01:00:00 2027', 'Oct 30 23:59:59 2027');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 31 04:00:00 2027', 'Apr 2 04:59:59 2028', 'Oct 30 23:00:00 2027', 'Apr 1 23:59:59 2028');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 2 05:00:00 2028', 'Oct 29 03:59:59 2028', 'Apr 2 01:00:00 2028', 'Oct 28 23:59:59 2028');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 29 04:00:00 2028', 'Apr 1 04:59:59 2029', 'Oct 28 23:00:00 2028', 'Mar 31 23:59:59 2029');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 1 05:00:00 2029', 'Oct 28 03:59:59 2029', 'Apr 1 01:00:00 2029', 'Oct 27 23:59:59 2029');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 28 04:00:00 2029', 'Apr 7 04:59:59 2030', 'Oct 27 23:00:00 2029', 'Apr 6 23:59:59 2030');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 7 05:00:00 2030', 'Oct 27 03:59:59 2030', 'Apr 7 01:00:00 2030', 'Oct 26 23:59:59 2030');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 27 04:00:00 2030', 'Apr 6 04:59:59 2031', 'Oct 26 23:00:00 2030', 'Apr 5 23:59:59 2031');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 6 05:00:00 2031', 'Oct 26 03:59:59 2031', 'Apr 6 01:00:00 2031', 'Oct 25 23:59:59 2031');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 26 04:00:00 2031', 'Apr 4 04:59:59 2032', 'Oct 25 23:00:00 2031', 'Apr 3 23:59:59 2032');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 4 05:00:00 2032', 'Oct 31 03:59:59 2032', 'Apr 4 01:00:00 2032', 'Oct 30 23:59:59 2032');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 31 04:00:00 2032', 'Apr 3 04:59:59 2033', 'Oct 30 23:00:00 2032', 'Apr 2 23:59:59 2033');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 3 05:00:00 2033', 'Oct 30 03:59:59 2033', 'Apr 3 01:00:00 2033', 'Oct 29 23:59:59 2033');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 30 04:00:00 2033', 'Apr 2 04:59:59 2034', 'Oct 29 23:00:00 2033', 'Apr 1 23:59:59 2034');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 2 05:00:00 2034', 'Oct 29 03:59:59 2034', 'Apr 2 01:00:00 2034', 'Oct 28 23:59:59 2034');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 29 04:00:00 2034', 'Apr 1 04:59:59 2035', 'Oct 28 23:00:00 2034', 'Mar 31 23:59:59 2035');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 1 05:00:00 2035', 'Oct 28 03:59:59 2035', 'Apr 1 01:00:00 2035', 'Oct 27 23:59:59 2035');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 28 04:00:00 2035', 'Apr 6 04:59:59 2036', 'Oct 27 23:00:00 2035', 'Apr 5 23:59:59 2036');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 6 05:00:00 2036', 'Oct 26 03:59:59 2036', 'Apr 6 01:00:00 2036', 'Oct 25 23:59:59 2036');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 26 04:00:00 2036', 'Apr 5 04:59:59 2037', 'Oct 25 23:00:00 2036', 'Apr 4 23:59:59 2037');
timezone.add_rule('America/Grand_Turk', 'EDT', 1, -14400, 'Apr 5 05:00:00 2037', 'Oct 25 03:59:59 2037', 'Apr 5 01:00:00 2037', 'Oct 24 23:59:59 2037');
timezone.add_rule('America/Grand_Turk', 'EST', 0, -18000, 'Oct 25 04:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 24 23:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Grenada
--

begin
timezone.add_rule('America/Grenada', 'AST', 0, -14820, 'Dec 14 20:45:52 1901', 'Jul 1 04:06:59 1911', 'Dec 14 16:38:52 1901', 'Jun 30 23:59:59 1911');
timezone.add_rule('America/Grenada', 'AST', 0, -14400, 'Jul 1 04:07:00 1911', 'Jan 18 03:14:07 2038', 'Jul 1 00:07:00 1911', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Guadeloupe
--

begin
timezone.add_rule('America/Guadeloupe', 'AST', 0, -14768, 'Dec 14 20:45:52 1901', 'Jun 8 04:06:07 1911', 'Dec 14 16:39:44 1901', 'Jun 7 23:59:59 1911');
timezone.add_rule('America/Guadeloupe', 'AST', 0, -14400, 'Jun 8 04:06:08 1911', 'Jan 18 03:14:07 2038', 'Jun 8 00:06:08 1911', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Guatemala
--

begin
timezone.add_rule('America/Guatemala', 'CST', 0, -21724, 'Dec 14 20:45:52 1901', 'Oct 5 06:02:03 1918', 'Dec 14 14:43:48 1901', 'Oct 4 23:59:59 1918');
timezone.add_rule('America/Guatemala', 'CST', 0, -21600, 'Oct 5 06:02:04 1918', 'Nov 25 05:59:59 1973', 'Oct 5 00:02:04 1918', 'Nov 24 23:59:59 1973');
timezone.add_rule('America/Guatemala', 'CDT', 1, -18000, 'Nov 25 06:00:00 1973', 'Feb 24 04:59:59 1974', 'Nov 25 01:00:00 1973', 'Feb 23 23:59:59 1974');
timezone.add_rule('America/Guatemala', 'CST', 0, -21600, 'Feb 24 05:00:00 1974', 'May 21 05:59:59 1983', 'Feb 23 23:00:00 1974', 'May 20 23:59:59 1983');
timezone.add_rule('America/Guatemala', 'CDT', 1, -18000, 'May 21 06:00:00 1983', 'Sep 22 04:59:59 1983', 'May 21 01:00:00 1983', 'Sep 21 23:59:59 1983');
timezone.add_rule('America/Guatemala', 'CST', 0, -21600, 'Sep 22 05:00:00 1983', 'Mar 23 05:59:59 1991', 'Sep 21 23:00:00 1983', 'Mar 22 23:59:59 1991');
timezone.add_rule('America/Guatemala', 'CDT', 1, -18000, 'Mar 23 06:00:00 1991', 'Sep 7 04:59:59 1991', 'Mar 23 01:00:00 1991', 'Sep 6 23:59:59 1991');
timezone.add_rule('America/Guatemala', 'CST', 0, -21600, 'Sep 7 05:00:00 1991', 'Jan 18 03:14:07 2038', 'Sep 6 23:00:00 1991', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Guayaquil
--

begin
timezone.add_rule('America/Guayaquil', 'ECT', 0, -18840, 'Dec 14 20:45:52 1901', 'Jan 1 05:13:59 1931', 'Dec 14 15:31:52 1901', 'Dec 31 23:59:59 1930');
timezone.add_rule('America/Guayaquil', 'ECT', 0, -18000, 'Jan 1 05:14:00 1931', 'Jan 18 03:14:07 2038', 'Jan 1 00:14:00 1931', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Guyana
--

begin
timezone.add_rule('America/Guyana', 'GYT', 0, -13960, 'Dec 14 20:45:52 1901', 'Mar 1 03:52:39 1915', 'Dec 14 16:53:12 1901', 'Feb 28 23:59:59 1915');
timezone.add_rule('America/Guyana', 'GYT', 0, -13500, 'Mar 1 03:52:40 1915', 'Jul 31 03:44:59 1975', 'Mar 1 00:07:40 1915', 'Jul 30 23:59:59 1975');
timezone.add_rule('America/Guyana', 'GYT', 0, -10800, 'Jul 31 03:45:00 1975', 'Jan 1 02:59:59 1991', 'Jul 31 00:45:00 1975', 'Dec 31 23:59:59 1990');
timezone.add_rule('America/Guyana', 'GYT', 0, -14400, 'Jan 1 03:00:00 1991', 'Jan 18 03:14:07 2038', 'Dec 31 23:00:00 1990', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Halifax
--

begin
timezone.add_rule('America/Halifax', 'AST', 0, -15264, 'Dec 14 20:45:52 1901', 'Jun 15 04:14:23 1902', 'Dec 14 16:31:28 1901', 'Jun 14 23:59:59 1902');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Jun 15 04:14:24 1902', 'Apr 1 03:59:59 1916', 'Jun 15 00:14:24 1902', 'Mar 31 23:59:59 1916');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 1 04:00:00 1916', 'Oct 1 02:59:59 1916', 'Apr 1 01:00:00 1916', 'Sep 30 23:59:59 1916');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 1 03:00:00 1916', 'Apr 14 05:59:59 1918', 'Sep 30 23:00:00 1916', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 14 06:00:00 1918', 'Oct 31 04:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 1918', 'May 9 03:59:59 1920', 'Oct 31 01:00:00 1918', 'May 8 23:59:59 1920');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 9 04:00:00 1920', 'Aug 29 02:59:59 1920', 'May 9 01:00:00 1920', 'Aug 28 23:59:59 1920');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Aug 29 03:00:00 1920', 'May 6 03:59:59 1921', 'Aug 28 23:00:00 1920', 'May 5 23:59:59 1921');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 6 04:00:00 1921', 'Sep 5 02:59:59 1921', 'May 6 01:00:00 1921', 'Sep 4 23:59:59 1921');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 5 03:00:00 1921', 'Apr 30 03:59:59 1922', 'Sep 4 23:00:00 1921', 'Apr 29 23:59:59 1922');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 30 04:00:00 1922', 'Sep 5 02:59:59 1922', 'Apr 30 01:00:00 1922', 'Sep 4 23:59:59 1922');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 5 03:00:00 1922', 'May 6 03:59:59 1923', 'Sep 4 23:00:00 1922', 'May 5 23:59:59 1923');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 6 04:00:00 1923', 'Sep 4 02:59:59 1923', 'May 6 01:00:00 1923', 'Sep 3 23:59:59 1923');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 4 03:00:00 1923', 'May 4 03:59:59 1924', 'Sep 3 23:00:00 1923', 'May 3 23:59:59 1924');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 4 04:00:00 1924', 'Sep 15 02:59:59 1924', 'May 4 01:00:00 1924', 'Sep 14 23:59:59 1924');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 15 03:00:00 1924', 'May 3 03:59:59 1925', 'Sep 14 23:00:00 1924', 'May 2 23:59:59 1925');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 3 04:00:00 1925', 'Sep 28 02:59:59 1925', 'May 3 01:00:00 1925', 'Sep 27 23:59:59 1925');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 28 03:00:00 1925', 'May 16 03:59:59 1926', 'Sep 27 23:00:00 1925', 'May 15 23:59:59 1926');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 16 04:00:00 1926', 'Sep 13 02:59:59 1926', 'May 16 01:00:00 1926', 'Sep 12 23:59:59 1926');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 13 03:00:00 1926', 'May 1 03:59:59 1927', 'Sep 12 23:00:00 1926', 'Apr 30 23:59:59 1927');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 1 04:00:00 1927', 'Sep 26 02:59:59 1927', 'May 1 01:00:00 1927', 'Sep 25 23:59:59 1927');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 26 03:00:00 1927', 'May 13 03:59:59 1928', 'Sep 25 23:00:00 1927', 'May 12 23:59:59 1928');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 13 04:00:00 1928', 'Sep 9 02:59:59 1928', 'May 13 01:00:00 1928', 'Sep 8 23:59:59 1928');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 9 03:00:00 1928', 'May 12 03:59:59 1929', 'Sep 8 23:00:00 1928', 'May 11 23:59:59 1929');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 12 04:00:00 1929', 'Sep 3 02:59:59 1929', 'May 12 01:00:00 1929', 'Sep 2 23:59:59 1929');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 3 03:00:00 1929', 'May 11 03:59:59 1930', 'Sep 2 23:00:00 1929', 'May 10 23:59:59 1930');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 11 04:00:00 1930', 'Sep 15 02:59:59 1930', 'May 11 01:00:00 1930', 'Sep 14 23:59:59 1930');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 15 03:00:00 1930', 'May 10 03:59:59 1931', 'Sep 14 23:00:00 1930', 'May 9 23:59:59 1931');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 10 04:00:00 1931', 'Sep 28 02:59:59 1931', 'May 10 01:00:00 1931', 'Sep 27 23:59:59 1931');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 28 03:00:00 1931', 'Apr 30 03:59:59 1933', 'Sep 27 23:00:00 1931', 'Apr 29 23:59:59 1933');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 30 04:00:00 1933', 'Oct 2 02:59:59 1933', 'Apr 30 01:00:00 1933', 'Oct 1 23:59:59 1933');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 2 03:00:00 1933', 'May 20 03:59:59 1934', 'Oct 1 23:00:00 1933', 'May 19 23:59:59 1934');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 20 04:00:00 1934', 'Sep 16 02:59:59 1934', 'May 20 01:00:00 1934', 'Sep 15 23:59:59 1934');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 16 03:00:00 1934', 'Jun 2 03:59:59 1935', 'Sep 15 23:00:00 1934', 'Jun 1 23:59:59 1935');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Jun 2 04:00:00 1935', 'Sep 30 02:59:59 1935', 'Jun 2 01:00:00 1935', 'Sep 29 23:59:59 1935');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 30 03:00:00 1935', 'Jun 1 03:59:59 1936', 'Sep 29 23:00:00 1935', 'May 31 23:59:59 1936');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Jun 1 04:00:00 1936', 'Sep 14 02:59:59 1936', 'Jun 1 01:00:00 1936', 'Sep 13 23:59:59 1936');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 14 03:00:00 1936', 'May 2 03:59:59 1937', 'Sep 13 23:00:00 1936', 'May 1 23:59:59 1937');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 2 04:00:00 1937', 'Sep 27 02:59:59 1937', 'May 2 01:00:00 1937', 'Sep 26 23:59:59 1937');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 27 03:00:00 1937', 'May 1 03:59:59 1938', 'Sep 26 23:00:00 1937', 'Apr 30 23:59:59 1938');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 1 04:00:00 1938', 'Sep 26 02:59:59 1938', 'May 1 01:00:00 1938', 'Sep 25 23:59:59 1938');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 26 03:00:00 1938', 'May 28 03:59:59 1939', 'Sep 25 23:00:00 1938', 'May 27 23:59:59 1939');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 28 04:00:00 1939', 'Sep 25 02:59:59 1939', 'May 28 01:00:00 1939', 'Sep 24 23:59:59 1939');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 25 03:00:00 1939', 'May 5 03:59:59 1940', 'Sep 24 23:00:00 1939', 'May 4 23:59:59 1940');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 5 04:00:00 1940', 'Sep 30 02:59:59 1940', 'May 5 01:00:00 1940', 'Sep 29 23:59:59 1940');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 30 03:00:00 1940', 'May 4 03:59:59 1941', 'Sep 29 23:00:00 1940', 'May 3 23:59:59 1941');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'May 4 04:00:00 1941', 'Sep 29 02:59:59 1941', 'May 4 01:00:00 1941', 'Sep 28 23:59:59 1941');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 29 03:00:00 1941', 'Feb 9 05:59:59 1942', 'Sep 28 23:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Feb 9 06:00:00 1942', 'Sep 30 04:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 30 05:00:00 1945', 'Apr 28 05:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 28 06:00:00 1946', 'Sep 29 04:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 29 05:00:00 1946', 'Apr 27 05:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 27 06:00:00 1947', 'Sep 28 04:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 28 05:00:00 1947', 'Apr 25 05:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 25 06:00:00 1948', 'Sep 26 04:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 26 05:00:00 1948', 'Apr 24 05:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 24 06:00:00 1949', 'Sep 25 04:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 25 05:00:00 1949', 'Apr 30 05:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 30 06:00:00 1950', 'Sep 24 04:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 24 05:00:00 1950', 'Apr 29 05:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 29 06:00:00 1951', 'Sep 30 04:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 30 05:00:00 1951', 'Apr 27 05:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 27 06:00:00 1952', 'Sep 28 04:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 28 05:00:00 1952', 'Apr 26 05:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 26 06:00:00 1953', 'Sep 27 04:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 27 05:00:00 1953', 'Apr 25 05:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 25 06:00:00 1954', 'Sep 26 04:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 26 05:00:00 1954', 'Apr 24 05:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 24 06:00:00 1955', 'Sep 25 04:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 25 05:00:00 1955', 'Apr 29 05:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 29 06:00:00 1956', 'Sep 30 04:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 30 05:00:00 1956', 'Apr 28 05:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 28 06:00:00 1957', 'Sep 29 04:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 29 05:00:00 1957', 'Apr 27 05:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 27 06:00:00 1958', 'Sep 28 04:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 28 05:00:00 1958', 'Apr 26 05:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 26 06:00:00 1959', 'Sep 27 04:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Sep 27 05:00:00 1959', 'Apr 29 05:59:59 1962', 'Sep 27 01:00:00 1959', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 29 06:00:00 1962', 'Oct 28 04:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 1962', 'Apr 28 05:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 28 06:00:00 1963', 'Oct 27 04:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 1963', 'Apr 26 05:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 26 06:00:00 1964', 'Oct 25 04:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 1964', 'Apr 25 05:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 25 06:00:00 1965', 'Oct 31 04:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 1965', 'Apr 24 05:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 24 06:00:00 1966', 'Oct 30 04:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 1966', 'Apr 30 05:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 30 06:00:00 1967', 'Oct 29 04:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 1967', 'Apr 28 05:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 28 06:00:00 1968', 'Oct 27 04:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 1968', 'Apr 27 05:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 27 06:00:00 1969', 'Oct 26 04:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 1969', 'Apr 26 05:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 26 06:00:00 1970', 'Oct 25 04:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 1970', 'Apr 25 05:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 25 06:00:00 1971', 'Oct 31 04:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 1971', 'Apr 30 05:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 30 06:00:00 1972', 'Oct 29 04:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 1972', 'Apr 29 05:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 29 06:00:00 1973', 'Oct 28 04:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 1973', 'Apr 28 05:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 28 06:00:00 1974', 'Oct 27 04:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 1974', 'Apr 27 05:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 27 06:00:00 1975', 'Oct 26 04:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 1975', 'Apr 25 05:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 25 06:00:00 1976', 'Oct 31 04:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 1976', 'Apr 24 05:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 24 06:00:00 1977', 'Oct 30 04:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 1977', 'Apr 30 05:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 30 06:00:00 1978', 'Oct 29 04:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 1978', 'Apr 29 05:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 29 06:00:00 1979', 'Oct 28 04:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 1979', 'Apr 27 05:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 27 06:00:00 1980', 'Oct 26 04:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 1980', 'Apr 26 05:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 26 06:00:00 1981', 'Oct 25 04:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 1981', 'Apr 25 05:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 25 06:00:00 1982', 'Oct 31 04:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 1982', 'Apr 24 05:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 24 06:00:00 1983', 'Oct 30 04:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 1983', 'Apr 29 05:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 29 06:00:00 1984', 'Oct 28 04:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 1984', 'Apr 28 05:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 28 06:00:00 1985', 'Oct 27 04:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 1985', 'Apr 27 05:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 27 06:00:00 1986', 'Oct 26 04:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 1986', 'Apr 5 05:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 5 06:00:00 1987', 'Oct 25 04:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 1987', 'Apr 3 05:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 3 06:00:00 1988', 'Oct 30 04:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 1988', 'Apr 2 05:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 2 06:00:00 1989', 'Oct 29 04:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 1989', 'Apr 1 05:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 1 06:00:00 1990', 'Oct 28 04:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 1990', 'Apr 7 05:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 7 06:00:00 1991', 'Oct 27 04:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 1991', 'Apr 5 05:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 5 06:00:00 1992', 'Oct 25 04:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 1992', 'Apr 4 05:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 4 06:00:00 1993', 'Oct 31 04:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 1993', 'Apr 3 05:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 3 06:00:00 1994', 'Oct 30 04:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 1994', 'Apr 2 05:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 2 06:00:00 1995', 'Oct 29 04:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 1995', 'Apr 7 05:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 7 06:00:00 1996', 'Oct 27 04:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 1996', 'Apr 6 05:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 6 06:00:00 1997', 'Oct 26 04:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 1997', 'Apr 5 05:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 5 06:00:00 1998', 'Oct 25 04:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 1998', 'Apr 4 05:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 4 06:00:00 1999', 'Oct 31 04:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 1999', 'Apr 2 05:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 2 06:00:00 2000', 'Oct 29 04:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 2000', 'Apr 1 05:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 1 06:00:00 2001', 'Oct 28 04:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 2001', 'Apr 7 05:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 7 06:00:00 2002', 'Oct 27 04:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 2002', 'Apr 6 05:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 6 06:00:00 2003', 'Oct 26 04:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 2003', 'Apr 4 05:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 4 06:00:00 2004', 'Oct 31 04:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 2004', 'Apr 3 05:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 3 06:00:00 2005', 'Oct 30 04:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 2005', 'Apr 2 05:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 2 06:00:00 2006', 'Oct 29 04:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 2006', 'Apr 1 05:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 1 06:00:00 2007', 'Oct 28 04:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 2007', 'Apr 6 05:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 6 06:00:00 2008', 'Oct 26 04:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 2008', 'Apr 5 05:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 5 06:00:00 2009', 'Oct 25 04:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 2009', 'Apr 4 05:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 4 06:00:00 2010', 'Oct 31 04:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 2010', 'Apr 3 05:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 3 06:00:00 2011', 'Oct 30 04:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 2011', 'Apr 1 05:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 1 06:00:00 2012', 'Oct 28 04:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 2012', 'Apr 7 05:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 7 06:00:00 2013', 'Oct 27 04:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 2013', 'Apr 6 05:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 6 06:00:00 2014', 'Oct 26 04:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 2014', 'Apr 5 05:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 5 06:00:00 2015', 'Oct 25 04:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 2015', 'Apr 3 05:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 3 06:00:00 2016', 'Oct 30 04:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 2016', 'Apr 2 05:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 2 06:00:00 2017', 'Oct 29 04:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 2017', 'Apr 1 05:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 1 06:00:00 2018', 'Oct 28 04:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 2018', 'Apr 7 05:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 7 06:00:00 2019', 'Oct 27 04:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 2019', 'Apr 5 05:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 5 06:00:00 2020', 'Oct 25 04:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 2020', 'Apr 4 05:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 4 06:00:00 2021', 'Oct 31 04:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 2021', 'Apr 3 05:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 3 06:00:00 2022', 'Oct 30 04:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 2022', 'Apr 2 05:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 2 06:00:00 2023', 'Oct 29 04:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 2023', 'Apr 7 05:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 7 06:00:00 2024', 'Oct 27 04:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 2024', 'Apr 6 05:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 6 06:00:00 2025', 'Oct 26 04:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 2025', 'Apr 5 05:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 5 06:00:00 2026', 'Oct 25 04:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 2026', 'Apr 4 05:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 4 06:00:00 2027', 'Oct 31 04:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 2027', 'Apr 2 05:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 2 06:00:00 2028', 'Oct 29 04:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 2028', 'Apr 1 05:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 1 06:00:00 2029', 'Oct 28 04:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 2029', 'Apr 7 05:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 7 06:00:00 2030', 'Oct 27 04:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 27 05:00:00 2030', 'Apr 6 05:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 6 06:00:00 2031', 'Oct 26 04:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 2031', 'Apr 4 05:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 4 06:00:00 2032', 'Oct 31 04:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 31 05:00:00 2032', 'Apr 3 05:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 3 06:00:00 2033', 'Oct 30 04:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 30 05:00:00 2033', 'Apr 2 05:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 2 06:00:00 2034', 'Oct 29 04:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 29 05:00:00 2034', 'Apr 1 05:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 1 06:00:00 2035', 'Oct 28 04:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 28 05:00:00 2035', 'Apr 6 05:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 6 06:00:00 2036', 'Oct 26 04:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 26 05:00:00 2036', 'Apr 5 05:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Halifax', 'ADT', 1, -10800, 'Apr 5 06:00:00 2037', 'Oct 25 04:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Halifax', 'AST', 0, -14400, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Havana
--

begin
timezone.add_rule('America/Havana', 'CST', 0, -19800, 'Dec 14 20:45:52 1901', 'Jul 19 17:29:59 1925', 'Dec 14 15:15:52 1901', 'Jul 19 11:59:59 1925');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Jul 19 17:30:00 1925', 'Jun 10 04:59:59 1928', 'Jul 19 12:30:00 1925', 'Jun 9 23:59:59 1928');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Jun 10 05:00:00 1928', 'Oct 10 03:59:59 1928', 'Jun 10 01:00:00 1928', 'Oct 9 23:59:59 1928');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 10 04:00:00 1928', 'Jun 2 04:59:59 1940', 'Oct 9 23:00:00 1928', 'Jun 1 23:59:59 1940');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Jun 2 05:00:00 1940', 'Sep 1 03:59:59 1940', 'Jun 2 01:00:00 1940', 'Aug 31 23:59:59 1940');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Sep 1 04:00:00 1940', 'Jun 1 04:59:59 1941', 'Aug 31 23:00:00 1940', 'May 31 23:59:59 1941');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Jun 1 05:00:00 1941', 'Sep 7 03:59:59 1941', 'Jun 1 01:00:00 1941', 'Sep 6 23:59:59 1941');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Sep 7 04:00:00 1941', 'Jun 7 04:59:59 1942', 'Sep 6 23:00:00 1941', 'Jun 6 23:59:59 1942');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Jun 7 05:00:00 1942', 'Sep 6 03:59:59 1942', 'Jun 7 01:00:00 1942', 'Sep 5 23:59:59 1942');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Sep 6 04:00:00 1942', 'Jun 3 04:59:59 1945', 'Sep 5 23:00:00 1942', 'Jun 2 23:59:59 1945');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Jun 3 05:00:00 1945', 'Sep 2 03:59:59 1945', 'Jun 3 01:00:00 1945', 'Sep 1 23:59:59 1945');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Sep 2 04:00:00 1945', 'Jun 2 04:59:59 1946', 'Sep 1 23:00:00 1945', 'Jun 1 23:59:59 1946');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Jun 2 05:00:00 1946', 'Sep 1 03:59:59 1946', 'Jun 2 01:00:00 1946', 'Aug 31 23:59:59 1946');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Sep 1 04:00:00 1946', 'Jun 1 04:59:59 1965', 'Aug 31 23:00:00 1946', 'May 31 23:59:59 1965');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Jun 1 05:00:00 1965', 'Sep 30 03:59:59 1965', 'Jun 1 01:00:00 1965', 'Sep 29 23:59:59 1965');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Sep 30 04:00:00 1965', 'May 29 04:59:59 1966', 'Sep 29 23:00:00 1965', 'May 28 23:59:59 1966');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'May 29 05:00:00 1966', 'Oct 2 03:59:59 1966', 'May 29 01:00:00 1966', 'Oct 1 23:59:59 1966');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 2 04:00:00 1966', 'Apr 8 04:59:59 1967', 'Oct 1 23:00:00 1966', 'Apr 7 23:59:59 1967');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 8 05:00:00 1967', 'Sep 10 03:59:59 1967', 'Apr 8 01:00:00 1967', 'Sep 9 23:59:59 1967');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Sep 10 04:00:00 1967', 'Apr 14 04:59:59 1968', 'Sep 9 23:00:00 1967', 'Apr 13 23:59:59 1968');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 14 05:00:00 1968', 'Sep 8 03:59:59 1968', 'Apr 14 01:00:00 1968', 'Sep 7 23:59:59 1968');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Sep 8 04:00:00 1968', 'Apr 27 04:59:59 1969', 'Sep 7 23:00:00 1968', 'Apr 26 23:59:59 1969');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 27 05:00:00 1969', 'Oct 26 03:59:59 1969', 'Apr 27 01:00:00 1969', 'Oct 25 23:59:59 1969');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 26 04:00:00 1969', 'Apr 26 04:59:59 1970', 'Oct 25 23:00:00 1969', 'Apr 25 23:59:59 1970');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 26 05:00:00 1970', 'Oct 25 03:59:59 1970', 'Apr 26 01:00:00 1970', 'Oct 24 23:59:59 1970');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 25 04:00:00 1970', 'Apr 25 04:59:59 1971', 'Oct 24 23:00:00 1970', 'Apr 24 23:59:59 1971');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 25 05:00:00 1971', 'Oct 31 03:59:59 1971', 'Apr 25 01:00:00 1971', 'Oct 30 23:59:59 1971');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 31 04:00:00 1971', 'Apr 30 04:59:59 1972', 'Oct 30 23:00:00 1971', 'Apr 29 23:59:59 1972');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 30 05:00:00 1972', 'Oct 8 03:59:59 1972', 'Apr 30 01:00:00 1972', 'Oct 7 23:59:59 1972');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 8 04:00:00 1972', 'Apr 29 04:59:59 1973', 'Oct 7 23:00:00 1972', 'Apr 28 23:59:59 1973');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 29 05:00:00 1973', 'Oct 8 03:59:59 1973', 'Apr 29 01:00:00 1973', 'Oct 7 23:59:59 1973');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 8 04:00:00 1973', 'Apr 28 04:59:59 1974', 'Oct 7 23:00:00 1973', 'Apr 27 23:59:59 1974');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 28 05:00:00 1974', 'Oct 8 03:59:59 1974', 'Apr 28 01:00:00 1974', 'Oct 7 23:59:59 1974');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 8 04:00:00 1974', 'Apr 27 04:59:59 1975', 'Oct 7 23:00:00 1974', 'Apr 26 23:59:59 1975');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 27 05:00:00 1975', 'Oct 26 03:59:59 1975', 'Apr 27 01:00:00 1975', 'Oct 25 23:59:59 1975');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 26 04:00:00 1975', 'Apr 25 04:59:59 1976', 'Oct 25 23:00:00 1975', 'Apr 24 23:59:59 1976');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 25 05:00:00 1976', 'Oct 31 03:59:59 1976', 'Apr 25 01:00:00 1976', 'Oct 30 23:59:59 1976');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 31 04:00:00 1976', 'Apr 24 04:59:59 1977', 'Oct 30 23:00:00 1976', 'Apr 23 23:59:59 1977');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 24 05:00:00 1977', 'Oct 30 03:59:59 1977', 'Apr 24 01:00:00 1977', 'Oct 29 23:59:59 1977');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 30 04:00:00 1977', 'May 7 04:59:59 1978', 'Oct 29 23:00:00 1977', 'May 6 23:59:59 1978');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'May 7 05:00:00 1978', 'Oct 8 03:59:59 1978', 'May 7 01:00:00 1978', 'Oct 7 23:59:59 1978');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 8 04:00:00 1978', 'Mar 18 04:59:59 1979', 'Oct 7 23:00:00 1978', 'Mar 17 23:59:59 1979');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 18 05:00:00 1979', 'Oct 14 03:59:59 1979', 'Mar 18 01:00:00 1979', 'Oct 13 23:59:59 1979');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 14 04:00:00 1979', 'Mar 16 04:59:59 1980', 'Oct 13 23:00:00 1979', 'Mar 15 23:59:59 1980');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 16 05:00:00 1980', 'Oct 12 03:59:59 1980', 'Mar 16 01:00:00 1980', 'Oct 11 23:59:59 1980');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 12 04:00:00 1980', 'May 10 04:59:59 1981', 'Oct 11 23:00:00 1980', 'May 9 23:59:59 1981');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'May 10 05:00:00 1981', 'Oct 11 03:59:59 1981', 'May 10 01:00:00 1981', 'Oct 10 23:59:59 1981');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 11 04:00:00 1981', 'May 9 04:59:59 1982', 'Oct 10 23:00:00 1981', 'May 8 23:59:59 1982');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'May 9 05:00:00 1982', 'Oct 10 03:59:59 1982', 'May 9 01:00:00 1982', 'Oct 9 23:59:59 1982');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 10 04:00:00 1982', 'May 8 04:59:59 1983', 'Oct 9 23:00:00 1982', 'May 7 23:59:59 1983');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'May 8 05:00:00 1983', 'Oct 9 03:59:59 1983', 'May 8 01:00:00 1983', 'Oct 8 23:59:59 1983');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 9 04:00:00 1983', 'May 6 04:59:59 1984', 'Oct 8 23:00:00 1983', 'May 5 23:59:59 1984');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'May 6 05:00:00 1984', 'Oct 14 03:59:59 1984', 'May 6 01:00:00 1984', 'Oct 13 23:59:59 1984');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 14 04:00:00 1984', 'May 5 04:59:59 1985', 'Oct 13 23:00:00 1984', 'May 4 23:59:59 1985');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'May 5 05:00:00 1985', 'Oct 13 03:59:59 1985', 'May 5 01:00:00 1985', 'Oct 12 23:59:59 1985');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 13 04:00:00 1985', 'Mar 16 04:59:59 1986', 'Oct 12 23:00:00 1985', 'Mar 15 23:59:59 1986');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 16 05:00:00 1986', 'Oct 12 03:59:59 1986', 'Mar 16 01:00:00 1986', 'Oct 11 23:59:59 1986');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 12 04:00:00 1986', 'Mar 15 04:59:59 1987', 'Oct 11 23:00:00 1986', 'Mar 14 23:59:59 1987');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 15 05:00:00 1987', 'Oct 11 03:59:59 1987', 'Mar 15 01:00:00 1987', 'Oct 10 23:59:59 1987');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 11 04:00:00 1987', 'Mar 20 04:59:59 1988', 'Oct 10 23:00:00 1987', 'Mar 19 23:59:59 1988');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 20 05:00:00 1988', 'Oct 9 03:59:59 1988', 'Mar 20 01:00:00 1988', 'Oct 8 23:59:59 1988');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 9 04:00:00 1988', 'Mar 19 04:59:59 1989', 'Oct 8 23:00:00 1988', 'Mar 18 23:59:59 1989');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 19 05:00:00 1989', 'Oct 8 03:59:59 1989', 'Mar 19 01:00:00 1989', 'Oct 7 23:59:59 1989');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 8 04:00:00 1989', 'Apr 1 04:59:59 1990', 'Oct 7 23:00:00 1989', 'Mar 31 23:59:59 1990');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 1 05:00:00 1990', 'Oct 14 03:59:59 1990', 'Apr 1 01:00:00 1990', 'Oct 13 23:59:59 1990');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 14 04:00:00 1990', 'Apr 7 04:59:59 1991', 'Oct 13 23:00:00 1990', 'Apr 6 23:59:59 1991');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 7 05:00:00 1991', 'Oct 13 04:59:59 1991', 'Apr 7 01:00:00 1991', 'Oct 13 00:59:59 1991');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 13 05:00:00 1991', 'Apr 5 04:59:59 1992', 'Oct 13 00:00:00 1991', 'Apr 4 23:59:59 1992');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 5 05:00:00 1992', 'Oct 11 04:59:59 1992', 'Apr 5 01:00:00 1992', 'Oct 11 00:59:59 1992');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 11 05:00:00 1992', 'Apr 4 04:59:59 1993', 'Oct 11 00:00:00 1992', 'Apr 3 23:59:59 1993');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 4 05:00:00 1993', 'Oct 10 04:59:59 1993', 'Apr 4 01:00:00 1993', 'Oct 10 00:59:59 1993');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 10 05:00:00 1993', 'Apr 3 04:59:59 1994', 'Oct 10 00:00:00 1993', 'Apr 2 23:59:59 1994');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 3 05:00:00 1994', 'Oct 9 04:59:59 1994', 'Apr 3 01:00:00 1994', 'Oct 9 00:59:59 1994');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 9 05:00:00 1994', 'Apr 2 04:59:59 1995', 'Oct 9 00:00:00 1994', 'Apr 1 23:59:59 1995');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 2 05:00:00 1995', 'Oct 8 04:59:59 1995', 'Apr 2 01:00:00 1995', 'Oct 8 00:59:59 1995');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 8 05:00:00 1995', 'Apr 7 04:59:59 1996', 'Oct 8 00:00:00 1995', 'Apr 6 23:59:59 1996');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 7 05:00:00 1996', 'Oct 6 04:59:59 1996', 'Apr 7 01:00:00 1996', 'Oct 6 00:59:59 1996');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 6 05:00:00 1996', 'Apr 6 04:59:59 1997', 'Oct 6 00:00:00 1996', 'Apr 5 23:59:59 1997');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Apr 6 05:00:00 1997', 'Oct 12 04:59:59 1997', 'Apr 6 01:00:00 1997', 'Oct 12 00:59:59 1997');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 12 05:00:00 1997', 'Mar 29 04:59:59 1998', 'Oct 12 00:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 29 05:00:00 1998', 'Oct 25 04:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 25 05:00:00 1998', 'Mar 28 04:59:59 1999', 'Oct 25 00:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 28 05:00:00 1999', 'Oct 31 04:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 31 05:00:00 1999', 'Mar 26 04:59:59 2000', 'Oct 31 00:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 26 05:00:00 2000', 'Oct 29 04:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 29 05:00:00 2000', 'Mar 25 04:59:59 2001', 'Oct 29 00:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 25 05:00:00 2001', 'Oct 28 04:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 28 05:00:00 2001', 'Mar 31 04:59:59 2002', 'Oct 28 00:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 31 05:00:00 2002', 'Oct 27 04:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 27 05:00:00 2002', 'Mar 30 04:59:59 2003', 'Oct 27 00:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 30 05:00:00 2003', 'Oct 26 04:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 26 05:00:00 2003', 'Mar 28 04:59:59 2004', 'Oct 26 00:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 28 05:00:00 2004', 'Oct 31 04:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 31 05:00:00 2004', 'Mar 27 04:59:59 2005', 'Oct 31 00:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 27 05:00:00 2005', 'Oct 30 04:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 30 05:00:00 2005', 'Mar 26 04:59:59 2006', 'Oct 30 00:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 26 05:00:00 2006', 'Oct 29 04:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 29 05:00:00 2006', 'Mar 25 04:59:59 2007', 'Oct 29 00:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 25 05:00:00 2007', 'Oct 28 04:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 28 05:00:00 2007', 'Mar 30 04:59:59 2008', 'Oct 28 00:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 30 05:00:00 2008', 'Oct 26 04:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 26 05:00:00 2008', 'Mar 29 04:59:59 2009', 'Oct 26 00:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 29 05:00:00 2009', 'Oct 25 04:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 25 05:00:00 2009', 'Mar 28 04:59:59 2010', 'Oct 25 00:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 28 05:00:00 2010', 'Oct 31 04:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 31 05:00:00 2010', 'Mar 27 04:59:59 2011', 'Oct 31 00:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 27 05:00:00 2011', 'Oct 30 04:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 30 05:00:00 2011', 'Mar 25 04:59:59 2012', 'Oct 30 00:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 25 05:00:00 2012', 'Oct 28 04:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 28 05:00:00 2012', 'Mar 31 04:59:59 2013', 'Oct 28 00:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 31 05:00:00 2013', 'Oct 27 04:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 27 05:00:00 2013', 'Mar 30 04:59:59 2014', 'Oct 27 00:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 30 05:00:00 2014', 'Oct 26 04:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 26 05:00:00 2014', 'Mar 29 04:59:59 2015', 'Oct 26 00:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 29 05:00:00 2015', 'Oct 25 04:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 25 05:00:00 2015', 'Mar 27 04:59:59 2016', 'Oct 25 00:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 27 05:00:00 2016', 'Oct 30 04:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 30 05:00:00 2016', 'Mar 26 04:59:59 2017', 'Oct 30 00:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 26 05:00:00 2017', 'Oct 29 04:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 29 05:00:00 2017', 'Mar 25 04:59:59 2018', 'Oct 29 00:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 25 05:00:00 2018', 'Oct 28 04:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 28 05:00:00 2018', 'Mar 31 04:59:59 2019', 'Oct 28 00:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 31 05:00:00 2019', 'Oct 27 04:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 27 05:00:00 2019', 'Mar 29 04:59:59 2020', 'Oct 27 00:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 29 05:00:00 2020', 'Oct 25 04:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 25 05:00:00 2020', 'Mar 28 04:59:59 2021', 'Oct 25 00:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 28 05:00:00 2021', 'Oct 31 04:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 31 05:00:00 2021', 'Mar 27 04:59:59 2022', 'Oct 31 00:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 27 05:00:00 2022', 'Oct 30 04:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 30 05:00:00 2022', 'Mar 26 04:59:59 2023', 'Oct 30 00:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 26 05:00:00 2023', 'Oct 29 04:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 29 05:00:00 2023', 'Mar 31 04:59:59 2024', 'Oct 29 00:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 31 05:00:00 2024', 'Oct 27 04:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 27 05:00:00 2024', 'Mar 30 04:59:59 2025', 'Oct 27 00:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 30 05:00:00 2025', 'Oct 26 04:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 26 05:00:00 2025', 'Mar 29 04:59:59 2026', 'Oct 26 00:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 29 05:00:00 2026', 'Oct 25 04:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 25 05:00:00 2026', 'Mar 28 04:59:59 2027', 'Oct 25 00:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 28 05:00:00 2027', 'Oct 31 04:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 31 05:00:00 2027', 'Mar 26 04:59:59 2028', 'Oct 31 00:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 26 05:00:00 2028', 'Oct 29 04:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 29 05:00:00 2028', 'Mar 25 04:59:59 2029', 'Oct 29 00:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 25 05:00:00 2029', 'Oct 28 04:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 28 05:00:00 2029', 'Mar 31 04:59:59 2030', 'Oct 28 00:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 31 05:00:00 2030', 'Oct 27 04:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 27 05:00:00 2030', 'Mar 30 04:59:59 2031', 'Oct 27 00:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 30 05:00:00 2031', 'Oct 26 04:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 26 05:00:00 2031', 'Mar 28 04:59:59 2032', 'Oct 26 00:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 28 05:00:00 2032', 'Oct 31 04:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 31 05:00:00 2032', 'Mar 27 04:59:59 2033', 'Oct 31 00:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 27 05:00:00 2033', 'Oct 30 04:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 30 05:00:00 2033', 'Mar 26 04:59:59 2034', 'Oct 30 00:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 26 05:00:00 2034', 'Oct 29 04:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 29 05:00:00 2034', 'Mar 25 04:59:59 2035', 'Oct 29 00:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 25 05:00:00 2035', 'Oct 28 04:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 28 05:00:00 2035', 'Mar 30 04:59:59 2036', 'Oct 28 00:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 30 05:00:00 2036', 'Oct 26 04:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 26 05:00:00 2036', 'Mar 29 04:59:59 2037', 'Oct 26 00:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('America/Havana', 'CDT', 1, -14400, 'Mar 29 05:00:00 2037', 'Oct 25 04:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037');
timezone.add_rule('America/Havana', 'CST', 0, -18000, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 00:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Hermosillo not installed
--

--
-- America/Indiana/Indianapolis
--

begin
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Jun 22 07:59:59 1941', 'Oct 26 01:00:00 1919', 'Jun 22 01:59:59 1941');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Jun 22 08:00:00 1941', 'Sep 28 06:59:59 1941', 'Jun 22 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 28 07:00:00 1941', 'Feb 9 07:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Sep 29 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 29 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -18000, 'Apr 24 08:00:00 1955', 'Sep 29 06:59:59 1957', 'Apr 24 03:00:00 1955', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -18000, 'Apr 27 08:00:00 1958', 'Apr 27 06:59:59 1969', 'Apr 27 03:00:00 1958', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Indiana/Indianapolis', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Indiana/Indianapolis', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 1970', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Indiana/Knox
--

begin
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Feb 9 07:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 27 07:59:59 1947', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Oct 30 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 30 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Oct 28 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 28 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Sep 29 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Sep 28 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Sep 28 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Oct 30 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 30 07:00:00 1960', 'Apr 30 07:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 30 08:00:00 1961', 'Oct 29 06:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 29 07:00:00 1961', 'Apr 29 07:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -18000, 'Apr 29 08:00:00 1962', 'Oct 27 06:59:59 1963', 'Apr 29 03:00:00 1962', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 27 07:00:00 1963', 'Apr 30 07:59:59 1967', 'Oct 27 01:00:00 1963', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 30 08:00:00 1967', 'Oct 29 06:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 29 07:00:00 1967', 'Apr 28 07:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 28 08:00:00 1968', 'Oct 27 06:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 27 07:00:00 1968', 'Apr 27 07:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 27 08:00:00 1969', 'Oct 26 06:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 26 07:00:00 1969', 'Apr 26 07:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 26 08:00:00 1970', 'Oct 25 06:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 25 07:00:00 1970', 'Apr 25 07:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 25 08:00:00 1971', 'Oct 31 06:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 31 07:00:00 1971', 'Apr 30 07:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 30 08:00:00 1972', 'Oct 29 06:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 29 07:00:00 1972', 'Apr 29 07:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 29 08:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 28 07:00:00 1973', 'Jan 6 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Jan 6 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 27 07:00:00 1974', 'Feb 23 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Feb 23 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Indiana/Knox', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Indiana/Knox', 'EST', 0, -18000, 'Oct 27 07:00:00 1991', 'Jan 18 03:14:07 2038', 'Oct 27 02:00:00 1991', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Indiana/Marengo
--

begin
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Feb 9 07:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 29 07:59:59 1951', 'Sep 30 01:00:00 1945', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 25 07:59:59 1954', 'Sep 30 01:00:00 1951', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Sep 25 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Sep 25 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Sep 30 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Sep 30 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Sep 29 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Sep 28 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Sep 28 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Sep 27 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Sep 27 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Sep 25 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -21600, 'Sep 25 07:00:00 1960', 'Apr 30 07:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -18000, 'Apr 30 08:00:00 1961', 'Apr 27 06:59:59 1969', 'Apr 30 03:00:00 1961', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Jan 6 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -18000, 'Jan 6 07:00:00 1974', 'Oct 27 06:59:59 1974', 'Jan 6 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -18000, 'Oct 27 07:00:00 1974', 'Feb 23 06:59:59 1975', 'Oct 27 02:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Indiana/Marengo', 'EDT', 1, -14400, 'Feb 23 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Indiana/Marengo', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Jan 18 03:14:07 2038', 'Oct 26 01:00:00 1975', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Indiana/Vevay
--

begin
timezone.add_rule('America/Indiana/Vevay', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Indiana/Vevay', 'EDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Indiana/Vevay', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Indiana/Vevay', 'EDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Indiana/Vevay', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Feb 9 07:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Indiana/Vevay', 'EDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Indiana/Vevay', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 25 07:59:59 1954', 'Sep 30 01:00:00 1945', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Indiana/Vevay', 'EST', 0, -18000, 'Apr 25 08:00:00 1954', 'Apr 27 06:59:59 1969', 'Apr 25 03:00:00 1954', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Indiana/Vevay', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Indiana/Vevay', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Indiana/Vevay', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Indiana/Vevay', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Indiana/Vevay', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Indiana/Vevay', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Indiana/Vevay', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Indiana/Vevay', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Jan 18 03:14:07 2038', 'Oct 29 01:00:00 1972', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Indianapolis
--

begin
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Jun 22 07:59:59 1941', 'Oct 26 01:00:00 1919', 'Jun 22 01:59:59 1941');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Jun 22 08:00:00 1941', 'Sep 28 06:59:59 1941', 'Jun 22 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 28 07:00:00 1941', 'Feb 9 07:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Sep 29 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 29 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Indianapolis', 'EST', 0, -18000, 'Apr 24 08:00:00 1955', 'Sep 29 06:59:59 1957', 'Apr 24 03:00:00 1955', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Indianapolis', 'EST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Indianapolis', 'EST', 0, -18000, 'Apr 27 08:00:00 1958', 'Apr 27 06:59:59 1969', 'Apr 27 03:00:00 1958', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Indianapolis', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Indianapolis', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Indianapolis', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 1970', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Inuvik
--

begin
timezone.add_rule('America/Inuvik', 'MST', 0, -28800, 'Dec 14 20:45:52 1901', 'Apr 14 09:59:59 1918', 'Dec 14 12:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Inuvik', 'MDT', 1, -25200, 'Apr 14 10:00:00 1918', 'Oct 27 08:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Inuvik', 'MST', 0, -28800, 'Oct 27 09:00:00 1918', 'May 25 09:59:59 1919', 'Oct 27 01:00:00 1918', 'May 25 01:59:59 1919');
timezone.add_rule('America/Inuvik', 'MDT', 1, -25200, 'May 25 10:00:00 1919', 'Nov 1 06:59:59 1919', 'May 25 03:00:00 1919', 'Oct 31 23:59:59 1919');
timezone.add_rule('America/Inuvik', 'MST', 0, -28800, 'Nov 1 07:00:00 1919', 'Feb 9 09:59:59 1942', 'Oct 31 23:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Inuvik', 'MDT', 1, -25200, 'Feb 9 10:00:00 1942', 'Sep 30 08:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Inuvik', 'MST', 0, -28800, 'Sep 30 09:00:00 1945', 'Apr 25 07:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 24 23:59:59 1965');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 25 08:00:00 1965', 'Oct 31 07:59:59 1965', 'Apr 25 02:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Inuvik', 'MST', 0, -28800, 'Oct 31 08:00:00 1965', 'Apr 29 09:59:59 1979', 'Oct 31 00:00:00 1965', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Apr 29 10:00:00 1979', 'Apr 27 08:59:59 1980', 'Apr 29 03:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Inuvik', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Inuvik', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- America/Iqaluit
--

begin
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Apr 14 06:59:59 1918', 'Dec 14 15:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 14 07:00:00 1918', 'Oct 27 05:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 27 06:00:00 1918', 'May 25 06:59:59 1919', 'Oct 27 01:00:00 1918', 'May 25 01:59:59 1919');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'May 25 07:00:00 1919', 'Nov 1 03:59:59 1919', 'May 25 03:00:00 1919', 'Oct 31 23:59:59 1919');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Nov 1 04:00:00 1919', 'Feb 9 06:59:59 1942', 'Oct 31 23:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Feb 9 07:00:00 1942', 'Sep 30 05:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 25 04:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 24 23:59:59 1965');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -10800, 'Apr 25 05:00:00 1965', 'Oct 31 04:59:59 1965', 'Apr 25 02:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 31 05:00:00 1965', 'Apr 27 06:59:59 1980', 'Oct 31 00:00:00 1965', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Iqaluit', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Iqaluit', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Jamaica
--

begin
timezone.add_rule('America/Jamaica', 'EST', 0, -18432, 'Dec 14 20:45:52 1901', 'Feb 1 05:07:11 1912', 'Dec 14 15:38:40 1901', 'Jan 31 23:59:59 1912');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Feb 1 05:07:12 1912', 'Jan 6 06:59:59 1974', 'Feb 1 00:07:12 1912', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Jan 6 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Feb 23 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Feb 23 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Jamaica', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Jamaica', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Jan 18 03:14:07 2038', 'Oct 30 01:00:00 1983', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Jujuy
--

begin
timezone.add_rule('America/Jujuy', 'ART', 0, -15404, 'Dec 14 20:45:52 1901', 'May 1 04:16:43 1920', 'Dec 14 16:29:08 1901', 'Apr 30 23:59:59 1920');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'May 1 04:16:44 1920', 'Dec 1 03:59:59 1930', 'May 1 00:16:44 1920', 'Nov 30 23:59:59 1930');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Dec 1 04:00:00 1930', 'Apr 1 02:59:59 1931', 'Dec 1 01:00:00 1930', 'Mar 31 23:59:59 1931');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Apr 1 03:00:00 1931', 'Oct 15 03:59:59 1931', 'Mar 31 23:00:00 1931', 'Oct 14 23:59:59 1931');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 15 04:00:00 1931', 'Mar 1 02:59:59 1932', 'Oct 15 01:00:00 1931', 'Feb 29 23:59:59 1932');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1932', 'Nov 1 03:59:59 1932', 'Feb 29 23:00:00 1932', 'Oct 31 23:59:59 1932');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Nov 1 04:00:00 1932', 'Mar 1 02:59:59 1933', 'Nov 1 01:00:00 1932', 'Feb 28 23:59:59 1933');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1933', 'Nov 1 03:59:59 1933', 'Feb 28 23:00:00 1933', 'Oct 31 23:59:59 1933');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Nov 1 04:00:00 1933', 'Mar 1 02:59:59 1934', 'Nov 1 01:00:00 1933', 'Feb 28 23:59:59 1934');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1934', 'Nov 1 03:59:59 1934', 'Feb 28 23:00:00 1934', 'Oct 31 23:59:59 1934');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Nov 1 04:00:00 1934', 'Mar 1 02:59:59 1935', 'Nov 1 01:00:00 1934', 'Feb 28 23:59:59 1935');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1935', 'Nov 1 03:59:59 1935', 'Feb 28 23:00:00 1935', 'Oct 31 23:59:59 1935');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Nov 1 04:00:00 1935', 'Mar 1 02:59:59 1936', 'Nov 1 01:00:00 1935', 'Feb 29 23:59:59 1936');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1936', 'Nov 1 03:59:59 1936', 'Feb 29 23:00:00 1936', 'Oct 31 23:59:59 1936');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Nov 1 04:00:00 1936', 'Mar 1 02:59:59 1937', 'Nov 1 01:00:00 1936', 'Feb 28 23:59:59 1937');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1937', 'Nov 1 03:59:59 1937', 'Feb 28 23:00:00 1937', 'Oct 31 23:59:59 1937');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Nov 1 04:00:00 1937', 'Mar 1 02:59:59 1938', 'Nov 1 01:00:00 1937', 'Feb 28 23:59:59 1938');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1938', 'Nov 1 03:59:59 1938', 'Feb 28 23:00:00 1938', 'Oct 31 23:59:59 1938');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Nov 1 04:00:00 1938', 'Mar 1 02:59:59 1939', 'Nov 1 01:00:00 1938', 'Feb 28 23:59:59 1939');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1939', 'Nov 1 03:59:59 1939', 'Feb 28 23:00:00 1939', 'Oct 31 23:59:59 1939');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Nov 1 04:00:00 1939', 'Mar 1 02:59:59 1940', 'Nov 1 01:00:00 1939', 'Feb 29 23:59:59 1940');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1940', 'Jul 1 03:59:59 1940', 'Feb 29 23:00:00 1940', 'Jun 30 23:59:59 1940');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Jul 1 04:00:00 1940', 'Jun 15 02:59:59 1941', 'Jul 1 01:00:00 1940', 'Jun 14 23:59:59 1941');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Jun 15 03:00:00 1941', 'Oct 15 03:59:59 1941', 'Jun 14 23:00:00 1941', 'Oct 14 23:59:59 1941');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 15 04:00:00 1941', 'Aug 1 02:59:59 1943', 'Oct 15 01:00:00 1941', 'Jul 31 23:59:59 1943');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Aug 1 03:00:00 1943', 'Oct 15 03:59:59 1943', 'Jul 31 23:00:00 1943', 'Oct 14 23:59:59 1943');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 15 04:00:00 1943', 'Mar 1 02:59:59 1946', 'Oct 15 01:00:00 1943', 'Feb 28 23:59:59 1946');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1946', 'Oct 1 03:59:59 1946', 'Feb 28 23:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 1 04:00:00 1946', 'Oct 1 02:59:59 1963', 'Oct 1 01:00:00 1946', 'Sep 30 23:59:59 1963');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Oct 1 03:00:00 1963', 'Dec 15 03:59:59 1963', 'Sep 30 23:00:00 1963', 'Dec 14 23:59:59 1963');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Dec 15 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 15 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1964', 'Oct 15 03:59:59 1964', 'Feb 29 23:00:00 1964', 'Oct 14 23:59:59 1964');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 15 04:00:00 1964', 'Mar 1 02:59:59 1965', 'Oct 15 01:00:00 1964', 'Feb 28 23:59:59 1965');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1965', 'Oct 15 03:59:59 1965', 'Feb 28 23:00:00 1965', 'Oct 14 23:59:59 1965');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 15 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Oct 15 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 1 03:00:00 1966', 'Oct 15 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 14 23:59:59 1966');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 15 04:00:00 1966', 'Apr 1 02:59:59 1967', 'Oct 15 01:00:00 1966', 'Mar 31 23:59:59 1967');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Apr 1 03:00:00 1967', 'Oct 1 03:59:59 1967', 'Mar 31 23:00:00 1967', 'Sep 30 23:59:59 1967');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 1 04:00:00 1967', 'Apr 7 02:59:59 1968', 'Oct 1 01:00:00 1967', 'Apr 6 23:59:59 1968');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Apr 7 03:00:00 1968', 'Oct 6 03:59:59 1968', 'Apr 6 23:00:00 1968', 'Oct 5 23:59:59 1968');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 6 04:00:00 1968', 'Apr 6 02:59:59 1969', 'Oct 6 01:00:00 1968', 'Apr 5 23:59:59 1969');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Apr 6 03:00:00 1969', 'Oct 5 03:59:59 1969', 'Apr 5 23:00:00 1969', 'Oct 4 23:59:59 1969');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Oct 5 04:00:00 1969', 'Jan 23 02:59:59 1974', 'Oct 5 01:00:00 1969', 'Jan 22 23:59:59 1974');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Jan 23 03:00:00 1974', 'May 1 01:59:59 1974', 'Jan 23 01:00:00 1974', 'Apr 30 23:59:59 1974');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'May 1 02:00:00 1974', 'Oct 6 02:59:59 1974', 'Apr 30 23:00:00 1974', 'Oct 5 23:59:59 1974');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Oct 6 03:00:00 1974', 'Apr 6 01:59:59 1975', 'Oct 6 01:00:00 1974', 'Apr 5 23:59:59 1975');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Apr 6 02:00:00 1975', 'Oct 5 02:59:59 1975', 'Apr 5 23:00:00 1975', 'Oct 4 23:59:59 1975');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Oct 5 03:00:00 1975', 'Apr 4 01:59:59 1976', 'Oct 5 01:00:00 1975', 'Apr 3 23:59:59 1976');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Apr 4 02:00:00 1976', 'Oct 3 02:59:59 1976', 'Apr 3 23:00:00 1976', 'Oct 2 23:59:59 1976');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Oct 3 03:00:00 1976', 'Apr 3 01:59:59 1977', 'Oct 3 01:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Apr 3 02:00:00 1977', 'Nov 2 02:59:59 1985', 'Apr 2 23:00:00 1977', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 14 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 13 23:59:59 1986');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Mar 14 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 13 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 13 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 12 23:59:59 1987');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Feb 13 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 12 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Feb 7 02:00:00 1988', 'Dec 1 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Nov 30 23:59:59 1988');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Dec 1 03:00:00 1988', 'Mar 5 01:59:59 1989', 'Dec 1 01:00:00 1988', 'Mar 4 23:59:59 1989');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Mar 5 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Mar 4 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Oct 15 03:00:00 1989', 'Mar 4 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 3 23:59:59 1990');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Mar 4 02:00:00 1990', 'Oct 21 02:59:59 1990', 'Mar 3 23:00:00 1990', 'Oct 20 23:59:59 1990');
timezone.add_rule('America/Jujuy', 'WARST', 1, -7200, 'Oct 21 03:00:00 1990', 'Mar 3 01:59:59 1991', 'Oct 21 01:00:00 1990', 'Mar 2 23:59:59 1991');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 3 02:00:00 1991', 'Oct 6 03:59:59 1991', 'Mar 2 22:00:00 1991', 'Oct 5 23:59:59 1991');
timezone.add_rule('America/Jujuy', 'WARST', 1, -10800, 'Oct 6 04:00:00 1991', 'Mar 15 02:59:59 1992', 'Oct 6 01:00:00 1991', 'Mar 14 23:59:59 1992');
timezone.add_rule('America/Jujuy', 'ART', 0, -14400, 'Mar 15 03:00:00 1992', 'Oct 18 03:59:59 1992', 'Mar 14 23:00:00 1992', 'Oct 17 23:59:59 1992');
timezone.add_rule('America/Jujuy', 'ART', 0, -10800, 'Oct 18 04:00:00 1992', 'Jan 18 03:14:07 2038', 'Oct 18 01:00:00 1992', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Juneau
--

begin
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Dec 14 20:45:52 1901', 'Feb 9 09:59:59 1942', 'Dec 14 12:45:52 1901', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Feb 9 10:00:00 1942', 'Sep 30 08:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Sep 30 09:00:00 1945', 'Apr 27 09:59:59 1969', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Oct 29 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 29 09:00:00 1972', 'Apr 29 09:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 29 10:00:00 1973', 'Oct 28 08:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 28 09:00:00 1973', 'Jan 6 09:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Jan 6 10:00:00 1974', 'Oct 27 08:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 27 09:00:00 1974', 'Feb 23 09:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Feb 23 10:00:00 1975', 'Oct 26 08:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 26 09:00:00 1975', 'Apr 25 09:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 25 10:00:00 1976', 'Oct 31 08:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 31 09:00:00 1976', 'Apr 24 09:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 24 10:00:00 1977', 'Oct 30 08:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 30 09:00:00 1977', 'Apr 30 09:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 30 10:00:00 1978', 'Oct 29 08:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 29 09:00:00 1978', 'Apr 29 09:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 29 10:00:00 1979', 'Oct 28 08:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 28 09:00:00 1979', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Juneau', 'AKST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Juneau', 'AKDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 30 09:00:00 1983', 'Apr 29 10:59:59 1984', 'Oct 30 00:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 29 11:00:00 1984', 'Oct 28 09:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 28 10:00:00 1984', 'Apr 28 10:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 28 11:00:00 1985', 'Oct 27 09:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 27 10:00:00 1985', 'Apr 27 10:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 27 11:00:00 1986', 'Oct 26 09:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 26 10:00:00 1986', 'Apr 5 10:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1987', 'Oct 25 09:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 25 10:00:00 1987', 'Apr 3 10:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1988', 'Oct 30 09:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 30 10:00:00 1988', 'Apr 2 10:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1989', 'Oct 29 09:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 29 10:00:00 1989', 'Apr 1 10:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 1 11:00:00 1990', 'Oct 28 09:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 28 10:00:00 1990', 'Apr 7 10:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1991', 'Oct 27 09:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 27 10:00:00 1991', 'Apr 5 10:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1992', 'Oct 25 09:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 25 10:00:00 1992', 'Apr 4 10:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1993', 'Oct 31 09:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 31 10:00:00 1993', 'Apr 3 10:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1994', 'Oct 30 09:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 30 10:00:00 1994', 'Apr 2 10:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1995', 'Oct 29 09:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 29 10:00:00 1995', 'Apr 7 10:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1996', 'Oct 27 09:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 27 10:00:00 1996', 'Apr 6 10:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 6 11:00:00 1997', 'Oct 26 09:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 26 10:00:00 1997', 'Apr 5 10:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1998', 'Oct 25 09:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 25 10:00:00 1998', 'Apr 4 10:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1999', 'Oct 31 09:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 31 10:00:00 1999', 'Apr 2 10:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2000', 'Oct 29 09:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 29 10:00:00 2000', 'Apr 1 10:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2001', 'Oct 28 09:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 28 10:00:00 2001', 'Apr 7 10:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2002', 'Oct 27 09:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 27 10:00:00 2002', 'Apr 6 10:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2003', 'Oct 26 09:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 26 10:00:00 2003', 'Apr 4 10:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2004', 'Oct 31 09:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 31 10:00:00 2004', 'Apr 3 10:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2005', 'Oct 30 09:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 30 10:00:00 2005', 'Apr 2 10:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2006', 'Oct 29 09:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 29 10:00:00 2006', 'Apr 1 10:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2007', 'Oct 28 09:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 28 10:00:00 2007', 'Apr 6 10:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2008', 'Oct 26 09:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 26 10:00:00 2008', 'Apr 5 10:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2009', 'Oct 25 09:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 25 10:00:00 2009', 'Apr 4 10:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2010', 'Oct 31 09:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 31 10:00:00 2010', 'Apr 3 10:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2011', 'Oct 30 09:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 30 10:00:00 2011', 'Apr 1 10:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2012', 'Oct 28 09:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 28 10:00:00 2012', 'Apr 7 10:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2013', 'Oct 27 09:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 27 10:00:00 2013', 'Apr 6 10:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2014', 'Oct 26 09:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 26 10:00:00 2014', 'Apr 5 10:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2015', 'Oct 25 09:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 25 10:00:00 2015', 'Apr 3 10:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2016', 'Oct 30 09:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 30 10:00:00 2016', 'Apr 2 10:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2017', 'Oct 29 09:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 29 10:00:00 2017', 'Apr 1 10:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2018', 'Oct 28 09:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 28 10:00:00 2018', 'Apr 7 10:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2019', 'Oct 27 09:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 27 10:00:00 2019', 'Apr 5 10:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2020', 'Oct 25 09:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 25 10:00:00 2020', 'Apr 4 10:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2021', 'Oct 31 09:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 31 10:00:00 2021', 'Apr 3 10:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2022', 'Oct 30 09:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 30 10:00:00 2022', 'Apr 2 10:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2023', 'Oct 29 09:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 29 10:00:00 2023', 'Apr 7 10:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2024', 'Oct 27 09:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 27 10:00:00 2024', 'Apr 6 10:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2025', 'Oct 26 09:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 26 10:00:00 2025', 'Apr 5 10:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2026', 'Oct 25 09:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 25 10:00:00 2026', 'Apr 4 10:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2027', 'Oct 31 09:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 31 10:00:00 2027', 'Apr 2 10:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2028', 'Oct 29 09:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 29 10:00:00 2028', 'Apr 1 10:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2029', 'Oct 28 09:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 28 10:00:00 2029', 'Apr 7 10:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2030', 'Oct 27 09:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 27 10:00:00 2030', 'Apr 6 10:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2031', 'Oct 26 09:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 26 10:00:00 2031', 'Apr 4 10:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2032', 'Oct 31 09:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 31 10:00:00 2032', 'Apr 3 10:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2033', 'Oct 30 09:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 30 10:00:00 2033', 'Apr 2 10:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2034', 'Oct 29 09:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 29 10:00:00 2034', 'Apr 1 10:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2035', 'Oct 28 09:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 28 10:00:00 2035', 'Apr 6 10:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2036', 'Oct 26 09:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 26 10:00:00 2036', 'Apr 5 10:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Juneau', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2037', 'Oct 25 09:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Juneau', 'AKST', 0, -32400, 'Oct 25 10:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 18:14:07 2038');
end;
/

--
-- America/Kentucky/Louisville not installed
--

--
-- America/Kentucky/Monticello not installed
--

--
-- America/Knox_IN
--

begin
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Feb 9 07:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 27 07:59:59 1947', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Oct 30 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 30 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Oct 28 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 28 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Sep 29 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Sep 28 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Sep 28 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Oct 30 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 30 07:00:00 1960', 'Apr 30 07:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 30 08:00:00 1961', 'Oct 29 06:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 29 07:00:00 1961', 'Apr 29 07:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Knox_IN', 'EST', 0, -18000, 'Apr 29 08:00:00 1962', 'Oct 27 06:59:59 1963', 'Apr 29 03:00:00 1962', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 27 07:00:00 1963', 'Apr 30 07:59:59 1967', 'Oct 27 01:00:00 1963', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 30 08:00:00 1967', 'Oct 29 06:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 29 07:00:00 1967', 'Apr 28 07:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 28 08:00:00 1968', 'Oct 27 06:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 27 07:00:00 1968', 'Apr 27 07:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 27 08:00:00 1969', 'Oct 26 06:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 26 07:00:00 1969', 'Apr 26 07:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 26 08:00:00 1970', 'Oct 25 06:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 25 07:00:00 1970', 'Apr 25 07:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 25 08:00:00 1971', 'Oct 31 06:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 31 07:00:00 1971', 'Apr 30 07:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 30 08:00:00 1972', 'Oct 29 06:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 29 07:00:00 1972', 'Apr 29 07:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 29 08:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 28 07:00:00 1973', 'Jan 6 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Jan 6 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 27 07:00:00 1974', 'Feb 23 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Feb 23 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Knox_IN', 'EST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Knox_IN', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Knox_IN', 'EST', 0, -18000, 'Oct 27 07:00:00 1991', 'Jan 18 03:14:07 2038', 'Oct 27 02:00:00 1991', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/La_Paz
--

begin
timezone.add_rule('America/La_Paz', 'BOT', 0, -16356, 'Dec 14 20:45:52 1901', 'Oct 15 04:32:35 1931', 'Dec 14 16:13:16 1901', 'Oct 14 23:59:59 1931');
timezone.add_rule('America/La_Paz', 'BOST', 1, -12756, 'Oct 15 04:32:36 1931', 'Mar 21 03:32:35 1932', 'Oct 15 01:00:00 1931', 'Mar 20 23:59:59 1932');
timezone.add_rule('America/La_Paz', 'BOT', 0, -14400, 'Mar 21 03:32:36 1932', 'Jan 18 03:14:07 2038', 'Mar 20 23:32:36 1932', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Lima
--

begin
timezone.add_rule('America/Lima', 'PET', 0, -18540, 'Dec 14 20:45:52 1901', 'Jul 28 05:08:59 1908', 'Dec 14 15:36:52 1901', 'Jul 27 23:59:59 1908');
timezone.add_rule('America/Lima', 'PET', 0, -18000, 'Jul 28 05:09:00 1908', 'Jan 1 04:59:59 1938', 'Jul 28 00:09:00 1908', 'Dec 31 23:59:59 1937');
timezone.add_rule('America/Lima', 'PEST', 1, -14400, 'Jan 1 05:00:00 1938', 'Apr 1 03:59:59 1938', 'Jan 1 01:00:00 1938', 'Mar 31 23:59:59 1938');
timezone.add_rule('America/Lima', 'PET', 0, -18000, 'Apr 1 04:00:00 1938', 'Sep 25 04:59:59 1938', 'Mar 31 23:00:00 1938', 'Sep 24 23:59:59 1938');
timezone.add_rule('America/Lima', 'PEST', 1, -14400, 'Sep 25 05:00:00 1938', 'Mar 26 03:59:59 1939', 'Sep 25 01:00:00 1938', 'Mar 25 23:59:59 1939');
timezone.add_rule('America/Lima', 'PET', 0, -18000, 'Mar 26 04:00:00 1939', 'Sep 24 04:59:59 1939', 'Mar 25 23:00:00 1939', 'Sep 23 23:59:59 1939');
timezone.add_rule('America/Lima', 'PEST', 1, -14400, 'Sep 24 05:00:00 1939', 'Mar 24 03:59:59 1940', 'Sep 24 01:00:00 1939', 'Mar 23 23:59:59 1940');
timezone.add_rule('America/Lima', 'PET', 0, -18000, 'Mar 24 04:00:00 1940', 'Jan 1 04:59:59 1987', 'Mar 23 23:00:00 1940', 'Dec 31 23:59:59 1986');
timezone.add_rule('America/Lima', 'PEST', 1, -14400, 'Jan 1 05:00:00 1987', 'Apr 1 03:59:59 1987', 'Jan 1 01:00:00 1987', 'Mar 31 23:59:59 1987');
timezone.add_rule('America/Lima', 'PET', 0, -18000, 'Apr 1 04:00:00 1987', 'Jan 1 04:59:59 1990', 'Mar 31 23:00:00 1987', 'Dec 31 23:59:59 1989');
timezone.add_rule('America/Lima', 'PEST', 1, -14400, 'Jan 1 05:00:00 1990', 'Apr 1 03:59:59 1990', 'Jan 1 01:00:00 1990', 'Mar 31 23:59:59 1990');
timezone.add_rule('America/Lima', 'PET', 0, -18000, 'Apr 1 04:00:00 1990', 'Jan 1 04:59:59 1993', 'Mar 31 23:00:00 1990', 'Dec 31 23:59:59 1992');
timezone.add_rule('America/Lima', 'PEST', 1, -14400, 'Jan 1 05:00:00 1993', 'Apr 1 03:59:59 1993', 'Jan 1 01:00:00 1993', 'Mar 31 23:59:59 1993');
timezone.add_rule('America/Lima', 'PET', 0, -18000, 'Apr 1 04:00:00 1993', 'Jan 18 03:14:07 2038', 'Mar 31 23:00:00 1993', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Los_Angeles
--

begin
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Dec 14 20:45:52 1901', 'Mar 31 09:59:59 1918', 'Dec 14 12:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Mar 31 10:00:00 1918', 'Oct 27 08:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 1918', 'Mar 30 09:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Mar 30 10:00:00 1919', 'Oct 26 08:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 1919', 'Feb 9 09:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Feb 9 10:00:00 1942', 'Sep 30 08:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 30 09:00:00 1945', 'Mar 14 09:59:59 1948', 'Sep 30 01:00:00 1945', 'Mar 14 01:59:59 1948');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Mar 14 10:00:00 1948', 'Jan 1 08:59:59 1949', 'Mar 14 03:00:00 1948', 'Jan 1 01:59:59 1949');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Jan 1 09:00:00 1949', 'Apr 30 09:59:59 1950', 'Jan 1 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 30 10:00:00 1950', 'Sep 24 08:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 24 09:00:00 1950', 'Apr 29 09:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 29 10:00:00 1951', 'Sep 30 08:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 30 09:00:00 1951', 'Apr 27 09:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 27 10:00:00 1952', 'Sep 28 08:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 28 09:00:00 1952', 'Apr 26 09:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 26 10:00:00 1953', 'Sep 27 08:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 27 09:00:00 1953', 'Apr 25 09:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 25 10:00:00 1954', 'Sep 26 08:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 26 09:00:00 1954', 'Apr 24 09:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 24 10:00:00 1955', 'Sep 25 08:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 25 09:00:00 1955', 'Apr 29 09:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 29 10:00:00 1956', 'Sep 30 08:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 30 09:00:00 1956', 'Apr 28 09:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 28 10:00:00 1957', 'Sep 29 08:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 29 09:00:00 1957', 'Apr 27 09:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 27 10:00:00 1958', 'Sep 28 08:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 28 09:00:00 1958', 'Apr 26 09:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 26 10:00:00 1959', 'Sep 27 08:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 27 09:00:00 1959', 'Apr 24 09:59:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 24 10:00:00 1960', 'Sep 25 08:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 25 09:00:00 1960', 'Apr 30 09:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 30 10:00:00 1961', 'Sep 24 08:59:59 1961', 'Apr 30 03:00:00 1961', 'Sep 24 01:59:59 1961');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Sep 24 09:00:00 1961', 'Apr 29 09:59:59 1962', 'Sep 24 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 29 10:00:00 1962', 'Oct 28 08:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 1962', 'Apr 28 09:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 28 10:00:00 1963', 'Oct 27 08:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 1963', 'Apr 26 09:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 26 10:00:00 1964', 'Oct 25 08:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 1964', 'Apr 25 09:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 25 10:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 1965', 'Apr 24 09:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 24 10:00:00 1966', 'Oct 30 08:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 1966', 'Apr 30 09:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 30 10:00:00 1967', 'Oct 29 08:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 1967', 'Apr 28 09:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 28 10:00:00 1968', 'Oct 27 08:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 1968', 'Apr 27 09:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Oct 29 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 1972', 'Apr 29 09:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 29 10:00:00 1973', 'Oct 28 08:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 1973', 'Jan 6 09:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Jan 6 10:00:00 1974', 'Oct 27 08:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 1974', 'Feb 23 09:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Feb 23 10:00:00 1975', 'Oct 26 08:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 1975', 'Apr 25 09:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 25 10:00:00 1976', 'Oct 31 08:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 1976', 'Apr 24 09:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 24 10:00:00 1977', 'Oct 30 08:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 1977', 'Apr 30 09:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 30 10:00:00 1978', 'Oct 29 08:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 1978', 'Apr 29 09:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 29 10:00:00 1979', 'Oct 28 08:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 1979', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Los_Angeles', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Los_Angeles', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- America/Louisville
--

begin
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'May 1 07:59:59 1921', 'Oct 26 01:00:00 1919', 'May 1 01:59:59 1921');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'May 1 08:00:00 1921', 'Sep 1 06:59:59 1921', 'May 1 03:00:00 1921', 'Sep 1 01:59:59 1921');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Sep 1 07:00:00 1921', 'Apr 27 07:59:59 1941', 'Sep 1 01:00:00 1921', 'Apr 27 01:59:59 1941');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 27 08:00:00 1941', 'Sep 28 06:59:59 1941', 'Apr 27 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Sep 28 07:00:00 1941', 'Feb 9 07:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Jan 1 05:59:59 1946', 'Sep 30 01:00:00 1945', 'Dec 31 23:59:59 1945');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Jan 1 06:00:00 1946', 'Jun 2 06:59:59 1946', 'Jan 1 01:00:00 1946', 'Jun 2 01:59:59 1946');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Jun 2 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Jun 2 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 24 06:59:59 1950', 'Apr 27 03:00:00 1947', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Sep 25 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Sep 25 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Oct 28 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Oct 28 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Oct 27 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Oct 27 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Oct 26 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Oct 26 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Oct 30 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('America/Louisville', 'EST', 0, -21600, 'Oct 30 07:00:00 1960', 'Apr 30 07:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Apr 30 08:00:00 1961', 'Jul 23 06:59:59 1961', 'Apr 30 03:00:00 1961', 'Jul 23 01:59:59 1961');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Jul 23 07:00:00 1961', 'Apr 28 06:59:59 1968', 'Jul 23 02:00:00 1961', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 28 07:00:00 1968', 'Oct 27 05:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 06:00:00 1968', 'Apr 27 06:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Jan 6 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Louisville', 'EDT', 1, -18000, 'Jan 6 07:00:00 1974', 'Oct 27 06:59:59 1974', 'Jan 6 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 07:00:00 1974', 'Feb 23 06:59:59 1975', 'Oct 27 02:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Feb 23 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Louisville', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Louisville', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Maceio
--

begin
timezone.add_rule('America/Maceio', 'BRT', 0, -8572, 'Dec 14 20:45:52 1901', 'Jan 1 02:22:51 1914', 'Dec 14 18:23:00 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Jan 1 02:22:52 1914', 'Oct 3 13:59:59 1931', 'Dec 31 23:22:52 1913', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Oct 3 14:00:00 1931', 'Apr 1 01:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Apr 1 02:00:00 1932', 'Oct 3 02:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Oct 3 03:00:00 1932', 'Apr 1 01:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Apr 1 02:00:00 1933', 'Dec 1 02:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Dec 1 03:00:00 1949', 'Apr 16 02:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Apr 16 03:00:00 1950', 'Dec 1 02:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Dec 1 03:00:00 1950', 'Apr 1 01:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Apr 1 02:00:00 1951', 'Dec 1 02:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Dec 1 03:00:00 1951', 'Apr 1 01:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Apr 1 02:00:00 1952', 'Dec 1 02:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Dec 1 03:00:00 1952', 'Mar 1 01:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Mar 1 02:00:00 1953', 'Dec 9 02:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Dec 9 03:00:00 1963', 'Mar 1 01:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Mar 1 02:00:00 1964', 'Jan 31 02:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Jan 31 03:00:00 1965', 'Mar 31 01:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Mar 31 02:00:00 1965', 'Dec 1 02:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Dec 1 03:00:00 1965', 'Mar 1 01:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Mar 1 02:00:00 1966', 'Nov 1 02:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Nov 1 03:00:00 1966', 'Mar 1 01:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Mar 1 02:00:00 1967', 'Nov 1 02:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Nov 1 03:00:00 1967', 'Mar 1 01:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Mar 1 02:00:00 1968', 'Nov 2 02:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 15 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Mar 15 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 14 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Feb 14 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Feb 7 02:00:00 1988', 'Oct 16 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Oct 15 23:59:59 1988');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Oct 16 03:00:00 1988', 'Jan 29 01:59:59 1989', 'Oct 16 01:00:00 1988', 'Jan 28 23:59:59 1989');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Jan 29 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Jan 28 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Oct 15 03:00:00 1989', 'Feb 11 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Feb 10 23:59:59 1990');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Feb 11 02:00:00 1990', 'Oct 15 02:59:59 1995', 'Feb 10 23:00:00 1990', 'Oct 14 23:59:59 1995');
timezone.add_rule('America/Maceio', 'BRST', 1, -7200, 'Oct 15 03:00:00 1995', 'Feb 11 01:59:59 1996', 'Oct 15 01:00:00 1995', 'Feb 10 23:59:59 1996');
timezone.add_rule('America/Maceio', 'BRT', 0, -10800, 'Feb 11 02:00:00 1996', 'Jan 18 03:14:07 2038', 'Feb 10 23:00:00 1996', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Managua
--

begin
timezone.add_rule('America/Managua', 'CST', 0, -20700, 'Dec 14 20:45:52 1901', 'Jun 23 05:44:59 1934', 'Dec 14 15:00:52 1901', 'Jun 22 23:59:59 1934');
timezone.add_rule('America/Managua', 'CST', 0, -21600, 'Jun 23 05:45:00 1934', 'May 1 05:59:59 1973', 'Jun 22 23:45:00 1934', 'Apr 30 23:59:59 1973');
timezone.add_rule('America/Managua', 'CST', 0, -18000, 'May 1 06:00:00 1973', 'Feb 16 04:59:59 1975', 'May 1 01:00:00 1973', 'Feb 15 23:59:59 1975');
timezone.add_rule('America/Managua', 'CST', 0, -21600, 'Feb 16 05:00:00 1975', 'Mar 18 05:59:59 1979', 'Feb 15 23:00:00 1975', 'Mar 17 23:59:59 1979');
timezone.add_rule('America/Managua', 'CDT', 1, -18000, 'Mar 18 06:00:00 1979', 'Jun 25 04:59:59 1979', 'Mar 18 01:00:00 1979', 'Jun 24 23:59:59 1979');
timezone.add_rule('America/Managua', 'CST', 0, -21600, 'Jun 25 05:00:00 1979', 'Mar 16 05:59:59 1980', 'Jun 24 23:00:00 1979', 'Mar 15 23:59:59 1980');
timezone.add_rule('America/Managua', 'CDT', 1, -18000, 'Mar 16 06:00:00 1980', 'Jun 23 04:59:59 1980', 'Mar 16 01:00:00 1980', 'Jun 22 23:59:59 1980');
timezone.add_rule('America/Managua', 'CST', 0, -21600, 'Jun 23 05:00:00 1980', 'Jan 1 09:59:59 1992', 'Jun 22 23:00:00 1980', 'Jan 1 03:59:59 1992');
timezone.add_rule('America/Managua', 'CDT', 1, -18000, 'Jan 1 10:00:00 1992', 'Sep 24 04:59:59 1992', 'Jan 1 05:00:00 1992', 'Sep 23 23:59:59 1992');
timezone.add_rule('America/Managua', 'CST', 0, -21600, 'Sep 24 05:00:00 1992', 'Jan 1 09:59:59 1993', 'Sep 23 23:00:00 1992', 'Jan 1 03:59:59 1993');
timezone.add_rule('America/Managua', 'CST', 0, -18000, 'Jan 1 10:00:00 1993', 'Dec 1 04:59:59 1998', 'Jan 1 05:00:00 1993', 'Nov 30 23:59:59 1998');
timezone.add_rule('America/Managua', 'CST', 0, -21600, 'Dec 1 05:00:00 1998', 'Jan 18 03:14:07 2038', 'Nov 30 23:00:00 1998', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Manaus
--

begin
timezone.add_rule('America/Manaus', 'AMT', 0, -14404, 'Dec 14 20:45:52 1901', 'Jan 1 04:00:03 1914', 'Dec 14 16:45:48 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Jan 1 04:00:04 1914', 'Oct 3 14:59:59 1931', 'Jan 1 00:00:04 1914', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Oct 3 15:00:00 1931', 'Apr 1 02:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Apr 1 03:00:00 1932', 'Oct 3 03:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Oct 3 04:00:00 1932', 'Apr 1 02:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Apr 1 03:00:00 1933', 'Dec 1 03:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Dec 1 04:00:00 1949', 'Apr 16 03:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Apr 16 04:00:00 1950', 'Dec 1 03:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Dec 1 04:00:00 1950', 'Apr 1 02:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Apr 1 03:00:00 1951', 'Dec 1 03:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Dec 1 04:00:00 1951', 'Apr 1 02:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Apr 1 03:00:00 1952', 'Dec 1 03:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Dec 1 04:00:00 1952', 'Mar 1 02:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Mar 1 03:00:00 1953', 'Dec 9 03:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Dec 9 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Mar 1 03:00:00 1964', 'Jan 31 03:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Jan 31 04:00:00 1965', 'Mar 31 02:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Mar 31 03:00:00 1965', 'Dec 1 03:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Dec 1 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Mar 1 03:00:00 1966', 'Nov 1 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Nov 1 04:00:00 1966', 'Mar 1 02:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Mar 1 03:00:00 1967', 'Nov 1 03:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Nov 1 04:00:00 1967', 'Mar 1 02:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Mar 1 03:00:00 1968', 'Nov 2 03:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Nov 2 04:00:00 1985', 'Mar 15 02:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Mar 15 03:00:00 1986', 'Oct 25 03:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Oct 25 04:00:00 1986', 'Feb 14 02:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Feb 14 03:00:00 1987', 'Oct 25 03:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Oct 25 04:00:00 1987', 'Feb 7 02:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Feb 7 03:00:00 1988', 'Oct 17 03:59:59 1993', 'Feb 6 23:00:00 1988', 'Oct 16 23:59:59 1993');
timezone.add_rule('America/Manaus', 'AMST', 1, -10800, 'Oct 17 04:00:00 1993', 'Feb 20 02:59:59 1994', 'Oct 17 01:00:00 1993', 'Feb 19 23:59:59 1994');
timezone.add_rule('America/Manaus', 'AMT', 0, -14400, 'Feb 20 03:00:00 1994', 'Jan 18 03:14:07 2038', 'Feb 19 23:00:00 1994', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Martinique
--

begin
timezone.add_rule('America/Martinique', 'AST', 0, -14640, 'Dec 14 20:45:52 1901', 'May 1 04:03:59 1911', 'Dec 14 16:41:52 1901', 'Apr 30 23:59:59 1911');
timezone.add_rule('America/Martinique', 'AST', 0, -14400, 'May 1 04:04:00 1911', 'Apr 6 03:59:59 1980', 'May 1 00:04:00 1911', 'Apr 5 23:59:59 1980');
timezone.add_rule('America/Martinique', 'ADT', 1, -10800, 'Apr 6 04:00:00 1980', 'Sep 28 02:59:59 1980', 'Apr 6 01:00:00 1980', 'Sep 27 23:59:59 1980');
timezone.add_rule('America/Martinique', 'AST', 0, -14400, 'Sep 28 03:00:00 1980', 'Jan 18 03:14:07 2038', 'Sep 27 23:00:00 1980', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Mazatlan
--

begin
timezone.add_rule('America/Mazatlan', 'MST', 0, -25540, 'Dec 14 20:45:52 1901', 'Jan 1 06:59:59 1922', 'Dec 14 13:40:12 1901', 'Dec 31 23:54:19 1921');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Jan 1 07:00:00 1922', 'Jun 11 05:59:59 1927', 'Jan 1 00:00:00 1922', 'Jun 10 22:59:59 1927');
timezone.add_rule('America/Mazatlan', 'MST', 0, -21600, 'Jun 11 06:00:00 1927', 'Nov 15 05:59:59 1930', 'Jun 11 00:00:00 1927', 'Nov 14 23:59:59 1930');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Nov 15 06:00:00 1930', 'May 2 05:59:59 1931', 'Nov 14 23:00:00 1930', 'May 1 22:59:59 1931');
timezone.add_rule('America/Mazatlan', 'MST', 0, -21600, 'May 2 06:00:00 1931', 'Oct 1 05:59:59 1931', 'May 2 00:00:00 1931', 'Sep 30 23:59:59 1931');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 1 06:00:00 1931', 'Mar 31 05:59:59 1932', 'Sep 30 23:00:00 1931', 'Mar 30 22:59:59 1932');
timezone.add_rule('America/Mazatlan', 'MST', 0, -21600, 'Mar 31 06:00:00 1932', 'Apr 1 05:59:59 1942', 'Mar 31 00:00:00 1932', 'Mar 31 23:59:59 1942');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Apr 1 06:00:00 1942', 'Jan 14 06:59:59 1949', 'Mar 31 23:00:00 1942', 'Jan 13 23:59:59 1949');
timezone.add_rule('America/Mazatlan', 'MST', 0, -28800, 'Jan 14 07:00:00 1949', 'Jan 1 07:59:59 1970', 'Jan 13 23:00:00 1949', 'Dec 31 23:59:59 1969');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Jan 1 08:00:00 1970', 'Apr 7 08:59:59 1996', 'Jan 1 01:00:00 1970', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Mazatlan', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Mazatlan', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- America/Mendoza
--

begin
timezone.add_rule('America/Mendoza', 'ART', 0, -15404, 'Dec 14 20:45:52 1901', 'May 1 04:16:43 1920', 'Dec 14 16:29:08 1901', 'Apr 30 23:59:59 1920');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'May 1 04:16:44 1920', 'Dec 1 03:59:59 1930', 'May 1 00:16:44 1920', 'Nov 30 23:59:59 1930');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Dec 1 04:00:00 1930', 'Apr 1 02:59:59 1931', 'Dec 1 01:00:00 1930', 'Mar 31 23:59:59 1931');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Apr 1 03:00:00 1931', 'Oct 15 03:59:59 1931', 'Mar 31 23:00:00 1931', 'Oct 14 23:59:59 1931');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 15 04:00:00 1931', 'Mar 1 02:59:59 1932', 'Oct 15 01:00:00 1931', 'Feb 29 23:59:59 1932');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1932', 'Nov 1 03:59:59 1932', 'Feb 29 23:00:00 1932', 'Oct 31 23:59:59 1932');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Nov 1 04:00:00 1932', 'Mar 1 02:59:59 1933', 'Nov 1 01:00:00 1932', 'Feb 28 23:59:59 1933');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1933', 'Nov 1 03:59:59 1933', 'Feb 28 23:00:00 1933', 'Oct 31 23:59:59 1933');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Nov 1 04:00:00 1933', 'Mar 1 02:59:59 1934', 'Nov 1 01:00:00 1933', 'Feb 28 23:59:59 1934');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1934', 'Nov 1 03:59:59 1934', 'Feb 28 23:00:00 1934', 'Oct 31 23:59:59 1934');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Nov 1 04:00:00 1934', 'Mar 1 02:59:59 1935', 'Nov 1 01:00:00 1934', 'Feb 28 23:59:59 1935');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1935', 'Nov 1 03:59:59 1935', 'Feb 28 23:00:00 1935', 'Oct 31 23:59:59 1935');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Nov 1 04:00:00 1935', 'Mar 1 02:59:59 1936', 'Nov 1 01:00:00 1935', 'Feb 29 23:59:59 1936');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1936', 'Nov 1 03:59:59 1936', 'Feb 29 23:00:00 1936', 'Oct 31 23:59:59 1936');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Nov 1 04:00:00 1936', 'Mar 1 02:59:59 1937', 'Nov 1 01:00:00 1936', 'Feb 28 23:59:59 1937');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1937', 'Nov 1 03:59:59 1937', 'Feb 28 23:00:00 1937', 'Oct 31 23:59:59 1937');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Nov 1 04:00:00 1937', 'Mar 1 02:59:59 1938', 'Nov 1 01:00:00 1937', 'Feb 28 23:59:59 1938');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1938', 'Nov 1 03:59:59 1938', 'Feb 28 23:00:00 1938', 'Oct 31 23:59:59 1938');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Nov 1 04:00:00 1938', 'Mar 1 02:59:59 1939', 'Nov 1 01:00:00 1938', 'Feb 28 23:59:59 1939');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1939', 'Nov 1 03:59:59 1939', 'Feb 28 23:00:00 1939', 'Oct 31 23:59:59 1939');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Nov 1 04:00:00 1939', 'Mar 1 02:59:59 1940', 'Nov 1 01:00:00 1939', 'Feb 29 23:59:59 1940');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1940', 'Jul 1 03:59:59 1940', 'Feb 29 23:00:00 1940', 'Jun 30 23:59:59 1940');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Jul 1 04:00:00 1940', 'Jun 15 02:59:59 1941', 'Jul 1 01:00:00 1940', 'Jun 14 23:59:59 1941');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Jun 15 03:00:00 1941', 'Oct 15 03:59:59 1941', 'Jun 14 23:00:00 1941', 'Oct 14 23:59:59 1941');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 15 04:00:00 1941', 'Aug 1 02:59:59 1943', 'Oct 15 01:00:00 1941', 'Jul 31 23:59:59 1943');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Aug 1 03:00:00 1943', 'Oct 15 03:59:59 1943', 'Jul 31 23:00:00 1943', 'Oct 14 23:59:59 1943');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 15 04:00:00 1943', 'Mar 1 02:59:59 1946', 'Oct 15 01:00:00 1943', 'Feb 28 23:59:59 1946');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1946', 'Oct 1 03:59:59 1946', 'Feb 28 23:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 1 04:00:00 1946', 'Oct 1 02:59:59 1963', 'Oct 1 01:00:00 1946', 'Sep 30 23:59:59 1963');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Oct 1 03:00:00 1963', 'Dec 15 03:59:59 1963', 'Sep 30 23:00:00 1963', 'Dec 14 23:59:59 1963');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Dec 15 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 15 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1964', 'Oct 15 03:59:59 1964', 'Feb 29 23:00:00 1964', 'Oct 14 23:59:59 1964');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 15 04:00:00 1964', 'Mar 1 02:59:59 1965', 'Oct 15 01:00:00 1964', 'Feb 28 23:59:59 1965');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1965', 'Oct 15 03:59:59 1965', 'Feb 28 23:00:00 1965', 'Oct 14 23:59:59 1965');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 15 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Oct 15 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1966', 'Oct 15 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 14 23:59:59 1966');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 15 04:00:00 1966', 'Apr 1 02:59:59 1967', 'Oct 15 01:00:00 1966', 'Mar 31 23:59:59 1967');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Apr 1 03:00:00 1967', 'Oct 1 03:59:59 1967', 'Mar 31 23:00:00 1967', 'Sep 30 23:59:59 1967');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 1 04:00:00 1967', 'Apr 7 02:59:59 1968', 'Oct 1 01:00:00 1967', 'Apr 6 23:59:59 1968');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Apr 7 03:00:00 1968', 'Oct 6 03:59:59 1968', 'Apr 6 23:00:00 1968', 'Oct 5 23:59:59 1968');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 6 04:00:00 1968', 'Apr 6 02:59:59 1969', 'Oct 6 01:00:00 1968', 'Apr 5 23:59:59 1969');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Apr 6 03:00:00 1969', 'Oct 5 03:59:59 1969', 'Apr 5 23:00:00 1969', 'Oct 4 23:59:59 1969');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Oct 5 04:00:00 1969', 'Jan 23 02:59:59 1974', 'Oct 5 01:00:00 1969', 'Jan 22 23:59:59 1974');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Jan 23 03:00:00 1974', 'May 1 01:59:59 1974', 'Jan 23 01:00:00 1974', 'Apr 30 23:59:59 1974');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'May 1 02:00:00 1974', 'Oct 6 02:59:59 1974', 'Apr 30 23:00:00 1974', 'Oct 5 23:59:59 1974');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Oct 6 03:00:00 1974', 'Apr 6 01:59:59 1975', 'Oct 6 01:00:00 1974', 'Apr 5 23:59:59 1975');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Apr 6 02:00:00 1975', 'Oct 5 02:59:59 1975', 'Apr 5 23:00:00 1975', 'Oct 4 23:59:59 1975');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Oct 5 03:00:00 1975', 'Apr 4 01:59:59 1976', 'Oct 5 01:00:00 1975', 'Apr 3 23:59:59 1976');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Apr 4 02:00:00 1976', 'Oct 3 02:59:59 1976', 'Apr 3 23:00:00 1976', 'Oct 2 23:59:59 1976');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Oct 3 03:00:00 1976', 'Apr 3 01:59:59 1977', 'Oct 3 01:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Apr 3 02:00:00 1977', 'Nov 2 02:59:59 1985', 'Apr 2 23:00:00 1977', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 14 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 13 23:59:59 1986');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Mar 14 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 13 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 13 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 12 23:59:59 1987');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Feb 13 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 12 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Feb 7 02:00:00 1988', 'Dec 1 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Nov 30 23:59:59 1988');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Dec 1 03:00:00 1988', 'Mar 5 01:59:59 1989', 'Dec 1 01:00:00 1988', 'Mar 4 23:59:59 1989');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Mar 5 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Mar 4 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Oct 15 03:00:00 1989', 'Mar 4 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 3 23:59:59 1990');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Mar 4 02:00:00 1990', 'Oct 21 02:59:59 1990', 'Mar 3 23:00:00 1990', 'Oct 20 23:59:59 1990');
timezone.add_rule('America/Mendoza', 'WARST', 1, -7200, 'Oct 21 03:00:00 1990', 'Mar 3 01:59:59 1991', 'Oct 21 01:00:00 1990', 'Mar 2 23:59:59 1991');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 3 02:00:00 1991', 'Oct 15 03:59:59 1991', 'Mar 2 22:00:00 1991', 'Oct 14 23:59:59 1991');
timezone.add_rule('America/Mendoza', 'WARST', 1, -10800, 'Oct 15 04:00:00 1991', 'Mar 1 02:59:59 1992', 'Oct 15 01:00:00 1991', 'Feb 29 23:59:59 1992');
timezone.add_rule('America/Mendoza', 'ART', 0, -14400, 'Mar 1 03:00:00 1992', 'Oct 18 03:59:59 1992', 'Feb 29 23:00:00 1992', 'Oct 17 23:59:59 1992');
timezone.add_rule('America/Mendoza', 'ART', 0, -10800, 'Oct 18 04:00:00 1992', 'Jan 18 03:14:07 2038', 'Oct 18 01:00:00 1992', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Menominee
--

begin
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 1919', 'Feb 9 07:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Sep 29 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Sep 29 07:00:00 1946', 'Apr 24 07:59:59 1966', 'Sep 29 01:00:00 1946', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 24 08:00:00 1966', 'Oct 30 06:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 1966', 'Apr 27 07:59:59 1969', 'Oct 30 01:00:00 1966', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Menominee', 'CST', 0, -18000, 'Apr 27 08:00:00 1969', 'Apr 29 06:59:59 1973', 'Apr 27 03:00:00 1969', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 29 07:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 1973', 'Jan 6 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Jan 6 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 1974', 'Feb 23 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Feb 23 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 1991', 'Apr 5 07:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 5 08:00:00 1992', 'Oct 25 06:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 25 07:00:00 1992', 'Apr 4 07:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 4 08:00:00 1993', 'Oct 31 06:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 31 07:00:00 1993', 'Apr 3 07:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 3 08:00:00 1994', 'Oct 30 06:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 1994', 'Apr 2 07:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 2 08:00:00 1995', 'Oct 29 06:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 29 07:00:00 1995', 'Apr 7 07:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Menominee', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Menominee', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Merida not installed
--

--
-- America/Mexico_City
--

begin
timezone.add_rule('America/Mexico_City', 'CST', 0, -23796, 'Dec 14 20:45:52 1901', 'Jan 1 06:59:59 1922', 'Dec 14 14:09:16 1901', 'Jan 1 00:23:23 1922');
timezone.add_rule('America/Mexico_City', 'CST', 0, -25200, 'Jan 1 07:00:00 1922', 'Jun 11 05:59:59 1927', 'Jan 1 00:00:00 1922', 'Jun 10 22:59:59 1927');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Jun 11 06:00:00 1927', 'Nov 15 05:59:59 1930', 'Jun 11 00:00:00 1927', 'Nov 14 23:59:59 1930');
timezone.add_rule('America/Mexico_City', 'CST', 0, -25200, 'Nov 15 06:00:00 1930', 'May 2 05:59:59 1931', 'Nov 14 23:00:00 1930', 'May 1 22:59:59 1931');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'May 2 06:00:00 1931', 'Oct 1 05:59:59 1931', 'May 2 00:00:00 1931', 'Sep 30 23:59:59 1931');
timezone.add_rule('America/Mexico_City', 'CST', 0, -25200, 'Oct 1 06:00:00 1931', 'Mar 31 05:59:59 1932', 'Sep 30 23:00:00 1931', 'Mar 30 22:59:59 1932');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Mar 31 06:00:00 1932', 'Feb 5 05:59:59 1939', 'Mar 31 00:00:00 1932', 'Feb 4 23:59:59 1939');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Feb 5 06:00:00 1939', 'Jun 25 04:59:59 1939', 'Feb 5 01:00:00 1939', 'Jun 24 23:59:59 1939');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Jun 25 05:00:00 1939', 'Dec 9 05:59:59 1940', 'Jun 24 23:00:00 1939', 'Dec 8 23:59:59 1940');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Dec 9 06:00:00 1940', 'Apr 1 04:59:59 1941', 'Dec 9 01:00:00 1940', 'Mar 31 23:59:59 1941');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Apr 1 05:00:00 1941', 'Dec 16 05:59:59 1943', 'Mar 31 23:00:00 1941', 'Dec 15 23:59:59 1943');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Dec 16 06:00:00 1943', 'May 1 04:59:59 1944', 'Dec 16 01:00:00 1943', 'Apr 30 23:59:59 1944');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'May 1 05:00:00 1944', 'Feb 12 05:59:59 1950', 'Apr 30 23:00:00 1944', 'Feb 11 23:59:59 1950');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Feb 12 06:00:00 1950', 'Jul 30 04:59:59 1950', 'Feb 12 01:00:00 1950', 'Jul 29 23:59:59 1950');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Jul 30 05:00:00 1950', 'Apr 7 07:59:59 1996', 'Jul 29 23:00:00 1950', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Mexico_City', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Mexico_City', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Miquelon
--

begin
timezone.add_rule('America/Miquelon', 'PMST', 0, -13480, 'Dec 14 20:45:52 1901', 'May 15 03:44:39 1911', 'Dec 14 17:01:12 1901', 'May 14 23:59:59 1911');
timezone.add_rule('America/Miquelon', 'PMST', 0, -14400, 'May 15 03:44:40 1911', 'May 1 03:59:59 1980', 'May 14 23:44:40 1911', 'Apr 30 23:59:59 1980');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'May 1 04:00:00 1980', 'Oct 26 03:59:59 1980', 'May 1 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 26 04:00:00 1980', 'Apr 26 04:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 26 05:00:00 1981', 'Oct 25 03:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 25 04:00:00 1981', 'Apr 25 04:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 25 05:00:00 1982', 'Oct 31 03:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 31 04:00:00 1982', 'Apr 24 04:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 24 05:00:00 1983', 'Oct 30 03:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 30 04:00:00 1983', 'Apr 29 04:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 29 05:00:00 1984', 'Oct 28 03:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 28 04:00:00 1984', 'Apr 28 04:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 28 05:00:00 1985', 'Oct 27 03:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 27 04:00:00 1985', 'Apr 27 04:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 27 05:00:00 1986', 'Oct 26 03:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 26 04:00:00 1986', 'Apr 5 04:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 5 05:00:00 1987', 'Oct 25 03:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 25 04:00:00 1987', 'Apr 3 04:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 3 05:00:00 1988', 'Oct 30 03:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 30 04:00:00 1988', 'Apr 2 04:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 2 05:00:00 1989', 'Oct 29 03:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 29 04:00:00 1989', 'Apr 1 04:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 1 05:00:00 1990', 'Oct 28 03:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 28 04:00:00 1990', 'Apr 7 04:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 7 05:00:00 1991', 'Oct 27 03:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 27 04:00:00 1991', 'Apr 5 04:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 5 05:00:00 1992', 'Oct 25 03:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 25 04:00:00 1992', 'Apr 4 04:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 4 05:00:00 1993', 'Oct 31 03:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 31 04:00:00 1993', 'Apr 3 04:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 3 05:00:00 1994', 'Oct 30 03:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 30 04:00:00 1994', 'Apr 2 04:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 2 05:00:00 1995', 'Oct 29 03:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 29 04:00:00 1995', 'Apr 7 04:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 7 05:00:00 1996', 'Oct 27 03:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 27 04:00:00 1996', 'Apr 6 04:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 6 05:00:00 1997', 'Oct 26 03:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 26 04:00:00 1997', 'Apr 5 04:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 5 05:00:00 1998', 'Oct 25 03:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 25 04:00:00 1998', 'Apr 4 04:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 4 05:00:00 1999', 'Oct 31 03:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 31 04:00:00 1999', 'Apr 2 04:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 2 05:00:00 2000', 'Oct 29 03:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 29 04:00:00 2000', 'Apr 1 04:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 1 05:00:00 2001', 'Oct 28 03:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 28 04:00:00 2001', 'Apr 7 04:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 7 05:00:00 2002', 'Oct 27 03:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 27 04:00:00 2002', 'Apr 6 04:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 6 05:00:00 2003', 'Oct 26 03:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 26 04:00:00 2003', 'Apr 4 04:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 4 05:00:00 2004', 'Oct 31 03:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 31 04:00:00 2004', 'Apr 3 04:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 3 05:00:00 2005', 'Oct 30 03:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 30 04:00:00 2005', 'Apr 2 04:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 2 05:00:00 2006', 'Oct 29 03:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 29 04:00:00 2006', 'Apr 1 04:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 1 05:00:00 2007', 'Oct 28 03:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 28 04:00:00 2007', 'Apr 6 04:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 6 05:00:00 2008', 'Oct 26 03:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 26 04:00:00 2008', 'Apr 5 04:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 5 05:00:00 2009', 'Oct 25 03:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 25 04:00:00 2009', 'Apr 4 04:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 4 05:00:00 2010', 'Oct 31 03:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 31 04:00:00 2010', 'Apr 3 04:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 3 05:00:00 2011', 'Oct 30 03:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 30 04:00:00 2011', 'Apr 1 04:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 1 05:00:00 2012', 'Oct 28 03:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 28 04:00:00 2012', 'Apr 7 04:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 7 05:00:00 2013', 'Oct 27 03:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 27 04:00:00 2013', 'Apr 6 04:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 6 05:00:00 2014', 'Oct 26 03:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 26 04:00:00 2014', 'Apr 5 04:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 5 05:00:00 2015', 'Oct 25 03:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 25 04:00:00 2015', 'Apr 3 04:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 3 05:00:00 2016', 'Oct 30 03:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 30 04:00:00 2016', 'Apr 2 04:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 2 05:00:00 2017', 'Oct 29 03:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 29 04:00:00 2017', 'Apr 1 04:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 1 05:00:00 2018', 'Oct 28 03:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 28 04:00:00 2018', 'Apr 7 04:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 7 05:00:00 2019', 'Oct 27 03:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 27 04:00:00 2019', 'Apr 5 04:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 5 05:00:00 2020', 'Oct 25 03:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 25 04:00:00 2020', 'Apr 4 04:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 4 05:00:00 2021', 'Oct 31 03:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 31 04:00:00 2021', 'Apr 3 04:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 3 05:00:00 2022', 'Oct 30 03:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 30 04:00:00 2022', 'Apr 2 04:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 2 05:00:00 2023', 'Oct 29 03:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 29 04:00:00 2023', 'Apr 7 04:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 7 05:00:00 2024', 'Oct 27 03:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 27 04:00:00 2024', 'Apr 6 04:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 6 05:00:00 2025', 'Oct 26 03:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 26 04:00:00 2025', 'Apr 5 04:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 5 05:00:00 2026', 'Oct 25 03:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 25 04:00:00 2026', 'Apr 4 04:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 4 05:00:00 2027', 'Oct 31 03:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 31 04:00:00 2027', 'Apr 2 04:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 2 05:00:00 2028', 'Oct 29 03:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 29 04:00:00 2028', 'Apr 1 04:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 1 05:00:00 2029', 'Oct 28 03:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 28 04:00:00 2029', 'Apr 7 04:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 7 05:00:00 2030', 'Oct 27 03:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 27 04:00:00 2030', 'Apr 6 04:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 6 05:00:00 2031', 'Oct 26 03:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 26 04:00:00 2031', 'Apr 4 04:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 4 05:00:00 2032', 'Oct 31 03:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 31 04:00:00 2032', 'Apr 3 04:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 3 05:00:00 2033', 'Oct 30 03:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 30 04:00:00 2033', 'Apr 2 04:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 2 05:00:00 2034', 'Oct 29 03:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 29 04:00:00 2034', 'Apr 1 04:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 1 05:00:00 2035', 'Oct 28 03:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 28 04:00:00 2035', 'Apr 6 04:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 6 05:00:00 2036', 'Oct 26 03:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 26 04:00:00 2036', 'Apr 5 04:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Miquelon', 'PMDT', 1, -7200, 'Apr 5 05:00:00 2037', 'Oct 25 03:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Miquelon', 'PMST', 0, -10800, 'Oct 25 04:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Monterrey not installed
--

--
-- America/Montevideo
--

begin
timezone.add_rule('America/Montevideo', 'UYT', 0, -13484, 'Dec 14 20:45:52 1901', 'May 1 03:44:43 1920', 'Dec 14 17:01:08 1901', 'Apr 30 23:59:59 1920');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'May 1 03:44:44 1920', 'Oct 2 03:29:59 1923', 'May 1 00:14:44 1920', 'Oct 1 23:59:59 1923');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 2 03:30:00 1923', 'Apr 1 02:59:59 1924', 'Oct 2 00:30:00 1923', 'Mar 31 23:59:59 1924');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Apr 1 03:00:00 1924', 'Oct 1 03:29:59 1924', 'Mar 31 23:30:00 1924', 'Sep 30 23:59:59 1924');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 1 03:30:00 1924', 'Apr 1 02:59:59 1925', 'Oct 1 00:30:00 1924', 'Mar 31 23:59:59 1925');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Apr 1 03:00:00 1925', 'Oct 1 03:29:59 1925', 'Mar 31 23:30:00 1925', 'Sep 30 23:59:59 1925');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 1 03:30:00 1925', 'Apr 1 02:59:59 1926', 'Oct 1 00:30:00 1925', 'Mar 31 23:59:59 1926');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Apr 1 03:00:00 1926', 'Oct 29 03:29:59 1933', 'Mar 31 23:30:00 1926', 'Oct 28 23:59:59 1933');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 29 03:30:00 1933', 'Apr 1 02:59:59 1934', 'Oct 29 00:30:00 1933', 'Mar 31 23:59:59 1934');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Apr 1 03:00:00 1934', 'Oct 28 03:29:59 1934', 'Mar 31 23:30:00 1934', 'Oct 27 23:59:59 1934');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 28 03:30:00 1934', 'Mar 31 02:59:59 1935', 'Oct 28 00:30:00 1934', 'Mar 30 23:59:59 1935');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Mar 31 03:00:00 1935', 'Oct 27 03:29:59 1935', 'Mar 30 23:30:00 1935', 'Oct 26 23:59:59 1935');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 27 03:30:00 1935', 'Mar 29 02:59:59 1936', 'Oct 27 00:30:00 1935', 'Mar 28 23:59:59 1936');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Mar 29 03:00:00 1936', 'Nov 1 03:29:59 1936', 'Mar 28 23:30:00 1936', 'Oct 31 23:59:59 1936');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Nov 1 03:30:00 1936', 'Mar 28 02:59:59 1937', 'Nov 1 00:30:00 1936', 'Mar 27 23:59:59 1937');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Mar 28 03:00:00 1937', 'Oct 31 03:29:59 1937', 'Mar 27 23:30:00 1937', 'Oct 30 23:59:59 1937');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 31 03:30:00 1937', 'Mar 27 02:59:59 1938', 'Oct 31 00:30:00 1937', 'Mar 26 23:59:59 1938');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Mar 27 03:00:00 1938', 'Oct 30 03:29:59 1938', 'Mar 26 23:30:00 1938', 'Oct 29 23:59:59 1938');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 30 03:30:00 1938', 'Mar 26 02:59:59 1939', 'Oct 30 00:30:00 1938', 'Mar 25 23:59:59 1939');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Mar 26 03:00:00 1939', 'Oct 29 03:29:59 1939', 'Mar 25 23:30:00 1939', 'Oct 28 23:59:59 1939');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 29 03:30:00 1939', 'Mar 31 02:59:59 1940', 'Oct 29 00:30:00 1939', 'Mar 30 23:59:59 1940');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Mar 31 03:00:00 1940', 'Oct 27 03:29:59 1940', 'Mar 30 23:30:00 1940', 'Oct 26 23:59:59 1940');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Oct 27 03:30:00 1940', 'Mar 30 02:59:59 1941', 'Oct 27 00:30:00 1940', 'Mar 29 23:59:59 1941');
timezone.add_rule('America/Montevideo', 'UYT', 0, -12600, 'Mar 30 03:00:00 1941', 'Jan 1 03:29:59 1942', 'Mar 29 23:30:00 1941', 'Dec 31 23:59:59 1941');
timezone.add_rule('America/Montevideo', 'UYST', 1, -10800, 'Jan 1 03:30:00 1942', 'Dec 14 02:59:59 1942', 'Jan 1 00:30:00 1942', 'Dec 13 23:59:59 1942');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Dec 14 03:00:00 1942', 'Mar 14 01:59:59 1943', 'Dec 14 01:00:00 1942', 'Mar 13 23:59:59 1943');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Mar 14 02:00:00 1943', 'May 24 02:59:59 1959', 'Mar 13 23:00:00 1943', 'May 23 23:59:59 1959');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'May 24 03:00:00 1959', 'Nov 15 01:59:59 1959', 'May 24 01:00:00 1959', 'Nov 14 23:59:59 1959');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Nov 15 02:00:00 1959', 'Jan 17 02:59:59 1960', 'Nov 14 23:00:00 1959', 'Jan 16 23:59:59 1960');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Jan 17 03:00:00 1960', 'Mar 6 01:59:59 1960', 'Jan 17 01:00:00 1960', 'Mar 5 23:59:59 1960');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Mar 6 02:00:00 1960', 'Apr 4 02:59:59 1965', 'Mar 5 23:00:00 1960', 'Apr 3 23:59:59 1965');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Apr 4 03:00:00 1965', 'Sep 26 01:59:59 1965', 'Apr 4 01:00:00 1965', 'Sep 25 23:59:59 1965');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Sep 26 02:00:00 1965', 'Apr 3 02:59:59 1966', 'Sep 25 23:00:00 1965', 'Apr 2 23:59:59 1966');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Apr 3 03:00:00 1966', 'Oct 31 01:59:59 1966', 'Apr 3 01:00:00 1966', 'Oct 30 23:59:59 1966');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Oct 31 02:00:00 1966', 'Apr 2 02:59:59 1967', 'Oct 30 23:00:00 1966', 'Apr 1 23:59:59 1967');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Apr 2 03:00:00 1967', 'Oct 31 01:59:59 1967', 'Apr 2 01:00:00 1967', 'Oct 30 23:59:59 1967');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Oct 31 02:00:00 1967', 'May 27 02:59:59 1968', 'Oct 30 23:00:00 1967', 'May 26 23:59:59 1968');
timezone.add_rule('America/Montevideo', 'UYST', 1, -9000, 'May 27 03:00:00 1968', 'Dec 2 02:29:59 1968', 'May 27 00:30:00 1968', 'Dec 1 23:59:59 1968');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Dec 2 02:30:00 1968', 'May 27 02:59:59 1969', 'Dec 1 23:30:00 1968', 'May 26 23:59:59 1969');
timezone.add_rule('America/Montevideo', 'UYST', 1, -9000, 'May 27 03:00:00 1969', 'Dec 2 02:29:59 1969', 'May 27 00:30:00 1969', 'Dec 1 23:59:59 1969');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Dec 2 02:30:00 1969', 'May 27 02:59:59 1970', 'Dec 1 23:30:00 1969', 'May 26 23:59:59 1970');
timezone.add_rule('America/Montevideo', 'UYST', 1, -9000, 'May 27 03:00:00 1970', 'Dec 2 02:29:59 1970', 'May 27 00:30:00 1970', 'Dec 1 23:59:59 1970');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Dec 2 02:30:00 1970', 'Apr 24 02:59:59 1972', 'Dec 1 23:30:00 1970', 'Apr 23 23:59:59 1972');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Apr 24 03:00:00 1972', 'Aug 15 01:59:59 1972', 'Apr 24 01:00:00 1972', 'Aug 14 23:59:59 1972');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Aug 15 02:00:00 1972', 'Mar 10 02:59:59 1974', 'Aug 14 23:00:00 1972', 'Mar 9 23:59:59 1974');
timezone.add_rule('America/Montevideo', 'UYST', 1, -9000, 'Mar 10 03:00:00 1974', 'Dec 22 02:29:59 1974', 'Mar 10 00:30:00 1974', 'Dec 21 23:59:59 1974');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Dec 22 02:30:00 1974', 'Oct 1 01:59:59 1976', 'Dec 22 00:30:00 1974', 'Sep 30 23:59:59 1976');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Oct 1 02:00:00 1976', 'Dec 4 02:59:59 1977', 'Sep 30 23:00:00 1976', 'Dec 3 23:59:59 1977');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Dec 4 03:00:00 1977', 'Apr 1 01:59:59 1978', 'Dec 4 01:00:00 1977', 'Mar 31 23:59:59 1978');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Apr 1 02:00:00 1978', 'Oct 1 02:59:59 1979', 'Mar 31 23:00:00 1978', 'Sep 30 23:59:59 1979');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Oct 1 03:00:00 1979', 'May 1 01:59:59 1980', 'Oct 1 01:00:00 1979', 'Apr 30 23:59:59 1980');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'May 1 02:00:00 1980', 'Dec 14 02:59:59 1987', 'Apr 30 23:00:00 1980', 'Dec 13 23:59:59 1987');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Dec 14 03:00:00 1987', 'Mar 14 01:59:59 1988', 'Dec 14 01:00:00 1987', 'Mar 13 23:59:59 1988');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Mar 14 02:00:00 1988', 'Dec 11 02:59:59 1988', 'Mar 13 23:00:00 1988', 'Dec 10 23:59:59 1988');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Dec 11 03:00:00 1988', 'Mar 12 01:59:59 1989', 'Dec 11 01:00:00 1988', 'Mar 11 23:59:59 1989');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Mar 12 02:00:00 1989', 'Oct 29 02:59:59 1989', 'Mar 11 23:00:00 1989', 'Oct 28 23:59:59 1989');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Oct 29 03:00:00 1989', 'Mar 4 01:59:59 1990', 'Oct 29 01:00:00 1989', 'Mar 3 23:59:59 1990');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Mar 4 02:00:00 1990', 'Oct 21 02:59:59 1990', 'Mar 3 23:00:00 1990', 'Oct 20 23:59:59 1990');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Oct 21 03:00:00 1990', 'Mar 3 01:59:59 1991', 'Oct 21 01:00:00 1990', 'Mar 2 23:59:59 1991');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Mar 3 02:00:00 1991', 'Oct 27 02:59:59 1991', 'Mar 2 23:00:00 1991', 'Oct 26 23:59:59 1991');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Oct 27 03:00:00 1991', 'Mar 1 01:59:59 1992', 'Oct 27 01:00:00 1991', 'Feb 29 23:59:59 1992');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Mar 1 02:00:00 1992', 'Oct 18 02:59:59 1992', 'Feb 29 23:00:00 1992', 'Oct 17 23:59:59 1992');
timezone.add_rule('America/Montevideo', 'UYST', 1, -7200, 'Oct 18 03:00:00 1992', 'Feb 28 01:59:59 1993', 'Oct 18 01:00:00 1992', 'Feb 27 23:59:59 1993');
timezone.add_rule('America/Montevideo', 'UYT', 0, -10800, 'Feb 28 02:00:00 1993', 'Jan 18 03:14:07 2038', 'Feb 27 23:00:00 1993', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Montreal
--

begin
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Mar 25 06:59:59 1917', 'Dec 14 15:45:52 1901', 'Mar 25 01:59:59 1917');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Mar 25 07:00:00 1917', 'Apr 24 03:59:59 1917', 'Mar 25 03:00:00 1917', 'Apr 23 23:59:59 1917');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Apr 24 04:00:00 1917', 'Apr 14 06:59:59 1918', 'Apr 23 23:00:00 1917', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 14 07:00:00 1918', 'Oct 31 05:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 1918', 'Mar 31 07:29:59 1919', 'Oct 31 01:00:00 1918', 'Mar 31 02:29:59 1919');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Mar 31 07:30:00 1919', 'Oct 25 06:29:59 1919', 'Mar 31 03:30:00 1919', 'Oct 25 02:29:59 1919');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:30:00 1919', 'May 2 07:29:59 1920', 'Oct 25 01:30:00 1919', 'May 2 02:29:59 1920');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'May 2 07:30:00 1920', 'Oct 3 06:29:59 1920', 'May 2 03:30:00 1920', 'Oct 3 02:29:59 1920');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 3 06:30:00 1920', 'May 1 06:59:59 1921', 'Oct 3 01:30:00 1920', 'May 1 01:59:59 1921');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'May 1 07:00:00 1921', 'Oct 2 06:29:59 1921', 'May 1 03:00:00 1921', 'Oct 2 02:29:59 1921');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 2 06:30:00 1921', 'Apr 30 06:59:59 1922', 'Oct 2 01:30:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 30 07:00:00 1922', 'Oct 1 06:29:59 1922', 'Apr 30 03:00:00 1922', 'Oct 1 02:29:59 1922');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 1 06:30:00 1922', 'May 17 06:59:59 1924', 'Oct 1 01:30:00 1922', 'May 17 01:59:59 1924');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'May 17 07:00:00 1924', 'Sep 28 06:29:59 1924', 'May 17 03:00:00 1924', 'Sep 28 02:29:59 1924');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 28 06:30:00 1924', 'May 3 06:59:59 1925', 'Sep 28 01:30:00 1924', 'May 3 01:59:59 1925');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'May 3 07:00:00 1925', 'Sep 27 06:29:59 1925', 'May 3 03:00:00 1925', 'Sep 27 02:29:59 1925');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 27 06:30:00 1925', 'May 2 06:59:59 1926', 'Sep 27 01:30:00 1925', 'May 2 01:59:59 1926');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'May 2 07:00:00 1926', 'Sep 26 06:29:59 1926', 'May 2 03:00:00 1926', 'Sep 26 02:29:59 1926');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 26 06:30:00 1926', 'May 1 04:59:59 1927', 'Sep 26 01:30:00 1926', 'Apr 30 23:59:59 1927');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'May 1 05:00:00 1927', 'Sep 25 03:59:59 1927', 'May 1 01:00:00 1927', 'Sep 24 23:59:59 1927');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 25 04:00:00 1927', 'Apr 29 04:59:59 1928', 'Sep 24 23:00:00 1927', 'Apr 28 23:59:59 1928');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 29 05:00:00 1928', 'Sep 30 03:59:59 1928', 'Apr 29 01:00:00 1928', 'Sep 29 23:59:59 1928');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 30 04:00:00 1928', 'Apr 28 04:59:59 1929', 'Sep 29 23:00:00 1928', 'Apr 27 23:59:59 1929');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 28 05:00:00 1929', 'Sep 29 03:59:59 1929', 'Apr 28 01:00:00 1929', 'Sep 28 23:59:59 1929');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 29 04:00:00 1929', 'Apr 27 04:59:59 1930', 'Sep 28 23:00:00 1929', 'Apr 26 23:59:59 1930');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 27 05:00:00 1930', 'Sep 28 03:59:59 1930', 'Apr 27 01:00:00 1930', 'Sep 27 23:59:59 1930');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 28 04:00:00 1930', 'Apr 26 04:59:59 1931', 'Sep 27 23:00:00 1930', 'Apr 25 23:59:59 1931');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 26 05:00:00 1931', 'Sep 27 03:59:59 1931', 'Apr 26 01:00:00 1931', 'Sep 26 23:59:59 1931');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 27 04:00:00 1931', 'May 1 04:59:59 1932', 'Sep 26 23:00:00 1931', 'Apr 30 23:59:59 1932');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'May 1 05:00:00 1932', 'Sep 25 03:59:59 1932', 'May 1 01:00:00 1932', 'Sep 24 23:59:59 1932');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 25 04:00:00 1932', 'Apr 30 04:59:59 1933', 'Sep 24 23:00:00 1932', 'Apr 29 23:59:59 1933');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 30 05:00:00 1933', 'Oct 1 03:59:59 1933', 'Apr 30 01:00:00 1933', 'Sep 30 23:59:59 1933');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 1 04:00:00 1933', 'Apr 29 04:59:59 1934', 'Sep 30 23:00:00 1933', 'Apr 28 23:59:59 1934');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 29 05:00:00 1934', 'Sep 30 03:59:59 1934', 'Apr 29 01:00:00 1934', 'Sep 29 23:59:59 1934');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 30 04:00:00 1934', 'Apr 28 04:59:59 1935', 'Sep 29 23:00:00 1934', 'Apr 27 23:59:59 1935');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 28 05:00:00 1935', 'Sep 29 03:59:59 1935', 'Apr 28 01:00:00 1935', 'Sep 28 23:59:59 1935');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 29 04:00:00 1935', 'Apr 26 04:59:59 1936', 'Sep 28 23:00:00 1935', 'Apr 25 23:59:59 1936');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 26 05:00:00 1936', 'Sep 27 03:59:59 1936', 'Apr 26 01:00:00 1936', 'Sep 26 23:59:59 1936');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 27 04:00:00 1936', 'Apr 25 04:59:59 1937', 'Sep 26 23:00:00 1936', 'Apr 24 23:59:59 1937');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 25 05:00:00 1937', 'Sep 26 03:59:59 1937', 'Apr 25 01:00:00 1937', 'Sep 25 23:59:59 1937');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 26 04:00:00 1937', 'Apr 24 04:59:59 1938', 'Sep 25 23:00:00 1937', 'Apr 23 23:59:59 1938');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 24 05:00:00 1938', 'Sep 25 03:59:59 1938', 'Apr 24 01:00:00 1938', 'Sep 24 23:59:59 1938');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 25 04:00:00 1938', 'Apr 30 04:59:59 1939', 'Sep 24 23:00:00 1938', 'Apr 29 23:59:59 1939');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 30 05:00:00 1939', 'Sep 24 03:59:59 1939', 'Apr 30 01:00:00 1939', 'Sep 23 23:59:59 1939');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 24 04:00:00 1939', 'Apr 28 04:59:59 1940', 'Sep 23 23:00:00 1939', 'Apr 27 23:59:59 1940');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 28 05:00:00 1940', 'Sep 30 05:59:59 1945', 'Apr 28 01:00:00 1940', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 28 06:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 28 07:00:00 1946', 'Sep 29 05:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 29 06:00:00 1946', 'Apr 27 06:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 27 07:00:00 1947', 'Sep 28 05:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 28 06:00:00 1947', 'Apr 25 06:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 25 07:00:00 1948', 'Sep 26 05:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 26 06:00:00 1948', 'Apr 24 06:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 24 07:00:00 1949', 'Oct 30 05:59:59 1949', 'Apr 24 03:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 1949', 'Apr 30 06:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 30 07:00:00 1950', 'Oct 29 05:59:59 1950', 'Apr 30 03:00:00 1950', 'Oct 29 01:59:59 1950');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 1950', 'Apr 29 06:59:59 1951', 'Oct 29 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 29 07:00:00 1951', 'Sep 30 05:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 30 06:00:00 1951', 'Apr 27 06:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 27 07:00:00 1952', 'Sep 28 05:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 28 06:00:00 1952', 'Apr 26 06:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 26 07:00:00 1953', 'Sep 27 05:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 27 06:00:00 1953', 'Apr 25 06:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 25 07:00:00 1954', 'Sep 26 05:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 26 06:00:00 1954', 'Apr 24 06:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 24 07:00:00 1955', 'Sep 25 05:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 25 06:00:00 1955', 'Apr 29 06:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 29 07:00:00 1956', 'Sep 30 05:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Sep 30 06:00:00 1956', 'Apr 28 06:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 28 07:00:00 1957', 'Oct 27 05:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 1957', 'Apr 27 06:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 27 07:00:00 1958', 'Oct 26 05:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 1958', 'Apr 26 06:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 26 07:00:00 1959', 'Oct 25 05:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 1959', 'Apr 24 06:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 24 07:00:00 1960', 'Oct 30 05:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 1960', 'Apr 30 06:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 30 07:00:00 1961', 'Oct 29 05:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 1961', 'Apr 29 06:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 29 07:00:00 1962', 'Oct 28 05:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 1962', 'Apr 28 06:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 28 07:00:00 1963', 'Oct 27 05:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 1963', 'Apr 26 06:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 26 07:00:00 1964', 'Oct 25 05:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 1964', 'Apr 25 06:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 25 07:00:00 1965', 'Oct 31 05:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 1965', 'Apr 24 06:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 24 07:00:00 1966', 'Oct 30 05:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 1966', 'Apr 30 06:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 30 07:00:00 1967', 'Oct 29 05:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 1967', 'Apr 28 06:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 28 07:00:00 1968', 'Oct 27 05:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 1968', 'Apr 27 06:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Apr 28 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 28 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Apr 27 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 27 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Montreal', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Montreal', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Montserrat
--

begin
timezone.add_rule('America/Montserrat', 'AST', 0, -14932, 'Dec 14 20:45:52 1901', 'Jul 1 04:09:51 1911', 'Dec 14 16:37:00 1901', 'Jul 1 00:00:59 1911');
timezone.add_rule('America/Montserrat', 'AST', 0, -14400, 'Jul 1 04:09:52 1911', 'Jan 18 03:14:07 2038', 'Jul 1 00:09:52 1911', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Nassau
--

begin
timezone.add_rule('America/Nassau', 'EST', 0, -18564, 'Dec 14 20:45:52 1901', 'Mar 2 05:09:23 1912', 'Dec 14 15:36:28 1901', 'Mar 1 23:59:59 1912');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Mar 2 05:09:24 1912', 'Apr 26 06:59:59 1964', 'Mar 2 00:09:24 1912', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 26 07:00:00 1964', 'Oct 25 05:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 1964', 'Apr 25 06:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 25 07:00:00 1965', 'Oct 31 05:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 1965', 'Apr 24 06:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 24 07:00:00 1966', 'Oct 30 05:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 1966', 'Apr 30 06:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 30 07:00:00 1967', 'Oct 29 05:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 1967', 'Apr 28 06:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 28 07:00:00 1968', 'Oct 27 05:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 1968', 'Apr 27 06:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Apr 28 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 28 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Apr 27 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 27 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Nassau', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Nassau', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/New_York
--

begin
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Mar 31 06:59:59 1918', 'Dec 14 15:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Mar 31 07:00:00 1918', 'Oct 27 05:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 1918', 'Mar 30 06:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Mar 30 07:00:00 1919', 'Oct 26 05:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 1919', 'Mar 28 06:59:59 1920', 'Oct 26 01:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Mar 28 07:00:00 1920', 'Oct 31 05:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 1920', 'Apr 24 06:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1921', 'Sep 25 05:59:59 1921', 'Apr 24 03:00:00 1921', 'Sep 25 01:59:59 1921');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 25 06:00:00 1921', 'Apr 30 06:59:59 1922', 'Sep 25 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 30 07:00:00 1922', 'Sep 24 05:59:59 1922', 'Apr 30 03:00:00 1922', 'Sep 24 01:59:59 1922');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 24 06:00:00 1922', 'Apr 29 06:59:59 1923', 'Sep 24 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 29 07:00:00 1923', 'Sep 30 05:59:59 1923', 'Apr 29 03:00:00 1923', 'Sep 30 01:59:59 1923');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 30 06:00:00 1923', 'Apr 27 06:59:59 1924', 'Sep 30 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 27 07:00:00 1924', 'Sep 28 05:59:59 1924', 'Apr 27 03:00:00 1924', 'Sep 28 01:59:59 1924');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 28 06:00:00 1924', 'Apr 26 06:59:59 1925', 'Sep 28 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 26 07:00:00 1925', 'Sep 27 05:59:59 1925', 'Apr 26 03:00:00 1925', 'Sep 27 01:59:59 1925');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 27 06:00:00 1925', 'Apr 25 06:59:59 1926', 'Sep 27 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 25 07:00:00 1926', 'Sep 26 05:59:59 1926', 'Apr 25 03:00:00 1926', 'Sep 26 01:59:59 1926');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 26 06:00:00 1926', 'Apr 24 06:59:59 1927', 'Sep 26 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1927', 'Sep 25 05:59:59 1927', 'Apr 24 03:00:00 1927', 'Sep 25 01:59:59 1927');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 25 06:00:00 1927', 'Apr 29 06:59:59 1928', 'Sep 25 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 29 07:00:00 1928', 'Sep 30 05:59:59 1928', 'Apr 29 03:00:00 1928', 'Sep 30 01:59:59 1928');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 30 06:00:00 1928', 'Apr 28 06:59:59 1929', 'Sep 30 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 28 07:00:00 1929', 'Sep 29 05:59:59 1929', 'Apr 28 03:00:00 1929', 'Sep 29 01:59:59 1929');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 29 06:00:00 1929', 'Apr 27 06:59:59 1930', 'Sep 29 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 27 07:00:00 1930', 'Sep 28 05:59:59 1930', 'Apr 27 03:00:00 1930', 'Sep 28 01:59:59 1930');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 28 06:00:00 1930', 'Apr 26 06:59:59 1931', 'Sep 28 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 26 07:00:00 1931', 'Sep 27 05:59:59 1931', 'Apr 26 03:00:00 1931', 'Sep 27 01:59:59 1931');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 27 06:00:00 1931', 'Apr 24 06:59:59 1932', 'Sep 27 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1932', 'Sep 25 05:59:59 1932', 'Apr 24 03:00:00 1932', 'Sep 25 01:59:59 1932');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 25 06:00:00 1932', 'Apr 30 06:59:59 1933', 'Sep 25 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 30 07:00:00 1933', 'Sep 24 05:59:59 1933', 'Apr 30 03:00:00 1933', 'Sep 24 01:59:59 1933');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 24 06:00:00 1933', 'Apr 29 06:59:59 1934', 'Sep 24 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 29 07:00:00 1934', 'Sep 30 05:59:59 1934', 'Apr 29 03:00:00 1934', 'Sep 30 01:59:59 1934');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 30 06:00:00 1934', 'Apr 28 06:59:59 1935', 'Sep 30 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 28 07:00:00 1935', 'Sep 29 05:59:59 1935', 'Apr 28 03:00:00 1935', 'Sep 29 01:59:59 1935');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 29 06:00:00 1935', 'Apr 26 06:59:59 1936', 'Sep 29 01:00:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 26 07:00:00 1936', 'Sep 27 05:59:59 1936', 'Apr 26 03:00:00 1936', 'Sep 27 01:59:59 1936');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 27 06:00:00 1936', 'Apr 25 06:59:59 1937', 'Sep 27 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 25 07:00:00 1937', 'Sep 26 05:59:59 1937', 'Apr 25 03:00:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 26 06:00:00 1937', 'Apr 24 06:59:59 1938', 'Sep 26 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1938', 'Sep 25 05:59:59 1938', 'Apr 24 03:00:00 1938', 'Sep 25 01:59:59 1938');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 25 06:00:00 1938', 'Apr 30 06:59:59 1939', 'Sep 25 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 30 07:00:00 1939', 'Sep 24 05:59:59 1939', 'Apr 30 03:00:00 1939', 'Sep 24 01:59:59 1939');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 24 06:00:00 1939', 'Apr 28 06:59:59 1940', 'Sep 24 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 28 07:00:00 1940', 'Sep 29 05:59:59 1940', 'Apr 28 03:00:00 1940', 'Sep 29 01:59:59 1940');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 29 06:00:00 1940', 'Apr 27 06:59:59 1941', 'Sep 29 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 27 07:00:00 1941', 'Sep 28 05:59:59 1941', 'Apr 27 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 28 06:00:00 1941', 'Feb 9 06:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Feb 9 07:00:00 1942', 'Sep 30 05:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 28 06:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 28 07:00:00 1946', 'Sep 29 05:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 29 06:00:00 1946', 'Apr 27 06:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 27 07:00:00 1947', 'Sep 28 05:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 28 06:00:00 1947', 'Apr 25 06:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 25 07:00:00 1948', 'Sep 26 05:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 26 06:00:00 1948', 'Apr 24 06:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1949', 'Sep 25 05:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 25 06:00:00 1949', 'Apr 30 06:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 30 07:00:00 1950', 'Sep 24 05:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 24 06:00:00 1950', 'Apr 29 06:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 29 07:00:00 1951', 'Sep 30 05:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 30 06:00:00 1951', 'Apr 27 06:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 27 07:00:00 1952', 'Sep 28 05:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 28 06:00:00 1952', 'Apr 26 06:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 26 07:00:00 1953', 'Sep 27 05:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 27 06:00:00 1953', 'Apr 25 06:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 25 07:00:00 1954', 'Sep 26 05:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Sep 26 06:00:00 1954', 'Apr 24 06:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1955', 'Oct 30 05:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 1955', 'Apr 29 06:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 29 07:00:00 1956', 'Oct 28 05:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 1956', 'Apr 28 06:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 28 07:00:00 1957', 'Oct 27 05:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 1957', 'Apr 27 06:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 27 07:00:00 1958', 'Oct 26 05:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 1958', 'Apr 26 06:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 26 07:00:00 1959', 'Oct 25 05:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 1959', 'Apr 24 06:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1960', 'Oct 30 05:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 1960', 'Apr 30 06:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 30 07:00:00 1961', 'Oct 29 05:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 1961', 'Apr 29 06:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 29 07:00:00 1962', 'Oct 28 05:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 1962', 'Apr 28 06:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 28 07:00:00 1963', 'Oct 27 05:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 1963', 'Apr 26 06:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 26 07:00:00 1964', 'Oct 25 05:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 1964', 'Apr 25 06:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 25 07:00:00 1965', 'Oct 31 05:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 1965', 'Apr 24 06:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1966', 'Oct 30 05:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 1966', 'Apr 30 06:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 30 07:00:00 1967', 'Oct 29 05:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 1967', 'Apr 28 06:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 28 07:00:00 1968', 'Oct 27 05:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 1968', 'Apr 27 06:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Jan 6 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Jan 6 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Feb 23 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Feb 23 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/New_York', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/New_York', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Nipigon
--

begin
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Apr 14 06:59:59 1918', 'Dec 14 15:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 14 07:00:00 1918', 'Oct 31 05:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 1918', 'Feb 9 06:59:59 1942', 'Oct 31 01:00:00 1918', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Feb 9 07:00:00 1942', 'Sep 30 05:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 28 06:59:59 1974', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 28 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Apr 27 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 27 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Nipigon', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Nipigon', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Nome
--

begin
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Dec 14 20:45:52 1901', 'Feb 9 12:59:59 1942', 'Dec 14 09:45:52 1901', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Feb 9 13:00:00 1942', 'Sep 30 11:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Sep 30 12:00:00 1945', 'Apr 27 12:59:59 1969', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 27 13:00:00 1969', 'Oct 26 11:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 26 12:00:00 1969', 'Apr 26 12:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 26 13:00:00 1970', 'Oct 25 11:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 25 12:00:00 1970', 'Apr 25 12:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 25 13:00:00 1971', 'Oct 31 11:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 31 12:00:00 1971', 'Apr 30 12:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 30 13:00:00 1972', 'Oct 29 11:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 29 12:00:00 1972', 'Apr 29 12:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 29 13:00:00 1973', 'Oct 28 11:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 28 12:00:00 1973', 'Jan 6 12:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Jan 6 13:00:00 1974', 'Oct 27 11:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 27 12:00:00 1974', 'Feb 23 12:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Feb 23 13:00:00 1975', 'Oct 26 11:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 26 12:00:00 1975', 'Apr 25 12:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 25 13:00:00 1976', 'Oct 31 11:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 31 12:00:00 1976', 'Apr 24 12:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 24 13:00:00 1977', 'Oct 30 11:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 30 12:00:00 1977', 'Apr 30 12:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 30 13:00:00 1978', 'Oct 29 11:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 29 12:00:00 1978', 'Apr 29 12:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 29 13:00:00 1979', 'Oct 28 11:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 28 12:00:00 1979', 'Apr 27 12:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 27 13:00:00 1980', 'Oct 26 11:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 26 12:00:00 1980', 'Apr 26 12:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 26 13:00:00 1981', 'Oct 25 11:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 25 12:00:00 1981', 'Apr 25 12:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 25 13:00:00 1982', 'Oct 31 11:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Nome', 'AKST', 0, -39600, 'Oct 31 12:00:00 1982', 'Apr 24 12:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Nome', 'AKDT', 1, -36000, 'Apr 24 13:00:00 1983', 'Oct 30 11:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 30 12:00:00 1983', 'Apr 29 10:59:59 1984', 'Oct 30 03:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 29 11:00:00 1984', 'Oct 28 09:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 28 10:00:00 1984', 'Apr 28 10:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 28 11:00:00 1985', 'Oct 27 09:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 27 10:00:00 1985', 'Apr 27 10:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 27 11:00:00 1986', 'Oct 26 09:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 26 10:00:00 1986', 'Apr 5 10:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1987', 'Oct 25 09:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 25 10:00:00 1987', 'Apr 3 10:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1988', 'Oct 30 09:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 30 10:00:00 1988', 'Apr 2 10:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1989', 'Oct 29 09:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 29 10:00:00 1989', 'Apr 1 10:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 1 11:00:00 1990', 'Oct 28 09:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 28 10:00:00 1990', 'Apr 7 10:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1991', 'Oct 27 09:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 27 10:00:00 1991', 'Apr 5 10:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1992', 'Oct 25 09:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 25 10:00:00 1992', 'Apr 4 10:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1993', 'Oct 31 09:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 31 10:00:00 1993', 'Apr 3 10:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1994', 'Oct 30 09:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 30 10:00:00 1994', 'Apr 2 10:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1995', 'Oct 29 09:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 29 10:00:00 1995', 'Apr 7 10:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1996', 'Oct 27 09:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 27 10:00:00 1996', 'Apr 6 10:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 6 11:00:00 1997', 'Oct 26 09:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 26 10:00:00 1997', 'Apr 5 10:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1998', 'Oct 25 09:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 25 10:00:00 1998', 'Apr 4 10:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1999', 'Oct 31 09:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 31 10:00:00 1999', 'Apr 2 10:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2000', 'Oct 29 09:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 29 10:00:00 2000', 'Apr 1 10:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2001', 'Oct 28 09:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 28 10:00:00 2001', 'Apr 7 10:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2002', 'Oct 27 09:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 27 10:00:00 2002', 'Apr 6 10:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2003', 'Oct 26 09:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 26 10:00:00 2003', 'Apr 4 10:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2004', 'Oct 31 09:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 31 10:00:00 2004', 'Apr 3 10:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2005', 'Oct 30 09:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 30 10:00:00 2005', 'Apr 2 10:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2006', 'Oct 29 09:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 29 10:00:00 2006', 'Apr 1 10:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2007', 'Oct 28 09:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 28 10:00:00 2007', 'Apr 6 10:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2008', 'Oct 26 09:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 26 10:00:00 2008', 'Apr 5 10:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2009', 'Oct 25 09:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 25 10:00:00 2009', 'Apr 4 10:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2010', 'Oct 31 09:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 31 10:00:00 2010', 'Apr 3 10:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2011', 'Oct 30 09:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 30 10:00:00 2011', 'Apr 1 10:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2012', 'Oct 28 09:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 28 10:00:00 2012', 'Apr 7 10:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2013', 'Oct 27 09:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 27 10:00:00 2013', 'Apr 6 10:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2014', 'Oct 26 09:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 26 10:00:00 2014', 'Apr 5 10:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2015', 'Oct 25 09:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 25 10:00:00 2015', 'Apr 3 10:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2016', 'Oct 30 09:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 30 10:00:00 2016', 'Apr 2 10:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2017', 'Oct 29 09:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 29 10:00:00 2017', 'Apr 1 10:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2018', 'Oct 28 09:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 28 10:00:00 2018', 'Apr 7 10:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2019', 'Oct 27 09:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 27 10:00:00 2019', 'Apr 5 10:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2020', 'Oct 25 09:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 25 10:00:00 2020', 'Apr 4 10:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2021', 'Oct 31 09:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 31 10:00:00 2021', 'Apr 3 10:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2022', 'Oct 30 09:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 30 10:00:00 2022', 'Apr 2 10:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2023', 'Oct 29 09:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 29 10:00:00 2023', 'Apr 7 10:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2024', 'Oct 27 09:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 27 10:00:00 2024', 'Apr 6 10:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2025', 'Oct 26 09:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 26 10:00:00 2025', 'Apr 5 10:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2026', 'Oct 25 09:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 25 10:00:00 2026', 'Apr 4 10:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2027', 'Oct 31 09:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 31 10:00:00 2027', 'Apr 2 10:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2028', 'Oct 29 09:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 29 10:00:00 2028', 'Apr 1 10:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2029', 'Oct 28 09:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 28 10:00:00 2029', 'Apr 7 10:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2030', 'Oct 27 09:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 27 10:00:00 2030', 'Apr 6 10:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2031', 'Oct 26 09:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 26 10:00:00 2031', 'Apr 4 10:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2032', 'Oct 31 09:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 31 10:00:00 2032', 'Apr 3 10:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2033', 'Oct 30 09:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 30 10:00:00 2033', 'Apr 2 10:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2034', 'Oct 29 09:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 29 10:00:00 2034', 'Apr 1 10:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2035', 'Oct 28 09:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 28 10:00:00 2035', 'Apr 6 10:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2036', 'Oct 26 09:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 26 10:00:00 2036', 'Apr 5 10:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Nome', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2037', 'Oct 25 09:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Nome', 'AKST', 0, -32400, 'Oct 25 10:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 18:14:07 2038');
end;
/

--
-- America/Noronha
--

begin
timezone.add_rule('America/Noronha', 'FNT', 0, -7780, 'Dec 14 20:45:52 1901', 'Jan 1 02:09:39 1914', 'Dec 14 18:36:12 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Jan 1 02:09:40 1914', 'Oct 3 12:59:59 1931', 'Jan 1 00:09:40 1914', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Oct 3 13:00:00 1931', 'Apr 1 00:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Apr 1 01:00:00 1932', 'Oct 3 01:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Oct 3 02:00:00 1932', 'Apr 1 00:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Apr 1 01:00:00 1933', 'Dec 1 01:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1949', 'Apr 16 01:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Apr 16 02:00:00 1950', 'Dec 1 01:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1950', 'Apr 1 00:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Apr 1 01:00:00 1951', 'Dec 1 01:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1951', 'Apr 1 00:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Apr 1 01:00:00 1952', 'Dec 1 01:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1952', 'Mar 1 00:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1953', 'Dec 9 01:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Dec 9 02:00:00 1963', 'Mar 1 00:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1964', 'Jan 31 01:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Jan 31 02:00:00 1965', 'Mar 31 00:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Mar 31 01:00:00 1965', 'Dec 1 01:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1965', 'Mar 1 00:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1966', 'Nov 1 01:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Nov 1 02:00:00 1966', 'Mar 1 00:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1967', 'Nov 1 01:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Nov 1 02:00:00 1967', 'Mar 1 00:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1968', 'Nov 2 01:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Nov 2 02:00:00 1985', 'Mar 15 00:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Mar 15 01:00:00 1986', 'Oct 25 01:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Oct 25 02:00:00 1986', 'Feb 14 00:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Feb 14 01:00:00 1987', 'Oct 25 01:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Oct 25 02:00:00 1987', 'Feb 7 00:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Feb 7 01:00:00 1988', 'Oct 16 01:59:59 1988', 'Feb 6 23:00:00 1988', 'Oct 15 23:59:59 1988');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Oct 16 02:00:00 1988', 'Jan 29 00:59:59 1989', 'Oct 16 01:00:00 1988', 'Jan 28 23:59:59 1989');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Jan 29 01:00:00 1989', 'Oct 15 01:59:59 1989', 'Jan 28 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Noronha', 'FNST', 1, -3600, 'Oct 15 02:00:00 1989', 'Feb 11 00:59:59 1990', 'Oct 15 01:00:00 1989', 'Feb 10 23:59:59 1990');
timezone.add_rule('America/Noronha', 'FNT', 0, -7200, 'Feb 11 01:00:00 1990', 'Jan 18 03:14:07 2038', 'Feb 10 23:00:00 1990', 'Jan 18 01:14:07 2038');
end;
/

--
-- America/Panama
--

begin
timezone.add_rule('America/Panama', 'EST', 0, -19200, 'Dec 14 20:45:52 1901', 'Apr 22 05:19:59 1908', 'Dec 14 15:25:52 1901', 'Apr 21 23:59:59 1908');
timezone.add_rule('America/Panama', 'EST', 0, -18000, 'Apr 22 05:20:00 1908', 'Jan 18 03:14:07 2038', 'Apr 22 00:20:00 1908', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Pangnirtung
--

begin
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Dec 14 20:45:52 1901', 'Apr 14 05:59:59 1918', 'Dec 14 16:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 14 06:00:00 1918', 'Oct 27 04:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 27 05:00:00 1918', 'May 25 05:59:59 1919', 'Oct 27 01:00:00 1918', 'May 25 01:59:59 1919');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'May 25 06:00:00 1919', 'Nov 1 02:59:59 1919', 'May 25 03:00:00 1919', 'Oct 31 23:59:59 1919');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Nov 1 03:00:00 1919', 'Feb 9 05:59:59 1942', 'Oct 31 23:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Feb 9 06:00:00 1942', 'Sep 30 04:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Sep 30 05:00:00 1945', 'Apr 25 03:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 24 23:59:59 1965');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -7200, 'Apr 25 04:00:00 1965', 'Oct 31 03:59:59 1965', 'Apr 25 02:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 31 04:00:00 1965', 'Apr 27 05:59:59 1980', 'Oct 31 00:00:00 1965', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 27 06:00:00 1980', 'Oct 26 04:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 26 05:00:00 1980', 'Apr 26 05:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 26 06:00:00 1981', 'Oct 25 04:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 25 05:00:00 1981', 'Apr 25 05:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 25 06:00:00 1982', 'Oct 31 04:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 31 05:00:00 1982', 'Apr 24 05:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 24 06:00:00 1983', 'Oct 30 04:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 30 05:00:00 1983', 'Apr 29 05:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 29 06:00:00 1984', 'Oct 28 04:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 28 05:00:00 1984', 'Apr 28 05:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 28 06:00:00 1985', 'Oct 27 04:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 27 05:00:00 1985', 'Apr 27 05:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 27 06:00:00 1986', 'Oct 26 04:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 26 05:00:00 1986', 'Apr 5 05:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 5 06:00:00 1987', 'Oct 25 04:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 25 05:00:00 1987', 'Apr 3 05:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 3 06:00:00 1988', 'Oct 30 04:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 30 05:00:00 1988', 'Apr 2 05:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 2 06:00:00 1989', 'Oct 29 04:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 29 05:00:00 1989', 'Apr 1 05:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 1 06:00:00 1990', 'Oct 28 04:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 28 05:00:00 1990', 'Apr 7 05:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 7 06:00:00 1991', 'Oct 27 04:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 27 05:00:00 1991', 'Apr 5 05:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 5 06:00:00 1992', 'Oct 25 04:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 25 05:00:00 1992', 'Apr 4 05:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 4 06:00:00 1993', 'Oct 31 04:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 31 05:00:00 1993', 'Apr 3 05:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 3 06:00:00 1994', 'Oct 30 04:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 30 05:00:00 1994', 'Apr 2 05:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 2 06:00:00 1995', 'Oct 29 04:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 29 05:00:00 1995', 'Apr 7 05:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 7 06:00:00 1996', 'Oct 27 04:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 27 05:00:00 1996', 'Apr 6 05:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 6 06:00:00 1997', 'Oct 26 04:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 26 05:00:00 1997', 'Apr 5 05:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 5 06:00:00 1998', 'Oct 25 04:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 25 05:00:00 1998', 'Apr 4 05:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 4 06:00:00 1999', 'Oct 31 04:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 31 05:00:00 1999', 'Apr 2 05:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 2 06:00:00 2000', 'Oct 29 04:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 29 05:00:00 2000', 'Apr 1 05:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 1 06:00:00 2001', 'Oct 28 04:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 28 05:00:00 2001', 'Apr 7 05:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 7 06:00:00 2002', 'Oct 27 04:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 27 05:00:00 2002', 'Apr 6 05:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 6 06:00:00 2003', 'Oct 26 04:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 26 05:00:00 2003', 'Apr 4 05:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 4 06:00:00 2004', 'Oct 31 04:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 31 05:00:00 2004', 'Apr 3 05:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 3 06:00:00 2005', 'Oct 30 04:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 30 05:00:00 2005', 'Apr 2 05:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 2 06:00:00 2006', 'Oct 29 04:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 29 05:00:00 2006', 'Apr 1 05:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 1 06:00:00 2007', 'Oct 28 04:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 28 05:00:00 2007', 'Apr 6 05:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 6 06:00:00 2008', 'Oct 26 04:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 26 05:00:00 2008', 'Apr 5 05:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 5 06:00:00 2009', 'Oct 25 04:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 25 05:00:00 2009', 'Apr 4 05:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 4 06:00:00 2010', 'Oct 31 04:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 31 05:00:00 2010', 'Apr 3 05:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 3 06:00:00 2011', 'Oct 30 04:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 30 05:00:00 2011', 'Apr 1 05:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 1 06:00:00 2012', 'Oct 28 04:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 28 05:00:00 2012', 'Apr 7 05:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 7 06:00:00 2013', 'Oct 27 04:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 27 05:00:00 2013', 'Apr 6 05:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 6 06:00:00 2014', 'Oct 26 04:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 26 05:00:00 2014', 'Apr 5 05:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 5 06:00:00 2015', 'Oct 25 04:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 25 05:00:00 2015', 'Apr 3 05:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 3 06:00:00 2016', 'Oct 30 04:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 30 05:00:00 2016', 'Apr 2 05:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 2 06:00:00 2017', 'Oct 29 04:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 29 05:00:00 2017', 'Apr 1 05:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 1 06:00:00 2018', 'Oct 28 04:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 28 05:00:00 2018', 'Apr 7 05:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 7 06:00:00 2019', 'Oct 27 04:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 27 05:00:00 2019', 'Apr 5 05:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 5 06:00:00 2020', 'Oct 25 04:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 25 05:00:00 2020', 'Apr 4 05:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 4 06:00:00 2021', 'Oct 31 04:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 31 05:00:00 2021', 'Apr 3 05:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 3 06:00:00 2022', 'Oct 30 04:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 30 05:00:00 2022', 'Apr 2 05:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 2 06:00:00 2023', 'Oct 29 04:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 29 05:00:00 2023', 'Apr 7 05:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 7 06:00:00 2024', 'Oct 27 04:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 27 05:00:00 2024', 'Apr 6 05:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 6 06:00:00 2025', 'Oct 26 04:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 26 05:00:00 2025', 'Apr 5 05:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 5 06:00:00 2026', 'Oct 25 04:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 25 05:00:00 2026', 'Apr 4 05:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 4 06:00:00 2027', 'Oct 31 04:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 31 05:00:00 2027', 'Apr 2 05:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 2 06:00:00 2028', 'Oct 29 04:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 29 05:00:00 2028', 'Apr 1 05:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 1 06:00:00 2029', 'Oct 28 04:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 28 05:00:00 2029', 'Apr 7 05:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 7 06:00:00 2030', 'Oct 27 04:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 27 05:00:00 2030', 'Apr 6 05:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 6 06:00:00 2031', 'Oct 26 04:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 26 05:00:00 2031', 'Apr 4 05:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 4 06:00:00 2032', 'Oct 31 04:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 31 05:00:00 2032', 'Apr 3 05:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 3 06:00:00 2033', 'Oct 30 04:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 30 05:00:00 2033', 'Apr 2 05:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 2 06:00:00 2034', 'Oct 29 04:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 29 05:00:00 2034', 'Apr 1 05:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 1 06:00:00 2035', 'Oct 28 04:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 28 05:00:00 2035', 'Apr 6 05:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 6 06:00:00 2036', 'Oct 26 04:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 26 05:00:00 2036', 'Apr 5 05:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Pangnirtung', 'ADT', 1, -10800, 'Apr 5 06:00:00 2037', 'Oct 25 04:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Pangnirtung', 'AST', 0, -14400, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Paramaribo
--

begin
timezone.add_rule('America/Paramaribo', 'SRT', 0, -13240, 'Dec 14 20:45:52 1901', 'Jan 1 03:40:39 1911', 'Dec 14 17:05:12 1901', 'Dec 31 23:59:59 1910');
timezone.add_rule('America/Paramaribo', 'SRT', 0, -13252, 'Jan 1 03:40:40 1911', 'Jan 1 03:40:51 1935', 'Dec 31 23:59:48 1910', 'Dec 31 23:59:59 1934');
timezone.add_rule('America/Paramaribo', 'SRT', 0, -13236, 'Jan 1 03:40:52 1935', 'Oct 1 03:40:35 1945', 'Jan 1 00:00:16 1935', 'Sep 30 23:59:59 1945');
timezone.add_rule('America/Paramaribo', 'SRT', 0, -12600, 'Oct 1 03:40:36 1945', 'Oct 1 03:29:59 1984', 'Oct 1 00:10:36 1945', 'Sep 30 23:59:59 1984');
timezone.add_rule('America/Paramaribo', 'SRT', 0, -10800, 'Oct 1 03:30:00 1984', 'Jan 18 03:14:07 2038', 'Oct 1 00:30:00 1984', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Phoenix
--

begin
timezone.add_rule('America/Phoenix', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Mar 31 08:59:59 1918', 'Dec 14 13:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Phoenix', 'MDT', 1, -21600, 'Mar 31 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Phoenix', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'Mar 30 08:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Phoenix', 'MDT', 1, -21600, 'Mar 30 09:00:00 1919', 'Oct 26 07:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Phoenix', 'MST', 0, -25200, 'Oct 26 08:00:00 1919', 'Feb 9 08:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Phoenix', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Jan 1 06:00:59 1944', 'Feb 9 03:00:00 1942', 'Jan 1 00:00:59 1944');
timezone.add_rule('America/Phoenix', 'MST', 0, -25200, 'Jan 1 06:01:00 1944', 'Mar 17 07:00:59 1944', 'Dec 31 23:01:00 1943', 'Mar 17 00:00:59 1944');
timezone.add_rule('America/Phoenix', 'MDT', 1, -21600, 'Mar 17 07:01:00 1944', 'Oct 1 06:00:59 1944', 'Mar 17 01:01:00 1944', 'Oct 1 00:00:59 1944');
timezone.add_rule('America/Phoenix', 'MST', 0, -25200, 'Oct 1 06:01:00 1944', 'Apr 30 08:59:59 1967', 'Sep 30 23:01:00 1944', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Phoenix', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Phoenix', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Jan 18 03:14:07 2038', 'Oct 29 01:00:00 1967', 'Jan 17 20:14:07 2038');
end;
/

--
-- America/Port-au-Prince
--

begin
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -17340, 'Dec 14 20:45:52 1901', 'Jan 24 16:48:59 1917', 'Dec 14 15:56:52 1901', 'Jan 24 11:59:59 1917');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Jan 24 16:49:00 1917', 'May 8 04:59:59 1983', 'Jan 24 11:49:00 1917', 'May 7 23:59:59 1983');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'May 8 05:00:00 1983', 'Oct 30 03:59:59 1983', 'May 8 01:00:00 1983', 'Oct 29 23:59:59 1983');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 30 04:00:00 1983', 'Apr 29 04:59:59 1984', 'Oct 29 23:00:00 1983', 'Apr 28 23:59:59 1984');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 29 05:00:00 1984', 'Oct 28 03:59:59 1984', 'Apr 29 01:00:00 1984', 'Oct 27 23:59:59 1984');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 28 04:00:00 1984', 'Apr 28 04:59:59 1985', 'Oct 27 23:00:00 1984', 'Apr 27 23:59:59 1985');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 28 05:00:00 1985', 'Oct 27 03:59:59 1985', 'Apr 28 01:00:00 1985', 'Oct 26 23:59:59 1985');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 27 04:00:00 1985', 'Apr 27 04:59:59 1986', 'Oct 26 23:00:00 1985', 'Apr 26 23:59:59 1986');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 27 05:00:00 1986', 'Oct 26 03:59:59 1986', 'Apr 27 01:00:00 1986', 'Oct 25 23:59:59 1986');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 26 04:00:00 1986', 'Apr 26 04:59:59 1987', 'Oct 25 23:00:00 1986', 'Apr 25 23:59:59 1987');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 26 05:00:00 1987', 'Oct 25 03:59:59 1987', 'Apr 26 01:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 25 04:00:00 1987', 'Apr 3 05:59:59 1988', 'Oct 24 23:00:00 1987', 'Apr 3 00:59:59 1988');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 3 06:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 05:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 00:59:59 1989');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 2 06:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 05:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 00:59:59 1990');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 1 06:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 05:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 00:59:59 1991');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 7 06:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 05:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 00:59:59 1992');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 5 06:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 05:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 00:59:59 1993');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 4 06:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 05:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 00:59:59 1994');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 3 06:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 05:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 00:59:59 1995');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 2 06:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 05:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 00:59:59 1996');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 7 06:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 05:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 00:59:59 1997');
timezone.add_rule('America/Port-au-Prince', 'EDT', 1, -14400, 'Apr 6 06:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Port-au-Prince', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Jan 18 03:14:07 2038', 'Oct 26 01:00:00 1997', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Port_of_Spain
--

begin
timezone.add_rule('America/Port_of_Spain', 'AST', 0, -14764, 'Dec 14 20:45:52 1901', 'Mar 2 04:06:03 1912', 'Dec 14 16:39:48 1901', 'Mar 1 23:59:59 1912');
timezone.add_rule('America/Port_of_Spain', 'AST', 0, -14400, 'Mar 2 04:06:04 1912', 'Jan 18 03:14:07 2038', 'Mar 2 00:06:04 1912', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Porto_Acre
--

begin
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -16272, 'Dec 14 20:45:52 1901', 'Jan 1 04:31:11 1914', 'Dec 14 16:14:40 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Jan 1 04:31:12 1914', 'Oct 3 15:59:59 1931', 'Dec 31 23:31:12 1913', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Oct 3 16:00:00 1931', 'Apr 1 03:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Apr 1 04:00:00 1932', 'Oct 3 04:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Oct 3 05:00:00 1932', 'Apr 1 03:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Apr 1 04:00:00 1933', 'Dec 1 04:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1949', 'Apr 16 04:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Apr 16 05:00:00 1950', 'Dec 1 04:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1950', 'Apr 1 03:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Apr 1 04:00:00 1951', 'Dec 1 04:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1951', 'Apr 1 03:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Apr 1 04:00:00 1952', 'Dec 1 04:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1952', 'Mar 1 03:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1953', 'Dec 9 04:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Dec 9 05:00:00 1963', 'Mar 1 03:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1964', 'Jan 31 04:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Jan 31 05:00:00 1965', 'Mar 31 03:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Mar 31 04:00:00 1965', 'Dec 1 04:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1965', 'Mar 1 03:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1966', 'Nov 1 04:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Nov 1 05:00:00 1966', 'Mar 1 03:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1967', 'Nov 1 04:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Nov 1 05:00:00 1967', 'Mar 1 03:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1968', 'Nov 2 04:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Nov 2 05:00:00 1985', 'Mar 15 03:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Mar 15 04:00:00 1986', 'Oct 25 04:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Oct 25 05:00:00 1986', 'Feb 14 03:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Feb 14 04:00:00 1987', 'Oct 25 04:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Porto_Acre', 'ACST', 1, -14400, 'Oct 25 05:00:00 1987', 'Feb 7 03:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Porto_Acre', 'ACT', 0, -18000, 'Feb 7 04:00:00 1988', 'Jan 18 03:14:07 2038', 'Feb 6 23:00:00 1988', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Porto_Velho
--

begin
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -15336, 'Dec 14 20:45:52 1901', 'Jan 1 04:15:35 1914', 'Dec 14 16:30:16 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Jan 1 04:15:36 1914', 'Oct 3 14:59:59 1931', 'Jan 1 00:15:36 1914', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Oct 3 15:00:00 1931', 'Apr 1 02:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Apr 1 03:00:00 1932', 'Oct 3 03:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Oct 3 04:00:00 1932', 'Apr 1 02:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Apr 1 03:00:00 1933', 'Dec 1 03:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Dec 1 04:00:00 1949', 'Apr 16 03:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Apr 16 04:00:00 1950', 'Dec 1 03:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Dec 1 04:00:00 1950', 'Apr 1 02:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Apr 1 03:00:00 1951', 'Dec 1 03:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Dec 1 04:00:00 1951', 'Apr 1 02:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Apr 1 03:00:00 1952', 'Dec 1 03:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Dec 1 04:00:00 1952', 'Mar 1 02:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Mar 1 03:00:00 1953', 'Dec 9 03:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Dec 9 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Mar 1 03:00:00 1964', 'Jan 31 03:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Jan 31 04:00:00 1965', 'Mar 31 02:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Mar 31 03:00:00 1965', 'Dec 1 03:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Dec 1 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Mar 1 03:00:00 1966', 'Nov 1 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Nov 1 04:00:00 1966', 'Mar 1 02:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Mar 1 03:00:00 1967', 'Nov 1 03:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Nov 1 04:00:00 1967', 'Mar 1 02:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Mar 1 03:00:00 1968', 'Nov 2 03:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Nov 2 04:00:00 1985', 'Mar 15 02:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Mar 15 03:00:00 1986', 'Oct 25 03:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Oct 25 04:00:00 1986', 'Feb 14 02:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Feb 14 03:00:00 1987', 'Oct 25 03:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Porto_Velho', 'AMST', 1, -10800, 'Oct 25 04:00:00 1987', 'Feb 7 02:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Porto_Velho', 'AMT', 0, -14400, 'Feb 7 03:00:00 1988', 'Jan 18 03:14:07 2038', 'Feb 6 23:00:00 1988', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Puerto_Rico
--

begin
timezone.add_rule('America/Puerto_Rico', 'AST', 0, -14400, 'Dec 14 20:45:52 1901', 'May 3 03:59:59 1942', 'Dec 14 16:45:52 1901', 'May 2 23:59:59 1942');
timezone.add_rule('America/Puerto_Rico', 'AWT', 1, -10800, 'May 3 04:00:00 1942', 'Sep 30 04:59:59 1945', 'May 3 01:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Puerto_Rico', 'AST', 0, -14400, 'Sep 30 05:00:00 1945', 'Jan 18 03:14:07 2038', 'Sep 30 01:00:00 1945', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Rainy_River
--

begin
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Apr 14 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 14 08:00:00 1918', 'Oct 31 06:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 1918', 'Feb 9 07:59:59 1942', 'Oct 31 01:00:00 1918', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1974', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 28 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 27 07:00:00 1974', 'Apr 27 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 27 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 27 07:00:00 1991', 'Apr 5 07:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 5 08:00:00 1992', 'Oct 25 06:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 25 07:00:00 1992', 'Apr 4 07:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 4 08:00:00 1993', 'Oct 31 06:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 1993', 'Apr 3 07:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 3 08:00:00 1994', 'Oct 30 06:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 30 07:00:00 1994', 'Apr 2 07:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 2 08:00:00 1995', 'Oct 29 06:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 29 07:00:00 1995', 'Apr 7 07:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Rainy_River', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Rainy_River', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Rankin_Inlet
--

begin
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Apr 14 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 14 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 27 07:00:00 1918', 'May 25 07:59:59 1919', 'Oct 27 01:00:00 1918', 'May 25 01:59:59 1919');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'May 25 08:00:00 1919', 'Nov 1 04:59:59 1919', 'May 25 03:00:00 1919', 'Oct 31 23:59:59 1919');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Nov 1 05:00:00 1919', 'Feb 9 07:59:59 1942', 'Oct 31 23:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 25 05:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 24 23:59:59 1965');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -14400, 'Apr 25 06:00:00 1965', 'Oct 31 05:59:59 1965', 'Apr 25 02:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 31 06:00:00 1965', 'Apr 27 07:59:59 1980', 'Oct 31 00:00:00 1965', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 27 07:00:00 1991', 'Apr 5 07:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 5 08:00:00 1992', 'Oct 25 06:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 25 07:00:00 1992', 'Apr 4 07:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 4 08:00:00 1993', 'Oct 31 06:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 31 07:00:00 1993', 'Apr 3 07:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 3 08:00:00 1994', 'Oct 30 06:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 30 07:00:00 1994', 'Apr 2 07:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 2 08:00:00 1995', 'Oct 29 06:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 29 07:00:00 1995', 'Apr 7 07:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Rankin_Inlet', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Rankin_Inlet', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Regina
--

begin
timezone.add_rule('America/Regina', 'CST', 0, -25116, 'Dec 14 20:45:52 1901', 'Sep 1 06:58:35 1905', 'Dec 14 13:47:16 1901', 'Aug 31 23:59:59 1905');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 1 06:58:36 1905', 'Apr 14 08:59:59 1918', 'Aug 31 23:58:36 1905', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 14 09:00:00 1918', 'Oct 31 07:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 31 08:00:00 1918', 'May 4 06:59:59 1930', 'Oct 31 01:00:00 1918', 'May 3 23:59:59 1930');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'May 4 07:00:00 1930', 'Oct 5 05:59:59 1930', 'May 4 01:00:00 1930', 'Oct 4 23:59:59 1930');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 5 06:00:00 1930', 'May 3 06:59:59 1931', 'Oct 4 23:00:00 1930', 'May 2 23:59:59 1931');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'May 3 07:00:00 1931', 'Oct 4 05:59:59 1931', 'May 3 01:00:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 4 06:00:00 1931', 'May 1 06:59:59 1932', 'Oct 3 23:00:00 1931', 'Apr 30 23:59:59 1932');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'May 1 07:00:00 1932', 'Oct 2 05:59:59 1932', 'May 1 01:00:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 2 06:00:00 1932', 'May 7 06:59:59 1933', 'Oct 1 23:00:00 1932', 'May 6 23:59:59 1933');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'May 7 07:00:00 1933', 'Oct 1 05:59:59 1933', 'May 7 01:00:00 1933', 'Sep 30 23:59:59 1933');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 1 06:00:00 1933', 'May 6 06:59:59 1934', 'Sep 30 23:00:00 1933', 'May 5 23:59:59 1934');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'May 6 07:00:00 1934', 'Oct 7 05:59:59 1934', 'May 6 01:00:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 7 06:00:00 1934', 'Apr 11 06:59:59 1937', 'Oct 6 23:00:00 1934', 'Apr 10 23:59:59 1937');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 11 07:00:00 1937', 'Oct 10 05:59:59 1937', 'Apr 11 01:00:00 1937', 'Oct 9 23:59:59 1937');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 10 06:00:00 1937', 'Apr 10 06:59:59 1938', 'Oct 9 23:00:00 1937', 'Apr 9 23:59:59 1938');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 10 07:00:00 1938', 'Oct 2 05:59:59 1938', 'Apr 10 01:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 2 06:00:00 1938', 'Apr 9 06:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 8 23:59:59 1939');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 9 07:00:00 1939', 'Oct 8 05:59:59 1939', 'Apr 9 01:00:00 1939', 'Oct 7 23:59:59 1939');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 8 06:00:00 1939', 'Apr 14 06:59:59 1940', 'Oct 7 23:00:00 1939', 'Apr 13 23:59:59 1940');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 14 07:00:00 1940', 'Oct 13 05:59:59 1940', 'Apr 14 01:00:00 1940', 'Oct 12 23:59:59 1940');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 13 06:00:00 1940', 'Apr 13 06:59:59 1941', 'Oct 12 23:00:00 1940', 'Apr 12 23:59:59 1941');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 13 07:00:00 1941', 'Oct 12 05:59:59 1941', 'Apr 13 01:00:00 1941', 'Oct 11 23:59:59 1941');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 12 06:00:00 1941', 'Feb 9 08:59:59 1942', 'Oct 11 23:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 14 08:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 14 01:59:59 1946');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 14 09:00:00 1946', 'Oct 13 07:59:59 1946', 'Apr 14 03:00:00 1946', 'Oct 13 01:59:59 1946');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 13 08:00:00 1946', 'Apr 27 08:59:59 1947', 'Oct 13 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 27 09:00:00 1947', 'Sep 28 07:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 28 08:00:00 1947', 'Apr 25 08:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 25 09:00:00 1948', 'Sep 26 07:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 26 08:00:00 1948', 'Apr 24 08:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 24 09:00:00 1949', 'Sep 25 07:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 25 08:00:00 1949', 'Apr 30 08:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 30 09:00:00 1950', 'Sep 24 07:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 24 08:00:00 1950', 'Apr 29 08:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 29 09:00:00 1951', 'Sep 30 07:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 30 08:00:00 1951', 'Apr 27 08:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 27 09:00:00 1952', 'Sep 28 07:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 28 08:00:00 1952', 'Apr 26 08:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 26 09:00:00 1953', 'Sep 27 07:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 27 08:00:00 1953', 'Apr 25 08:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 25 09:00:00 1954', 'Sep 26 07:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 26 08:00:00 1954', 'Apr 24 08:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 24 09:00:00 1955', 'Sep 25 07:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 25 08:00:00 1955', 'Apr 29 08:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 29 09:00:00 1956', 'Sep 30 07:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 30 08:00:00 1956', 'Apr 28 08:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 28 09:00:00 1957', 'Sep 29 07:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 29 08:00:00 1957', 'Apr 27 08:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 27 09:00:00 1958', 'Sep 28 07:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Sep 28 08:00:00 1958', 'Apr 26 08:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Regina', 'MDT', 1, -21600, 'Apr 26 09:00:00 1959', 'Oct 25 07:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('America/Regina', 'CST', 0, -25200, 'Oct 25 08:00:00 1959', 'Apr 24 08:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Regina', 'CST', 0, -21600, 'Apr 24 09:00:00 1960', 'Jan 18 03:14:07 2038', 'Apr 24 03:00:00 1960', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Rosario
--

begin
timezone.add_rule('America/Rosario', 'ART', 0, -15404, 'Dec 14 20:45:52 1901', 'May 1 04:16:43 1920', 'Dec 14 16:29:08 1901', 'Apr 30 23:59:59 1920');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'May 1 04:16:44 1920', 'Dec 1 03:59:59 1930', 'May 1 00:16:44 1920', 'Nov 30 23:59:59 1930');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Dec 1 04:00:00 1930', 'Apr 1 02:59:59 1931', 'Dec 1 01:00:00 1930', 'Mar 31 23:59:59 1931');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Apr 1 03:00:00 1931', 'Oct 15 03:59:59 1931', 'Mar 31 23:00:00 1931', 'Oct 14 23:59:59 1931');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Oct 15 04:00:00 1931', 'Mar 1 02:59:59 1932', 'Oct 15 01:00:00 1931', 'Feb 29 23:59:59 1932');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1932', 'Nov 1 03:59:59 1932', 'Feb 29 23:00:00 1932', 'Oct 31 23:59:59 1932');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Nov 1 04:00:00 1932', 'Mar 1 02:59:59 1933', 'Nov 1 01:00:00 1932', 'Feb 28 23:59:59 1933');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1933', 'Nov 1 03:59:59 1933', 'Feb 28 23:00:00 1933', 'Oct 31 23:59:59 1933');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Nov 1 04:00:00 1933', 'Mar 1 02:59:59 1934', 'Nov 1 01:00:00 1933', 'Feb 28 23:59:59 1934');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1934', 'Nov 1 03:59:59 1934', 'Feb 28 23:00:00 1934', 'Oct 31 23:59:59 1934');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Nov 1 04:00:00 1934', 'Mar 1 02:59:59 1935', 'Nov 1 01:00:00 1934', 'Feb 28 23:59:59 1935');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1935', 'Nov 1 03:59:59 1935', 'Feb 28 23:00:00 1935', 'Oct 31 23:59:59 1935');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Nov 1 04:00:00 1935', 'Mar 1 02:59:59 1936', 'Nov 1 01:00:00 1935', 'Feb 29 23:59:59 1936');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1936', 'Nov 1 03:59:59 1936', 'Feb 29 23:00:00 1936', 'Oct 31 23:59:59 1936');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Nov 1 04:00:00 1936', 'Mar 1 02:59:59 1937', 'Nov 1 01:00:00 1936', 'Feb 28 23:59:59 1937');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1937', 'Nov 1 03:59:59 1937', 'Feb 28 23:00:00 1937', 'Oct 31 23:59:59 1937');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Nov 1 04:00:00 1937', 'Mar 1 02:59:59 1938', 'Nov 1 01:00:00 1937', 'Feb 28 23:59:59 1938');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1938', 'Nov 1 03:59:59 1938', 'Feb 28 23:00:00 1938', 'Oct 31 23:59:59 1938');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Nov 1 04:00:00 1938', 'Mar 1 02:59:59 1939', 'Nov 1 01:00:00 1938', 'Feb 28 23:59:59 1939');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1939', 'Nov 1 03:59:59 1939', 'Feb 28 23:00:00 1939', 'Oct 31 23:59:59 1939');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Nov 1 04:00:00 1939', 'Mar 1 02:59:59 1940', 'Nov 1 01:00:00 1939', 'Feb 29 23:59:59 1940');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1940', 'Jul 1 03:59:59 1940', 'Feb 29 23:00:00 1940', 'Jun 30 23:59:59 1940');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Jul 1 04:00:00 1940', 'Jun 15 02:59:59 1941', 'Jul 1 01:00:00 1940', 'Jun 14 23:59:59 1941');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Jun 15 03:00:00 1941', 'Oct 15 03:59:59 1941', 'Jun 14 23:00:00 1941', 'Oct 14 23:59:59 1941');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Oct 15 04:00:00 1941', 'Aug 1 02:59:59 1943', 'Oct 15 01:00:00 1941', 'Jul 31 23:59:59 1943');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Aug 1 03:00:00 1943', 'Oct 15 03:59:59 1943', 'Jul 31 23:00:00 1943', 'Oct 14 23:59:59 1943');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Oct 15 04:00:00 1943', 'Mar 1 02:59:59 1946', 'Oct 15 01:00:00 1943', 'Feb 28 23:59:59 1946');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1946', 'Oct 1 03:59:59 1946', 'Feb 28 23:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Oct 1 04:00:00 1946', 'Oct 1 02:59:59 1963', 'Oct 1 01:00:00 1946', 'Sep 30 23:59:59 1963');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Oct 1 03:00:00 1963', 'Dec 15 03:59:59 1963', 'Sep 30 23:00:00 1963', 'Dec 14 23:59:59 1963');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Dec 15 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 15 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1964', 'Oct 15 03:59:59 1964', 'Feb 29 23:00:00 1964', 'Oct 14 23:59:59 1964');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Oct 15 04:00:00 1964', 'Mar 1 02:59:59 1965', 'Oct 15 01:00:00 1964', 'Feb 28 23:59:59 1965');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1965', 'Oct 15 03:59:59 1965', 'Feb 28 23:00:00 1965', 'Oct 14 23:59:59 1965');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Oct 15 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Oct 15 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Mar 1 03:00:00 1966', 'Oct 15 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 14 23:59:59 1966');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Oct 15 04:00:00 1966', 'Apr 1 02:59:59 1967', 'Oct 15 01:00:00 1966', 'Mar 31 23:59:59 1967');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Apr 1 03:00:00 1967', 'Oct 1 03:59:59 1967', 'Mar 31 23:00:00 1967', 'Sep 30 23:59:59 1967');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Oct 1 04:00:00 1967', 'Apr 7 02:59:59 1968', 'Oct 1 01:00:00 1967', 'Apr 6 23:59:59 1968');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Apr 7 03:00:00 1968', 'Oct 6 03:59:59 1968', 'Apr 6 23:00:00 1968', 'Oct 5 23:59:59 1968');
timezone.add_rule('America/Rosario', 'ARST', 1, -10800, 'Oct 6 04:00:00 1968', 'Apr 6 02:59:59 1969', 'Oct 6 01:00:00 1968', 'Apr 5 23:59:59 1969');
timezone.add_rule('America/Rosario', 'ART', 0, -14400, 'Apr 6 03:00:00 1969', 'Oct 5 03:59:59 1969', 'Apr 5 23:00:00 1969', 'Oct 4 23:59:59 1969');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Oct 5 04:00:00 1969', 'Jan 23 02:59:59 1974', 'Oct 5 01:00:00 1969', 'Jan 22 23:59:59 1974');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Jan 23 03:00:00 1974', 'May 1 01:59:59 1974', 'Jan 23 01:00:00 1974', 'Apr 30 23:59:59 1974');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'May 1 02:00:00 1974', 'Oct 6 02:59:59 1974', 'Apr 30 23:00:00 1974', 'Oct 5 23:59:59 1974');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Oct 6 03:00:00 1974', 'Apr 6 01:59:59 1975', 'Oct 6 01:00:00 1974', 'Apr 5 23:59:59 1975');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Apr 6 02:00:00 1975', 'Oct 5 02:59:59 1975', 'Apr 5 23:00:00 1975', 'Oct 4 23:59:59 1975');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Oct 5 03:00:00 1975', 'Apr 4 01:59:59 1976', 'Oct 5 01:00:00 1975', 'Apr 3 23:59:59 1976');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Apr 4 02:00:00 1976', 'Oct 3 02:59:59 1976', 'Apr 3 23:00:00 1976', 'Oct 2 23:59:59 1976');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Oct 3 03:00:00 1976', 'Apr 3 01:59:59 1977', 'Oct 3 01:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Apr 3 02:00:00 1977', 'Nov 2 02:59:59 1985', 'Apr 2 23:00:00 1977', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 14 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 13 23:59:59 1986');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Mar 14 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 13 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 13 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 12 23:59:59 1987');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Feb 13 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 12 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Feb 7 02:00:00 1988', 'Dec 1 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Nov 30 23:59:59 1988');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Dec 1 03:00:00 1988', 'Mar 5 01:59:59 1989', 'Dec 1 01:00:00 1988', 'Mar 4 23:59:59 1989');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Mar 5 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Mar 4 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Oct 15 03:00:00 1989', 'Mar 4 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 3 23:59:59 1990');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Mar 4 02:00:00 1990', 'Oct 21 02:59:59 1990', 'Mar 3 23:00:00 1990', 'Oct 20 23:59:59 1990');
timezone.add_rule('America/Rosario', 'ARST', 1, -7200, 'Oct 21 03:00:00 1990', 'Mar 3 01:59:59 1991', 'Oct 21 01:00:00 1990', 'Mar 2 23:59:59 1991');
timezone.add_rule('America/Rosario', 'ART', 0, -10800, 'Mar 3 02:00:00 1991', 'Jan 18 03:14:07 2038', 'Mar 2 23:00:00 1991', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Santiago
--

begin
timezone.add_rule('America/Santiago', 'CLT', 0, -16960, 'Dec 14 20:45:52 1901', 'Jan 1 04:42:39 1910', 'Dec 14 16:03:12 1901', 'Dec 31 23:59:59 1909');
timezone.add_rule('America/Santiago', 'CLT', 0, -18000, 'Jan 1 04:42:40 1910', 'Sep 1 04:59:59 1918', 'Dec 31 23:42:40 1909', 'Aug 31 23:59:59 1918');
timezone.add_rule('America/Santiago', 'CLST', 1, -14400, 'Sep 1 05:00:00 1918', 'Jul 2 03:59:59 1919', 'Sep 1 01:00:00 1918', 'Jul 1 23:59:59 1919');
timezone.add_rule('America/Santiago', 'CLT', 0, -18000, 'Jul 2 04:00:00 1919', 'Sep 1 04:59:59 1927', 'Jul 1 23:00:00 1919', 'Aug 31 23:59:59 1927');
timezone.add_rule('America/Santiago', 'CLST', 1, -14400, 'Sep 1 05:00:00 1927', 'Apr 1 03:59:59 1928', 'Sep 1 01:00:00 1927', 'Mar 31 23:59:59 1928');
timezone.add_rule('America/Santiago', 'CLT', 0, -18000, 'Apr 1 04:00:00 1928', 'Sep 1 04:59:59 1928', 'Mar 31 23:00:00 1928', 'Aug 31 23:59:59 1928');
timezone.add_rule('America/Santiago', 'CLST', 1, -14400, 'Sep 1 05:00:00 1928', 'Apr 1 03:59:59 1929', 'Sep 1 01:00:00 1928', 'Mar 31 23:59:59 1929');
timezone.add_rule('America/Santiago', 'CLT', 0, -18000, 'Apr 1 04:00:00 1929', 'Sep 1 04:59:59 1929', 'Mar 31 23:00:00 1929', 'Aug 31 23:59:59 1929');
timezone.add_rule('America/Santiago', 'CLST', 1, -14400, 'Sep 1 05:00:00 1929', 'Apr 1 03:59:59 1930', 'Sep 1 01:00:00 1929', 'Mar 31 23:59:59 1930');
timezone.add_rule('America/Santiago', 'CLT', 0, -18000, 'Apr 1 04:00:00 1930', 'Sep 1 04:59:59 1930', 'Mar 31 23:00:00 1930', 'Aug 31 23:59:59 1930');
timezone.add_rule('America/Santiago', 'CLST', 1, -14400, 'Sep 1 05:00:00 1930', 'Apr 1 03:59:59 1931', 'Sep 1 01:00:00 1930', 'Mar 31 23:59:59 1931');
timezone.add_rule('America/Santiago', 'CLT', 0, -18000, 'Apr 1 04:00:00 1931', 'Sep 1 04:59:59 1931', 'Mar 31 23:00:00 1931', 'Aug 31 23:59:59 1931');
timezone.add_rule('America/Santiago', 'CLST', 1, -14400, 'Sep 1 05:00:00 1931', 'Apr 1 03:59:59 1932', 'Sep 1 01:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Santiago', 'CLT', 0, -18000, 'Apr 1 04:00:00 1932', 'Sep 1 04:59:59 1932', 'Mar 31 23:00:00 1932', 'Aug 31 23:59:59 1932');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Sep 1 05:00:00 1932', 'Oct 12 03:59:59 1969', 'Sep 1 01:00:00 1932', 'Oct 11 23:59:59 1969');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 1969', 'Mar 15 02:59:59 1970', 'Oct 12 01:00:00 1969', 'Mar 14 23:59:59 1970');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 1970', 'Oct 11 03:59:59 1970', 'Mar 14 23:00:00 1970', 'Oct 10 23:59:59 1970');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 11 04:00:00 1970', 'Mar 14 02:59:59 1971', 'Oct 11 01:00:00 1970', 'Mar 13 23:59:59 1971');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 14 03:00:00 1971', 'Oct 10 03:59:59 1971', 'Mar 13 23:00:00 1971', 'Oct 9 23:59:59 1971');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 1971', 'Mar 12 02:59:59 1972', 'Oct 10 01:00:00 1971', 'Mar 11 23:59:59 1972');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 1972', 'Oct 15 03:59:59 1972', 'Mar 11 23:00:00 1972', 'Oct 14 23:59:59 1972');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 1972', 'Mar 11 02:59:59 1973', 'Oct 15 01:00:00 1972', 'Mar 10 23:59:59 1973');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 1973', 'Oct 14 03:59:59 1973', 'Mar 10 23:00:00 1973', 'Oct 13 23:59:59 1973');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 1973', 'Mar 10 02:59:59 1974', 'Oct 14 01:00:00 1973', 'Mar 9 23:59:59 1974');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 10 03:00:00 1974', 'Oct 13 03:59:59 1974', 'Mar 9 23:00:00 1974', 'Oct 12 23:59:59 1974');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 13 04:00:00 1974', 'Mar 9 02:59:59 1975', 'Oct 13 01:00:00 1974', 'Mar 8 23:59:59 1975');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 1975', 'Oct 12 03:59:59 1975', 'Mar 8 23:00:00 1975', 'Oct 11 23:59:59 1975');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 1975', 'Mar 14 02:59:59 1976', 'Oct 12 01:00:00 1975', 'Mar 13 23:59:59 1976');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 14 03:00:00 1976', 'Oct 10 03:59:59 1976', 'Mar 13 23:00:00 1976', 'Oct 9 23:59:59 1976');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 1976', 'Mar 13 02:59:59 1977', 'Oct 10 01:00:00 1976', 'Mar 12 23:59:59 1977');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 13 03:00:00 1977', 'Oct 9 03:59:59 1977', 'Mar 12 23:00:00 1977', 'Oct 8 23:59:59 1977');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 9 04:00:00 1977', 'Mar 12 02:59:59 1978', 'Oct 9 01:00:00 1977', 'Mar 11 23:59:59 1978');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 1978', 'Oct 15 03:59:59 1978', 'Mar 11 23:00:00 1978', 'Oct 14 23:59:59 1978');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 1978', 'Mar 11 02:59:59 1979', 'Oct 15 01:00:00 1978', 'Mar 10 23:59:59 1979');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 1979', 'Oct 14 03:59:59 1979', 'Mar 10 23:00:00 1979', 'Oct 13 23:59:59 1979');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 1979', 'Mar 9 02:59:59 1980', 'Oct 14 01:00:00 1979', 'Mar 8 23:59:59 1980');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 1980', 'Oct 12 03:59:59 1980', 'Mar 8 23:00:00 1980', 'Oct 11 23:59:59 1980');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 1980', 'Mar 15 02:59:59 1981', 'Oct 12 01:00:00 1980', 'Mar 14 23:59:59 1981');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 1981', 'Oct 11 03:59:59 1981', 'Mar 14 23:00:00 1981', 'Oct 10 23:59:59 1981');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 11 04:00:00 1981', 'Mar 14 02:59:59 1982', 'Oct 11 01:00:00 1981', 'Mar 13 23:59:59 1982');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 14 03:00:00 1982', 'Oct 10 03:59:59 1982', 'Mar 13 23:00:00 1982', 'Oct 9 23:59:59 1982');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 1982', 'Mar 13 02:59:59 1983', 'Oct 10 01:00:00 1982', 'Mar 12 23:59:59 1983');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 13 03:00:00 1983', 'Oct 9 03:59:59 1983', 'Mar 12 23:00:00 1983', 'Oct 8 23:59:59 1983');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 9 04:00:00 1983', 'Mar 11 02:59:59 1984', 'Oct 9 01:00:00 1983', 'Mar 10 23:59:59 1984');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 1984', 'Oct 14 03:59:59 1984', 'Mar 10 23:00:00 1984', 'Oct 13 23:59:59 1984');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 1984', 'Mar 10 02:59:59 1985', 'Oct 14 01:00:00 1984', 'Mar 9 23:59:59 1985');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 10 03:00:00 1985', 'Oct 13 03:59:59 1985', 'Mar 9 23:00:00 1985', 'Oct 12 23:59:59 1985');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 13 04:00:00 1985', 'Mar 9 02:59:59 1986', 'Oct 13 01:00:00 1985', 'Mar 8 23:59:59 1986');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 1986', 'Oct 12 03:59:59 1986', 'Mar 8 23:00:00 1986', 'Oct 11 23:59:59 1986');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 1986', 'Mar 15 02:59:59 1987', 'Oct 12 01:00:00 1986', 'Mar 14 23:59:59 1987');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 1987', 'Oct 11 03:59:59 1987', 'Mar 14 23:00:00 1987', 'Oct 10 23:59:59 1987');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 11 04:00:00 1987', 'Mar 13 02:59:59 1988', 'Oct 11 01:00:00 1987', 'Mar 12 23:59:59 1988');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 13 03:00:00 1988', 'Oct 9 03:59:59 1988', 'Mar 12 23:00:00 1988', 'Oct 8 23:59:59 1988');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 9 04:00:00 1988', 'Mar 12 02:59:59 1989', 'Oct 9 01:00:00 1988', 'Mar 11 23:59:59 1989');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 1989', 'Oct 15 03:59:59 1989', 'Mar 11 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 1989', 'Mar 11 02:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 10 23:59:59 1990');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 1990', 'Oct 14 03:59:59 1990', 'Mar 10 23:00:00 1990', 'Oct 13 23:59:59 1990');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 1990', 'Mar 10 02:59:59 1991', 'Oct 14 01:00:00 1990', 'Mar 9 23:59:59 1991');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 10 03:00:00 1991', 'Oct 13 03:59:59 1991', 'Mar 9 23:00:00 1991', 'Oct 12 23:59:59 1991');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 13 04:00:00 1991', 'Mar 15 02:59:59 1992', 'Oct 13 01:00:00 1991', 'Mar 14 23:59:59 1992');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 1992', 'Oct 11 03:59:59 1992', 'Mar 14 23:00:00 1992', 'Oct 10 23:59:59 1992');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 11 04:00:00 1992', 'Mar 14 02:59:59 1993', 'Oct 11 01:00:00 1992', 'Mar 13 23:59:59 1993');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 14 03:00:00 1993', 'Oct 10 03:59:59 1993', 'Mar 13 23:00:00 1993', 'Oct 9 23:59:59 1993');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 1993', 'Mar 13 02:59:59 1994', 'Oct 10 01:00:00 1993', 'Mar 12 23:59:59 1994');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 13 03:00:00 1994', 'Oct 9 03:59:59 1994', 'Mar 12 23:00:00 1994', 'Oct 8 23:59:59 1994');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 9 04:00:00 1994', 'Mar 12 02:59:59 1995', 'Oct 9 01:00:00 1994', 'Mar 11 23:59:59 1995');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 1995', 'Oct 15 03:59:59 1995', 'Mar 11 23:00:00 1995', 'Oct 14 23:59:59 1995');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 1995', 'Mar 10 02:59:59 1996', 'Oct 15 01:00:00 1995', 'Mar 9 23:59:59 1996');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 10 03:00:00 1996', 'Oct 13 03:59:59 1996', 'Mar 9 23:00:00 1996', 'Oct 12 23:59:59 1996');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 13 04:00:00 1996', 'Mar 9 02:59:59 1997', 'Oct 13 01:00:00 1996', 'Mar 8 23:59:59 1997');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 1997', 'Oct 12 03:59:59 1997', 'Mar 8 23:00:00 1997', 'Oct 11 23:59:59 1997');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 1997', 'Mar 15 02:59:59 1998', 'Oct 12 01:00:00 1997', 'Mar 14 23:59:59 1998');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 1998', 'Sep 27 03:59:59 1998', 'Mar 14 23:00:00 1998', 'Sep 26 23:59:59 1998');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Sep 27 04:00:00 1998', 'Apr 4 02:59:59 1999', 'Sep 27 01:00:00 1998', 'Apr 3 23:59:59 1999');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Apr 4 03:00:00 1999', 'Oct 10 03:59:59 1999', 'Apr 3 23:00:00 1999', 'Oct 9 23:59:59 1999');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 1999', 'Mar 12 02:59:59 2000', 'Oct 10 01:00:00 1999', 'Mar 11 23:59:59 2000');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 2000', 'Oct 15 03:59:59 2000', 'Mar 11 23:00:00 2000', 'Oct 14 23:59:59 2000');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 2000', 'Mar 11 02:59:59 2001', 'Oct 15 01:00:00 2000', 'Mar 10 23:59:59 2001');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 2001', 'Oct 14 03:59:59 2001', 'Mar 10 23:00:00 2001', 'Oct 13 23:59:59 2001');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 2001', 'Mar 10 02:59:59 2002', 'Oct 14 01:00:00 2001', 'Mar 9 23:59:59 2002');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 10 03:00:00 2002', 'Oct 13 03:59:59 2002', 'Mar 9 23:00:00 2002', 'Oct 12 23:59:59 2002');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 13 04:00:00 2002', 'Mar 9 02:59:59 2003', 'Oct 13 01:00:00 2002', 'Mar 8 23:59:59 2003');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 2003', 'Oct 12 03:59:59 2003', 'Mar 8 23:00:00 2003', 'Oct 11 23:59:59 2003');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 2003', 'Mar 14 02:59:59 2004', 'Oct 12 01:00:00 2003', 'Mar 13 23:59:59 2004');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 14 03:00:00 2004', 'Oct 10 03:59:59 2004', 'Mar 13 23:00:00 2004', 'Oct 9 23:59:59 2004');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 2004', 'Mar 13 02:59:59 2005', 'Oct 10 01:00:00 2004', 'Mar 12 23:59:59 2005');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 13 03:00:00 2005', 'Oct 9 03:59:59 2005', 'Mar 12 23:00:00 2005', 'Oct 8 23:59:59 2005');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 9 04:00:00 2005', 'Mar 12 02:59:59 2006', 'Oct 9 01:00:00 2005', 'Mar 11 23:59:59 2006');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 2006', 'Oct 15 03:59:59 2006', 'Mar 11 23:00:00 2006', 'Oct 14 23:59:59 2006');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 2006', 'Mar 11 02:59:59 2007', 'Oct 15 01:00:00 2006', 'Mar 10 23:59:59 2007');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 2007', 'Oct 14 03:59:59 2007', 'Mar 10 23:00:00 2007', 'Oct 13 23:59:59 2007');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 2007', 'Mar 9 02:59:59 2008', 'Oct 14 01:00:00 2007', 'Mar 8 23:59:59 2008');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 2008', 'Oct 12 03:59:59 2008', 'Mar 8 23:00:00 2008', 'Oct 11 23:59:59 2008');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 2008', 'Mar 15 02:59:59 2009', 'Oct 12 01:00:00 2008', 'Mar 14 23:59:59 2009');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 2009', 'Oct 11 03:59:59 2009', 'Mar 14 23:00:00 2009', 'Oct 10 23:59:59 2009');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 11 04:00:00 2009', 'Mar 14 02:59:59 2010', 'Oct 11 01:00:00 2009', 'Mar 13 23:59:59 2010');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 14 03:00:00 2010', 'Oct 10 03:59:59 2010', 'Mar 13 23:00:00 2010', 'Oct 9 23:59:59 2010');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 2010', 'Mar 13 02:59:59 2011', 'Oct 10 01:00:00 2010', 'Mar 12 23:59:59 2011');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 13 03:00:00 2011', 'Oct 9 03:59:59 2011', 'Mar 12 23:00:00 2011', 'Oct 8 23:59:59 2011');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 9 04:00:00 2011', 'Mar 11 02:59:59 2012', 'Oct 9 01:00:00 2011', 'Mar 10 23:59:59 2012');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 2012', 'Oct 14 03:59:59 2012', 'Mar 10 23:00:00 2012', 'Oct 13 23:59:59 2012');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 2012', 'Mar 10 02:59:59 2013', 'Oct 14 01:00:00 2012', 'Mar 9 23:59:59 2013');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 10 03:00:00 2013', 'Oct 13 03:59:59 2013', 'Mar 9 23:00:00 2013', 'Oct 12 23:59:59 2013');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 13 04:00:00 2013', 'Mar 9 02:59:59 2014', 'Oct 13 01:00:00 2013', 'Mar 8 23:59:59 2014');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 2014', 'Oct 12 03:59:59 2014', 'Mar 8 23:00:00 2014', 'Oct 11 23:59:59 2014');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 2014', 'Mar 15 02:59:59 2015', 'Oct 12 01:00:00 2014', 'Mar 14 23:59:59 2015');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 2015', 'Oct 11 03:59:59 2015', 'Mar 14 23:00:00 2015', 'Oct 10 23:59:59 2015');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 11 04:00:00 2015', 'Mar 13 02:59:59 2016', 'Oct 11 01:00:00 2015', 'Mar 12 23:59:59 2016');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 13 03:00:00 2016', 'Oct 9 03:59:59 2016', 'Mar 12 23:00:00 2016', 'Oct 8 23:59:59 2016');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 9 04:00:00 2016', 'Mar 12 02:59:59 2017', 'Oct 9 01:00:00 2016', 'Mar 11 23:59:59 2017');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 2017', 'Oct 15 03:59:59 2017', 'Mar 11 23:00:00 2017', 'Oct 14 23:59:59 2017');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 2017', 'Mar 11 02:59:59 2018', 'Oct 15 01:00:00 2017', 'Mar 10 23:59:59 2018');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 2018', 'Oct 14 03:59:59 2018', 'Mar 10 23:00:00 2018', 'Oct 13 23:59:59 2018');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 2018', 'Mar 10 02:59:59 2019', 'Oct 14 01:00:00 2018', 'Mar 9 23:59:59 2019');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 10 03:00:00 2019', 'Oct 13 03:59:59 2019', 'Mar 9 23:00:00 2019', 'Oct 12 23:59:59 2019');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 13 04:00:00 2019', 'Mar 15 02:59:59 2020', 'Oct 13 01:00:00 2019', 'Mar 14 23:59:59 2020');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 2020', 'Oct 11 03:59:59 2020', 'Mar 14 23:00:00 2020', 'Oct 10 23:59:59 2020');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 11 04:00:00 2020', 'Mar 14 02:59:59 2021', 'Oct 11 01:00:00 2020', 'Mar 13 23:59:59 2021');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 14 03:00:00 2021', 'Oct 10 03:59:59 2021', 'Mar 13 23:00:00 2021', 'Oct 9 23:59:59 2021');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 2021', 'Mar 13 02:59:59 2022', 'Oct 10 01:00:00 2021', 'Mar 12 23:59:59 2022');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 13 03:00:00 2022', 'Oct 9 03:59:59 2022', 'Mar 12 23:00:00 2022', 'Oct 8 23:59:59 2022');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 9 04:00:00 2022', 'Mar 12 02:59:59 2023', 'Oct 9 01:00:00 2022', 'Mar 11 23:59:59 2023');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 2023', 'Oct 15 03:59:59 2023', 'Mar 11 23:00:00 2023', 'Oct 14 23:59:59 2023');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 2023', 'Mar 10 02:59:59 2024', 'Oct 15 01:00:00 2023', 'Mar 9 23:59:59 2024');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 10 03:00:00 2024', 'Oct 13 03:59:59 2024', 'Mar 9 23:00:00 2024', 'Oct 12 23:59:59 2024');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 13 04:00:00 2024', 'Mar 9 02:59:59 2025', 'Oct 13 01:00:00 2024', 'Mar 8 23:59:59 2025');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 2025', 'Oct 12 03:59:59 2025', 'Mar 8 23:00:00 2025', 'Oct 11 23:59:59 2025');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 2025', 'Mar 15 02:59:59 2026', 'Oct 12 01:00:00 2025', 'Mar 14 23:59:59 2026');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 2026', 'Oct 11 03:59:59 2026', 'Mar 14 23:00:00 2026', 'Oct 10 23:59:59 2026');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 11 04:00:00 2026', 'Mar 14 02:59:59 2027', 'Oct 11 01:00:00 2026', 'Mar 13 23:59:59 2027');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 14 03:00:00 2027', 'Oct 10 03:59:59 2027', 'Mar 13 23:00:00 2027', 'Oct 9 23:59:59 2027');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 2027', 'Mar 12 02:59:59 2028', 'Oct 10 01:00:00 2027', 'Mar 11 23:59:59 2028');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 2028', 'Oct 15 03:59:59 2028', 'Mar 11 23:00:00 2028', 'Oct 14 23:59:59 2028');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 2028', 'Mar 11 02:59:59 2029', 'Oct 15 01:00:00 2028', 'Mar 10 23:59:59 2029');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 2029', 'Oct 14 03:59:59 2029', 'Mar 10 23:00:00 2029', 'Oct 13 23:59:59 2029');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 2029', 'Mar 10 02:59:59 2030', 'Oct 14 01:00:00 2029', 'Mar 9 23:59:59 2030');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 10 03:00:00 2030', 'Oct 13 03:59:59 2030', 'Mar 9 23:00:00 2030', 'Oct 12 23:59:59 2030');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 13 04:00:00 2030', 'Mar 9 02:59:59 2031', 'Oct 13 01:00:00 2030', 'Mar 8 23:59:59 2031');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 2031', 'Oct 12 03:59:59 2031', 'Mar 8 23:00:00 2031', 'Oct 11 23:59:59 2031');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 2031', 'Mar 14 02:59:59 2032', 'Oct 12 01:00:00 2031', 'Mar 13 23:59:59 2032');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 14 03:00:00 2032', 'Oct 10 03:59:59 2032', 'Mar 13 23:00:00 2032', 'Oct 9 23:59:59 2032');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 10 04:00:00 2032', 'Mar 13 02:59:59 2033', 'Oct 10 01:00:00 2032', 'Mar 12 23:59:59 2033');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 13 03:00:00 2033', 'Oct 9 03:59:59 2033', 'Mar 12 23:00:00 2033', 'Oct 8 23:59:59 2033');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 9 04:00:00 2033', 'Mar 12 02:59:59 2034', 'Oct 9 01:00:00 2033', 'Mar 11 23:59:59 2034');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 12 03:00:00 2034', 'Oct 15 03:59:59 2034', 'Mar 11 23:00:00 2034', 'Oct 14 23:59:59 2034');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 15 04:00:00 2034', 'Mar 11 02:59:59 2035', 'Oct 15 01:00:00 2034', 'Mar 10 23:59:59 2035');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 11 03:00:00 2035', 'Oct 14 03:59:59 2035', 'Mar 10 23:00:00 2035', 'Oct 13 23:59:59 2035');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 14 04:00:00 2035', 'Mar 9 02:59:59 2036', 'Oct 14 01:00:00 2035', 'Mar 8 23:59:59 2036');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 9 03:00:00 2036', 'Oct 12 03:59:59 2036', 'Mar 8 23:00:00 2036', 'Oct 11 23:59:59 2036');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 12 04:00:00 2036', 'Mar 15 02:59:59 2037', 'Oct 12 01:00:00 2036', 'Mar 14 23:59:59 2037');
timezone.add_rule('America/Santiago', 'CLT', 0, -14400, 'Mar 15 03:00:00 2037', 'Oct 11 03:59:59 2037', 'Mar 14 23:00:00 2037', 'Oct 10 23:59:59 2037');
timezone.add_rule('America/Santiago', 'CLST', 1, -10800, 'Oct 11 04:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 11 01:00:00 2037', 'Jan 18 00:14:07 2038');
end;
/

--
-- America/Santo_Domingo
--

begin
timezone.add_rule('America/Santo_Domingo', 'AST', 0, -16800, 'Dec 14 20:45:52 1901', 'Apr 1 16:39:59 1933', 'Dec 14 16:05:52 1901', 'Apr 1 11:59:59 1933');
timezone.add_rule('America/Santo_Domingo', 'AST', 0, -18000, 'Apr 1 16:40:00 1933', 'Oct 30 04:59:59 1966', 'Apr 1 11:40:00 1933', 'Oct 29 23:59:59 1966');
timezone.add_rule('America/Santo_Domingo', 'EHDT', 1, -14400, 'Oct 30 05:00:00 1966', 'Feb 28 03:59:59 1967', 'Oct 30 01:00:00 1966', 'Feb 27 23:59:59 1967');
timezone.add_rule('America/Santo_Domingo', 'AST', 0, -18000, 'Feb 28 04:00:00 1967', 'Oct 26 04:59:59 1969', 'Feb 27 23:00:00 1967', 'Oct 25 23:59:59 1969');
timezone.add_rule('America/Santo_Domingo', 'EHDT', 1, -16200, 'Oct 26 05:00:00 1969', 'Feb 21 04:29:59 1970', 'Oct 26 00:30:00 1969', 'Feb 20 23:59:59 1970');
timezone.add_rule('America/Santo_Domingo', 'AST', 0, -18000, 'Feb 21 04:30:00 1970', 'Oct 25 04:59:59 1970', 'Feb 20 23:30:00 1970', 'Oct 24 23:59:59 1970');
timezone.add_rule('America/Santo_Domingo', 'EHDT', 1, -16200, 'Oct 25 05:00:00 1970', 'Jan 20 04:29:59 1971', 'Oct 25 00:30:00 1970', 'Jan 19 23:59:59 1971');
timezone.add_rule('America/Santo_Domingo', 'AST', 0, -18000, 'Jan 20 04:30:00 1971', 'Oct 31 04:59:59 1971', 'Jan 19 23:30:00 1971', 'Oct 30 23:59:59 1971');
timezone.add_rule('America/Santo_Domingo', 'EHDT', 1, -16200, 'Oct 31 05:00:00 1971', 'Jan 21 04:29:59 1972', 'Oct 31 00:30:00 1971', 'Jan 20 23:59:59 1972');
timezone.add_rule('America/Santo_Domingo', 'AST', 0, -18000, 'Jan 21 04:30:00 1972', 'Oct 29 04:59:59 1972', 'Jan 20 23:30:00 1972', 'Oct 28 23:59:59 1972');
timezone.add_rule('America/Santo_Domingo', 'EHDT', 1, -16200, 'Oct 29 05:00:00 1972', 'Jan 21 04:29:59 1973', 'Oct 29 00:30:00 1972', 'Jan 20 23:59:59 1973');
timezone.add_rule('America/Santo_Domingo', 'AST', 0, -18000, 'Jan 21 04:30:00 1973', 'Oct 28 04:59:59 1973', 'Jan 20 23:30:00 1973', 'Oct 27 23:59:59 1973');
timezone.add_rule('America/Santo_Domingo', 'EHDT', 1, -16200, 'Oct 28 05:00:00 1973', 'Jan 21 04:29:59 1974', 'Oct 28 00:30:00 1973', 'Jan 20 23:59:59 1974');
timezone.add_rule('America/Santo_Domingo', 'AST', 0, -18000, 'Jan 21 04:30:00 1974', 'Oct 27 04:59:59 1974', 'Jan 20 23:30:00 1974', 'Oct 26 23:59:59 1974');
timezone.add_rule('America/Santo_Domingo', 'AST', 0, -14400, 'Oct 27 05:00:00 1974', 'Jan 18 03:14:07 2038', 'Oct 27 01:00:00 1974', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Sao_Paulo
--

begin
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -11188, 'Dec 14 20:45:52 1901', 'Jan 1 03:06:27 1914', 'Dec 14 17:39:24 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Jan 1 03:06:28 1914', 'Oct 3 13:59:59 1931', 'Jan 1 00:06:28 1914', 'Oct 3 10:59:59 1931');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 3 14:00:00 1931', 'Apr 1 01:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Apr 1 02:00:00 1932', 'Oct 3 02:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 3 03:00:00 1932', 'Apr 1 01:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Apr 1 02:00:00 1933', 'Dec 1 02:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Dec 1 03:00:00 1949', 'Apr 16 02:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Apr 16 03:00:00 1950', 'Dec 1 02:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Dec 1 03:00:00 1950', 'Apr 1 01:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Apr 1 02:00:00 1951', 'Dec 1 02:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Dec 1 03:00:00 1951', 'Apr 1 01:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Apr 1 02:00:00 1952', 'Dec 1 02:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Dec 1 03:00:00 1952', 'Mar 1 01:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Mar 1 02:00:00 1953', 'Jan 1 02:59:59 1964', 'Feb 28 23:00:00 1953', 'Dec 31 23:59:59 1963');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Jan 1 03:00:00 1964', 'Mar 1 01:59:59 1964', 'Jan 1 01:00:00 1964', 'Feb 29 23:59:59 1964');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Mar 1 02:00:00 1964', 'Jan 31 02:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Jan 31 03:00:00 1965', 'Mar 31 01:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Mar 31 02:00:00 1965', 'Dec 1 02:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Dec 1 03:00:00 1965', 'Mar 1 01:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Mar 1 02:00:00 1966', 'Nov 1 02:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Nov 1 03:00:00 1966', 'Mar 1 01:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Mar 1 02:00:00 1967', 'Nov 1 02:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Nov 1 03:00:00 1967', 'Mar 1 01:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Mar 1 02:00:00 1968', 'Nov 2 02:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 15 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Mar 15 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 14 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 14 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 7 02:00:00 1988', 'Oct 16 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Oct 15 23:59:59 1988');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 16 03:00:00 1988', 'Jan 29 01:59:59 1989', 'Oct 16 01:00:00 1988', 'Jan 28 23:59:59 1989');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Jan 29 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Jan 28 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 15 03:00:00 1989', 'Feb 11 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Feb 10 23:59:59 1990');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 11 02:00:00 1990', 'Oct 21 02:59:59 1990', 'Feb 10 23:00:00 1990', 'Oct 20 23:59:59 1990');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 21 03:00:00 1990', 'Feb 17 01:59:59 1991', 'Oct 21 01:00:00 1990', 'Feb 16 23:59:59 1991');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 17 02:00:00 1991', 'Oct 20 02:59:59 1991', 'Feb 16 23:00:00 1991', 'Oct 19 23:59:59 1991');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 20 03:00:00 1991', 'Feb 9 01:59:59 1992', 'Oct 20 01:00:00 1991', 'Feb 8 23:59:59 1992');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 9 02:00:00 1992', 'Oct 25 02:59:59 1992', 'Feb 8 23:00:00 1992', 'Oct 24 23:59:59 1992');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 25 03:00:00 1992', 'Jan 31 01:59:59 1993', 'Oct 25 01:00:00 1992', 'Jan 30 23:59:59 1993');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Jan 31 02:00:00 1993', 'Oct 17 02:59:59 1993', 'Jan 30 23:00:00 1993', 'Oct 16 23:59:59 1993');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 17 03:00:00 1993', 'Feb 20 01:59:59 1994', 'Oct 17 01:00:00 1993', 'Feb 19 23:59:59 1994');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 20 02:00:00 1994', 'Oct 16 02:59:59 1994', 'Feb 19 23:00:00 1994', 'Oct 15 23:59:59 1994');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 16 03:00:00 1994', 'Feb 19 01:59:59 1995', 'Oct 16 01:00:00 1994', 'Feb 18 23:59:59 1995');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 19 02:00:00 1995', 'Oct 15 02:59:59 1995', 'Feb 18 23:00:00 1995', 'Oct 14 23:59:59 1995');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 15 03:00:00 1995', 'Feb 11 01:59:59 1996', 'Oct 15 01:00:00 1995', 'Feb 10 23:59:59 1996');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 11 02:00:00 1996', 'Oct 6 02:59:59 1996', 'Feb 10 23:00:00 1996', 'Oct 5 23:59:59 1996');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 6 03:00:00 1996', 'Feb 16 01:59:59 1997', 'Oct 6 01:00:00 1996', 'Feb 15 23:59:59 1997');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 16 02:00:00 1997', 'Oct 6 02:59:59 1997', 'Feb 15 23:00:00 1997', 'Oct 5 23:59:59 1997');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 6 03:00:00 1997', 'Mar 1 01:59:59 1998', 'Oct 6 01:00:00 1997', 'Feb 28 23:59:59 1998');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Mar 1 02:00:00 1998', 'Oct 11 02:59:59 1998', 'Feb 28 23:00:00 1998', 'Oct 10 23:59:59 1998');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 11 03:00:00 1998', 'Feb 21 01:59:59 1999', 'Oct 11 01:00:00 1998', 'Feb 20 23:59:59 1999');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 21 02:00:00 1999', 'Oct 10 02:59:59 1999', 'Feb 20 23:00:00 1999', 'Oct 9 23:59:59 1999');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 10 03:00:00 1999', 'Feb 20 01:59:59 2000', 'Oct 10 01:00:00 1999', 'Feb 19 23:59:59 2000');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 20 02:00:00 2000', 'Oct 8 02:59:59 2000', 'Feb 19 23:00:00 2000', 'Oct 7 23:59:59 2000');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 8 03:00:00 2000', 'Feb 18 01:59:59 2001', 'Oct 8 01:00:00 2000', 'Feb 17 23:59:59 2001');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 18 02:00:00 2001', 'Oct 14 02:59:59 2001', 'Feb 17 23:00:00 2001', 'Oct 13 23:59:59 2001');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 14 03:00:00 2001', 'Feb 17 01:59:59 2002', 'Oct 14 01:00:00 2001', 'Feb 16 23:59:59 2002');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 17 02:00:00 2002', 'Oct 13 02:59:59 2002', 'Feb 16 23:00:00 2002', 'Oct 12 23:59:59 2002');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 13 03:00:00 2002', 'Feb 16 01:59:59 2003', 'Oct 13 01:00:00 2002', 'Feb 15 23:59:59 2003');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 16 02:00:00 2003', 'Oct 12 02:59:59 2003', 'Feb 15 23:00:00 2003', 'Oct 11 23:59:59 2003');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 12 03:00:00 2003', 'Feb 15 01:59:59 2004', 'Oct 12 01:00:00 2003', 'Feb 14 23:59:59 2004');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 15 02:00:00 2004', 'Oct 10 02:59:59 2004', 'Feb 14 23:00:00 2004', 'Oct 9 23:59:59 2004');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 10 03:00:00 2004', 'Feb 20 01:59:59 2005', 'Oct 10 01:00:00 2004', 'Feb 19 23:59:59 2005');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 20 02:00:00 2005', 'Oct 9 02:59:59 2005', 'Feb 19 23:00:00 2005', 'Oct 8 23:59:59 2005');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 9 03:00:00 2005', 'Feb 19 01:59:59 2006', 'Oct 9 01:00:00 2005', 'Feb 18 23:59:59 2006');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 19 02:00:00 2006', 'Oct 8 02:59:59 2006', 'Feb 18 23:00:00 2006', 'Oct 7 23:59:59 2006');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 8 03:00:00 2006', 'Feb 18 01:59:59 2007', 'Oct 8 01:00:00 2006', 'Feb 17 23:59:59 2007');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 18 02:00:00 2007', 'Oct 14 02:59:59 2007', 'Feb 17 23:00:00 2007', 'Oct 13 23:59:59 2007');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 14 03:00:00 2007', 'Feb 17 01:59:59 2008', 'Oct 14 01:00:00 2007', 'Feb 16 23:59:59 2008');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 17 02:00:00 2008', 'Oct 12 02:59:59 2008', 'Feb 16 23:00:00 2008', 'Oct 11 23:59:59 2008');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 12 03:00:00 2008', 'Feb 15 01:59:59 2009', 'Oct 12 01:00:00 2008', 'Feb 14 23:59:59 2009');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 15 02:00:00 2009', 'Oct 11 02:59:59 2009', 'Feb 14 23:00:00 2009', 'Oct 10 23:59:59 2009');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 11 03:00:00 2009', 'Feb 21 01:59:59 2010', 'Oct 11 01:00:00 2009', 'Feb 20 23:59:59 2010');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 21 02:00:00 2010', 'Oct 10 02:59:59 2010', 'Feb 20 23:00:00 2010', 'Oct 9 23:59:59 2010');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 10 03:00:00 2010', 'Feb 20 01:59:59 2011', 'Oct 10 01:00:00 2010', 'Feb 19 23:59:59 2011');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 20 02:00:00 2011', 'Oct 9 02:59:59 2011', 'Feb 19 23:00:00 2011', 'Oct 8 23:59:59 2011');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 9 03:00:00 2011', 'Feb 19 01:59:59 2012', 'Oct 9 01:00:00 2011', 'Feb 18 23:59:59 2012');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 19 02:00:00 2012', 'Oct 14 02:59:59 2012', 'Feb 18 23:00:00 2012', 'Oct 13 23:59:59 2012');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 14 03:00:00 2012', 'Feb 17 01:59:59 2013', 'Oct 14 01:00:00 2012', 'Feb 16 23:59:59 2013');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 17 02:00:00 2013', 'Oct 13 02:59:59 2013', 'Feb 16 23:00:00 2013', 'Oct 12 23:59:59 2013');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 13 03:00:00 2013', 'Feb 16 01:59:59 2014', 'Oct 13 01:00:00 2013', 'Feb 15 23:59:59 2014');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 16 02:00:00 2014', 'Oct 12 02:59:59 2014', 'Feb 15 23:00:00 2014', 'Oct 11 23:59:59 2014');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 12 03:00:00 2014', 'Feb 15 01:59:59 2015', 'Oct 12 01:00:00 2014', 'Feb 14 23:59:59 2015');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 15 02:00:00 2015', 'Oct 11 02:59:59 2015', 'Feb 14 23:00:00 2015', 'Oct 10 23:59:59 2015');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 11 03:00:00 2015', 'Feb 21 01:59:59 2016', 'Oct 11 01:00:00 2015', 'Feb 20 23:59:59 2016');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 21 02:00:00 2016', 'Oct 9 02:59:59 2016', 'Feb 20 23:00:00 2016', 'Oct 8 23:59:59 2016');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 9 03:00:00 2016', 'Feb 19 01:59:59 2017', 'Oct 9 01:00:00 2016', 'Feb 18 23:59:59 2017');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 19 02:00:00 2017', 'Oct 8 02:59:59 2017', 'Feb 18 23:00:00 2017', 'Oct 7 23:59:59 2017');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 8 03:00:00 2017', 'Feb 18 01:59:59 2018', 'Oct 8 01:00:00 2017', 'Feb 17 23:59:59 2018');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 18 02:00:00 2018', 'Oct 14 02:59:59 2018', 'Feb 17 23:00:00 2018', 'Oct 13 23:59:59 2018');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 14 03:00:00 2018', 'Feb 17 01:59:59 2019', 'Oct 14 01:00:00 2018', 'Feb 16 23:59:59 2019');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 17 02:00:00 2019', 'Oct 13 02:59:59 2019', 'Feb 16 23:00:00 2019', 'Oct 12 23:59:59 2019');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 13 03:00:00 2019', 'Feb 16 01:59:59 2020', 'Oct 13 01:00:00 2019', 'Feb 15 23:59:59 2020');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 16 02:00:00 2020', 'Oct 11 02:59:59 2020', 'Feb 15 23:00:00 2020', 'Oct 10 23:59:59 2020');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 11 03:00:00 2020', 'Feb 21 01:59:59 2021', 'Oct 11 01:00:00 2020', 'Feb 20 23:59:59 2021');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 21 02:00:00 2021', 'Oct 10 02:59:59 2021', 'Feb 20 23:00:00 2021', 'Oct 9 23:59:59 2021');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 10 03:00:00 2021', 'Feb 20 01:59:59 2022', 'Oct 10 01:00:00 2021', 'Feb 19 23:59:59 2022');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 20 02:00:00 2022', 'Oct 9 02:59:59 2022', 'Feb 19 23:00:00 2022', 'Oct 8 23:59:59 2022');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 9 03:00:00 2022', 'Feb 19 01:59:59 2023', 'Oct 9 01:00:00 2022', 'Feb 18 23:59:59 2023');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 19 02:00:00 2023', 'Oct 8 02:59:59 2023', 'Feb 18 23:00:00 2023', 'Oct 7 23:59:59 2023');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 8 03:00:00 2023', 'Feb 18 01:59:59 2024', 'Oct 8 01:00:00 2023', 'Feb 17 23:59:59 2024');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 18 02:00:00 2024', 'Oct 13 02:59:59 2024', 'Feb 17 23:00:00 2024', 'Oct 12 23:59:59 2024');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 13 03:00:00 2024', 'Feb 16 01:59:59 2025', 'Oct 13 01:00:00 2024', 'Feb 15 23:59:59 2025');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 16 02:00:00 2025', 'Oct 12 02:59:59 2025', 'Feb 15 23:00:00 2025', 'Oct 11 23:59:59 2025');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 12 03:00:00 2025', 'Feb 15 01:59:59 2026', 'Oct 12 01:00:00 2025', 'Feb 14 23:59:59 2026');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 15 02:00:00 2026', 'Oct 11 02:59:59 2026', 'Feb 14 23:00:00 2026', 'Oct 10 23:59:59 2026');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 11 03:00:00 2026', 'Feb 21 01:59:59 2027', 'Oct 11 01:00:00 2026', 'Feb 20 23:59:59 2027');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 21 02:00:00 2027', 'Oct 10 02:59:59 2027', 'Feb 20 23:00:00 2027', 'Oct 9 23:59:59 2027');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 10 03:00:00 2027', 'Feb 20 01:59:59 2028', 'Oct 10 01:00:00 2027', 'Feb 19 23:59:59 2028');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 20 02:00:00 2028', 'Oct 8 02:59:59 2028', 'Feb 19 23:00:00 2028', 'Oct 7 23:59:59 2028');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 8 03:00:00 2028', 'Feb 18 01:59:59 2029', 'Oct 8 01:00:00 2028', 'Feb 17 23:59:59 2029');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 18 02:00:00 2029', 'Oct 14 02:59:59 2029', 'Feb 17 23:00:00 2029', 'Oct 13 23:59:59 2029');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 14 03:00:00 2029', 'Feb 17 01:59:59 2030', 'Oct 14 01:00:00 2029', 'Feb 16 23:59:59 2030');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 17 02:00:00 2030', 'Oct 13 02:59:59 2030', 'Feb 16 23:00:00 2030', 'Oct 12 23:59:59 2030');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 13 03:00:00 2030', 'Feb 16 01:59:59 2031', 'Oct 13 01:00:00 2030', 'Feb 15 23:59:59 2031');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 16 02:00:00 2031', 'Oct 12 02:59:59 2031', 'Feb 15 23:00:00 2031', 'Oct 11 23:59:59 2031');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 12 03:00:00 2031', 'Feb 15 01:59:59 2032', 'Oct 12 01:00:00 2031', 'Feb 14 23:59:59 2032');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 15 02:00:00 2032', 'Oct 10 02:59:59 2032', 'Feb 14 23:00:00 2032', 'Oct 9 23:59:59 2032');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 10 03:00:00 2032', 'Feb 20 01:59:59 2033', 'Oct 10 01:00:00 2032', 'Feb 19 23:59:59 2033');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 20 02:00:00 2033', 'Oct 9 02:59:59 2033', 'Feb 19 23:00:00 2033', 'Oct 8 23:59:59 2033');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 9 03:00:00 2033', 'Feb 19 01:59:59 2034', 'Oct 9 01:00:00 2033', 'Feb 18 23:59:59 2034');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 19 02:00:00 2034', 'Oct 8 02:59:59 2034', 'Feb 18 23:00:00 2034', 'Oct 7 23:59:59 2034');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 8 03:00:00 2034', 'Feb 18 01:59:59 2035', 'Oct 8 01:00:00 2034', 'Feb 17 23:59:59 2035');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 18 02:00:00 2035', 'Oct 14 02:59:59 2035', 'Feb 17 23:00:00 2035', 'Oct 13 23:59:59 2035');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 14 03:00:00 2035', 'Feb 17 01:59:59 2036', 'Oct 14 01:00:00 2035', 'Feb 16 23:59:59 2036');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 17 02:00:00 2036', 'Oct 12 02:59:59 2036', 'Feb 16 23:00:00 2036', 'Oct 11 23:59:59 2036');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 12 03:00:00 2036', 'Feb 15 01:59:59 2037', 'Oct 12 01:00:00 2036', 'Feb 14 23:59:59 2037');
timezone.add_rule('America/Sao_Paulo', 'BRT', 0, -10800, 'Feb 15 02:00:00 2037', 'Oct 11 02:59:59 2037', 'Feb 14 23:00:00 2037', 'Oct 10 23:59:59 2037');
timezone.add_rule('America/Sao_Paulo', 'BRST', 1, -7200, 'Oct 11 03:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 11 01:00:00 2037', 'Jan 18 01:14:07 2038');
end;
/

--
-- America/Scoresbysund
--

begin
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -5340, 'Dec 14 20:45:52 1901', 'Jul 28 01:28:59 1916', 'Dec 14 19:16:52 1901', 'Jul 27 23:59:59 1916');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -7200, 'Jul 28 01:29:00 1916', 'Apr 6 03:59:59 1980', 'Jul 27 23:29:00 1916', 'Apr 6 01:59:59 1980');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, -3600, 'Apr 6 04:00:00 1980', 'Sep 28 03:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -7200, 'Sep 28 04:00:00 1980', 'Mar 29 01:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 28 23:59:59 1981');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 29 02:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 00:59:59 1981');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 00:00:00 1981', 'Mar 27 23:59:59 1982');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 00:00:00 1982', 'Mar 26 23:59:59 1983');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 00:00:00 1983', 'Mar 24 23:59:59 1984');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 00:00:00 1984', 'Mar 30 23:59:59 1985');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 00:00:00 1985', 'Mar 29 23:59:59 1986');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 00:00:00 1986', 'Mar 28 23:59:59 1987');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 00:00:00 1987', 'Mar 26 23:59:59 1988');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 00:00:00 1988', 'Mar 25 23:59:59 1989');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 00:00:00 1990', 'Mar 30 23:59:59 1991');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 00:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 00:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 00:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 00:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 00:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 00:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 00:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 00:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 00:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 00:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 00:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 00:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 00:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 00:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 00:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 00:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 00:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 00:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 00:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 00:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 00:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 00:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 00:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 00:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 00:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 00:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 00:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 00:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 00:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 00:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 00:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 00:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 00:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 00:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 00:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 00:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 00:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 00:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 00:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 00:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 00:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 00:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 00:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 00:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 00:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('America/Scoresbysund', 'EGST', 1, 0, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037');
timezone.add_rule('America/Scoresbysund', 'EGT', 0, -3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 00:00:00 2037', 'Jan 18 02:14:07 2038');
end;
/

--
-- America/Shiprock
--

begin
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Mar 31 08:59:59 1918', 'Dec 14 13:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Mar 31 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'Mar 30 08:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Mar 30 09:00:00 1919', 'Oct 26 07:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 1919', 'Mar 28 08:59:59 1920', 'Oct 26 01:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Mar 28 09:00:00 1920', 'Oct 31 07:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 1920', 'Mar 27 08:59:59 1921', 'Oct 31 01:00:00 1920', 'Mar 27 01:59:59 1921');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Mar 27 09:00:00 1921', 'May 22 07:59:59 1921', 'Mar 27 03:00:00 1921', 'May 22 01:59:59 1921');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'May 22 08:00:00 1921', 'Feb 9 08:59:59 1942', 'May 22 01:00:00 1921', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 25 08:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 25 09:00:00 1965', 'Oct 31 07:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 1965', 'Apr 24 08:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 24 09:00:00 1966', 'Oct 30 07:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 1966', 'Apr 30 08:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Apr 28 08:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 28 09:00:00 1968', 'Oct 27 07:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 1968', 'Apr 27 08:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 27 09:00:00 1969', 'Oct 26 07:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 1969', 'Apr 26 08:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 26 09:00:00 1970', 'Oct 25 07:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 1970', 'Apr 25 08:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 25 09:00:00 1971', 'Oct 31 07:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 1971', 'Apr 30 08:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 30 09:00:00 1972', 'Oct 29 07:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 1972', 'Apr 29 08:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 29 09:00:00 1973', 'Oct 28 07:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 1973', 'Jan 6 08:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Jan 6 09:00:00 1974', 'Oct 27 07:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 1974', 'Feb 23 08:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Feb 23 09:00:00 1975', 'Oct 26 07:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 1975', 'Apr 25 08:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 25 09:00:00 1976', 'Oct 31 07:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 1976', 'Apr 24 08:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 24 09:00:00 1977', 'Oct 30 07:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 1977', 'Apr 30 08:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 30 09:00:00 1978', 'Oct 29 07:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 1978', 'Apr 29 08:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 29 09:00:00 1979', 'Oct 28 07:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 1979', 'Apr 27 08:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Shiprock', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Shiprock', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- America/St_Johns
--

begin
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Dec 14 20:45:52 1901', 'Apr 8 05:30:51 1917', 'Dec 14 17:15:00 1901', 'Apr 8 01:59:59 1917');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'Apr 8 05:30:52 1917', 'Sep 17 04:30:51 1917', 'Apr 8 03:00:00 1917', 'Sep 17 01:59:59 1917');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Sep 17 04:30:52 1917', 'Apr 14 05:30:51 1918', 'Sep 17 01:00:00 1917', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'Apr 14 05:30:52 1918', 'Oct 31 04:30:51 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 31 04:30:52 1918', 'May 6 02:30:51 1919', 'Oct 31 01:00:00 1918', 'May 5 22:59:59 1919');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 6 02:30:52 1919', 'Aug 13 01:30:51 1919', 'May 6 00:00:00 1919', 'Aug 12 22:59:59 1919');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Aug 13 01:30:52 1919', 'May 3 02:30:51 1920', 'Aug 12 22:00:00 1919', 'May 2 22:59:59 1920');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 3 02:30:52 1920', 'Nov 1 01:30:51 1920', 'May 3 00:00:00 1920', 'Oct 31 22:59:59 1920');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Nov 1 01:30:52 1920', 'May 2 02:30:51 1921', 'Oct 31 22:00:00 1920', 'May 1 22:59:59 1921');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 2 02:30:52 1921', 'Oct 31 01:30:51 1921', 'May 2 00:00:00 1921', 'Oct 30 22:59:59 1921');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 31 01:30:52 1921', 'May 8 02:30:51 1922', 'Oct 30 22:00:00 1921', 'May 7 22:59:59 1922');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 8 02:30:52 1922', 'Oct 30 01:30:51 1922', 'May 8 00:00:00 1922', 'Oct 29 22:59:59 1922');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 30 01:30:52 1922', 'May 7 02:30:51 1923', 'Oct 29 22:00:00 1922', 'May 6 22:59:59 1923');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 7 02:30:52 1923', 'Oct 29 01:30:51 1923', 'May 7 00:00:00 1923', 'Oct 28 22:59:59 1923');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 29 01:30:52 1923', 'May 5 02:30:51 1924', 'Oct 28 22:00:00 1923', 'May 4 22:59:59 1924');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 5 02:30:52 1924', 'Oct 27 01:30:51 1924', 'May 5 00:00:00 1924', 'Oct 26 22:59:59 1924');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 27 01:30:52 1924', 'May 4 02:30:51 1925', 'Oct 26 22:00:00 1924', 'May 3 22:59:59 1925');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 4 02:30:52 1925', 'Oct 26 01:30:51 1925', 'May 4 00:00:00 1925', 'Oct 25 22:59:59 1925');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 26 01:30:52 1925', 'May 3 02:30:51 1926', 'Oct 25 22:00:00 1925', 'May 2 22:59:59 1926');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 3 02:30:52 1926', 'Nov 1 01:30:51 1926', 'May 3 00:00:00 1926', 'Oct 31 22:59:59 1926');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Nov 1 01:30:52 1926', 'May 2 02:30:51 1927', 'Oct 31 22:00:00 1926', 'May 1 22:59:59 1927');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 2 02:30:52 1927', 'Oct 31 01:30:51 1927', 'May 2 00:00:00 1927', 'Oct 30 22:59:59 1927');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 31 01:30:52 1927', 'May 7 02:30:51 1928', 'Oct 30 22:00:00 1927', 'May 6 22:59:59 1928');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 7 02:30:52 1928', 'Oct 29 01:30:51 1928', 'May 7 00:00:00 1928', 'Oct 28 22:59:59 1928');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 29 01:30:52 1928', 'May 6 02:30:51 1929', 'Oct 28 22:00:00 1928', 'May 5 22:59:59 1929');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 6 02:30:52 1929', 'Oct 28 01:30:51 1929', 'May 6 00:00:00 1929', 'Oct 27 22:59:59 1929');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 28 01:30:52 1929', 'May 5 02:30:51 1930', 'Oct 27 22:00:00 1929', 'May 4 22:59:59 1930');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 5 02:30:52 1930', 'Oct 27 01:30:51 1930', 'May 5 00:00:00 1930', 'Oct 26 22:59:59 1930');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 27 01:30:52 1930', 'May 4 02:30:51 1931', 'Oct 26 22:00:00 1930', 'May 3 22:59:59 1931');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 4 02:30:52 1931', 'Oct 26 01:30:51 1931', 'May 4 00:00:00 1931', 'Oct 25 22:59:59 1931');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 26 01:30:52 1931', 'May 2 02:30:51 1932', 'Oct 25 22:00:00 1931', 'May 1 22:59:59 1932');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 2 02:30:52 1932', 'Oct 31 01:30:51 1932', 'May 2 00:00:00 1932', 'Oct 30 22:59:59 1932');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 31 01:30:52 1932', 'May 8 02:30:51 1933', 'Oct 30 22:00:00 1932', 'May 7 22:59:59 1933');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 8 02:30:52 1933', 'Oct 30 01:30:51 1933', 'May 8 00:00:00 1933', 'Oct 29 22:59:59 1933');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 30 01:30:52 1933', 'May 7 02:30:51 1934', 'Oct 29 22:00:00 1933', 'May 6 22:59:59 1934');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9052, 'May 7 02:30:52 1934', 'Oct 29 01:30:51 1934', 'May 7 00:00:00 1934', 'Oct 28 22:59:59 1934');
timezone.add_rule('America/St_Johns', 'NST', 0, -12652, 'Oct 29 01:30:52 1934', 'Mar 30 03:30:51 1935', 'Oct 28 22:00:00 1934', 'Mar 29 23:59:59 1935');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Mar 30 03:30:52 1935', 'May 6 02:29:59 1935', 'Mar 30 00:00:52 1935', 'May 5 22:59:59 1935');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 6 02:30:00 1935', 'Oct 28 01:29:59 1935', 'May 6 00:00:00 1935', 'Oct 27 22:59:59 1935');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 01:30:00 1935', 'May 10 03:29:59 1936', 'Oct 27 22:00:00 1935', 'May 9 23:59:59 1936');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 10 03:30:00 1936', 'Oct 4 02:29:59 1936', 'May 10 01:00:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 4 02:30:00 1936', 'May 9 03:29:59 1937', 'Oct 3 23:00:00 1936', 'May 8 23:59:59 1937');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 9 03:30:00 1937', 'Oct 3 02:29:59 1937', 'May 9 01:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 3 02:30:00 1937', 'May 8 03:29:59 1938', 'Oct 2 23:00:00 1937', 'May 7 23:59:59 1938');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 8 03:30:00 1938', 'Oct 2 02:29:59 1938', 'May 8 01:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 2 02:30:00 1938', 'May 14 03:29:59 1939', 'Oct 1 23:00:00 1938', 'May 13 23:59:59 1939');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 14 03:30:00 1939', 'Oct 1 02:29:59 1939', 'May 14 01:00:00 1939', 'Sep 30 23:59:59 1939');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 1 02:30:00 1939', 'May 12 03:29:59 1940', 'Sep 30 23:00:00 1939', 'May 11 23:59:59 1940');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 12 03:30:00 1940', 'Oct 6 02:29:59 1940', 'May 12 01:00:00 1940', 'Oct 5 23:59:59 1940');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 6 02:30:00 1940', 'May 11 03:29:59 1941', 'Oct 5 23:00:00 1940', 'May 10 23:59:59 1941');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 11 03:30:00 1941', 'Oct 5 02:29:59 1941', 'May 11 01:00:00 1941', 'Oct 4 23:59:59 1941');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 5 02:30:00 1941', 'Mar 1 03:29:59 1942', 'Oct 4 23:00:00 1941', 'Feb 28 23:59:59 1942');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Mar 1 03:30:00 1942', 'Dec 31 02:29:59 1942', 'Mar 1 01:00:00 1942', 'Dec 30 23:59:59 1942');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Dec 31 02:30:00 1942', 'May 30 03:29:59 1943', 'Dec 30 23:00:00 1942', 'May 29 23:59:59 1943');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 30 03:30:00 1943', 'Sep 5 02:29:59 1943', 'May 30 01:00:00 1943', 'Sep 4 23:59:59 1943');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 5 02:30:00 1943', 'Jul 10 03:29:59 1944', 'Sep 4 23:00:00 1943', 'Jul 9 23:59:59 1944');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Jul 10 03:30:00 1944', 'Sep 2 02:29:59 1944', 'Jul 10 01:00:00 1944', 'Sep 1 23:59:59 1944');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 2 02:30:00 1944', 'Jan 1 03:29:59 1945', 'Sep 1 23:00:00 1944', 'Dec 31 23:59:59 1944');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Jan 1 03:30:00 1945', 'Oct 7 04:29:59 1945', 'Jan 1 01:00:00 1945', 'Oct 7 01:59:59 1945');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 7 04:30:00 1945', 'May 12 05:29:59 1946', 'Oct 7 01:00:00 1945', 'May 12 01:59:59 1946');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 12 05:30:00 1946', 'Oct 6 04:29:59 1946', 'May 12 03:00:00 1946', 'Oct 6 01:59:59 1946');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 6 04:30:00 1946', 'May 11 05:29:59 1947', 'Oct 6 01:00:00 1946', 'May 11 01:59:59 1947');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 11 05:30:00 1947', 'Oct 5 04:29:59 1947', 'May 11 03:00:00 1947', 'Oct 5 01:59:59 1947');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 5 04:30:00 1947', 'May 9 05:29:59 1948', 'Oct 5 01:00:00 1947', 'May 9 01:59:59 1948');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 9 05:30:00 1948', 'Oct 3 04:29:59 1948', 'May 9 03:00:00 1948', 'Oct 3 01:59:59 1948');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 3 04:30:00 1948', 'May 8 05:29:59 1949', 'Oct 3 01:00:00 1948', 'May 8 01:59:59 1949');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 8 05:30:00 1949', 'Oct 2 04:29:59 1949', 'May 8 03:00:00 1949', 'Oct 2 01:59:59 1949');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 2 04:30:00 1949', 'May 14 05:29:59 1950', 'Oct 2 01:00:00 1949', 'May 14 01:59:59 1950');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'May 14 05:30:00 1950', 'Oct 8 04:29:59 1950', 'May 14 03:00:00 1950', 'Oct 8 01:59:59 1950');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 8 04:30:00 1950', 'Apr 29 05:29:59 1951', 'Oct 8 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 29 05:30:00 1951', 'Sep 30 04:29:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 30 04:30:00 1951', 'Apr 27 05:29:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 27 05:30:00 1952', 'Sep 28 04:29:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 28 04:30:00 1952', 'Apr 26 05:29:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 26 05:30:00 1953', 'Sep 27 04:29:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 27 04:30:00 1953', 'Apr 25 05:29:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 25 05:30:00 1954', 'Sep 26 04:29:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 26 04:30:00 1954', 'Apr 24 05:29:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 24 05:30:00 1955', 'Sep 25 04:29:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 25 04:30:00 1955', 'Apr 29 05:29:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 29 05:30:00 1956', 'Sep 30 04:29:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 30 04:30:00 1956', 'Apr 28 05:29:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 28 05:30:00 1957', 'Sep 29 04:29:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 29 04:30:00 1957', 'Apr 27 05:29:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 27 05:30:00 1958', 'Sep 28 04:29:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 28 04:30:00 1958', 'Apr 26 05:29:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 26 05:30:00 1959', 'Sep 27 04:29:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Sep 27 04:30:00 1959', 'Apr 24 05:29:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 24 05:30:00 1960', 'Oct 30 04:29:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 1960', 'Apr 30 05:29:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 30 05:30:00 1961', 'Oct 29 04:29:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 1961', 'Apr 29 05:29:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 29 05:30:00 1962', 'Oct 28 04:29:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 1962', 'Apr 28 05:29:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 28 05:30:00 1963', 'Oct 27 04:29:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 1963', 'Apr 26 05:29:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 26 05:30:00 1964', 'Oct 25 04:29:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 1964', 'Apr 25 05:29:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 25 05:30:00 1965', 'Oct 31 04:29:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 1965', 'Apr 24 05:29:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 24 05:30:00 1966', 'Oct 30 04:29:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 1966', 'Apr 30 05:29:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 30 05:30:00 1967', 'Oct 29 04:29:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 1967', 'Apr 28 05:29:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 28 05:30:00 1968', 'Oct 27 04:29:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 1968', 'Apr 27 05:29:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 27 05:30:00 1969', 'Oct 26 04:29:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 1969', 'Apr 26 05:29:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 26 05:30:00 1970', 'Oct 25 04:29:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 1970', 'Apr 25 05:29:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 25 05:30:00 1971', 'Oct 31 04:29:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 1971', 'Apr 30 05:29:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 30 05:30:00 1972', 'Oct 29 04:29:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 1972', 'Apr 29 05:29:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 29 05:30:00 1973', 'Oct 28 04:29:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 1973', 'Apr 28 05:29:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 28 05:30:00 1974', 'Oct 27 04:29:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 1974', 'Apr 27 05:29:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 27 05:30:00 1975', 'Oct 26 04:29:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 1975', 'Apr 25 05:29:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 25 05:30:00 1976', 'Oct 31 04:29:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 1976', 'Apr 24 05:29:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 24 05:30:00 1977', 'Oct 30 04:29:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 1977', 'Apr 30 05:29:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 30 05:30:00 1978', 'Oct 29 04:29:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 1978', 'Apr 29 05:29:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 29 05:30:00 1979', 'Oct 28 04:29:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 1979', 'Apr 27 05:29:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 27 05:30:00 1980', 'Oct 26 04:29:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 1980', 'Apr 26 05:29:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 26 05:30:00 1981', 'Oct 25 04:29:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 1981', 'Apr 25 05:29:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 25 05:30:00 1982', 'Oct 31 04:29:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 1982', 'Apr 24 05:29:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 24 05:30:00 1983', 'Oct 30 04:29:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 1983', 'Apr 29 05:29:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 29 05:30:00 1984', 'Oct 28 04:29:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 1984', 'Apr 28 05:29:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 28 05:30:00 1985', 'Oct 27 04:29:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 1985', 'Apr 27 05:29:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 27 05:30:00 1986', 'Oct 26 04:29:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 1986', 'Apr 5 05:29:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 5 05:30:00 1987', 'Oct 25 04:29:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 1987', 'Apr 3 05:29:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/St_Johns', 'NDT', 1, -5400, 'Apr 3 05:30:00 1988', 'Oct 30 03:29:59 1988', 'Apr 3 04:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 03:30:00 1988', 'Apr 2 05:29:59 1989', 'Oct 30 00:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 2 05:30:00 1989', 'Oct 29 04:29:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 1989', 'Apr 1 05:29:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 1 05:30:00 1990', 'Oct 28 04:29:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 1990', 'Apr 7 05:29:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 7 05:30:00 1991', 'Oct 27 04:29:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 1991', 'Apr 5 05:29:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 5 05:30:00 1992', 'Oct 25 04:29:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 1992', 'Apr 4 05:29:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 4 05:30:00 1993', 'Oct 31 04:29:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 1993', 'Apr 3 05:29:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 3 05:30:00 1994', 'Oct 30 04:29:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 1994', 'Apr 2 05:29:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 2 05:30:00 1995', 'Oct 29 04:29:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 1995', 'Apr 7 05:29:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 7 05:30:00 1996', 'Oct 27 04:29:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 1996', 'Apr 6 05:29:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 6 05:30:00 1997', 'Oct 26 04:29:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 1997', 'Apr 5 05:29:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 5 05:30:00 1998', 'Oct 25 04:29:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 1998', 'Apr 4 05:29:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 4 05:30:00 1999', 'Oct 31 04:29:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 1999', 'Apr 2 05:29:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 2 05:30:00 2000', 'Oct 29 04:29:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 2000', 'Apr 1 05:29:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 1 05:30:00 2001', 'Oct 28 04:29:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 2001', 'Apr 7 05:29:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 7 05:30:00 2002', 'Oct 27 04:29:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 2002', 'Apr 6 05:29:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 6 05:30:00 2003', 'Oct 26 04:29:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 2003', 'Apr 4 05:29:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 4 05:30:00 2004', 'Oct 31 04:29:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 2004', 'Apr 3 05:29:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 3 05:30:00 2005', 'Oct 30 04:29:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 2005', 'Apr 2 05:29:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 2 05:30:00 2006', 'Oct 29 04:29:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 2006', 'Apr 1 05:29:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 1 05:30:00 2007', 'Oct 28 04:29:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 2007', 'Apr 6 05:29:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 6 05:30:00 2008', 'Oct 26 04:29:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 2008', 'Apr 5 05:29:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 5 05:30:00 2009', 'Oct 25 04:29:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 2009', 'Apr 4 05:29:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 4 05:30:00 2010', 'Oct 31 04:29:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 2010', 'Apr 3 05:29:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 3 05:30:00 2011', 'Oct 30 04:29:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 2011', 'Apr 1 05:29:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 1 05:30:00 2012', 'Oct 28 04:29:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 2012', 'Apr 7 05:29:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 7 05:30:00 2013', 'Oct 27 04:29:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 2013', 'Apr 6 05:29:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 6 05:30:00 2014', 'Oct 26 04:29:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 2014', 'Apr 5 05:29:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 5 05:30:00 2015', 'Oct 25 04:29:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 2015', 'Apr 3 05:29:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 3 05:30:00 2016', 'Oct 30 04:29:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 2016', 'Apr 2 05:29:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 2 05:30:00 2017', 'Oct 29 04:29:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 2017', 'Apr 1 05:29:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 1 05:30:00 2018', 'Oct 28 04:29:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 2018', 'Apr 7 05:29:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 7 05:30:00 2019', 'Oct 27 04:29:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 2019', 'Apr 5 05:29:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 5 05:30:00 2020', 'Oct 25 04:29:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 2020', 'Apr 4 05:29:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 4 05:30:00 2021', 'Oct 31 04:29:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 2021', 'Apr 3 05:29:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 3 05:30:00 2022', 'Oct 30 04:29:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 2022', 'Apr 2 05:29:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 2 05:30:00 2023', 'Oct 29 04:29:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 2023', 'Apr 7 05:29:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 7 05:30:00 2024', 'Oct 27 04:29:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 2024', 'Apr 6 05:29:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 6 05:30:00 2025', 'Oct 26 04:29:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 2025', 'Apr 5 05:29:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 5 05:30:00 2026', 'Oct 25 04:29:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 2026', 'Apr 4 05:29:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 4 05:30:00 2027', 'Oct 31 04:29:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 2027', 'Apr 2 05:29:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 2 05:30:00 2028', 'Oct 29 04:29:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 2028', 'Apr 1 05:29:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 1 05:30:00 2029', 'Oct 28 04:29:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 2029', 'Apr 7 05:29:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 7 05:30:00 2030', 'Oct 27 04:29:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 27 04:30:00 2030', 'Apr 6 05:29:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 6 05:30:00 2031', 'Oct 26 04:29:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 2031', 'Apr 4 05:29:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 4 05:30:00 2032', 'Oct 31 04:29:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 31 04:30:00 2032', 'Apr 3 05:29:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 3 05:30:00 2033', 'Oct 30 04:29:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 30 04:30:00 2033', 'Apr 2 05:29:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 2 05:30:00 2034', 'Oct 29 04:29:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 29 04:30:00 2034', 'Apr 1 05:29:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 1 05:30:00 2035', 'Oct 28 04:29:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 28 04:30:00 2035', 'Apr 6 05:29:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 6 05:30:00 2036', 'Oct 26 04:29:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 26 04:30:00 2036', 'Apr 5 05:29:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/St_Johns', 'NDT', 1, -9000, 'Apr 5 05:30:00 2037', 'Oct 25 04:29:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/St_Johns', 'NST', 0, -12600, 'Oct 25 04:30:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:44:07 2038');
end;
/

--
-- America/St_Kitts
--

begin
timezone.add_rule('America/St_Kitts', 'AST', 0, -15052, 'Dec 14 20:45:52 1901', 'Mar 2 04:10:51 1912', 'Dec 14 16:35:00 1901', 'Mar 1 23:59:59 1912');
timezone.add_rule('America/St_Kitts', 'AST', 0, -14400, 'Mar 2 04:10:52 1912', 'Jan 18 03:14:07 2038', 'Mar 2 00:10:52 1912', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/St_Lucia
--

begin
timezone.add_rule('America/St_Lucia', 'AST', 0, -14640, 'Dec 14 20:45:52 1901', 'Jan 1 04:03:59 1912', 'Dec 14 16:41:52 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('America/St_Lucia', 'AST', 0, -14400, 'Jan 1 04:04:00 1912', 'Jan 18 03:14:07 2038', 'Jan 1 00:04:00 1912', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/St_Thomas
--

begin
timezone.add_rule('America/St_Thomas', 'AST', 0, -15584, 'Dec 14 20:45:52 1901', 'Jul 1 04:19:43 1911', 'Dec 14 16:26:08 1901', 'Jun 30 23:59:59 1911');
timezone.add_rule('America/St_Thomas', 'AST', 0, -14400, 'Jul 1 04:19:44 1911', 'Jan 18 03:14:07 2038', 'Jul 1 00:19:44 1911', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/St_Vincent
--

begin
timezone.add_rule('America/St_Vincent', 'AST', 0, -14696, 'Dec 14 20:45:52 1901', 'Jan 1 04:04:55 1912', 'Dec 14 16:40:56 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('America/St_Vincent', 'AST', 0, -14400, 'Jan 1 04:04:56 1912', 'Jan 18 03:14:07 2038', 'Jan 1 00:04:56 1912', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Swift_Current
--

begin
timezone.add_rule('America/Swift_Current', 'CST', 0, -25880, 'Dec 14 20:45:52 1901', 'Sep 1 07:11:19 1905', 'Dec 14 13:34:32 1901', 'Aug 31 23:59:59 1905');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Sep 1 07:11:20 1905', 'Apr 14 08:59:59 1918', 'Sep 1 00:11:20 1905', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Apr 14 09:00:00 1918', 'Oct 31 07:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Oct 31 08:00:00 1918', 'Feb 9 08:59:59 1942', 'Oct 31 01:00:00 1918', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 28 08:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Apr 28 09:00:00 1946', 'Oct 13 07:59:59 1946', 'Apr 28 03:00:00 1946', 'Oct 13 01:59:59 1946');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Oct 13 08:00:00 1946', 'Apr 27 08:59:59 1947', 'Oct 13 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Apr 27 09:00:00 1947', 'Sep 28 07:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Sep 28 08:00:00 1947', 'Apr 25 08:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Apr 25 09:00:00 1948', 'Sep 26 07:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Sep 26 08:00:00 1948', 'Apr 24 08:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Apr 24 09:00:00 1949', 'Sep 25 07:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Sep 25 08:00:00 1949', 'Apr 28 08:59:59 1957', 'Sep 25 01:00:00 1949', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Apr 28 09:00:00 1957', 'Oct 27 07:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Oct 27 08:00:00 1957', 'Apr 26 08:59:59 1959', 'Oct 27 01:00:00 1957', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Apr 26 09:00:00 1959', 'Oct 25 07:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Oct 25 08:00:00 1959', 'Apr 24 08:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Apr 24 09:00:00 1960', 'Sep 25 07:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Sep 25 08:00:00 1960', 'Apr 30 08:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Swift_Current', 'MDT', 1, -21600, 'Apr 30 09:00:00 1961', 'Sep 24 07:59:59 1961', 'Apr 30 03:00:00 1961', 'Sep 24 01:59:59 1961');
timezone.add_rule('America/Swift_Current', 'CST', 0, -25200, 'Sep 24 08:00:00 1961', 'Apr 30 08:59:59 1972', 'Sep 24 01:00:00 1961', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Swift_Current', 'CST', 0, -21600, 'Apr 30 09:00:00 1972', 'Jan 18 03:14:07 2038', 'Apr 30 03:00:00 1972', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Tegucigalpa
--

begin
timezone.add_rule('America/Tegucigalpa', 'CST', 0, -20932, 'Dec 14 20:45:52 1901', 'Apr 1 05:48:51 1921', 'Dec 14 14:57:00 1901', 'Mar 31 23:59:59 1921');
timezone.add_rule('America/Tegucigalpa', 'CST', 0, -21600, 'Apr 1 05:48:52 1921', 'May 3 05:59:59 1987', 'Mar 31 23:48:52 1921', 'May 2 23:59:59 1987');
timezone.add_rule('America/Tegucigalpa', 'CDT', 1, -18000, 'May 3 06:00:00 1987', 'Sep 27 04:59:59 1987', 'May 3 01:00:00 1987', 'Sep 26 23:59:59 1987');
timezone.add_rule('America/Tegucigalpa', 'CST', 0, -21600, 'Sep 27 05:00:00 1987', 'May 1 05:59:59 1988', 'Sep 26 23:00:00 1987', 'Apr 30 23:59:59 1988');
timezone.add_rule('America/Tegucigalpa', 'CDT', 1, -18000, 'May 1 06:00:00 1988', 'Sep 25 04:59:59 1988', 'May 1 01:00:00 1988', 'Sep 24 23:59:59 1988');
timezone.add_rule('America/Tegucigalpa', 'CST', 0, -21600, 'Sep 25 05:00:00 1988', 'Jan 18 03:14:07 2038', 'Sep 24 23:00:00 1988', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Thule
--

begin
timezone.add_rule('America/Thule', 'AST', 0, -16508, 'Dec 14 20:45:52 1901', 'Jul 28 04:35:07 1916', 'Dec 14 16:10:44 1901', 'Jul 27 23:59:59 1916');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Jul 28 04:35:08 1916', 'Apr 4 05:59:59 1993', 'Jul 28 00:35:08 1916', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 4 06:00:00 1993', 'Oct 31 04:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 31 05:00:00 1993', 'Apr 3 05:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 3 06:00:00 1994', 'Oct 30 04:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 30 05:00:00 1994', 'Apr 2 05:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 2 06:00:00 1995', 'Oct 29 04:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 29 05:00:00 1995', 'Apr 7 05:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 7 06:00:00 1996', 'Oct 27 04:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 27 05:00:00 1996', 'Apr 6 05:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 6 06:00:00 1997', 'Oct 26 04:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 26 05:00:00 1997', 'Apr 5 05:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 5 06:00:00 1998', 'Oct 25 04:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 25 05:00:00 1998', 'Apr 4 05:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 4 06:00:00 1999', 'Oct 31 04:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 31 05:00:00 1999', 'Apr 2 05:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 2 06:00:00 2000', 'Oct 29 04:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 29 05:00:00 2000', 'Apr 1 05:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 1 06:00:00 2001', 'Oct 28 04:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 28 05:00:00 2001', 'Apr 7 05:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 7 06:00:00 2002', 'Oct 27 04:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 27 05:00:00 2002', 'Apr 6 05:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 6 06:00:00 2003', 'Oct 26 04:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 26 05:00:00 2003', 'Apr 4 05:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 4 06:00:00 2004', 'Oct 31 04:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 31 05:00:00 2004', 'Apr 3 05:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 3 06:00:00 2005', 'Oct 30 04:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 30 05:00:00 2005', 'Apr 2 05:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 2 06:00:00 2006', 'Oct 29 04:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 29 05:00:00 2006', 'Apr 1 05:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 1 06:00:00 2007', 'Oct 28 04:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 28 05:00:00 2007', 'Apr 6 05:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 6 06:00:00 2008', 'Oct 26 04:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 26 05:00:00 2008', 'Apr 5 05:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 5 06:00:00 2009', 'Oct 25 04:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 25 05:00:00 2009', 'Apr 4 05:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 4 06:00:00 2010', 'Oct 31 04:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 31 05:00:00 2010', 'Apr 3 05:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 3 06:00:00 2011', 'Oct 30 04:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 30 05:00:00 2011', 'Apr 1 05:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 1 06:00:00 2012', 'Oct 28 04:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 28 05:00:00 2012', 'Apr 7 05:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 7 06:00:00 2013', 'Oct 27 04:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 27 05:00:00 2013', 'Apr 6 05:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 6 06:00:00 2014', 'Oct 26 04:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 26 05:00:00 2014', 'Apr 5 05:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 5 06:00:00 2015', 'Oct 25 04:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 25 05:00:00 2015', 'Apr 3 05:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 3 06:00:00 2016', 'Oct 30 04:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 30 05:00:00 2016', 'Apr 2 05:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 2 06:00:00 2017', 'Oct 29 04:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 29 05:00:00 2017', 'Apr 1 05:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 1 06:00:00 2018', 'Oct 28 04:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 28 05:00:00 2018', 'Apr 7 05:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 7 06:00:00 2019', 'Oct 27 04:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 27 05:00:00 2019', 'Apr 5 05:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 5 06:00:00 2020', 'Oct 25 04:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 25 05:00:00 2020', 'Apr 4 05:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 4 06:00:00 2021', 'Oct 31 04:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 31 05:00:00 2021', 'Apr 3 05:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 3 06:00:00 2022', 'Oct 30 04:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 30 05:00:00 2022', 'Apr 2 05:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 2 06:00:00 2023', 'Oct 29 04:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 29 05:00:00 2023', 'Apr 7 05:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 7 06:00:00 2024', 'Oct 27 04:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 27 05:00:00 2024', 'Apr 6 05:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 6 06:00:00 2025', 'Oct 26 04:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 26 05:00:00 2025', 'Apr 5 05:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 5 06:00:00 2026', 'Oct 25 04:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 25 05:00:00 2026', 'Apr 4 05:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 4 06:00:00 2027', 'Oct 31 04:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 31 05:00:00 2027', 'Apr 2 05:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 2 06:00:00 2028', 'Oct 29 04:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 29 05:00:00 2028', 'Apr 1 05:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 1 06:00:00 2029', 'Oct 28 04:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 28 05:00:00 2029', 'Apr 7 05:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 7 06:00:00 2030', 'Oct 27 04:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 27 05:00:00 2030', 'Apr 6 05:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 6 06:00:00 2031', 'Oct 26 04:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 26 05:00:00 2031', 'Apr 4 05:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 4 06:00:00 2032', 'Oct 31 04:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 31 05:00:00 2032', 'Apr 3 05:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 3 06:00:00 2033', 'Oct 30 04:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 30 05:00:00 2033', 'Apr 2 05:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 2 06:00:00 2034', 'Oct 29 04:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 29 05:00:00 2034', 'Apr 1 05:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 1 06:00:00 2035', 'Oct 28 04:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 28 05:00:00 2035', 'Apr 6 05:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 6 06:00:00 2036', 'Oct 26 04:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 26 05:00:00 2036', 'Apr 5 05:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Thule', 'ADT', 1, -10800, 'Apr 5 06:00:00 2037', 'Oct 25 04:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Thule', 'AST', 0, -14400, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Thunder_Bay
--

begin
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Apr 14 06:59:59 1918', 'Dec 14 15:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 14 07:00:00 1918', 'Oct 31 05:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 1918', 'Feb 9 06:59:59 1942', 'Oct 31 01:00:00 1918', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Feb 9 07:00:00 1942', 'Sep 30 05:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 26 06:59:59 1970', 'Sep 30 01:00:00 1945', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 28 06:59:59 1974', 'Oct 29 01:00:00 1972', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 28 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Apr 27 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 27 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Thunder_Bay', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Thunder_Bay', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- America/Tijuana
--

begin
timezone.add_rule('America/Tijuana', 'PST', 0, -28084, 'Dec 14 20:45:52 1901', 'Jan 1 07:59:59 1922', 'Dec 14 12:57:48 1901', 'Jan 1 00:11:55 1922');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Jan 1 08:00:00 1922', 'Jun 11 06:59:59 1927', 'Jan 1 00:00:00 1922', 'Jun 10 22:59:59 1927');
timezone.add_rule('America/Tijuana', 'PST', 0, -25200, 'Jun 11 07:00:00 1927', 'Nov 16 06:59:59 1930', 'Jun 11 00:00:00 1927', 'Nov 15 23:59:59 1930');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Nov 16 07:00:00 1930', 'Apr 1 07:59:59 1942', 'Nov 15 23:00:00 1930', 'Mar 31 23:59:59 1942');
timezone.add_rule('America/Tijuana', 'PST', 0, -25200, 'Apr 1 08:00:00 1942', 'Jan 14 06:59:59 1949', 'Apr 1 01:00:00 1942', 'Jan 13 23:59:59 1949');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Jan 14 07:00:00 1949', 'Apr 30 09:59:59 1950', 'Jan 13 23:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 30 10:00:00 1950', 'Sep 24 08:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 24 09:00:00 1950', 'Apr 29 09:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 29 10:00:00 1951', 'Sep 30 08:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 30 09:00:00 1951', 'Apr 27 09:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 27 10:00:00 1952', 'Sep 28 08:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 28 09:00:00 1952', 'Apr 26 09:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 26 10:00:00 1953', 'Sep 27 08:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 27 09:00:00 1953', 'Apr 25 09:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 25 10:00:00 1954', 'Sep 26 08:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 26 09:00:00 1954', 'Apr 24 09:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 24 10:00:00 1955', 'Sep 25 08:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 25 09:00:00 1955', 'Apr 29 09:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 29 10:00:00 1956', 'Sep 30 08:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 30 09:00:00 1956', 'Apr 28 09:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 28 10:00:00 1957', 'Sep 29 08:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 29 09:00:00 1957', 'Apr 27 09:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 27 10:00:00 1958', 'Sep 28 08:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 28 09:00:00 1958', 'Apr 26 09:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 26 10:00:00 1959', 'Sep 27 08:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 27 09:00:00 1959', 'Apr 24 09:59:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 24 10:00:00 1960', 'Sep 25 08:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 25 09:00:00 1960', 'Apr 30 09:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 30 10:00:00 1961', 'Sep 24 08:59:59 1961', 'Apr 30 03:00:00 1961', 'Sep 24 01:59:59 1961');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Sep 24 09:00:00 1961', 'Apr 29 09:59:59 1962', 'Sep 24 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 29 10:00:00 1962', 'Oct 28 08:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 1962', 'Apr 28 09:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 28 10:00:00 1963', 'Oct 27 08:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 1963', 'Apr 26 09:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 26 10:00:00 1964', 'Oct 25 08:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 1964', 'Apr 25 09:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 25 10:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 1965', 'Apr 24 09:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 24 10:00:00 1966', 'Oct 30 08:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 1966', 'Apr 30 09:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 30 10:00:00 1967', 'Oct 29 08:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 1967', 'Apr 28 09:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 28 10:00:00 1968', 'Oct 27 08:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 1968', 'Apr 27 09:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Oct 29 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 1972', 'Apr 29 09:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 29 10:00:00 1973', 'Oct 28 08:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 1973', 'Jan 6 09:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Jan 6 10:00:00 1974', 'Oct 27 08:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 1974', 'Feb 23 09:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Feb 23 10:00:00 1975', 'Oct 26 08:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 1975', 'Apr 25 09:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 25 10:00:00 1976', 'Oct 31 08:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 1976', 'Apr 24 09:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 24 10:00:00 1977', 'Oct 30 08:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 1977', 'Apr 30 09:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 30 10:00:00 1978', 'Oct 29 08:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 1978', 'Apr 29 09:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 29 10:00:00 1979', 'Oct 28 08:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 1979', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Tijuana', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Tijuana', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- America/Tortola
--

begin
timezone.add_rule('America/Tortola', 'AST', 0, -15508, 'Dec 14 20:45:52 1901', 'Jul 1 04:18:27 1911', 'Dec 14 16:27:24 1901', 'Jun 30 23:59:59 1911');
timezone.add_rule('America/Tortola', 'AST', 0, -14400, 'Jul 1 04:18:28 1911', 'Jan 18 03:14:07 2038', 'Jul 1 00:18:28 1911', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Vancouver
--

begin
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Dec 14 20:45:52 1901', 'Apr 14 09:59:59 1918', 'Dec 14 12:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 14 10:00:00 1918', 'Oct 31 08:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 1918', 'Feb 9 09:59:59 1942', 'Oct 31 01:00:00 1918', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Feb 9 10:00:00 1942', 'Sep 30 08:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 30 09:00:00 1945', 'Apr 28 09:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 28 10:00:00 1946', 'Oct 13 08:59:59 1946', 'Apr 28 03:00:00 1946', 'Oct 13 01:59:59 1946');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 13 09:00:00 1946', 'Apr 27 09:59:59 1947', 'Oct 13 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 27 10:00:00 1947', 'Sep 28 08:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 28 09:00:00 1947', 'Apr 25 09:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 25 10:00:00 1948', 'Sep 26 08:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 26 09:00:00 1948', 'Apr 24 09:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 24 10:00:00 1949', 'Sep 25 08:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 25 09:00:00 1949', 'Apr 30 09:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 30 10:00:00 1950', 'Sep 24 08:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 24 09:00:00 1950', 'Apr 29 09:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 29 10:00:00 1951', 'Sep 30 08:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 30 09:00:00 1951', 'Apr 27 09:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 27 10:00:00 1952', 'Sep 28 08:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 28 09:00:00 1952', 'Apr 26 09:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 26 10:00:00 1953', 'Sep 27 08:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 27 09:00:00 1953', 'Apr 25 09:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 25 10:00:00 1954', 'Sep 26 08:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 26 09:00:00 1954', 'Apr 24 09:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 24 10:00:00 1955', 'Sep 25 08:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 25 09:00:00 1955', 'Apr 29 09:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 29 10:00:00 1956', 'Sep 30 08:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 30 09:00:00 1956', 'Apr 28 09:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 28 10:00:00 1957', 'Sep 29 08:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 29 09:00:00 1957', 'Apr 27 09:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 27 10:00:00 1958', 'Sep 28 08:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 28 09:00:00 1958', 'Apr 26 09:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 26 10:00:00 1959', 'Sep 27 08:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 27 09:00:00 1959', 'Apr 24 09:59:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 24 10:00:00 1960', 'Sep 25 08:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 25 09:00:00 1960', 'Apr 30 09:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 30 10:00:00 1961', 'Sep 24 08:59:59 1961', 'Apr 30 03:00:00 1961', 'Sep 24 01:59:59 1961');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Sep 24 09:00:00 1961', 'Apr 29 09:59:59 1962', 'Sep 24 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 29 10:00:00 1962', 'Oct 28 08:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 1962', 'Apr 28 09:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 28 10:00:00 1963', 'Oct 27 08:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 1963', 'Apr 26 09:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 26 10:00:00 1964', 'Oct 25 08:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 1964', 'Apr 25 09:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 25 10:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 1965', 'Apr 24 09:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 24 10:00:00 1966', 'Oct 30 08:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 1966', 'Apr 30 09:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 30 10:00:00 1967', 'Oct 29 08:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 1967', 'Apr 28 09:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 28 10:00:00 1968', 'Oct 27 08:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 1968', 'Apr 27 09:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Oct 29 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 1972', 'Apr 29 09:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 29 10:00:00 1973', 'Oct 28 08:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 1973', 'Apr 28 09:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 28 10:00:00 1974', 'Oct 27 08:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 1974', 'Apr 27 09:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 27 10:00:00 1975', 'Oct 26 08:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 1975', 'Apr 25 09:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 25 10:00:00 1976', 'Oct 31 08:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 1976', 'Apr 24 09:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 24 10:00:00 1977', 'Oct 30 08:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 1977', 'Apr 30 09:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 30 10:00:00 1978', 'Oct 29 08:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 1978', 'Apr 29 09:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 29 10:00:00 1979', 'Oct 28 08:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 1979', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Vancouver', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Vancouver', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- America/Virgin
--

begin
timezone.add_rule('America/Virgin', 'AST', 0, -15584, 'Dec 14 20:45:52 1901', 'Jul 1 04:19:43 1911', 'Dec 14 16:26:08 1901', 'Jun 30 23:59:59 1911');
timezone.add_rule('America/Virgin', 'AST', 0, -14400, 'Jul 1 04:19:44 1911', 'Jan 18 03:14:07 2038', 'Jul 1 00:19:44 1911', 'Jan 17 23:14:07 2038');
end;
/

--
-- America/Whitehorse
--

begin
timezone.add_rule('America/Whitehorse', 'PST', 0, -32400, 'Dec 14 20:45:52 1901', 'Apr 14 10:59:59 1918', 'Dec 14 11:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -28800, 'Apr 14 11:00:00 1918', 'Oct 27 09:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Whitehorse', 'PST', 0, -32400, 'Oct 27 10:00:00 1918', 'May 25 10:59:59 1919', 'Oct 27 01:00:00 1918', 'May 25 01:59:59 1919');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -28800, 'May 25 11:00:00 1919', 'Nov 1 07:59:59 1919', 'May 25 03:00:00 1919', 'Oct 31 23:59:59 1919');
timezone.add_rule('America/Whitehorse', 'PST', 0, -32400, 'Nov 1 08:00:00 1919', 'Feb 9 10:59:59 1942', 'Oct 31 23:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -28800, 'Feb 9 11:00:00 1942', 'Sep 30 09:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Whitehorse', 'PST', 0, -32400, 'Sep 30 10:00:00 1945', 'Apr 25 08:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 24 23:59:59 1965');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 25 09:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 02:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Whitehorse', 'PST', 0, -32400, 'Oct 31 09:00:00 1965', 'Jul 1 10:59:59 1966', 'Oct 31 00:00:00 1965', 'Jul 1 01:59:59 1966');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Jul 1 11:00:00 1966', 'Apr 27 09:59:59 1980', 'Jul 1 03:00:00 1966', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Whitehorse', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Whitehorse', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- America/Winnipeg
--

begin
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Apr 23 05:59:59 1916', 'Dec 14 14:45:52 1901', 'Apr 22 23:59:59 1916');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 23 06:00:00 1916', 'Sep 17 04:59:59 1916', 'Apr 23 01:00:00 1916', 'Sep 16 23:59:59 1916');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 17 05:00:00 1916', 'Apr 14 07:59:59 1918', 'Sep 16 23:00:00 1916', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 14 08:00:00 1918', 'Oct 31 06:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 1918', 'May 16 07:59:59 1937', 'Oct 31 01:00:00 1918', 'May 16 01:59:59 1937');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'May 16 08:00:00 1937', 'Sep 26 06:59:59 1937', 'May 16 03:00:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 26 07:00:00 1937', 'Feb 9 07:59:59 1942', 'Sep 26 01:00:00 1937', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 30 07:00:00 1945', 'May 12 07:59:59 1946', 'Sep 30 01:00:00 1945', 'May 12 01:59:59 1946');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'May 12 08:00:00 1946', 'Oct 13 06:59:59 1946', 'May 12 03:00:00 1946', 'Oct 13 01:59:59 1946');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 13 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Oct 13 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 25 07:00:00 1949', 'May 1 07:59:59 1950', 'Sep 25 01:00:00 1949', 'May 1 01:59:59 1950');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'May 1 08:00:00 1950', 'Sep 30 06:59:59 1950', 'May 1 03:00:00 1950', 'Sep 30 01:59:59 1950');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 30 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 30 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Sep 25 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 25 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Sep 30 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 30 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Sep 29 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Sep 28 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 28 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Sep 25 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 25 07:00:00 1960', 'Apr 28 07:59:59 1963', 'Sep 25 01:00:00 1960', 'Apr 28 01:59:59 1963');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 28 08:00:00 1963', 'Sep 22 06:59:59 1963', 'Apr 28 03:00:00 1963', 'Sep 22 01:59:59 1963');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Sep 22 07:00:00 1963', 'Apr 24 07:59:59 1966', 'Sep 22 01:00:00 1963', 'Apr 24 01:59:59 1966');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 24 08:00:00 1966', 'Oct 30 06:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 1966', 'Apr 30 07:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 30 08:00:00 1967', 'Oct 29 06:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 1967', 'Apr 28 07:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 28 08:00:00 1968', 'Oct 27 06:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 1968', 'Apr 27 07:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 27 08:00:00 1969', 'Oct 26 06:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 1969', 'Apr 26 07:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 26 08:00:00 1970', 'Oct 25 06:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 1970', 'Apr 25 07:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 25 08:00:00 1971', 'Oct 31 06:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 1971', 'Apr 30 07:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 30 08:00:00 1972', 'Oct 29 06:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 1972', 'Apr 29 07:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 29 08:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 1973', 'Apr 28 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 28 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 1974', 'Apr 27 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 27 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 1991', 'Apr 5 07:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 5 08:00:00 1992', 'Oct 25 06:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 1992', 'Apr 4 07:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 4 08:00:00 1993', 'Oct 31 06:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 1993', 'Apr 3 07:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 3 08:00:00 1994', 'Oct 30 06:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 1994', 'Apr 2 07:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 2 08:00:00 1995', 'Oct 29 06:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 1995', 'Apr 7 07:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Winnipeg', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Winnipeg', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- America/Yakutat
--

begin
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Dec 14 20:45:52 1901', 'Feb 9 10:59:59 1942', 'Dec 14 11:45:52 1901', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Feb 9 11:00:00 1942', 'Sep 30 09:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Sep 30 10:00:00 1945', 'Apr 27 10:59:59 1969', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1969');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 27 11:00:00 1969', 'Oct 26 09:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 1969', 'Apr 26 10:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 26 11:00:00 1970', 'Oct 25 09:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 1970', 'Apr 25 10:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 25 11:00:00 1971', 'Oct 31 09:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 1971', 'Apr 30 10:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 30 11:00:00 1972', 'Oct 29 09:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 1972', 'Apr 29 10:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 29 11:00:00 1973', 'Oct 28 09:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 1973', 'Jan 6 10:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Jan 6 11:00:00 1974', 'Oct 27 09:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 27 10:00:00 1974', 'Feb 23 10:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Feb 23 11:00:00 1975', 'Oct 26 09:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 1975', 'Apr 25 10:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 25 11:00:00 1976', 'Oct 31 09:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 1976', 'Apr 24 10:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 24 11:00:00 1977', 'Oct 30 09:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 30 10:00:00 1977', 'Apr 30 10:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 30 11:00:00 1978', 'Oct 29 09:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 1978', 'Apr 29 10:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 29 11:00:00 1979', 'Oct 28 09:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 1979', 'Apr 27 10:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 27 11:00:00 1980', 'Oct 26 09:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 1980', 'Apr 26 10:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 26 11:00:00 1981', 'Oct 25 09:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 1981', 'Apr 25 10:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 25 11:00:00 1982', 'Oct 31 09:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 1982', 'Apr 24 10:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 24 11:00:00 1983', 'Oct 30 09:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 30 10:00:00 1983', 'Apr 29 10:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 29 11:00:00 1984', 'Oct 28 09:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 1984', 'Apr 28 10:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 28 11:00:00 1985', 'Oct 27 09:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 27 10:00:00 1985', 'Apr 27 10:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 27 11:00:00 1986', 'Oct 26 09:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 1986', 'Apr 5 10:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1987', 'Oct 25 09:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 1987', 'Apr 3 10:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1988', 'Oct 30 09:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 30 10:00:00 1988', 'Apr 2 10:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1989', 'Oct 29 09:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 1989', 'Apr 1 10:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 1 11:00:00 1990', 'Oct 28 09:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 1990', 'Apr 7 10:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1991', 'Oct 27 09:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 27 10:00:00 1991', 'Apr 5 10:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1992', 'Oct 25 09:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 1992', 'Apr 4 10:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1993', 'Oct 31 09:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 1993', 'Apr 3 10:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1994', 'Oct 30 09:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 30 10:00:00 1994', 'Apr 2 10:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1995', 'Oct 29 09:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 1995', 'Apr 7 10:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1996', 'Oct 27 09:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 27 10:00:00 1996', 'Apr 6 10:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 6 11:00:00 1997', 'Oct 26 09:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 1997', 'Apr 5 10:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1998', 'Oct 25 09:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 1998', 'Apr 4 10:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1999', 'Oct 31 09:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 1999', 'Apr 2 10:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2000', 'Oct 29 09:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 2000', 'Apr 1 10:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2001', 'Oct 28 09:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 2001', 'Apr 7 10:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2002', 'Oct 27 09:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 27 10:00:00 2002', 'Apr 6 10:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2003', 'Oct 26 09:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 2003', 'Apr 4 10:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2004', 'Oct 31 09:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 2004', 'Apr 3 10:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2005', 'Oct 30 09:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 30 10:00:00 2005', 'Apr 2 10:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2006', 'Oct 29 09:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 2006', 'Apr 1 10:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2007', 'Oct 28 09:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 2007', 'Apr 6 10:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2008', 'Oct 26 09:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 2008', 'Apr 5 10:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2009', 'Oct 25 09:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 2009', 'Apr 4 10:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2010', 'Oct 31 09:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 2010', 'Apr 3 10:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2011', 'Oct 30 09:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 30 10:00:00 2011', 'Apr 1 10:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2012', 'Oct 28 09:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 2012', 'Apr 7 10:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2013', 'Oct 27 09:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 27 10:00:00 2013', 'Apr 6 10:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2014', 'Oct 26 09:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 2014', 'Apr 5 10:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2015', 'Oct 25 09:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 2015', 'Apr 3 10:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2016', 'Oct 30 09:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 30 10:00:00 2016', 'Apr 2 10:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2017', 'Oct 29 09:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 2017', 'Apr 1 10:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2018', 'Oct 28 09:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 2018', 'Apr 7 10:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2019', 'Oct 27 09:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 27 10:00:00 2019', 'Apr 5 10:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2020', 'Oct 25 09:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 2020', 'Apr 4 10:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2021', 'Oct 31 09:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 2021', 'Apr 3 10:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2022', 'Oct 30 09:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 30 10:00:00 2022', 'Apr 2 10:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2023', 'Oct 29 09:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 2023', 'Apr 7 10:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2024', 'Oct 27 09:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 27 10:00:00 2024', 'Apr 6 10:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2025', 'Oct 26 09:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 2025', 'Apr 5 10:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2026', 'Oct 25 09:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 2026', 'Apr 4 10:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2027', 'Oct 31 09:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 2027', 'Apr 2 10:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2028', 'Oct 29 09:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 2028', 'Apr 1 10:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2029', 'Oct 28 09:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 2029', 'Apr 7 10:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2030', 'Oct 27 09:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 27 10:00:00 2030', 'Apr 6 10:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2031', 'Oct 26 09:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 2031', 'Apr 4 10:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2032', 'Oct 31 09:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 31 10:00:00 2032', 'Apr 3 10:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2033', 'Oct 30 09:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 30 10:00:00 2033', 'Apr 2 10:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2034', 'Oct 29 09:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 29 10:00:00 2034', 'Apr 1 10:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2035', 'Oct 28 09:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 28 10:00:00 2035', 'Apr 6 10:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2036', 'Oct 26 09:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 26 10:00:00 2036', 'Apr 5 10:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Yakutat', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2037', 'Oct 25 09:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Yakutat', 'AKST', 0, -32400, 'Oct 25 10:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 18:14:07 2038');
end;
/

--
-- America/Yellowknife
--

begin
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Apr 14 08:59:59 1918', 'Dec 14 13:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 14 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'May 25 08:59:59 1919', 'Oct 27 01:00:00 1918', 'May 25 01:59:59 1919');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'May 25 09:00:00 1919', 'Nov 1 05:59:59 1919', 'May 25 03:00:00 1919', 'Oct 31 23:59:59 1919');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Nov 1 06:00:00 1919', 'Feb 9 08:59:59 1942', 'Oct 31 23:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 25 06:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 24 23:59:59 1965');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -18000, 'Apr 25 07:00:00 1965', 'Oct 31 06:59:59 1965', 'Apr 25 02:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 31 07:00:00 1965', 'Apr 27 08:59:59 1980', 'Oct 31 00:00:00 1965', 'Apr 27 01:59:59 1980');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('America/Yellowknife', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('America/Yellowknife', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- Antarctica/Casey
--

begin
timezone.add_rule('Antarctica/Casey', 'WST', 0, 0, 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1968', 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1968');
timezone.add_rule('Antarctica/Casey', 'WST', 0, 28800, 'Jan 1 00:00:00 1969', 'Jan 18 03:14:07 2038', 'Jan 1 08:00:00 1969', 'Jan 18 11:14:07 2038');
end;
/

--
-- Antarctica/Davis
--

begin
timezone.add_rule('Antarctica/Davis', 'DAVT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 12 23:59:59 1957', 'Dec 14 20:45:52 1901', 'Jan 12 23:59:59 1957');
timezone.add_rule('Antarctica/Davis', 'DAVT', 0, 25200, 'Jan 13 00:00:00 1957', 'Oct 31 16:59:59 1964', 'Jan 13 07:00:00 1957', 'Oct 31 23:59:59 1964');
timezone.add_rule('Antarctica/Davis', 'DAVT', 0, 0, 'Oct 31 17:00:00 1964', 'Jan 31 23:59:59 1969', 'Oct 31 17:00:00 1964', 'Jan 31 23:59:59 1969');
timezone.add_rule('Antarctica/Davis', 'DAVT', 0, 25200, 'Feb 1 00:00:00 1969', 'Jan 18 03:14:07 2038', 'Feb 1 07:00:00 1969', 'Jan 18 10:14:07 2038');
end;
/

--
-- Antarctica/DumontDUrville
--

begin
timezone.add_rule('Antarctica/DumontDUrville', 'DDUT', 0, 0, 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1946', 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1946');
timezone.add_rule('Antarctica/DumontDUrville', 'DDUT', 0, 36000, 'Jan 1 00:00:00 1947', 'Jan 13 13:59:59 1952', 'Jan 1 10:00:00 1947', 'Jan 13 23:59:59 1952');
timezone.add_rule('Antarctica/DumontDUrville', 'DDUT', 0, 0, 'Jan 13 14:00:00 1952', 'Oct 31 23:59:59 1956', 'Jan 13 14:00:00 1952', 'Oct 31 23:59:59 1956');
timezone.add_rule('Antarctica/DumontDUrville', 'DDUT', 0, 36000, 'Nov 1 00:00:00 1956', 'Jan 18 03:14:07 2038', 'Nov 1 10:00:00 1956', 'Jan 18 13:14:07 2038');
end;
/

--
-- Antarctica/Mawson
--

begin
timezone.add_rule('Antarctica/Mawson', 'MAWT', 0, 0, 'Dec 14 20:45:52 1901', 'Feb 12 23:59:59 1954', 'Dec 14 20:45:52 1901', 'Feb 12 23:59:59 1954');
timezone.add_rule('Antarctica/Mawson', 'MAWT', 0, 21600, 'Feb 13 00:00:00 1954', 'Jan 18 03:14:07 2038', 'Feb 13 06:00:00 1954', 'Jan 18 09:14:07 2038');
end;
/

--
-- Antarctica/McMurdo
--

begin
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 0, 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1955', 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1955');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Jan 1 00:00:00 1956', 'Nov 2 13:59:59 1974', 'Jan 1 12:00:00 1956', 'Nov 3 01:59:59 1974');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Nov 2 14:00:00 1974', 'Feb 22 13:59:59 1975', 'Nov 3 03:00:00 1974', 'Feb 23 02:59:59 1975');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Feb 22 14:00:00 1975', 'Oct 25 13:59:59 1975', 'Feb 23 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1975', 'Mar 6 13:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 6 14:00:00 1976', 'Oct 30 13:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 30 14:00:00 1976', 'Mar 5 13:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 5 14:00:00 1977', 'Oct 29 13:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1977', 'Mar 4 13:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 4 14:00:00 1978', 'Oct 28 13:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 28 14:00:00 1978', 'Mar 3 13:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 3 14:00:00 1979', 'Oct 27 13:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 27 14:00:00 1979', 'Mar 1 13:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 1 14:00:00 1980', 'Oct 25 13:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1980', 'Feb 28 13:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Feb 28 14:00:00 1981', 'Oct 24 13:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 24 14:00:00 1981', 'Mar 6 13:59:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 6 14:00:00 1982', 'Oct 30 13:59:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 30 14:00:00 1982', 'Mar 5 13:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 5 14:00:00 1983', 'Oct 29 13:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1983', 'Mar 3 13:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 3 14:00:00 1984', 'Oct 27 13:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 27 14:00:00 1984', 'Mar 2 13:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 2 14:00:00 1985', 'Oct 26 13:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 26 14:00:00 1985', 'Mar 1 13:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 2 02:59:59 1986');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 1 14:00:00 1986', 'Oct 25 13:59:59 1986', 'Mar 2 02:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1986', 'Feb 28 13:59:59 1987', 'Oct 26 03:00:00 1986', 'Mar 1 02:59:59 1987');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Feb 28 14:00:00 1987', 'Oct 24 13:59:59 1987', 'Mar 1 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 24 14:00:00 1987', 'Mar 5 13:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 6 02:59:59 1988');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 5 14:00:00 1988', 'Oct 29 13:59:59 1988', 'Mar 6 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1988', 'Mar 4 13:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 5 02:59:59 1989');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 4 14:00:00 1989', 'Oct 7 13:59:59 1989', 'Mar 5 02:00:00 1989', 'Oct 8 01:59:59 1989');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 7 14:00:00 1989', 'Mar 17 13:59:59 1990', 'Oct 8 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 17 14:00:00 1990', 'Oct 6 13:59:59 1990', 'Mar 18 02:00:00 1990', 'Oct 7 01:59:59 1990');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 6 14:00:00 1990', 'Mar 16 13:59:59 1991', 'Oct 7 03:00:00 1990', 'Mar 17 02:59:59 1991');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 16 14:00:00 1991', 'Oct 5 13:59:59 1991', 'Mar 17 02:00:00 1991', 'Oct 6 01:59:59 1991');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 5 14:00:00 1991', 'Mar 14 13:59:59 1992', 'Oct 6 03:00:00 1991', 'Mar 15 02:59:59 1992');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 14 14:00:00 1992', 'Oct 3 13:59:59 1992', 'Mar 15 02:00:00 1992', 'Oct 4 01:59:59 1992');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 3 14:00:00 1992', 'Mar 20 13:59:59 1993', 'Oct 4 03:00:00 1992', 'Mar 21 02:59:59 1993');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 20 14:00:00 1993', 'Oct 2 13:59:59 1993', 'Mar 21 02:00:00 1993', 'Oct 3 01:59:59 1993');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 2 14:00:00 1993', 'Mar 19 13:59:59 1994', 'Oct 3 03:00:00 1993', 'Mar 20 02:59:59 1994');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 19 14:00:00 1994', 'Oct 1 13:59:59 1994', 'Mar 20 02:00:00 1994', 'Oct 2 01:59:59 1994');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 1 14:00:00 1994', 'Mar 18 13:59:59 1995', 'Oct 2 03:00:00 1994', 'Mar 19 02:59:59 1995');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 18 14:00:00 1995', 'Sep 30 13:59:59 1995', 'Mar 19 02:00:00 1995', 'Oct 1 01:59:59 1995');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Sep 30 14:00:00 1995', 'Mar 16 13:59:59 1996', 'Oct 1 03:00:00 1995', 'Mar 17 02:59:59 1996');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 16 14:00:00 1996', 'Oct 5 13:59:59 1996', 'Mar 17 02:00:00 1996', 'Oct 6 01:59:59 1996');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 5 14:00:00 1996', 'Mar 15 13:59:59 1997', 'Oct 6 03:00:00 1996', 'Mar 16 02:59:59 1997');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 15 14:00:00 1997', 'Oct 4 13:59:59 1997', 'Mar 16 02:00:00 1997', 'Oct 5 01:59:59 1997');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 4 14:00:00 1997', 'Mar 14 13:59:59 1998', 'Oct 5 03:00:00 1997', 'Mar 15 02:59:59 1998');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 14 14:00:00 1998', 'Oct 3 13:59:59 1998', 'Mar 15 02:00:00 1998', 'Oct 4 01:59:59 1998');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 3 14:00:00 1998', 'Mar 20 13:59:59 1999', 'Oct 4 03:00:00 1998', 'Mar 21 02:59:59 1999');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 20 14:00:00 1999', 'Oct 2 13:59:59 1999', 'Mar 21 02:00:00 1999', 'Oct 3 01:59:59 1999');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 2 14:00:00 1999', 'Mar 18 13:59:59 2000', 'Oct 3 03:00:00 1999', 'Mar 19 02:59:59 2000');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 18 14:00:00 2000', 'Sep 30 13:59:59 2000', 'Mar 19 02:00:00 2000', 'Oct 1 01:59:59 2000');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2000', 'Mar 17 13:59:59 2001', 'Oct 1 03:00:00 2000', 'Mar 18 02:59:59 2001');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 17 14:00:00 2001', 'Oct 6 13:59:59 2001', 'Mar 18 02:00:00 2001', 'Oct 7 01:59:59 2001');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2001', 'Mar 16 13:59:59 2002', 'Oct 7 03:00:00 2001', 'Mar 17 02:59:59 2002');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 16 14:00:00 2002', 'Oct 5 13:59:59 2002', 'Mar 17 02:00:00 2002', 'Oct 6 01:59:59 2002');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2002', 'Mar 15 13:59:59 2003', 'Oct 6 03:00:00 2002', 'Mar 16 02:59:59 2003');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 15 14:00:00 2003', 'Oct 4 13:59:59 2003', 'Mar 16 02:00:00 2003', 'Oct 5 01:59:59 2003');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2003', 'Mar 20 13:59:59 2004', 'Oct 5 03:00:00 2003', 'Mar 21 02:59:59 2004');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 20 14:00:00 2004', 'Oct 2 13:59:59 2004', 'Mar 21 02:00:00 2004', 'Oct 3 01:59:59 2004');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2004', 'Mar 19 13:59:59 2005', 'Oct 3 03:00:00 2004', 'Mar 20 02:59:59 2005');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 19 14:00:00 2005', 'Oct 1 13:59:59 2005', 'Mar 20 02:00:00 2005', 'Oct 2 01:59:59 2005');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2005', 'Mar 18 13:59:59 2006', 'Oct 2 03:00:00 2005', 'Mar 19 02:59:59 2006');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 18 14:00:00 2006', 'Sep 30 13:59:59 2006', 'Mar 19 02:00:00 2006', 'Oct 1 01:59:59 2006');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2006', 'Mar 17 13:59:59 2007', 'Oct 1 03:00:00 2006', 'Mar 18 02:59:59 2007');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 17 14:00:00 2007', 'Oct 6 13:59:59 2007', 'Mar 18 02:00:00 2007', 'Oct 7 01:59:59 2007');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2007', 'Mar 15 13:59:59 2008', 'Oct 7 03:00:00 2007', 'Mar 16 02:59:59 2008');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 15 14:00:00 2008', 'Oct 4 13:59:59 2008', 'Mar 16 02:00:00 2008', 'Oct 5 01:59:59 2008');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2008', 'Mar 14 13:59:59 2009', 'Oct 5 03:00:00 2008', 'Mar 15 02:59:59 2009');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 14 14:00:00 2009', 'Oct 3 13:59:59 2009', 'Mar 15 02:00:00 2009', 'Oct 4 01:59:59 2009');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2009', 'Mar 20 13:59:59 2010', 'Oct 4 03:00:00 2009', 'Mar 21 02:59:59 2010');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 20 14:00:00 2010', 'Oct 2 13:59:59 2010', 'Mar 21 02:00:00 2010', 'Oct 3 01:59:59 2010');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2010', 'Mar 19 13:59:59 2011', 'Oct 3 03:00:00 2010', 'Mar 20 02:59:59 2011');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 19 14:00:00 2011', 'Oct 1 13:59:59 2011', 'Mar 20 02:00:00 2011', 'Oct 2 01:59:59 2011');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2011', 'Mar 17 13:59:59 2012', 'Oct 2 03:00:00 2011', 'Mar 18 02:59:59 2012');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 17 14:00:00 2012', 'Oct 6 13:59:59 2012', 'Mar 18 02:00:00 2012', 'Oct 7 01:59:59 2012');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2012', 'Mar 16 13:59:59 2013', 'Oct 7 03:00:00 2012', 'Mar 17 02:59:59 2013');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 16 14:00:00 2013', 'Oct 5 13:59:59 2013', 'Mar 17 02:00:00 2013', 'Oct 6 01:59:59 2013');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2013', 'Mar 15 13:59:59 2014', 'Oct 6 03:00:00 2013', 'Mar 16 02:59:59 2014');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 15 14:00:00 2014', 'Oct 4 13:59:59 2014', 'Mar 16 02:00:00 2014', 'Oct 5 01:59:59 2014');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2014', 'Mar 14 13:59:59 2015', 'Oct 5 03:00:00 2014', 'Mar 15 02:59:59 2015');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 14 14:00:00 2015', 'Oct 3 13:59:59 2015', 'Mar 15 02:00:00 2015', 'Oct 4 01:59:59 2015');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2015', 'Mar 19 13:59:59 2016', 'Oct 4 03:00:00 2015', 'Mar 20 02:59:59 2016');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 19 14:00:00 2016', 'Oct 1 13:59:59 2016', 'Mar 20 02:00:00 2016', 'Oct 2 01:59:59 2016');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2016', 'Mar 18 13:59:59 2017', 'Oct 2 03:00:00 2016', 'Mar 19 02:59:59 2017');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 18 14:00:00 2017', 'Sep 30 13:59:59 2017', 'Mar 19 02:00:00 2017', 'Oct 1 01:59:59 2017');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2017', 'Mar 17 13:59:59 2018', 'Oct 1 03:00:00 2017', 'Mar 18 02:59:59 2018');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 17 14:00:00 2018', 'Oct 6 13:59:59 2018', 'Mar 18 02:00:00 2018', 'Oct 7 01:59:59 2018');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2018', 'Mar 16 13:59:59 2019', 'Oct 7 03:00:00 2018', 'Mar 17 02:59:59 2019');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 16 14:00:00 2019', 'Oct 5 13:59:59 2019', 'Mar 17 02:00:00 2019', 'Oct 6 01:59:59 2019');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2019', 'Mar 14 13:59:59 2020', 'Oct 6 03:00:00 2019', 'Mar 15 02:59:59 2020');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 14 14:00:00 2020', 'Oct 3 13:59:59 2020', 'Mar 15 02:00:00 2020', 'Oct 4 01:59:59 2020');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2020', 'Mar 20 13:59:59 2021', 'Oct 4 03:00:00 2020', 'Mar 21 02:59:59 2021');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 20 14:00:00 2021', 'Oct 2 13:59:59 2021', 'Mar 21 02:00:00 2021', 'Oct 3 01:59:59 2021');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2021', 'Mar 19 13:59:59 2022', 'Oct 3 03:00:00 2021', 'Mar 20 02:59:59 2022');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 19 14:00:00 2022', 'Oct 1 13:59:59 2022', 'Mar 20 02:00:00 2022', 'Oct 2 01:59:59 2022');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2022', 'Mar 18 13:59:59 2023', 'Oct 2 03:00:00 2022', 'Mar 19 02:59:59 2023');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 18 14:00:00 2023', 'Sep 30 13:59:59 2023', 'Mar 19 02:00:00 2023', 'Oct 1 01:59:59 2023');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2023', 'Mar 16 13:59:59 2024', 'Oct 1 03:00:00 2023', 'Mar 17 02:59:59 2024');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 16 14:00:00 2024', 'Oct 5 13:59:59 2024', 'Mar 17 02:00:00 2024', 'Oct 6 01:59:59 2024');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2024', 'Mar 15 13:59:59 2025', 'Oct 6 03:00:00 2024', 'Mar 16 02:59:59 2025');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 15 14:00:00 2025', 'Oct 4 13:59:59 2025', 'Mar 16 02:00:00 2025', 'Oct 5 01:59:59 2025');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2025', 'Mar 14 13:59:59 2026', 'Oct 5 03:00:00 2025', 'Mar 15 02:59:59 2026');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 14 14:00:00 2026', 'Oct 3 13:59:59 2026', 'Mar 15 02:00:00 2026', 'Oct 4 01:59:59 2026');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2026', 'Mar 20 13:59:59 2027', 'Oct 4 03:00:00 2026', 'Mar 21 02:59:59 2027');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 20 14:00:00 2027', 'Oct 2 13:59:59 2027', 'Mar 21 02:00:00 2027', 'Oct 3 01:59:59 2027');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2027', 'Mar 18 13:59:59 2028', 'Oct 3 03:00:00 2027', 'Mar 19 02:59:59 2028');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 18 14:00:00 2028', 'Sep 30 13:59:59 2028', 'Mar 19 02:00:00 2028', 'Oct 1 01:59:59 2028');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2028', 'Mar 17 13:59:59 2029', 'Oct 1 03:00:00 2028', 'Mar 18 02:59:59 2029');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 17 14:00:00 2029', 'Oct 6 13:59:59 2029', 'Mar 18 02:00:00 2029', 'Oct 7 01:59:59 2029');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2029', 'Mar 16 13:59:59 2030', 'Oct 7 03:00:00 2029', 'Mar 17 02:59:59 2030');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 16 14:00:00 2030', 'Oct 5 13:59:59 2030', 'Mar 17 02:00:00 2030', 'Oct 6 01:59:59 2030');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2030', 'Mar 15 13:59:59 2031', 'Oct 6 03:00:00 2030', 'Mar 16 02:59:59 2031');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 15 14:00:00 2031', 'Oct 4 13:59:59 2031', 'Mar 16 02:00:00 2031', 'Oct 5 01:59:59 2031');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2031', 'Mar 20 13:59:59 2032', 'Oct 5 03:00:00 2031', 'Mar 21 02:59:59 2032');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 20 14:00:00 2032', 'Oct 2 13:59:59 2032', 'Mar 21 02:00:00 2032', 'Oct 3 01:59:59 2032');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2032', 'Mar 19 13:59:59 2033', 'Oct 3 03:00:00 2032', 'Mar 20 02:59:59 2033');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 19 14:00:00 2033', 'Oct 1 13:59:59 2033', 'Mar 20 02:00:00 2033', 'Oct 2 01:59:59 2033');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2033', 'Mar 18 13:59:59 2034', 'Oct 2 03:00:00 2033', 'Mar 19 02:59:59 2034');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 18 14:00:00 2034', 'Sep 30 13:59:59 2034', 'Mar 19 02:00:00 2034', 'Oct 1 01:59:59 2034');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2034', 'Mar 17 13:59:59 2035', 'Oct 1 03:00:00 2034', 'Mar 18 02:59:59 2035');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 17 14:00:00 2035', 'Oct 6 13:59:59 2035', 'Mar 18 02:00:00 2035', 'Oct 7 01:59:59 2035');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2035', 'Mar 15 13:59:59 2036', 'Oct 7 03:00:00 2035', 'Mar 16 02:59:59 2036');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 15 14:00:00 2036', 'Oct 4 13:59:59 2036', 'Mar 16 02:00:00 2036', 'Oct 5 01:59:59 2036');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2036', 'Mar 14 13:59:59 2037', 'Oct 5 03:00:00 2036', 'Mar 15 02:59:59 2037');
timezone.add_rule('Antarctica/McMurdo', 'NZST', 0, 43200, 'Mar 14 14:00:00 2037', 'Oct 3 13:59:59 2037', 'Mar 15 02:00:00 2037', 'Oct 4 01:59:59 2037');
timezone.add_rule('Antarctica/McMurdo', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 4 03:00:00 2037', 'Jan 18 16:14:07 2038');
end;
/

--
-- Antarctica/Palmer
--

begin
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, 0, 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1964', 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1964');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Jan 1 00:00:00 1965', 'Mar 1 02:59:59 1965', 'Dec 31 21:00:00 1964', 'Feb 28 23:59:59 1965');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 1 03:00:00 1965', 'Oct 15 03:59:59 1965', 'Feb 28 23:00:00 1965', 'Oct 14 23:59:59 1965');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Oct 15 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 1 03:00:00 1966', 'Oct 15 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 14 23:59:59 1966');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 1966', 'Apr 1 02:59:59 1967', 'Oct 15 01:00:00 1966', 'Mar 31 23:59:59 1967');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Apr 1 03:00:00 1967', 'Oct 1 03:59:59 1967', 'Mar 31 23:00:00 1967', 'Sep 30 23:59:59 1967');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 1 04:00:00 1967', 'Apr 7 02:59:59 1968', 'Oct 1 01:00:00 1967', 'Apr 6 23:59:59 1968');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Apr 7 03:00:00 1968', 'Oct 6 03:59:59 1968', 'Apr 6 23:00:00 1968', 'Oct 5 23:59:59 1968');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 6 04:00:00 1968', 'Apr 6 02:59:59 1969', 'Oct 6 01:00:00 1968', 'Apr 5 23:59:59 1969');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Apr 6 03:00:00 1969', 'Oct 5 03:59:59 1969', 'Apr 5 23:00:00 1969', 'Oct 4 23:59:59 1969');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -10800, 'Oct 5 04:00:00 1969', 'Jan 23 02:59:59 1974', 'Oct 5 01:00:00 1969', 'Jan 22 23:59:59 1974');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -7200, 'Jan 23 03:00:00 1974', 'May 1 01:59:59 1974', 'Jan 23 01:00:00 1974', 'Apr 30 23:59:59 1974');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -10800, 'May 1 02:00:00 1974', 'Oct 6 02:59:59 1974', 'Apr 30 23:00:00 1974', 'Oct 5 23:59:59 1974');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -7200, 'Oct 6 03:00:00 1974', 'Apr 6 01:59:59 1975', 'Oct 6 01:00:00 1974', 'Apr 5 23:59:59 1975');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -10800, 'Apr 6 02:00:00 1975', 'Oct 5 02:59:59 1975', 'Apr 5 23:00:00 1975', 'Oct 4 23:59:59 1975');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -7200, 'Oct 5 03:00:00 1975', 'Apr 4 01:59:59 1976', 'Oct 5 01:00:00 1975', 'Apr 3 23:59:59 1976');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -10800, 'Apr 4 02:00:00 1976', 'Oct 3 02:59:59 1976', 'Apr 3 23:00:00 1976', 'Oct 2 23:59:59 1976');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -7200, 'Oct 3 03:00:00 1976', 'Apr 3 01:59:59 1977', 'Oct 3 01:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -10800, 'Apr 3 02:00:00 1977', 'May 1 02:59:59 1982', 'Apr 2 23:00:00 1977', 'Apr 30 23:59:59 1982');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'May 1 03:00:00 1982', 'Oct 10 03:59:59 1982', 'Apr 30 23:00:00 1982', 'Oct 9 23:59:59 1982');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 10 04:00:00 1982', 'Mar 13 02:59:59 1983', 'Oct 10 01:00:00 1982', 'Mar 12 23:59:59 1983');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 13 03:00:00 1983', 'Oct 9 03:59:59 1983', 'Mar 12 23:00:00 1983', 'Oct 8 23:59:59 1983');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 9 04:00:00 1983', 'Mar 11 02:59:59 1984', 'Oct 9 01:00:00 1983', 'Mar 10 23:59:59 1984');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 11 03:00:00 1984', 'Oct 14 03:59:59 1984', 'Mar 10 23:00:00 1984', 'Oct 13 23:59:59 1984');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 14 04:00:00 1984', 'Mar 10 02:59:59 1985', 'Oct 14 01:00:00 1984', 'Mar 9 23:59:59 1985');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 10 03:00:00 1985', 'Oct 13 03:59:59 1985', 'Mar 9 23:00:00 1985', 'Oct 12 23:59:59 1985');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 13 04:00:00 1985', 'Mar 9 02:59:59 1986', 'Oct 13 01:00:00 1985', 'Mar 8 23:59:59 1986');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 9 03:00:00 1986', 'Oct 12 03:59:59 1986', 'Mar 8 23:00:00 1986', 'Oct 11 23:59:59 1986');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 12 04:00:00 1986', 'Mar 15 02:59:59 1987', 'Oct 12 01:00:00 1986', 'Mar 14 23:59:59 1987');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 15 03:00:00 1987', 'Oct 11 03:59:59 1987', 'Mar 14 23:00:00 1987', 'Oct 10 23:59:59 1987');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 11 04:00:00 1987', 'Mar 13 02:59:59 1988', 'Oct 11 01:00:00 1987', 'Mar 12 23:59:59 1988');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 13 03:00:00 1988', 'Oct 9 03:59:59 1988', 'Mar 12 23:00:00 1988', 'Oct 8 23:59:59 1988');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 9 04:00:00 1988', 'Mar 12 02:59:59 1989', 'Oct 9 01:00:00 1988', 'Mar 11 23:59:59 1989');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 12 03:00:00 1989', 'Oct 15 03:59:59 1989', 'Mar 11 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 1989', 'Mar 11 02:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 10 23:59:59 1990');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 11 03:00:00 1990', 'Oct 14 03:59:59 1990', 'Mar 10 23:00:00 1990', 'Oct 13 23:59:59 1990');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 14 04:00:00 1990', 'Mar 10 02:59:59 1991', 'Oct 14 01:00:00 1990', 'Mar 9 23:59:59 1991');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 10 03:00:00 1991', 'Oct 13 03:59:59 1991', 'Mar 9 23:00:00 1991', 'Oct 12 23:59:59 1991');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 13 04:00:00 1991', 'Mar 15 02:59:59 1992', 'Oct 13 01:00:00 1991', 'Mar 14 23:59:59 1992');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 15 03:00:00 1992', 'Oct 11 03:59:59 1992', 'Mar 14 23:00:00 1992', 'Oct 10 23:59:59 1992');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 11 04:00:00 1992', 'Mar 14 02:59:59 1993', 'Oct 11 01:00:00 1992', 'Mar 13 23:59:59 1993');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 14 03:00:00 1993', 'Oct 10 03:59:59 1993', 'Mar 13 23:00:00 1993', 'Oct 9 23:59:59 1993');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 10 04:00:00 1993', 'Mar 13 02:59:59 1994', 'Oct 10 01:00:00 1993', 'Mar 12 23:59:59 1994');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 13 03:00:00 1994', 'Oct 9 03:59:59 1994', 'Mar 12 23:00:00 1994', 'Oct 8 23:59:59 1994');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 9 04:00:00 1994', 'Mar 12 02:59:59 1995', 'Oct 9 01:00:00 1994', 'Mar 11 23:59:59 1995');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 12 03:00:00 1995', 'Oct 15 03:59:59 1995', 'Mar 11 23:00:00 1995', 'Oct 14 23:59:59 1995');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 1995', 'Mar 10 02:59:59 1996', 'Oct 15 01:00:00 1995', 'Mar 9 23:59:59 1996');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 10 03:00:00 1996', 'Oct 13 03:59:59 1996', 'Mar 9 23:00:00 1996', 'Oct 12 23:59:59 1996');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 13 04:00:00 1996', 'Mar 9 02:59:59 1997', 'Oct 13 01:00:00 1996', 'Mar 8 23:59:59 1997');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 9 03:00:00 1997', 'Oct 12 03:59:59 1997', 'Mar 8 23:00:00 1997', 'Oct 11 23:59:59 1997');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 12 04:00:00 1997', 'Mar 15 02:59:59 1998', 'Oct 12 01:00:00 1997', 'Mar 14 23:59:59 1998');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 15 03:00:00 1998', 'Sep 27 03:59:59 1998', 'Mar 14 23:00:00 1998', 'Sep 26 23:59:59 1998');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Sep 27 04:00:00 1998', 'Apr 4 02:59:59 1999', 'Sep 27 01:00:00 1998', 'Apr 3 23:59:59 1999');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Apr 4 03:00:00 1999', 'Oct 10 03:59:59 1999', 'Apr 3 23:00:00 1999', 'Oct 9 23:59:59 1999');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 10 04:00:00 1999', 'Mar 12 02:59:59 2000', 'Oct 10 01:00:00 1999', 'Mar 11 23:59:59 2000');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 12 03:00:00 2000', 'Oct 15 03:59:59 2000', 'Mar 11 23:00:00 2000', 'Oct 14 23:59:59 2000');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 2000', 'Mar 11 02:59:59 2001', 'Oct 15 01:00:00 2000', 'Mar 10 23:59:59 2001');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 11 03:00:00 2001', 'Oct 14 03:59:59 2001', 'Mar 10 23:00:00 2001', 'Oct 13 23:59:59 2001');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 14 04:00:00 2001', 'Mar 10 02:59:59 2002', 'Oct 14 01:00:00 2001', 'Mar 9 23:59:59 2002');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 10 03:00:00 2002', 'Oct 13 03:59:59 2002', 'Mar 9 23:00:00 2002', 'Oct 12 23:59:59 2002');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 13 04:00:00 2002', 'Mar 9 02:59:59 2003', 'Oct 13 01:00:00 2002', 'Mar 8 23:59:59 2003');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 9 03:00:00 2003', 'Oct 12 03:59:59 2003', 'Mar 8 23:00:00 2003', 'Oct 11 23:59:59 2003');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 12 04:00:00 2003', 'Mar 14 02:59:59 2004', 'Oct 12 01:00:00 2003', 'Mar 13 23:59:59 2004');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 14 03:00:00 2004', 'Oct 10 03:59:59 2004', 'Mar 13 23:00:00 2004', 'Oct 9 23:59:59 2004');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 10 04:00:00 2004', 'Mar 13 02:59:59 2005', 'Oct 10 01:00:00 2004', 'Mar 12 23:59:59 2005');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 13 03:00:00 2005', 'Oct 9 03:59:59 2005', 'Mar 12 23:00:00 2005', 'Oct 8 23:59:59 2005');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 9 04:00:00 2005', 'Mar 12 02:59:59 2006', 'Oct 9 01:00:00 2005', 'Mar 11 23:59:59 2006');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 12 03:00:00 2006', 'Oct 15 03:59:59 2006', 'Mar 11 23:00:00 2006', 'Oct 14 23:59:59 2006');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 2006', 'Mar 11 02:59:59 2007', 'Oct 15 01:00:00 2006', 'Mar 10 23:59:59 2007');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 11 03:00:00 2007', 'Oct 14 03:59:59 2007', 'Mar 10 23:00:00 2007', 'Oct 13 23:59:59 2007');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 14 04:00:00 2007', 'Mar 9 02:59:59 2008', 'Oct 14 01:00:00 2007', 'Mar 8 23:59:59 2008');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 9 03:00:00 2008', 'Oct 12 03:59:59 2008', 'Mar 8 23:00:00 2008', 'Oct 11 23:59:59 2008');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 12 04:00:00 2008', 'Mar 15 02:59:59 2009', 'Oct 12 01:00:00 2008', 'Mar 14 23:59:59 2009');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 15 03:00:00 2009', 'Oct 11 03:59:59 2009', 'Mar 14 23:00:00 2009', 'Oct 10 23:59:59 2009');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 11 04:00:00 2009', 'Mar 14 02:59:59 2010', 'Oct 11 01:00:00 2009', 'Mar 13 23:59:59 2010');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 14 03:00:00 2010', 'Oct 10 03:59:59 2010', 'Mar 13 23:00:00 2010', 'Oct 9 23:59:59 2010');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 10 04:00:00 2010', 'Mar 13 02:59:59 2011', 'Oct 10 01:00:00 2010', 'Mar 12 23:59:59 2011');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 13 03:00:00 2011', 'Oct 9 03:59:59 2011', 'Mar 12 23:00:00 2011', 'Oct 8 23:59:59 2011');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 9 04:00:00 2011', 'Mar 11 02:59:59 2012', 'Oct 9 01:00:00 2011', 'Mar 10 23:59:59 2012');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 11 03:00:00 2012', 'Oct 14 03:59:59 2012', 'Mar 10 23:00:00 2012', 'Oct 13 23:59:59 2012');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 14 04:00:00 2012', 'Mar 10 02:59:59 2013', 'Oct 14 01:00:00 2012', 'Mar 9 23:59:59 2013');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 10 03:00:00 2013', 'Oct 13 03:59:59 2013', 'Mar 9 23:00:00 2013', 'Oct 12 23:59:59 2013');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 13 04:00:00 2013', 'Mar 9 02:59:59 2014', 'Oct 13 01:00:00 2013', 'Mar 8 23:59:59 2014');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 9 03:00:00 2014', 'Oct 12 03:59:59 2014', 'Mar 8 23:00:00 2014', 'Oct 11 23:59:59 2014');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 12 04:00:00 2014', 'Mar 15 02:59:59 2015', 'Oct 12 01:00:00 2014', 'Mar 14 23:59:59 2015');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 15 03:00:00 2015', 'Oct 11 03:59:59 2015', 'Mar 14 23:00:00 2015', 'Oct 10 23:59:59 2015');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 11 04:00:00 2015', 'Mar 13 02:59:59 2016', 'Oct 11 01:00:00 2015', 'Mar 12 23:59:59 2016');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 13 03:00:00 2016', 'Oct 9 03:59:59 2016', 'Mar 12 23:00:00 2016', 'Oct 8 23:59:59 2016');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 9 04:00:00 2016', 'Mar 12 02:59:59 2017', 'Oct 9 01:00:00 2016', 'Mar 11 23:59:59 2017');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 12 03:00:00 2017', 'Oct 15 03:59:59 2017', 'Mar 11 23:00:00 2017', 'Oct 14 23:59:59 2017');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 2017', 'Mar 11 02:59:59 2018', 'Oct 15 01:00:00 2017', 'Mar 10 23:59:59 2018');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 11 03:00:00 2018', 'Oct 14 03:59:59 2018', 'Mar 10 23:00:00 2018', 'Oct 13 23:59:59 2018');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 14 04:00:00 2018', 'Mar 10 02:59:59 2019', 'Oct 14 01:00:00 2018', 'Mar 9 23:59:59 2019');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 10 03:00:00 2019', 'Oct 13 03:59:59 2019', 'Mar 9 23:00:00 2019', 'Oct 12 23:59:59 2019');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 13 04:00:00 2019', 'Mar 15 02:59:59 2020', 'Oct 13 01:00:00 2019', 'Mar 14 23:59:59 2020');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 15 03:00:00 2020', 'Oct 11 03:59:59 2020', 'Mar 14 23:00:00 2020', 'Oct 10 23:59:59 2020');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 11 04:00:00 2020', 'Mar 14 02:59:59 2021', 'Oct 11 01:00:00 2020', 'Mar 13 23:59:59 2021');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 14 03:00:00 2021', 'Oct 10 03:59:59 2021', 'Mar 13 23:00:00 2021', 'Oct 9 23:59:59 2021');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 10 04:00:00 2021', 'Mar 13 02:59:59 2022', 'Oct 10 01:00:00 2021', 'Mar 12 23:59:59 2022');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 13 03:00:00 2022', 'Oct 9 03:59:59 2022', 'Mar 12 23:00:00 2022', 'Oct 8 23:59:59 2022');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 9 04:00:00 2022', 'Mar 12 02:59:59 2023', 'Oct 9 01:00:00 2022', 'Mar 11 23:59:59 2023');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 12 03:00:00 2023', 'Oct 15 03:59:59 2023', 'Mar 11 23:00:00 2023', 'Oct 14 23:59:59 2023');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 2023', 'Mar 10 02:59:59 2024', 'Oct 15 01:00:00 2023', 'Mar 9 23:59:59 2024');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 10 03:00:00 2024', 'Oct 13 03:59:59 2024', 'Mar 9 23:00:00 2024', 'Oct 12 23:59:59 2024');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 13 04:00:00 2024', 'Mar 9 02:59:59 2025', 'Oct 13 01:00:00 2024', 'Mar 8 23:59:59 2025');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 9 03:00:00 2025', 'Oct 12 03:59:59 2025', 'Mar 8 23:00:00 2025', 'Oct 11 23:59:59 2025');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 12 04:00:00 2025', 'Mar 15 02:59:59 2026', 'Oct 12 01:00:00 2025', 'Mar 14 23:59:59 2026');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 15 03:00:00 2026', 'Oct 11 03:59:59 2026', 'Mar 14 23:00:00 2026', 'Oct 10 23:59:59 2026');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 11 04:00:00 2026', 'Mar 14 02:59:59 2027', 'Oct 11 01:00:00 2026', 'Mar 13 23:59:59 2027');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 14 03:00:00 2027', 'Oct 10 03:59:59 2027', 'Mar 13 23:00:00 2027', 'Oct 9 23:59:59 2027');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 10 04:00:00 2027', 'Mar 12 02:59:59 2028', 'Oct 10 01:00:00 2027', 'Mar 11 23:59:59 2028');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 12 03:00:00 2028', 'Oct 15 03:59:59 2028', 'Mar 11 23:00:00 2028', 'Oct 14 23:59:59 2028');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 2028', 'Mar 11 02:59:59 2029', 'Oct 15 01:00:00 2028', 'Mar 10 23:59:59 2029');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 11 03:00:00 2029', 'Oct 14 03:59:59 2029', 'Mar 10 23:00:00 2029', 'Oct 13 23:59:59 2029');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 14 04:00:00 2029', 'Mar 10 02:59:59 2030', 'Oct 14 01:00:00 2029', 'Mar 9 23:59:59 2030');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 10 03:00:00 2030', 'Oct 13 03:59:59 2030', 'Mar 9 23:00:00 2030', 'Oct 12 23:59:59 2030');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 13 04:00:00 2030', 'Mar 9 02:59:59 2031', 'Oct 13 01:00:00 2030', 'Mar 8 23:59:59 2031');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 9 03:00:00 2031', 'Oct 12 03:59:59 2031', 'Mar 8 23:00:00 2031', 'Oct 11 23:59:59 2031');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 12 04:00:00 2031', 'Mar 14 02:59:59 2032', 'Oct 12 01:00:00 2031', 'Mar 13 23:59:59 2032');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 14 03:00:00 2032', 'Oct 10 03:59:59 2032', 'Mar 13 23:00:00 2032', 'Oct 9 23:59:59 2032');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 10 04:00:00 2032', 'Mar 13 02:59:59 2033', 'Oct 10 01:00:00 2032', 'Mar 12 23:59:59 2033');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 13 03:00:00 2033', 'Oct 9 03:59:59 2033', 'Mar 12 23:00:00 2033', 'Oct 8 23:59:59 2033');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 9 04:00:00 2033', 'Mar 12 02:59:59 2034', 'Oct 9 01:00:00 2033', 'Mar 11 23:59:59 2034');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 12 03:00:00 2034', 'Oct 15 03:59:59 2034', 'Mar 11 23:00:00 2034', 'Oct 14 23:59:59 2034');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 15 04:00:00 2034', 'Mar 11 02:59:59 2035', 'Oct 15 01:00:00 2034', 'Mar 10 23:59:59 2035');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 11 03:00:00 2035', 'Oct 14 03:59:59 2035', 'Mar 10 23:00:00 2035', 'Oct 13 23:59:59 2035');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 14 04:00:00 2035', 'Mar 9 02:59:59 2036', 'Oct 14 01:00:00 2035', 'Mar 8 23:59:59 2036');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 9 03:00:00 2036', 'Oct 12 03:59:59 2036', 'Mar 8 23:00:00 2036', 'Oct 11 23:59:59 2036');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 12 04:00:00 2036', 'Mar 15 02:59:59 2037', 'Oct 12 01:00:00 2036', 'Mar 14 23:59:59 2037');
timezone.add_rule('Antarctica/Palmer', 'CLT', 0, -14400, 'Mar 15 03:00:00 2037', 'Oct 11 03:59:59 2037', 'Mar 14 23:00:00 2037', 'Oct 10 23:59:59 2037');
timezone.add_rule('Antarctica/Palmer', 'CLST', 1, -10800, 'Oct 11 04:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 11 01:00:00 2037', 'Jan 18 00:14:07 2038');
end;
/

--
-- Antarctica/South_Pole
--

begin
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 0, 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1955', 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1955');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Jan 1 00:00:00 1956', 'Nov 2 13:59:59 1974', 'Jan 1 12:00:00 1956', 'Nov 3 01:59:59 1974');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Nov 2 14:00:00 1974', 'Feb 22 13:59:59 1975', 'Nov 3 03:00:00 1974', 'Feb 23 02:59:59 1975');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Feb 22 14:00:00 1975', 'Oct 25 13:59:59 1975', 'Feb 23 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1975', 'Mar 6 13:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 6 14:00:00 1976', 'Oct 30 13:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 30 14:00:00 1976', 'Mar 5 13:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 5 14:00:00 1977', 'Oct 29 13:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1977', 'Mar 4 13:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 4 14:00:00 1978', 'Oct 28 13:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 28 14:00:00 1978', 'Mar 3 13:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 3 14:00:00 1979', 'Oct 27 13:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 27 14:00:00 1979', 'Mar 1 13:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 1 14:00:00 1980', 'Oct 25 13:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1980', 'Feb 28 13:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Feb 28 14:00:00 1981', 'Oct 24 13:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 24 14:00:00 1981', 'Mar 6 13:59:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 6 14:00:00 1982', 'Oct 30 13:59:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 30 14:00:00 1982', 'Mar 5 13:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 5 14:00:00 1983', 'Oct 29 13:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1983', 'Mar 3 13:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 3 14:00:00 1984', 'Oct 27 13:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 27 14:00:00 1984', 'Mar 2 13:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 2 14:00:00 1985', 'Oct 26 13:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 26 14:00:00 1985', 'Mar 1 13:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 2 02:59:59 1986');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 1 14:00:00 1986', 'Oct 25 13:59:59 1986', 'Mar 2 02:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1986', 'Feb 28 13:59:59 1987', 'Oct 26 03:00:00 1986', 'Mar 1 02:59:59 1987');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Feb 28 14:00:00 1987', 'Oct 24 13:59:59 1987', 'Mar 1 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 24 14:00:00 1987', 'Mar 5 13:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 6 02:59:59 1988');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 5 14:00:00 1988', 'Oct 29 13:59:59 1988', 'Mar 6 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1988', 'Mar 4 13:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 5 02:59:59 1989');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 4 14:00:00 1989', 'Oct 7 13:59:59 1989', 'Mar 5 02:00:00 1989', 'Oct 8 01:59:59 1989');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 7 14:00:00 1989', 'Mar 17 13:59:59 1990', 'Oct 8 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 17 14:00:00 1990', 'Oct 6 13:59:59 1990', 'Mar 18 02:00:00 1990', 'Oct 7 01:59:59 1990');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 6 14:00:00 1990', 'Mar 16 13:59:59 1991', 'Oct 7 03:00:00 1990', 'Mar 17 02:59:59 1991');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 16 14:00:00 1991', 'Oct 5 13:59:59 1991', 'Mar 17 02:00:00 1991', 'Oct 6 01:59:59 1991');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 5 14:00:00 1991', 'Mar 14 13:59:59 1992', 'Oct 6 03:00:00 1991', 'Mar 15 02:59:59 1992');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 14 14:00:00 1992', 'Oct 3 13:59:59 1992', 'Mar 15 02:00:00 1992', 'Oct 4 01:59:59 1992');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 3 14:00:00 1992', 'Mar 20 13:59:59 1993', 'Oct 4 03:00:00 1992', 'Mar 21 02:59:59 1993');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 20 14:00:00 1993', 'Oct 2 13:59:59 1993', 'Mar 21 02:00:00 1993', 'Oct 3 01:59:59 1993');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 2 14:00:00 1993', 'Mar 19 13:59:59 1994', 'Oct 3 03:00:00 1993', 'Mar 20 02:59:59 1994');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 19 14:00:00 1994', 'Oct 1 13:59:59 1994', 'Mar 20 02:00:00 1994', 'Oct 2 01:59:59 1994');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 1 14:00:00 1994', 'Mar 18 13:59:59 1995', 'Oct 2 03:00:00 1994', 'Mar 19 02:59:59 1995');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 18 14:00:00 1995', 'Sep 30 13:59:59 1995', 'Mar 19 02:00:00 1995', 'Oct 1 01:59:59 1995');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Sep 30 14:00:00 1995', 'Mar 16 13:59:59 1996', 'Oct 1 03:00:00 1995', 'Mar 17 02:59:59 1996');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 16 14:00:00 1996', 'Oct 5 13:59:59 1996', 'Mar 17 02:00:00 1996', 'Oct 6 01:59:59 1996');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 5 14:00:00 1996', 'Mar 15 13:59:59 1997', 'Oct 6 03:00:00 1996', 'Mar 16 02:59:59 1997');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 15 14:00:00 1997', 'Oct 4 13:59:59 1997', 'Mar 16 02:00:00 1997', 'Oct 5 01:59:59 1997');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 4 14:00:00 1997', 'Mar 14 13:59:59 1998', 'Oct 5 03:00:00 1997', 'Mar 15 02:59:59 1998');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 14 14:00:00 1998', 'Oct 3 13:59:59 1998', 'Mar 15 02:00:00 1998', 'Oct 4 01:59:59 1998');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 3 14:00:00 1998', 'Mar 20 13:59:59 1999', 'Oct 4 03:00:00 1998', 'Mar 21 02:59:59 1999');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 20 14:00:00 1999', 'Oct 2 13:59:59 1999', 'Mar 21 02:00:00 1999', 'Oct 3 01:59:59 1999');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 2 14:00:00 1999', 'Mar 18 13:59:59 2000', 'Oct 3 03:00:00 1999', 'Mar 19 02:59:59 2000');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 18 14:00:00 2000', 'Sep 30 13:59:59 2000', 'Mar 19 02:00:00 2000', 'Oct 1 01:59:59 2000');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2000', 'Mar 17 13:59:59 2001', 'Oct 1 03:00:00 2000', 'Mar 18 02:59:59 2001');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 17 14:00:00 2001', 'Oct 6 13:59:59 2001', 'Mar 18 02:00:00 2001', 'Oct 7 01:59:59 2001');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2001', 'Mar 16 13:59:59 2002', 'Oct 7 03:00:00 2001', 'Mar 17 02:59:59 2002');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 16 14:00:00 2002', 'Oct 5 13:59:59 2002', 'Mar 17 02:00:00 2002', 'Oct 6 01:59:59 2002');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2002', 'Mar 15 13:59:59 2003', 'Oct 6 03:00:00 2002', 'Mar 16 02:59:59 2003');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 15 14:00:00 2003', 'Oct 4 13:59:59 2003', 'Mar 16 02:00:00 2003', 'Oct 5 01:59:59 2003');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2003', 'Mar 20 13:59:59 2004', 'Oct 5 03:00:00 2003', 'Mar 21 02:59:59 2004');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 20 14:00:00 2004', 'Oct 2 13:59:59 2004', 'Mar 21 02:00:00 2004', 'Oct 3 01:59:59 2004');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2004', 'Mar 19 13:59:59 2005', 'Oct 3 03:00:00 2004', 'Mar 20 02:59:59 2005');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 19 14:00:00 2005', 'Oct 1 13:59:59 2005', 'Mar 20 02:00:00 2005', 'Oct 2 01:59:59 2005');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2005', 'Mar 18 13:59:59 2006', 'Oct 2 03:00:00 2005', 'Mar 19 02:59:59 2006');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 18 14:00:00 2006', 'Sep 30 13:59:59 2006', 'Mar 19 02:00:00 2006', 'Oct 1 01:59:59 2006');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2006', 'Mar 17 13:59:59 2007', 'Oct 1 03:00:00 2006', 'Mar 18 02:59:59 2007');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 17 14:00:00 2007', 'Oct 6 13:59:59 2007', 'Mar 18 02:00:00 2007', 'Oct 7 01:59:59 2007');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2007', 'Mar 15 13:59:59 2008', 'Oct 7 03:00:00 2007', 'Mar 16 02:59:59 2008');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 15 14:00:00 2008', 'Oct 4 13:59:59 2008', 'Mar 16 02:00:00 2008', 'Oct 5 01:59:59 2008');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2008', 'Mar 14 13:59:59 2009', 'Oct 5 03:00:00 2008', 'Mar 15 02:59:59 2009');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 14 14:00:00 2009', 'Oct 3 13:59:59 2009', 'Mar 15 02:00:00 2009', 'Oct 4 01:59:59 2009');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2009', 'Mar 20 13:59:59 2010', 'Oct 4 03:00:00 2009', 'Mar 21 02:59:59 2010');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 20 14:00:00 2010', 'Oct 2 13:59:59 2010', 'Mar 21 02:00:00 2010', 'Oct 3 01:59:59 2010');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2010', 'Mar 19 13:59:59 2011', 'Oct 3 03:00:00 2010', 'Mar 20 02:59:59 2011');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 19 14:00:00 2011', 'Oct 1 13:59:59 2011', 'Mar 20 02:00:00 2011', 'Oct 2 01:59:59 2011');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2011', 'Mar 17 13:59:59 2012', 'Oct 2 03:00:00 2011', 'Mar 18 02:59:59 2012');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 17 14:00:00 2012', 'Oct 6 13:59:59 2012', 'Mar 18 02:00:00 2012', 'Oct 7 01:59:59 2012');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2012', 'Mar 16 13:59:59 2013', 'Oct 7 03:00:00 2012', 'Mar 17 02:59:59 2013');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 16 14:00:00 2013', 'Oct 5 13:59:59 2013', 'Mar 17 02:00:00 2013', 'Oct 6 01:59:59 2013');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2013', 'Mar 15 13:59:59 2014', 'Oct 6 03:00:00 2013', 'Mar 16 02:59:59 2014');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 15 14:00:00 2014', 'Oct 4 13:59:59 2014', 'Mar 16 02:00:00 2014', 'Oct 5 01:59:59 2014');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2014', 'Mar 14 13:59:59 2015', 'Oct 5 03:00:00 2014', 'Mar 15 02:59:59 2015');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 14 14:00:00 2015', 'Oct 3 13:59:59 2015', 'Mar 15 02:00:00 2015', 'Oct 4 01:59:59 2015');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2015', 'Mar 19 13:59:59 2016', 'Oct 4 03:00:00 2015', 'Mar 20 02:59:59 2016');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 19 14:00:00 2016', 'Oct 1 13:59:59 2016', 'Mar 20 02:00:00 2016', 'Oct 2 01:59:59 2016');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2016', 'Mar 18 13:59:59 2017', 'Oct 2 03:00:00 2016', 'Mar 19 02:59:59 2017');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 18 14:00:00 2017', 'Sep 30 13:59:59 2017', 'Mar 19 02:00:00 2017', 'Oct 1 01:59:59 2017');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2017', 'Mar 17 13:59:59 2018', 'Oct 1 03:00:00 2017', 'Mar 18 02:59:59 2018');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 17 14:00:00 2018', 'Oct 6 13:59:59 2018', 'Mar 18 02:00:00 2018', 'Oct 7 01:59:59 2018');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2018', 'Mar 16 13:59:59 2019', 'Oct 7 03:00:00 2018', 'Mar 17 02:59:59 2019');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 16 14:00:00 2019', 'Oct 5 13:59:59 2019', 'Mar 17 02:00:00 2019', 'Oct 6 01:59:59 2019');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2019', 'Mar 14 13:59:59 2020', 'Oct 6 03:00:00 2019', 'Mar 15 02:59:59 2020');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 14 14:00:00 2020', 'Oct 3 13:59:59 2020', 'Mar 15 02:00:00 2020', 'Oct 4 01:59:59 2020');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2020', 'Mar 20 13:59:59 2021', 'Oct 4 03:00:00 2020', 'Mar 21 02:59:59 2021');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 20 14:00:00 2021', 'Oct 2 13:59:59 2021', 'Mar 21 02:00:00 2021', 'Oct 3 01:59:59 2021');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2021', 'Mar 19 13:59:59 2022', 'Oct 3 03:00:00 2021', 'Mar 20 02:59:59 2022');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 19 14:00:00 2022', 'Oct 1 13:59:59 2022', 'Mar 20 02:00:00 2022', 'Oct 2 01:59:59 2022');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2022', 'Mar 18 13:59:59 2023', 'Oct 2 03:00:00 2022', 'Mar 19 02:59:59 2023');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 18 14:00:00 2023', 'Sep 30 13:59:59 2023', 'Mar 19 02:00:00 2023', 'Oct 1 01:59:59 2023');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2023', 'Mar 16 13:59:59 2024', 'Oct 1 03:00:00 2023', 'Mar 17 02:59:59 2024');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 16 14:00:00 2024', 'Oct 5 13:59:59 2024', 'Mar 17 02:00:00 2024', 'Oct 6 01:59:59 2024');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2024', 'Mar 15 13:59:59 2025', 'Oct 6 03:00:00 2024', 'Mar 16 02:59:59 2025');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 15 14:00:00 2025', 'Oct 4 13:59:59 2025', 'Mar 16 02:00:00 2025', 'Oct 5 01:59:59 2025');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2025', 'Mar 14 13:59:59 2026', 'Oct 5 03:00:00 2025', 'Mar 15 02:59:59 2026');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 14 14:00:00 2026', 'Oct 3 13:59:59 2026', 'Mar 15 02:00:00 2026', 'Oct 4 01:59:59 2026');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2026', 'Mar 20 13:59:59 2027', 'Oct 4 03:00:00 2026', 'Mar 21 02:59:59 2027');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 20 14:00:00 2027', 'Oct 2 13:59:59 2027', 'Mar 21 02:00:00 2027', 'Oct 3 01:59:59 2027');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2027', 'Mar 18 13:59:59 2028', 'Oct 3 03:00:00 2027', 'Mar 19 02:59:59 2028');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 18 14:00:00 2028', 'Sep 30 13:59:59 2028', 'Mar 19 02:00:00 2028', 'Oct 1 01:59:59 2028');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2028', 'Mar 17 13:59:59 2029', 'Oct 1 03:00:00 2028', 'Mar 18 02:59:59 2029');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 17 14:00:00 2029', 'Oct 6 13:59:59 2029', 'Mar 18 02:00:00 2029', 'Oct 7 01:59:59 2029');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2029', 'Mar 16 13:59:59 2030', 'Oct 7 03:00:00 2029', 'Mar 17 02:59:59 2030');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 16 14:00:00 2030', 'Oct 5 13:59:59 2030', 'Mar 17 02:00:00 2030', 'Oct 6 01:59:59 2030');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2030', 'Mar 15 13:59:59 2031', 'Oct 6 03:00:00 2030', 'Mar 16 02:59:59 2031');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 15 14:00:00 2031', 'Oct 4 13:59:59 2031', 'Mar 16 02:00:00 2031', 'Oct 5 01:59:59 2031');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2031', 'Mar 20 13:59:59 2032', 'Oct 5 03:00:00 2031', 'Mar 21 02:59:59 2032');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 20 14:00:00 2032', 'Oct 2 13:59:59 2032', 'Mar 21 02:00:00 2032', 'Oct 3 01:59:59 2032');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2032', 'Mar 19 13:59:59 2033', 'Oct 3 03:00:00 2032', 'Mar 20 02:59:59 2033');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 19 14:00:00 2033', 'Oct 1 13:59:59 2033', 'Mar 20 02:00:00 2033', 'Oct 2 01:59:59 2033');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2033', 'Mar 18 13:59:59 2034', 'Oct 2 03:00:00 2033', 'Mar 19 02:59:59 2034');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 18 14:00:00 2034', 'Sep 30 13:59:59 2034', 'Mar 19 02:00:00 2034', 'Oct 1 01:59:59 2034');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2034', 'Mar 17 13:59:59 2035', 'Oct 1 03:00:00 2034', 'Mar 18 02:59:59 2035');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 17 14:00:00 2035', 'Oct 6 13:59:59 2035', 'Mar 18 02:00:00 2035', 'Oct 7 01:59:59 2035');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2035', 'Mar 15 13:59:59 2036', 'Oct 7 03:00:00 2035', 'Mar 16 02:59:59 2036');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 15 14:00:00 2036', 'Oct 4 13:59:59 2036', 'Mar 16 02:00:00 2036', 'Oct 5 01:59:59 2036');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2036', 'Mar 14 13:59:59 2037', 'Oct 5 03:00:00 2036', 'Mar 15 02:59:59 2037');
timezone.add_rule('Antarctica/South_Pole', 'NZST', 0, 43200, 'Mar 14 14:00:00 2037', 'Oct 3 13:59:59 2037', 'Mar 15 02:00:00 2037', 'Oct 4 01:59:59 2037');
timezone.add_rule('Antarctica/South_Pole', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 4 03:00:00 2037', 'Jan 18 16:14:07 2038');
end;
/

--
-- Antarctica/Syowa
--

begin
timezone.add_rule('Antarctica/Syowa', 'SYOT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 28 23:59:59 1957', 'Dec 14 20:45:52 1901', 'Jan 28 23:59:59 1957');
timezone.add_rule('Antarctica/Syowa', 'SYOT', 0, 10800, 'Jan 29 00:00:00 1957', 'Jan 18 03:14:07 2038', 'Jan 29 03:00:00 1957', 'Jan 18 06:14:07 2038');
end;
/

--
-- Arctic/Longyearbyen
--

begin
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'May 21 23:59:59 1916', 'Dec 14 21:45:52 1901', 'May 22 00:59:59 1916');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'May 22 00:00:00 1916', 'Sep 29 21:59:59 1916', 'May 22 02:00:00 1916', 'Sep 29 23:59:59 1916');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 29 22:00:00 1916', 'Aug 10 21:59:59 1940', 'Sep 29 23:00:00 1916', 'Aug 10 22:59:59 1940');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Aug 10 22:00:00 1940', 'Nov 2 00:59:59 1942', 'Aug 11 00:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 2 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Oct 1 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Oct 1 02:59:59 1945');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 1 01:00:00 1945', 'Mar 15 00:59:59 1959', 'Oct 1 02:00:00 1945', 'Mar 15 01:59:59 1959');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 15 01:00:00 1959', 'Sep 20 00:59:59 1959', 'Mar 15 03:00:00 1959', 'Sep 20 02:59:59 1959');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 20 01:00:00 1959', 'Mar 20 00:59:59 1960', 'Sep 20 02:00:00 1959', 'Mar 20 01:59:59 1960');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 20 01:00:00 1960', 'Sep 18 00:59:59 1960', 'Mar 20 03:00:00 1960', 'Sep 18 02:59:59 1960');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 18 01:00:00 1960', 'Mar 19 00:59:59 1961', 'Sep 18 02:00:00 1960', 'Mar 19 01:59:59 1961');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 19 01:00:00 1961', 'Sep 17 00:59:59 1961', 'Mar 19 03:00:00 1961', 'Sep 17 02:59:59 1961');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 17 01:00:00 1961', 'Mar 18 00:59:59 1962', 'Sep 17 02:00:00 1961', 'Mar 18 01:59:59 1962');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 18 01:00:00 1962', 'Sep 16 00:59:59 1962', 'Mar 18 03:00:00 1962', 'Sep 16 02:59:59 1962');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 16 01:00:00 1962', 'Mar 17 00:59:59 1963', 'Sep 16 02:00:00 1962', 'Mar 17 01:59:59 1963');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 17 01:00:00 1963', 'Sep 15 00:59:59 1963', 'Mar 17 03:00:00 1963', 'Sep 15 02:59:59 1963');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 15 01:00:00 1963', 'Mar 15 00:59:59 1964', 'Sep 15 02:00:00 1963', 'Mar 15 01:59:59 1964');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 15 01:00:00 1964', 'Sep 20 00:59:59 1964', 'Mar 15 03:00:00 1964', 'Sep 20 02:59:59 1964');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 20 01:00:00 1964', 'Apr 25 00:59:59 1965', 'Sep 20 02:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Apr 25 01:00:00 1965', 'Sep 19 00:59:59 1965', 'Apr 25 03:00:00 1965', 'Sep 19 02:59:59 1965');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 19 01:00:00 1965', 'Apr 6 00:59:59 1980', 'Sep 19 02:00:00 1965', 'Apr 6 01:59:59 1980');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Arctic/Longyearbyen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Arctic/Longyearbyen', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Asia/Aden
--

begin
timezone.add_rule('Asia/Aden', 'AST', 0, 10848, 'Dec 14 20:45:52 1901', 'Dec 31 20:59:11 1949', 'Dec 14 23:46:40 1901', 'Dec 31 23:59:59 1949');
timezone.add_rule('Asia/Aden', 'AST', 0, 10800, 'Dec 31 20:59:12 1949', 'Jan 18 03:14:07 2038', 'Dec 31 23:59:12 1949', 'Jan 18 06:14:07 2038');
end;
/

--
-- Asia/Almaty
--

begin
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 18468, 'Dec 14 20:45:52 1901', 'May 1 18:52:11 1924', 'Dec 15 01:53:40 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 18000, 'May 1 18:52:12 1924', 'Feb 28 18:59:59 1957', 'May 1 23:52:12 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Feb 28 19:00:00 1957', 'Mar 31 17:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 31 18:00:00 1981', 'Sep 30 16:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 30 17:00:00 1981', 'Mar 31 17:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 31 18:00:00 1982', 'Sep 30 16:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 30 17:00:00 1982', 'Mar 31 17:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 31 18:00:00 1983', 'Sep 30 16:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 30 17:00:00 1983', 'Mar 31 17:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 31 18:00:00 1984', 'Sep 29 19:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 29 20:00:00 1984', 'Mar 30 19:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 30 20:00:00 1985', 'Sep 28 19:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 28 20:00:00 1985', 'Mar 29 19:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 29 20:00:00 1986', 'Sep 27 19:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 27 20:00:00 1986', 'Mar 28 19:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 28 20:00:00 1987', 'Sep 26 19:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 26 20:00:00 1987', 'Mar 26 19:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 26 20:00:00 1988', 'Sep 24 19:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 24 20:00:00 1988', 'Mar 25 19:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 25 20:00:00 1989', 'Sep 23 19:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 23 20:00:00 1989', 'Mar 24 19:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 24 20:00:00 1990', 'Sep 29 19:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 29 20:00:00 1990', 'Mar 30 19:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 21600, 'Mar 30 20:00:00 1991', 'Sep 28 20:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 18000, 'Sep 28 21:00:00 1991', 'Jan 18 20:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Jan 18 21:00:00 1992', 'Mar 28 17:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 23:59:59 1992');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 28 18:00:00 1992', 'Sep 26 16:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 26 17:00:00 1992', 'Mar 27 17:59:59 1993', 'Sep 26 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 27 18:00:00 1993', 'Sep 25 16:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 25 17:00:00 1993', 'Mar 26 17:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 26 18:00:00 1994', 'Sep 24 16:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 24 17:00:00 1994', 'Mar 25 17:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 25 18:00:00 1995', 'Sep 23 16:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Sep 23 17:00:00 1995', 'Mar 30 17:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 30 18:00:00 1996', 'Oct 26 16:59:59 1996', 'Mar 31 01:00:00 1996', 'Oct 26 23:59:59 1996');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 26 17:00:00 1996', 'Mar 29 17:59:59 1997', 'Oct 26 23:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 29 18:00:00 1997', 'Oct 25 16:59:59 1997', 'Mar 30 01:00:00 1997', 'Oct 25 23:59:59 1997');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 25 17:00:00 1997', 'Mar 28 17:59:59 1998', 'Oct 25 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 28 18:00:00 1998', 'Oct 24 16:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 24 23:59:59 1998');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 24 17:00:00 1998', 'Mar 27 17:59:59 1999', 'Oct 24 23:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 27 18:00:00 1999', 'Oct 30 16:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 30 23:59:59 1999');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 30 17:00:00 1999', 'Mar 25 17:59:59 2000', 'Oct 30 23:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 25 18:00:00 2000', 'Oct 28 16:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 28 23:59:59 2000');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 28 17:00:00 2000', 'Mar 24 17:59:59 2001', 'Oct 28 23:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 24 18:00:00 2001', 'Oct 27 16:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 27 23:59:59 2001');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 27 17:00:00 2001', 'Mar 30 17:59:59 2002', 'Oct 27 23:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 30 18:00:00 2002', 'Oct 26 16:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 26 23:59:59 2002');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 26 17:00:00 2002', 'Mar 29 17:59:59 2003', 'Oct 26 23:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 29 18:00:00 2003', 'Oct 25 16:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 25 23:59:59 2003');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 25 17:00:00 2003', 'Mar 27 17:59:59 2004', 'Oct 25 23:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 27 18:00:00 2004', 'Oct 30 16:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 30 23:59:59 2004');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 30 17:00:00 2004', 'Mar 26 17:59:59 2005', 'Oct 30 23:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 26 18:00:00 2005', 'Oct 29 16:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 29 23:59:59 2005');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 29 17:00:00 2005', 'Mar 25 17:59:59 2006', 'Oct 29 23:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 25 18:00:00 2006', 'Oct 28 16:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 28 23:59:59 2006');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 28 17:00:00 2006', 'Mar 24 17:59:59 2007', 'Oct 28 23:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 24 18:00:00 2007', 'Oct 27 16:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 27 23:59:59 2007');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 27 17:00:00 2007', 'Mar 29 17:59:59 2008', 'Oct 27 23:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 29 18:00:00 2008', 'Oct 25 16:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 25 23:59:59 2008');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 25 17:00:00 2008', 'Mar 28 17:59:59 2009', 'Oct 25 23:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 28 18:00:00 2009', 'Oct 24 16:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 24 23:59:59 2009');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 24 17:00:00 2009', 'Mar 27 17:59:59 2010', 'Oct 24 23:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 27 18:00:00 2010', 'Oct 30 16:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 30 23:59:59 2010');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 30 17:00:00 2010', 'Mar 26 17:59:59 2011', 'Oct 30 23:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 26 18:00:00 2011', 'Oct 29 16:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 29 23:59:59 2011');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 29 17:00:00 2011', 'Mar 24 17:59:59 2012', 'Oct 29 23:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 24 18:00:00 2012', 'Oct 27 16:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 27 23:59:59 2012');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 27 17:00:00 2012', 'Mar 30 17:59:59 2013', 'Oct 27 23:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 30 18:00:00 2013', 'Oct 26 16:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 26 23:59:59 2013');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 26 17:00:00 2013', 'Mar 29 17:59:59 2014', 'Oct 26 23:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 29 18:00:00 2014', 'Oct 25 16:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 25 23:59:59 2014');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 25 17:00:00 2014', 'Mar 28 17:59:59 2015', 'Oct 25 23:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 28 18:00:00 2015', 'Oct 24 16:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 24 23:59:59 2015');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 24 17:00:00 2015', 'Mar 26 17:59:59 2016', 'Oct 24 23:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 26 18:00:00 2016', 'Oct 29 16:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 29 23:59:59 2016');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 29 17:00:00 2016', 'Mar 25 17:59:59 2017', 'Oct 29 23:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 25 18:00:00 2017', 'Oct 28 16:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 28 23:59:59 2017');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 28 17:00:00 2017', 'Mar 24 17:59:59 2018', 'Oct 28 23:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 24 18:00:00 2018', 'Oct 27 16:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 27 23:59:59 2018');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 27 17:00:00 2018', 'Mar 30 17:59:59 2019', 'Oct 27 23:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 30 18:00:00 2019', 'Oct 26 16:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 26 23:59:59 2019');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 26 17:00:00 2019', 'Mar 28 17:59:59 2020', 'Oct 26 23:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 28 18:00:00 2020', 'Oct 24 16:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 24 23:59:59 2020');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 24 17:00:00 2020', 'Mar 27 17:59:59 2021', 'Oct 24 23:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 27 18:00:00 2021', 'Oct 30 16:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 30 23:59:59 2021');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 30 17:00:00 2021', 'Mar 26 17:59:59 2022', 'Oct 30 23:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 26 18:00:00 2022', 'Oct 29 16:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 29 23:59:59 2022');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 29 17:00:00 2022', 'Mar 25 17:59:59 2023', 'Oct 29 23:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 25 18:00:00 2023', 'Oct 28 16:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 28 23:59:59 2023');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 28 17:00:00 2023', 'Mar 30 17:59:59 2024', 'Oct 28 23:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 30 18:00:00 2024', 'Oct 26 16:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 26 23:59:59 2024');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 26 17:00:00 2024', 'Mar 29 17:59:59 2025', 'Oct 26 23:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 29 18:00:00 2025', 'Oct 25 16:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 25 23:59:59 2025');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 25 17:00:00 2025', 'Mar 28 17:59:59 2026', 'Oct 25 23:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 28 18:00:00 2026', 'Oct 24 16:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 24 23:59:59 2026');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 24 17:00:00 2026', 'Mar 27 17:59:59 2027', 'Oct 24 23:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 27 18:00:00 2027', 'Oct 30 16:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 30 23:59:59 2027');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 30 17:00:00 2027', 'Mar 25 17:59:59 2028', 'Oct 30 23:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 25 18:00:00 2028', 'Oct 28 16:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 28 23:59:59 2028');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 28 17:00:00 2028', 'Mar 24 17:59:59 2029', 'Oct 28 23:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 24 18:00:00 2029', 'Oct 27 16:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 27 23:59:59 2029');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 27 17:00:00 2029', 'Mar 30 17:59:59 2030', 'Oct 27 23:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 30 18:00:00 2030', 'Oct 26 16:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 26 23:59:59 2030');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 26 17:00:00 2030', 'Mar 29 17:59:59 2031', 'Oct 26 23:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 29 18:00:00 2031', 'Oct 25 16:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 25 23:59:59 2031');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 25 17:00:00 2031', 'Mar 27 17:59:59 2032', 'Oct 25 23:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 27 18:00:00 2032', 'Oct 30 16:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 30 23:59:59 2032');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 30 17:00:00 2032', 'Mar 26 17:59:59 2033', 'Oct 30 23:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 26 18:00:00 2033', 'Oct 29 16:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 29 23:59:59 2033');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 29 17:00:00 2033', 'Mar 25 17:59:59 2034', 'Oct 29 23:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 25 18:00:00 2034', 'Oct 28 16:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 28 23:59:59 2034');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 28 17:00:00 2034', 'Mar 24 17:59:59 2035', 'Oct 28 23:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 24 18:00:00 2035', 'Oct 27 16:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 27 23:59:59 2035');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 27 17:00:00 2035', 'Mar 29 17:59:59 2036', 'Oct 27 23:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 29 18:00:00 2036', 'Oct 25 16:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 25 23:59:59 2036');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 25 17:00:00 2036', 'Mar 28 17:59:59 2037', 'Oct 25 23:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Asia/Almaty', 'ALMST', 1, 25200, 'Mar 28 18:00:00 2037', 'Oct 24 16:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 24 23:59:59 2037');
timezone.add_rule('Asia/Almaty', 'ALMT', 0, 21600, 'Oct 24 17:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 24 23:00:00 2037', 'Jan 18 09:14:07 2038');
end;
/

--
-- Asia/Amman
--

begin
timezone.add_rule('Asia/Amman', 'EET', 0, 8624, 'Dec 14 20:45:52 1901', 'Dec 31 21:36:15 1930', 'Dec 14 23:09:36 1901', 'Dec 31 23:59:59 1930');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Dec 31 21:36:16 1930', 'Jun 5 21:59:59 1973', 'Dec 31 23:36:16 1930', 'Jun 5 23:59:59 1973');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Jun 5 22:00:00 1973', 'Sep 30 20:59:59 1973', 'Jun 6 01:00:00 1973', 'Sep 30 23:59:59 1973');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 30 21:00:00 1973', 'Apr 30 21:59:59 1974', 'Sep 30 23:00:00 1973', 'Apr 30 23:59:59 1974');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 30 22:00:00 1974', 'Sep 30 20:59:59 1974', 'May 1 01:00:00 1974', 'Sep 30 23:59:59 1974');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 30 21:00:00 1974', 'Apr 30 21:59:59 1975', 'Sep 30 23:00:00 1974', 'Apr 30 23:59:59 1975');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 30 22:00:00 1975', 'Sep 30 20:59:59 1975', 'May 1 01:00:00 1975', 'Sep 30 23:59:59 1975');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 30 21:00:00 1975', 'Apr 30 21:59:59 1976', 'Sep 30 23:00:00 1975', 'Apr 30 23:59:59 1976');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 30 22:00:00 1976', 'Oct 31 20:59:59 1976', 'May 1 01:00:00 1976', 'Oct 31 23:59:59 1976');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Oct 31 21:00:00 1976', 'Apr 30 21:59:59 1977', 'Oct 31 23:00:00 1976', 'Apr 30 23:59:59 1977');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 30 22:00:00 1977', 'Sep 30 20:59:59 1977', 'May 1 01:00:00 1977', 'Sep 30 23:59:59 1977');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 30 21:00:00 1977', 'Apr 29 21:59:59 1978', 'Sep 30 23:00:00 1977', 'Apr 29 23:59:59 1978');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 29 22:00:00 1978', 'Sep 29 20:59:59 1978', 'Apr 30 01:00:00 1978', 'Sep 29 23:59:59 1978');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 29 21:00:00 1978', 'Mar 31 21:59:59 1985', 'Sep 29 23:00:00 1978', 'Mar 31 23:59:59 1985');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Mar 31 22:00:00 1985', 'Sep 30 20:59:59 1985', 'Apr 1 01:00:00 1985', 'Sep 30 23:59:59 1985');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 30 21:00:00 1985', 'Apr 3 21:59:59 1986', 'Sep 30 23:00:00 1985', 'Apr 3 23:59:59 1986');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 3 22:00:00 1986', 'Oct 2 20:59:59 1986', 'Apr 4 01:00:00 1986', 'Oct 2 23:59:59 1986');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Oct 2 21:00:00 1986', 'Apr 2 21:59:59 1987', 'Oct 2 23:00:00 1986', 'Apr 2 23:59:59 1987');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 2 22:00:00 1987', 'Oct 1 20:59:59 1987', 'Apr 3 01:00:00 1987', 'Oct 1 23:59:59 1987');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Oct 1 21:00:00 1987', 'Mar 31 21:59:59 1988', 'Oct 1 23:00:00 1987', 'Mar 31 23:59:59 1988');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Mar 31 22:00:00 1988', 'Oct 6 20:59:59 1988', 'Apr 1 01:00:00 1988', 'Oct 6 23:59:59 1988');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Oct 6 21:00:00 1988', 'May 7 21:59:59 1989', 'Oct 6 23:00:00 1988', 'May 7 23:59:59 1989');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'May 7 22:00:00 1989', 'Oct 5 20:59:59 1989', 'May 8 01:00:00 1989', 'Oct 5 23:59:59 1989');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Oct 5 21:00:00 1989', 'Apr 26 21:59:59 1990', 'Oct 5 23:00:00 1989', 'Apr 26 23:59:59 1990');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 26 22:00:00 1990', 'Oct 4 20:59:59 1990', 'Apr 27 01:00:00 1990', 'Oct 4 23:59:59 1990');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Oct 4 21:00:00 1990', 'Apr 16 21:59:59 1991', 'Oct 4 23:00:00 1990', 'Apr 16 23:59:59 1991');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 16 22:00:00 1991', 'Sep 26 20:59:59 1991', 'Apr 17 01:00:00 1991', 'Sep 26 23:59:59 1991');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 26 21:00:00 1991', 'Apr 9 21:59:59 1992', 'Sep 26 23:00:00 1991', 'Apr 9 23:59:59 1992');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 9 22:00:00 1992', 'Oct 1 20:59:59 1992', 'Apr 10 01:00:00 1992', 'Oct 1 23:59:59 1992');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Oct 1 21:00:00 1992', 'Apr 1 21:59:59 1993', 'Oct 1 23:00:00 1992', 'Apr 1 23:59:59 1993');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 1 22:00:00 1993', 'Sep 30 20:59:59 1993', 'Apr 2 01:00:00 1993', 'Sep 30 23:59:59 1993');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 30 21:00:00 1993', 'Mar 31 21:59:59 1994', 'Sep 30 23:00:00 1993', 'Mar 31 23:59:59 1994');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Mar 31 22:00:00 1994', 'Sep 15 20:59:59 1994', 'Apr 1 01:00:00 1994', 'Sep 15 23:59:59 1994');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 15 21:00:00 1994', 'Apr 6 21:59:59 1995', 'Sep 15 23:00:00 1994', 'Apr 6 23:59:59 1995');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 6 22:00:00 1995', 'Sep 14 21:59:59 1995', 'Apr 7 01:00:00 1995', 'Sep 15 00:59:59 1995');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 14 22:00:00 1995', 'Apr 4 21:59:59 1996', 'Sep 15 00:00:00 1995', 'Apr 4 23:59:59 1996');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 4 22:00:00 1996', 'Sep 19 21:59:59 1996', 'Apr 5 01:00:00 1996', 'Sep 20 00:59:59 1996');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 19 22:00:00 1996', 'Apr 3 21:59:59 1997', 'Sep 20 00:00:00 1996', 'Apr 3 23:59:59 1997');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 3 22:00:00 1997', 'Sep 18 21:59:59 1997', 'Apr 4 01:00:00 1997', 'Sep 19 00:59:59 1997');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 18 22:00:00 1997', 'Apr 2 21:59:59 1998', 'Sep 19 00:00:00 1997', 'Apr 2 23:59:59 1998');
timezone.add_rule('Asia/Amman', 'EEST', 1, 10800, 'Apr 2 22:00:00 1998', 'Sep 17 21:59:59 1998', 'Apr 3 01:00:00 1998', 'Sep 18 00:59:59 1998');
timezone.add_rule('Asia/Amman', 'EET', 0, 7200, 'Sep 17 22:00:00 1998', 'Jan 18 03:14:07 2038', 'Sep 18 00:00:00 1998', 'Jan 18 05:14:07 2038');
end;
/

--
-- Asia/Anadyr
--

begin
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 42596, 'Dec 14 20:45:52 1901', 'May 1 12:10:03 1924', 'Dec 15 08:35:48 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 43200, 'May 1 12:10:04 1924', 'Feb 28 11:59:59 1957', 'May 2 00:10:04 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Feb 28 12:00:00 1957', 'Mar 31 10:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 31 11:00:00 1981', 'Sep 30 09:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 30 10:00:00 1981', 'Mar 31 10:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 31 11:00:00 1982', 'Sep 30 09:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 30 10:00:00 1982', 'Mar 31 10:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 31 11:00:00 1983', 'Sep 30 09:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 30 10:00:00 1983', 'Mar 31 10:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 31 11:00:00 1984', 'Sep 29 12:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 29 13:00:00 1984', 'Mar 30 12:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 30 13:00:00 1985', 'Sep 28 12:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 28 13:00:00 1985', 'Mar 29 12:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 29 13:00:00 1986', 'Sep 27 12:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 27 13:00:00 1986', 'Mar 28 12:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 28 13:00:00 1987', 'Sep 26 12:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 26 13:00:00 1987', 'Mar 26 12:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 26 13:00:00 1988', 'Sep 24 12:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 24 13:00:00 1988', 'Mar 25 12:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 25 13:00:00 1989', 'Sep 23 12:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 23 13:00:00 1989', 'Mar 24 12:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 24 13:00:00 1990', 'Sep 29 12:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 29 13:00:00 1990', 'Mar 30 12:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 46800, 'Mar 30 13:00:00 1991', 'Sep 28 13:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 43200, 'Sep 28 14:00:00 1991', 'Jan 18 13:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Jan 18 14:00:00 1992', 'Mar 28 09:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 28 10:00:00 1992', 'Sep 26 08:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 26 09:00:00 1992', 'Mar 27 12:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 27 13:00:00 1993', 'Sep 25 12:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 25 13:00:00 1993', 'Mar 26 12:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 26 13:00:00 1994', 'Sep 24 12:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 24 13:00:00 1994', 'Mar 25 12:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 25 13:00:00 1995', 'Sep 23 12:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Sep 23 13:00:00 1995', 'Mar 30 12:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 30 13:00:00 1996', 'Oct 26 12:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 26 13:00:00 1996', 'Mar 29 12:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 29 13:00:00 1997', 'Oct 25 12:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 25 13:00:00 1997', 'Mar 28 12:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 28 13:00:00 1998', 'Oct 24 12:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 24 13:00:00 1998', 'Mar 27 12:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 27 13:00:00 1999', 'Oct 30 12:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 30 13:00:00 1999', 'Mar 25 12:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 25 13:00:00 2000', 'Oct 28 12:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 28 13:00:00 2000', 'Mar 24 12:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 24 13:00:00 2001', 'Oct 27 12:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 27 13:00:00 2001', 'Mar 30 12:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 30 13:00:00 2002', 'Oct 26 12:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 26 13:00:00 2002', 'Mar 29 12:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 29 13:00:00 2003', 'Oct 25 12:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 25 13:00:00 2003', 'Mar 27 12:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 27 13:00:00 2004', 'Oct 30 12:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 30 13:00:00 2004', 'Mar 26 12:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 26 13:00:00 2005', 'Oct 29 12:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 29 13:00:00 2005', 'Mar 25 12:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 25 13:00:00 2006', 'Oct 28 12:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 28 13:00:00 2006', 'Mar 24 12:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 24 13:00:00 2007', 'Oct 27 12:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 27 13:00:00 2007', 'Mar 29 12:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 29 13:00:00 2008', 'Oct 25 12:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 25 13:00:00 2008', 'Mar 28 12:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 28 13:00:00 2009', 'Oct 24 12:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 24 13:00:00 2009', 'Mar 27 12:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 27 13:00:00 2010', 'Oct 30 12:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 30 13:00:00 2010', 'Mar 26 12:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 26 13:00:00 2011', 'Oct 29 12:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 29 13:00:00 2011', 'Mar 24 12:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 24 13:00:00 2012', 'Oct 27 12:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 27 13:00:00 2012', 'Mar 30 12:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 30 13:00:00 2013', 'Oct 26 12:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 26 13:00:00 2013', 'Mar 29 12:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 29 13:00:00 2014', 'Oct 25 12:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 25 13:00:00 2014', 'Mar 28 12:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 28 13:00:00 2015', 'Oct 24 12:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 24 13:00:00 2015', 'Mar 26 12:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 26 13:00:00 2016', 'Oct 29 12:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 29 13:00:00 2016', 'Mar 25 12:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 25 13:00:00 2017', 'Oct 28 12:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 28 13:00:00 2017', 'Mar 24 12:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 24 13:00:00 2018', 'Oct 27 12:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 27 13:00:00 2018', 'Mar 30 12:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 30 13:00:00 2019', 'Oct 26 12:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 26 13:00:00 2019', 'Mar 28 12:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 28 13:00:00 2020', 'Oct 24 12:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 24 13:00:00 2020', 'Mar 27 12:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 27 13:00:00 2021', 'Oct 30 12:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 30 13:00:00 2021', 'Mar 26 12:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 26 13:00:00 2022', 'Oct 29 12:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 29 13:00:00 2022', 'Mar 25 12:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 25 13:00:00 2023', 'Oct 28 12:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 28 13:00:00 2023', 'Mar 30 12:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 30 13:00:00 2024', 'Oct 26 12:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 26 13:00:00 2024', 'Mar 29 12:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 29 13:00:00 2025', 'Oct 25 12:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 25 13:00:00 2025', 'Mar 28 12:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 28 13:00:00 2026', 'Oct 24 12:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 24 13:00:00 2026', 'Mar 27 12:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 27 13:00:00 2027', 'Oct 30 12:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 30 13:00:00 2027', 'Mar 25 12:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 25 13:00:00 2028', 'Oct 28 12:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 28 13:00:00 2028', 'Mar 24 12:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 24 13:00:00 2029', 'Oct 27 12:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 27 13:00:00 2029', 'Mar 30 12:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 30 13:00:00 2030', 'Oct 26 12:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 26 13:00:00 2030', 'Mar 29 12:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 29 13:00:00 2031', 'Oct 25 12:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 25 13:00:00 2031', 'Mar 27 12:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 27 13:00:00 2032', 'Oct 30 12:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 30 13:00:00 2032', 'Mar 26 12:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 26 13:00:00 2033', 'Oct 29 12:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 29 13:00:00 2033', 'Mar 25 12:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 25 13:00:00 2034', 'Oct 28 12:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 28 13:00:00 2034', 'Mar 24 12:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 24 13:00:00 2035', 'Oct 27 12:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 27 13:00:00 2035', 'Mar 29 12:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 29 13:00:00 2036', 'Oct 25 12:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 25 13:00:00 2036', 'Mar 28 12:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Anadyr', 'ANAST', 1, 50400, 'Mar 28 13:00:00 2037', 'Oct 24 12:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Anadyr', 'ANAT', 0, 46800, 'Oct 24 13:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 16:14:07 2038');
end;
/

--
-- Asia/Aqtau
--

begin
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 12064, 'Dec 14 20:45:52 1901', 'May 1 20:38:55 1924', 'Dec 15 00:06:56 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'May 1 20:38:56 1924', 'Feb 28 19:59:59 1957', 'May 2 00:38:56 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Feb 28 20:00:00 1957', 'Mar 31 18:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 31 19:00:00 1981', 'Sep 30 17:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 30 18:00:00 1981', 'Mar 31 18:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 31 19:00:00 1982', 'Sep 30 17:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 30 18:00:00 1982', 'Mar 31 18:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 31 19:00:00 1983', 'Sep 30 17:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 30 18:00:00 1983', 'Mar 31 18:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 31 19:00:00 1984', 'Sep 29 20:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 29 21:00:00 1984', 'Mar 30 20:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 30 21:00:00 1985', 'Sep 28 20:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 28 21:00:00 1985', 'Mar 29 20:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 29 21:00:00 1986', 'Sep 27 20:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 27 21:00:00 1986', 'Mar 28 20:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 28 21:00:00 1987', 'Sep 26 20:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 26 21:00:00 1987', 'Mar 26 20:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 26 21:00:00 1988', 'Sep 24 20:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 24 21:00:00 1988', 'Mar 25 20:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 25 21:00:00 1989', 'Sep 23 20:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 23 21:00:00 1989', 'Mar 24 20:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 24 21:00:00 1990', 'Sep 29 20:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 29 21:00:00 1990', 'Mar 30 20:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 30 21:00:00 1991', 'Sep 28 21:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Sep 28 22:00:00 1991', 'Jan 18 21:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Jan 18 22:00:00 1992', 'Mar 28 18:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 23:59:59 1992');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 28 19:00:00 1992', 'Sep 26 17:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 26 18:00:00 1992', 'Mar 27 18:59:59 1993', 'Sep 26 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 27 19:00:00 1993', 'Sep 25 17:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 25 18:00:00 1993', 'Mar 26 18:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 26 19:00:00 1994', 'Sep 24 17:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 18000, 'Sep 24 18:00:00 1994', 'Mar 25 18:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 21600, 'Mar 25 19:00:00 1995', 'Sep 23 17:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Sep 23 18:00:00 1995', 'Mar 30 19:59:59 1996', 'Sep 23 22:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 30 20:00:00 1996', 'Oct 26 18:59:59 1996', 'Mar 31 01:00:00 1996', 'Oct 26 23:59:59 1996');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 26 19:00:00 1996', 'Mar 29 19:59:59 1997', 'Oct 26 23:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 29 20:00:00 1997', 'Oct 25 18:59:59 1997', 'Mar 30 01:00:00 1997', 'Oct 25 23:59:59 1997');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 25 19:00:00 1997', 'Mar 28 19:59:59 1998', 'Oct 25 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 28 20:00:00 1998', 'Oct 24 18:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 24 23:59:59 1998');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 24 19:00:00 1998', 'Mar 27 19:59:59 1999', 'Oct 24 23:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 27 20:00:00 1999', 'Oct 30 18:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 30 23:59:59 1999');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 30 19:00:00 1999', 'Mar 25 19:59:59 2000', 'Oct 30 23:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 25 20:00:00 2000', 'Oct 28 18:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 28 23:59:59 2000');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 28 19:00:00 2000', 'Mar 24 19:59:59 2001', 'Oct 28 23:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 24 20:00:00 2001', 'Oct 27 18:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 27 23:59:59 2001');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 27 19:00:00 2001', 'Mar 30 19:59:59 2002', 'Oct 27 23:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 30 20:00:00 2002', 'Oct 26 18:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 26 23:59:59 2002');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 26 19:00:00 2002', 'Mar 29 19:59:59 2003', 'Oct 26 23:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 29 20:00:00 2003', 'Oct 25 18:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 25 23:59:59 2003');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 25 19:00:00 2003', 'Mar 27 19:59:59 2004', 'Oct 25 23:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 27 20:00:00 2004', 'Oct 30 18:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 30 23:59:59 2004');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 30 19:00:00 2004', 'Mar 26 19:59:59 2005', 'Oct 30 23:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 26 20:00:00 2005', 'Oct 29 18:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 29 23:59:59 2005');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 29 19:00:00 2005', 'Mar 25 19:59:59 2006', 'Oct 29 23:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 25 20:00:00 2006', 'Oct 28 18:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 28 23:59:59 2006');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 28 19:00:00 2006', 'Mar 24 19:59:59 2007', 'Oct 28 23:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 24 20:00:00 2007', 'Oct 27 18:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 27 23:59:59 2007');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 27 19:00:00 2007', 'Mar 29 19:59:59 2008', 'Oct 27 23:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 29 20:00:00 2008', 'Oct 25 18:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 25 23:59:59 2008');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 25 19:00:00 2008', 'Mar 28 19:59:59 2009', 'Oct 25 23:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 28 20:00:00 2009', 'Oct 24 18:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 24 23:59:59 2009');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 24 19:00:00 2009', 'Mar 27 19:59:59 2010', 'Oct 24 23:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 27 20:00:00 2010', 'Oct 30 18:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 30 23:59:59 2010');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 30 19:00:00 2010', 'Mar 26 19:59:59 2011', 'Oct 30 23:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 26 20:00:00 2011', 'Oct 29 18:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 29 23:59:59 2011');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 29 19:00:00 2011', 'Mar 24 19:59:59 2012', 'Oct 29 23:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 24 20:00:00 2012', 'Oct 27 18:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 27 23:59:59 2012');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 27 19:00:00 2012', 'Mar 30 19:59:59 2013', 'Oct 27 23:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 30 20:00:00 2013', 'Oct 26 18:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 26 23:59:59 2013');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 26 19:00:00 2013', 'Mar 29 19:59:59 2014', 'Oct 26 23:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 29 20:00:00 2014', 'Oct 25 18:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 25 23:59:59 2014');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 25 19:00:00 2014', 'Mar 28 19:59:59 2015', 'Oct 25 23:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 28 20:00:00 2015', 'Oct 24 18:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 24 23:59:59 2015');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 24 19:00:00 2015', 'Mar 26 19:59:59 2016', 'Oct 24 23:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 26 20:00:00 2016', 'Oct 29 18:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 29 23:59:59 2016');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 29 19:00:00 2016', 'Mar 25 19:59:59 2017', 'Oct 29 23:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 25 20:00:00 2017', 'Oct 28 18:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 28 23:59:59 2017');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 28 19:00:00 2017', 'Mar 24 19:59:59 2018', 'Oct 28 23:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 24 20:00:00 2018', 'Oct 27 18:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 27 23:59:59 2018');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 27 19:00:00 2018', 'Mar 30 19:59:59 2019', 'Oct 27 23:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 30 20:00:00 2019', 'Oct 26 18:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 26 23:59:59 2019');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 26 19:00:00 2019', 'Mar 28 19:59:59 2020', 'Oct 26 23:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 28 20:00:00 2020', 'Oct 24 18:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 24 23:59:59 2020');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 24 19:00:00 2020', 'Mar 27 19:59:59 2021', 'Oct 24 23:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 27 20:00:00 2021', 'Oct 30 18:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 30 23:59:59 2021');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 30 19:00:00 2021', 'Mar 26 19:59:59 2022', 'Oct 30 23:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 26 20:00:00 2022', 'Oct 29 18:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 29 23:59:59 2022');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 29 19:00:00 2022', 'Mar 25 19:59:59 2023', 'Oct 29 23:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 25 20:00:00 2023', 'Oct 28 18:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 28 23:59:59 2023');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 28 19:00:00 2023', 'Mar 30 19:59:59 2024', 'Oct 28 23:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 30 20:00:00 2024', 'Oct 26 18:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 26 23:59:59 2024');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 26 19:00:00 2024', 'Mar 29 19:59:59 2025', 'Oct 26 23:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 29 20:00:00 2025', 'Oct 25 18:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 25 23:59:59 2025');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 25 19:00:00 2025', 'Mar 28 19:59:59 2026', 'Oct 25 23:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 28 20:00:00 2026', 'Oct 24 18:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 24 23:59:59 2026');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 24 19:00:00 2026', 'Mar 27 19:59:59 2027', 'Oct 24 23:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 27 20:00:00 2027', 'Oct 30 18:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 30 23:59:59 2027');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 30 19:00:00 2027', 'Mar 25 19:59:59 2028', 'Oct 30 23:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 25 20:00:00 2028', 'Oct 28 18:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 28 23:59:59 2028');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 28 19:00:00 2028', 'Mar 24 19:59:59 2029', 'Oct 28 23:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 24 20:00:00 2029', 'Oct 27 18:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 27 23:59:59 2029');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 27 19:00:00 2029', 'Mar 30 19:59:59 2030', 'Oct 27 23:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 30 20:00:00 2030', 'Oct 26 18:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 26 23:59:59 2030');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 26 19:00:00 2030', 'Mar 29 19:59:59 2031', 'Oct 26 23:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 29 20:00:00 2031', 'Oct 25 18:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 25 23:59:59 2031');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 25 19:00:00 2031', 'Mar 27 19:59:59 2032', 'Oct 25 23:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 27 20:00:00 2032', 'Oct 30 18:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 30 23:59:59 2032');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 30 19:00:00 2032', 'Mar 26 19:59:59 2033', 'Oct 30 23:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 26 20:00:00 2033', 'Oct 29 18:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 29 23:59:59 2033');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 29 19:00:00 2033', 'Mar 25 19:59:59 2034', 'Oct 29 23:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 25 20:00:00 2034', 'Oct 28 18:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 28 23:59:59 2034');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 28 19:00:00 2034', 'Mar 24 19:59:59 2035', 'Oct 28 23:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 24 20:00:00 2035', 'Oct 27 18:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 27 23:59:59 2035');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 27 19:00:00 2035', 'Mar 29 19:59:59 2036', 'Oct 27 23:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 29 20:00:00 2036', 'Oct 25 18:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 25 23:59:59 2036');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 25 19:00:00 2036', 'Mar 28 19:59:59 2037', 'Oct 25 23:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Asia/Aqtau', 'AQTST', 1, 18000, 'Mar 28 20:00:00 2037', 'Oct 24 18:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 24 23:59:59 2037');
timezone.add_rule('Asia/Aqtau', 'AQTT', 0, 14400, 'Oct 24 19:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 24 23:00:00 2037', 'Jan 18 07:14:07 2038');
end;
/

--
-- Asia/Aqtobe
--

begin
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 13720, 'Dec 14 20:45:52 1901', 'May 1 20:11:19 1924', 'Dec 15 00:34:32 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 14400, 'May 1 20:11:20 1924', 'Feb 28 19:59:59 1957', 'May 2 00:11:20 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Feb 28 20:00:00 1957', 'Mar 31 18:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 31 19:00:00 1981', 'Sep 30 17:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 30 18:00:00 1981', 'Mar 31 18:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 31 19:00:00 1982', 'Sep 30 17:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 30 18:00:00 1982', 'Mar 31 18:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 31 19:00:00 1983', 'Sep 30 17:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 30 18:00:00 1983', 'Mar 31 18:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 31 19:00:00 1984', 'Sep 29 20:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 29 21:00:00 1984', 'Mar 30 20:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 30 21:00:00 1985', 'Sep 28 20:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 28 21:00:00 1985', 'Mar 29 20:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 29 21:00:00 1986', 'Sep 27 20:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 27 21:00:00 1986', 'Mar 28 20:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 28 21:00:00 1987', 'Sep 26 20:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 26 21:00:00 1987', 'Mar 26 20:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 26 21:00:00 1988', 'Sep 24 20:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 24 21:00:00 1988', 'Mar 25 20:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 25 21:00:00 1989', 'Sep 23 20:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 23 21:00:00 1989', 'Mar 24 20:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 24 21:00:00 1990', 'Sep 29 20:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 29 21:00:00 1990', 'Mar 30 20:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 18000, 'Mar 30 21:00:00 1991', 'Sep 28 21:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 14400, 'Sep 28 22:00:00 1991', 'Jan 18 21:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Jan 18 22:00:00 1992', 'Mar 28 18:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 23:59:59 1992');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 28 19:00:00 1992', 'Sep 26 17:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 26 18:00:00 1992', 'Mar 27 18:59:59 1993', 'Sep 26 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 27 19:00:00 1993', 'Sep 25 17:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 25 18:00:00 1993', 'Mar 26 18:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 26 19:00:00 1994', 'Sep 24 17:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 24 18:00:00 1994', 'Mar 25 18:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 25 19:00:00 1995', 'Sep 23 17:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Sep 23 18:00:00 1995', 'Mar 30 18:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 30 19:00:00 1996', 'Oct 26 17:59:59 1996', 'Mar 31 01:00:00 1996', 'Oct 26 23:59:59 1996');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 26 18:00:00 1996', 'Mar 29 18:59:59 1997', 'Oct 26 23:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 29 19:00:00 1997', 'Oct 25 17:59:59 1997', 'Mar 30 01:00:00 1997', 'Oct 25 23:59:59 1997');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 25 18:00:00 1997', 'Mar 28 18:59:59 1998', 'Oct 25 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 28 19:00:00 1998', 'Oct 24 17:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 24 23:59:59 1998');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 24 18:00:00 1998', 'Mar 27 18:59:59 1999', 'Oct 24 23:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 27 19:00:00 1999', 'Oct 30 17:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 30 23:59:59 1999');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 30 18:00:00 1999', 'Mar 25 18:59:59 2000', 'Oct 30 23:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 25 19:00:00 2000', 'Oct 28 17:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 28 23:59:59 2000');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 28 18:00:00 2000', 'Mar 24 18:59:59 2001', 'Oct 28 23:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 24 19:00:00 2001', 'Oct 27 17:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 27 23:59:59 2001');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 27 18:00:00 2001', 'Mar 30 18:59:59 2002', 'Oct 27 23:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 30 19:00:00 2002', 'Oct 26 17:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 26 23:59:59 2002');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 26 18:00:00 2002', 'Mar 29 18:59:59 2003', 'Oct 26 23:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 29 19:00:00 2003', 'Oct 25 17:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 25 23:59:59 2003');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 25 18:00:00 2003', 'Mar 27 18:59:59 2004', 'Oct 25 23:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 27 19:00:00 2004', 'Oct 30 17:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 30 23:59:59 2004');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 30 18:00:00 2004', 'Mar 26 18:59:59 2005', 'Oct 30 23:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 26 19:00:00 2005', 'Oct 29 17:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 29 23:59:59 2005');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 29 18:00:00 2005', 'Mar 25 18:59:59 2006', 'Oct 29 23:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 25 19:00:00 2006', 'Oct 28 17:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 28 23:59:59 2006');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 28 18:00:00 2006', 'Mar 24 18:59:59 2007', 'Oct 28 23:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 24 19:00:00 2007', 'Oct 27 17:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 27 23:59:59 2007');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 27 18:00:00 2007', 'Mar 29 18:59:59 2008', 'Oct 27 23:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 29 19:00:00 2008', 'Oct 25 17:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 25 23:59:59 2008');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 25 18:00:00 2008', 'Mar 28 18:59:59 2009', 'Oct 25 23:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 28 19:00:00 2009', 'Oct 24 17:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 24 23:59:59 2009');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 24 18:00:00 2009', 'Mar 27 18:59:59 2010', 'Oct 24 23:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 27 19:00:00 2010', 'Oct 30 17:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 30 23:59:59 2010');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 30 18:00:00 2010', 'Mar 26 18:59:59 2011', 'Oct 30 23:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 26 19:00:00 2011', 'Oct 29 17:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 29 23:59:59 2011');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 29 18:00:00 2011', 'Mar 24 18:59:59 2012', 'Oct 29 23:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 24 19:00:00 2012', 'Oct 27 17:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 27 23:59:59 2012');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 27 18:00:00 2012', 'Mar 30 18:59:59 2013', 'Oct 27 23:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 30 19:00:00 2013', 'Oct 26 17:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 26 23:59:59 2013');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 26 18:00:00 2013', 'Mar 29 18:59:59 2014', 'Oct 26 23:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 29 19:00:00 2014', 'Oct 25 17:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 25 23:59:59 2014');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 25 18:00:00 2014', 'Mar 28 18:59:59 2015', 'Oct 25 23:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 28 19:00:00 2015', 'Oct 24 17:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 24 23:59:59 2015');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 24 18:00:00 2015', 'Mar 26 18:59:59 2016', 'Oct 24 23:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 26 19:00:00 2016', 'Oct 29 17:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 29 23:59:59 2016');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 29 18:00:00 2016', 'Mar 25 18:59:59 2017', 'Oct 29 23:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 25 19:00:00 2017', 'Oct 28 17:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 28 23:59:59 2017');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 28 18:00:00 2017', 'Mar 24 18:59:59 2018', 'Oct 28 23:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 24 19:00:00 2018', 'Oct 27 17:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 27 23:59:59 2018');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 27 18:00:00 2018', 'Mar 30 18:59:59 2019', 'Oct 27 23:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 30 19:00:00 2019', 'Oct 26 17:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 26 23:59:59 2019');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 26 18:00:00 2019', 'Mar 28 18:59:59 2020', 'Oct 26 23:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 28 19:00:00 2020', 'Oct 24 17:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 24 23:59:59 2020');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 24 18:00:00 2020', 'Mar 27 18:59:59 2021', 'Oct 24 23:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 27 19:00:00 2021', 'Oct 30 17:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 30 23:59:59 2021');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 30 18:00:00 2021', 'Mar 26 18:59:59 2022', 'Oct 30 23:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 26 19:00:00 2022', 'Oct 29 17:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 29 23:59:59 2022');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 29 18:00:00 2022', 'Mar 25 18:59:59 2023', 'Oct 29 23:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 25 19:00:00 2023', 'Oct 28 17:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 28 23:59:59 2023');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 28 18:00:00 2023', 'Mar 30 18:59:59 2024', 'Oct 28 23:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 30 19:00:00 2024', 'Oct 26 17:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 26 23:59:59 2024');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 26 18:00:00 2024', 'Mar 29 18:59:59 2025', 'Oct 26 23:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 29 19:00:00 2025', 'Oct 25 17:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 25 23:59:59 2025');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 25 18:00:00 2025', 'Mar 28 18:59:59 2026', 'Oct 25 23:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 28 19:00:00 2026', 'Oct 24 17:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 24 23:59:59 2026');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 24 18:00:00 2026', 'Mar 27 18:59:59 2027', 'Oct 24 23:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 27 19:00:00 2027', 'Oct 30 17:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 30 23:59:59 2027');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 30 18:00:00 2027', 'Mar 25 18:59:59 2028', 'Oct 30 23:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 25 19:00:00 2028', 'Oct 28 17:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 28 23:59:59 2028');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 28 18:00:00 2028', 'Mar 24 18:59:59 2029', 'Oct 28 23:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 24 19:00:00 2029', 'Oct 27 17:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 27 23:59:59 2029');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 27 18:00:00 2029', 'Mar 30 18:59:59 2030', 'Oct 27 23:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 30 19:00:00 2030', 'Oct 26 17:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 26 23:59:59 2030');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 26 18:00:00 2030', 'Mar 29 18:59:59 2031', 'Oct 26 23:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 29 19:00:00 2031', 'Oct 25 17:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 25 23:59:59 2031');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 25 18:00:00 2031', 'Mar 27 18:59:59 2032', 'Oct 25 23:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 27 19:00:00 2032', 'Oct 30 17:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 30 23:59:59 2032');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 30 18:00:00 2032', 'Mar 26 18:59:59 2033', 'Oct 30 23:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 26 19:00:00 2033', 'Oct 29 17:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 29 23:59:59 2033');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 29 18:00:00 2033', 'Mar 25 18:59:59 2034', 'Oct 29 23:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 25 19:00:00 2034', 'Oct 28 17:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 28 23:59:59 2034');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 28 18:00:00 2034', 'Mar 24 18:59:59 2035', 'Oct 28 23:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 24 19:00:00 2035', 'Oct 27 17:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 27 23:59:59 2035');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 27 18:00:00 2035', 'Mar 29 18:59:59 2036', 'Oct 27 23:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 29 19:00:00 2036', 'Oct 25 17:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 25 23:59:59 2036');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 25 18:00:00 2036', 'Mar 28 18:59:59 2037', 'Oct 25 23:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Asia/Aqtobe', 'AQTST', 1, 21600, 'Mar 28 19:00:00 2037', 'Oct 24 17:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 24 23:59:59 2037');
timezone.add_rule('Asia/Aqtobe', 'AQTT', 0, 18000, 'Oct 24 18:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 24 23:00:00 2037', 'Jan 18 08:14:07 2038');
end;
/

--
-- Asia/Ashgabat not installed
--

--
-- Asia/Ashkhabad
--

begin
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 14012, 'Dec 14 20:45:52 1901', 'May 1 20:06:27 1924', 'Dec 15 00:39:24 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 14400, 'May 1 20:06:28 1924', 'Jun 20 19:59:59 1930', 'May 2 00:06:28 1924', 'Jun 20 23:59:59 1930');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Jun 20 20:00:00 1930', 'Mar 31 18:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 31 19:00:00 1981', 'Sep 30 17:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 21600, 'Sep 30 18:00:00 1981', 'Mar 31 17:59:59 1982', 'Oct 1 00:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 31 18:00:00 1982', 'Sep 30 17:59:59 1982', 'Apr 1 00:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 30 18:00:00 1982', 'Mar 31 18:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 31 19:00:00 1983', 'Sep 30 17:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 30 18:00:00 1983', 'Mar 31 18:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 31 19:00:00 1984', 'Sep 29 20:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 29 21:00:00 1984', 'Mar 30 20:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 30 21:00:00 1985', 'Sep 28 20:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 28 21:00:00 1985', 'Mar 29 20:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 29 21:00:00 1986', 'Sep 27 20:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 27 21:00:00 1986', 'Mar 28 20:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 28 21:00:00 1987', 'Sep 26 20:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 26 21:00:00 1987', 'Mar 26 20:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 26 21:00:00 1988', 'Sep 24 20:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 24 21:00:00 1988', 'Mar 25 20:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 25 21:00:00 1989', 'Sep 23 20:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 23 21:00:00 1989', 'Mar 24 20:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 24 21:00:00 1990', 'Sep 29 20:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 29 21:00:00 1990', 'Mar 28 17:59:59 1992', 'Sep 30 02:00:00 1990', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Ashkhabad', 'TMST', 1, 21600, 'Mar 28 18:00:00 1992', 'Sep 26 16:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Ashkhabad', 'TMT', 0, 18000, 'Sep 26 17:00:00 1992', 'Jan 18 03:14:07 2038', 'Sep 26 22:00:00 1992', 'Jan 18 08:14:07 2038');
end;
/

--
-- Asia/Baghdad
--

begin
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10656, 'Dec 14 20:45:52 1901', 'Dec 31 21:02:23 1917', 'Dec 14 23:43:28 1901', 'Dec 31 23:59:59 1917');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Dec 31 21:02:24 1917', 'Apr 30 20:59:59 1982', 'Jan 1 00:02:24 1918', 'Apr 30 23:59:59 1982');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 30 21:00:00 1982', 'Sep 30 19:59:59 1982', 'May 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 30 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 30 23:59:59 1983');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Mar 30 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Mar 31 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 30 19:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 23:59:59 1984');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Sep 30 20:00:00 1984', 'Mar 31 20:59:59 1985', 'Sep 30 23:00:00 1984', 'Mar 31 23:59:59 1985');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Mar 31 21:00:00 1985', 'Sep 28 21:59:59 1985', 'Apr 1 01:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Sep 28 22:00:00 1985', 'Mar 29 21:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Mar 29 22:00:00 1986', 'Sep 27 21:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Sep 27 22:00:00 1986', 'Mar 28 21:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Mar 28 22:00:00 1987', 'Sep 26 21:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Sep 26 22:00:00 1987', 'Mar 26 21:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Mar 26 22:00:00 1988', 'Sep 24 21:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Sep 24 22:00:00 1988', 'Mar 25 21:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Mar 25 22:00:00 1989', 'Sep 23 21:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Sep 23 22:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Mar 24 22:00:00 1990', 'Sep 29 21:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Sep 29 22:00:00 1990', 'Mar 31 23:59:59 1991', 'Sep 30 01:00:00 1990', 'Apr 1 02:59:59 1991');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 1991', 'Sep 30 23:59:59 1991', 'Apr 1 04:00:00 1991', 'Oct 1 03:59:59 1991');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 1991', 'Mar 31 23:59:59 1992', 'Oct 1 03:00:00 1991', 'Apr 1 02:59:59 1992');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 1992', 'Sep 30 23:59:59 1992', 'Apr 1 04:00:00 1992', 'Oct 1 03:59:59 1992');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 1992', 'Mar 31 23:59:59 1993', 'Oct 1 03:00:00 1992', 'Apr 1 02:59:59 1993');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 1993', 'Sep 30 23:59:59 1993', 'Apr 1 04:00:00 1993', 'Oct 1 03:59:59 1993');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 1993', 'Mar 31 23:59:59 1994', 'Oct 1 03:00:00 1993', 'Apr 1 02:59:59 1994');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 1994', 'Sep 30 23:59:59 1994', 'Apr 1 04:00:00 1994', 'Oct 1 03:59:59 1994');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 1994', 'Mar 31 23:59:59 1995', 'Oct 1 03:00:00 1994', 'Apr 1 02:59:59 1995');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 1995', 'Sep 30 23:59:59 1995', 'Apr 1 04:00:00 1995', 'Oct 1 03:59:59 1995');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 1995', 'Mar 31 23:59:59 1996', 'Oct 1 03:00:00 1995', 'Apr 1 02:59:59 1996');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 1996', 'Sep 30 23:59:59 1996', 'Apr 1 04:00:00 1996', 'Oct 1 03:59:59 1996');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 1996', 'Mar 31 23:59:59 1997', 'Oct 1 03:00:00 1996', 'Apr 1 02:59:59 1997');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 1997', 'Sep 30 23:59:59 1997', 'Apr 1 04:00:00 1997', 'Oct 1 03:59:59 1997');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 1997', 'Mar 31 23:59:59 1998', 'Oct 1 03:00:00 1997', 'Apr 1 02:59:59 1998');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 1998', 'Sep 30 23:59:59 1998', 'Apr 1 04:00:00 1998', 'Oct 1 03:59:59 1998');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 1998', 'Mar 31 23:59:59 1999', 'Oct 1 03:00:00 1998', 'Apr 1 02:59:59 1999');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 1999', 'Sep 30 23:59:59 1999', 'Apr 1 04:00:00 1999', 'Oct 1 03:59:59 1999');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 1999', 'Mar 31 23:59:59 2000', 'Oct 1 03:00:00 1999', 'Apr 1 02:59:59 2000');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2000', 'Sep 30 23:59:59 2000', 'Apr 1 04:00:00 2000', 'Oct 1 03:59:59 2000');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2000', 'Mar 31 23:59:59 2001', 'Oct 1 03:00:00 2000', 'Apr 1 02:59:59 2001');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2001', 'Sep 30 23:59:59 2001', 'Apr 1 04:00:00 2001', 'Oct 1 03:59:59 2001');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2001', 'Mar 31 23:59:59 2002', 'Oct 1 03:00:00 2001', 'Apr 1 02:59:59 2002');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2002', 'Sep 30 23:59:59 2002', 'Apr 1 04:00:00 2002', 'Oct 1 03:59:59 2002');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2002', 'Mar 31 23:59:59 2003', 'Oct 1 03:00:00 2002', 'Apr 1 02:59:59 2003');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2003', 'Sep 30 23:59:59 2003', 'Apr 1 04:00:00 2003', 'Oct 1 03:59:59 2003');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2003', 'Mar 31 23:59:59 2004', 'Oct 1 03:00:00 2003', 'Apr 1 02:59:59 2004');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2004', 'Sep 30 23:59:59 2004', 'Apr 1 04:00:00 2004', 'Oct 1 03:59:59 2004');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2004', 'Mar 31 23:59:59 2005', 'Oct 1 03:00:00 2004', 'Apr 1 02:59:59 2005');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2005', 'Sep 30 23:59:59 2005', 'Apr 1 04:00:00 2005', 'Oct 1 03:59:59 2005');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2005', 'Mar 31 23:59:59 2006', 'Oct 1 03:00:00 2005', 'Apr 1 02:59:59 2006');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2006', 'Sep 30 23:59:59 2006', 'Apr 1 04:00:00 2006', 'Oct 1 03:59:59 2006');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2006', 'Mar 31 23:59:59 2007', 'Oct 1 03:00:00 2006', 'Apr 1 02:59:59 2007');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2007', 'Sep 30 23:59:59 2007', 'Apr 1 04:00:00 2007', 'Oct 1 03:59:59 2007');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2007', 'Mar 31 23:59:59 2008', 'Oct 1 03:00:00 2007', 'Apr 1 02:59:59 2008');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2008', 'Sep 30 23:59:59 2008', 'Apr 1 04:00:00 2008', 'Oct 1 03:59:59 2008');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2008', 'Mar 31 23:59:59 2009', 'Oct 1 03:00:00 2008', 'Apr 1 02:59:59 2009');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2009', 'Sep 30 23:59:59 2009', 'Apr 1 04:00:00 2009', 'Oct 1 03:59:59 2009');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2009', 'Mar 31 23:59:59 2010', 'Oct 1 03:00:00 2009', 'Apr 1 02:59:59 2010');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2010', 'Sep 30 23:59:59 2010', 'Apr 1 04:00:00 2010', 'Oct 1 03:59:59 2010');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2010', 'Mar 31 23:59:59 2011', 'Oct 1 03:00:00 2010', 'Apr 1 02:59:59 2011');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2011', 'Sep 30 23:59:59 2011', 'Apr 1 04:00:00 2011', 'Oct 1 03:59:59 2011');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2011', 'Mar 31 23:59:59 2012', 'Oct 1 03:00:00 2011', 'Apr 1 02:59:59 2012');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2012', 'Sep 30 23:59:59 2012', 'Apr 1 04:00:00 2012', 'Oct 1 03:59:59 2012');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2012', 'Mar 31 23:59:59 2013', 'Oct 1 03:00:00 2012', 'Apr 1 02:59:59 2013');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2013', 'Sep 30 23:59:59 2013', 'Apr 1 04:00:00 2013', 'Oct 1 03:59:59 2013');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2013', 'Mar 31 23:59:59 2014', 'Oct 1 03:00:00 2013', 'Apr 1 02:59:59 2014');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2014', 'Sep 30 23:59:59 2014', 'Apr 1 04:00:00 2014', 'Oct 1 03:59:59 2014');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2014', 'Mar 31 23:59:59 2015', 'Oct 1 03:00:00 2014', 'Apr 1 02:59:59 2015');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2015', 'Sep 30 23:59:59 2015', 'Apr 1 04:00:00 2015', 'Oct 1 03:59:59 2015');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2015', 'Mar 31 23:59:59 2016', 'Oct 1 03:00:00 2015', 'Apr 1 02:59:59 2016');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2016', 'Sep 30 23:59:59 2016', 'Apr 1 04:00:00 2016', 'Oct 1 03:59:59 2016');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2016', 'Mar 31 23:59:59 2017', 'Oct 1 03:00:00 2016', 'Apr 1 02:59:59 2017');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2017', 'Sep 30 23:59:59 2017', 'Apr 1 04:00:00 2017', 'Oct 1 03:59:59 2017');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2017', 'Mar 31 23:59:59 2018', 'Oct 1 03:00:00 2017', 'Apr 1 02:59:59 2018');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2018', 'Sep 30 23:59:59 2018', 'Apr 1 04:00:00 2018', 'Oct 1 03:59:59 2018');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2018', 'Mar 31 23:59:59 2019', 'Oct 1 03:00:00 2018', 'Apr 1 02:59:59 2019');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2019', 'Sep 30 23:59:59 2019', 'Apr 1 04:00:00 2019', 'Oct 1 03:59:59 2019');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2019', 'Mar 31 23:59:59 2020', 'Oct 1 03:00:00 2019', 'Apr 1 02:59:59 2020');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2020', 'Sep 30 23:59:59 2020', 'Apr 1 04:00:00 2020', 'Oct 1 03:59:59 2020');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2020', 'Mar 31 23:59:59 2021', 'Oct 1 03:00:00 2020', 'Apr 1 02:59:59 2021');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2021', 'Sep 30 23:59:59 2021', 'Apr 1 04:00:00 2021', 'Oct 1 03:59:59 2021');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2021', 'Mar 31 23:59:59 2022', 'Oct 1 03:00:00 2021', 'Apr 1 02:59:59 2022');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2022', 'Sep 30 23:59:59 2022', 'Apr 1 04:00:00 2022', 'Oct 1 03:59:59 2022');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2022', 'Mar 31 23:59:59 2023', 'Oct 1 03:00:00 2022', 'Apr 1 02:59:59 2023');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2023', 'Sep 30 23:59:59 2023', 'Apr 1 04:00:00 2023', 'Oct 1 03:59:59 2023');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2023', 'Mar 31 23:59:59 2024', 'Oct 1 03:00:00 2023', 'Apr 1 02:59:59 2024');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2024', 'Sep 30 23:59:59 2024', 'Apr 1 04:00:00 2024', 'Oct 1 03:59:59 2024');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2024', 'Mar 31 23:59:59 2025', 'Oct 1 03:00:00 2024', 'Apr 1 02:59:59 2025');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2025', 'Sep 30 23:59:59 2025', 'Apr 1 04:00:00 2025', 'Oct 1 03:59:59 2025');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2025', 'Mar 31 23:59:59 2026', 'Oct 1 03:00:00 2025', 'Apr 1 02:59:59 2026');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2026', 'Sep 30 23:59:59 2026', 'Apr 1 04:00:00 2026', 'Oct 1 03:59:59 2026');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2026', 'Mar 31 23:59:59 2027', 'Oct 1 03:00:00 2026', 'Apr 1 02:59:59 2027');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2027', 'Sep 30 23:59:59 2027', 'Apr 1 04:00:00 2027', 'Oct 1 03:59:59 2027');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2027', 'Mar 31 23:59:59 2028', 'Oct 1 03:00:00 2027', 'Apr 1 02:59:59 2028');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2028', 'Sep 30 23:59:59 2028', 'Apr 1 04:00:00 2028', 'Oct 1 03:59:59 2028');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2028', 'Mar 31 23:59:59 2029', 'Oct 1 03:00:00 2028', 'Apr 1 02:59:59 2029');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2029', 'Sep 30 23:59:59 2029', 'Apr 1 04:00:00 2029', 'Oct 1 03:59:59 2029');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2029', 'Mar 31 23:59:59 2030', 'Oct 1 03:00:00 2029', 'Apr 1 02:59:59 2030');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2030', 'Sep 30 23:59:59 2030', 'Apr 1 04:00:00 2030', 'Oct 1 03:59:59 2030');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2030', 'Mar 31 23:59:59 2031', 'Oct 1 03:00:00 2030', 'Apr 1 02:59:59 2031');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2031', 'Sep 30 23:59:59 2031', 'Apr 1 04:00:00 2031', 'Oct 1 03:59:59 2031');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2031', 'Mar 31 23:59:59 2032', 'Oct 1 03:00:00 2031', 'Apr 1 02:59:59 2032');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2032', 'Sep 30 23:59:59 2032', 'Apr 1 04:00:00 2032', 'Oct 1 03:59:59 2032');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2032', 'Mar 31 23:59:59 2033', 'Oct 1 03:00:00 2032', 'Apr 1 02:59:59 2033');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2033', 'Sep 30 23:59:59 2033', 'Apr 1 04:00:00 2033', 'Oct 1 03:59:59 2033');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2033', 'Mar 31 23:59:59 2034', 'Oct 1 03:00:00 2033', 'Apr 1 02:59:59 2034');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2034', 'Sep 30 23:59:59 2034', 'Apr 1 04:00:00 2034', 'Oct 1 03:59:59 2034');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2034', 'Mar 31 23:59:59 2035', 'Oct 1 03:00:00 2034', 'Apr 1 02:59:59 2035');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2035', 'Sep 30 23:59:59 2035', 'Apr 1 04:00:00 2035', 'Oct 1 03:59:59 2035');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2035', 'Mar 31 23:59:59 2036', 'Oct 1 03:00:00 2035', 'Apr 1 02:59:59 2036');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2036', 'Sep 30 23:59:59 2036', 'Apr 1 04:00:00 2036', 'Oct 1 03:59:59 2036');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2036', 'Mar 31 23:59:59 2037', 'Oct 1 03:00:00 2036', 'Apr 1 02:59:59 2037');
timezone.add_rule('Asia/Baghdad', 'ADT', 1, 14400, 'Apr 1 00:00:00 2037', 'Sep 30 23:59:59 2037', 'Apr 1 04:00:00 2037', 'Oct 1 03:59:59 2037');
timezone.add_rule('Asia/Baghdad', 'ADT', 0, 10800, 'Oct 1 00:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 1 03:00:00 2037', 'Jan 18 06:14:07 2038');
end;
/

--
-- Asia/Bahrain
--

begin
timezone.add_rule('Asia/Bahrain', 'AST', 0, 12140, 'Dec 14 20:45:52 1901', 'Dec 31 20:37:39 1919', 'Dec 15 00:08:12 1901', 'Dec 31 23:59:59 1919');
timezone.add_rule('Asia/Bahrain', 'AST', 0, 14400, 'Dec 31 20:37:40 1919', 'May 31 19:59:59 1972', 'Jan 1 00:37:40 1920', 'May 31 23:59:59 1972');
timezone.add_rule('Asia/Bahrain', 'AST', 0, 10800, 'May 31 20:00:00 1972', 'Jan 18 03:14:07 2038', 'May 31 23:00:00 1972', 'Jan 18 06:14:07 2038');
end;
/

--
-- Asia/Baku
--

begin
timezone.add_rule('Asia/Baku', 'AZT', 0, 11964, 'Dec 14 20:45:52 1901', 'May 1 20:40:35 1924', 'Dec 15 00:05:16 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Baku', 'AZT', 0, 10800, 'May 1 20:40:36 1924', 'Feb 28 20:59:59 1957', 'May 1 23:40:36 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Feb 28 21:00:00 1957', 'Mar 31 19:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 31 20:00:00 1981', 'Sep 30 18:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 30 19:00:00 1981', 'Mar 31 19:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 31 20:00:00 1982', 'Sep 30 18:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 30 19:00:00 1982', 'Mar 31 19:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 31 20:00:00 1983', 'Sep 30 18:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 30 19:00:00 1983', 'Mar 31 19:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 31 20:00:00 1984', 'Sep 29 21:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 29 22:00:00 1984', 'Mar 30 21:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 30 22:00:00 1985', 'Sep 28 21:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 28 22:00:00 1985', 'Mar 29 21:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 29 22:00:00 1986', 'Sep 27 21:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 27 22:00:00 1986', 'Mar 28 21:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 28 22:00:00 1987', 'Sep 26 21:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 26 22:00:00 1987', 'Mar 26 21:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 26 22:00:00 1988', 'Sep 24 21:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 24 22:00:00 1988', 'Mar 25 21:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 25 22:00:00 1989', 'Sep 23 21:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 23 22:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 24 22:00:00 1990', 'Sep 29 21:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 29 22:00:00 1990', 'Mar 30 21:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Baku', 'AZST', 1, 14400, 'Mar 30 22:00:00 1991', 'Sep 28 22:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Baku', 'AZT', 0, 10800, 'Sep 28 23:00:00 1991', 'Mar 28 19:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Baku', 'AZST', 1, 14400, 'Mar 28 20:00:00 1992', 'Sep 26 18:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Baku', 'AZT', 0, 10800, 'Sep 26 19:00:00 1992', 'Sep 26 22:59:59 1992', 'Sep 26 22:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Sep 26 23:00:00 1992', 'Dec 31 19:59:59 1995', 'Sep 27 03:00:00 1992', 'Dec 31 23:59:59 1995');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Dec 31 20:00:00 1995', 'Oct 27 00:59:59 1996', 'Jan 1 01:00:00 1996', 'Oct 27 05:59:59 1996');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 27 01:00:00 1996', 'Mar 29 20:59:59 1997', 'Oct 27 05:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 29 21:00:00 1997', 'Oct 25 19:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 00:59:59 1997');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 25 20:00:00 1997', 'Mar 28 20:59:59 1998', 'Oct 26 00:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 28 21:00:00 1998', 'Oct 24 19:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 00:59:59 1998');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 24 20:00:00 1998', 'Mar 27 20:59:59 1999', 'Oct 25 00:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 27 21:00:00 1999', 'Oct 30 19:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 00:59:59 1999');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 30 20:00:00 1999', 'Mar 25 20:59:59 2000', 'Oct 31 00:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 25 21:00:00 2000', 'Oct 28 19:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 00:59:59 2000');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 28 20:00:00 2000', 'Mar 24 20:59:59 2001', 'Oct 29 00:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 24 21:00:00 2001', 'Oct 27 19:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 00:59:59 2001');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 27 20:00:00 2001', 'Mar 30 20:59:59 2002', 'Oct 28 00:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 30 21:00:00 2002', 'Oct 26 19:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 00:59:59 2002');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 26 20:00:00 2002', 'Mar 29 20:59:59 2003', 'Oct 27 00:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 29 21:00:00 2003', 'Oct 25 19:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 00:59:59 2003');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 25 20:00:00 2003', 'Mar 27 20:59:59 2004', 'Oct 26 00:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 27 21:00:00 2004', 'Oct 30 19:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 00:59:59 2004');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 30 20:00:00 2004', 'Mar 26 20:59:59 2005', 'Oct 31 00:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 26 21:00:00 2005', 'Oct 29 19:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 00:59:59 2005');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 29 20:00:00 2005', 'Mar 25 20:59:59 2006', 'Oct 30 00:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 25 21:00:00 2006', 'Oct 28 19:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 00:59:59 2006');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 28 20:00:00 2006', 'Mar 24 20:59:59 2007', 'Oct 29 00:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 24 21:00:00 2007', 'Oct 27 19:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 00:59:59 2007');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 27 20:00:00 2007', 'Mar 29 20:59:59 2008', 'Oct 28 00:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 29 21:00:00 2008', 'Oct 25 19:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 00:59:59 2008');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 25 20:00:00 2008', 'Mar 28 20:59:59 2009', 'Oct 26 00:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 28 21:00:00 2009', 'Oct 24 19:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 00:59:59 2009');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 24 20:00:00 2009', 'Mar 27 20:59:59 2010', 'Oct 25 00:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 27 21:00:00 2010', 'Oct 30 19:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 00:59:59 2010');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 30 20:00:00 2010', 'Mar 26 20:59:59 2011', 'Oct 31 00:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 26 21:00:00 2011', 'Oct 29 19:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 00:59:59 2011');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 29 20:00:00 2011', 'Mar 24 20:59:59 2012', 'Oct 30 00:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 24 21:00:00 2012', 'Oct 27 19:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 00:59:59 2012');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 27 20:00:00 2012', 'Mar 30 20:59:59 2013', 'Oct 28 00:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 30 21:00:00 2013', 'Oct 26 19:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 00:59:59 2013');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 26 20:00:00 2013', 'Mar 29 20:59:59 2014', 'Oct 27 00:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 29 21:00:00 2014', 'Oct 25 19:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 00:59:59 2014');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 25 20:00:00 2014', 'Mar 28 20:59:59 2015', 'Oct 26 00:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 28 21:00:00 2015', 'Oct 24 19:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 00:59:59 2015');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 24 20:00:00 2015', 'Mar 26 20:59:59 2016', 'Oct 25 00:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 26 21:00:00 2016', 'Oct 29 19:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 00:59:59 2016');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 29 20:00:00 2016', 'Mar 25 20:59:59 2017', 'Oct 30 00:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 25 21:00:00 2017', 'Oct 28 19:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 00:59:59 2017');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 28 20:00:00 2017', 'Mar 24 20:59:59 2018', 'Oct 29 00:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 24 21:00:00 2018', 'Oct 27 19:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 00:59:59 2018');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 27 20:00:00 2018', 'Mar 30 20:59:59 2019', 'Oct 28 00:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 30 21:00:00 2019', 'Oct 26 19:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 00:59:59 2019');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 26 20:00:00 2019', 'Mar 28 20:59:59 2020', 'Oct 27 00:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 28 21:00:00 2020', 'Oct 24 19:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 00:59:59 2020');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 24 20:00:00 2020', 'Mar 27 20:59:59 2021', 'Oct 25 00:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 27 21:00:00 2021', 'Oct 30 19:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 00:59:59 2021');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 30 20:00:00 2021', 'Mar 26 20:59:59 2022', 'Oct 31 00:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 26 21:00:00 2022', 'Oct 29 19:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 00:59:59 2022');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 29 20:00:00 2022', 'Mar 25 20:59:59 2023', 'Oct 30 00:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 25 21:00:00 2023', 'Oct 28 19:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 00:59:59 2023');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 28 20:00:00 2023', 'Mar 30 20:59:59 2024', 'Oct 29 00:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 30 21:00:00 2024', 'Oct 26 19:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 00:59:59 2024');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 26 20:00:00 2024', 'Mar 29 20:59:59 2025', 'Oct 27 00:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 29 21:00:00 2025', 'Oct 25 19:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 00:59:59 2025');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 25 20:00:00 2025', 'Mar 28 20:59:59 2026', 'Oct 26 00:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 28 21:00:00 2026', 'Oct 24 19:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 00:59:59 2026');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 24 20:00:00 2026', 'Mar 27 20:59:59 2027', 'Oct 25 00:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 27 21:00:00 2027', 'Oct 30 19:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 00:59:59 2027');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 30 20:00:00 2027', 'Mar 25 20:59:59 2028', 'Oct 31 00:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 25 21:00:00 2028', 'Oct 28 19:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 00:59:59 2028');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 28 20:00:00 2028', 'Mar 24 20:59:59 2029', 'Oct 29 00:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 24 21:00:00 2029', 'Oct 27 19:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 00:59:59 2029');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 27 20:00:00 2029', 'Mar 30 20:59:59 2030', 'Oct 28 00:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 30 21:00:00 2030', 'Oct 26 19:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 00:59:59 2030');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 26 20:00:00 2030', 'Mar 29 20:59:59 2031', 'Oct 27 00:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 29 21:00:00 2031', 'Oct 25 19:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 00:59:59 2031');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 25 20:00:00 2031', 'Mar 27 20:59:59 2032', 'Oct 26 00:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 27 21:00:00 2032', 'Oct 30 19:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 00:59:59 2032');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 30 20:00:00 2032', 'Mar 26 20:59:59 2033', 'Oct 31 00:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 26 21:00:00 2033', 'Oct 29 19:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 00:59:59 2033');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 29 20:00:00 2033', 'Mar 25 20:59:59 2034', 'Oct 30 00:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 25 21:00:00 2034', 'Oct 28 19:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 00:59:59 2034');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 28 20:00:00 2034', 'Mar 24 20:59:59 2035', 'Oct 29 00:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 24 21:00:00 2035', 'Oct 27 19:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 00:59:59 2035');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 27 20:00:00 2035', 'Mar 29 20:59:59 2036', 'Oct 28 00:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 29 21:00:00 2036', 'Oct 25 19:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 00:59:59 2036');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 25 20:00:00 2036', 'Mar 28 20:59:59 2037', 'Oct 26 00:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Asia/Baku', 'AZST', 1, 18000, 'Mar 28 21:00:00 2037', 'Oct 24 19:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 00:59:59 2037');
timezone.add_rule('Asia/Baku', 'AZT', 0, 14400, 'Oct 24 20:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 00:00:00 2037', 'Jan 18 07:14:07 2038');
end;
/

--
-- Asia/Bangkok
--

begin
timezone.add_rule('Asia/Bangkok', 'ICT', 0, 24124, 'Dec 14 20:45:52 1901', 'Mar 31 17:17:55 1920', 'Dec 15 03:27:56 1901', 'Mar 31 23:59:59 1920');
timezone.add_rule('Asia/Bangkok', 'ICT', 0, 25200, 'Mar 31 17:17:56 1920', 'Jan 18 03:14:07 2038', 'Apr 1 00:17:56 1920', 'Jan 18 10:14:07 2038');
end;
/

--
-- Asia/Beirut
--

begin
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Dec 14 20:45:52 1901', 'Mar 27 21:59:59 1920', 'Dec 14 22:45:52 1901', 'Mar 27 23:59:59 1920');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 27 22:00:00 1920', 'Oct 24 20:59:59 1920', 'Mar 28 01:00:00 1920', 'Oct 24 23:59:59 1920');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 24 21:00:00 1920', 'Apr 2 21:59:59 1921', 'Oct 24 23:00:00 1920', 'Apr 2 23:59:59 1921');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 2 22:00:00 1921', 'Oct 2 20:59:59 1921', 'Apr 3 01:00:00 1921', 'Oct 2 23:59:59 1921');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 2 21:00:00 1921', 'Mar 25 21:59:59 1922', 'Oct 2 23:00:00 1921', 'Mar 25 23:59:59 1922');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 25 22:00:00 1922', 'Oct 7 20:59:59 1922', 'Mar 26 01:00:00 1922', 'Oct 7 23:59:59 1922');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 7 21:00:00 1922', 'Apr 21 21:59:59 1923', 'Oct 7 23:00:00 1922', 'Apr 21 23:59:59 1923');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 21 22:00:00 1923', 'Sep 15 20:59:59 1923', 'Apr 22 01:00:00 1923', 'Sep 15 23:59:59 1923');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 15 21:00:00 1923', 'Apr 30 21:59:59 1957', 'Sep 15 23:00:00 1923', 'Apr 30 23:59:59 1957');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1957', 'Sep 30 20:59:59 1957', 'May 1 01:00:00 1957', 'Sep 30 23:59:59 1957');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1957', 'Apr 30 21:59:59 1958', 'Sep 30 23:00:00 1957', 'Apr 30 23:59:59 1958');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1958', 'Sep 30 20:59:59 1958', 'May 1 01:00:00 1958', 'Sep 30 23:59:59 1958');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1958', 'Apr 30 21:59:59 1959', 'Sep 30 23:00:00 1958', 'Apr 30 23:59:59 1959');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1959', 'Sep 30 20:59:59 1959', 'May 1 01:00:00 1959', 'Sep 30 23:59:59 1959');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1959', 'Apr 30 21:59:59 1960', 'Sep 30 23:00:00 1959', 'Apr 30 23:59:59 1960');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1960', 'Sep 30 20:59:59 1960', 'May 1 01:00:00 1960', 'Sep 30 23:59:59 1960');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1960', 'Apr 30 21:59:59 1961', 'Sep 30 23:00:00 1960', 'Apr 30 23:59:59 1961');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1961', 'Sep 30 20:59:59 1961', 'May 1 01:00:00 1961', 'Sep 30 23:59:59 1961');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1961', 'Jun 21 21:59:59 1972', 'Sep 30 23:00:00 1961', 'Jun 21 23:59:59 1972');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Jun 21 22:00:00 1972', 'Sep 30 20:59:59 1972', 'Jun 22 01:00:00 1972', 'Sep 30 23:59:59 1972');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1972', 'Apr 30 21:59:59 1973', 'Sep 30 23:00:00 1972', 'Apr 30 23:59:59 1973');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1973', 'Sep 30 20:59:59 1973', 'May 1 01:00:00 1973', 'Sep 30 23:59:59 1973');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1973', 'Apr 30 21:59:59 1974', 'Sep 30 23:00:00 1973', 'Apr 30 23:59:59 1974');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1974', 'Sep 30 20:59:59 1974', 'May 1 01:00:00 1974', 'Sep 30 23:59:59 1974');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1974', 'Apr 30 21:59:59 1975', 'Sep 30 23:00:00 1974', 'Apr 30 23:59:59 1975');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1975', 'Sep 30 20:59:59 1975', 'May 1 01:00:00 1975', 'Sep 30 23:59:59 1975');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1975', 'Apr 30 21:59:59 1976', 'Sep 30 23:00:00 1975', 'Apr 30 23:59:59 1976');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1976', 'Sep 30 20:59:59 1976', 'May 1 01:00:00 1976', 'Sep 30 23:59:59 1976');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1976', 'Apr 30 21:59:59 1977', 'Sep 30 23:00:00 1976', 'Apr 30 23:59:59 1977');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1977', 'Sep 30 20:59:59 1977', 'May 1 01:00:00 1977', 'Sep 30 23:59:59 1977');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 30 21:00:00 1977', 'Apr 29 21:59:59 1978', 'Sep 30 23:00:00 1977', 'Apr 29 23:59:59 1978');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 29 22:00:00 1978', 'Sep 29 20:59:59 1978', 'Apr 30 01:00:00 1978', 'Sep 29 23:59:59 1978');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 29 21:00:00 1978', 'Apr 30 21:59:59 1984', 'Sep 29 23:00:00 1978', 'Apr 30 23:59:59 1984');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1984', 'Oct 15 20:59:59 1984', 'May 1 01:00:00 1984', 'Oct 15 23:59:59 1984');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 15 21:00:00 1984', 'Apr 30 21:59:59 1985', 'Oct 15 23:00:00 1984', 'Apr 30 23:59:59 1985');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1985', 'Oct 15 20:59:59 1985', 'May 1 01:00:00 1985', 'Oct 15 23:59:59 1985');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 15 21:00:00 1985', 'Apr 30 21:59:59 1986', 'Oct 15 23:00:00 1985', 'Apr 30 23:59:59 1986');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1986', 'Oct 15 20:59:59 1986', 'May 1 01:00:00 1986', 'Oct 15 23:59:59 1986');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 15 21:00:00 1986', 'Apr 30 21:59:59 1987', 'Oct 15 23:00:00 1986', 'Apr 30 23:59:59 1987');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1987', 'Oct 15 20:59:59 1987', 'May 1 01:00:00 1987', 'Oct 15 23:59:59 1987');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 15 21:00:00 1987', 'May 31 21:59:59 1988', 'Oct 15 23:00:00 1987', 'May 31 23:59:59 1988');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'May 31 22:00:00 1988', 'Oct 15 20:59:59 1988', 'Jun 1 01:00:00 1988', 'Oct 15 23:59:59 1988');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 15 21:00:00 1988', 'May 9 21:59:59 1989', 'Oct 15 23:00:00 1988', 'May 9 23:59:59 1989');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'May 9 22:00:00 1989', 'Oct 15 20:59:59 1989', 'May 10 01:00:00 1989', 'Oct 15 23:59:59 1989');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 15 21:00:00 1989', 'Apr 30 21:59:59 1990', 'Oct 15 23:00:00 1989', 'Apr 30 23:59:59 1990');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1990', 'Oct 15 20:59:59 1990', 'May 1 01:00:00 1990', 'Oct 15 23:59:59 1990');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 15 21:00:00 1990', 'Apr 30 21:59:59 1991', 'Oct 15 23:00:00 1990', 'Apr 30 23:59:59 1991');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1991', 'Oct 15 20:59:59 1991', 'May 1 01:00:00 1991', 'Oct 15 23:59:59 1991');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 15 21:00:00 1991', 'Apr 30 21:59:59 1992', 'Oct 15 23:00:00 1991', 'Apr 30 23:59:59 1992');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Apr 30 22:00:00 1992', 'Oct 3 20:59:59 1992', 'May 1 01:00:00 1992', 'Oct 3 23:59:59 1992');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Oct 3 21:00:00 1992', 'Mar 27 21:59:59 1993', 'Oct 3 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 27 22:00:00 1993', 'Sep 25 20:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 25 21:00:00 1993', 'Mar 26 21:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 26 22:00:00 1994', 'Sep 24 20:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 24 21:00:00 1994', 'Mar 25 21:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 25 22:00:00 1995', 'Sep 23 20:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 23 21:00:00 1995', 'Mar 30 21:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 30 22:00:00 1996', 'Sep 28 20:59:59 1996', 'Mar 31 01:00:00 1996', 'Sep 28 23:59:59 1996');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 28 21:00:00 1996', 'Mar 29 21:59:59 1997', 'Sep 28 23:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 29 22:00:00 1997', 'Sep 27 20:59:59 1997', 'Mar 30 01:00:00 1997', 'Sep 27 23:59:59 1997');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 27 21:00:00 1997', 'Mar 28 21:59:59 1998', 'Sep 27 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 28 22:00:00 1998', 'Sep 26 20:59:59 1998', 'Mar 29 01:00:00 1998', 'Sep 26 23:59:59 1998');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 26 21:00:00 1998', 'Mar 27 21:59:59 1999', 'Sep 26 23:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 27 22:00:00 1999', 'Sep 25 20:59:59 1999', 'Mar 28 01:00:00 1999', 'Sep 25 23:59:59 1999');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 25 21:00:00 1999', 'Mar 25 21:59:59 2000', 'Sep 25 23:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 25 22:00:00 2000', 'Sep 23 20:59:59 2000', 'Mar 26 01:00:00 2000', 'Sep 23 23:59:59 2000');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 23 21:00:00 2000', 'Mar 24 21:59:59 2001', 'Sep 23 23:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 24 22:00:00 2001', 'Sep 29 20:59:59 2001', 'Mar 25 01:00:00 2001', 'Sep 29 23:59:59 2001');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 29 21:00:00 2001', 'Mar 30 21:59:59 2002', 'Sep 29 23:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 30 22:00:00 2002', 'Sep 28 20:59:59 2002', 'Mar 31 01:00:00 2002', 'Sep 28 23:59:59 2002');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 28 21:00:00 2002', 'Mar 29 21:59:59 2003', 'Sep 28 23:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 29 22:00:00 2003', 'Sep 27 20:59:59 2003', 'Mar 30 01:00:00 2003', 'Sep 27 23:59:59 2003');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 27 21:00:00 2003', 'Mar 27 21:59:59 2004', 'Sep 27 23:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 27 22:00:00 2004', 'Sep 25 20:59:59 2004', 'Mar 28 01:00:00 2004', 'Sep 25 23:59:59 2004');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 25 21:00:00 2004', 'Mar 26 21:59:59 2005', 'Sep 25 23:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 26 22:00:00 2005', 'Sep 24 20:59:59 2005', 'Mar 27 01:00:00 2005', 'Sep 24 23:59:59 2005');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 24 21:00:00 2005', 'Mar 25 21:59:59 2006', 'Sep 24 23:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 25 22:00:00 2006', 'Sep 23 20:59:59 2006', 'Mar 26 01:00:00 2006', 'Sep 23 23:59:59 2006');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 23 21:00:00 2006', 'Mar 24 21:59:59 2007', 'Sep 23 23:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 24 22:00:00 2007', 'Sep 29 20:59:59 2007', 'Mar 25 01:00:00 2007', 'Sep 29 23:59:59 2007');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 29 21:00:00 2007', 'Mar 29 21:59:59 2008', 'Sep 29 23:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 29 22:00:00 2008', 'Sep 27 20:59:59 2008', 'Mar 30 01:00:00 2008', 'Sep 27 23:59:59 2008');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 27 21:00:00 2008', 'Mar 28 21:59:59 2009', 'Sep 27 23:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 28 22:00:00 2009', 'Sep 26 20:59:59 2009', 'Mar 29 01:00:00 2009', 'Sep 26 23:59:59 2009');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 26 21:00:00 2009', 'Mar 27 21:59:59 2010', 'Sep 26 23:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 27 22:00:00 2010', 'Sep 25 20:59:59 2010', 'Mar 28 01:00:00 2010', 'Sep 25 23:59:59 2010');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 25 21:00:00 2010', 'Mar 26 21:59:59 2011', 'Sep 25 23:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 26 22:00:00 2011', 'Sep 24 20:59:59 2011', 'Mar 27 01:00:00 2011', 'Sep 24 23:59:59 2011');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 24 21:00:00 2011', 'Mar 24 21:59:59 2012', 'Sep 24 23:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 24 22:00:00 2012', 'Sep 29 20:59:59 2012', 'Mar 25 01:00:00 2012', 'Sep 29 23:59:59 2012');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 29 21:00:00 2012', 'Mar 30 21:59:59 2013', 'Sep 29 23:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 30 22:00:00 2013', 'Sep 28 20:59:59 2013', 'Mar 31 01:00:00 2013', 'Sep 28 23:59:59 2013');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 28 21:00:00 2013', 'Mar 29 21:59:59 2014', 'Sep 28 23:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 29 22:00:00 2014', 'Sep 27 20:59:59 2014', 'Mar 30 01:00:00 2014', 'Sep 27 23:59:59 2014');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 27 21:00:00 2014', 'Mar 28 21:59:59 2015', 'Sep 27 23:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 28 22:00:00 2015', 'Sep 26 20:59:59 2015', 'Mar 29 01:00:00 2015', 'Sep 26 23:59:59 2015');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 26 21:00:00 2015', 'Mar 26 21:59:59 2016', 'Sep 26 23:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 26 22:00:00 2016', 'Sep 24 20:59:59 2016', 'Mar 27 01:00:00 2016', 'Sep 24 23:59:59 2016');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 24 21:00:00 2016', 'Mar 25 21:59:59 2017', 'Sep 24 23:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 25 22:00:00 2017', 'Sep 23 20:59:59 2017', 'Mar 26 01:00:00 2017', 'Sep 23 23:59:59 2017');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 23 21:00:00 2017', 'Mar 24 21:59:59 2018', 'Sep 23 23:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 24 22:00:00 2018', 'Sep 29 20:59:59 2018', 'Mar 25 01:00:00 2018', 'Sep 29 23:59:59 2018');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 29 21:00:00 2018', 'Mar 30 21:59:59 2019', 'Sep 29 23:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 30 22:00:00 2019', 'Sep 28 20:59:59 2019', 'Mar 31 01:00:00 2019', 'Sep 28 23:59:59 2019');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 28 21:00:00 2019', 'Mar 28 21:59:59 2020', 'Sep 28 23:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 28 22:00:00 2020', 'Sep 26 20:59:59 2020', 'Mar 29 01:00:00 2020', 'Sep 26 23:59:59 2020');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 26 21:00:00 2020', 'Mar 27 21:59:59 2021', 'Sep 26 23:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 27 22:00:00 2021', 'Sep 25 20:59:59 2021', 'Mar 28 01:00:00 2021', 'Sep 25 23:59:59 2021');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 25 21:00:00 2021', 'Mar 26 21:59:59 2022', 'Sep 25 23:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 26 22:00:00 2022', 'Sep 24 20:59:59 2022', 'Mar 27 01:00:00 2022', 'Sep 24 23:59:59 2022');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 24 21:00:00 2022', 'Mar 25 21:59:59 2023', 'Sep 24 23:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 25 22:00:00 2023', 'Sep 23 20:59:59 2023', 'Mar 26 01:00:00 2023', 'Sep 23 23:59:59 2023');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 23 21:00:00 2023', 'Mar 30 21:59:59 2024', 'Sep 23 23:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 30 22:00:00 2024', 'Sep 28 20:59:59 2024', 'Mar 31 01:00:00 2024', 'Sep 28 23:59:59 2024');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 28 21:00:00 2024', 'Mar 29 21:59:59 2025', 'Sep 28 23:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 29 22:00:00 2025', 'Sep 27 20:59:59 2025', 'Mar 30 01:00:00 2025', 'Sep 27 23:59:59 2025');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 27 21:00:00 2025', 'Mar 28 21:59:59 2026', 'Sep 27 23:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 28 22:00:00 2026', 'Sep 26 20:59:59 2026', 'Mar 29 01:00:00 2026', 'Sep 26 23:59:59 2026');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 26 21:00:00 2026', 'Mar 27 21:59:59 2027', 'Sep 26 23:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 27 22:00:00 2027', 'Sep 25 20:59:59 2027', 'Mar 28 01:00:00 2027', 'Sep 25 23:59:59 2027');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 25 21:00:00 2027', 'Mar 25 21:59:59 2028', 'Sep 25 23:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 25 22:00:00 2028', 'Sep 23 20:59:59 2028', 'Mar 26 01:00:00 2028', 'Sep 23 23:59:59 2028');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 23 21:00:00 2028', 'Mar 24 21:59:59 2029', 'Sep 23 23:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 24 22:00:00 2029', 'Sep 29 20:59:59 2029', 'Mar 25 01:00:00 2029', 'Sep 29 23:59:59 2029');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 29 21:00:00 2029', 'Mar 30 21:59:59 2030', 'Sep 29 23:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 30 22:00:00 2030', 'Sep 28 20:59:59 2030', 'Mar 31 01:00:00 2030', 'Sep 28 23:59:59 2030');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 28 21:00:00 2030', 'Mar 29 21:59:59 2031', 'Sep 28 23:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 29 22:00:00 2031', 'Sep 27 20:59:59 2031', 'Mar 30 01:00:00 2031', 'Sep 27 23:59:59 2031');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 27 21:00:00 2031', 'Mar 27 21:59:59 2032', 'Sep 27 23:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 27 22:00:00 2032', 'Sep 25 20:59:59 2032', 'Mar 28 01:00:00 2032', 'Sep 25 23:59:59 2032');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 25 21:00:00 2032', 'Mar 26 21:59:59 2033', 'Sep 25 23:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 26 22:00:00 2033', 'Sep 24 20:59:59 2033', 'Mar 27 01:00:00 2033', 'Sep 24 23:59:59 2033');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 24 21:00:00 2033', 'Mar 25 21:59:59 2034', 'Sep 24 23:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 25 22:00:00 2034', 'Sep 23 20:59:59 2034', 'Mar 26 01:00:00 2034', 'Sep 23 23:59:59 2034');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 23 21:00:00 2034', 'Mar 24 21:59:59 2035', 'Sep 23 23:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 24 22:00:00 2035', 'Sep 29 20:59:59 2035', 'Mar 25 01:00:00 2035', 'Sep 29 23:59:59 2035');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 29 21:00:00 2035', 'Mar 29 21:59:59 2036', 'Sep 29 23:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 29 22:00:00 2036', 'Sep 27 20:59:59 2036', 'Mar 30 01:00:00 2036', 'Sep 27 23:59:59 2036');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 27 21:00:00 2036', 'Mar 28 21:59:59 2037', 'Sep 27 23:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Asia/Beirut', 'EEST', 1, 10800, 'Mar 28 22:00:00 2037', 'Sep 26 20:59:59 2037', 'Mar 29 01:00:00 2037', 'Sep 26 23:59:59 2037');
timezone.add_rule('Asia/Beirut', 'EET', 0, 7200, 'Sep 26 21:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 26 23:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Asia/Bishkek
--

begin
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 17904, 'Dec 14 20:45:52 1901', 'May 1 19:01:35 1924', 'Dec 15 01:44:16 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'May 1 19:01:36 1924', 'Jun 20 18:59:59 1930', 'May 2 00:01:36 1924', 'Jun 20 23:59:59 1930');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Jun 20 19:00:00 1930', 'Mar 31 17:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 31 18:00:00 1981', 'Sep 30 16:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 30 17:00:00 1981', 'Mar 31 17:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 31 18:00:00 1982', 'Sep 30 16:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 30 17:00:00 1982', 'Mar 31 17:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 31 18:00:00 1983', 'Sep 30 16:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 30 17:00:00 1983', 'Mar 31 17:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 31 18:00:00 1984', 'Sep 29 19:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 29 20:00:00 1984', 'Mar 30 19:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 30 20:00:00 1985', 'Sep 28 19:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 28 20:00:00 1985', 'Mar 29 19:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 29 20:00:00 1986', 'Sep 27 19:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 27 20:00:00 1986', 'Mar 28 19:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 28 20:00:00 1987', 'Sep 26 19:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 26 20:00:00 1987', 'Mar 26 19:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 26 20:00:00 1988', 'Sep 24 19:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 24 20:00:00 1988', 'Mar 25 19:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 25 20:00:00 1989', 'Sep 23 19:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 23 20:00:00 1989', 'Mar 24 19:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 25200, 'Mar 24 20:00:00 1990', 'Sep 29 19:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 21600, 'Sep 29 20:00:00 1990', 'Mar 30 19:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 30 20:00:00 1991', 'Aug 30 17:59:59 1991', 'Mar 31 02:00:00 1991', 'Aug 30 23:59:59 1991');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Aug 30 18:00:00 1991', 'Apr 11 18:59:59 1992', 'Aug 30 23:00:00 1991', 'Apr 11 23:59:59 1992');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Apr 11 19:00:00 1992', 'Sep 26 17:59:59 1992', 'Apr 12 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Sep 26 18:00:00 1992', 'Apr 10 18:59:59 1993', 'Sep 26 23:00:00 1992', 'Apr 10 23:59:59 1993');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Apr 10 19:00:00 1993', 'Sep 25 17:59:59 1993', 'Apr 11 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Sep 25 18:00:00 1993', 'Apr 9 18:59:59 1994', 'Sep 25 23:00:00 1993', 'Apr 9 23:59:59 1994');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Apr 9 19:00:00 1994', 'Sep 24 17:59:59 1994', 'Apr 10 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Sep 24 18:00:00 1994', 'Apr 8 18:59:59 1995', 'Sep 24 23:00:00 1994', 'Apr 8 23:59:59 1995');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Apr 8 19:00:00 1995', 'Sep 23 17:59:59 1995', 'Apr 9 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Sep 23 18:00:00 1995', 'Apr 6 18:59:59 1996', 'Sep 23 23:00:00 1995', 'Apr 6 23:59:59 1996');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Apr 6 19:00:00 1996', 'Sep 28 17:59:59 1996', 'Apr 7 01:00:00 1996', 'Sep 28 23:59:59 1996');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Sep 28 18:00:00 1996', 'Mar 29 21:29:59 1997', 'Sep 28 23:00:00 1996', 'Mar 30 02:29:59 1997');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 29 21:30:00 1997', 'Oct 25 20:29:59 1997', 'Mar 30 03:30:00 1997', 'Oct 26 02:29:59 1997');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 25 20:30:00 1997', 'Mar 28 21:29:59 1998', 'Oct 26 01:30:00 1997', 'Mar 29 02:29:59 1998');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 28 21:30:00 1998', 'Oct 24 20:29:59 1998', 'Mar 29 03:30:00 1998', 'Oct 25 02:29:59 1998');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 24 20:30:00 1998', 'Mar 27 21:29:59 1999', 'Oct 25 01:30:00 1998', 'Mar 28 02:29:59 1999');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 27 21:30:00 1999', 'Oct 30 20:29:59 1999', 'Mar 28 03:30:00 1999', 'Oct 31 02:29:59 1999');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 30 20:30:00 1999', 'Mar 25 21:29:59 2000', 'Oct 31 01:30:00 1999', 'Mar 26 02:29:59 2000');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 25 21:30:00 2000', 'Oct 28 20:29:59 2000', 'Mar 26 03:30:00 2000', 'Oct 29 02:29:59 2000');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 28 20:30:00 2000', 'Mar 24 21:29:59 2001', 'Oct 29 01:30:00 2000', 'Mar 25 02:29:59 2001');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 24 21:30:00 2001', 'Oct 27 20:29:59 2001', 'Mar 25 03:30:00 2001', 'Oct 28 02:29:59 2001');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 27 20:30:00 2001', 'Mar 30 21:29:59 2002', 'Oct 28 01:30:00 2001', 'Mar 31 02:29:59 2002');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 30 21:30:00 2002', 'Oct 26 20:29:59 2002', 'Mar 31 03:30:00 2002', 'Oct 27 02:29:59 2002');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 26 20:30:00 2002', 'Mar 29 21:29:59 2003', 'Oct 27 01:30:00 2002', 'Mar 30 02:29:59 2003');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 29 21:30:00 2003', 'Oct 25 20:29:59 2003', 'Mar 30 03:30:00 2003', 'Oct 26 02:29:59 2003');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 25 20:30:00 2003', 'Mar 27 21:29:59 2004', 'Oct 26 01:30:00 2003', 'Mar 28 02:29:59 2004');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 27 21:30:00 2004', 'Oct 30 20:29:59 2004', 'Mar 28 03:30:00 2004', 'Oct 31 02:29:59 2004');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 30 20:30:00 2004', 'Mar 26 21:29:59 2005', 'Oct 31 01:30:00 2004', 'Mar 27 02:29:59 2005');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 26 21:30:00 2005', 'Oct 29 20:29:59 2005', 'Mar 27 03:30:00 2005', 'Oct 30 02:29:59 2005');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 29 20:30:00 2005', 'Mar 25 21:29:59 2006', 'Oct 30 01:30:00 2005', 'Mar 26 02:29:59 2006');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 25 21:30:00 2006', 'Oct 28 20:29:59 2006', 'Mar 26 03:30:00 2006', 'Oct 29 02:29:59 2006');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 28 20:30:00 2006', 'Mar 24 21:29:59 2007', 'Oct 29 01:30:00 2006', 'Mar 25 02:29:59 2007');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 24 21:30:00 2007', 'Oct 27 20:29:59 2007', 'Mar 25 03:30:00 2007', 'Oct 28 02:29:59 2007');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 27 20:30:00 2007', 'Mar 29 21:29:59 2008', 'Oct 28 01:30:00 2007', 'Mar 30 02:29:59 2008');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 29 21:30:00 2008', 'Oct 25 20:29:59 2008', 'Mar 30 03:30:00 2008', 'Oct 26 02:29:59 2008');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 25 20:30:00 2008', 'Mar 28 21:29:59 2009', 'Oct 26 01:30:00 2008', 'Mar 29 02:29:59 2009');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 28 21:30:00 2009', 'Oct 24 20:29:59 2009', 'Mar 29 03:30:00 2009', 'Oct 25 02:29:59 2009');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 24 20:30:00 2009', 'Mar 27 21:29:59 2010', 'Oct 25 01:30:00 2009', 'Mar 28 02:29:59 2010');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 27 21:30:00 2010', 'Oct 30 20:29:59 2010', 'Mar 28 03:30:00 2010', 'Oct 31 02:29:59 2010');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 30 20:30:00 2010', 'Mar 26 21:29:59 2011', 'Oct 31 01:30:00 2010', 'Mar 27 02:29:59 2011');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 26 21:30:00 2011', 'Oct 29 20:29:59 2011', 'Mar 27 03:30:00 2011', 'Oct 30 02:29:59 2011');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 29 20:30:00 2011', 'Mar 24 21:29:59 2012', 'Oct 30 01:30:00 2011', 'Mar 25 02:29:59 2012');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 24 21:30:00 2012', 'Oct 27 20:29:59 2012', 'Mar 25 03:30:00 2012', 'Oct 28 02:29:59 2012');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 27 20:30:00 2012', 'Mar 30 21:29:59 2013', 'Oct 28 01:30:00 2012', 'Mar 31 02:29:59 2013');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 30 21:30:00 2013', 'Oct 26 20:29:59 2013', 'Mar 31 03:30:00 2013', 'Oct 27 02:29:59 2013');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 26 20:30:00 2013', 'Mar 29 21:29:59 2014', 'Oct 27 01:30:00 2013', 'Mar 30 02:29:59 2014');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 29 21:30:00 2014', 'Oct 25 20:29:59 2014', 'Mar 30 03:30:00 2014', 'Oct 26 02:29:59 2014');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 25 20:30:00 2014', 'Mar 28 21:29:59 2015', 'Oct 26 01:30:00 2014', 'Mar 29 02:29:59 2015');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 28 21:30:00 2015', 'Oct 24 20:29:59 2015', 'Mar 29 03:30:00 2015', 'Oct 25 02:29:59 2015');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 24 20:30:00 2015', 'Mar 26 21:29:59 2016', 'Oct 25 01:30:00 2015', 'Mar 27 02:29:59 2016');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 26 21:30:00 2016', 'Oct 29 20:29:59 2016', 'Mar 27 03:30:00 2016', 'Oct 30 02:29:59 2016');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 29 20:30:00 2016', 'Mar 25 21:29:59 2017', 'Oct 30 01:30:00 2016', 'Mar 26 02:29:59 2017');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 25 21:30:00 2017', 'Oct 28 20:29:59 2017', 'Mar 26 03:30:00 2017', 'Oct 29 02:29:59 2017');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 28 20:30:00 2017', 'Mar 24 21:29:59 2018', 'Oct 29 01:30:00 2017', 'Mar 25 02:29:59 2018');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 24 21:30:00 2018', 'Oct 27 20:29:59 2018', 'Mar 25 03:30:00 2018', 'Oct 28 02:29:59 2018');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 27 20:30:00 2018', 'Mar 30 21:29:59 2019', 'Oct 28 01:30:00 2018', 'Mar 31 02:29:59 2019');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 30 21:30:00 2019', 'Oct 26 20:29:59 2019', 'Mar 31 03:30:00 2019', 'Oct 27 02:29:59 2019');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 26 20:30:00 2019', 'Mar 28 21:29:59 2020', 'Oct 27 01:30:00 2019', 'Mar 29 02:29:59 2020');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 28 21:30:00 2020', 'Oct 24 20:29:59 2020', 'Mar 29 03:30:00 2020', 'Oct 25 02:29:59 2020');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 24 20:30:00 2020', 'Mar 27 21:29:59 2021', 'Oct 25 01:30:00 2020', 'Mar 28 02:29:59 2021');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 27 21:30:00 2021', 'Oct 30 20:29:59 2021', 'Mar 28 03:30:00 2021', 'Oct 31 02:29:59 2021');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 30 20:30:00 2021', 'Mar 26 21:29:59 2022', 'Oct 31 01:30:00 2021', 'Mar 27 02:29:59 2022');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 26 21:30:00 2022', 'Oct 29 20:29:59 2022', 'Mar 27 03:30:00 2022', 'Oct 30 02:29:59 2022');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 29 20:30:00 2022', 'Mar 25 21:29:59 2023', 'Oct 30 01:30:00 2022', 'Mar 26 02:29:59 2023');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 25 21:30:00 2023', 'Oct 28 20:29:59 2023', 'Mar 26 03:30:00 2023', 'Oct 29 02:29:59 2023');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 28 20:30:00 2023', 'Mar 30 21:29:59 2024', 'Oct 29 01:30:00 2023', 'Mar 31 02:29:59 2024');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 30 21:30:00 2024', 'Oct 26 20:29:59 2024', 'Mar 31 03:30:00 2024', 'Oct 27 02:29:59 2024');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 26 20:30:00 2024', 'Mar 29 21:29:59 2025', 'Oct 27 01:30:00 2024', 'Mar 30 02:29:59 2025');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 29 21:30:00 2025', 'Oct 25 20:29:59 2025', 'Mar 30 03:30:00 2025', 'Oct 26 02:29:59 2025');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 25 20:30:00 2025', 'Mar 28 21:29:59 2026', 'Oct 26 01:30:00 2025', 'Mar 29 02:29:59 2026');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 28 21:30:00 2026', 'Oct 24 20:29:59 2026', 'Mar 29 03:30:00 2026', 'Oct 25 02:29:59 2026');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 24 20:30:00 2026', 'Mar 27 21:29:59 2027', 'Oct 25 01:30:00 2026', 'Mar 28 02:29:59 2027');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 27 21:30:00 2027', 'Oct 30 20:29:59 2027', 'Mar 28 03:30:00 2027', 'Oct 31 02:29:59 2027');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 30 20:30:00 2027', 'Mar 25 21:29:59 2028', 'Oct 31 01:30:00 2027', 'Mar 26 02:29:59 2028');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 25 21:30:00 2028', 'Oct 28 20:29:59 2028', 'Mar 26 03:30:00 2028', 'Oct 29 02:29:59 2028');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 28 20:30:00 2028', 'Mar 24 21:29:59 2029', 'Oct 29 01:30:00 2028', 'Mar 25 02:29:59 2029');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 24 21:30:00 2029', 'Oct 27 20:29:59 2029', 'Mar 25 03:30:00 2029', 'Oct 28 02:29:59 2029');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 27 20:30:00 2029', 'Mar 30 21:29:59 2030', 'Oct 28 01:30:00 2029', 'Mar 31 02:29:59 2030');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 30 21:30:00 2030', 'Oct 26 20:29:59 2030', 'Mar 31 03:30:00 2030', 'Oct 27 02:29:59 2030');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 26 20:30:00 2030', 'Mar 29 21:29:59 2031', 'Oct 27 01:30:00 2030', 'Mar 30 02:29:59 2031');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 29 21:30:00 2031', 'Oct 25 20:29:59 2031', 'Mar 30 03:30:00 2031', 'Oct 26 02:29:59 2031');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 25 20:30:00 2031', 'Mar 27 21:29:59 2032', 'Oct 26 01:30:00 2031', 'Mar 28 02:29:59 2032');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 27 21:30:00 2032', 'Oct 30 20:29:59 2032', 'Mar 28 03:30:00 2032', 'Oct 31 02:29:59 2032');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 30 20:30:00 2032', 'Mar 26 21:29:59 2033', 'Oct 31 01:30:00 2032', 'Mar 27 02:29:59 2033');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 26 21:30:00 2033', 'Oct 29 20:29:59 2033', 'Mar 27 03:30:00 2033', 'Oct 30 02:29:59 2033');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 29 20:30:00 2033', 'Mar 25 21:29:59 2034', 'Oct 30 01:30:00 2033', 'Mar 26 02:29:59 2034');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 25 21:30:00 2034', 'Oct 28 20:29:59 2034', 'Mar 26 03:30:00 2034', 'Oct 29 02:29:59 2034');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 28 20:30:00 2034', 'Mar 24 21:29:59 2035', 'Oct 29 01:30:00 2034', 'Mar 25 02:29:59 2035');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 24 21:30:00 2035', 'Oct 27 20:29:59 2035', 'Mar 25 03:30:00 2035', 'Oct 28 02:29:59 2035');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 27 20:30:00 2035', 'Mar 29 21:29:59 2036', 'Oct 28 01:30:00 2035', 'Mar 30 02:29:59 2036');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 29 21:30:00 2036', 'Oct 25 20:29:59 2036', 'Mar 30 03:30:00 2036', 'Oct 26 02:29:59 2036');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 25 20:30:00 2036', 'Mar 28 21:29:59 2037', 'Oct 26 01:30:00 2036', 'Mar 29 02:29:59 2037');
timezone.add_rule('Asia/Bishkek', 'KGST', 1, 21600, 'Mar 28 21:30:00 2037', 'Oct 24 20:29:59 2037', 'Mar 29 03:30:00 2037', 'Oct 25 02:29:59 2037');
timezone.add_rule('Asia/Bishkek', 'KGT', 0, 18000, 'Oct 24 20:30:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:30:00 2037', 'Jan 18 08:14:07 2038');
end;
/

--
-- Asia/Brunei
--

begin
timezone.add_rule('Asia/Brunei', 'BNT', 0, 27580, 'Dec 14 20:45:52 1901', 'Feb 28 16:20:19 1926', 'Dec 15 04:25:32 1901', 'Feb 28 23:59:59 1926');
timezone.add_rule('Asia/Brunei', 'BNT', 0, 27000, 'Feb 28 16:20:20 1926', 'Dec 31 16:29:59 1932', 'Feb 28 23:50:20 1926', 'Dec 31 23:59:59 1932');
timezone.add_rule('Asia/Brunei', 'BNT', 0, 28800, 'Dec 31 16:30:00 1932', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1933', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Calcutta
--

begin
timezone.add_rule('Asia/Calcutta', 'IST', 0, 21200, 'Dec 14 20:45:52 1901', 'Sep 30 18:06:39 1941', 'Dec 15 02:39:12 1901', 'Sep 30 23:59:59 1941');
timezone.add_rule('Asia/Calcutta', 'IST', 0, 23400, 'Sep 30 18:06:40 1941', 'May 14 17:29:59 1942', 'Oct 1 00:36:40 1941', 'May 14 23:59:59 1942');
timezone.add_rule('Asia/Calcutta', 'IST', 0, 19800, 'May 14 17:30:00 1942', 'Aug 31 18:29:59 1942', 'May 14 23:00:00 1942', 'Aug 31 23:59:59 1942');
timezone.add_rule('Asia/Calcutta', 'IST', 1, 23400, 'Aug 31 18:30:00 1942', 'Oct 14 17:29:59 1945', 'Sep 1 01:00:00 1942', 'Oct 14 23:59:59 1945');
timezone.add_rule('Asia/Calcutta', 'IST', 0, 19800, 'Oct 14 17:30:00 1945', 'Jan 18 03:14:07 2038', 'Oct 14 23:00:00 1945', 'Jan 18 08:44:07 2038');
end;
/

--
-- Asia/Chungking
--

begin
timezone.add_rule('Asia/Chungking', 'CST', 0, 25580, 'Dec 14 20:45:52 1901', 'Dec 31 16:53:39 1927', 'Dec 15 03:52:12 1901', 'Dec 31 23:59:59 1927');
timezone.add_rule('Asia/Chungking', 'CST', 0, 25200, 'Dec 31 16:53:40 1927', 'Apr 30 16:59:59 1980', 'Dec 31 23:53:40 1927', 'Apr 30 23:59:59 1980');
timezone.add_rule('Asia/Chungking', 'CST', 0, 28800, 'Apr 30 17:00:00 1980', 'May 3 15:59:59 1986', 'May 1 01:00:00 1980', 'May 3 23:59:59 1986');
timezone.add_rule('Asia/Chungking', 'CDT', 1, 32400, 'May 3 16:00:00 1986', 'Sep 13 14:59:59 1986', 'May 4 01:00:00 1986', 'Sep 13 23:59:59 1986');
timezone.add_rule('Asia/Chungking', 'CST', 0, 28800, 'Sep 13 15:00:00 1986', 'Apr 11 15:59:59 1987', 'Sep 13 23:00:00 1986', 'Apr 11 23:59:59 1987');
timezone.add_rule('Asia/Chungking', 'CDT', 1, 32400, 'Apr 11 16:00:00 1987', 'Sep 12 14:59:59 1987', 'Apr 12 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Asia/Chungking', 'CST', 0, 28800, 'Sep 12 15:00:00 1987', 'Apr 9 15:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 9 23:59:59 1988');
timezone.add_rule('Asia/Chungking', 'CDT', 1, 32400, 'Apr 9 16:00:00 1988', 'Sep 10 14:59:59 1988', 'Apr 10 01:00:00 1988', 'Sep 10 23:59:59 1988');
timezone.add_rule('Asia/Chungking', 'CST', 0, 28800, 'Sep 10 15:00:00 1988', 'Apr 15 15:59:59 1989', 'Sep 10 23:00:00 1988', 'Apr 15 23:59:59 1989');
timezone.add_rule('Asia/Chungking', 'CDT', 1, 32400, 'Apr 15 16:00:00 1989', 'Sep 16 14:59:59 1989', 'Apr 16 01:00:00 1989', 'Sep 16 23:59:59 1989');
timezone.add_rule('Asia/Chungking', 'CST', 0, 28800, 'Sep 16 15:00:00 1989', 'Apr 14 15:59:59 1990', 'Sep 16 23:00:00 1989', 'Apr 14 23:59:59 1990');
timezone.add_rule('Asia/Chungking', 'CDT', 1, 32400, 'Apr 14 16:00:00 1990', 'Sep 15 14:59:59 1990', 'Apr 15 01:00:00 1990', 'Sep 15 23:59:59 1990');
timezone.add_rule('Asia/Chungking', 'CST', 0, 28800, 'Sep 15 15:00:00 1990', 'Apr 13 15:59:59 1991', 'Sep 15 23:00:00 1990', 'Apr 13 23:59:59 1991');
timezone.add_rule('Asia/Chungking', 'CDT', 1, 32400, 'Apr 13 16:00:00 1991', 'Sep 14 14:59:59 1991', 'Apr 14 01:00:00 1991', 'Sep 14 23:59:59 1991');
timezone.add_rule('Asia/Chungking', 'CST', 0, 28800, 'Sep 14 15:00:00 1991', 'Jan 18 03:14:07 2038', 'Sep 14 23:00:00 1991', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Colombo
--

begin
timezone.add_rule('Asia/Colombo', 'LKT', 0, 19172, 'Dec 14 20:45:52 1901', 'Dec 31 18:40:27 1905', 'Dec 15 02:05:24 1901', 'Dec 31 23:59:59 1905');
timezone.add_rule('Asia/Colombo', 'LKT', 0, 19800, 'Dec 31 18:40:28 1905', 'Jan 4 18:29:59 1942', 'Jan 1 00:10:28 1906', 'Jan 4 23:59:59 1942');
timezone.add_rule('Asia/Colombo', 'IST', 1, 21600, 'Jan 4 18:30:00 1942', 'Aug 31 17:59:59 1942', 'Jan 5 00:30:00 1942', 'Aug 31 23:59:59 1942');
timezone.add_rule('Asia/Colombo', 'IST', 1, 23400, 'Aug 31 18:00:00 1942', 'Oct 15 19:29:59 1945', 'Sep 1 00:30:00 1942', 'Oct 16 01:59:59 1945');
timezone.add_rule('Asia/Colombo', 'LKT', 0, 19800, 'Oct 15 19:30:00 1945', 'May 24 18:29:59 1996', 'Oct 16 01:00:00 1945', 'May 24 23:59:59 1996');
timezone.add_rule('Asia/Colombo', 'LKT', 0, 23400, 'May 24 18:30:00 1996', 'Oct 25 17:59:59 1996', 'May 25 01:00:00 1996', 'Oct 26 00:29:59 1996');
timezone.add_rule('Asia/Colombo', 'LKT', 0, 21600, 'Oct 25 18:00:00 1996', 'Jan 18 03:14:07 2038', 'Oct 26 00:00:00 1996', 'Jan 18 09:14:07 2038');
end;
/

--
-- Asia/Dacca
--

begin
timezone.add_rule('Asia/Dacca', 'BDT', 0, 21200, 'Dec 14 20:45:52 1901', 'Sep 30 18:06:39 1941', 'Dec 15 02:39:12 1901', 'Sep 30 23:59:59 1941');
timezone.add_rule('Asia/Dacca', 'BDT', 0, 23400, 'Sep 30 18:06:40 1941', 'May 14 17:29:59 1942', 'Oct 1 00:36:40 1941', 'May 14 23:59:59 1942');
timezone.add_rule('Asia/Dacca', 'BDT', 0, 19800, 'May 14 17:30:00 1942', 'Aug 31 18:29:59 1942', 'May 14 23:00:00 1942', 'Aug 31 23:59:59 1942');
timezone.add_rule('Asia/Dacca', 'BDT', 0, 23400, 'Aug 31 18:30:00 1942', 'Sep 29 17:29:59 1951', 'Sep 1 01:00:00 1942', 'Sep 29 23:59:59 1951');
timezone.add_rule('Asia/Dacca', 'BDT', 0, 21600, 'Sep 29 17:30:00 1951', 'Jan 18 03:14:07 2038', 'Sep 29 23:30:00 1951', 'Jan 18 09:14:07 2038');
end;
/

--
-- Asia/Damascus
--

begin
timezone.add_rule('Asia/Damascus', 'EET', 0, 8712, 'Dec 14 20:45:52 1901', 'Dec 31 21:34:47 1919', 'Dec 14 23:11:04 1901', 'Dec 31 23:59:59 1919');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Dec 31 21:34:48 1919', 'Apr 17 23:59:59 1920', 'Dec 31 23:34:48 1919', 'Apr 18 01:59:59 1920');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 18 00:00:00 1920', 'Oct 2 22:59:59 1920', 'Apr 18 03:00:00 1920', 'Oct 3 01:59:59 1920');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Oct 2 23:00:00 1920', 'Apr 16 23:59:59 1921', 'Oct 3 01:00:00 1920', 'Apr 17 01:59:59 1921');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 17 00:00:00 1921', 'Oct 1 22:59:59 1921', 'Apr 17 03:00:00 1921', 'Oct 2 01:59:59 1921');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Oct 1 23:00:00 1921', 'Apr 15 23:59:59 1922', 'Oct 2 01:00:00 1921', 'Apr 16 01:59:59 1922');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 16 00:00:00 1922', 'Sep 30 22:59:59 1922', 'Apr 16 03:00:00 1922', 'Oct 1 01:59:59 1922');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1922', 'Apr 14 23:59:59 1923', 'Oct 1 01:00:00 1922', 'Apr 15 01:59:59 1923');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 15 00:00:00 1923', 'Oct 6 22:59:59 1923', 'Apr 15 03:00:00 1923', 'Oct 7 01:59:59 1923');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Oct 6 23:00:00 1923', 'Apr 28 23:59:59 1962', 'Oct 7 01:00:00 1923', 'Apr 29 01:59:59 1962');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 29 00:00:00 1962', 'Sep 30 22:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 1 01:59:59 1962');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1962', 'Apr 30 23:59:59 1963', 'Oct 1 01:00:00 1962', 'May 1 01:59:59 1963');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1963', 'Sep 29 22:59:59 1963', 'May 1 03:00:00 1963', 'Sep 30 01:59:59 1963');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 29 23:00:00 1963', 'Apr 30 23:59:59 1964', 'Sep 30 01:00:00 1963', 'May 1 01:59:59 1964');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1964', 'Sep 30 22:59:59 1964', 'May 1 03:00:00 1964', 'Oct 1 01:59:59 1964');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1964', 'Apr 30 23:59:59 1965', 'Oct 1 01:00:00 1964', 'May 1 01:59:59 1965');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1965', 'Sep 29 22:59:59 1965', 'May 1 03:00:00 1965', 'Sep 30 01:59:59 1965');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 29 23:00:00 1965', 'Apr 23 23:59:59 1966', 'Sep 30 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 24 00:00:00 1966', 'Sep 30 22:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 1 01:59:59 1966');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1966', 'Apr 30 23:59:59 1967', 'Oct 1 01:00:00 1966', 'May 1 01:59:59 1967');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1967', 'Sep 30 22:59:59 1967', 'May 1 03:00:00 1967', 'Oct 1 01:59:59 1967');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1967', 'Apr 30 23:59:59 1968', 'Oct 1 01:00:00 1967', 'May 1 01:59:59 1968');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1968', 'Sep 30 22:59:59 1968', 'May 1 03:00:00 1968', 'Oct 1 01:59:59 1968');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1968', 'Apr 30 23:59:59 1969', 'Oct 1 01:00:00 1968', 'May 1 01:59:59 1969');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1969', 'Sep 30 22:59:59 1969', 'May 1 03:00:00 1969', 'Oct 1 01:59:59 1969');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1969', 'Apr 30 23:59:59 1970', 'Oct 1 01:00:00 1969', 'May 1 01:59:59 1970');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1970', 'Sep 30 22:59:59 1970', 'May 1 03:00:00 1970', 'Oct 1 01:59:59 1970');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1970', 'Apr 30 23:59:59 1971', 'Oct 1 01:00:00 1970', 'May 1 01:59:59 1971');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1971', 'Sep 30 22:59:59 1971', 'May 1 03:00:00 1971', 'Oct 1 01:59:59 1971');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1971', 'Apr 30 23:59:59 1972', 'Oct 1 01:00:00 1971', 'May 1 01:59:59 1972');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1972', 'Sep 30 22:59:59 1972', 'May 1 03:00:00 1972', 'Oct 1 01:59:59 1972');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1972', 'Apr 30 23:59:59 1973', 'Oct 1 01:00:00 1972', 'May 1 01:59:59 1973');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1973', 'Sep 30 22:59:59 1973', 'May 1 03:00:00 1973', 'Oct 1 01:59:59 1973');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1973', 'Apr 30 23:59:59 1974', 'Oct 1 01:00:00 1973', 'May 1 01:59:59 1974');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1974', 'Sep 30 22:59:59 1974', 'May 1 03:00:00 1974', 'Oct 1 01:59:59 1974');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1974', 'Apr 30 23:59:59 1975', 'Oct 1 01:00:00 1974', 'May 1 01:59:59 1975');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1975', 'Sep 30 22:59:59 1975', 'May 1 03:00:00 1975', 'Oct 1 01:59:59 1975');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1975', 'Apr 30 23:59:59 1976', 'Oct 1 01:00:00 1975', 'May 1 01:59:59 1976');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1976', 'Sep 30 22:59:59 1976', 'May 1 03:00:00 1976', 'Oct 1 01:59:59 1976');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1976', 'Apr 30 23:59:59 1977', 'Oct 1 01:00:00 1976', 'May 1 01:59:59 1977');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1977', 'Aug 31 22:59:59 1977', 'May 1 03:00:00 1977', 'Sep 1 01:59:59 1977');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Aug 31 23:00:00 1977', 'Apr 30 23:59:59 1978', 'Sep 1 01:00:00 1977', 'May 1 01:59:59 1978');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'May 1 00:00:00 1978', 'Aug 31 22:59:59 1978', 'May 1 03:00:00 1978', 'Sep 1 01:59:59 1978');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Aug 31 23:00:00 1978', 'Apr 8 23:59:59 1983', 'Sep 1 01:00:00 1978', 'Apr 9 01:59:59 1983');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 9 00:00:00 1983', 'Sep 30 22:59:59 1983', 'Apr 9 03:00:00 1983', 'Oct 1 01:59:59 1983');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1983', 'Apr 8 23:59:59 1984', 'Oct 1 01:00:00 1983', 'Apr 9 01:59:59 1984');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 9 00:00:00 1984', 'Sep 30 22:59:59 1984', 'Apr 9 03:00:00 1984', 'Oct 1 01:59:59 1984');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1984', 'Feb 15 23:59:59 1986', 'Oct 1 01:00:00 1984', 'Feb 16 01:59:59 1986');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Feb 16 00:00:00 1986', 'Oct 8 22:59:59 1986', 'Feb 16 03:00:00 1986', 'Oct 9 01:59:59 1986');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Oct 8 23:00:00 1986', 'Feb 28 23:59:59 1987', 'Oct 9 01:00:00 1986', 'Mar 1 01:59:59 1987');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 1 00:00:00 1987', 'Oct 30 22:59:59 1987', 'Mar 1 03:00:00 1987', 'Oct 31 01:59:59 1987');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Oct 30 23:00:00 1987', 'Mar 14 23:59:59 1988', 'Oct 31 01:00:00 1987', 'Mar 15 01:59:59 1988');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 15 00:00:00 1988', 'Oct 30 22:59:59 1988', 'Mar 15 03:00:00 1988', 'Oct 31 01:59:59 1988');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Oct 30 23:00:00 1988', 'Mar 30 23:59:59 1989', 'Oct 31 01:00:00 1988', 'Mar 31 01:59:59 1989');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 00:00:00 1989', 'Sep 30 22:59:59 1989', 'Mar 31 03:00:00 1989', 'Oct 1 01:59:59 1989');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 23:00:00 1989', 'Mar 31 23:59:59 1990', 'Oct 1 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 1 00:00:00 1990', 'Sep 29 22:59:59 1990', 'Apr 1 03:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 29 23:00:00 1990', 'Mar 31 21:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 23:59:59 1991');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 1991', 'Sep 30 20:59:59 1991', 'Apr 1 01:00:00 1991', 'Sep 30 23:59:59 1991');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 1991', 'Apr 7 21:59:59 1992', 'Sep 30 23:00:00 1991', 'Apr 7 23:59:59 1992');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Apr 7 22:00:00 1992', 'Sep 30 20:59:59 1992', 'Apr 8 01:00:00 1992', 'Sep 30 23:59:59 1992');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 1992', 'Mar 25 21:59:59 1993', 'Sep 30 23:00:00 1992', 'Mar 25 23:59:59 1993');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 25 22:00:00 1993', 'Sep 24 20:59:59 1993', 'Mar 26 01:00:00 1993', 'Sep 24 23:59:59 1993');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 24 21:00:00 1993', 'Mar 31 21:59:59 1994', 'Sep 24 23:00:00 1993', 'Mar 31 23:59:59 1994');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 1994', 'Sep 30 20:59:59 1994', 'Apr 1 01:00:00 1994', 'Sep 30 23:59:59 1994');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 1994', 'Mar 31 21:59:59 1995', 'Sep 30 23:00:00 1994', 'Mar 31 23:59:59 1995');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 1995', 'Sep 30 20:59:59 1995', 'Apr 1 01:00:00 1995', 'Sep 30 23:59:59 1995');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 1995', 'Mar 31 21:59:59 1996', 'Sep 30 23:00:00 1995', 'Mar 31 23:59:59 1996');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 1996', 'Sep 30 20:59:59 1996', 'Apr 1 01:00:00 1996', 'Sep 30 23:59:59 1996');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 1996', 'Mar 31 21:59:59 1997', 'Sep 30 23:00:00 1996', 'Mar 31 23:59:59 1997');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 1997', 'Sep 30 20:59:59 1997', 'Apr 1 01:00:00 1997', 'Sep 30 23:59:59 1997');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 1997', 'Mar 31 21:59:59 1998', 'Sep 30 23:00:00 1997', 'Mar 31 23:59:59 1998');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 1998', 'Sep 30 20:59:59 1998', 'Apr 1 01:00:00 1998', 'Sep 30 23:59:59 1998');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 1998', 'Mar 31 21:59:59 1999', 'Sep 30 23:00:00 1998', 'Mar 31 23:59:59 1999');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 1999', 'Sep 30 20:59:59 1999', 'Apr 1 01:00:00 1999', 'Sep 30 23:59:59 1999');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 1999', 'Mar 31 21:59:59 2000', 'Sep 30 23:00:00 1999', 'Mar 31 23:59:59 2000');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2000', 'Sep 30 20:59:59 2000', 'Apr 1 01:00:00 2000', 'Sep 30 23:59:59 2000');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2000', 'Mar 31 21:59:59 2001', 'Sep 30 23:00:00 2000', 'Mar 31 23:59:59 2001');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2001', 'Sep 30 20:59:59 2001', 'Apr 1 01:00:00 2001', 'Sep 30 23:59:59 2001');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2001', 'Mar 31 21:59:59 2002', 'Sep 30 23:00:00 2001', 'Mar 31 23:59:59 2002');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2002', 'Sep 30 20:59:59 2002', 'Apr 1 01:00:00 2002', 'Sep 30 23:59:59 2002');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2002', 'Mar 31 21:59:59 2003', 'Sep 30 23:00:00 2002', 'Mar 31 23:59:59 2003');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2003', 'Sep 30 20:59:59 2003', 'Apr 1 01:00:00 2003', 'Sep 30 23:59:59 2003');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2003', 'Mar 31 21:59:59 2004', 'Sep 30 23:00:00 2003', 'Mar 31 23:59:59 2004');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2004', 'Sep 30 20:59:59 2004', 'Apr 1 01:00:00 2004', 'Sep 30 23:59:59 2004');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2004', 'Mar 31 21:59:59 2005', 'Sep 30 23:00:00 2004', 'Mar 31 23:59:59 2005');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2005', 'Sep 30 20:59:59 2005', 'Apr 1 01:00:00 2005', 'Sep 30 23:59:59 2005');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2005', 'Mar 31 21:59:59 2006', 'Sep 30 23:00:00 2005', 'Mar 31 23:59:59 2006');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2006', 'Sep 30 20:59:59 2006', 'Apr 1 01:00:00 2006', 'Sep 30 23:59:59 2006');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2006', 'Mar 31 21:59:59 2007', 'Sep 30 23:00:00 2006', 'Mar 31 23:59:59 2007');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2007', 'Sep 30 20:59:59 2007', 'Apr 1 01:00:00 2007', 'Sep 30 23:59:59 2007');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2007', 'Mar 31 21:59:59 2008', 'Sep 30 23:00:00 2007', 'Mar 31 23:59:59 2008');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2008', 'Sep 30 20:59:59 2008', 'Apr 1 01:00:00 2008', 'Sep 30 23:59:59 2008');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2008', 'Mar 31 21:59:59 2009', 'Sep 30 23:00:00 2008', 'Mar 31 23:59:59 2009');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2009', 'Sep 30 20:59:59 2009', 'Apr 1 01:00:00 2009', 'Sep 30 23:59:59 2009');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2009', 'Mar 31 21:59:59 2010', 'Sep 30 23:00:00 2009', 'Mar 31 23:59:59 2010');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2010', 'Sep 30 20:59:59 2010', 'Apr 1 01:00:00 2010', 'Sep 30 23:59:59 2010');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2010', 'Mar 31 21:59:59 2011', 'Sep 30 23:00:00 2010', 'Mar 31 23:59:59 2011');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2011', 'Sep 30 20:59:59 2011', 'Apr 1 01:00:00 2011', 'Sep 30 23:59:59 2011');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2011', 'Mar 31 21:59:59 2012', 'Sep 30 23:00:00 2011', 'Mar 31 23:59:59 2012');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2012', 'Sep 30 20:59:59 2012', 'Apr 1 01:00:00 2012', 'Sep 30 23:59:59 2012');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2012', 'Mar 31 21:59:59 2013', 'Sep 30 23:00:00 2012', 'Mar 31 23:59:59 2013');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2013', 'Sep 30 20:59:59 2013', 'Apr 1 01:00:00 2013', 'Sep 30 23:59:59 2013');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2013', 'Mar 31 21:59:59 2014', 'Sep 30 23:00:00 2013', 'Mar 31 23:59:59 2014');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2014', 'Sep 30 20:59:59 2014', 'Apr 1 01:00:00 2014', 'Sep 30 23:59:59 2014');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2014', 'Mar 31 21:59:59 2015', 'Sep 30 23:00:00 2014', 'Mar 31 23:59:59 2015');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2015', 'Sep 30 20:59:59 2015', 'Apr 1 01:00:00 2015', 'Sep 30 23:59:59 2015');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2015', 'Mar 31 21:59:59 2016', 'Sep 30 23:00:00 2015', 'Mar 31 23:59:59 2016');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2016', 'Sep 30 20:59:59 2016', 'Apr 1 01:00:00 2016', 'Sep 30 23:59:59 2016');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2016', 'Mar 31 21:59:59 2017', 'Sep 30 23:00:00 2016', 'Mar 31 23:59:59 2017');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2017', 'Sep 30 20:59:59 2017', 'Apr 1 01:00:00 2017', 'Sep 30 23:59:59 2017');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2017', 'Mar 31 21:59:59 2018', 'Sep 30 23:00:00 2017', 'Mar 31 23:59:59 2018');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2018', 'Sep 30 20:59:59 2018', 'Apr 1 01:00:00 2018', 'Sep 30 23:59:59 2018');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2018', 'Mar 31 21:59:59 2019', 'Sep 30 23:00:00 2018', 'Mar 31 23:59:59 2019');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2019', 'Sep 30 20:59:59 2019', 'Apr 1 01:00:00 2019', 'Sep 30 23:59:59 2019');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2019', 'Mar 31 21:59:59 2020', 'Sep 30 23:00:00 2019', 'Mar 31 23:59:59 2020');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2020', 'Sep 30 20:59:59 2020', 'Apr 1 01:00:00 2020', 'Sep 30 23:59:59 2020');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2020', 'Mar 31 21:59:59 2021', 'Sep 30 23:00:00 2020', 'Mar 31 23:59:59 2021');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2021', 'Sep 30 20:59:59 2021', 'Apr 1 01:00:00 2021', 'Sep 30 23:59:59 2021');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2021', 'Mar 31 21:59:59 2022', 'Sep 30 23:00:00 2021', 'Mar 31 23:59:59 2022');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2022', 'Sep 30 20:59:59 2022', 'Apr 1 01:00:00 2022', 'Sep 30 23:59:59 2022');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2022', 'Mar 31 21:59:59 2023', 'Sep 30 23:00:00 2022', 'Mar 31 23:59:59 2023');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2023', 'Sep 30 20:59:59 2023', 'Apr 1 01:00:00 2023', 'Sep 30 23:59:59 2023');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2023', 'Mar 31 21:59:59 2024', 'Sep 30 23:00:00 2023', 'Mar 31 23:59:59 2024');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2024', 'Sep 30 20:59:59 2024', 'Apr 1 01:00:00 2024', 'Sep 30 23:59:59 2024');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2024', 'Mar 31 21:59:59 2025', 'Sep 30 23:00:00 2024', 'Mar 31 23:59:59 2025');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2025', 'Sep 30 20:59:59 2025', 'Apr 1 01:00:00 2025', 'Sep 30 23:59:59 2025');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2025', 'Mar 31 21:59:59 2026', 'Sep 30 23:00:00 2025', 'Mar 31 23:59:59 2026');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2026', 'Sep 30 20:59:59 2026', 'Apr 1 01:00:00 2026', 'Sep 30 23:59:59 2026');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2026', 'Mar 31 21:59:59 2027', 'Sep 30 23:00:00 2026', 'Mar 31 23:59:59 2027');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2027', 'Sep 30 20:59:59 2027', 'Apr 1 01:00:00 2027', 'Sep 30 23:59:59 2027');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2027', 'Mar 31 21:59:59 2028', 'Sep 30 23:00:00 2027', 'Mar 31 23:59:59 2028');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2028', 'Sep 30 20:59:59 2028', 'Apr 1 01:00:00 2028', 'Sep 30 23:59:59 2028');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2028', 'Mar 31 21:59:59 2029', 'Sep 30 23:00:00 2028', 'Mar 31 23:59:59 2029');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2029', 'Sep 30 20:59:59 2029', 'Apr 1 01:00:00 2029', 'Sep 30 23:59:59 2029');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2029', 'Mar 31 21:59:59 2030', 'Sep 30 23:00:00 2029', 'Mar 31 23:59:59 2030');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2030', 'Sep 30 20:59:59 2030', 'Apr 1 01:00:00 2030', 'Sep 30 23:59:59 2030');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2030', 'Mar 31 21:59:59 2031', 'Sep 30 23:00:00 2030', 'Mar 31 23:59:59 2031');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2031', 'Sep 30 20:59:59 2031', 'Apr 1 01:00:00 2031', 'Sep 30 23:59:59 2031');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2031', 'Mar 31 21:59:59 2032', 'Sep 30 23:00:00 2031', 'Mar 31 23:59:59 2032');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2032', 'Sep 30 20:59:59 2032', 'Apr 1 01:00:00 2032', 'Sep 30 23:59:59 2032');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2032', 'Mar 31 21:59:59 2033', 'Sep 30 23:00:00 2032', 'Mar 31 23:59:59 2033');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2033', 'Sep 30 20:59:59 2033', 'Apr 1 01:00:00 2033', 'Sep 30 23:59:59 2033');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2033', 'Mar 31 21:59:59 2034', 'Sep 30 23:00:00 2033', 'Mar 31 23:59:59 2034');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2034', 'Sep 30 20:59:59 2034', 'Apr 1 01:00:00 2034', 'Sep 30 23:59:59 2034');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2034', 'Mar 31 21:59:59 2035', 'Sep 30 23:00:00 2034', 'Mar 31 23:59:59 2035');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2035', 'Sep 30 20:59:59 2035', 'Apr 1 01:00:00 2035', 'Sep 30 23:59:59 2035');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2035', 'Mar 31 21:59:59 2036', 'Sep 30 23:00:00 2035', 'Mar 31 23:59:59 2036');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2036', 'Sep 30 20:59:59 2036', 'Apr 1 01:00:00 2036', 'Sep 30 23:59:59 2036');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2036', 'Mar 31 21:59:59 2037', 'Sep 30 23:00:00 2036', 'Mar 31 23:59:59 2037');
timezone.add_rule('Asia/Damascus', 'EEST', 1, 10800, 'Mar 31 22:00:00 2037', 'Sep 30 20:59:59 2037', 'Apr 1 01:00:00 2037', 'Sep 30 23:59:59 2037');
timezone.add_rule('Asia/Damascus', 'EET', 0, 7200, 'Sep 30 21:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 30 23:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Asia/Dili not installed
--

--
-- Asia/Dubai
--

begin
timezone.add_rule('Asia/Dubai', 'GST', 0, 13272, 'Dec 14 20:45:52 1901', 'Dec 31 20:18:47 1919', 'Dec 15 00:27:04 1901', 'Dec 31 23:59:59 1919');
timezone.add_rule('Asia/Dubai', 'GST', 0, 14400, 'Dec 31 20:18:48 1919', 'Jan 18 03:14:07 2038', 'Jan 1 00:18:48 1920', 'Jan 18 07:14:07 2038');
end;
/

--
-- Asia/Dushanbe
--

begin
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 16512, 'Dec 14 20:45:52 1901', 'May 1 19:24:47 1924', 'Dec 15 01:21:04 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 18000, 'May 1 19:24:48 1924', 'Jun 20 18:59:59 1930', 'May 2 00:24:48 1924', 'Jun 20 23:59:59 1930');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Jun 20 19:00:00 1930', 'Mar 31 17:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 31 18:00:00 1981', 'Sep 30 16:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 30 17:00:00 1981', 'Mar 31 17:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 31 18:00:00 1982', 'Sep 30 16:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 30 17:00:00 1982', 'Mar 31 17:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 31 18:00:00 1983', 'Sep 30 16:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 30 17:00:00 1983', 'Mar 31 17:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 31 18:00:00 1984', 'Sep 29 19:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 29 20:00:00 1984', 'Mar 30 19:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 30 20:00:00 1985', 'Sep 28 19:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 28 20:00:00 1985', 'Mar 29 19:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 29 20:00:00 1986', 'Sep 27 19:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 27 20:00:00 1986', 'Mar 28 19:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 28 20:00:00 1987', 'Sep 26 19:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 26 20:00:00 1987', 'Mar 26 19:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 26 20:00:00 1988', 'Sep 24 19:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 24 20:00:00 1988', 'Mar 25 19:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 25 20:00:00 1989', 'Sep 23 19:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 23 20:00:00 1989', 'Mar 24 19:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 25200, 'Mar 24 20:00:00 1990', 'Sep 29 19:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 21600, 'Sep 29 20:00:00 1990', 'Mar 30 19:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Dushanbe', 'TJST', 1, 21600, 'Mar 30 20:00:00 1991', 'Sep 28 20:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Dushanbe', 'TJT', 0, 18000, 'Sep 28 21:00:00 1991', 'Jan 18 03:14:07 2038', 'Sep 29 02:00:00 1991', 'Jan 18 08:14:07 2038');
end;
/

--
-- Asia/Gaza
--

begin
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Dec 14 20:45:52 1901', 'May 31 21:59:59 1940', 'Dec 14 22:45:52 1901', 'May 31 23:59:59 1940');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'May 31 22:00:00 1940', 'Oct 31 20:59:59 1942', 'Jun 1 01:00:00 1940', 'Oct 31 23:59:59 1942');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Oct 31 21:00:00 1942', 'Mar 31 23:59:59 1943', 'Oct 31 23:00:00 1942', 'Apr 1 01:59:59 1943');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 1 00:00:00 1943', 'Oct 31 20:59:59 1943', 'Apr 1 03:00:00 1943', 'Oct 31 23:59:59 1943');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Oct 31 21:00:00 1943', 'Mar 31 21:59:59 1944', 'Oct 31 23:00:00 1943', 'Mar 31 23:59:59 1944');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Mar 31 22:00:00 1944', 'Oct 31 20:59:59 1944', 'Apr 1 01:00:00 1944', 'Oct 31 23:59:59 1944');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Oct 31 21:00:00 1944', 'Apr 15 21:59:59 1945', 'Oct 31 23:00:00 1944', 'Apr 15 23:59:59 1945');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 15 22:00:00 1945', 'Oct 31 22:59:59 1945', 'Apr 16 01:00:00 1945', 'Nov 1 01:59:59 1945');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Oct 31 23:00:00 1945', 'Apr 15 23:59:59 1946', 'Nov 1 01:00:00 1945', 'Apr 16 01:59:59 1946');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 16 00:00:00 1946', 'Oct 31 20:59:59 1946', 'Apr 16 03:00:00 1946', 'Oct 31 23:59:59 1946');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Oct 31 21:00:00 1946', 'May 9 21:59:59 1957', 'Oct 31 23:00:00 1946', 'May 9 23:59:59 1957');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'May 9 22:00:00 1957', 'Sep 30 20:59:59 1957', 'May 10 01:00:00 1957', 'Sep 30 23:59:59 1957');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 30 21:00:00 1957', 'Apr 30 21:59:59 1958', 'Sep 30 23:00:00 1957', 'Apr 30 23:59:59 1958');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 22:00:00 1958', 'Sep 30 20:59:59 1958', 'May 1 01:00:00 1958', 'Sep 30 23:59:59 1958');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 30 21:00:00 1958', 'Apr 30 22:59:59 1959', 'Sep 30 23:00:00 1958', 'May 1 00:59:59 1959');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 23:00:00 1959', 'Sep 29 23:59:59 1959', 'May 1 02:00:00 1959', 'Sep 30 02:59:59 1959');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 30 00:00:00 1959', 'Apr 30 22:59:59 1960', 'Sep 30 02:00:00 1959', 'May 1 00:59:59 1960');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 23:00:00 1960', 'Sep 29 23:59:59 1960', 'May 1 02:00:00 1960', 'Sep 30 02:59:59 1960');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 30 00:00:00 1960', 'Apr 30 22:59:59 1961', 'Sep 30 02:00:00 1960', 'May 1 00:59:59 1961');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 23:00:00 1961', 'Sep 29 23:59:59 1961', 'May 1 02:00:00 1961', 'Sep 30 02:59:59 1961');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 30 00:00:00 1961', 'Apr 30 22:59:59 1962', 'Sep 30 02:00:00 1961', 'May 1 00:59:59 1962');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 23:00:00 1962', 'Sep 29 23:59:59 1962', 'May 1 02:00:00 1962', 'Sep 30 02:59:59 1962');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 30 00:00:00 1962', 'Apr 30 22:59:59 1963', 'Sep 30 02:00:00 1962', 'May 1 00:59:59 1963');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 23:00:00 1963', 'Sep 29 23:59:59 1963', 'May 1 02:00:00 1963', 'Sep 30 02:59:59 1963');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 30 00:00:00 1963', 'Apr 30 22:59:59 1964', 'Sep 30 02:00:00 1963', 'May 1 00:59:59 1964');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 23:00:00 1964', 'Sep 29 23:59:59 1964', 'May 1 02:00:00 1964', 'Sep 30 02:59:59 1964');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 30 00:00:00 1964', 'Apr 30 22:59:59 1965', 'Sep 30 02:00:00 1964', 'May 1 00:59:59 1965');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 23:00:00 1965', 'Sep 29 23:59:59 1965', 'May 1 02:00:00 1965', 'Sep 30 02:59:59 1965');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 30 00:00:00 1965', 'Apr 30 22:59:59 1966', 'Sep 30 02:00:00 1965', 'May 1 00:59:59 1966');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 23:00:00 1966', 'Sep 30 23:59:59 1966', 'May 1 02:00:00 1966', 'Oct 1 02:59:59 1966');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Oct 1 00:00:00 1966', 'Apr 30 22:59:59 1967', 'Oct 1 02:00:00 1966', 'May 1 00:59:59 1967');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 30 23:00:00 1967', 'Jun 4 20:59:59 1967', 'May 1 02:00:00 1967', 'Jun 4 23:59:59 1967');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Jun 4 21:00:00 1967', 'Jul 6 21:59:59 1974', 'Jun 4 23:00:00 1967', 'Jul 6 23:59:59 1974');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Jul 6 22:00:00 1974', 'Oct 12 20:59:59 1974', 'Jul 7 01:00:00 1974', 'Oct 12 23:59:59 1974');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Oct 12 21:00:00 1974', 'Apr 19 21:59:59 1975', 'Oct 12 23:00:00 1974', 'Apr 19 23:59:59 1975');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 19 22:00:00 1975', 'Aug 30 20:59:59 1975', 'Apr 20 01:00:00 1975', 'Aug 30 23:59:59 1975');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Aug 30 21:00:00 1975', 'Apr 13 21:59:59 1985', 'Aug 30 23:00:00 1975', 'Apr 13 23:59:59 1985');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 13 22:00:00 1985', 'Sep 14 20:59:59 1985', 'Apr 14 01:00:00 1985', 'Sep 14 23:59:59 1985');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 14 21:00:00 1985', 'May 17 21:59:59 1986', 'Sep 14 23:00:00 1985', 'May 17 23:59:59 1986');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'May 17 22:00:00 1986', 'Sep 6 20:59:59 1986', 'May 18 01:00:00 1986', 'Sep 6 23:59:59 1986');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 6 21:00:00 1986', 'Apr 14 21:59:59 1987', 'Sep 6 23:00:00 1986', 'Apr 14 23:59:59 1987');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 14 22:00:00 1987', 'Sep 12 20:59:59 1987', 'Apr 15 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 12 21:00:00 1987', 'Apr 8 21:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 8 23:59:59 1988');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 8 22:00:00 1988', 'Sep 2 20:59:59 1988', 'Apr 9 01:00:00 1988', 'Sep 2 23:59:59 1988');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 2 21:00:00 1988', 'Apr 29 21:59:59 1989', 'Sep 2 23:00:00 1988', 'Apr 29 23:59:59 1989');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 29 22:00:00 1989', 'Sep 2 20:59:59 1989', 'Apr 30 01:00:00 1989', 'Sep 2 23:59:59 1989');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 2 21:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 2 23:00:00 1989', 'Mar 24 23:59:59 1990');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Mar 24 22:00:00 1990', 'Aug 25 20:59:59 1990', 'Mar 25 01:00:00 1990', 'Aug 25 23:59:59 1990');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Aug 25 21:00:00 1990', 'Mar 23 21:59:59 1991', 'Aug 25 23:00:00 1990', 'Mar 23 23:59:59 1991');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Mar 23 22:00:00 1991', 'Aug 31 20:59:59 1991', 'Mar 24 01:00:00 1991', 'Aug 31 23:59:59 1991');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Aug 31 21:00:00 1991', 'Mar 28 21:59:59 1992', 'Aug 31 23:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Mar 28 22:00:00 1992', 'Sep 5 20:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 5 23:59:59 1992');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 5 21:00:00 1992', 'Apr 1 21:59:59 1993', 'Sep 5 23:00:00 1992', 'Apr 1 23:59:59 1993');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 1 22:00:00 1993', 'Sep 4 20:59:59 1993', 'Apr 2 01:00:00 1993', 'Sep 4 23:59:59 1993');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 4 21:00:00 1993', 'Mar 31 21:59:59 1994', 'Sep 4 23:00:00 1993', 'Mar 31 23:59:59 1994');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Mar 31 22:00:00 1994', 'Aug 27 20:59:59 1994', 'Apr 1 01:00:00 1994', 'Aug 27 23:59:59 1994');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Aug 27 21:00:00 1994', 'Mar 30 21:59:59 1995', 'Aug 27 23:00:00 1994', 'Mar 30 23:59:59 1995');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Mar 30 22:00:00 1995', 'Sep 2 20:59:59 1995', 'Mar 31 01:00:00 1995', 'Sep 2 23:59:59 1995');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 2 21:00:00 1995', 'Apr 4 21:59:59 1996', 'Sep 2 23:00:00 1995', 'Apr 4 23:59:59 1996');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 4 22:00:00 1996', 'Sep 19 21:59:59 1996', 'Apr 5 01:00:00 1996', 'Sep 20 00:59:59 1996');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 19 22:00:00 1996', 'Apr 3 21:59:59 1997', 'Sep 20 00:00:00 1996', 'Apr 3 23:59:59 1997');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 3 22:00:00 1997', 'Sep 18 21:59:59 1997', 'Apr 4 01:00:00 1997', 'Sep 19 00:59:59 1997');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 18 22:00:00 1997', 'Apr 2 21:59:59 1998', 'Sep 19 00:00:00 1997', 'Apr 2 23:59:59 1998');
timezone.add_rule('Asia/Gaza', 'EEST', 1, 10800, 'Apr 2 22:00:00 1998', 'Sep 17 21:59:59 1998', 'Apr 3 01:00:00 1998', 'Sep 18 00:59:59 1998');
timezone.add_rule('Asia/Gaza', 'EET', 0, 7200, 'Sep 17 22:00:00 1998', 'Jan 18 03:14:07 2038', 'Sep 18 00:00:00 1998', 'Jan 18 05:14:07 2038');
end;
/

--
-- Asia/Harbin
--

begin
timezone.add_rule('Asia/Harbin', 'CST', 0, 30404, 'Dec 14 20:45:52 1901', 'Dec 31 15:33:15 1927', 'Dec 15 05:12:36 1901', 'Dec 31 23:59:59 1927');
timezone.add_rule('Asia/Harbin', 'CST', 0, 30600, 'Dec 31 15:33:16 1927', 'Feb 29 15:29:59 1932', 'Jan 1 00:03:16 1928', 'Feb 29 23:59:59 1932');
timezone.add_rule('Asia/Harbin', 'CST', 0, 28800, 'Feb 29 15:30:00 1932', 'Dec 31 15:59:59 1939', 'Feb 29 23:30:00 1932', 'Dec 31 23:59:59 1939');
timezone.add_rule('Asia/Harbin', 'CST', 0, 32400, 'Dec 31 16:00:00 1939', 'Apr 30 14:59:59 1966', 'Jan 1 01:00:00 1940', 'Apr 30 23:59:59 1966');
timezone.add_rule('Asia/Harbin', 'CST', 0, 30600, 'Apr 30 15:00:00 1966', 'Apr 30 15:29:59 1980', 'Apr 30 23:30:00 1966', 'Apr 30 23:59:59 1980');
timezone.add_rule('Asia/Harbin', 'CST', 0, 28800, 'Apr 30 15:30:00 1980', 'May 3 15:59:59 1986', 'Apr 30 23:30:00 1980', 'May 3 23:59:59 1986');
timezone.add_rule('Asia/Harbin', 'CDT', 1, 32400, 'May 3 16:00:00 1986', 'Sep 13 14:59:59 1986', 'May 4 01:00:00 1986', 'Sep 13 23:59:59 1986');
timezone.add_rule('Asia/Harbin', 'CST', 0, 28800, 'Sep 13 15:00:00 1986', 'Apr 11 15:59:59 1987', 'Sep 13 23:00:00 1986', 'Apr 11 23:59:59 1987');
timezone.add_rule('Asia/Harbin', 'CDT', 1, 32400, 'Apr 11 16:00:00 1987', 'Sep 12 14:59:59 1987', 'Apr 12 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Asia/Harbin', 'CST', 0, 28800, 'Sep 12 15:00:00 1987', 'Apr 9 15:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 9 23:59:59 1988');
timezone.add_rule('Asia/Harbin', 'CDT', 1, 32400, 'Apr 9 16:00:00 1988', 'Sep 10 14:59:59 1988', 'Apr 10 01:00:00 1988', 'Sep 10 23:59:59 1988');
timezone.add_rule('Asia/Harbin', 'CST', 0, 28800, 'Sep 10 15:00:00 1988', 'Apr 15 15:59:59 1989', 'Sep 10 23:00:00 1988', 'Apr 15 23:59:59 1989');
timezone.add_rule('Asia/Harbin', 'CDT', 1, 32400, 'Apr 15 16:00:00 1989', 'Sep 16 14:59:59 1989', 'Apr 16 01:00:00 1989', 'Sep 16 23:59:59 1989');
timezone.add_rule('Asia/Harbin', 'CST', 0, 28800, 'Sep 16 15:00:00 1989', 'Apr 14 15:59:59 1990', 'Sep 16 23:00:00 1989', 'Apr 14 23:59:59 1990');
timezone.add_rule('Asia/Harbin', 'CDT', 1, 32400, 'Apr 14 16:00:00 1990', 'Sep 15 14:59:59 1990', 'Apr 15 01:00:00 1990', 'Sep 15 23:59:59 1990');
timezone.add_rule('Asia/Harbin', 'CST', 0, 28800, 'Sep 15 15:00:00 1990', 'Apr 13 15:59:59 1991', 'Sep 15 23:00:00 1990', 'Apr 13 23:59:59 1991');
timezone.add_rule('Asia/Harbin', 'CDT', 1, 32400, 'Apr 13 16:00:00 1991', 'Sep 14 14:59:59 1991', 'Apr 14 01:00:00 1991', 'Sep 14 23:59:59 1991');
timezone.add_rule('Asia/Harbin', 'CST', 0, 28800, 'Sep 14 15:00:00 1991', 'Jan 18 03:14:07 2038', 'Sep 14 23:00:00 1991', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Hong_Kong
--

begin
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 27396, 'Dec 14 20:45:52 1901', 'Oct 29 16:23:23 1904', 'Dec 15 04:22:28 1901', 'Oct 29 23:59:59 1904');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 29 16:23:24 1904', 'Apr 19 19:29:59 1946', 'Oct 30 00:23:24 1904', 'Apr 20 03:29:59 1946');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 19 19:30:00 1946', 'Nov 30 18:29:59 1946', 'Apr 20 04:30:00 1946', 'Dec 1 03:29:59 1946');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Nov 30 18:30:00 1946', 'Apr 12 19:29:59 1947', 'Dec 1 02:30:00 1946', 'Apr 13 03:29:59 1947');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 12 19:30:00 1947', 'Dec 29 18:29:59 1947', 'Apr 13 04:30:00 1947', 'Dec 30 03:29:59 1947');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Dec 29 18:30:00 1947', 'May 1 19:29:59 1948', 'Dec 30 02:30:00 1947', 'May 2 03:29:59 1948');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'May 1 19:30:00 1948', 'Oct 30 18:29:59 1948', 'May 2 04:30:00 1948', 'Oct 31 03:29:59 1948');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 30 18:30:00 1948', 'Apr 2 19:29:59 1949', 'Oct 31 02:30:00 1948', 'Apr 3 03:29:59 1949');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 2 19:30:00 1949', 'Oct 29 18:29:59 1949', 'Apr 3 04:30:00 1949', 'Oct 30 03:29:59 1949');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 29 18:30:00 1949', 'Apr 1 19:29:59 1950', 'Oct 30 02:30:00 1949', 'Apr 2 03:29:59 1950');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 1 19:30:00 1950', 'Oct 28 18:29:59 1950', 'Apr 2 04:30:00 1950', 'Oct 29 03:29:59 1950');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 28 18:30:00 1950', 'Mar 31 19:29:59 1951', 'Oct 29 02:30:00 1950', 'Apr 1 03:29:59 1951');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 31 19:30:00 1951', 'Oct 27 18:29:59 1951', 'Apr 1 04:30:00 1951', 'Oct 28 03:29:59 1951');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 27 18:30:00 1951', 'Apr 5 19:29:59 1952', 'Oct 28 02:30:00 1951', 'Apr 6 03:29:59 1952');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 5 19:30:00 1952', 'Oct 25 18:29:59 1952', 'Apr 6 04:30:00 1952', 'Oct 26 03:29:59 1952');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 25 18:30:00 1952', 'Apr 4 19:29:59 1953', 'Oct 26 02:30:00 1952', 'Apr 5 03:29:59 1953');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 4 19:30:00 1953', 'Oct 31 18:29:59 1953', 'Apr 5 04:30:00 1953', 'Nov 1 03:29:59 1953');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 31 18:30:00 1953', 'Mar 20 19:29:59 1954', 'Nov 1 02:30:00 1953', 'Mar 21 03:29:59 1954');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 20 19:30:00 1954', 'Oct 30 18:29:59 1954', 'Mar 21 04:30:00 1954', 'Oct 31 03:29:59 1954');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 30 18:30:00 1954', 'Mar 19 19:29:59 1955', 'Oct 31 02:30:00 1954', 'Mar 20 03:29:59 1955');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 19 19:30:00 1955', 'Nov 5 18:29:59 1955', 'Mar 20 04:30:00 1955', 'Nov 6 03:29:59 1955');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Nov 5 18:30:00 1955', 'Mar 17 19:29:59 1956', 'Nov 6 02:30:00 1955', 'Mar 18 03:29:59 1956');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 17 19:30:00 1956', 'Nov 3 18:29:59 1956', 'Mar 18 04:30:00 1956', 'Nov 4 03:29:59 1956');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Nov 3 18:30:00 1956', 'Mar 23 19:29:59 1957', 'Nov 4 02:30:00 1956', 'Mar 24 03:29:59 1957');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 23 19:30:00 1957', 'Nov 2 18:29:59 1957', 'Mar 24 04:30:00 1957', 'Nov 3 03:29:59 1957');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Nov 2 18:30:00 1957', 'Mar 22 19:29:59 1958', 'Nov 3 02:30:00 1957', 'Mar 23 03:29:59 1958');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 22 19:30:00 1958', 'Nov 1 18:29:59 1958', 'Mar 23 04:30:00 1958', 'Nov 2 03:29:59 1958');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Nov 1 18:30:00 1958', 'Mar 21 19:29:59 1959', 'Nov 2 02:30:00 1958', 'Mar 22 03:29:59 1959');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 21 19:30:00 1959', 'Oct 31 18:29:59 1959', 'Mar 22 04:30:00 1959', 'Nov 1 03:29:59 1959');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 31 18:30:00 1959', 'Mar 19 19:29:59 1960', 'Nov 1 02:30:00 1959', 'Mar 20 03:29:59 1960');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 19 19:30:00 1960', 'Nov 5 18:29:59 1960', 'Mar 20 04:30:00 1960', 'Nov 6 03:29:59 1960');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Nov 5 18:30:00 1960', 'Mar 18 19:29:59 1961', 'Nov 6 02:30:00 1960', 'Mar 19 03:29:59 1961');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 18 19:30:00 1961', 'Nov 4 18:29:59 1961', 'Mar 19 04:30:00 1961', 'Nov 5 03:29:59 1961');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Nov 4 18:30:00 1961', 'Mar 17 19:29:59 1962', 'Nov 5 02:30:00 1961', 'Mar 18 03:29:59 1962');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 17 19:30:00 1962', 'Nov 3 18:29:59 1962', 'Mar 18 04:30:00 1962', 'Nov 4 03:29:59 1962');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Nov 3 18:30:00 1962', 'Mar 23 19:29:59 1963', 'Nov 4 02:30:00 1962', 'Mar 24 03:29:59 1963');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 23 19:30:00 1963', 'Nov 2 18:29:59 1963', 'Mar 24 04:30:00 1963', 'Nov 3 03:29:59 1963');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Nov 2 18:30:00 1963', 'Mar 21 19:29:59 1964', 'Nov 3 02:30:00 1963', 'Mar 22 03:29:59 1964');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Mar 21 19:30:00 1964', 'Oct 31 18:29:59 1964', 'Mar 22 04:30:00 1964', 'Nov 1 03:29:59 1964');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 31 18:30:00 1964', 'Apr 17 19:29:59 1965', 'Nov 1 02:30:00 1964', 'Apr 18 03:29:59 1965');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 17 19:30:00 1965', 'Oct 16 18:29:59 1965', 'Apr 18 04:30:00 1965', 'Oct 17 03:29:59 1965');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 16 18:30:00 1965', 'Apr 16 19:29:59 1966', 'Oct 17 02:30:00 1965', 'Apr 17 03:29:59 1966');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 16 19:30:00 1966', 'Oct 15 18:29:59 1966', 'Apr 17 04:30:00 1966', 'Oct 16 03:29:59 1966');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 15 18:30:00 1966', 'Apr 15 19:29:59 1967', 'Oct 16 02:30:00 1966', 'Apr 16 03:29:59 1967');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 15 19:30:00 1967', 'Oct 21 18:29:59 1967', 'Apr 16 04:30:00 1967', 'Oct 22 03:29:59 1967');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 21 18:30:00 1967', 'Apr 20 19:29:59 1968', 'Oct 22 02:30:00 1967', 'Apr 21 03:29:59 1968');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 20 19:30:00 1968', 'Oct 19 18:29:59 1968', 'Apr 21 04:30:00 1968', 'Oct 20 03:29:59 1968');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 19 18:30:00 1968', 'Apr 19 19:29:59 1969', 'Oct 20 02:30:00 1968', 'Apr 20 03:29:59 1969');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 19 19:30:00 1969', 'Oct 18 18:29:59 1969', 'Apr 20 04:30:00 1969', 'Oct 19 03:29:59 1969');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 18 18:30:00 1969', 'Apr 18 19:29:59 1970', 'Oct 19 02:30:00 1969', 'Apr 19 03:29:59 1970');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 18 19:30:00 1970', 'Oct 17 18:29:59 1970', 'Apr 19 04:30:00 1970', 'Oct 18 03:29:59 1970');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 17 18:30:00 1970', 'Apr 17 19:29:59 1971', 'Oct 18 02:30:00 1970', 'Apr 18 03:29:59 1971');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 17 19:30:00 1971', 'Oct 16 18:29:59 1971', 'Apr 18 04:30:00 1971', 'Oct 17 03:29:59 1971');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 16 18:30:00 1971', 'Apr 15 19:29:59 1972', 'Oct 17 02:30:00 1971', 'Apr 16 03:29:59 1972');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 15 19:30:00 1972', 'Oct 21 18:29:59 1972', 'Apr 16 04:30:00 1972', 'Oct 22 03:29:59 1972');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 21 18:30:00 1972', 'Apr 21 19:29:59 1973', 'Oct 22 02:30:00 1972', 'Apr 22 03:29:59 1973');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 21 19:30:00 1973', 'Oct 20 18:29:59 1973', 'Apr 22 04:30:00 1973', 'Oct 21 03:29:59 1973');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 20 18:30:00 1973', 'Apr 20 19:29:59 1974', 'Oct 21 02:30:00 1973', 'Apr 21 03:29:59 1974');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 20 19:30:00 1974', 'Oct 19 18:29:59 1974', 'Apr 21 04:30:00 1974', 'Oct 20 03:29:59 1974');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 19 18:30:00 1974', 'Apr 19 19:29:59 1975', 'Oct 20 02:30:00 1974', 'Apr 20 03:29:59 1975');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 19 19:30:00 1975', 'Oct 18 18:29:59 1975', 'Apr 20 04:30:00 1975', 'Oct 19 03:29:59 1975');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 18 18:30:00 1975', 'Apr 17 19:29:59 1976', 'Oct 19 02:30:00 1975', 'Apr 18 03:29:59 1976');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 17 19:30:00 1976', 'Oct 16 18:29:59 1976', 'Apr 18 04:30:00 1976', 'Oct 17 03:29:59 1976');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 16 18:30:00 1976', 'Apr 16 19:29:59 1977', 'Oct 17 02:30:00 1976', 'Apr 17 03:29:59 1977');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'Apr 16 19:30:00 1977', 'Oct 15 18:29:59 1977', 'Apr 17 04:30:00 1977', 'Oct 16 03:29:59 1977');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 15 18:30:00 1977', 'May 12 19:29:59 1979', 'Oct 16 02:30:00 1977', 'May 13 03:29:59 1979');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'May 12 19:30:00 1979', 'Oct 20 18:29:59 1979', 'May 13 04:30:00 1979', 'Oct 21 03:29:59 1979');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 20 18:30:00 1979', 'May 10 19:29:59 1980', 'Oct 21 02:30:00 1979', 'May 11 03:29:59 1980');
timezone.add_rule('Asia/Hong_Kong', 'HKST', 1, 32400, 'May 10 19:30:00 1980', 'Oct 18 18:29:59 1980', 'May 11 04:30:00 1980', 'Oct 19 03:29:59 1980');
timezone.add_rule('Asia/Hong_Kong', 'CST', 0, 28800, 'Oct 18 18:30:00 1980', 'Jan 18 03:14:07 2038', 'Oct 19 02:30:00 1980', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Hovd not installed
--

--
-- Asia/Irkutsk
--

begin
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 25040, 'Dec 14 20:45:52 1901', 'May 1 17:02:39 1924', 'Dec 15 03:43:12 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 25200, 'May 1 17:02:40 1924', 'Feb 28 16:59:59 1957', 'May 2 00:02:40 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Feb 28 17:00:00 1957', 'Mar 31 15:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 31 16:00:00 1981', 'Sep 30 14:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 30 15:00:00 1981', 'Mar 31 15:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 31 16:00:00 1982', 'Sep 30 14:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 30 15:00:00 1982', 'Mar 31 15:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 31 16:00:00 1983', 'Sep 30 14:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 30 15:00:00 1983', 'Mar 31 15:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 31 16:00:00 1984', 'Sep 29 17:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 29 18:00:00 1984', 'Mar 30 17:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 30 18:00:00 1985', 'Sep 28 17:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 28 18:00:00 1985', 'Mar 29 17:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 29 18:00:00 1986', 'Sep 27 17:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 27 18:00:00 1986', 'Mar 28 17:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 28 18:00:00 1987', 'Sep 26 17:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 26 18:00:00 1987', 'Mar 26 17:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 26 18:00:00 1988', 'Sep 24 17:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 24 18:00:00 1988', 'Mar 25 17:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 25 18:00:00 1989', 'Sep 23 17:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 23 18:00:00 1989', 'Mar 24 17:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 24 18:00:00 1990', 'Sep 29 17:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 29 18:00:00 1990', 'Mar 30 17:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 28800, 'Mar 30 18:00:00 1991', 'Sep 28 18:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 25200, 'Sep 28 19:00:00 1991', 'Jan 18 18:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Jan 18 19:00:00 1992', 'Mar 28 14:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 28 15:00:00 1992', 'Sep 26 13:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 26 14:00:00 1992', 'Mar 27 17:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 27 18:00:00 1993', 'Sep 25 17:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 25 18:00:00 1993', 'Mar 26 17:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 26 18:00:00 1994', 'Sep 24 17:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 24 18:00:00 1994', 'Mar 25 17:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 25 18:00:00 1995', 'Sep 23 17:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Sep 23 18:00:00 1995', 'Mar 30 17:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 30 18:00:00 1996', 'Oct 26 17:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 26 18:00:00 1996', 'Mar 29 17:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 29 18:00:00 1997', 'Oct 25 17:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 25 18:00:00 1997', 'Mar 28 17:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 28 18:00:00 1998', 'Oct 24 17:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 24 18:00:00 1998', 'Mar 27 17:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 27 18:00:00 1999', 'Oct 30 17:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 30 18:00:00 1999', 'Mar 25 17:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 25 18:00:00 2000', 'Oct 28 17:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 28 18:00:00 2000', 'Mar 24 17:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 24 18:00:00 2001', 'Oct 27 17:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 27 18:00:00 2001', 'Mar 30 17:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 30 18:00:00 2002', 'Oct 26 17:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 26 18:00:00 2002', 'Mar 29 17:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 29 18:00:00 2003', 'Oct 25 17:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 25 18:00:00 2003', 'Mar 27 17:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 27 18:00:00 2004', 'Oct 30 17:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 30 18:00:00 2004', 'Mar 26 17:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 26 18:00:00 2005', 'Oct 29 17:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 29 18:00:00 2005', 'Mar 25 17:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 25 18:00:00 2006', 'Oct 28 17:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 28 18:00:00 2006', 'Mar 24 17:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 24 18:00:00 2007', 'Oct 27 17:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 27 18:00:00 2007', 'Mar 29 17:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 29 18:00:00 2008', 'Oct 25 17:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 25 18:00:00 2008', 'Mar 28 17:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 28 18:00:00 2009', 'Oct 24 17:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 24 18:00:00 2009', 'Mar 27 17:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 27 18:00:00 2010', 'Oct 30 17:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 30 18:00:00 2010', 'Mar 26 17:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 26 18:00:00 2011', 'Oct 29 17:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 29 18:00:00 2011', 'Mar 24 17:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 24 18:00:00 2012', 'Oct 27 17:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 27 18:00:00 2012', 'Mar 30 17:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 30 18:00:00 2013', 'Oct 26 17:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 26 18:00:00 2013', 'Mar 29 17:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 29 18:00:00 2014', 'Oct 25 17:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 25 18:00:00 2014', 'Mar 28 17:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 28 18:00:00 2015', 'Oct 24 17:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 24 18:00:00 2015', 'Mar 26 17:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 26 18:00:00 2016', 'Oct 29 17:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 29 18:00:00 2016', 'Mar 25 17:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 25 18:00:00 2017', 'Oct 28 17:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 28 18:00:00 2017', 'Mar 24 17:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 24 18:00:00 2018', 'Oct 27 17:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 27 18:00:00 2018', 'Mar 30 17:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 30 18:00:00 2019', 'Oct 26 17:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 26 18:00:00 2019', 'Mar 28 17:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 28 18:00:00 2020', 'Oct 24 17:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 24 18:00:00 2020', 'Mar 27 17:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 27 18:00:00 2021', 'Oct 30 17:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 30 18:00:00 2021', 'Mar 26 17:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 26 18:00:00 2022', 'Oct 29 17:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 29 18:00:00 2022', 'Mar 25 17:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 25 18:00:00 2023', 'Oct 28 17:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 28 18:00:00 2023', 'Mar 30 17:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 30 18:00:00 2024', 'Oct 26 17:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 26 18:00:00 2024', 'Mar 29 17:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 29 18:00:00 2025', 'Oct 25 17:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 25 18:00:00 2025', 'Mar 28 17:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 28 18:00:00 2026', 'Oct 24 17:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 24 18:00:00 2026', 'Mar 27 17:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 27 18:00:00 2027', 'Oct 30 17:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 30 18:00:00 2027', 'Mar 25 17:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 25 18:00:00 2028', 'Oct 28 17:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 28 18:00:00 2028', 'Mar 24 17:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 24 18:00:00 2029', 'Oct 27 17:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 27 18:00:00 2029', 'Mar 30 17:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 30 18:00:00 2030', 'Oct 26 17:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 26 18:00:00 2030', 'Mar 29 17:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 29 18:00:00 2031', 'Oct 25 17:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 25 18:00:00 2031', 'Mar 27 17:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 27 18:00:00 2032', 'Oct 30 17:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 30 18:00:00 2032', 'Mar 26 17:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 26 18:00:00 2033', 'Oct 29 17:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 29 18:00:00 2033', 'Mar 25 17:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 25 18:00:00 2034', 'Oct 28 17:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 28 18:00:00 2034', 'Mar 24 17:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 24 18:00:00 2035', 'Oct 27 17:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 27 18:00:00 2035', 'Mar 29 17:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 29 18:00:00 2036', 'Oct 25 17:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 25 18:00:00 2036', 'Mar 28 17:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Irkutsk', 'IRKST', 1, 32400, 'Mar 28 18:00:00 2037', 'Oct 24 17:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Irkutsk', 'IRKT', 0, 28800, 'Oct 24 18:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Istanbul
--

begin
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7016, 'Dec 14 20:45:52 1901', 'Sep 30 22:03:03 1910', 'Dec 14 22:42:48 1901', 'Sep 30 23:59:59 1910');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 30 22:03:04 1910', 'Apr 30 21:59:59 1916', 'Oct 1 00:03:04 1910', 'Apr 30 23:59:59 1916');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 30 22:00:00 1916', 'Sep 30 20:59:59 1916', 'May 1 01:00:00 1916', 'Sep 30 23:59:59 1916');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1916', 'Mar 27 21:59:59 1920', 'Sep 30 23:00:00 1916', 'Mar 27 23:59:59 1920');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 27 22:00:00 1920', 'Oct 24 20:59:59 1920', 'Mar 28 01:00:00 1920', 'Oct 24 23:59:59 1920');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 24 21:00:00 1920', 'Apr 2 21:59:59 1921', 'Oct 24 23:00:00 1920', 'Apr 2 23:59:59 1921');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 2 22:00:00 1921', 'Oct 2 20:59:59 1921', 'Apr 3 01:00:00 1921', 'Oct 2 23:59:59 1921');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 2 21:00:00 1921', 'Mar 25 21:59:59 1922', 'Oct 2 23:00:00 1921', 'Mar 25 23:59:59 1922');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 25 22:00:00 1922', 'Oct 7 20:59:59 1922', 'Mar 26 01:00:00 1922', 'Oct 7 23:59:59 1922');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1922', 'May 12 21:59:59 1924', 'Oct 7 23:00:00 1922', 'May 12 23:59:59 1924');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'May 12 22:00:00 1924', 'Sep 30 20:59:59 1924', 'May 13 01:00:00 1924', 'Sep 30 23:59:59 1924');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1924', 'Apr 30 21:59:59 1925', 'Sep 30 23:00:00 1924', 'Apr 30 23:59:59 1925');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 30 22:00:00 1925', 'Sep 30 20:59:59 1925', 'May 1 01:00:00 1925', 'Sep 30 23:59:59 1925');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1925', 'Jun 29 21:59:59 1940', 'Sep 30 23:00:00 1925', 'Jun 29 23:59:59 1940');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Jun 29 22:00:00 1940', 'Oct 4 20:59:59 1940', 'Jun 30 01:00:00 1940', 'Oct 4 23:59:59 1940');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 4 21:00:00 1940', 'Nov 30 21:59:59 1940', 'Oct 4 23:00:00 1940', 'Nov 30 23:59:59 1940');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Nov 30 22:00:00 1940', 'Sep 20 20:59:59 1941', 'Dec 1 01:00:00 1940', 'Sep 20 23:59:59 1941');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 20 21:00:00 1941', 'Mar 31 21:59:59 1942', 'Sep 20 23:00:00 1941', 'Mar 31 23:59:59 1942');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 31 22:00:00 1942', 'Oct 31 20:59:59 1942', 'Apr 1 01:00:00 1942', 'Oct 31 23:59:59 1942');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 31 21:00:00 1942', 'Apr 1 21:59:59 1945', 'Oct 31 23:00:00 1942', 'Apr 1 23:59:59 1945');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 1 22:00:00 1945', 'Oct 7 20:59:59 1945', 'Apr 2 01:00:00 1945', 'Oct 7 23:59:59 1945');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1945', 'May 31 21:59:59 1946', 'Oct 7 23:00:00 1945', 'May 31 23:59:59 1946');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'May 31 22:00:00 1946', 'Sep 30 20:59:59 1946', 'Jun 1 01:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1946', 'Apr 19 21:59:59 1947', 'Sep 30 23:00:00 1946', 'Apr 19 23:59:59 1947');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 19 22:00:00 1947', 'Oct 4 20:59:59 1947', 'Apr 20 01:00:00 1947', 'Oct 4 23:59:59 1947');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 4 21:00:00 1947', 'Apr 17 21:59:59 1948', 'Oct 4 23:00:00 1947', 'Apr 17 23:59:59 1948');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 17 22:00:00 1948', 'Oct 2 20:59:59 1948', 'Apr 18 01:00:00 1948', 'Oct 2 23:59:59 1948');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 2 21:00:00 1948', 'Apr 9 21:59:59 1949', 'Oct 2 23:00:00 1948', 'Apr 9 23:59:59 1949');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 9 22:00:00 1949', 'Oct 1 20:59:59 1949', 'Apr 10 01:00:00 1949', 'Oct 1 23:59:59 1949');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 1 21:00:00 1949', 'Apr 18 21:59:59 1950', 'Oct 1 23:00:00 1949', 'Apr 18 23:59:59 1950');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 18 22:00:00 1950', 'Oct 7 20:59:59 1950', 'Apr 19 01:00:00 1950', 'Oct 7 23:59:59 1950');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1950', 'Apr 21 21:59:59 1951', 'Oct 7 23:00:00 1950', 'Apr 21 23:59:59 1951');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 21 22:00:00 1951', 'Oct 7 20:59:59 1951', 'Apr 22 01:00:00 1951', 'Oct 7 23:59:59 1951');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1951', 'Jul 14 21:59:59 1962', 'Oct 7 23:00:00 1951', 'Jul 14 23:59:59 1962');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Jul 14 22:00:00 1962', 'Oct 7 20:59:59 1962', 'Jul 15 01:00:00 1962', 'Oct 7 23:59:59 1962');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1962', 'May 14 21:59:59 1964', 'Oct 7 23:00:00 1962', 'May 14 23:59:59 1964');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'May 14 22:00:00 1964', 'Sep 30 20:59:59 1964', 'May 15 01:00:00 1964', 'Sep 30 23:59:59 1964');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1964', 'May 2 21:59:59 1970', 'Sep 30 23:00:00 1964', 'May 2 23:59:59 1970');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'May 2 22:00:00 1970', 'Oct 3 20:59:59 1970', 'May 3 01:00:00 1970', 'Oct 3 23:59:59 1970');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 3 21:00:00 1970', 'May 1 21:59:59 1971', 'Oct 3 23:00:00 1970', 'May 1 23:59:59 1971');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'May 1 22:00:00 1971', 'Oct 2 20:59:59 1971', 'May 2 01:00:00 1971', 'Oct 2 23:59:59 1971');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 2 21:00:00 1971', 'May 6 21:59:59 1972', 'Oct 2 23:00:00 1971', 'May 6 23:59:59 1972');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'May 6 22:00:00 1972', 'Oct 7 20:59:59 1972', 'May 7 01:00:00 1972', 'Oct 7 23:59:59 1972');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1972', 'Jun 2 22:59:59 1973', 'Oct 7 23:00:00 1972', 'Jun 3 00:59:59 1973');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Jun 2 23:00:00 1973', 'Nov 3 23:59:59 1973', 'Jun 3 02:00:00 1973', 'Nov 4 02:59:59 1973');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Nov 4 00:00:00 1973', 'Mar 30 23:59:59 1974', 'Nov 4 02:00:00 1973', 'Mar 31 01:59:59 1974');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 31 00:00:00 1974', 'Nov 3 01:59:59 1974', 'Mar 31 03:00:00 1974', 'Nov 3 04:59:59 1974');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Nov 3 02:00:00 1974', 'Mar 29 21:59:59 1975', 'Nov 3 04:00:00 1974', 'Mar 29 23:59:59 1975');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 29 22:00:00 1975', 'Oct 25 20:59:59 1975', 'Mar 30 01:00:00 1975', 'Oct 25 23:59:59 1975');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 25 21:00:00 1975', 'May 31 21:59:59 1976', 'Oct 25 23:00:00 1975', 'May 31 23:59:59 1976');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'May 31 22:00:00 1976', 'Oct 30 20:59:59 1976', 'Jun 1 01:00:00 1976', 'Oct 30 23:59:59 1976');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 30 21:00:00 1976', 'Apr 2 21:59:59 1977', 'Oct 30 23:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 2 22:00:00 1977', 'Oct 15 20:59:59 1977', 'Apr 3 01:00:00 1977', 'Oct 15 23:59:59 1977');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 15 21:00:00 1977', 'Apr 1 21:59:59 1978', 'Oct 15 23:00:00 1977', 'Apr 1 23:59:59 1978');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 1 22:00:00 1978', 'Oct 14 20:59:59 1978', 'Apr 2 01:00:00 1978', 'Oct 14 23:59:59 1978');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 14400, 'Oct 14 21:00:00 1978', 'Oct 14 19:59:59 1979', 'Oct 15 01:00:00 1978', 'Oct 14 23:59:59 1979');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 10800, 'Oct 14 20:00:00 1979', 'Apr 5 23:59:59 1980', 'Oct 14 23:00:00 1979', 'Apr 6 02:59:59 1980');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 14400, 'Apr 6 00:00:00 1980', 'Oct 12 19:59:59 1980', 'Apr 6 04:00:00 1980', 'Oct 12 23:59:59 1980');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 10800, 'Oct 12 20:00:00 1980', 'Mar 28 23:59:59 1981', 'Oct 12 23:00:00 1980', 'Mar 29 02:59:59 1981');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 14400, 'Mar 29 00:00:00 1981', 'Oct 11 19:59:59 1981', 'Mar 29 04:00:00 1981', 'Oct 11 23:59:59 1981');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 10800, 'Oct 11 20:00:00 1981', 'Mar 27 23:59:59 1982', 'Oct 11 23:00:00 1981', 'Mar 28 02:59:59 1982');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 14400, 'Mar 28 00:00:00 1982', 'Oct 10 19:59:59 1982', 'Mar 28 04:00:00 1982', 'Oct 10 23:59:59 1982');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 10800, 'Oct 10 20:00:00 1982', 'Jul 30 20:59:59 1983', 'Oct 10 23:00:00 1982', 'Jul 30 23:59:59 1983');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 14400, 'Jul 30 21:00:00 1983', 'Oct 1 19:59:59 1983', 'Jul 31 01:00:00 1983', 'Oct 1 23:59:59 1983');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 10800, 'Oct 1 20:00:00 1983', 'Apr 19 20:59:59 1985', 'Oct 1 23:00:00 1983', 'Apr 19 23:59:59 1985');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Apr 19 21:00:00 1985', 'Sep 27 20:59:59 1985', 'Apr 20 00:00:00 1985', 'Sep 27 23:59:59 1985');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 27 21:00:00 1985', 'Mar 29 23:59:59 1986', 'Sep 27 23:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 30 00:00:00 1986', 'Sep 27 23:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 28 00:00:00 1986', 'Mar 28 23:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 29 00:00:00 1987', 'Sep 26 23:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 27 00:00:00 1987', 'Mar 26 23:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 27 00:00:00 1988', 'Sep 24 23:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 25 00:00:00 1988', 'Mar 25 23:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 26 00:00:00 1989', 'Sep 23 23:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 25 00:00:00 1990', 'Sep 29 23:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 30 00:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 02:59:59 1991');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 04:00:00 1991', 'Sep 29 03:59:59 1991');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 03:00:00 1991', 'Mar 29 02:59:59 1992');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 04:00:00 1992', 'Sep 27 03:59:59 1992');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 03:00:00 1992', 'Mar 28 02:59:59 1993');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 04:00:00 1993', 'Sep 26 03:59:59 1993');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 03:00:00 1993', 'Mar 27 02:59:59 1994');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 04:00:00 1994', 'Sep 25 03:59:59 1994');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 04:00:00 1995', 'Sep 24 03:59:59 1995');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 04:00:00 1996', 'Oct 27 03:59:59 1996');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 04:00:00 1997', 'Oct 26 03:59:59 1997');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 04:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Asia/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Asia/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Asia/Jakarta
--

begin
timezone.add_rule('Asia/Jakarta', 'JAVT', 0, 25632, 'Dec 14 20:45:52 1901', 'Dec 31 17:05:47 1923', 'Dec 15 03:53:04 1901', 'Jan 1 00:12:59 1924');
timezone.add_rule('Asia/Jakarta', 'JAVT', 0, 26400, 'Dec 31 17:05:48 1923', 'Oct 31 16:39:59 1932', 'Jan 1 00:25:48 1924', 'Oct 31 23:59:59 1932');
timezone.add_rule('Asia/Jakarta', 'JAVT', 0, 27000, 'Oct 31 16:40:00 1932', 'Mar 22 16:29:59 1942', 'Nov 1 00:10:00 1932', 'Mar 22 23:59:59 1942');
timezone.add_rule('Asia/Jakarta', 'JAVT', 0, 32400, 'Mar 22 16:30:00 1942', 'Jul 31 14:59:59 1945', 'Mar 23 01:30:00 1942', 'Jul 31 23:59:59 1945');
timezone.add_rule('Asia/Jakarta', 'JAVT', 0, 27000, 'Jul 31 15:00:00 1945', 'Apr 30 16:29:59 1948', 'Jul 31 22:30:00 1945', 'Apr 30 23:59:59 1948');
timezone.add_rule('Asia/Jakarta', 'JAVT', 0, 28800, 'Apr 30 16:30:00 1948', 'Apr 30 15:59:59 1950', 'May 1 00:30:00 1948', 'Apr 30 23:59:59 1950');
timezone.add_rule('Asia/Jakarta', 'JAVT', 0, 27000, 'Apr 30 16:00:00 1950', 'Dec 31 16:29:59 1963', 'Apr 30 23:30:00 1950', 'Dec 31 23:59:59 1963');
timezone.add_rule('Asia/Jakarta', 'JAVT', 0, 25200, 'Dec 31 16:30:00 1963', 'Jan 18 03:14:07 2038', 'Dec 31 23:30:00 1963', 'Jan 18 10:14:07 2038');
end;
/

--
-- Asia/Jayapura
--

begin
timezone.add_rule('Asia/Jayapura', 'JAYT', 0, 33768, 'Dec 14 20:45:52 1901', 'Oct 31 14:37:11 1932', 'Dec 15 06:08:40 1901', 'Oct 31 23:59:59 1932');
timezone.add_rule('Asia/Jayapura', 'JAYT', 0, 32400, 'Oct 31 14:37:12 1932', 'Dec 31 14:59:59 1943', 'Oct 31 23:37:12 1932', 'Dec 31 23:59:59 1943');
timezone.add_rule('Asia/Jayapura', 'JAYT', 0, 34200, 'Dec 31 15:00:00 1943', 'Dec 31 14:29:59 1963', 'Jan 1 00:30:00 1944', 'Dec 31 23:59:59 1963');
timezone.add_rule('Asia/Jayapura', 'JAYT', 0, 32400, 'Dec 31 14:30:00 1963', 'Jan 18 03:14:07 2038', 'Dec 31 23:30:00 1963', 'Jan 18 12:14:07 2038');
end;
/

--
-- Asia/Jerusalem
--

begin
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 8440, 'Dec 14 20:45:52 1901', 'Dec 31 21:39:19 1917', 'Dec 14 23:06:32 1901', 'Dec 31 23:59:59 1917');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Dec 31 21:39:20 1917', 'May 31 21:59:59 1940', 'Dec 31 23:39:20 1917', 'May 31 23:59:59 1940');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'May 31 22:00:00 1940', 'Oct 31 20:59:59 1942', 'Jun 1 01:00:00 1940', 'Oct 31 23:59:59 1942');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Oct 31 21:00:00 1942', 'Mar 31 23:59:59 1943', 'Oct 31 23:00:00 1942', 'Apr 1 01:59:59 1943');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 1 00:00:00 1943', 'Oct 31 20:59:59 1943', 'Apr 1 03:00:00 1943', 'Oct 31 23:59:59 1943');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Oct 31 21:00:00 1943', 'Mar 31 21:59:59 1944', 'Oct 31 23:00:00 1943', 'Mar 31 23:59:59 1944');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 31 22:00:00 1944', 'Oct 31 20:59:59 1944', 'Apr 1 01:00:00 1944', 'Oct 31 23:59:59 1944');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Oct 31 21:00:00 1944', 'Apr 15 21:59:59 1945', 'Oct 31 23:00:00 1944', 'Apr 15 23:59:59 1945');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 15 22:00:00 1945', 'Oct 31 22:59:59 1945', 'Apr 16 01:00:00 1945', 'Nov 1 01:59:59 1945');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Oct 31 23:00:00 1945', 'Apr 15 23:59:59 1946', 'Nov 1 01:00:00 1945', 'Apr 16 01:59:59 1946');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 16 00:00:00 1946', 'Oct 31 20:59:59 1946', 'Apr 16 03:00:00 1946', 'Oct 31 23:59:59 1946');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Oct 31 21:00:00 1946', 'May 22 21:59:59 1948', 'Oct 31 23:00:00 1946', 'May 22 23:59:59 1948');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 14400, 'May 22 22:00:00 1948', 'Aug 31 19:59:59 1948', 'May 23 02:00:00 1948', 'Aug 31 23:59:59 1948');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Aug 31 20:00:00 1948', 'Oct 31 22:59:59 1948', 'Aug 31 23:00:00 1948', 'Nov 1 01:59:59 1948');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Oct 31 23:00:00 1948', 'Apr 30 21:59:59 1949', 'Nov 1 01:00:00 1948', 'Apr 30 23:59:59 1949');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 30 22:00:00 1949', 'Oct 31 22:59:59 1949', 'May 1 01:00:00 1949', 'Nov 1 01:59:59 1949');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Oct 31 23:00:00 1949', 'Apr 15 21:59:59 1950', 'Nov 1 01:00:00 1949', 'Apr 15 23:59:59 1950');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 15 22:00:00 1950', 'Sep 14 23:59:59 1950', 'Apr 16 01:00:00 1950', 'Sep 15 02:59:59 1950');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 15 00:00:00 1950', 'Mar 31 21:59:59 1951', 'Sep 15 02:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 31 22:00:00 1951', 'Nov 10 23:59:59 1951', 'Apr 1 01:00:00 1951', 'Nov 11 02:59:59 1951');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Nov 11 00:00:00 1951', 'Apr 19 23:59:59 1952', 'Nov 11 02:00:00 1951', 'Apr 20 01:59:59 1952');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 20 00:00:00 1952', 'Oct 18 23:59:59 1952', 'Apr 20 03:00:00 1952', 'Oct 19 02:59:59 1952');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Oct 19 00:00:00 1952', 'Apr 11 23:59:59 1953', 'Oct 19 02:00:00 1952', 'Apr 12 01:59:59 1953');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 12 00:00:00 1953', 'Sep 12 23:59:59 1953', 'Apr 12 03:00:00 1953', 'Sep 13 02:59:59 1953');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 13 00:00:00 1953', 'Jun 12 21:59:59 1954', 'Sep 13 02:00:00 1953', 'Jun 12 23:59:59 1954');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Jun 12 22:00:00 1954', 'Sep 11 20:59:59 1954', 'Jun 13 01:00:00 1954', 'Sep 11 23:59:59 1954');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 11 21:00:00 1954', 'Jun 10 23:59:59 1955', 'Sep 11 23:00:00 1954', 'Jun 11 01:59:59 1955');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Jun 11 00:00:00 1955', 'Sep 10 20:59:59 1955', 'Jun 11 03:00:00 1955', 'Sep 10 23:59:59 1955');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 10 21:00:00 1955', 'Jun 2 21:59:59 1956', 'Sep 10 23:00:00 1955', 'Jun 2 23:59:59 1956');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Jun 2 22:00:00 1956', 'Sep 29 23:59:59 1956', 'Jun 3 01:00:00 1956', 'Sep 30 02:59:59 1956');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 30 00:00:00 1956', 'Apr 28 23:59:59 1957', 'Sep 30 02:00:00 1956', 'Apr 29 01:59:59 1957');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 29 00:00:00 1957', 'Sep 21 20:59:59 1957', 'Apr 29 03:00:00 1957', 'Sep 21 23:59:59 1957');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 21 21:00:00 1957', 'Jul 6 21:59:59 1974', 'Sep 21 23:00:00 1957', 'Jul 6 23:59:59 1974');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Jul 6 22:00:00 1974', 'Oct 12 20:59:59 1974', 'Jul 7 01:00:00 1974', 'Oct 12 23:59:59 1974');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Oct 12 21:00:00 1974', 'Apr 19 21:59:59 1975', 'Oct 12 23:00:00 1974', 'Apr 19 23:59:59 1975');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 19 22:00:00 1975', 'Aug 30 20:59:59 1975', 'Apr 20 01:00:00 1975', 'Aug 30 23:59:59 1975');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 30 21:00:00 1975', 'Apr 13 21:59:59 1985', 'Aug 30 23:00:00 1975', 'Apr 13 23:59:59 1985');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 13 22:00:00 1985', 'Sep 14 20:59:59 1985', 'Apr 14 01:00:00 1985', 'Sep 14 23:59:59 1985');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 14 21:00:00 1985', 'May 17 21:59:59 1986', 'Sep 14 23:00:00 1985', 'May 17 23:59:59 1986');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'May 17 22:00:00 1986', 'Sep 6 20:59:59 1986', 'May 18 01:00:00 1986', 'Sep 6 23:59:59 1986');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 6 21:00:00 1986', 'Apr 14 21:59:59 1987', 'Sep 6 23:00:00 1986', 'Apr 14 23:59:59 1987');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 14 22:00:00 1987', 'Sep 12 20:59:59 1987', 'Apr 15 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 12 21:00:00 1987', 'Apr 8 21:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 8 23:59:59 1988');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 8 22:00:00 1988', 'Sep 2 20:59:59 1988', 'Apr 9 01:00:00 1988', 'Sep 2 23:59:59 1988');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 2 21:00:00 1988', 'Apr 29 21:59:59 1989', 'Sep 2 23:00:00 1988', 'Apr 29 23:59:59 1989');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 29 22:00:00 1989', 'Sep 2 20:59:59 1989', 'Apr 30 01:00:00 1989', 'Sep 2 23:59:59 1989');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 2 21:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 2 23:00:00 1989', 'Mar 24 23:59:59 1990');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 24 22:00:00 1990', 'Aug 25 20:59:59 1990', 'Mar 25 01:00:00 1990', 'Aug 25 23:59:59 1990');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 25 21:00:00 1990', 'Mar 23 21:59:59 1991', 'Aug 25 23:00:00 1990', 'Mar 23 23:59:59 1991');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 23 22:00:00 1991', 'Aug 31 20:59:59 1991', 'Mar 24 01:00:00 1991', 'Aug 31 23:59:59 1991');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 31 21:00:00 1991', 'Mar 28 21:59:59 1992', 'Aug 31 23:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 28 22:00:00 1992', 'Sep 5 20:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 5 23:59:59 1992');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 5 21:00:00 1992', 'Apr 1 21:59:59 1993', 'Sep 5 23:00:00 1992', 'Apr 1 23:59:59 1993');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 1 22:00:00 1993', 'Sep 4 20:59:59 1993', 'Apr 2 01:00:00 1993', 'Sep 4 23:59:59 1993');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 4 21:00:00 1993', 'Mar 31 21:59:59 1994', 'Sep 4 23:00:00 1993', 'Mar 31 23:59:59 1994');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 31 22:00:00 1994', 'Aug 27 20:59:59 1994', 'Apr 1 01:00:00 1994', 'Aug 27 23:59:59 1994');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 27 21:00:00 1994', 'Mar 30 21:59:59 1995', 'Aug 27 23:00:00 1994', 'Mar 30 23:59:59 1995');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 30 22:00:00 1995', 'Sep 2 20:59:59 1995', 'Mar 31 01:00:00 1995', 'Sep 2 23:59:59 1995');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 2 21:00:00 1995', 'Mar 14 21:59:59 1996', 'Sep 2 23:00:00 1995', 'Mar 14 23:59:59 1996');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 14 22:00:00 1996', 'Sep 15 20:59:59 1996', 'Mar 15 01:00:00 1996', 'Sep 15 23:59:59 1996');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 15 21:00:00 1996', 'Mar 20 21:59:59 1997', 'Sep 15 23:00:00 1996', 'Mar 20 23:59:59 1997');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 20 22:00:00 1997', 'Sep 13 20:59:59 1997', 'Mar 21 01:00:00 1997', 'Sep 13 23:59:59 1997');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 13 21:00:00 1997', 'Mar 19 21:59:59 1998', 'Sep 13 23:00:00 1997', 'Mar 19 23:59:59 1998');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Mar 19 22:00:00 1998', 'Sep 5 20:59:59 1998', 'Mar 20 01:00:00 1998', 'Sep 5 23:59:59 1998');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 5 21:00:00 1998', 'Apr 1 23:59:59 1999', 'Sep 5 23:00:00 1998', 'Apr 2 01:59:59 1999');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 2 00:00:00 1999', 'Sep 2 22:59:59 1999', 'Apr 2 03:00:00 1999', 'Sep 3 01:59:59 1999');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 2 23:00:00 1999', 'Apr 6 23:59:59 2000', 'Sep 3 01:00:00 1999', 'Apr 7 01:59:59 2000');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 7 00:00:00 2000', 'Aug 31 22:59:59 2000', 'Apr 7 03:00:00 2000', 'Sep 1 01:59:59 2000');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 31 23:00:00 2000', 'Apr 5 23:59:59 2001', 'Sep 1 01:00:00 2000', 'Apr 6 01:59:59 2001');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 6 00:00:00 2001', 'Sep 6 22:59:59 2001', 'Apr 6 03:00:00 2001', 'Sep 7 01:59:59 2001');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 6 23:00:00 2001', 'Apr 4 23:59:59 2002', 'Sep 7 01:00:00 2001', 'Apr 5 01:59:59 2002');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 5 00:00:00 2002', 'Sep 5 22:59:59 2002', 'Apr 5 03:00:00 2002', 'Sep 6 01:59:59 2002');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 5 23:00:00 2002', 'Apr 3 23:59:59 2003', 'Sep 6 01:00:00 2002', 'Apr 4 01:59:59 2003');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 4 00:00:00 2003', 'Sep 4 22:59:59 2003', 'Apr 4 03:00:00 2003', 'Sep 5 01:59:59 2003');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 4 23:00:00 2003', 'Apr 1 23:59:59 2004', 'Sep 5 01:00:00 2003', 'Apr 2 01:59:59 2004');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 2 00:00:00 2004', 'Sep 2 22:59:59 2004', 'Apr 2 03:00:00 2004', 'Sep 3 01:59:59 2004');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 2 23:00:00 2004', 'Mar 31 23:59:59 2005', 'Sep 3 01:00:00 2004', 'Apr 1 01:59:59 2005');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 1 00:00:00 2005', 'Sep 1 22:59:59 2005', 'Apr 1 03:00:00 2005', 'Sep 2 01:59:59 2005');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 1 23:00:00 2005', 'Apr 6 23:59:59 2006', 'Sep 2 01:00:00 2005', 'Apr 7 01:59:59 2006');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 7 00:00:00 2006', 'Aug 31 22:59:59 2006', 'Apr 7 03:00:00 2006', 'Sep 1 01:59:59 2006');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 31 23:00:00 2006', 'Apr 5 23:59:59 2007', 'Sep 1 01:00:00 2006', 'Apr 6 01:59:59 2007');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 6 00:00:00 2007', 'Sep 6 22:59:59 2007', 'Apr 6 03:00:00 2007', 'Sep 7 01:59:59 2007');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 6 23:00:00 2007', 'Apr 3 23:59:59 2008', 'Sep 7 01:00:00 2007', 'Apr 4 01:59:59 2008');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 4 00:00:00 2008', 'Sep 4 22:59:59 2008', 'Apr 4 03:00:00 2008', 'Sep 5 01:59:59 2008');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 4 23:00:00 2008', 'Apr 2 23:59:59 2009', 'Sep 5 01:00:00 2008', 'Apr 3 01:59:59 2009');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 3 00:00:00 2009', 'Sep 3 22:59:59 2009', 'Apr 3 03:00:00 2009', 'Sep 4 01:59:59 2009');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 3 23:00:00 2009', 'Apr 1 23:59:59 2010', 'Sep 4 01:00:00 2009', 'Apr 2 01:59:59 2010');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 2 00:00:00 2010', 'Sep 2 22:59:59 2010', 'Apr 2 03:00:00 2010', 'Sep 3 01:59:59 2010');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 2 23:00:00 2010', 'Mar 31 23:59:59 2011', 'Sep 3 01:00:00 2010', 'Apr 1 01:59:59 2011');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 1 00:00:00 2011', 'Sep 1 22:59:59 2011', 'Apr 1 03:00:00 2011', 'Sep 2 01:59:59 2011');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 1 23:00:00 2011', 'Apr 5 23:59:59 2012', 'Sep 2 01:00:00 2011', 'Apr 6 01:59:59 2012');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 6 00:00:00 2012', 'Sep 6 22:59:59 2012', 'Apr 6 03:00:00 2012', 'Sep 7 01:59:59 2012');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 6 23:00:00 2012', 'Apr 4 23:59:59 2013', 'Sep 7 01:00:00 2012', 'Apr 5 01:59:59 2013');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 5 00:00:00 2013', 'Sep 5 22:59:59 2013', 'Apr 5 03:00:00 2013', 'Sep 6 01:59:59 2013');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 5 23:00:00 2013', 'Apr 3 23:59:59 2014', 'Sep 6 01:00:00 2013', 'Apr 4 01:59:59 2014');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 4 00:00:00 2014', 'Sep 4 22:59:59 2014', 'Apr 4 03:00:00 2014', 'Sep 5 01:59:59 2014');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 4 23:00:00 2014', 'Apr 2 23:59:59 2015', 'Sep 5 01:00:00 2014', 'Apr 3 01:59:59 2015');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 3 00:00:00 2015', 'Sep 3 22:59:59 2015', 'Apr 3 03:00:00 2015', 'Sep 4 01:59:59 2015');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 3 23:00:00 2015', 'Mar 31 23:59:59 2016', 'Sep 4 01:00:00 2015', 'Apr 1 01:59:59 2016');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 1 00:00:00 2016', 'Sep 1 22:59:59 2016', 'Apr 1 03:00:00 2016', 'Sep 2 01:59:59 2016');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 1 23:00:00 2016', 'Apr 6 23:59:59 2017', 'Sep 2 01:00:00 2016', 'Apr 7 01:59:59 2017');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 7 00:00:00 2017', 'Aug 31 22:59:59 2017', 'Apr 7 03:00:00 2017', 'Sep 1 01:59:59 2017');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 31 23:00:00 2017', 'Apr 5 23:59:59 2018', 'Sep 1 01:00:00 2017', 'Apr 6 01:59:59 2018');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 6 00:00:00 2018', 'Sep 6 22:59:59 2018', 'Apr 6 03:00:00 2018', 'Sep 7 01:59:59 2018');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 6 23:00:00 2018', 'Apr 4 23:59:59 2019', 'Sep 7 01:00:00 2018', 'Apr 5 01:59:59 2019');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 5 00:00:00 2019', 'Sep 5 22:59:59 2019', 'Apr 5 03:00:00 2019', 'Sep 6 01:59:59 2019');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 5 23:00:00 2019', 'Apr 2 23:59:59 2020', 'Sep 6 01:00:00 2019', 'Apr 3 01:59:59 2020');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 3 00:00:00 2020', 'Sep 3 22:59:59 2020', 'Apr 3 03:00:00 2020', 'Sep 4 01:59:59 2020');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 3 23:00:00 2020', 'Apr 1 23:59:59 2021', 'Sep 4 01:00:00 2020', 'Apr 2 01:59:59 2021');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 2 00:00:00 2021', 'Sep 2 22:59:59 2021', 'Apr 2 03:00:00 2021', 'Sep 3 01:59:59 2021');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 2 23:00:00 2021', 'Mar 31 23:59:59 2022', 'Sep 3 01:00:00 2021', 'Apr 1 01:59:59 2022');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 1 00:00:00 2022', 'Sep 1 22:59:59 2022', 'Apr 1 03:00:00 2022', 'Sep 2 01:59:59 2022');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 1 23:00:00 2022', 'Apr 6 23:59:59 2023', 'Sep 2 01:00:00 2022', 'Apr 7 01:59:59 2023');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 7 00:00:00 2023', 'Aug 31 22:59:59 2023', 'Apr 7 03:00:00 2023', 'Sep 1 01:59:59 2023');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 31 23:00:00 2023', 'Apr 4 23:59:59 2024', 'Sep 1 01:00:00 2023', 'Apr 5 01:59:59 2024');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 5 00:00:00 2024', 'Sep 5 22:59:59 2024', 'Apr 5 03:00:00 2024', 'Sep 6 01:59:59 2024');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 5 23:00:00 2024', 'Apr 3 23:59:59 2025', 'Sep 6 01:00:00 2024', 'Apr 4 01:59:59 2025');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 4 00:00:00 2025', 'Sep 4 22:59:59 2025', 'Apr 4 03:00:00 2025', 'Sep 5 01:59:59 2025');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 4 23:00:00 2025', 'Apr 2 23:59:59 2026', 'Sep 5 01:00:00 2025', 'Apr 3 01:59:59 2026');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 3 00:00:00 2026', 'Sep 3 22:59:59 2026', 'Apr 3 03:00:00 2026', 'Sep 4 01:59:59 2026');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 3 23:00:00 2026', 'Apr 1 23:59:59 2027', 'Sep 4 01:00:00 2026', 'Apr 2 01:59:59 2027');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 2 00:00:00 2027', 'Sep 2 22:59:59 2027', 'Apr 2 03:00:00 2027', 'Sep 3 01:59:59 2027');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 2 23:00:00 2027', 'Apr 6 23:59:59 2028', 'Sep 3 01:00:00 2027', 'Apr 7 01:59:59 2028');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 7 00:00:00 2028', 'Aug 31 22:59:59 2028', 'Apr 7 03:00:00 2028', 'Sep 1 01:59:59 2028');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 31 23:00:00 2028', 'Apr 5 23:59:59 2029', 'Sep 1 01:00:00 2028', 'Apr 6 01:59:59 2029');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 6 00:00:00 2029', 'Sep 6 22:59:59 2029', 'Apr 6 03:00:00 2029', 'Sep 7 01:59:59 2029');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 6 23:00:00 2029', 'Apr 4 23:59:59 2030', 'Sep 7 01:00:00 2029', 'Apr 5 01:59:59 2030');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 5 00:00:00 2030', 'Sep 5 22:59:59 2030', 'Apr 5 03:00:00 2030', 'Sep 6 01:59:59 2030');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 5 23:00:00 2030', 'Apr 3 23:59:59 2031', 'Sep 6 01:00:00 2030', 'Apr 4 01:59:59 2031');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 4 00:00:00 2031', 'Sep 4 22:59:59 2031', 'Apr 4 03:00:00 2031', 'Sep 5 01:59:59 2031');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 4 23:00:00 2031', 'Apr 1 23:59:59 2032', 'Sep 5 01:00:00 2031', 'Apr 2 01:59:59 2032');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 2 00:00:00 2032', 'Sep 2 22:59:59 2032', 'Apr 2 03:00:00 2032', 'Sep 3 01:59:59 2032');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 2 23:00:00 2032', 'Mar 31 23:59:59 2033', 'Sep 3 01:00:00 2032', 'Apr 1 01:59:59 2033');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 1 00:00:00 2033', 'Sep 1 22:59:59 2033', 'Apr 1 03:00:00 2033', 'Sep 2 01:59:59 2033');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 1 23:00:00 2033', 'Apr 6 23:59:59 2034', 'Sep 2 01:00:00 2033', 'Apr 7 01:59:59 2034');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 7 00:00:00 2034', 'Aug 31 22:59:59 2034', 'Apr 7 03:00:00 2034', 'Sep 1 01:59:59 2034');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Aug 31 23:00:00 2034', 'Apr 5 23:59:59 2035', 'Sep 1 01:00:00 2034', 'Apr 6 01:59:59 2035');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 6 00:00:00 2035', 'Sep 6 22:59:59 2035', 'Apr 6 03:00:00 2035', 'Sep 7 01:59:59 2035');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 6 23:00:00 2035', 'Apr 3 23:59:59 2036', 'Sep 7 01:00:00 2035', 'Apr 4 01:59:59 2036');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 4 00:00:00 2036', 'Sep 4 22:59:59 2036', 'Apr 4 03:00:00 2036', 'Sep 5 01:59:59 2036');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 4 23:00:00 2036', 'Apr 2 23:59:59 2037', 'Sep 5 01:00:00 2036', 'Apr 3 01:59:59 2037');
timezone.add_rule('Asia/Jerusalem', 'IDT', 1, 10800, 'Apr 3 00:00:00 2037', 'Sep 3 22:59:59 2037', 'Apr 3 03:00:00 2037', 'Sep 4 01:59:59 2037');
timezone.add_rule('Asia/Jerusalem', 'IST', 0, 7200, 'Sep 3 23:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 4 01:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Asia/Kabul
--

begin
timezone.add_rule('Asia/Kabul', 'AFT', 0, 14400, 'Dec 14 20:45:52 1901', 'Dec 31 19:59:59 1944', 'Dec 15 00:45:52 1901', 'Dec 31 23:59:59 1944');
timezone.add_rule('Asia/Kabul', 'AFT', 0, 16200, 'Dec 31 20:00:00 1944', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1945', 'Jan 18 07:44:07 2038');
end;
/

--
-- Asia/Kamchatka
--

begin
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 38076, 'Dec 14 20:45:52 1901', 'May 1 13:25:23 1924', 'Dec 15 07:20:28 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 39600, 'May 1 13:25:24 1924', 'Feb 28 12:59:59 1957', 'May 2 00:25:24 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Feb 28 13:00:00 1957', 'Mar 31 11:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 31 12:00:00 1981', 'Sep 30 10:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 30 11:00:00 1981', 'Mar 31 11:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 31 12:00:00 1982', 'Sep 30 10:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 30 11:00:00 1982', 'Mar 31 11:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 31 12:00:00 1983', 'Sep 30 10:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 30 11:00:00 1983', 'Mar 31 11:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 31 12:00:00 1984', 'Sep 29 13:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 29 14:00:00 1984', 'Mar 30 13:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 30 14:00:00 1985', 'Sep 28 13:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 28 14:00:00 1985', 'Mar 29 13:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 29 14:00:00 1986', 'Sep 27 13:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 27 14:00:00 1986', 'Mar 28 13:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 28 14:00:00 1987', 'Sep 26 13:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 26 14:00:00 1987', 'Mar 26 13:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 26 14:00:00 1988', 'Sep 24 13:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 24 14:00:00 1988', 'Mar 25 13:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 25 14:00:00 1989', 'Sep 23 13:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 23 14:00:00 1989', 'Mar 24 13:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 24 14:00:00 1990', 'Sep 29 13:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 29 14:00:00 1990', 'Mar 30 13:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 43200, 'Mar 30 14:00:00 1991', 'Sep 28 14:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 39600, 'Sep 28 15:00:00 1991', 'Jan 18 14:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Jan 18 15:00:00 1992', 'Mar 28 10:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 28 11:00:00 1992', 'Sep 26 09:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 26 10:00:00 1992', 'Mar 27 13:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 27 14:00:00 1993', 'Sep 25 13:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 25 14:00:00 1993', 'Mar 26 13:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 26 14:00:00 1994', 'Sep 24 13:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 24 14:00:00 1994', 'Mar 25 13:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 25 14:00:00 1995', 'Sep 23 13:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Sep 23 14:00:00 1995', 'Mar 30 13:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 30 14:00:00 1996', 'Oct 26 13:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 26 14:00:00 1996', 'Mar 29 13:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 29 14:00:00 1997', 'Oct 25 13:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 25 14:00:00 1997', 'Mar 28 13:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 28 14:00:00 1998', 'Oct 24 13:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 24 14:00:00 1998', 'Mar 27 13:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 27 14:00:00 1999', 'Oct 30 13:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 30 14:00:00 1999', 'Mar 25 13:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 25 14:00:00 2000', 'Oct 28 13:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 28 14:00:00 2000', 'Mar 24 13:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 24 14:00:00 2001', 'Oct 27 13:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 27 14:00:00 2001', 'Mar 30 13:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 30 14:00:00 2002', 'Oct 26 13:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 26 14:00:00 2002', 'Mar 29 13:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 29 14:00:00 2003', 'Oct 25 13:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 25 14:00:00 2003', 'Mar 27 13:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 27 14:00:00 2004', 'Oct 30 13:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 30 14:00:00 2004', 'Mar 26 13:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 26 14:00:00 2005', 'Oct 29 13:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 29 14:00:00 2005', 'Mar 25 13:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 25 14:00:00 2006', 'Oct 28 13:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 28 14:00:00 2006', 'Mar 24 13:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 24 14:00:00 2007', 'Oct 27 13:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 27 14:00:00 2007', 'Mar 29 13:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 29 14:00:00 2008', 'Oct 25 13:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 25 14:00:00 2008', 'Mar 28 13:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 28 14:00:00 2009', 'Oct 24 13:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 24 14:00:00 2009', 'Mar 27 13:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 27 14:00:00 2010', 'Oct 30 13:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 30 14:00:00 2010', 'Mar 26 13:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 26 14:00:00 2011', 'Oct 29 13:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 29 14:00:00 2011', 'Mar 24 13:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 24 14:00:00 2012', 'Oct 27 13:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 27 14:00:00 2012', 'Mar 30 13:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 30 14:00:00 2013', 'Oct 26 13:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 26 14:00:00 2013', 'Mar 29 13:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 29 14:00:00 2014', 'Oct 25 13:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 25 14:00:00 2014', 'Mar 28 13:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 28 14:00:00 2015', 'Oct 24 13:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 24 14:00:00 2015', 'Mar 26 13:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 26 14:00:00 2016', 'Oct 29 13:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 29 14:00:00 2016', 'Mar 25 13:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 25 14:00:00 2017', 'Oct 28 13:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 28 14:00:00 2017', 'Mar 24 13:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 24 14:00:00 2018', 'Oct 27 13:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 27 14:00:00 2018', 'Mar 30 13:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 30 14:00:00 2019', 'Oct 26 13:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 26 14:00:00 2019', 'Mar 28 13:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 28 14:00:00 2020', 'Oct 24 13:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 24 14:00:00 2020', 'Mar 27 13:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 27 14:00:00 2021', 'Oct 30 13:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 30 14:00:00 2021', 'Mar 26 13:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 26 14:00:00 2022', 'Oct 29 13:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 29 14:00:00 2022', 'Mar 25 13:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 25 14:00:00 2023', 'Oct 28 13:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 28 14:00:00 2023', 'Mar 30 13:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 30 14:00:00 2024', 'Oct 26 13:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 26 14:00:00 2024', 'Mar 29 13:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 29 14:00:00 2025', 'Oct 25 13:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 25 14:00:00 2025', 'Mar 28 13:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 28 14:00:00 2026', 'Oct 24 13:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 24 14:00:00 2026', 'Mar 27 13:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 27 14:00:00 2027', 'Oct 30 13:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 30 14:00:00 2027', 'Mar 25 13:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 25 14:00:00 2028', 'Oct 28 13:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 28 14:00:00 2028', 'Mar 24 13:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 24 14:00:00 2029', 'Oct 27 13:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 27 14:00:00 2029', 'Mar 30 13:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 30 14:00:00 2030', 'Oct 26 13:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 26 14:00:00 2030', 'Mar 29 13:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 29 14:00:00 2031', 'Oct 25 13:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 25 14:00:00 2031', 'Mar 27 13:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 27 14:00:00 2032', 'Oct 30 13:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 30 14:00:00 2032', 'Mar 26 13:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 26 14:00:00 2033', 'Oct 29 13:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 29 14:00:00 2033', 'Mar 25 13:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 25 14:00:00 2034', 'Oct 28 13:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 28 14:00:00 2034', 'Mar 24 13:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 24 14:00:00 2035', 'Oct 27 13:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 27 14:00:00 2035', 'Mar 29 13:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 29 14:00:00 2036', 'Oct 25 13:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 25 14:00:00 2036', 'Mar 28 13:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Kamchatka', 'PETST', 1, 46800, 'Mar 28 14:00:00 2037', 'Oct 24 13:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Kamchatka', 'PETT', 0, 43200, 'Oct 24 14:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 15:14:07 2038');
end;
/

--
-- Asia/Karachi
--

begin
timezone.add_rule('Asia/Karachi', 'PKT', 0, 16092, 'Dec 14 20:45:52 1901', 'Dec 31 19:31:47 1906', 'Dec 15 01:14:04 1901', 'Dec 31 23:59:59 1906');
timezone.add_rule('Asia/Karachi', 'PKT', 0, 19800, 'Dec 31 19:31:48 1906', 'Aug 31 18:29:59 1942', 'Jan 1 01:01:48 1907', 'Aug 31 23:59:59 1942');
timezone.add_rule('Asia/Karachi', 'IST', 1, 23400, 'Aug 31 18:30:00 1942', 'Oct 14 17:29:59 1945', 'Sep 1 01:00:00 1942', 'Oct 14 23:59:59 1945');
timezone.add_rule('Asia/Karachi', 'PKT', 0, 19800, 'Oct 14 17:30:00 1945', 'Sep 29 18:29:59 1951', 'Oct 14 23:00:00 1945', 'Sep 29 23:59:59 1951');
timezone.add_rule('Asia/Karachi', 'PKT', 0, 18000, 'Sep 29 18:30:00 1951', 'Jan 18 03:14:07 2038', 'Sep 29 23:30:00 1951', 'Jan 18 08:14:07 2038');
end;
/

--
-- Asia/Kashgar
--

begin
timezone.add_rule('Asia/Kashgar', 'CST', 0, 18236, 'Dec 14 20:45:52 1901', 'Dec 31 18:56:03 1927', 'Dec 15 01:49:48 1901', 'Dec 31 23:59:59 1927');
timezone.add_rule('Asia/Kashgar', 'CST', 0, 19800, 'Dec 31 18:56:04 1927', 'Dec 31 18:29:59 1939', 'Jan 1 00:26:04 1928', 'Dec 31 23:59:59 1939');
timezone.add_rule('Asia/Kashgar', 'CST', 0, 18000, 'Dec 31 18:30:00 1939', 'Apr 30 18:59:59 1980', 'Dec 31 23:30:00 1939', 'Apr 30 23:59:59 1980');
timezone.add_rule('Asia/Kashgar', 'CST', 0, 28800, 'Apr 30 19:00:00 1980', 'May 3 15:59:59 1986', 'May 1 03:00:00 1980', 'May 3 23:59:59 1986');
timezone.add_rule('Asia/Kashgar', 'CDT', 1, 32400, 'May 3 16:00:00 1986', 'Sep 13 14:59:59 1986', 'May 4 01:00:00 1986', 'Sep 13 23:59:59 1986');
timezone.add_rule('Asia/Kashgar', 'CST', 0, 28800, 'Sep 13 15:00:00 1986', 'Apr 11 15:59:59 1987', 'Sep 13 23:00:00 1986', 'Apr 11 23:59:59 1987');
timezone.add_rule('Asia/Kashgar', 'CDT', 1, 32400, 'Apr 11 16:00:00 1987', 'Sep 12 14:59:59 1987', 'Apr 12 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Asia/Kashgar', 'CST', 0, 28800, 'Sep 12 15:00:00 1987', 'Apr 9 15:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 9 23:59:59 1988');
timezone.add_rule('Asia/Kashgar', 'CDT', 1, 32400, 'Apr 9 16:00:00 1988', 'Sep 10 14:59:59 1988', 'Apr 10 01:00:00 1988', 'Sep 10 23:59:59 1988');
timezone.add_rule('Asia/Kashgar', 'CST', 0, 28800, 'Sep 10 15:00:00 1988', 'Apr 15 15:59:59 1989', 'Sep 10 23:00:00 1988', 'Apr 15 23:59:59 1989');
timezone.add_rule('Asia/Kashgar', 'CDT', 1, 32400, 'Apr 15 16:00:00 1989', 'Sep 16 14:59:59 1989', 'Apr 16 01:00:00 1989', 'Sep 16 23:59:59 1989');
timezone.add_rule('Asia/Kashgar', 'CST', 0, 28800, 'Sep 16 15:00:00 1989', 'Apr 14 15:59:59 1990', 'Sep 16 23:00:00 1989', 'Apr 14 23:59:59 1990');
timezone.add_rule('Asia/Kashgar', 'CDT', 1, 32400, 'Apr 14 16:00:00 1990', 'Sep 15 14:59:59 1990', 'Apr 15 01:00:00 1990', 'Sep 15 23:59:59 1990');
timezone.add_rule('Asia/Kashgar', 'CST', 0, 28800, 'Sep 15 15:00:00 1990', 'Apr 13 15:59:59 1991', 'Sep 15 23:00:00 1990', 'Apr 13 23:59:59 1991');
timezone.add_rule('Asia/Kashgar', 'CDT', 1, 32400, 'Apr 13 16:00:00 1991', 'Sep 14 14:59:59 1991', 'Apr 14 01:00:00 1991', 'Sep 14 23:59:59 1991');
timezone.add_rule('Asia/Kashgar', 'CST', 0, 28800, 'Sep 14 15:00:00 1991', 'Jan 18 03:14:07 2038', 'Sep 14 23:00:00 1991', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Katmandu
--

begin
timezone.add_rule('Asia/Katmandu', 'NPT', 0, 20476, 'Dec 14 20:45:52 1901', 'Dec 31 18:18:43 1919', 'Dec 15 02:27:08 1901', 'Dec 31 23:59:59 1919');
timezone.add_rule('Asia/Katmandu', 'NPT', 0, 19800, 'Dec 31 18:18:44 1919', 'Dec 31 18:29:59 1985', 'Dec 31 23:48:44 1919', 'Dec 31 23:59:59 1985');
timezone.add_rule('Asia/Katmandu', 'NPT', 0, 20700, 'Dec 31 18:30:00 1985', 'Jan 18 03:14:07 2038', 'Jan 1 00:15:00 1986', 'Jan 18 08:59:07 2038');
end;
/

--
-- Asia/Krasnoyarsk
--

begin
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 22280, 'Dec 14 20:45:52 1901', 'May 1 17:48:39 1924', 'Dec 15 02:57:12 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 21600, 'May 1 17:48:40 1924', 'Feb 28 17:59:59 1957', 'May 1 23:48:40 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Feb 28 18:00:00 1957', 'Mar 31 16:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 31 17:00:00 1981', 'Sep 30 15:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 30 16:00:00 1981', 'Mar 31 16:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 31 17:00:00 1982', 'Sep 30 15:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 30 16:00:00 1982', 'Mar 31 16:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 31 17:00:00 1983', 'Sep 30 15:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 30 16:00:00 1983', 'Mar 31 16:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 31 17:00:00 1984', 'Sep 29 18:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 29 19:00:00 1984', 'Mar 30 18:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 30 19:00:00 1985', 'Sep 28 18:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 28 19:00:00 1985', 'Mar 29 18:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 29 19:00:00 1986', 'Sep 27 18:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 27 19:00:00 1986', 'Mar 28 18:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 28 19:00:00 1987', 'Sep 26 18:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 26 19:00:00 1987', 'Mar 26 18:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 26 19:00:00 1988', 'Sep 24 18:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 24 19:00:00 1988', 'Mar 25 18:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 25 19:00:00 1989', 'Sep 23 18:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 23 19:00:00 1989', 'Mar 24 18:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 24 19:00:00 1990', 'Sep 29 18:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 29 19:00:00 1990', 'Mar 30 18:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 25200, 'Mar 30 19:00:00 1991', 'Sep 28 19:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 21600, 'Sep 28 20:00:00 1991', 'Jan 18 19:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Jan 18 20:00:00 1992', 'Mar 28 15:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 28 16:00:00 1992', 'Sep 26 14:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 26 15:00:00 1992', 'Mar 27 18:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 27 19:00:00 1993', 'Sep 25 18:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 25 19:00:00 1993', 'Mar 26 18:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 26 19:00:00 1994', 'Sep 24 18:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 24 19:00:00 1994', 'Mar 25 18:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 25 19:00:00 1995', 'Sep 23 18:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Sep 23 19:00:00 1995', 'Mar 30 18:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 30 19:00:00 1996', 'Oct 26 18:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 26 19:00:00 1996', 'Mar 29 18:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 29 19:00:00 1997', 'Oct 25 18:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 25 19:00:00 1997', 'Mar 28 18:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 28 19:00:00 1998', 'Oct 24 18:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 24 19:00:00 1998', 'Mar 27 18:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 27 19:00:00 1999', 'Oct 30 18:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 30 19:00:00 1999', 'Mar 25 18:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 25 19:00:00 2000', 'Oct 28 18:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 28 19:00:00 2000', 'Mar 24 18:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 24 19:00:00 2001', 'Oct 27 18:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 27 19:00:00 2001', 'Mar 30 18:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 30 19:00:00 2002', 'Oct 26 18:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 26 19:00:00 2002', 'Mar 29 18:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 29 19:00:00 2003', 'Oct 25 18:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 25 19:00:00 2003', 'Mar 27 18:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 27 19:00:00 2004', 'Oct 30 18:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 30 19:00:00 2004', 'Mar 26 18:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 26 19:00:00 2005', 'Oct 29 18:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 29 19:00:00 2005', 'Mar 25 18:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 25 19:00:00 2006', 'Oct 28 18:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 28 19:00:00 2006', 'Mar 24 18:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 24 19:00:00 2007', 'Oct 27 18:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 27 19:00:00 2007', 'Mar 29 18:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 29 19:00:00 2008', 'Oct 25 18:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 25 19:00:00 2008', 'Mar 28 18:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 28 19:00:00 2009', 'Oct 24 18:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 24 19:00:00 2009', 'Mar 27 18:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 27 19:00:00 2010', 'Oct 30 18:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 30 19:00:00 2010', 'Mar 26 18:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 26 19:00:00 2011', 'Oct 29 18:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 29 19:00:00 2011', 'Mar 24 18:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 24 19:00:00 2012', 'Oct 27 18:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 27 19:00:00 2012', 'Mar 30 18:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 30 19:00:00 2013', 'Oct 26 18:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 26 19:00:00 2013', 'Mar 29 18:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 29 19:00:00 2014', 'Oct 25 18:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 25 19:00:00 2014', 'Mar 28 18:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 28 19:00:00 2015', 'Oct 24 18:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 24 19:00:00 2015', 'Mar 26 18:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 26 19:00:00 2016', 'Oct 29 18:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 29 19:00:00 2016', 'Mar 25 18:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 25 19:00:00 2017', 'Oct 28 18:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 28 19:00:00 2017', 'Mar 24 18:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 24 19:00:00 2018', 'Oct 27 18:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 27 19:00:00 2018', 'Mar 30 18:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 30 19:00:00 2019', 'Oct 26 18:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 26 19:00:00 2019', 'Mar 28 18:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 28 19:00:00 2020', 'Oct 24 18:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 24 19:00:00 2020', 'Mar 27 18:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 27 19:00:00 2021', 'Oct 30 18:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 30 19:00:00 2021', 'Mar 26 18:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 26 19:00:00 2022', 'Oct 29 18:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 29 19:00:00 2022', 'Mar 25 18:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 25 19:00:00 2023', 'Oct 28 18:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 28 19:00:00 2023', 'Mar 30 18:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 30 19:00:00 2024', 'Oct 26 18:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 26 19:00:00 2024', 'Mar 29 18:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 29 19:00:00 2025', 'Oct 25 18:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 25 19:00:00 2025', 'Mar 28 18:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 28 19:00:00 2026', 'Oct 24 18:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 24 19:00:00 2026', 'Mar 27 18:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 27 19:00:00 2027', 'Oct 30 18:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 30 19:00:00 2027', 'Mar 25 18:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 25 19:00:00 2028', 'Oct 28 18:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 28 19:00:00 2028', 'Mar 24 18:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 24 19:00:00 2029', 'Oct 27 18:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 27 19:00:00 2029', 'Mar 30 18:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 30 19:00:00 2030', 'Oct 26 18:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 26 19:00:00 2030', 'Mar 29 18:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 29 19:00:00 2031', 'Oct 25 18:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 25 19:00:00 2031', 'Mar 27 18:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 27 19:00:00 2032', 'Oct 30 18:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 30 19:00:00 2032', 'Mar 26 18:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 26 19:00:00 2033', 'Oct 29 18:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 29 19:00:00 2033', 'Mar 25 18:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 25 19:00:00 2034', 'Oct 28 18:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 28 19:00:00 2034', 'Mar 24 18:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 24 19:00:00 2035', 'Oct 27 18:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 27 19:00:00 2035', 'Mar 29 18:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 29 19:00:00 2036', 'Oct 25 18:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 25 19:00:00 2036', 'Mar 28 18:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAST', 1, 28800, 'Mar 28 19:00:00 2037', 'Oct 24 18:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Krasnoyarsk', 'KRAT', 0, 25200, 'Oct 24 19:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 10:14:07 2038');
end;
/

--
-- Asia/Kuala_Lumpur
--

begin
timezone.add_rule('Asia/Kuala_Lumpur', 'MYT', 0, 24924, 'Dec 14 20:45:52 1901', 'May 31 17:04:35 1905', 'Dec 15 03:41:16 1901', 'May 31 23:59:59 1905');
timezone.add_rule('Asia/Kuala_Lumpur', 'MYT', 0, 25200, 'May 31 17:04:36 1905', 'Dec 31 16:59:59 1932', 'Jun 1 00:04:36 1905', 'Dec 31 23:59:59 1932');
timezone.add_rule('Asia/Kuala_Lumpur', 'MYT', 0, 26400, 'Dec 31 17:00:00 1932', 'Feb 14 16:39:59 1942', 'Jan 1 00:20:00 1933', 'Feb 14 23:59:59 1942');
timezone.add_rule('Asia/Kuala_Lumpur', 'MYT', 0, 32400, 'Feb 14 16:40:00 1942', 'Sep 1 14:59:59 1945', 'Feb 15 01:40:00 1942', 'Sep 1 23:59:59 1945');
timezone.add_rule('Asia/Kuala_Lumpur', 'MYT', 0, 26400, 'Sep 1 15:00:00 1945', 'Dec 31 16:39:59 1949', 'Sep 1 22:20:00 1945', 'Dec 31 23:59:59 1949');
timezone.add_rule('Asia/Kuala_Lumpur', 'MYT', 0, 27000, 'Dec 31 16:40:00 1949', 'Apr 30 16:29:59 1982', 'Jan 1 00:10:00 1950', 'Apr 30 23:59:59 1982');
timezone.add_rule('Asia/Kuala_Lumpur', 'MYT', 0, 28800, 'Apr 30 16:30:00 1982', 'Jan 18 03:14:07 2038', 'May 1 00:30:00 1982', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Kuching
--

begin
timezone.add_rule('Asia/Kuching', 'MYT', 0, 26480, 'Dec 14 20:45:52 1901', 'Feb 28 16:38:39 1926', 'Dec 15 04:07:12 1901', 'Feb 28 23:59:59 1926');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 27000, 'Feb 28 16:38:40 1926', 'Dec 31 16:29:59 1932', 'Mar 1 00:08:40 1926', 'Dec 31 23:59:59 1932');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 28800, 'Dec 31 16:30:00 1932', 'Sep 13 15:59:59 1935', 'Jan 1 00:30:00 1933', 'Sep 13 23:59:59 1935');
timezone.add_rule('Asia/Kuching', 'BORTST', 1, 30000, 'Sep 13 16:00:00 1935', 'Dec 13 15:39:59 1935', 'Sep 14 00:20:00 1935', 'Dec 13 23:59:59 1935');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 28800, 'Dec 13 15:40:00 1935', 'Sep 13 15:59:59 1936', 'Dec 13 23:40:00 1935', 'Sep 13 23:59:59 1936');
timezone.add_rule('Asia/Kuching', 'BORTST', 1, 30000, 'Sep 13 16:00:00 1936', 'Dec 13 15:39:59 1936', 'Sep 14 00:20:00 1936', 'Dec 13 23:59:59 1936');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 28800, 'Dec 13 15:40:00 1936', 'Sep 13 15:59:59 1937', 'Dec 13 23:40:00 1936', 'Sep 13 23:59:59 1937');
timezone.add_rule('Asia/Kuching', 'BORTST', 1, 30000, 'Sep 13 16:00:00 1937', 'Dec 13 15:39:59 1937', 'Sep 14 00:20:00 1937', 'Dec 13 23:59:59 1937');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 28800, 'Dec 13 15:40:00 1937', 'Sep 13 15:59:59 1938', 'Dec 13 23:40:00 1937', 'Sep 13 23:59:59 1938');
timezone.add_rule('Asia/Kuching', 'BORTST', 1, 30000, 'Sep 13 16:00:00 1938', 'Dec 13 15:39:59 1938', 'Sep 14 00:20:00 1938', 'Dec 13 23:59:59 1938');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 28800, 'Dec 13 15:40:00 1938', 'Sep 13 15:59:59 1939', 'Dec 13 23:40:00 1938', 'Sep 13 23:59:59 1939');
timezone.add_rule('Asia/Kuching', 'BORTST', 1, 30000, 'Sep 13 16:00:00 1939', 'Dec 13 15:39:59 1939', 'Sep 14 00:20:00 1939', 'Dec 13 23:59:59 1939');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 28800, 'Dec 13 15:40:00 1939', 'Sep 13 15:59:59 1940', 'Dec 13 23:40:00 1939', 'Sep 13 23:59:59 1940');
timezone.add_rule('Asia/Kuching', 'BORTST', 1, 30000, 'Sep 13 16:00:00 1940', 'Dec 13 15:39:59 1940', 'Sep 14 00:20:00 1940', 'Dec 13 23:59:59 1940');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 28800, 'Dec 13 15:40:00 1940', 'Sep 13 15:59:59 1941', 'Dec 13 23:40:00 1940', 'Sep 13 23:59:59 1941');
timezone.add_rule('Asia/Kuching', 'BORTST', 1, 30000, 'Sep 13 16:00:00 1941', 'Dec 13 15:39:59 1941', 'Sep 14 00:20:00 1941', 'Dec 13 23:59:59 1941');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 28800, 'Dec 13 15:40:00 1941', 'Dec 31 15:59:59 1941', 'Dec 13 23:40:00 1941', 'Dec 31 23:59:59 1941');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 32400, 'Dec 31 16:00:00 1941', 'Sep 1 14:59:59 1945', 'Jan 1 01:00:00 1942', 'Sep 1 23:59:59 1945');
timezone.add_rule('Asia/Kuching', 'MYT', 0, 28800, 'Sep 1 15:00:00 1945', 'Jan 18 03:14:07 2038', 'Sep 1 23:00:00 1945', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Kuwait
--

begin
timezone.add_rule('Asia/Kuwait', 'AST', 0, 11516, 'Dec 14 20:45:52 1901', 'Dec 31 20:48:03 1949', 'Dec 14 23:57:48 1901', 'Dec 31 23:59:59 1949');
timezone.add_rule('Asia/Kuwait', 'AST', 0, 10800, 'Dec 31 20:48:04 1949', 'Jan 18 03:14:07 2038', 'Dec 31 23:48:04 1949', 'Jan 18 06:14:07 2038');
end;
/

--
-- Asia/Macao
--

begin
timezone.add_rule('Asia/Macao', 'CST', 0, 27260, 'Dec 14 20:45:52 1901', 'Dec 31 16:25:39 1911', 'Dec 15 04:20:12 1901', 'Dec 31 23:59:59 1911');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Dec 31 16:25:40 1911', 'Mar 18 19:29:59 1961', 'Jan 1 00:25:40 1912', 'Mar 19 03:29:59 1961');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Mar 18 19:30:00 1961', 'Nov 4 18:29:59 1961', 'Mar 19 04:30:00 1961', 'Nov 5 03:29:59 1961');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Nov 4 18:30:00 1961', 'Mar 17 19:29:59 1962', 'Nov 5 02:30:00 1961', 'Mar 18 03:29:59 1962');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Mar 17 19:30:00 1962', 'Nov 3 18:29:59 1962', 'Mar 18 04:30:00 1962', 'Nov 4 03:29:59 1962');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Nov 3 18:30:00 1962', 'Mar 16 15:59:59 1963', 'Nov 4 02:30:00 1962', 'Mar 16 23:59:59 1963');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Mar 16 16:00:00 1963', 'Nov 2 18:29:59 1963', 'Mar 17 01:00:00 1963', 'Nov 3 03:29:59 1963');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Nov 2 18:30:00 1963', 'Mar 21 19:29:59 1964', 'Nov 3 02:30:00 1963', 'Mar 22 03:29:59 1964');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Mar 21 19:30:00 1964', 'Oct 31 18:29:59 1964', 'Mar 22 04:30:00 1964', 'Nov 1 03:29:59 1964');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 31 18:30:00 1964', 'Mar 20 15:59:59 1965', 'Nov 1 02:30:00 1964', 'Mar 20 23:59:59 1965');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Mar 20 16:00:00 1965', 'Oct 30 14:59:59 1965', 'Mar 21 01:00:00 1965', 'Oct 30 23:59:59 1965');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 30 15:00:00 1965', 'Apr 16 19:29:59 1966', 'Oct 30 23:00:00 1965', 'Apr 17 03:29:59 1966');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 16 19:30:00 1966', 'Oct 15 18:29:59 1966', 'Apr 17 04:30:00 1966', 'Oct 16 03:29:59 1966');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 15 18:30:00 1966', 'Apr 15 19:29:59 1967', 'Oct 16 02:30:00 1966', 'Apr 16 03:29:59 1967');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 15 19:30:00 1967', 'Oct 21 18:29:59 1967', 'Apr 16 04:30:00 1967', 'Oct 22 03:29:59 1967');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 21 18:30:00 1967', 'Apr 20 19:29:59 1968', 'Oct 22 02:30:00 1967', 'Apr 21 03:29:59 1968');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 20 19:30:00 1968', 'Oct 19 18:29:59 1968', 'Apr 21 04:30:00 1968', 'Oct 20 03:29:59 1968');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 19 18:30:00 1968', 'Apr 19 19:29:59 1969', 'Oct 20 02:30:00 1968', 'Apr 20 03:29:59 1969');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 19 19:30:00 1969', 'Oct 18 18:29:59 1969', 'Apr 20 04:30:00 1969', 'Oct 19 03:29:59 1969');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 18 18:30:00 1969', 'Apr 18 19:29:59 1970', 'Oct 19 02:30:00 1969', 'Apr 19 03:29:59 1970');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 18 19:30:00 1970', 'Oct 17 18:29:59 1970', 'Apr 19 04:30:00 1970', 'Oct 18 03:29:59 1970');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 17 18:30:00 1970', 'Apr 17 19:29:59 1971', 'Oct 18 02:30:00 1970', 'Apr 18 03:29:59 1971');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 17 19:30:00 1971', 'Oct 16 18:29:59 1971', 'Apr 18 04:30:00 1971', 'Oct 17 03:29:59 1971');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 16 18:30:00 1971', 'Apr 15 15:59:59 1972', 'Oct 17 02:30:00 1971', 'Apr 15 23:59:59 1972');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 15 16:00:00 1972', 'Oct 14 14:59:59 1972', 'Apr 16 01:00:00 1972', 'Oct 14 23:59:59 1972');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 14 15:00:00 1972', 'Apr 14 15:59:59 1973', 'Oct 14 23:00:00 1972', 'Apr 14 23:59:59 1973');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 14 16:00:00 1973', 'Oct 20 14:59:59 1973', 'Apr 15 01:00:00 1973', 'Oct 20 23:59:59 1973');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 20 15:00:00 1973', 'Apr 20 15:59:59 1974', 'Oct 20 23:00:00 1973', 'Apr 20 23:59:59 1974');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 20 16:00:00 1974', 'Oct 19 18:29:59 1974', 'Apr 21 01:00:00 1974', 'Oct 20 03:29:59 1974');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 19 18:30:00 1974', 'Apr 19 19:29:59 1975', 'Oct 20 02:30:00 1974', 'Apr 20 03:29:59 1975');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 19 19:30:00 1975', 'Oct 18 18:29:59 1975', 'Apr 20 04:30:00 1975', 'Oct 19 03:29:59 1975');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 18 18:30:00 1975', 'Apr 17 19:29:59 1976', 'Oct 19 02:30:00 1975', 'Apr 18 03:29:59 1976');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 17 19:30:00 1976', 'Oct 16 18:29:59 1976', 'Apr 18 04:30:00 1976', 'Oct 17 03:29:59 1976');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 16 18:30:00 1976', 'Apr 16 19:29:59 1977', 'Oct 17 02:30:00 1976', 'Apr 17 03:29:59 1977');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 16 19:30:00 1977', 'Oct 15 18:29:59 1977', 'Apr 17 04:30:00 1977', 'Oct 16 03:29:59 1977');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 15 18:30:00 1977', 'Apr 15 15:59:59 1978', 'Oct 16 02:30:00 1977', 'Apr 15 23:59:59 1978');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 15 16:00:00 1978', 'Oct 14 14:59:59 1978', 'Apr 16 01:00:00 1978', 'Oct 14 23:59:59 1978');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 14 15:00:00 1978', 'Apr 14 15:59:59 1979', 'Oct 14 23:00:00 1978', 'Apr 14 23:59:59 1979');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 14 16:00:00 1979', 'Oct 20 14:59:59 1979', 'Apr 15 01:00:00 1979', 'Oct 20 23:59:59 1979');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 20 15:00:00 1979', 'Apr 19 15:59:59 1980', 'Oct 20 23:00:00 1979', 'Apr 19 23:59:59 1980');
timezone.add_rule('Asia/Macao', 'MOST', 1, 32400, 'Apr 19 16:00:00 1980', 'Oct 18 14:59:59 1980', 'Apr 20 01:00:00 1980', 'Oct 18 23:59:59 1980');
timezone.add_rule('Asia/Macao', 'CST', 0, 28800, 'Oct 18 15:00:00 1980', 'Jan 18 03:14:07 2038', 'Oct 18 23:00:00 1980', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Magadan
--

begin
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 36192, 'Dec 14 20:45:52 1901', 'May 1 13:56:47 1924', 'Dec 15 06:49:04 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 36000, 'May 1 13:56:48 1924', 'Feb 28 13:59:59 1957', 'May 1 23:56:48 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Feb 28 14:00:00 1957', 'Mar 31 12:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 31 13:00:00 1981', 'Sep 30 11:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 30 12:00:00 1981', 'Mar 31 12:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 31 13:00:00 1982', 'Sep 30 11:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 30 12:00:00 1982', 'Mar 31 12:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 31 13:00:00 1983', 'Sep 30 11:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 30 12:00:00 1983', 'Mar 31 12:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 31 13:00:00 1984', 'Sep 29 14:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 29 15:00:00 1984', 'Mar 30 14:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 30 15:00:00 1985', 'Sep 28 14:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 28 15:00:00 1985', 'Mar 29 14:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 29 15:00:00 1986', 'Sep 27 14:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 27 15:00:00 1986', 'Mar 28 14:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 28 15:00:00 1987', 'Sep 26 14:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 26 15:00:00 1987', 'Mar 26 14:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 26 15:00:00 1988', 'Sep 24 14:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 24 15:00:00 1988', 'Mar 25 14:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 25 15:00:00 1989', 'Sep 23 14:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 23 15:00:00 1989', 'Mar 24 14:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 24 15:00:00 1990', 'Sep 29 14:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 29 15:00:00 1990', 'Mar 30 14:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 39600, 'Mar 30 15:00:00 1991', 'Sep 28 15:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 36000, 'Sep 28 16:00:00 1991', 'Jan 18 15:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Jan 18 16:00:00 1992', 'Mar 28 11:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 28 12:00:00 1992', 'Sep 26 10:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 26 11:00:00 1992', 'Mar 27 14:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 27 15:00:00 1993', 'Sep 25 14:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 25 15:00:00 1993', 'Mar 26 14:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 26 15:00:00 1994', 'Sep 24 14:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 24 15:00:00 1994', 'Mar 25 14:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 25 15:00:00 1995', 'Sep 23 14:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Sep 23 15:00:00 1995', 'Mar 30 14:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 30 15:00:00 1996', 'Oct 26 14:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 26 15:00:00 1996', 'Mar 29 14:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 29 15:00:00 1997', 'Oct 25 14:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 25 15:00:00 1997', 'Mar 28 14:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 28 15:00:00 1998', 'Oct 24 14:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 24 15:00:00 1998', 'Mar 27 14:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 27 15:00:00 1999', 'Oct 30 14:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 30 15:00:00 1999', 'Mar 25 14:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 25 15:00:00 2000', 'Oct 28 14:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 28 15:00:00 2000', 'Mar 24 14:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 24 15:00:00 2001', 'Oct 27 14:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 27 15:00:00 2001', 'Mar 30 14:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 30 15:00:00 2002', 'Oct 26 14:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 26 15:00:00 2002', 'Mar 29 14:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 29 15:00:00 2003', 'Oct 25 14:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 25 15:00:00 2003', 'Mar 27 14:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 27 15:00:00 2004', 'Oct 30 14:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 30 15:00:00 2004', 'Mar 26 14:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 26 15:00:00 2005', 'Oct 29 14:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 29 15:00:00 2005', 'Mar 25 14:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 25 15:00:00 2006', 'Oct 28 14:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 28 15:00:00 2006', 'Mar 24 14:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 24 15:00:00 2007', 'Oct 27 14:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 27 15:00:00 2007', 'Mar 29 14:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 29 15:00:00 2008', 'Oct 25 14:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 25 15:00:00 2008', 'Mar 28 14:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 28 15:00:00 2009', 'Oct 24 14:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 24 15:00:00 2009', 'Mar 27 14:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 27 15:00:00 2010', 'Oct 30 14:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 30 15:00:00 2010', 'Mar 26 14:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 26 15:00:00 2011', 'Oct 29 14:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 29 15:00:00 2011', 'Mar 24 14:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 24 15:00:00 2012', 'Oct 27 14:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 27 15:00:00 2012', 'Mar 30 14:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 30 15:00:00 2013', 'Oct 26 14:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 26 15:00:00 2013', 'Mar 29 14:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 29 15:00:00 2014', 'Oct 25 14:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 25 15:00:00 2014', 'Mar 28 14:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 28 15:00:00 2015', 'Oct 24 14:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 24 15:00:00 2015', 'Mar 26 14:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 26 15:00:00 2016', 'Oct 29 14:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 29 15:00:00 2016', 'Mar 25 14:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 25 15:00:00 2017', 'Oct 28 14:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 28 15:00:00 2017', 'Mar 24 14:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 24 15:00:00 2018', 'Oct 27 14:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 27 15:00:00 2018', 'Mar 30 14:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 30 15:00:00 2019', 'Oct 26 14:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 26 15:00:00 2019', 'Mar 28 14:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 28 15:00:00 2020', 'Oct 24 14:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 24 15:00:00 2020', 'Mar 27 14:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 27 15:00:00 2021', 'Oct 30 14:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 30 15:00:00 2021', 'Mar 26 14:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 26 15:00:00 2022', 'Oct 29 14:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 29 15:00:00 2022', 'Mar 25 14:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 25 15:00:00 2023', 'Oct 28 14:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 28 15:00:00 2023', 'Mar 30 14:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 30 15:00:00 2024', 'Oct 26 14:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 26 15:00:00 2024', 'Mar 29 14:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 29 15:00:00 2025', 'Oct 25 14:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 25 15:00:00 2025', 'Mar 28 14:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 28 15:00:00 2026', 'Oct 24 14:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 24 15:00:00 2026', 'Mar 27 14:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 27 15:00:00 2027', 'Oct 30 14:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 30 15:00:00 2027', 'Mar 25 14:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 25 15:00:00 2028', 'Oct 28 14:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 28 15:00:00 2028', 'Mar 24 14:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 24 15:00:00 2029', 'Oct 27 14:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 27 15:00:00 2029', 'Mar 30 14:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 30 15:00:00 2030', 'Oct 26 14:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 26 15:00:00 2030', 'Mar 29 14:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 29 15:00:00 2031', 'Oct 25 14:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 25 15:00:00 2031', 'Mar 27 14:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 27 15:00:00 2032', 'Oct 30 14:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 30 15:00:00 2032', 'Mar 26 14:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 26 15:00:00 2033', 'Oct 29 14:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 29 15:00:00 2033', 'Mar 25 14:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 25 15:00:00 2034', 'Oct 28 14:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 28 15:00:00 2034', 'Mar 24 14:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 24 15:00:00 2035', 'Oct 27 14:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 27 15:00:00 2035', 'Mar 29 14:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 29 15:00:00 2036', 'Oct 25 14:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 25 15:00:00 2036', 'Mar 28 14:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Magadan', 'MAGST', 1, 43200, 'Mar 28 15:00:00 2037', 'Oct 24 14:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Magadan', 'MAGT', 0, 39600, 'Oct 24 15:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Asia/Manila
--

begin
timezone.add_rule('Asia/Manila', 'PHT', 0, 28800, 'Dec 14 20:45:52 1901', 'Oct 31 15:59:59 1936', 'Dec 15 04:45:52 1901', 'Oct 31 23:59:59 1936');
timezone.add_rule('Asia/Manila', 'PHST', 1, 32400, 'Oct 31 16:00:00 1936', 'Jan 31 14:59:59 1937', 'Nov 1 01:00:00 1936', 'Jan 31 23:59:59 1937');
timezone.add_rule('Asia/Manila', 'PHT', 0, 28800, 'Jan 31 15:00:00 1937', 'Apr 30 15:59:59 1942', 'Jan 31 23:00:00 1937', 'Apr 30 23:59:59 1942');
timezone.add_rule('Asia/Manila', 'PHT', 0, 32400, 'Apr 30 16:00:00 1942', 'Oct 31 14:59:59 1944', 'May 1 01:00:00 1942', 'Oct 31 23:59:59 1944');
timezone.add_rule('Asia/Manila', 'PHT', 0, 28800, 'Oct 31 15:00:00 1944', 'Apr 11 15:59:59 1954', 'Oct 31 23:00:00 1944', 'Apr 11 23:59:59 1954');
timezone.add_rule('Asia/Manila', 'PHST', 1, 32400, 'Apr 11 16:00:00 1954', 'Jun 30 14:59:59 1954', 'Apr 12 01:00:00 1954', 'Jun 30 23:59:59 1954');
timezone.add_rule('Asia/Manila', 'PHT', 0, 28800, 'Jun 30 15:00:00 1954', 'Mar 21 15:59:59 1978', 'Jun 30 23:00:00 1954', 'Mar 21 23:59:59 1978');
timezone.add_rule('Asia/Manila', 'PHST', 1, 32400, 'Mar 21 16:00:00 1978', 'Sep 20 14:59:59 1978', 'Mar 22 01:00:00 1978', 'Sep 20 23:59:59 1978');
timezone.add_rule('Asia/Manila', 'PHT', 0, 28800, 'Sep 20 15:00:00 1978', 'Jan 18 03:14:07 2038', 'Sep 20 23:00:00 1978', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Muscat
--

begin
timezone.add_rule('Asia/Muscat', 'GST', 0, 14060, 'Dec 14 20:45:52 1901', 'Dec 31 20:05:39 1919', 'Dec 15 00:40:12 1901', 'Dec 31 23:59:59 1919');
timezone.add_rule('Asia/Muscat', 'GST', 0, 14400, 'Dec 31 20:05:40 1919', 'Jan 18 03:14:07 2038', 'Jan 1 00:05:40 1920', 'Jan 18 07:14:07 2038');
end;
/

--
-- Asia/Nicosia
--

begin
timezone.add_rule('Asia/Nicosia', 'EET', 0, 8008, 'Dec 14 20:45:52 1901', 'Nov 13 21:46:31 1921', 'Dec 14 22:59:20 1901', 'Nov 13 23:59:59 1921');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Nov 13 21:46:32 1921', 'Apr 12 21:59:59 1975', 'Nov 13 23:46:32 1921', 'Apr 12 23:59:59 1975');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Apr 12 22:00:00 1975', 'Oct 11 20:59:59 1975', 'Apr 13 01:00:00 1975', 'Oct 11 23:59:59 1975');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 11 21:00:00 1975', 'May 14 21:59:59 1976', 'Oct 11 23:00:00 1975', 'May 14 23:59:59 1976');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'May 14 22:00:00 1976', 'Oct 10 20:59:59 1976', 'May 15 01:00:00 1976', 'Oct 10 23:59:59 1976');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 10 21:00:00 1976', 'Apr 2 21:59:59 1977', 'Oct 10 23:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Apr 2 22:00:00 1977', 'Sep 24 20:59:59 1977', 'Apr 3 01:00:00 1977', 'Sep 24 23:59:59 1977');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 24 21:00:00 1977', 'Apr 1 21:59:59 1978', 'Sep 24 23:00:00 1977', 'Apr 1 23:59:59 1978');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Apr 1 22:00:00 1978', 'Oct 1 20:59:59 1978', 'Apr 2 01:00:00 1978', 'Oct 1 23:59:59 1978');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 1 21:00:00 1978', 'Mar 31 21:59:59 1979', 'Oct 1 23:00:00 1978', 'Mar 31 23:59:59 1979');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 31 22:00:00 1979', 'Sep 29 20:59:59 1979', 'Apr 1 01:00:00 1979', 'Sep 29 23:59:59 1979');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 29 21:00:00 1979', 'Apr 5 21:59:59 1980', 'Sep 29 23:00:00 1979', 'Apr 5 23:59:59 1980');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Apr 5 22:00:00 1980', 'Sep 27 20:59:59 1980', 'Apr 6 01:00:00 1980', 'Sep 27 23:59:59 1980');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 27 21:00:00 1980', 'Mar 28 21:59:59 1981', 'Sep 27 23:00:00 1980', 'Mar 28 23:59:59 1981');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 22:00:00 1981', 'Sep 26 20:59:59 1981', 'Mar 29 01:00:00 1981', 'Sep 26 23:59:59 1981');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 26 21:00:00 1981', 'Mar 27 21:59:59 1982', 'Sep 26 23:00:00 1981', 'Mar 27 23:59:59 1982');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 27 22:00:00 1982', 'Sep 25 20:59:59 1982', 'Mar 28 01:00:00 1982', 'Sep 25 23:59:59 1982');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 25 21:00:00 1982', 'Mar 26 21:59:59 1983', 'Sep 25 23:00:00 1982', 'Mar 26 23:59:59 1983');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 26 22:00:00 1983', 'Sep 24 20:59:59 1983', 'Mar 27 01:00:00 1983', 'Sep 24 23:59:59 1983');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 24 21:00:00 1983', 'Mar 24 21:59:59 1984', 'Sep 24 23:00:00 1983', 'Mar 24 23:59:59 1984');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 24 22:00:00 1984', 'Sep 29 20:59:59 1984', 'Mar 25 01:00:00 1984', 'Sep 29 23:59:59 1984');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 29 21:00:00 1984', 'Mar 30 21:59:59 1985', 'Sep 29 23:00:00 1984', 'Mar 30 23:59:59 1985');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 30 22:00:00 1985', 'Sep 28 20:59:59 1985', 'Mar 31 01:00:00 1985', 'Sep 28 23:59:59 1985');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 28 21:00:00 1985', 'Mar 29 21:59:59 1986', 'Sep 28 23:00:00 1985', 'Mar 29 23:59:59 1986');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 29 22:00:00 1986', 'Sep 27 20:59:59 1986', 'Mar 30 01:00:00 1986', 'Sep 27 23:59:59 1986');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 27 21:00:00 1986', 'Mar 28 21:59:59 1987', 'Sep 27 23:00:00 1986', 'Mar 28 23:59:59 1987');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 22:00:00 1987', 'Sep 26 20:59:59 1987', 'Mar 29 01:00:00 1987', 'Sep 26 23:59:59 1987');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 26 21:00:00 1987', 'Mar 26 21:59:59 1988', 'Sep 26 23:00:00 1987', 'Mar 26 23:59:59 1988');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 26 22:00:00 1988', 'Sep 24 20:59:59 1988', 'Mar 27 01:00:00 1988', 'Sep 24 23:59:59 1988');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 24 21:00:00 1988', 'Mar 25 21:59:59 1989', 'Sep 24 23:00:00 1988', 'Mar 25 23:59:59 1989');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 25 22:00:00 1989', 'Sep 23 20:59:59 1989', 'Mar 26 01:00:00 1989', 'Sep 23 23:59:59 1989');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 23 21:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 23 23:00:00 1989', 'Mar 24 23:59:59 1990');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 24 22:00:00 1990', 'Sep 29 20:59:59 1990', 'Mar 25 01:00:00 1990', 'Sep 29 23:59:59 1990');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 29 21:00:00 1990', 'Mar 30 21:59:59 1991', 'Sep 29 23:00:00 1990', 'Mar 30 23:59:59 1991');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 30 22:00:00 1991', 'Sep 28 20:59:59 1991', 'Mar 31 01:00:00 1991', 'Sep 28 23:59:59 1991');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 28 21:00:00 1991', 'Mar 28 21:59:59 1992', 'Sep 28 23:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 22:00:00 1992', 'Sep 26 20:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 26 21:00:00 1992', 'Mar 27 21:59:59 1993', 'Sep 26 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 27 22:00:00 1993', 'Sep 25 20:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 25 21:00:00 1993', 'Mar 26 21:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 26 22:00:00 1994', 'Sep 24 20:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 24 21:00:00 1994', 'Mar 25 21:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 25 22:00:00 1995', 'Sep 23 20:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 23 21:00:00 1995', 'Mar 30 21:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 30 22:00:00 1996', 'Sep 28 20:59:59 1996', 'Mar 31 01:00:00 1996', 'Sep 28 23:59:59 1996');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 28 21:00:00 1996', 'Mar 29 21:59:59 1997', 'Sep 28 23:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 29 22:00:00 1997', 'Sep 27 20:59:59 1997', 'Mar 30 01:00:00 1997', 'Sep 27 23:59:59 1997');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Sep 27 21:00:00 1997', 'Mar 28 21:59:59 1998', 'Sep 27 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 22:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Asia/Nicosia', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Asia/Nicosia', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Asia/Novosibirsk
--

begin
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 19900, 'Dec 14 20:45:52 1901', 'May 1 18:28:19 1924', 'Dec 15 02:17:32 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'May 1 18:28:20 1924', 'Feb 28 17:59:59 1957', 'May 2 00:28:20 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Feb 28 18:00:00 1957', 'Mar 31 16:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 31 17:00:00 1981', 'Sep 30 15:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 30 16:00:00 1981', 'Mar 31 16:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 31 17:00:00 1982', 'Sep 30 15:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 30 16:00:00 1982', 'Mar 31 16:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 31 17:00:00 1983', 'Sep 30 15:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 30 16:00:00 1983', 'Mar 31 16:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 31 17:00:00 1984', 'Sep 29 18:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 29 19:00:00 1984', 'Mar 30 18:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 30 19:00:00 1985', 'Sep 28 18:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 28 19:00:00 1985', 'Mar 29 18:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 29 19:00:00 1986', 'Sep 27 18:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 27 19:00:00 1986', 'Mar 28 18:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 28 19:00:00 1987', 'Sep 26 18:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 26 19:00:00 1987', 'Mar 26 18:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 26 19:00:00 1988', 'Sep 24 18:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 24 19:00:00 1988', 'Mar 25 18:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 25 19:00:00 1989', 'Sep 23 18:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 23 19:00:00 1989', 'Mar 24 18:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 24 19:00:00 1990', 'Sep 29 18:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 29 19:00:00 1990', 'Mar 30 18:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 30 19:00:00 1991', 'Sep 28 19:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Sep 28 20:00:00 1991', 'Jan 18 19:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Jan 18 20:00:00 1992', 'Mar 28 15:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 28 16:00:00 1992', 'Sep 26 14:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 26 15:00:00 1992', 'Mar 27 18:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 28800, 'Mar 27 19:00:00 1993', 'Sep 25 18:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 25200, 'Sep 25 19:00:00 1993', 'Mar 26 18:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 26 19:00:00 1994', 'Sep 24 19:59:59 1994', 'Mar 27 02:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Sep 24 20:00:00 1994', 'Mar 25 19:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 25 20:00:00 1995', 'Sep 23 19:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Sep 23 20:00:00 1995', 'Mar 30 19:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 30 20:00:00 1996', 'Oct 26 19:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 26 20:00:00 1996', 'Mar 29 19:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 29 20:00:00 1997', 'Oct 25 19:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 25 20:00:00 1997', 'Mar 28 19:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 28 20:00:00 1998', 'Oct 24 19:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 24 20:00:00 1998', 'Mar 27 19:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 27 20:00:00 1999', 'Oct 30 19:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 30 20:00:00 1999', 'Mar 25 19:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 25 20:00:00 2000', 'Oct 28 19:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 28 20:00:00 2000', 'Mar 24 19:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 24 20:00:00 2001', 'Oct 27 19:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 27 20:00:00 2001', 'Mar 30 19:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 30 20:00:00 2002', 'Oct 26 19:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 26 20:00:00 2002', 'Mar 29 19:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 29 20:00:00 2003', 'Oct 25 19:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 25 20:00:00 2003', 'Mar 27 19:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 27 20:00:00 2004', 'Oct 30 19:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 30 20:00:00 2004', 'Mar 26 19:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 26 20:00:00 2005', 'Oct 29 19:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 29 20:00:00 2005', 'Mar 25 19:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 25 20:00:00 2006', 'Oct 28 19:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 28 20:00:00 2006', 'Mar 24 19:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 24 20:00:00 2007', 'Oct 27 19:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 27 20:00:00 2007', 'Mar 29 19:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 29 20:00:00 2008', 'Oct 25 19:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 25 20:00:00 2008', 'Mar 28 19:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 28 20:00:00 2009', 'Oct 24 19:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 24 20:00:00 2009', 'Mar 27 19:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 27 20:00:00 2010', 'Oct 30 19:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 30 20:00:00 2010', 'Mar 26 19:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 26 20:00:00 2011', 'Oct 29 19:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 29 20:00:00 2011', 'Mar 24 19:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 24 20:00:00 2012', 'Oct 27 19:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 27 20:00:00 2012', 'Mar 30 19:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 30 20:00:00 2013', 'Oct 26 19:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 26 20:00:00 2013', 'Mar 29 19:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 29 20:00:00 2014', 'Oct 25 19:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 25 20:00:00 2014', 'Mar 28 19:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 28 20:00:00 2015', 'Oct 24 19:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 24 20:00:00 2015', 'Mar 26 19:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 26 20:00:00 2016', 'Oct 29 19:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 29 20:00:00 2016', 'Mar 25 19:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 25 20:00:00 2017', 'Oct 28 19:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 28 20:00:00 2017', 'Mar 24 19:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 24 20:00:00 2018', 'Oct 27 19:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 27 20:00:00 2018', 'Mar 30 19:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 30 20:00:00 2019', 'Oct 26 19:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 26 20:00:00 2019', 'Mar 28 19:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 28 20:00:00 2020', 'Oct 24 19:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 24 20:00:00 2020', 'Mar 27 19:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 27 20:00:00 2021', 'Oct 30 19:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 30 20:00:00 2021', 'Mar 26 19:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 26 20:00:00 2022', 'Oct 29 19:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 29 20:00:00 2022', 'Mar 25 19:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 25 20:00:00 2023', 'Oct 28 19:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 28 20:00:00 2023', 'Mar 30 19:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 30 20:00:00 2024', 'Oct 26 19:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 26 20:00:00 2024', 'Mar 29 19:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 29 20:00:00 2025', 'Oct 25 19:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 25 20:00:00 2025', 'Mar 28 19:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 28 20:00:00 2026', 'Oct 24 19:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 24 20:00:00 2026', 'Mar 27 19:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 27 20:00:00 2027', 'Oct 30 19:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 30 20:00:00 2027', 'Mar 25 19:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 25 20:00:00 2028', 'Oct 28 19:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 28 20:00:00 2028', 'Mar 24 19:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 24 20:00:00 2029', 'Oct 27 19:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 27 20:00:00 2029', 'Mar 30 19:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 30 20:00:00 2030', 'Oct 26 19:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 26 20:00:00 2030', 'Mar 29 19:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 29 20:00:00 2031', 'Oct 25 19:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 25 20:00:00 2031', 'Mar 27 19:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 27 20:00:00 2032', 'Oct 30 19:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 30 20:00:00 2032', 'Mar 26 19:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 26 20:00:00 2033', 'Oct 29 19:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 29 20:00:00 2033', 'Mar 25 19:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 25 20:00:00 2034', 'Oct 28 19:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 28 20:00:00 2034', 'Mar 24 19:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 24 20:00:00 2035', 'Oct 27 19:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 27 20:00:00 2035', 'Mar 29 19:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 29 20:00:00 2036', 'Oct 25 19:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 25 20:00:00 2036', 'Mar 28 19:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Novosibirsk', 'NOVST', 1, 25200, 'Mar 28 20:00:00 2037', 'Oct 24 19:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Novosibirsk', 'NOVT', 0, 21600, 'Oct 24 20:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 09:14:07 2038');
end;
/

--
-- Asia/Omsk
--

begin
timezone.add_rule('Asia/Omsk', 'OMST', 0, 17616, 'Dec 14 20:45:52 1901', 'May 1 19:06:23 1924', 'Dec 15 01:39:28 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 18000, 'May 1 19:06:24 1924', 'Feb 28 18:59:59 1957', 'May 2 00:06:24 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Feb 28 19:00:00 1957', 'Mar 31 17:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 31 18:00:00 1981', 'Sep 30 16:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 30 17:00:00 1981', 'Mar 31 17:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 31 18:00:00 1982', 'Sep 30 16:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 30 17:00:00 1982', 'Mar 31 17:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 31 18:00:00 1983', 'Sep 30 16:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 30 17:00:00 1983', 'Mar 31 17:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 31 18:00:00 1984', 'Sep 29 19:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 29 20:00:00 1984', 'Mar 30 19:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 30 20:00:00 1985', 'Sep 28 19:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 28 20:00:00 1985', 'Mar 29 19:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 29 20:00:00 1986', 'Sep 27 19:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 27 20:00:00 1986', 'Mar 28 19:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 28 20:00:00 1987', 'Sep 26 19:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 26 20:00:00 1987', 'Mar 26 19:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 26 20:00:00 1988', 'Sep 24 19:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 24 20:00:00 1988', 'Mar 25 19:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 25 20:00:00 1989', 'Sep 23 19:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 23 20:00:00 1989', 'Mar 24 19:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 24 20:00:00 1990', 'Sep 29 19:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 29 20:00:00 1990', 'Mar 30 19:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 21600, 'Mar 30 20:00:00 1991', 'Sep 28 20:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 18000, 'Sep 28 21:00:00 1991', 'Jan 18 20:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Jan 18 21:00:00 1992', 'Mar 28 16:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 28 17:00:00 1992', 'Sep 26 15:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 26 16:00:00 1992', 'Mar 27 19:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 27 20:00:00 1993', 'Sep 25 19:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 25 20:00:00 1993', 'Mar 26 19:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 26 20:00:00 1994', 'Sep 24 19:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 24 20:00:00 1994', 'Mar 25 19:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 25 20:00:00 1995', 'Sep 23 19:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Sep 23 20:00:00 1995', 'Mar 30 19:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 30 20:00:00 1996', 'Oct 26 19:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 26 20:00:00 1996', 'Mar 29 19:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 29 20:00:00 1997', 'Oct 25 19:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 25 20:00:00 1997', 'Mar 28 19:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 28 20:00:00 1998', 'Oct 24 19:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 24 20:00:00 1998', 'Mar 27 19:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 27 20:00:00 1999', 'Oct 30 19:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 30 20:00:00 1999', 'Mar 25 19:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 25 20:00:00 2000', 'Oct 28 19:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 28 20:00:00 2000', 'Mar 24 19:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 24 20:00:00 2001', 'Oct 27 19:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 27 20:00:00 2001', 'Mar 30 19:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 30 20:00:00 2002', 'Oct 26 19:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 26 20:00:00 2002', 'Mar 29 19:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 29 20:00:00 2003', 'Oct 25 19:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 25 20:00:00 2003', 'Mar 27 19:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 27 20:00:00 2004', 'Oct 30 19:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 30 20:00:00 2004', 'Mar 26 19:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 26 20:00:00 2005', 'Oct 29 19:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 29 20:00:00 2005', 'Mar 25 19:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 25 20:00:00 2006', 'Oct 28 19:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 28 20:00:00 2006', 'Mar 24 19:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 24 20:00:00 2007', 'Oct 27 19:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 27 20:00:00 2007', 'Mar 29 19:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 29 20:00:00 2008', 'Oct 25 19:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 25 20:00:00 2008', 'Mar 28 19:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 28 20:00:00 2009', 'Oct 24 19:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 24 20:00:00 2009', 'Mar 27 19:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 27 20:00:00 2010', 'Oct 30 19:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 30 20:00:00 2010', 'Mar 26 19:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 26 20:00:00 2011', 'Oct 29 19:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 29 20:00:00 2011', 'Mar 24 19:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 24 20:00:00 2012', 'Oct 27 19:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 27 20:00:00 2012', 'Mar 30 19:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 30 20:00:00 2013', 'Oct 26 19:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 26 20:00:00 2013', 'Mar 29 19:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 29 20:00:00 2014', 'Oct 25 19:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 25 20:00:00 2014', 'Mar 28 19:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 28 20:00:00 2015', 'Oct 24 19:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 24 20:00:00 2015', 'Mar 26 19:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 26 20:00:00 2016', 'Oct 29 19:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 29 20:00:00 2016', 'Mar 25 19:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 25 20:00:00 2017', 'Oct 28 19:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 28 20:00:00 2017', 'Mar 24 19:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 24 20:00:00 2018', 'Oct 27 19:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 27 20:00:00 2018', 'Mar 30 19:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 30 20:00:00 2019', 'Oct 26 19:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 26 20:00:00 2019', 'Mar 28 19:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 28 20:00:00 2020', 'Oct 24 19:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 24 20:00:00 2020', 'Mar 27 19:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 27 20:00:00 2021', 'Oct 30 19:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 30 20:00:00 2021', 'Mar 26 19:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 26 20:00:00 2022', 'Oct 29 19:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 29 20:00:00 2022', 'Mar 25 19:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 25 20:00:00 2023', 'Oct 28 19:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 28 20:00:00 2023', 'Mar 30 19:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 30 20:00:00 2024', 'Oct 26 19:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 26 20:00:00 2024', 'Mar 29 19:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 29 20:00:00 2025', 'Oct 25 19:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 25 20:00:00 2025', 'Mar 28 19:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 28 20:00:00 2026', 'Oct 24 19:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 24 20:00:00 2026', 'Mar 27 19:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 27 20:00:00 2027', 'Oct 30 19:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 30 20:00:00 2027', 'Mar 25 19:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 25 20:00:00 2028', 'Oct 28 19:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 28 20:00:00 2028', 'Mar 24 19:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 24 20:00:00 2029', 'Oct 27 19:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 27 20:00:00 2029', 'Mar 30 19:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 30 20:00:00 2030', 'Oct 26 19:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 26 20:00:00 2030', 'Mar 29 19:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 29 20:00:00 2031', 'Oct 25 19:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 25 20:00:00 2031', 'Mar 27 19:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 27 20:00:00 2032', 'Oct 30 19:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 30 20:00:00 2032', 'Mar 26 19:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 26 20:00:00 2033', 'Oct 29 19:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 29 20:00:00 2033', 'Mar 25 19:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 25 20:00:00 2034', 'Oct 28 19:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 28 20:00:00 2034', 'Mar 24 19:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 24 20:00:00 2035', 'Oct 27 19:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 27 20:00:00 2035', 'Mar 29 19:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 29 20:00:00 2036', 'Oct 25 19:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 25 20:00:00 2036', 'Mar 28 19:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Omsk', 'OMSST', 1, 25200, 'Mar 28 20:00:00 2037', 'Oct 24 19:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Omsk', 'OMST', 0, 21600, 'Oct 24 20:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 09:14:07 2038');
end;
/

--
-- Asia/Phnom_Penh
--

begin
timezone.add_rule('Asia/Phnom_Penh', 'ICT', 0, 25180, 'Dec 14 20:45:52 1901', 'Jun 8 17:00:19 1906', 'Dec 15 03:45:32 1901', 'Jun 8 23:59:59 1906');
timezone.add_rule('Asia/Phnom_Penh', 'ICT', 0, 25580, 'Jun 8 17:00:20 1906', 'Mar 10 16:54:39 1911', 'Jun 9 00:06:40 1906', 'Mar 11 00:00:59 1911');
timezone.add_rule('Asia/Phnom_Penh', 'ICT', 0, 25200, 'Mar 10 16:54:40 1911', 'Apr 30 16:59:59 1912', 'Mar 10 23:54:40 1911', 'Apr 30 23:59:59 1912');
timezone.add_rule('Asia/Phnom_Penh', 'ICT', 0, 28800, 'Apr 30 17:00:00 1912', 'Apr 30 15:59:59 1931', 'May 1 01:00:00 1912', 'Apr 30 23:59:59 1931');
timezone.add_rule('Asia/Phnom_Penh', 'ICT', 0, 25200, 'Apr 30 16:00:00 1931', 'Jan 18 03:14:07 2038', 'Apr 30 23:00:00 1931', 'Jan 18 10:14:07 2038');
end;
/

--
-- Asia/Pyongyang
--

begin
timezone.add_rule('Asia/Pyongyang', 'KST', 0, 30600, 'Dec 14 20:45:52 1901', 'Nov 30 15:29:59 1904', 'Dec 15 05:15:52 1901', 'Nov 30 23:59:59 1904');
timezone.add_rule('Asia/Pyongyang', 'KST', 0, 32400, 'Nov 30 15:30:00 1904', 'Dec 31 14:59:59 1927', 'Dec 1 00:30:00 1904', 'Dec 31 23:59:59 1927');
timezone.add_rule('Asia/Pyongyang', 'KST', 0, 30600, 'Dec 31 15:00:00 1927', 'Dec 31 15:29:59 1931', 'Dec 31 23:30:00 1927', 'Dec 31 23:59:59 1931');
timezone.add_rule('Asia/Pyongyang', 'KST', 0, 32400, 'Dec 31 15:30:00 1931', 'Mar 20 14:59:59 1954', 'Jan 1 00:30:00 1932', 'Mar 20 23:59:59 1954');
timezone.add_rule('Asia/Pyongyang', 'KST', 0, 28800, 'Mar 20 15:00:00 1954', 'Aug 9 15:59:59 1961', 'Mar 20 23:00:00 1954', 'Aug 9 23:59:59 1961');
timezone.add_rule('Asia/Pyongyang', 'KST', 0, 32400, 'Aug 9 16:00:00 1961', 'Jan 18 03:14:07 2038', 'Aug 10 01:00:00 1961', 'Jan 18 12:14:07 2038');
end;
/

--
-- Asia/Qatar
--

begin
timezone.add_rule('Asia/Qatar', 'AST', 0, 12368, 'Dec 14 20:45:52 1901', 'Dec 31 20:33:51 1919', 'Dec 15 00:12:00 1901', 'Dec 31 23:59:59 1919');
timezone.add_rule('Asia/Qatar', 'AST', 0, 14400, 'Dec 31 20:33:52 1919', 'May 31 19:59:59 1972', 'Jan 1 00:33:52 1920', 'May 31 23:59:59 1972');
timezone.add_rule('Asia/Qatar', 'AST', 0, 10800, 'May 31 20:00:00 1972', 'Jan 18 03:14:07 2038', 'May 31 23:00:00 1972', 'Jan 18 06:14:07 2038');
end;
/

--
-- Asia/Rangoon
--

begin
timezone.add_rule('Asia/Rangoon', 'MMT', 0, 23076, 'Dec 14 20:45:52 1901', 'Dec 31 17:35:23 1919', 'Dec 15 03:10:28 1901', 'Dec 31 23:59:59 1919');
timezone.add_rule('Asia/Rangoon', 'MMT', 0, 23400, 'Dec 31 17:35:24 1919', 'Apr 30 17:29:59 1942', 'Jan 1 00:05:24 1920', 'Apr 30 23:59:59 1942');
timezone.add_rule('Asia/Rangoon', 'MMT', 0, 32400, 'Apr 30 17:30:00 1942', 'May 2 14:59:59 1945', 'May 1 02:30:00 1942', 'May 2 23:59:59 1945');
timezone.add_rule('Asia/Rangoon', 'MMT', 0, 23400, 'May 2 15:00:00 1945', 'Jan 18 03:14:07 2038', 'May 2 21:30:00 1945', 'Jan 18 09:44:07 2038');
end;
/

--
-- Asia/Riyadh
--

begin
timezone.add_rule('Asia/Riyadh', 'AST', 0, 11212, 'Dec 14 20:45:52 1901', 'Dec 31 20:53:07 1949', 'Dec 14 23:52:44 1901', 'Dec 31 23:59:59 1949');
timezone.add_rule('Asia/Riyadh', 'AST', 0, 10800, 'Dec 31 20:53:08 1949', 'Jan 18 03:14:07 2038', 'Dec 31 23:53:08 1949', 'Jan 18 06:14:07 2038');
end;
/

--
-- Asia/Riyadh87
--

begin
timezone.add_rule('Asia/Riyadh87', '??', 0, 11224, 'Dec 14 20:45:52 1901', 'Jan 1 08:56:15 1987', 'Dec 14 23:52:56 1901', 'Jan 1 12:03:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11024, 'Jan 1 08:56:16 1987', 'Jan 2 08:56:45 1987', 'Jan 1 12:00:00 1987', 'Jan 2 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10994, 'Jan 2 08:56:46 1987', 'Jan 3 08:57:10 1987', 'Jan 2 12:00:00 1987', 'Jan 3 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10969, 'Jan 3 08:57:11 1987', 'Jan 4 08:57:40 1987', 'Jan 3 12:00:00 1987', 'Jan 4 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10939, 'Jan 4 08:57:41 1987', 'Jan 5 08:58:05 1987', 'Jan 4 12:00:00 1987', 'Jan 5 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10914, 'Jan 5 08:58:06 1987', 'Jan 6 08:58:35 1987', 'Jan 5 12:00:00 1987', 'Jan 6 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10884, 'Jan 6 08:58:36 1987', 'Jan 7 08:59:00 1987', 'Jan 6 12:00:00 1987', 'Jan 7 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10859, 'Jan 7 08:59:01 1987', 'Jan 8 08:59:25 1987', 'Jan 7 12:00:00 1987', 'Jan 8 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10834, 'Jan 8 08:59:26 1987', 'Jan 9 08:59:50 1987', 'Jan 8 12:00:00 1987', 'Jan 9 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10809, 'Jan 9 08:59:51 1987', 'Jan 10 09:00:15 1987', 'Jan 9 12:00:00 1987', 'Jan 10 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10784, 'Jan 10 09:00:16 1987', 'Jan 11 09:00:40 1987', 'Jan 10 12:00:00 1987', 'Jan 11 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10759, 'Jan 11 09:00:41 1987', 'Jan 12 09:01:05 1987', 'Jan 11 12:00:00 1987', 'Jan 12 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10734, 'Jan 12 09:01:06 1987', 'Jan 13 09:01:25 1987', 'Jan 12 12:00:00 1987', 'Jan 13 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10714, 'Jan 13 09:01:26 1987', 'Jan 14 09:01:50 1987', 'Jan 13 12:00:00 1987', 'Jan 14 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10689, 'Jan 14 09:01:51 1987', 'Jan 15 09:02:10 1987', 'Jan 14 12:00:00 1987', 'Jan 15 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10669, 'Jan 15 09:02:11 1987', 'Jan 16 09:02:30 1987', 'Jan 15 12:00:00 1987', 'Jan 16 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10649, 'Jan 16 09:02:31 1987', 'Jan 17 09:02:50 1987', 'Jan 16 12:00:00 1987', 'Jan 17 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10629, 'Jan 17 09:02:51 1987', 'Jan 18 09:03:10 1987', 'Jan 17 12:00:00 1987', 'Jan 18 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10609, 'Jan 18 09:03:11 1987', 'Jan 19 09:03:30 1987', 'Jan 18 12:00:00 1987', 'Jan 19 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10589, 'Jan 19 09:03:31 1987', 'Jan 20 09:03:50 1987', 'Jan 19 12:00:00 1987', 'Jan 20 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10569, 'Jan 20 09:03:51 1987', 'Jan 21 09:04:05 1987', 'Jan 20 12:00:00 1987', 'Jan 21 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10554, 'Jan 21 09:04:06 1987', 'Jan 22 09:04:25 1987', 'Jan 21 12:00:00 1987', 'Jan 22 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10534, 'Jan 22 09:04:26 1987', 'Jan 23 09:04:40 1987', 'Jan 22 12:00:00 1987', 'Jan 23 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10519, 'Jan 23 09:04:41 1987', 'Jan 24 09:04:55 1987', 'Jan 23 12:00:00 1987', 'Jan 24 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10504, 'Jan 24 09:04:56 1987', 'Jan 25 09:05:10 1987', 'Jan 24 12:00:00 1987', 'Jan 25 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10489, 'Jan 25 09:05:11 1987', 'Jan 26 09:05:25 1987', 'Jan 25 12:00:00 1987', 'Jan 26 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10474, 'Jan 26 09:05:26 1987', 'Jan 27 09:05:35 1987', 'Jan 26 12:00:00 1987', 'Jan 27 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10464, 'Jan 27 09:05:36 1987', 'Jan 28 09:05:50 1987', 'Jan 27 12:00:00 1987', 'Jan 28 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10449, 'Jan 28 09:05:51 1987', 'Jan 29 09:06:00 1987', 'Jan 28 12:00:00 1987', 'Jan 29 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10439, 'Jan 29 09:06:01 1987', 'Jan 30 09:06:10 1987', 'Jan 29 12:00:00 1987', 'Jan 30 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10429, 'Jan 30 09:06:11 1987', 'Jan 31 09:06:20 1987', 'Jan 30 12:00:00 1987', 'Jan 31 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10419, 'Jan 31 09:06:21 1987', 'Feb 1 09:06:30 1987', 'Jan 31 12:00:00 1987', 'Feb 1 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10409, 'Feb 1 09:06:31 1987', 'Feb 2 09:06:35 1987', 'Feb 1 12:00:00 1987', 'Feb 2 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10404, 'Feb 2 09:06:36 1987', 'Feb 3 09:06:45 1987', 'Feb 2 12:00:00 1987', 'Feb 3 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10394, 'Feb 3 09:06:46 1987', 'Feb 4 09:06:50 1987', 'Feb 3 12:00:00 1987', 'Feb 4 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10389, 'Feb 4 09:06:51 1987', 'Feb 5 09:06:55 1987', 'Feb 4 12:00:00 1987', 'Feb 5 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10384, 'Feb 5 09:06:56 1987', 'Feb 6 09:07:00 1987', 'Feb 5 12:00:00 1987', 'Feb 6 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10379, 'Feb 6 09:07:01 1987', 'Feb 7 09:07:05 1987', 'Feb 6 12:00:00 1987', 'Feb 7 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10374, 'Feb 7 09:07:06 1987', 'Feb 9 09:07:10 1987', 'Feb 7 12:00:00 1987', 'Feb 9 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10369, 'Feb 9 09:07:11 1987', 'Feb 15 09:07:05 1987', 'Feb 9 12:00:00 1987', 'Feb 15 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10374, 'Feb 15 09:07:06 1987', 'Feb 17 09:07:00 1987', 'Feb 15 12:00:00 1987', 'Feb 17 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10379, 'Feb 17 09:07:01 1987', 'Feb 18 09:06:55 1987', 'Feb 17 12:00:00 1987', 'Feb 18 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10384, 'Feb 18 09:06:56 1987', 'Feb 19 09:06:50 1987', 'Feb 18 12:00:00 1987', 'Feb 19 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10389, 'Feb 19 09:06:51 1987', 'Feb 20 09:06:45 1987', 'Feb 19 12:00:00 1987', 'Feb 20 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10394, 'Feb 20 09:06:46 1987', 'Feb 21 09:06:40 1987', 'Feb 20 12:00:00 1987', 'Feb 21 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10399, 'Feb 21 09:06:41 1987', 'Feb 22 09:06:30 1987', 'Feb 21 12:00:00 1987', 'Feb 22 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10409, 'Feb 22 09:06:31 1987', 'Feb 23 09:06:25 1987', 'Feb 22 12:00:00 1987', 'Feb 23 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10414, 'Feb 23 09:06:26 1987', 'Feb 24 09:06:15 1987', 'Feb 23 12:00:00 1987', 'Feb 24 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10424, 'Feb 24 09:06:16 1987', 'Feb 25 09:06:05 1987', 'Feb 24 12:00:00 1987', 'Feb 25 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10434, 'Feb 25 09:06:06 1987', 'Feb 26 09:05:55 1987', 'Feb 25 12:00:00 1987', 'Feb 26 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10444, 'Feb 26 09:05:56 1987', 'Feb 27 09:05:45 1987', 'Feb 26 12:00:00 1987', 'Feb 27 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10454, 'Feb 27 09:05:46 1987', 'Feb 28 09:05:35 1987', 'Feb 27 12:00:00 1987', 'Feb 28 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10464, 'Feb 28 09:05:36 1987', 'Mar 1 09:05:25 1987', 'Feb 28 12:00:00 1987', 'Mar 1 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10474, 'Mar 1 09:05:26 1987', 'Mar 2 09:05:15 1987', 'Mar 1 12:00:00 1987', 'Mar 2 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10484, 'Mar 2 09:05:16 1987', 'Mar 3 09:05:00 1987', 'Mar 2 12:00:00 1987', 'Mar 3 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10499, 'Mar 3 09:05:01 1987', 'Mar 4 09:04:50 1987', 'Mar 3 12:00:00 1987', 'Mar 4 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10509, 'Mar 4 09:04:51 1987', 'Mar 5 09:04:35 1987', 'Mar 4 12:00:00 1987', 'Mar 5 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10524, 'Mar 5 09:04:36 1987', 'Mar 6 09:04:20 1987', 'Mar 5 12:00:00 1987', 'Mar 6 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10539, 'Mar 6 09:04:21 1987', 'Mar 7 09:04:10 1987', 'Mar 6 12:00:00 1987', 'Mar 7 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10549, 'Mar 7 09:04:11 1987', 'Mar 8 09:03:55 1987', 'Mar 7 12:00:00 1987', 'Mar 8 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10564, 'Mar 8 09:03:56 1987', 'Mar 9 09:03:40 1987', 'Mar 8 12:00:00 1987', 'Mar 9 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10579, 'Mar 9 09:03:41 1987', 'Mar 10 09:03:25 1987', 'Mar 9 12:00:00 1987', 'Mar 10 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10594, 'Mar 10 09:03:26 1987', 'Mar 11 09:03:10 1987', 'Mar 10 12:00:00 1987', 'Mar 11 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10609, 'Mar 11 09:03:11 1987', 'Mar 12 09:02:50 1987', 'Mar 11 12:00:00 1987', 'Mar 12 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10629, 'Mar 12 09:02:51 1987', 'Mar 13 09:02:35 1987', 'Mar 12 12:00:00 1987', 'Mar 13 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10644, 'Mar 13 09:02:36 1987', 'Mar 14 09:02:20 1987', 'Mar 13 12:00:00 1987', 'Mar 14 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10659, 'Mar 14 09:02:21 1987', 'Mar 15 09:02:05 1987', 'Mar 14 12:00:00 1987', 'Mar 15 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10674, 'Mar 15 09:02:06 1987', 'Mar 16 09:01:45 1987', 'Mar 15 12:00:00 1987', 'Mar 16 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10694, 'Mar 16 09:01:46 1987', 'Mar 17 09:01:30 1987', 'Mar 16 12:00:00 1987', 'Mar 17 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10709, 'Mar 17 09:01:31 1987', 'Mar 18 09:01:10 1987', 'Mar 17 12:00:00 1987', 'Mar 18 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10729, 'Mar 18 09:01:11 1987', 'Mar 19 09:00:55 1987', 'Mar 18 12:00:00 1987', 'Mar 19 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10744, 'Mar 19 09:00:56 1987', 'Mar 20 09:00:35 1987', 'Mar 19 12:00:00 1987', 'Mar 20 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10764, 'Mar 20 09:00:36 1987', 'Mar 21 09:00:20 1987', 'Mar 20 12:00:00 1987', 'Mar 21 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10779, 'Mar 21 09:00:21 1987', 'Mar 22 09:00:00 1987', 'Mar 21 12:00:00 1987', 'Mar 22 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10799, 'Mar 22 09:00:01 1987', 'Mar 23 08:59:45 1987', 'Mar 22 12:00:00 1987', 'Mar 23 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10814, 'Mar 23 08:59:46 1987', 'Mar 24 08:59:25 1987', 'Mar 23 12:00:00 1987', 'Mar 24 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10834, 'Mar 24 08:59:26 1987', 'Mar 25 08:59:05 1987', 'Mar 24 12:00:00 1987', 'Mar 25 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10854, 'Mar 25 08:59:06 1987', 'Mar 26 08:58:50 1987', 'Mar 25 12:00:00 1987', 'Mar 26 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10869, 'Mar 26 08:58:51 1987', 'Mar 27 08:58:30 1987', 'Mar 26 12:00:00 1987', 'Mar 27 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10889, 'Mar 27 08:58:31 1987', 'Mar 28 08:58:10 1987', 'Mar 27 12:00:00 1987', 'Mar 28 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10909, 'Mar 28 08:58:11 1987', 'Mar 29 08:57:55 1987', 'Mar 28 12:00:00 1987', 'Mar 29 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10924, 'Mar 29 08:57:56 1987', 'Mar 30 08:57:35 1987', 'Mar 29 12:00:00 1987', 'Mar 30 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10944, 'Mar 30 08:57:36 1987', 'Mar 31 08:57:20 1987', 'Mar 30 12:00:00 1987', 'Mar 31 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10959, 'Mar 31 08:57:21 1987', 'Apr 1 08:57:00 1987', 'Mar 31 12:00:00 1987', 'Apr 1 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10979, 'Apr 1 08:57:01 1987', 'Apr 2 08:56:40 1987', 'Apr 1 12:00:00 1987', 'Apr 2 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10999, 'Apr 2 08:56:41 1987', 'Apr 3 08:56:25 1987', 'Apr 2 12:00:00 1987', 'Apr 3 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11014, 'Apr 3 08:56:26 1987', 'Apr 4 08:56:05 1987', 'Apr 3 12:00:00 1987', 'Apr 4 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11034, 'Apr 4 08:56:06 1987', 'Apr 5 08:55:50 1987', 'Apr 4 12:00:00 1987', 'Apr 5 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11049, 'Apr 5 08:55:51 1987', 'Apr 6 08:55:30 1987', 'Apr 5 12:00:00 1987', 'Apr 6 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11069, 'Apr 6 08:55:31 1987', 'Apr 7 08:55:15 1987', 'Apr 6 12:00:00 1987', 'Apr 7 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11084, 'Apr 7 08:55:16 1987', 'Apr 8 08:55:00 1987', 'Apr 7 12:00:00 1987', 'Apr 8 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11099, 'Apr 8 08:55:01 1987', 'Apr 9 08:54:40 1987', 'Apr 8 12:00:00 1987', 'Apr 9 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11119, 'Apr 9 08:54:41 1987', 'Apr 10 08:54:25 1987', 'Apr 9 12:00:00 1987', 'Apr 10 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11134, 'Apr 10 08:54:26 1987', 'Apr 11 08:54:10 1987', 'Apr 10 12:00:00 1987', 'Apr 11 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11149, 'Apr 11 08:54:11 1987', 'Apr 12 08:53:50 1987', 'Apr 11 12:00:00 1987', 'Apr 12 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11169, 'Apr 12 08:53:51 1987', 'Apr 13 08:53:35 1987', 'Apr 12 12:00:00 1987', 'Apr 13 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11184, 'Apr 13 08:53:36 1987', 'Apr 14 08:53:20 1987', 'Apr 13 12:00:00 1987', 'Apr 14 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11199, 'Apr 14 08:53:21 1987', 'Apr 15 08:53:05 1987', 'Apr 14 12:00:00 1987', 'Apr 15 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11214, 'Apr 15 08:53:06 1987', 'Apr 16 08:52:50 1987', 'Apr 15 12:00:00 1987', 'Apr 16 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11229, 'Apr 16 08:52:51 1987', 'Apr 17 08:52:40 1987', 'Apr 16 12:00:00 1987', 'Apr 17 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11239, 'Apr 17 08:52:41 1987', 'Apr 18 08:52:25 1987', 'Apr 17 12:00:00 1987', 'Apr 18 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11254, 'Apr 18 08:52:26 1987', 'Apr 19 08:52:10 1987', 'Apr 18 12:00:00 1987', 'Apr 19 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11269, 'Apr 19 08:52:11 1987', 'Apr 20 08:52:00 1987', 'Apr 19 12:00:00 1987', 'Apr 20 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11279, 'Apr 20 08:52:01 1987', 'Apr 21 08:51:45 1987', 'Apr 20 12:00:00 1987', 'Apr 21 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11294, 'Apr 21 08:51:46 1987', 'Apr 22 08:51:35 1987', 'Apr 21 12:00:00 1987', 'Apr 22 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11304, 'Apr 22 08:51:36 1987', 'Apr 23 08:51:20 1987', 'Apr 22 12:00:00 1987', 'Apr 23 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11319, 'Apr 23 08:51:21 1987', 'Apr 24 08:51:10 1987', 'Apr 23 12:00:00 1987', 'Apr 24 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11329, 'Apr 24 08:51:11 1987', 'Apr 25 08:51:00 1987', 'Apr 24 12:00:00 1987', 'Apr 25 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11339, 'Apr 25 08:51:01 1987', 'Apr 26 08:50:50 1987', 'Apr 25 12:00:00 1987', 'Apr 26 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11349, 'Apr 26 08:50:51 1987', 'Apr 27 08:50:40 1987', 'Apr 26 12:00:00 1987', 'Apr 27 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11359, 'Apr 27 08:50:41 1987', 'Apr 28 08:50:30 1987', 'Apr 27 12:00:00 1987', 'Apr 28 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11369, 'Apr 28 08:50:31 1987', 'Apr 29 08:50:20 1987', 'Apr 28 12:00:00 1987', 'Apr 29 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11379, 'Apr 29 08:50:21 1987', 'Apr 30 08:50:10 1987', 'Apr 29 12:00:00 1987', 'Apr 30 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11389, 'Apr 30 08:50:11 1987', 'May 1 08:50:05 1987', 'Apr 30 12:00:00 1987', 'May 1 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11394, 'May 1 08:50:06 1987', 'May 2 08:49:55 1987', 'May 1 12:00:00 1987', 'May 2 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11404, 'May 2 08:49:56 1987', 'May 3 08:49:50 1987', 'May 2 12:00:00 1987', 'May 3 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11409, 'May 3 08:49:51 1987', 'May 4 08:49:45 1987', 'May 3 12:00:00 1987', 'May 4 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11414, 'May 4 08:49:46 1987', 'May 5 08:49:40 1987', 'May 4 12:00:00 1987', 'May 5 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11419, 'May 5 08:49:41 1987', 'May 6 08:49:35 1987', 'May 5 12:00:00 1987', 'May 6 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11424, 'May 6 08:49:36 1987', 'May 7 08:49:30 1987', 'May 6 12:00:00 1987', 'May 7 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11429, 'May 7 08:49:31 1987', 'May 8 08:49:25 1987', 'May 7 12:00:00 1987', 'May 8 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11434, 'May 8 08:49:26 1987', 'May 9 08:49:20 1987', 'May 8 12:00:00 1987', 'May 9 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11439, 'May 9 08:49:21 1987', 'May 11 08:49:15 1987', 'May 9 12:00:00 1987', 'May 11 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11444, 'May 11 08:49:16 1987', 'May 19 08:49:20 1987', 'May 11 12:00:00 1987', 'May 19 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11439, 'May 19 08:49:21 1987', 'May 21 08:49:25 1987', 'May 19 12:00:00 1987', 'May 21 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11434, 'May 21 08:49:26 1987', 'May 22 08:49:30 1987', 'May 21 12:00:00 1987', 'May 22 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11429, 'May 22 08:49:31 1987', 'May 23 08:49:35 1987', 'May 22 12:00:00 1987', 'May 23 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11424, 'May 23 08:49:36 1987', 'May 24 08:49:40 1987', 'May 23 12:00:00 1987', 'May 24 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11419, 'May 24 08:49:41 1987', 'May 25 08:49:45 1987', 'May 24 12:00:00 1987', 'May 25 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11414, 'May 25 08:49:46 1987', 'May 26 08:49:50 1987', 'May 25 12:00:00 1987', 'May 26 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11409, 'May 26 08:49:51 1987', 'May 27 08:49:55 1987', 'May 26 12:00:00 1987', 'May 27 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11404, 'May 27 08:49:56 1987', 'May 28 08:50:05 1987', 'May 27 12:00:00 1987', 'May 28 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11394, 'May 28 08:50:06 1987', 'May 29 08:50:10 1987', 'May 28 12:00:00 1987', 'May 29 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11389, 'May 29 08:50:11 1987', 'May 30 08:50:20 1987', 'May 29 12:00:00 1987', 'May 30 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11379, 'May 30 08:50:21 1987', 'May 31 08:50:25 1987', 'May 30 12:00:00 1987', 'May 31 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11374, 'May 31 08:50:26 1987', 'Jun 1 08:50:35 1987', 'May 31 12:00:00 1987', 'Jun 1 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11364, 'Jun 1 08:50:36 1987', 'Jun 2 08:50:45 1987', 'Jun 1 12:00:00 1987', 'Jun 2 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11354, 'Jun 2 08:50:46 1987', 'Jun 3 08:50:55 1987', 'Jun 2 12:00:00 1987', 'Jun 3 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11344, 'Jun 3 08:50:56 1987', 'Jun 4 08:51:05 1987', 'Jun 3 12:00:00 1987', 'Jun 4 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11334, 'Jun 4 08:51:06 1987', 'Jun 5 08:51:15 1987', 'Jun 4 12:00:00 1987', 'Jun 5 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11324, 'Jun 5 08:51:16 1987', 'Jun 6 08:51:25 1987', 'Jun 5 12:00:00 1987', 'Jun 6 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11314, 'Jun 6 08:51:26 1987', 'Jun 7 08:51:35 1987', 'Jun 6 12:00:00 1987', 'Jun 7 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11304, 'Jun 7 08:51:36 1987', 'Jun 8 08:51:45 1987', 'Jun 7 12:00:00 1987', 'Jun 8 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11294, 'Jun 8 08:51:46 1987', 'Jun 9 08:52:00 1987', 'Jun 8 12:00:00 1987', 'Jun 9 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11279, 'Jun 9 08:52:01 1987', 'Jun 10 08:52:10 1987', 'Jun 9 12:00:00 1987', 'Jun 10 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11269, 'Jun 10 08:52:11 1987', 'Jun 11 08:52:25 1987', 'Jun 10 12:00:00 1987', 'Jun 11 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11254, 'Jun 11 08:52:26 1987', 'Jun 12 08:52:35 1987', 'Jun 11 12:00:00 1987', 'Jun 12 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11244, 'Jun 12 08:52:36 1987', 'Jun 13 08:52:45 1987', 'Jun 12 12:00:00 1987', 'Jun 13 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11234, 'Jun 13 08:52:46 1987', 'Jun 14 08:53:00 1987', 'Jun 13 12:00:00 1987', 'Jun 14 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11219, 'Jun 14 08:53:01 1987', 'Jun 15 08:53:10 1987', 'Jun 14 12:00:00 1987', 'Jun 15 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11209, 'Jun 15 08:53:11 1987', 'Jun 16 08:53:25 1987', 'Jun 15 12:00:00 1987', 'Jun 16 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11194, 'Jun 16 08:53:26 1987', 'Jun 17 08:53:40 1987', 'Jun 16 12:00:00 1987', 'Jun 17 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11179, 'Jun 17 08:53:41 1987', 'Jun 18 08:53:50 1987', 'Jun 17 12:00:00 1987', 'Jun 18 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11169, 'Jun 18 08:53:51 1987', 'Jun 19 08:54:05 1987', 'Jun 18 12:00:00 1987', 'Jun 19 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11154, 'Jun 19 08:54:06 1987', 'Jun 20 08:54:15 1987', 'Jun 19 12:00:00 1987', 'Jun 20 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11144, 'Jun 20 08:54:16 1987', 'Jun 21 08:54:30 1987', 'Jun 20 12:00:00 1987', 'Jun 21 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11129, 'Jun 21 08:54:31 1987', 'Jun 22 08:54:45 1987', 'Jun 21 12:00:00 1987', 'Jun 22 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11114, 'Jun 22 08:54:46 1987', 'Jun 23 08:54:55 1987', 'Jun 22 12:00:00 1987', 'Jun 23 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11104, 'Jun 23 08:54:56 1987', 'Jun 24 08:55:10 1987', 'Jun 23 12:00:00 1987', 'Jun 24 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11089, 'Jun 24 08:55:11 1987', 'Jun 25 08:55:20 1987', 'Jun 24 12:00:00 1987', 'Jun 25 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11079, 'Jun 25 08:55:21 1987', 'Jun 26 08:55:35 1987', 'Jun 25 12:00:00 1987', 'Jun 26 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11064, 'Jun 26 08:55:36 1987', 'Jun 27 08:55:45 1987', 'Jun 26 12:00:00 1987', 'Jun 27 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11054, 'Jun 27 08:55:46 1987', 'Jun 28 08:56:00 1987', 'Jun 27 12:00:00 1987', 'Jun 28 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11039, 'Jun 28 08:56:01 1987', 'Jun 29 08:56:10 1987', 'Jun 28 12:00:00 1987', 'Jun 29 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11029, 'Jun 29 08:56:11 1987', 'Jun 30 08:56:25 1987', 'Jun 29 12:00:00 1987', 'Jun 30 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11014, 'Jun 30 08:56:26 1987', 'Jul 1 08:56:35 1987', 'Jun 30 12:00:00 1987', 'Jul 1 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11004, 'Jul 1 08:56:36 1987', 'Jul 2 08:56:45 1987', 'Jul 1 12:00:00 1987', 'Jul 2 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10994, 'Jul 2 08:56:46 1987', 'Jul 3 08:57:00 1987', 'Jul 2 12:00:00 1987', 'Jul 3 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10979, 'Jul 3 08:57:01 1987', 'Jul 4 08:57:10 1987', 'Jul 3 12:00:00 1987', 'Jul 4 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10969, 'Jul 4 08:57:11 1987', 'Jul 5 08:57:20 1987', 'Jul 4 12:00:00 1987', 'Jul 5 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10959, 'Jul 5 08:57:21 1987', 'Jul 6 08:57:30 1987', 'Jul 5 12:00:00 1987', 'Jul 6 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10949, 'Jul 6 08:57:31 1987', 'Jul 7 08:57:40 1987', 'Jul 6 12:00:00 1987', 'Jul 7 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10939, 'Jul 7 08:57:41 1987', 'Jul 8 08:57:50 1987', 'Jul 7 12:00:00 1987', 'Jul 8 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10929, 'Jul 8 08:57:51 1987', 'Jul 9 08:58:00 1987', 'Jul 8 12:00:00 1987', 'Jul 9 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10919, 'Jul 9 08:58:01 1987', 'Jul 10 08:58:10 1987', 'Jul 9 12:00:00 1987', 'Jul 10 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10909, 'Jul 10 08:58:11 1987', 'Jul 11 08:58:15 1987', 'Jul 10 12:00:00 1987', 'Jul 11 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10904, 'Jul 11 08:58:16 1987', 'Jul 12 08:58:25 1987', 'Jul 11 12:00:00 1987', 'Jul 12 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10894, 'Jul 12 08:58:26 1987', 'Jul 13 08:58:35 1987', 'Jul 12 12:00:00 1987', 'Jul 13 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10884, 'Jul 13 08:58:36 1987', 'Jul 14 08:58:40 1987', 'Jul 13 12:00:00 1987', 'Jul 14 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10879, 'Jul 14 08:58:41 1987', 'Jul 15 08:58:45 1987', 'Jul 14 12:00:00 1987', 'Jul 15 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10874, 'Jul 15 08:58:46 1987', 'Jul 16 08:58:55 1987', 'Jul 15 12:00:00 1987', 'Jul 16 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10864, 'Jul 16 08:58:56 1987', 'Jul 17 08:59:00 1987', 'Jul 16 12:00:00 1987', 'Jul 17 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10859, 'Jul 17 08:59:01 1987', 'Jul 18 08:59:05 1987', 'Jul 17 12:00:00 1987', 'Jul 18 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10854, 'Jul 18 08:59:06 1987', 'Jul 19 08:59:10 1987', 'Jul 18 12:00:00 1987', 'Jul 19 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10849, 'Jul 19 08:59:11 1987', 'Jul 21 08:59:15 1987', 'Jul 19 12:00:00 1987', 'Jul 21 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10844, 'Jul 21 08:59:16 1987', 'Jul 22 08:59:20 1987', 'Jul 21 12:00:00 1987', 'Jul 22 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10839, 'Jul 22 08:59:21 1987', 'Jul 25 08:59:25 1987', 'Jul 22 12:00:00 1987', 'Jul 25 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10834, 'Jul 25 08:59:26 1987', 'Jul 29 08:59:20 1987', 'Jul 25 12:00:00 1987', 'Jul 29 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10839, 'Jul 29 08:59:21 1987', 'Aug 1 08:59:15 1987', 'Jul 29 12:00:00 1987', 'Aug 1 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10844, 'Aug 1 08:59:16 1987', 'Aug 2 08:59:10 1987', 'Aug 1 12:00:00 1987', 'Aug 2 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10849, 'Aug 2 08:59:11 1987', 'Aug 3 08:59:05 1987', 'Aug 2 12:00:00 1987', 'Aug 3 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10854, 'Aug 3 08:59:06 1987', 'Aug 4 08:59:00 1987', 'Aug 3 12:00:00 1987', 'Aug 4 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10859, 'Aug 4 08:59:01 1987', 'Aug 5 08:58:55 1987', 'Aug 4 12:00:00 1987', 'Aug 5 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10864, 'Aug 5 08:58:56 1987', 'Aug 6 08:58:50 1987', 'Aug 5 12:00:00 1987', 'Aug 6 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10869, 'Aug 6 08:58:51 1987', 'Aug 7 08:58:45 1987', 'Aug 6 12:00:00 1987', 'Aug 7 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10874, 'Aug 7 08:58:46 1987', 'Aug 8 08:58:35 1987', 'Aug 7 12:00:00 1987', 'Aug 8 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10884, 'Aug 8 08:58:36 1987', 'Aug 9 08:58:30 1987', 'Aug 8 12:00:00 1987', 'Aug 9 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10889, 'Aug 9 08:58:31 1987', 'Aug 10 08:58:20 1987', 'Aug 9 12:00:00 1987', 'Aug 10 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10899, 'Aug 10 08:58:21 1987', 'Aug 11 08:58:10 1987', 'Aug 10 12:00:00 1987', 'Aug 11 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10909, 'Aug 11 08:58:11 1987', 'Aug 12 08:58:00 1987', 'Aug 11 12:00:00 1987', 'Aug 12 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10919, 'Aug 12 08:58:01 1987', 'Aug 13 08:57:50 1987', 'Aug 12 12:00:00 1987', 'Aug 13 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10929, 'Aug 13 08:57:51 1987', 'Aug 14 08:57:40 1987', 'Aug 13 12:00:00 1987', 'Aug 14 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10939, 'Aug 14 08:57:41 1987', 'Aug 15 08:57:30 1987', 'Aug 14 12:00:00 1987', 'Aug 15 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10949, 'Aug 15 08:57:31 1987', 'Aug 16 08:57:20 1987', 'Aug 15 12:00:00 1987', 'Aug 16 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10959, 'Aug 16 08:57:21 1987', 'Aug 17 08:57:05 1987', 'Aug 16 12:00:00 1987', 'Aug 17 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10974, 'Aug 17 08:57:06 1987', 'Aug 18 08:56:55 1987', 'Aug 17 12:00:00 1987', 'Aug 18 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10984, 'Aug 18 08:56:56 1987', 'Aug 19 08:56:40 1987', 'Aug 18 12:00:00 1987', 'Aug 19 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 10999, 'Aug 19 08:56:41 1987', 'Aug 20 08:56:25 1987', 'Aug 19 12:00:00 1987', 'Aug 20 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11014, 'Aug 20 08:56:26 1987', 'Aug 21 08:56:10 1987', 'Aug 20 12:00:00 1987', 'Aug 21 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11029, 'Aug 21 08:56:11 1987', 'Aug 22 08:55:55 1987', 'Aug 21 12:00:00 1987', 'Aug 22 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11044, 'Aug 22 08:55:56 1987', 'Aug 23 08:55:40 1987', 'Aug 22 12:00:00 1987', 'Aug 23 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11059, 'Aug 23 08:55:41 1987', 'Aug 24 08:55:25 1987', 'Aug 23 12:00:00 1987', 'Aug 24 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11074, 'Aug 24 08:55:26 1987', 'Aug 25 08:55:10 1987', 'Aug 24 12:00:00 1987', 'Aug 25 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11089, 'Aug 25 08:55:11 1987', 'Aug 26 08:54:55 1987', 'Aug 25 12:00:00 1987', 'Aug 26 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11104, 'Aug 26 08:54:56 1987', 'Aug 27 08:54:35 1987', 'Aug 26 12:00:00 1987', 'Aug 27 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11124, 'Aug 27 08:54:36 1987', 'Aug 28 08:54:20 1987', 'Aug 27 12:00:00 1987', 'Aug 28 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11139, 'Aug 28 08:54:21 1987', 'Aug 29 08:54:00 1987', 'Aug 28 12:00:00 1987', 'Aug 29 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11159, 'Aug 29 08:54:01 1987', 'Aug 30 08:53:45 1987', 'Aug 29 12:00:00 1987', 'Aug 30 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11174, 'Aug 30 08:53:46 1987', 'Aug 31 08:53:25 1987', 'Aug 30 12:00:00 1987', 'Aug 31 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11194, 'Aug 31 08:53:26 1987', 'Sep 1 08:53:05 1987', 'Aug 31 12:00:00 1987', 'Sep 1 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11214, 'Sep 1 08:53:06 1987', 'Sep 2 08:52:45 1987', 'Sep 1 12:00:00 1987', 'Sep 2 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11234, 'Sep 2 08:52:46 1987', 'Sep 3 08:52:30 1987', 'Sep 2 12:00:00 1987', 'Sep 3 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11249, 'Sep 3 08:52:31 1987', 'Sep 4 08:52:10 1987', 'Sep 3 12:00:00 1987', 'Sep 4 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11269, 'Sep 4 08:52:11 1987', 'Sep 5 08:51:50 1987', 'Sep 4 12:00:00 1987', 'Sep 5 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11289, 'Sep 5 08:51:51 1987', 'Sep 6 08:51:30 1987', 'Sep 5 12:00:00 1987', 'Sep 6 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11309, 'Sep 6 08:51:31 1987', 'Sep 7 08:51:10 1987', 'Sep 6 12:00:00 1987', 'Sep 7 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11329, 'Sep 7 08:51:11 1987', 'Sep 8 08:50:50 1987', 'Sep 7 12:00:00 1987', 'Sep 8 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11349, 'Sep 8 08:50:51 1987', 'Sep 9 08:50:25 1987', 'Sep 8 12:00:00 1987', 'Sep 9 11:59:34 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11374, 'Sep 9 08:50:26 1987', 'Sep 10 08:50:05 1987', 'Sep 9 12:00:00 1987', 'Sep 10 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11394, 'Sep 10 08:50:06 1987', 'Sep 11 08:49:45 1987', 'Sep 10 12:00:00 1987', 'Sep 11 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11414, 'Sep 11 08:49:46 1987', 'Sep 12 08:49:25 1987', 'Sep 11 12:00:00 1987', 'Sep 12 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11434, 'Sep 12 08:49:26 1987', 'Sep 13 08:49:05 1987', 'Sep 12 12:00:00 1987', 'Sep 13 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11454, 'Sep 13 08:49:06 1987', 'Sep 14 08:48:40 1987', 'Sep 13 12:00:00 1987', 'Sep 14 11:59:34 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11479, 'Sep 14 08:48:41 1987', 'Sep 15 08:48:20 1987', 'Sep 14 12:00:00 1987', 'Sep 15 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11499, 'Sep 15 08:48:21 1987', 'Sep 16 08:48:00 1987', 'Sep 15 12:00:00 1987', 'Sep 16 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11519, 'Sep 16 08:48:01 1987', 'Sep 17 08:47:40 1987', 'Sep 16 12:00:00 1987', 'Sep 17 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11539, 'Sep 17 08:47:41 1987', 'Sep 18 08:47:15 1987', 'Sep 17 12:00:00 1987', 'Sep 18 11:59:34 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11564, 'Sep 18 08:47:16 1987', 'Sep 19 08:46:55 1987', 'Sep 18 12:00:00 1987', 'Sep 19 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11584, 'Sep 19 08:46:56 1987', 'Sep 20 08:46:35 1987', 'Sep 19 12:00:00 1987', 'Sep 20 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11604, 'Sep 20 08:46:36 1987', 'Sep 21 08:46:10 1987', 'Sep 20 12:00:00 1987', 'Sep 21 11:59:34 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11629, 'Sep 21 08:46:11 1987', 'Sep 22 08:45:50 1987', 'Sep 21 12:00:00 1987', 'Sep 22 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11649, 'Sep 22 08:45:51 1987', 'Sep 23 08:45:30 1987', 'Sep 22 12:00:00 1987', 'Sep 23 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11669, 'Sep 23 08:45:31 1987', 'Sep 24 08:45:10 1987', 'Sep 23 12:00:00 1987', 'Sep 24 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11689, 'Sep 24 08:45:11 1987', 'Sep 25 08:44:50 1987', 'Sep 24 12:00:00 1987', 'Sep 25 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11709, 'Sep 25 08:44:51 1987', 'Sep 26 08:44:30 1987', 'Sep 25 12:00:00 1987', 'Sep 26 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11729, 'Sep 26 08:44:31 1987', 'Sep 27 08:44:05 1987', 'Sep 26 12:00:00 1987', 'Sep 27 11:59:34 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11754, 'Sep 27 08:44:06 1987', 'Sep 28 08:43:45 1987', 'Sep 27 12:00:00 1987', 'Sep 28 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11774, 'Sep 28 08:43:46 1987', 'Sep 29 08:43:25 1987', 'Sep 28 12:00:00 1987', 'Sep 29 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11794, 'Sep 29 08:43:26 1987', 'Sep 30 08:43:05 1987', 'Sep 29 12:00:00 1987', 'Sep 30 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11814, 'Sep 30 08:43:06 1987', 'Oct 1 08:42:45 1987', 'Sep 30 12:00:00 1987', 'Oct 1 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11834, 'Oct 1 08:42:46 1987', 'Oct 2 08:42:30 1987', 'Oct 1 12:00:00 1987', 'Oct 2 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11849, 'Oct 2 08:42:31 1987', 'Oct 3 08:42:10 1987', 'Oct 2 12:00:00 1987', 'Oct 3 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11869, 'Oct 3 08:42:11 1987', 'Oct 4 08:41:50 1987', 'Oct 3 12:00:00 1987', 'Oct 4 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11889, 'Oct 4 08:41:51 1987', 'Oct 5 08:41:30 1987', 'Oct 4 12:00:00 1987', 'Oct 5 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11909, 'Oct 5 08:41:31 1987', 'Oct 6 08:41:15 1987', 'Oct 5 12:00:00 1987', 'Oct 6 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11924, 'Oct 6 08:41:16 1987', 'Oct 7 08:40:55 1987', 'Oct 6 12:00:00 1987', 'Oct 7 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11944, 'Oct 7 08:40:56 1987', 'Oct 8 08:40:40 1987', 'Oct 7 12:00:00 1987', 'Oct 8 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11959, 'Oct 8 08:40:41 1987', 'Oct 9 08:40:20 1987', 'Oct 8 12:00:00 1987', 'Oct 9 11:59:39 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11979, 'Oct 9 08:40:21 1987', 'Oct 10 08:40:05 1987', 'Oct 9 12:00:00 1987', 'Oct 10 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11994, 'Oct 10 08:40:06 1987', 'Oct 11 08:39:50 1987', 'Oct 10 12:00:00 1987', 'Oct 11 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12009, 'Oct 11 08:39:51 1987', 'Oct 12 08:39:35 1987', 'Oct 11 12:00:00 1987', 'Oct 12 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12024, 'Oct 12 08:39:36 1987', 'Oct 13 08:39:20 1987', 'Oct 12 12:00:00 1987', 'Oct 13 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12039, 'Oct 13 08:39:21 1987', 'Oct 14 08:39:05 1987', 'Oct 13 12:00:00 1987', 'Oct 14 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12054, 'Oct 14 08:39:06 1987', 'Oct 15 08:38:50 1987', 'Oct 14 12:00:00 1987', 'Oct 15 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12069, 'Oct 15 08:38:51 1987', 'Oct 16 08:38:40 1987', 'Oct 15 12:00:00 1987', 'Oct 16 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12079, 'Oct 16 08:38:41 1987', 'Oct 17 08:38:25 1987', 'Oct 16 12:00:00 1987', 'Oct 17 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12094, 'Oct 17 08:38:26 1987', 'Oct 18 08:38:15 1987', 'Oct 17 12:00:00 1987', 'Oct 18 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12104, 'Oct 18 08:38:16 1987', 'Oct 19 08:38:00 1987', 'Oct 18 12:00:00 1987', 'Oct 19 11:59:44 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12119, 'Oct 19 08:38:01 1987', 'Oct 20 08:37:50 1987', 'Oct 19 12:00:00 1987', 'Oct 20 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12129, 'Oct 20 08:37:51 1987', 'Oct 21 08:37:40 1987', 'Oct 20 12:00:00 1987', 'Oct 21 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12139, 'Oct 21 08:37:41 1987', 'Oct 22 08:37:30 1987', 'Oct 21 12:00:00 1987', 'Oct 22 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12149, 'Oct 22 08:37:31 1987', 'Oct 23 08:37:20 1987', 'Oct 22 12:00:00 1987', 'Oct 23 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12159, 'Oct 23 08:37:21 1987', 'Oct 24 08:37:15 1987', 'Oct 23 12:00:00 1987', 'Oct 24 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12164, 'Oct 24 08:37:16 1987', 'Oct 25 08:37:05 1987', 'Oct 24 12:00:00 1987', 'Oct 25 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12174, 'Oct 25 08:37:06 1987', 'Oct 26 08:37:00 1987', 'Oct 25 12:00:00 1987', 'Oct 26 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12179, 'Oct 26 08:37:01 1987', 'Oct 27 08:36:50 1987', 'Oct 26 12:00:00 1987', 'Oct 27 11:59:49 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12189, 'Oct 27 08:36:51 1987', 'Oct 28 08:36:45 1987', 'Oct 27 12:00:00 1987', 'Oct 28 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12194, 'Oct 28 08:36:46 1987', 'Oct 29 08:36:40 1987', 'Oct 28 12:00:00 1987', 'Oct 29 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12199, 'Oct 29 08:36:41 1987', 'Oct 31 08:36:35 1987', 'Oct 29 12:00:00 1987', 'Oct 31 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12204, 'Oct 31 08:36:36 1987', 'Nov 2 08:36:30 1987', 'Oct 31 12:00:00 1987', 'Nov 2 11:59:54 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12209, 'Nov 2 08:36:31 1987', 'Nov 6 08:36:35 1987', 'Nov 2 12:00:00 1987', 'Nov 6 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12204, 'Nov 6 08:36:36 1987', 'Nov 8 08:36:40 1987', 'Nov 6 12:00:00 1987', 'Nov 8 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12199, 'Nov 8 08:36:41 1987', 'Nov 9 08:36:45 1987', 'Nov 8 12:00:00 1987', 'Nov 9 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12194, 'Nov 9 08:36:46 1987', 'Nov 10 08:36:50 1987', 'Nov 9 12:00:00 1987', 'Nov 10 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12189, 'Nov 10 08:36:51 1987', 'Nov 11 08:36:55 1987', 'Nov 10 12:00:00 1987', 'Nov 11 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12184, 'Nov 11 08:36:56 1987', 'Nov 12 08:37:00 1987', 'Nov 11 12:00:00 1987', 'Nov 12 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12179, 'Nov 12 08:37:01 1987', 'Nov 13 08:37:10 1987', 'Nov 12 12:00:00 1987', 'Nov 13 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12169, 'Nov 13 08:37:11 1987', 'Nov 14 08:37:15 1987', 'Nov 13 12:00:00 1987', 'Nov 14 12:00:04 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12164, 'Nov 14 08:37:16 1987', 'Nov 15 08:37:25 1987', 'Nov 14 12:00:00 1987', 'Nov 15 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12154, 'Nov 15 08:37:26 1987', 'Nov 16 08:37:35 1987', 'Nov 15 12:00:00 1987', 'Nov 16 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12144, 'Nov 16 08:37:36 1987', 'Nov 17 08:37:45 1987', 'Nov 16 12:00:00 1987', 'Nov 17 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12134, 'Nov 17 08:37:46 1987', 'Nov 18 08:38:00 1987', 'Nov 17 12:00:00 1987', 'Nov 18 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12119, 'Nov 18 08:38:01 1987', 'Nov 19 08:38:10 1987', 'Nov 18 12:00:00 1987', 'Nov 19 12:00:09 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12109, 'Nov 19 08:38:11 1987', 'Nov 20 08:38:25 1987', 'Nov 19 12:00:00 1987', 'Nov 20 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12094, 'Nov 20 08:38:26 1987', 'Nov 21 08:38:40 1987', 'Nov 20 12:00:00 1987', 'Nov 21 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12079, 'Nov 21 08:38:41 1987', 'Nov 22 08:38:55 1987', 'Nov 21 12:00:00 1987', 'Nov 22 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12064, 'Nov 22 08:38:56 1987', 'Nov 23 08:39:10 1987', 'Nov 22 12:00:00 1987', 'Nov 23 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12049, 'Nov 23 08:39:11 1987', 'Nov 24 08:39:25 1987', 'Nov 23 12:00:00 1987', 'Nov 24 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12034, 'Nov 24 08:39:26 1987', 'Nov 25 08:39:45 1987', 'Nov 24 12:00:00 1987', 'Nov 25 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 12014, 'Nov 25 08:39:46 1987', 'Nov 26 08:40:05 1987', 'Nov 25 12:00:00 1987', 'Nov 26 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11994, 'Nov 26 08:40:06 1987', 'Nov 27 08:40:20 1987', 'Nov 26 12:00:00 1987', 'Nov 27 12:00:14 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11979, 'Nov 27 08:40:21 1987', 'Nov 28 08:40:40 1987', 'Nov 27 12:00:00 1987', 'Nov 28 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11959, 'Nov 28 08:40:41 1987', 'Nov 29 08:41:00 1987', 'Nov 28 12:00:00 1987', 'Nov 29 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11939, 'Nov 29 08:41:01 1987', 'Nov 30 08:41:25 1987', 'Nov 29 12:00:00 1987', 'Nov 30 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11914, 'Nov 30 08:41:26 1987', 'Dec 1 08:41:45 1987', 'Nov 30 12:00:00 1987', 'Dec 1 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11894, 'Dec 1 08:41:46 1987', 'Dec 2 08:42:05 1987', 'Dec 1 12:00:00 1987', 'Dec 2 12:00:19 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11874, 'Dec 2 08:42:06 1987', 'Dec 3 08:42:30 1987', 'Dec 2 12:00:00 1987', 'Dec 3 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11849, 'Dec 3 08:42:31 1987', 'Dec 4 08:42:55 1987', 'Dec 3 12:00:00 1987', 'Dec 4 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11824, 'Dec 4 08:42:56 1987', 'Dec 5 08:43:20 1987', 'Dec 4 12:00:00 1987', 'Dec 5 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11799, 'Dec 5 08:43:21 1987', 'Dec 6 08:43:45 1987', 'Dec 5 12:00:00 1987', 'Dec 6 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11774, 'Dec 6 08:43:46 1987', 'Dec 7 08:44:10 1987', 'Dec 6 12:00:00 1987', 'Dec 7 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11749, 'Dec 7 08:44:11 1987', 'Dec 8 08:44:35 1987', 'Dec 7 12:00:00 1987', 'Dec 8 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11724, 'Dec 8 08:44:36 1987', 'Dec 9 08:45:00 1987', 'Dec 8 12:00:00 1987', 'Dec 9 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11699, 'Dec 9 08:45:01 1987', 'Dec 10 08:45:25 1987', 'Dec 9 12:00:00 1987', 'Dec 10 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11674, 'Dec 10 08:45:26 1987', 'Dec 11 08:45:55 1987', 'Dec 10 12:00:00 1987', 'Dec 11 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11644, 'Dec 11 08:45:56 1987', 'Dec 12 08:46:20 1987', 'Dec 11 12:00:00 1987', 'Dec 12 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11619, 'Dec 12 08:46:21 1987', 'Dec 13 08:46:50 1987', 'Dec 12 12:00:00 1987', 'Dec 13 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11589, 'Dec 13 08:46:51 1987', 'Dec 14 08:47:20 1987', 'Dec 13 12:00:00 1987', 'Dec 14 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11559, 'Dec 14 08:47:21 1987', 'Dec 15 08:47:45 1987', 'Dec 14 12:00:00 1987', 'Dec 15 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11534, 'Dec 15 08:47:46 1987', 'Dec 16 08:48:15 1987', 'Dec 15 12:00:00 1987', 'Dec 16 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11504, 'Dec 16 08:48:16 1987', 'Dec 17 08:48:45 1987', 'Dec 16 12:00:00 1987', 'Dec 17 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11474, 'Dec 17 08:48:46 1987', 'Dec 18 08:49:15 1987', 'Dec 17 12:00:00 1987', 'Dec 18 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11444, 'Dec 18 08:49:16 1987', 'Dec 19 08:49:45 1987', 'Dec 18 12:00:00 1987', 'Dec 19 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11414, 'Dec 19 08:49:46 1987', 'Dec 20 08:50:15 1987', 'Dec 19 12:00:00 1987', 'Dec 20 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11384, 'Dec 20 08:50:16 1987', 'Dec 21 08:50:45 1987', 'Dec 20 12:00:00 1987', 'Dec 21 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11354, 'Dec 21 08:50:46 1987', 'Dec 22 08:51:15 1987', 'Dec 21 12:00:00 1987', 'Dec 22 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11324, 'Dec 22 08:51:16 1987', 'Dec 23 08:51:45 1987', 'Dec 22 12:00:00 1987', 'Dec 23 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11294, 'Dec 23 08:51:46 1987', 'Dec 24 08:52:15 1987', 'Dec 23 12:00:00 1987', 'Dec 24 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11264, 'Dec 24 08:52:16 1987', 'Dec 25 08:52:45 1987', 'Dec 24 12:00:00 1987', 'Dec 25 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11234, 'Dec 25 08:52:46 1987', 'Dec 26 08:53:15 1987', 'Dec 25 12:00:00 1987', 'Dec 26 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11204, 'Dec 26 08:53:16 1987', 'Dec 27 08:53:40 1987', 'Dec 26 12:00:00 1987', 'Dec 27 12:00:24 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11179, 'Dec 27 08:53:41 1987', 'Dec 28 08:54:10 1987', 'Dec 27 12:00:00 1987', 'Dec 28 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11149, 'Dec 28 08:54:11 1987', 'Dec 29 08:54:40 1987', 'Dec 28 12:00:00 1987', 'Dec 29 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11119, 'Dec 29 08:54:41 1987', 'Dec 30 08:55:10 1987', 'Dec 29 12:00:00 1987', 'Dec 30 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11089, 'Dec 30 08:55:11 1987', 'Dec 31 08:55:40 1987', 'Dec 30 12:00:00 1987', 'Dec 31 12:00:29 1987');
timezone.add_rule('Asia/Riyadh87', '??', 1, 11059, 'Dec 31 08:55:41 1987', 'Dec 31 20:55:40 1987', 'Dec 31 12:00:00 1987', 'Dec 31 23:59:59 1987');
timezone.add_rule('Asia/Riyadh87', '??', 0, 11224, 'Dec 31 20:55:41 1987', 'Jan 18 03:14:07 2038', 'Jan 1 00:02:45 1988', 'Jan 18 06:21:11 2038');
end;
/

--
-- Asia/Riyadh88
--

begin
timezone.add_rule('Asia/Riyadh88', '??', 0, 11224, 'Dec 14 20:45:52 1901', 'Jan 1 08:56:10 1988', 'Dec 14 23:52:56 1901', 'Jan 1 12:03:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11029, 'Jan 1 08:56:11 1988', 'Jan 2 08:56:35 1988', 'Jan 1 12:00:00 1988', 'Jan 2 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11004, 'Jan 2 08:56:36 1988', 'Jan 3 08:57:05 1988', 'Jan 2 12:00:00 1988', 'Jan 3 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10974, 'Jan 3 08:57:06 1988', 'Jan 4 08:57:35 1988', 'Jan 3 12:00:00 1988', 'Jan 4 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10944, 'Jan 4 08:57:36 1988', 'Jan 5 08:58:00 1988', 'Jan 4 12:00:00 1988', 'Jan 5 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10919, 'Jan 5 08:58:01 1988', 'Jan 6 08:58:25 1988', 'Jan 5 12:00:00 1988', 'Jan 6 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10894, 'Jan 6 08:58:26 1988', 'Jan 7 08:58:55 1988', 'Jan 6 12:00:00 1988', 'Jan 7 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10864, 'Jan 7 08:58:56 1988', 'Jan 8 08:59:20 1988', 'Jan 7 12:00:00 1988', 'Jan 8 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10839, 'Jan 8 08:59:21 1988', 'Jan 9 08:59:45 1988', 'Jan 8 12:00:00 1988', 'Jan 9 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10814, 'Jan 9 08:59:46 1988', 'Jan 10 09:00:10 1988', 'Jan 9 12:00:00 1988', 'Jan 10 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10789, 'Jan 10 09:00:11 1988', 'Jan 11 09:00:35 1988', 'Jan 10 12:00:00 1988', 'Jan 11 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10764, 'Jan 11 09:00:36 1988', 'Jan 12 09:01:00 1988', 'Jan 11 12:00:00 1988', 'Jan 12 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10739, 'Jan 12 09:01:01 1988', 'Jan 13 09:01:20 1988', 'Jan 12 12:00:00 1988', 'Jan 13 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10719, 'Jan 13 09:01:21 1988', 'Jan 14 09:01:45 1988', 'Jan 13 12:00:00 1988', 'Jan 14 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10694, 'Jan 14 09:01:46 1988', 'Jan 15 09:02:05 1988', 'Jan 14 12:00:00 1988', 'Jan 15 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10674, 'Jan 15 09:02:06 1988', 'Jan 16 09:02:25 1988', 'Jan 15 12:00:00 1988', 'Jan 16 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10654, 'Jan 16 09:02:26 1988', 'Jan 17 09:02:45 1988', 'Jan 16 12:00:00 1988', 'Jan 17 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10634, 'Jan 17 09:02:46 1988', 'Jan 18 09:03:05 1988', 'Jan 17 12:00:00 1988', 'Jan 18 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10614, 'Jan 18 09:03:06 1988', 'Jan 19 09:03:25 1988', 'Jan 18 12:00:00 1988', 'Jan 19 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10594, 'Jan 19 09:03:26 1988', 'Jan 20 09:03:45 1988', 'Jan 19 12:00:00 1988', 'Jan 20 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10574, 'Jan 20 09:03:46 1988', 'Jan 21 09:04:00 1988', 'Jan 20 12:00:00 1988', 'Jan 21 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10559, 'Jan 21 09:04:01 1988', 'Jan 22 09:04:20 1988', 'Jan 21 12:00:00 1988', 'Jan 22 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10539, 'Jan 22 09:04:21 1988', 'Jan 23 09:04:35 1988', 'Jan 22 12:00:00 1988', 'Jan 23 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10524, 'Jan 23 09:04:36 1988', 'Jan 24 09:04:50 1988', 'Jan 23 12:00:00 1988', 'Jan 24 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10509, 'Jan 24 09:04:51 1988', 'Jan 25 09:05:05 1988', 'Jan 24 12:00:00 1988', 'Jan 25 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10494, 'Jan 25 09:05:06 1988', 'Jan 26 09:05:20 1988', 'Jan 25 12:00:00 1988', 'Jan 26 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10479, 'Jan 26 09:05:21 1988', 'Jan 27 09:05:35 1988', 'Jan 26 12:00:00 1988', 'Jan 27 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10464, 'Jan 27 09:05:36 1988', 'Jan 28 09:05:45 1988', 'Jan 27 12:00:00 1988', 'Jan 28 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10454, 'Jan 28 09:05:46 1988', 'Jan 29 09:05:55 1988', 'Jan 28 12:00:00 1988', 'Jan 29 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10444, 'Jan 29 09:05:56 1988', 'Jan 30 09:06:05 1988', 'Jan 29 12:00:00 1988', 'Jan 30 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10434, 'Jan 30 09:06:06 1988', 'Jan 31 09:06:15 1988', 'Jan 30 12:00:00 1988', 'Jan 31 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10424, 'Jan 31 09:06:16 1988', 'Feb 1 09:06:25 1988', 'Jan 31 12:00:00 1988', 'Feb 1 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10414, 'Feb 1 09:06:26 1988', 'Feb 2 09:06:35 1988', 'Feb 1 12:00:00 1988', 'Feb 2 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10404, 'Feb 2 09:06:36 1988', 'Feb 3 09:06:40 1988', 'Feb 2 12:00:00 1988', 'Feb 3 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10399, 'Feb 3 09:06:41 1988', 'Feb 4 09:06:50 1988', 'Feb 3 12:00:00 1988', 'Feb 4 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10389, 'Feb 4 09:06:51 1988', 'Feb 5 09:06:55 1988', 'Feb 4 12:00:00 1988', 'Feb 5 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10384, 'Feb 5 09:06:56 1988', 'Feb 6 09:07:00 1988', 'Feb 5 12:00:00 1988', 'Feb 6 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10379, 'Feb 6 09:07:01 1988', 'Feb 7 09:07:05 1988', 'Feb 6 12:00:00 1988', 'Feb 7 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10374, 'Feb 7 09:07:06 1988', 'Feb 9 09:07:10 1988', 'Feb 7 12:00:00 1988', 'Feb 9 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10369, 'Feb 9 09:07:11 1988', 'Feb 15 09:07:05 1988', 'Feb 9 12:00:00 1988', 'Feb 15 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10374, 'Feb 15 09:07:06 1988', 'Feb 17 09:07:00 1988', 'Feb 15 12:00:00 1988', 'Feb 17 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10379, 'Feb 17 09:07:01 1988', 'Feb 18 09:06:55 1988', 'Feb 17 12:00:00 1988', 'Feb 18 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10384, 'Feb 18 09:06:56 1988', 'Feb 19 09:06:50 1988', 'Feb 18 12:00:00 1988', 'Feb 19 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10389, 'Feb 19 09:06:51 1988', 'Feb 20 09:06:45 1988', 'Feb 19 12:00:00 1988', 'Feb 20 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10394, 'Feb 20 09:06:46 1988', 'Feb 21 09:06:40 1988', 'Feb 20 12:00:00 1988', 'Feb 21 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10399, 'Feb 21 09:06:41 1988', 'Feb 22 09:06:35 1988', 'Feb 21 12:00:00 1988', 'Feb 22 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10404, 'Feb 22 09:06:36 1988', 'Feb 23 09:06:25 1988', 'Feb 22 12:00:00 1988', 'Feb 23 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10414, 'Feb 23 09:06:26 1988', 'Feb 24 09:06:15 1988', 'Feb 23 12:00:00 1988', 'Feb 24 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10424, 'Feb 24 09:06:16 1988', 'Feb 25 09:06:10 1988', 'Feb 24 12:00:00 1988', 'Feb 25 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10429, 'Feb 25 09:06:11 1988', 'Feb 26 09:06:00 1988', 'Feb 25 12:00:00 1988', 'Feb 26 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10439, 'Feb 26 09:06:01 1988', 'Feb 27 09:05:50 1988', 'Feb 26 12:00:00 1988', 'Feb 27 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10449, 'Feb 27 09:05:51 1988', 'Feb 28 09:05:40 1988', 'Feb 27 12:00:00 1988', 'Feb 28 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10459, 'Feb 28 09:05:41 1988', 'Feb 29 09:05:25 1988', 'Feb 28 12:00:00 1988', 'Feb 29 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10474, 'Feb 29 09:05:26 1988', 'Mar 1 09:05:15 1988', 'Feb 29 12:00:00 1988', 'Mar 1 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10484, 'Mar 1 09:05:16 1988', 'Mar 2 09:05:05 1988', 'Mar 1 12:00:00 1988', 'Mar 2 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10494, 'Mar 2 09:05:06 1988', 'Mar 3 09:04:50 1988', 'Mar 2 12:00:00 1988', 'Mar 3 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10509, 'Mar 3 09:04:51 1988', 'Mar 4 09:04:40 1988', 'Mar 3 12:00:00 1988', 'Mar 4 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10519, 'Mar 4 09:04:41 1988', 'Mar 5 09:04:25 1988', 'Mar 4 12:00:00 1988', 'Mar 5 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10534, 'Mar 5 09:04:26 1988', 'Mar 6 09:04:10 1988', 'Mar 5 12:00:00 1988', 'Mar 6 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10549, 'Mar 6 09:04:11 1988', 'Mar 7 09:03:55 1988', 'Mar 6 12:00:00 1988', 'Mar 7 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10564, 'Mar 7 09:03:56 1988', 'Mar 8 09:03:40 1988', 'Mar 7 12:00:00 1988', 'Mar 8 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10579, 'Mar 8 09:03:41 1988', 'Mar 9 09:03:25 1988', 'Mar 8 12:00:00 1988', 'Mar 9 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10594, 'Mar 9 09:03:26 1988', 'Mar 10 09:03:10 1988', 'Mar 9 12:00:00 1988', 'Mar 10 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10609, 'Mar 10 09:03:11 1988', 'Mar 11 09:02:55 1988', 'Mar 10 12:00:00 1988', 'Mar 11 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10624, 'Mar 11 09:02:56 1988', 'Mar 12 09:02:40 1988', 'Mar 11 12:00:00 1988', 'Mar 12 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10639, 'Mar 12 09:02:41 1988', 'Mar 13 09:02:25 1988', 'Mar 12 12:00:00 1988', 'Mar 13 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10654, 'Mar 13 09:02:26 1988', 'Mar 14 09:02:05 1988', 'Mar 13 12:00:00 1988', 'Mar 14 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10674, 'Mar 14 09:02:06 1988', 'Mar 15 09:01:50 1988', 'Mar 14 12:00:00 1988', 'Mar 15 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10689, 'Mar 15 09:01:51 1988', 'Mar 16 09:01:35 1988', 'Mar 15 12:00:00 1988', 'Mar 16 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10704, 'Mar 16 09:01:36 1988', 'Mar 17 09:01:15 1988', 'Mar 16 12:00:00 1988', 'Mar 17 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10724, 'Mar 17 09:01:16 1988', 'Mar 18 09:01:00 1988', 'Mar 17 12:00:00 1988', 'Mar 18 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10739, 'Mar 18 09:01:01 1988', 'Mar 19 09:00:40 1988', 'Mar 18 12:00:00 1988', 'Mar 19 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10759, 'Mar 19 09:00:41 1988', 'Mar 20 09:00:25 1988', 'Mar 19 12:00:00 1988', 'Mar 20 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10774, 'Mar 20 09:00:26 1988', 'Mar 21 09:00:05 1988', 'Mar 20 12:00:00 1988', 'Mar 21 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10794, 'Mar 21 09:00:06 1988', 'Mar 22 08:59:45 1988', 'Mar 21 12:00:00 1988', 'Mar 22 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10814, 'Mar 22 08:59:46 1988', 'Mar 23 08:59:30 1988', 'Mar 22 12:00:00 1988', 'Mar 23 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10829, 'Mar 23 08:59:31 1988', 'Mar 24 08:59:10 1988', 'Mar 23 12:00:00 1988', 'Mar 24 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10849, 'Mar 24 08:59:11 1988', 'Mar 25 08:58:55 1988', 'Mar 24 12:00:00 1988', 'Mar 25 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10864, 'Mar 25 08:58:56 1988', 'Mar 26 08:58:35 1988', 'Mar 25 12:00:00 1988', 'Mar 26 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10884, 'Mar 26 08:58:36 1988', 'Mar 27 08:58:15 1988', 'Mar 26 12:00:00 1988', 'Mar 27 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10904, 'Mar 27 08:58:16 1988', 'Mar 28 08:58:00 1988', 'Mar 27 12:00:00 1988', 'Mar 28 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10919, 'Mar 28 08:58:01 1988', 'Mar 29 08:57:40 1988', 'Mar 28 12:00:00 1988', 'Mar 29 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10939, 'Mar 29 08:57:41 1988', 'Mar 30 08:57:20 1988', 'Mar 29 12:00:00 1988', 'Mar 30 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10959, 'Mar 30 08:57:21 1988', 'Mar 31 08:57:05 1988', 'Mar 30 12:00:00 1988', 'Mar 31 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10974, 'Mar 31 08:57:06 1988', 'Apr 1 08:56:45 1988', 'Mar 31 12:00:00 1988', 'Apr 1 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10994, 'Apr 1 08:56:46 1988', 'Apr 2 08:56:30 1988', 'Apr 1 12:00:00 1988', 'Apr 2 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11009, 'Apr 2 08:56:31 1988', 'Apr 3 08:56:10 1988', 'Apr 2 12:00:00 1988', 'Apr 3 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11029, 'Apr 3 08:56:11 1988', 'Apr 4 08:55:55 1988', 'Apr 3 12:00:00 1988', 'Apr 4 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11044, 'Apr 4 08:55:56 1988', 'Apr 5 08:55:35 1988', 'Apr 4 12:00:00 1988', 'Apr 5 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11064, 'Apr 5 08:55:36 1988', 'Apr 6 08:55:20 1988', 'Apr 5 12:00:00 1988', 'Apr 6 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11079, 'Apr 6 08:55:21 1988', 'Apr 7 08:55:00 1988', 'Apr 6 12:00:00 1988', 'Apr 7 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11099, 'Apr 7 08:55:01 1988', 'Apr 8 08:54:45 1988', 'Apr 7 12:00:00 1988', 'Apr 8 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11114, 'Apr 8 08:54:46 1988', 'Apr 9 08:54:30 1988', 'Apr 8 12:00:00 1988', 'Apr 9 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11129, 'Apr 9 08:54:31 1988', 'Apr 10 08:54:10 1988', 'Apr 9 12:00:00 1988', 'Apr 10 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11149, 'Apr 10 08:54:11 1988', 'Apr 11 08:53:55 1988', 'Apr 10 12:00:00 1988', 'Apr 11 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11164, 'Apr 11 08:53:56 1988', 'Apr 12 08:53:40 1988', 'Apr 11 12:00:00 1988', 'Apr 12 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11179, 'Apr 12 08:53:41 1988', 'Apr 13 08:53:25 1988', 'Apr 12 12:00:00 1988', 'Apr 13 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11194, 'Apr 13 08:53:26 1988', 'Apr 14 08:53:10 1988', 'Apr 13 12:00:00 1988', 'Apr 14 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11209, 'Apr 14 08:53:11 1988', 'Apr 15 08:52:55 1988', 'Apr 14 12:00:00 1988', 'Apr 15 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 0, 11224, 'Apr 15 08:52:56 1988', 'Apr 16 08:52:40 1988', 'Apr 15 12:00:00 1988', 'Apr 16 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11239, 'Apr 16 08:52:41 1988', 'Apr 17 08:52:25 1988', 'Apr 16 12:00:00 1988', 'Apr 17 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11254, 'Apr 17 08:52:26 1988', 'Apr 18 08:52:15 1988', 'Apr 17 12:00:00 1988', 'Apr 18 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11264, 'Apr 18 08:52:16 1988', 'Apr 19 08:52:00 1988', 'Apr 18 12:00:00 1988', 'Apr 19 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11279, 'Apr 19 08:52:01 1988', 'Apr 20 08:51:50 1988', 'Apr 19 12:00:00 1988', 'Apr 20 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11289, 'Apr 20 08:51:51 1988', 'Apr 21 08:51:35 1988', 'Apr 20 12:00:00 1988', 'Apr 21 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11304, 'Apr 21 08:51:36 1988', 'Apr 22 08:51:25 1988', 'Apr 21 12:00:00 1988', 'Apr 22 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11314, 'Apr 22 08:51:26 1988', 'Apr 23 08:51:10 1988', 'Apr 22 12:00:00 1988', 'Apr 23 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11329, 'Apr 23 08:51:11 1988', 'Apr 24 08:51:00 1988', 'Apr 23 12:00:00 1988', 'Apr 24 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11339, 'Apr 24 08:51:01 1988', 'Apr 25 08:50:50 1988', 'Apr 24 12:00:00 1988', 'Apr 25 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11349, 'Apr 25 08:50:51 1988', 'Apr 26 08:50:40 1988', 'Apr 25 12:00:00 1988', 'Apr 26 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11359, 'Apr 26 08:50:41 1988', 'Apr 27 08:50:30 1988', 'Apr 26 12:00:00 1988', 'Apr 27 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11369, 'Apr 27 08:50:31 1988', 'Apr 28 08:50:25 1988', 'Apr 27 12:00:00 1988', 'Apr 28 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11374, 'Apr 28 08:50:26 1988', 'Apr 29 08:50:15 1988', 'Apr 28 12:00:00 1988', 'Apr 29 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11384, 'Apr 29 08:50:16 1988', 'Apr 30 08:50:05 1988', 'Apr 29 12:00:00 1988', 'Apr 30 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11394, 'Apr 30 08:50:06 1988', 'May 1 08:50:00 1988', 'Apr 30 12:00:00 1988', 'May 1 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11399, 'May 1 08:50:01 1988', 'May 2 08:49:50 1988', 'May 1 12:00:00 1988', 'May 2 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11409, 'May 2 08:49:51 1988', 'May 3 08:49:45 1988', 'May 2 12:00:00 1988', 'May 3 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11414, 'May 3 08:49:46 1988', 'May 4 08:49:40 1988', 'May 3 12:00:00 1988', 'May 4 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11419, 'May 4 08:49:41 1988', 'May 5 08:49:35 1988', 'May 4 12:00:00 1988', 'May 5 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11424, 'May 5 08:49:36 1988', 'May 6 08:49:30 1988', 'May 5 12:00:00 1988', 'May 6 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11429, 'May 6 08:49:31 1988', 'May 7 08:49:25 1988', 'May 6 12:00:00 1988', 'May 7 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11434, 'May 7 08:49:26 1988', 'May 8 08:49:20 1988', 'May 7 12:00:00 1988', 'May 8 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11439, 'May 8 08:49:21 1988', 'May 10 08:49:15 1988', 'May 8 12:00:00 1988', 'May 10 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11444, 'May 10 08:49:16 1988', 'May 18 08:49:20 1988', 'May 10 12:00:00 1988', 'May 18 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11439, 'May 18 08:49:21 1988', 'May 20 08:49:25 1988', 'May 18 12:00:00 1988', 'May 20 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11434, 'May 20 08:49:26 1988', 'May 21 08:49:30 1988', 'May 20 12:00:00 1988', 'May 21 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11429, 'May 21 08:49:31 1988', 'May 22 08:49:35 1988', 'May 21 12:00:00 1988', 'May 22 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11424, 'May 22 08:49:36 1988', 'May 23 08:49:40 1988', 'May 22 12:00:00 1988', 'May 23 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11419, 'May 23 08:49:41 1988', 'May 24 08:49:45 1988', 'May 23 12:00:00 1988', 'May 24 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11414, 'May 24 08:49:46 1988', 'May 25 08:49:50 1988', 'May 24 12:00:00 1988', 'May 25 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11409, 'May 25 08:49:51 1988', 'May 26 08:49:55 1988', 'May 25 12:00:00 1988', 'May 26 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11404, 'May 26 08:49:56 1988', 'May 27 08:50:00 1988', 'May 26 12:00:00 1988', 'May 27 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11399, 'May 27 08:50:01 1988', 'May 28 08:50:10 1988', 'May 27 12:00:00 1988', 'May 28 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11389, 'May 28 08:50:11 1988', 'May 29 08:50:15 1988', 'May 28 12:00:00 1988', 'May 29 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11384, 'May 29 08:50:16 1988', 'May 30 08:50:25 1988', 'May 29 12:00:00 1988', 'May 30 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11374, 'May 30 08:50:26 1988', 'May 31 08:50:35 1988', 'May 30 12:00:00 1988', 'May 31 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11364, 'May 31 08:50:36 1988', 'Jun 1 08:50:45 1988', 'May 31 12:00:00 1988', 'Jun 1 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11354, 'Jun 1 08:50:46 1988', 'Jun 2 08:50:50 1988', 'Jun 1 12:00:00 1988', 'Jun 2 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11349, 'Jun 2 08:50:51 1988', 'Jun 3 08:51:00 1988', 'Jun 2 12:00:00 1988', 'Jun 3 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11339, 'Jun 3 08:51:01 1988', 'Jun 4 08:51:10 1988', 'Jun 3 12:00:00 1988', 'Jun 4 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11329, 'Jun 4 08:51:11 1988', 'Jun 5 08:51:25 1988', 'Jun 4 12:00:00 1988', 'Jun 5 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11314, 'Jun 5 08:51:26 1988', 'Jun 6 08:51:35 1988', 'Jun 5 12:00:00 1988', 'Jun 6 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11304, 'Jun 6 08:51:36 1988', 'Jun 7 08:51:45 1988', 'Jun 6 12:00:00 1988', 'Jun 7 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11294, 'Jun 7 08:51:46 1988', 'Jun 8 08:51:55 1988', 'Jun 7 12:00:00 1988', 'Jun 8 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11284, 'Jun 8 08:51:56 1988', 'Jun 9 08:52:10 1988', 'Jun 8 12:00:00 1988', 'Jun 9 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11269, 'Jun 9 08:52:11 1988', 'Jun 10 08:52:20 1988', 'Jun 9 12:00:00 1988', 'Jun 10 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11259, 'Jun 10 08:52:21 1988', 'Jun 11 08:52:30 1988', 'Jun 10 12:00:00 1988', 'Jun 11 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11249, 'Jun 11 08:52:31 1988', 'Jun 12 08:52:45 1988', 'Jun 11 12:00:00 1988', 'Jun 12 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11234, 'Jun 12 08:52:46 1988', 'Jun 13 08:52:55 1988', 'Jun 12 12:00:00 1988', 'Jun 13 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 0, 11224, 'Jun 13 08:52:56 1988', 'Jun 14 08:53:10 1988', 'Jun 13 12:00:00 1988', 'Jun 14 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11209, 'Jun 14 08:53:11 1988', 'Jun 15 08:53:20 1988', 'Jun 14 12:00:00 1988', 'Jun 15 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11199, 'Jun 15 08:53:21 1988', 'Jun 16 08:53:35 1988', 'Jun 15 12:00:00 1988', 'Jun 16 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11184, 'Jun 16 08:53:36 1988', 'Jun 17 08:53:50 1988', 'Jun 16 12:00:00 1988', 'Jun 17 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11169, 'Jun 17 08:53:51 1988', 'Jun 18 08:54:00 1988', 'Jun 17 12:00:00 1988', 'Jun 18 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11159, 'Jun 18 08:54:01 1988', 'Jun 19 08:54:15 1988', 'Jun 18 12:00:00 1988', 'Jun 19 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11144, 'Jun 19 08:54:16 1988', 'Jun 20 08:54:25 1988', 'Jun 19 12:00:00 1988', 'Jun 20 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11134, 'Jun 20 08:54:26 1988', 'Jun 21 08:54:40 1988', 'Jun 20 12:00:00 1988', 'Jun 21 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11119, 'Jun 21 08:54:41 1988', 'Jun 22 08:54:55 1988', 'Jun 21 12:00:00 1988', 'Jun 22 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11104, 'Jun 22 08:54:56 1988', 'Jun 23 08:55:05 1988', 'Jun 22 12:00:00 1988', 'Jun 23 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11094, 'Jun 23 08:55:06 1988', 'Jun 24 08:55:20 1988', 'Jun 23 12:00:00 1988', 'Jun 24 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11079, 'Jun 24 08:55:21 1988', 'Jun 25 08:55:30 1988', 'Jun 24 12:00:00 1988', 'Jun 25 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11069, 'Jun 25 08:55:31 1988', 'Jun 26 08:55:45 1988', 'Jun 25 12:00:00 1988', 'Jun 26 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11054, 'Jun 26 08:55:46 1988', 'Jun 27 08:55:55 1988', 'Jun 26 12:00:00 1988', 'Jun 27 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11044, 'Jun 27 08:55:56 1988', 'Jun 28 08:56:10 1988', 'Jun 27 12:00:00 1988', 'Jun 28 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11029, 'Jun 28 08:56:11 1988', 'Jun 29 08:56:20 1988', 'Jun 28 12:00:00 1988', 'Jun 29 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11019, 'Jun 29 08:56:21 1988', 'Jun 30 08:56:35 1988', 'Jun 29 12:00:00 1988', 'Jun 30 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11004, 'Jun 30 08:56:36 1988', 'Jul 1 08:56:45 1988', 'Jun 30 12:00:00 1988', 'Jul 1 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10994, 'Jul 1 08:56:46 1988', 'Jul 2 08:56:55 1988', 'Jul 1 12:00:00 1988', 'Jul 2 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10984, 'Jul 2 08:56:56 1988', 'Jul 3 08:57:05 1988', 'Jul 2 12:00:00 1988', 'Jul 3 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10974, 'Jul 3 08:57:06 1988', 'Jul 4 08:57:20 1988', 'Jul 3 12:00:00 1988', 'Jul 4 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10959, 'Jul 4 08:57:21 1988', 'Jul 5 08:57:30 1988', 'Jul 4 12:00:00 1988', 'Jul 5 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10949, 'Jul 5 08:57:31 1988', 'Jul 6 08:57:40 1988', 'Jul 5 12:00:00 1988', 'Jul 6 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10939, 'Jul 6 08:57:41 1988', 'Jul 7 08:57:50 1988', 'Jul 6 12:00:00 1988', 'Jul 7 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10929, 'Jul 7 08:57:51 1988', 'Jul 8 08:58:00 1988', 'Jul 7 12:00:00 1988', 'Jul 8 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10919, 'Jul 8 08:58:01 1988', 'Jul 9 08:58:05 1988', 'Jul 8 12:00:00 1988', 'Jul 9 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10914, 'Jul 9 08:58:06 1988', 'Jul 10 08:58:15 1988', 'Jul 9 12:00:00 1988', 'Jul 10 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10904, 'Jul 10 08:58:16 1988', 'Jul 11 08:58:25 1988', 'Jul 10 12:00:00 1988', 'Jul 11 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10894, 'Jul 11 08:58:26 1988', 'Jul 12 08:58:30 1988', 'Jul 11 12:00:00 1988', 'Jul 12 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10889, 'Jul 12 08:58:31 1988', 'Jul 13 08:58:40 1988', 'Jul 12 12:00:00 1988', 'Jul 13 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10879, 'Jul 13 08:58:41 1988', 'Jul 14 08:58:45 1988', 'Jul 13 12:00:00 1988', 'Jul 14 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10874, 'Jul 14 08:58:46 1988', 'Jul 15 08:58:50 1988', 'Jul 14 12:00:00 1988', 'Jul 15 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10869, 'Jul 15 08:58:51 1988', 'Jul 16 08:58:55 1988', 'Jul 15 12:00:00 1988', 'Jul 16 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10864, 'Jul 16 08:58:56 1988', 'Jul 17 08:59:00 1988', 'Jul 16 12:00:00 1988', 'Jul 17 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10859, 'Jul 17 08:59:01 1988', 'Jul 18 08:59:05 1988', 'Jul 17 12:00:00 1988', 'Jul 18 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10854, 'Jul 18 08:59:06 1988', 'Jul 19 08:59:10 1988', 'Jul 18 12:00:00 1988', 'Jul 19 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10849, 'Jul 19 08:59:11 1988', 'Jul 20 08:59:15 1988', 'Jul 19 12:00:00 1988', 'Jul 20 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10844, 'Jul 20 08:59:16 1988', 'Jul 21 08:59:20 1988', 'Jul 20 12:00:00 1988', 'Jul 21 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10839, 'Jul 21 08:59:21 1988', 'Jul 24 08:59:25 1988', 'Jul 21 12:00:00 1988', 'Jul 24 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10834, 'Jul 24 08:59:26 1988', 'Jul 29 08:59:20 1988', 'Jul 24 12:00:00 1988', 'Jul 29 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10839, 'Jul 29 08:59:21 1988', 'Jul 31 08:59:15 1988', 'Jul 29 12:00:00 1988', 'Jul 31 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10844, 'Jul 31 08:59:16 1988', 'Aug 1 08:59:10 1988', 'Jul 31 12:00:00 1988', 'Aug 1 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10849, 'Aug 1 08:59:11 1988', 'Aug 3 08:59:05 1988', 'Aug 1 12:00:00 1988', 'Aug 3 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10854, 'Aug 3 08:59:06 1988', 'Aug 4 08:59:00 1988', 'Aug 3 12:00:00 1988', 'Aug 4 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10859, 'Aug 4 08:59:01 1988', 'Aug 5 08:58:50 1988', 'Aug 4 12:00:00 1988', 'Aug 5 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10869, 'Aug 5 08:58:51 1988', 'Aug 6 08:58:45 1988', 'Aug 5 12:00:00 1988', 'Aug 6 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10874, 'Aug 6 08:58:46 1988', 'Aug 7 08:58:40 1988', 'Aug 6 12:00:00 1988', 'Aug 7 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10879, 'Aug 7 08:58:41 1988', 'Aug 8 08:58:30 1988', 'Aug 7 12:00:00 1988', 'Aug 8 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10889, 'Aug 8 08:58:31 1988', 'Aug 9 08:58:20 1988', 'Aug 8 12:00:00 1988', 'Aug 9 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10899, 'Aug 9 08:58:21 1988', 'Aug 10 08:58:15 1988', 'Aug 9 12:00:00 1988', 'Aug 10 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10904, 'Aug 10 08:58:16 1988', 'Aug 11 08:58:05 1988', 'Aug 10 12:00:00 1988', 'Aug 11 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10914, 'Aug 11 08:58:06 1988', 'Aug 12 08:57:55 1988', 'Aug 11 12:00:00 1988', 'Aug 12 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10924, 'Aug 12 08:57:56 1988', 'Aug 13 08:57:45 1988', 'Aug 12 12:00:00 1988', 'Aug 13 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10934, 'Aug 13 08:57:46 1988', 'Aug 14 08:57:30 1988', 'Aug 13 12:00:00 1988', 'Aug 14 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10949, 'Aug 14 08:57:31 1988', 'Aug 15 08:57:20 1988', 'Aug 14 12:00:00 1988', 'Aug 15 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10959, 'Aug 15 08:57:21 1988', 'Aug 16 08:57:10 1988', 'Aug 15 12:00:00 1988', 'Aug 16 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10969, 'Aug 16 08:57:11 1988', 'Aug 17 08:56:55 1988', 'Aug 16 12:00:00 1988', 'Aug 17 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10984, 'Aug 17 08:56:56 1988', 'Aug 18 08:56:45 1988', 'Aug 17 12:00:00 1988', 'Aug 18 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 10994, 'Aug 18 08:56:46 1988', 'Aug 19 08:56:30 1988', 'Aug 18 12:00:00 1988', 'Aug 19 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11009, 'Aug 19 08:56:31 1988', 'Aug 20 08:56:15 1988', 'Aug 19 12:00:00 1988', 'Aug 20 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11024, 'Aug 20 08:56:16 1988', 'Aug 21 08:56:00 1988', 'Aug 20 12:00:00 1988', 'Aug 21 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11039, 'Aug 21 08:56:01 1988', 'Aug 22 08:55:45 1988', 'Aug 21 12:00:00 1988', 'Aug 22 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11054, 'Aug 22 08:55:46 1988', 'Aug 23 08:55:30 1988', 'Aug 22 12:00:00 1988', 'Aug 23 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11069, 'Aug 23 08:55:31 1988', 'Aug 24 08:55:15 1988', 'Aug 23 12:00:00 1988', 'Aug 24 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11084, 'Aug 24 08:55:16 1988', 'Aug 25 08:54:55 1988', 'Aug 24 12:00:00 1988', 'Aug 25 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11104, 'Aug 25 08:54:56 1988', 'Aug 26 08:54:40 1988', 'Aug 25 12:00:00 1988', 'Aug 26 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11119, 'Aug 26 08:54:41 1988', 'Aug 27 08:54:25 1988', 'Aug 26 12:00:00 1988', 'Aug 27 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11134, 'Aug 27 08:54:26 1988', 'Aug 28 08:54:05 1988', 'Aug 27 12:00:00 1988', 'Aug 28 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11154, 'Aug 28 08:54:06 1988', 'Aug 29 08:53:45 1988', 'Aug 28 12:00:00 1988', 'Aug 29 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11174, 'Aug 29 08:53:46 1988', 'Aug 30 08:53:30 1988', 'Aug 29 12:00:00 1988', 'Aug 30 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11189, 'Aug 30 08:53:31 1988', 'Aug 31 08:53:10 1988', 'Aug 30 12:00:00 1988', 'Aug 31 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11209, 'Aug 31 08:53:11 1988', 'Sep 1 08:52:50 1988', 'Aug 31 12:00:00 1988', 'Sep 1 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11229, 'Sep 1 08:52:51 1988', 'Sep 2 08:52:30 1988', 'Sep 1 12:00:00 1988', 'Sep 2 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11249, 'Sep 2 08:52:31 1988', 'Sep 3 08:52:15 1988', 'Sep 2 12:00:00 1988', 'Sep 3 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11264, 'Sep 3 08:52:16 1988', 'Sep 4 08:51:55 1988', 'Sep 3 12:00:00 1988', 'Sep 4 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11284, 'Sep 4 08:51:56 1988', 'Sep 5 08:51:35 1988', 'Sep 4 12:00:00 1988', 'Sep 5 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11304, 'Sep 5 08:51:36 1988', 'Sep 6 08:51:15 1988', 'Sep 5 12:00:00 1988', 'Sep 6 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11324, 'Sep 6 08:51:16 1988', 'Sep 7 08:50:55 1988', 'Sep 6 12:00:00 1988', 'Sep 7 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11344, 'Sep 7 08:50:56 1988', 'Sep 8 08:50:30 1988', 'Sep 7 12:00:00 1988', 'Sep 8 11:59:34 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11369, 'Sep 8 08:50:31 1988', 'Sep 9 08:50:10 1988', 'Sep 8 12:00:00 1988', 'Sep 9 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11389, 'Sep 9 08:50:11 1988', 'Sep 10 08:49:50 1988', 'Sep 9 12:00:00 1988', 'Sep 10 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11409, 'Sep 10 08:49:51 1988', 'Sep 11 08:49:30 1988', 'Sep 10 12:00:00 1988', 'Sep 11 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11429, 'Sep 11 08:49:31 1988', 'Sep 12 08:49:10 1988', 'Sep 11 12:00:00 1988', 'Sep 12 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11449, 'Sep 12 08:49:11 1988', 'Sep 13 08:48:45 1988', 'Sep 12 12:00:00 1988', 'Sep 13 11:59:34 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11474, 'Sep 13 08:48:46 1988', 'Sep 14 08:48:25 1988', 'Sep 13 12:00:00 1988', 'Sep 14 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11494, 'Sep 14 08:48:26 1988', 'Sep 15 08:48:05 1988', 'Sep 14 12:00:00 1988', 'Sep 15 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11514, 'Sep 15 08:48:06 1988', 'Sep 16 08:47:45 1988', 'Sep 15 12:00:00 1988', 'Sep 16 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11534, 'Sep 16 08:47:46 1988', 'Sep 17 08:47:20 1988', 'Sep 16 12:00:00 1988', 'Sep 17 11:59:34 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11559, 'Sep 17 08:47:21 1988', 'Sep 18 08:47:00 1988', 'Sep 17 12:00:00 1988', 'Sep 18 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11579, 'Sep 18 08:47:01 1988', 'Sep 19 08:46:40 1988', 'Sep 18 12:00:00 1988', 'Sep 19 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11599, 'Sep 19 08:46:41 1988', 'Sep 20 08:46:20 1988', 'Sep 19 12:00:00 1988', 'Sep 20 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11619, 'Sep 20 08:46:21 1988', 'Sep 21 08:45:55 1988', 'Sep 20 12:00:00 1988', 'Sep 21 11:59:34 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11644, 'Sep 21 08:45:56 1988', 'Sep 22 08:45:35 1988', 'Sep 21 12:00:00 1988', 'Sep 22 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11664, 'Sep 22 08:45:36 1988', 'Sep 23 08:45:15 1988', 'Sep 22 12:00:00 1988', 'Sep 23 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11684, 'Sep 23 08:45:16 1988', 'Sep 24 08:44:55 1988', 'Sep 23 12:00:00 1988', 'Sep 24 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11704, 'Sep 24 08:44:56 1988', 'Sep 25 08:44:35 1988', 'Sep 24 12:00:00 1988', 'Sep 25 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11724, 'Sep 25 08:44:36 1988', 'Sep 26 08:44:10 1988', 'Sep 25 12:00:00 1988', 'Sep 26 11:59:34 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11749, 'Sep 26 08:44:11 1988', 'Sep 27 08:43:50 1988', 'Sep 26 12:00:00 1988', 'Sep 27 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11769, 'Sep 27 08:43:51 1988', 'Sep 28 08:43:30 1988', 'Sep 27 12:00:00 1988', 'Sep 28 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11789, 'Sep 28 08:43:31 1988', 'Sep 29 08:43:10 1988', 'Sep 28 12:00:00 1988', 'Sep 29 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11809, 'Sep 29 08:43:11 1988', 'Sep 30 08:42:50 1988', 'Sep 29 12:00:00 1988', 'Sep 30 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11829, 'Sep 30 08:42:51 1988', 'Oct 1 08:42:30 1988', 'Sep 30 12:00:00 1988', 'Oct 1 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11849, 'Oct 1 08:42:31 1988', 'Oct 2 08:42:15 1988', 'Oct 1 12:00:00 1988', 'Oct 2 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11864, 'Oct 2 08:42:16 1988', 'Oct 3 08:41:55 1988', 'Oct 2 12:00:00 1988', 'Oct 3 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11884, 'Oct 3 08:41:56 1988', 'Oct 4 08:41:35 1988', 'Oct 3 12:00:00 1988', 'Oct 4 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11904, 'Oct 4 08:41:36 1988', 'Oct 5 08:41:20 1988', 'Oct 4 12:00:00 1988', 'Oct 5 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11919, 'Oct 5 08:41:21 1988', 'Oct 6 08:41:00 1988', 'Oct 5 12:00:00 1988', 'Oct 6 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11939, 'Oct 6 08:41:01 1988', 'Oct 7 08:40:45 1988', 'Oct 6 12:00:00 1988', 'Oct 7 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11954, 'Oct 7 08:40:46 1988', 'Oct 8 08:40:25 1988', 'Oct 7 12:00:00 1988', 'Oct 8 11:59:39 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11974, 'Oct 8 08:40:26 1988', 'Oct 9 08:40:10 1988', 'Oct 8 12:00:00 1988', 'Oct 9 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11989, 'Oct 9 08:40:11 1988', 'Oct 10 08:39:55 1988', 'Oct 9 12:00:00 1988', 'Oct 10 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12004, 'Oct 10 08:39:56 1988', 'Oct 11 08:39:40 1988', 'Oct 10 12:00:00 1988', 'Oct 11 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12019, 'Oct 11 08:39:41 1988', 'Oct 12 08:39:25 1988', 'Oct 11 12:00:00 1988', 'Oct 12 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12034, 'Oct 12 08:39:26 1988', 'Oct 13 08:39:10 1988', 'Oct 12 12:00:00 1988', 'Oct 13 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12049, 'Oct 13 08:39:11 1988', 'Oct 14 08:38:55 1988', 'Oct 13 12:00:00 1988', 'Oct 14 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12064, 'Oct 14 08:38:56 1988', 'Oct 15 08:38:40 1988', 'Oct 14 12:00:00 1988', 'Oct 15 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12079, 'Oct 15 08:38:41 1988', 'Oct 16 08:38:30 1988', 'Oct 15 12:00:00 1988', 'Oct 16 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12089, 'Oct 16 08:38:31 1988', 'Oct 17 08:38:15 1988', 'Oct 16 12:00:00 1988', 'Oct 17 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12104, 'Oct 17 08:38:16 1988', 'Oct 18 08:38:05 1988', 'Oct 17 12:00:00 1988', 'Oct 18 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12114, 'Oct 18 08:38:06 1988', 'Oct 19 08:37:55 1988', 'Oct 18 12:00:00 1988', 'Oct 19 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12124, 'Oct 19 08:37:56 1988', 'Oct 20 08:37:40 1988', 'Oct 19 12:00:00 1988', 'Oct 20 11:59:44 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12139, 'Oct 20 08:37:41 1988', 'Oct 21 08:37:35 1988', 'Oct 20 12:00:00 1988', 'Oct 21 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12144, 'Oct 21 08:37:36 1988', 'Oct 22 08:37:25 1988', 'Oct 21 12:00:00 1988', 'Oct 22 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12154, 'Oct 22 08:37:26 1988', 'Oct 23 08:37:15 1988', 'Oct 22 12:00:00 1988', 'Oct 23 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12164, 'Oct 23 08:37:16 1988', 'Oct 24 08:37:05 1988', 'Oct 23 12:00:00 1988', 'Oct 24 11:59:49 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12174, 'Oct 24 08:37:06 1988', 'Oct 25 08:37:00 1988', 'Oct 24 12:00:00 1988', 'Oct 25 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12179, 'Oct 25 08:37:01 1988', 'Oct 26 08:36:55 1988', 'Oct 25 12:00:00 1988', 'Oct 26 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12184, 'Oct 26 08:36:56 1988', 'Oct 27 08:36:50 1988', 'Oct 26 12:00:00 1988', 'Oct 27 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12189, 'Oct 27 08:36:51 1988', 'Oct 28 08:36:45 1988', 'Oct 27 12:00:00 1988', 'Oct 28 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12194, 'Oct 28 08:36:46 1988', 'Oct 29 08:36:40 1988', 'Oct 28 12:00:00 1988', 'Oct 29 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12199, 'Oct 29 08:36:41 1988', 'Oct 30 08:36:35 1988', 'Oct 29 12:00:00 1988', 'Oct 30 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12204, 'Oct 30 08:36:36 1988', 'Nov 1 08:36:30 1988', 'Oct 30 12:00:00 1988', 'Nov 1 11:59:54 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12209, 'Nov 1 08:36:31 1988', 'Nov 5 08:36:35 1988', 'Nov 1 12:00:00 1988', 'Nov 5 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12204, 'Nov 5 08:36:36 1988', 'Nov 7 08:36:40 1988', 'Nov 5 12:00:00 1988', 'Nov 7 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12199, 'Nov 7 08:36:41 1988', 'Nov 9 08:36:45 1988', 'Nov 7 12:00:00 1988', 'Nov 9 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12194, 'Nov 9 08:36:46 1988', 'Nov 10 08:36:55 1988', 'Nov 9 12:00:00 1988', 'Nov 10 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12184, 'Nov 10 08:36:56 1988', 'Nov 11 08:37:00 1988', 'Nov 10 12:00:00 1988', 'Nov 11 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12179, 'Nov 11 08:37:01 1988', 'Nov 12 08:37:05 1988', 'Nov 11 12:00:00 1988', 'Nov 12 12:00:04 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12174, 'Nov 12 08:37:06 1988', 'Nov 13 08:37:15 1988', 'Nov 12 12:00:00 1988', 'Nov 13 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12164, 'Nov 13 08:37:16 1988', 'Nov 14 08:37:25 1988', 'Nov 13 12:00:00 1988', 'Nov 14 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12154, 'Nov 14 08:37:26 1988', 'Nov 15 08:37:35 1988', 'Nov 14 12:00:00 1988', 'Nov 15 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12144, 'Nov 15 08:37:36 1988', 'Nov 16 08:37:45 1988', 'Nov 15 12:00:00 1988', 'Nov 16 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12134, 'Nov 16 08:37:46 1988', 'Nov 17 08:37:55 1988', 'Nov 16 12:00:00 1988', 'Nov 17 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12124, 'Nov 17 08:37:56 1988', 'Nov 18 08:38:10 1988', 'Nov 17 12:00:00 1988', 'Nov 18 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12109, 'Nov 18 08:38:11 1988', 'Nov 19 08:38:20 1988', 'Nov 18 12:00:00 1988', 'Nov 19 12:00:09 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12099, 'Nov 19 08:38:21 1988', 'Nov 20 08:38:35 1988', 'Nov 19 12:00:00 1988', 'Nov 20 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12084, 'Nov 20 08:38:36 1988', 'Nov 21 08:38:50 1988', 'Nov 20 12:00:00 1988', 'Nov 21 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12069, 'Nov 21 08:38:51 1988', 'Nov 22 08:39:05 1988', 'Nov 21 12:00:00 1988', 'Nov 22 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12054, 'Nov 22 08:39:06 1988', 'Nov 23 08:39:25 1988', 'Nov 22 12:00:00 1988', 'Nov 23 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12034, 'Nov 23 08:39:26 1988', 'Nov 24 08:39:40 1988', 'Nov 23 12:00:00 1988', 'Nov 24 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 12019, 'Nov 24 08:39:41 1988', 'Nov 25 08:40:00 1988', 'Nov 24 12:00:00 1988', 'Nov 25 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11999, 'Nov 25 08:40:01 1988', 'Nov 26 08:40:15 1988', 'Nov 25 12:00:00 1988', 'Nov 26 12:00:14 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11984, 'Nov 26 08:40:16 1988', 'Nov 27 08:40:35 1988', 'Nov 26 12:00:00 1988', 'Nov 27 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11964, 'Nov 27 08:40:36 1988', 'Nov 28 08:40:55 1988', 'Nov 27 12:00:00 1988', 'Nov 28 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11944, 'Nov 28 08:40:56 1988', 'Nov 29 08:41:20 1988', 'Nov 28 12:00:00 1988', 'Nov 29 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11919, 'Nov 29 08:41:21 1988', 'Nov 30 08:41:40 1988', 'Nov 29 12:00:00 1988', 'Nov 30 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11899, 'Nov 30 08:41:41 1988', 'Dec 1 08:42:00 1988', 'Nov 30 12:00:00 1988', 'Dec 1 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11879, 'Dec 1 08:42:01 1988', 'Dec 2 08:42:25 1988', 'Dec 1 12:00:00 1988', 'Dec 2 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11854, 'Dec 2 08:42:26 1988', 'Dec 3 08:42:50 1988', 'Dec 2 12:00:00 1988', 'Dec 3 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11829, 'Dec 3 08:42:51 1988', 'Dec 4 08:43:10 1988', 'Dec 3 12:00:00 1988', 'Dec 4 12:00:19 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11809, 'Dec 4 08:43:11 1988', 'Dec 5 08:43:35 1988', 'Dec 4 12:00:00 1988', 'Dec 5 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11784, 'Dec 5 08:43:36 1988', 'Dec 6 08:44:00 1988', 'Dec 5 12:00:00 1988', 'Dec 6 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11759, 'Dec 6 08:44:01 1988', 'Dec 7 08:44:30 1988', 'Dec 6 12:00:00 1988', 'Dec 7 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11729, 'Dec 7 08:44:31 1988', 'Dec 8 08:44:55 1988', 'Dec 7 12:00:00 1988', 'Dec 8 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11704, 'Dec 8 08:44:56 1988', 'Dec 9 08:45:20 1988', 'Dec 8 12:00:00 1988', 'Dec 9 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11679, 'Dec 9 08:45:21 1988', 'Dec 10 08:45:50 1988', 'Dec 9 12:00:00 1988', 'Dec 10 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11649, 'Dec 10 08:45:51 1988', 'Dec 11 08:46:15 1988', 'Dec 10 12:00:00 1988', 'Dec 11 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11624, 'Dec 11 08:46:16 1988', 'Dec 12 08:46:45 1988', 'Dec 11 12:00:00 1988', 'Dec 12 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11594, 'Dec 12 08:46:46 1988', 'Dec 13 08:47:10 1988', 'Dec 12 12:00:00 1988', 'Dec 13 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11569, 'Dec 13 08:47:11 1988', 'Dec 14 08:47:40 1988', 'Dec 13 12:00:00 1988', 'Dec 14 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11539, 'Dec 14 08:47:41 1988', 'Dec 15 08:48:10 1988', 'Dec 14 12:00:00 1988', 'Dec 15 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11509, 'Dec 15 08:48:11 1988', 'Dec 16 08:48:40 1988', 'Dec 15 12:00:00 1988', 'Dec 16 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11479, 'Dec 16 08:48:41 1988', 'Dec 17 08:49:10 1988', 'Dec 16 12:00:00 1988', 'Dec 17 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11449, 'Dec 17 08:49:11 1988', 'Dec 18 08:49:35 1988', 'Dec 17 12:00:00 1988', 'Dec 18 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11424, 'Dec 18 08:49:36 1988', 'Dec 19 08:50:05 1988', 'Dec 18 12:00:00 1988', 'Dec 19 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11394, 'Dec 19 08:50:06 1988', 'Dec 20 08:50:35 1988', 'Dec 19 12:00:00 1988', 'Dec 20 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11364, 'Dec 20 08:50:36 1988', 'Dec 21 08:51:05 1988', 'Dec 20 12:00:00 1988', 'Dec 21 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11334, 'Dec 21 08:51:06 1988', 'Dec 22 08:51:35 1988', 'Dec 21 12:00:00 1988', 'Dec 22 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11304, 'Dec 22 08:51:36 1988', 'Dec 23 08:52:05 1988', 'Dec 22 12:00:00 1988', 'Dec 23 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11274, 'Dec 23 08:52:06 1988', 'Dec 24 08:52:35 1988', 'Dec 23 12:00:00 1988', 'Dec 24 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11244, 'Dec 24 08:52:36 1988', 'Dec 25 08:53:05 1988', 'Dec 24 12:00:00 1988', 'Dec 25 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11214, 'Dec 25 08:53:06 1988', 'Dec 26 08:53:35 1988', 'Dec 25 12:00:00 1988', 'Dec 26 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11184, 'Dec 26 08:53:36 1988', 'Dec 27 08:54:05 1988', 'Dec 26 12:00:00 1988', 'Dec 27 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11154, 'Dec 27 08:54:06 1988', 'Dec 28 08:54:35 1988', 'Dec 27 12:00:00 1988', 'Dec 28 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11124, 'Dec 28 08:54:36 1988', 'Dec 29 08:55:05 1988', 'Dec 28 12:00:00 1988', 'Dec 29 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11094, 'Dec 29 08:55:06 1988', 'Dec 30 08:55:30 1988', 'Dec 29 12:00:00 1988', 'Dec 30 12:00:24 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11069, 'Dec 30 08:55:31 1988', 'Dec 31 08:56:00 1988', 'Dec 30 12:00:00 1988', 'Dec 31 12:00:29 1988');
timezone.add_rule('Asia/Riyadh88', '??', 1, 11039, 'Dec 31 08:56:01 1988', 'Dec 31 20:56:00 1988', 'Dec 31 12:00:00 1988', 'Dec 31 23:59:59 1988');
timezone.add_rule('Asia/Riyadh88', '??', 0, 11224, 'Dec 31 20:56:01 1988', 'Jan 18 03:14:07 2038', 'Jan 1 00:03:05 1989', 'Jan 18 06:21:11 2038');
end;
/

--
-- Asia/Riyadh89
--

begin
timezone.add_rule('Asia/Riyadh89', '??', 0, 11224, 'Dec 14 20:45:52 1901', 'Jan 1 08:56:30 1989', 'Dec 14 23:52:56 1901', 'Jan 1 12:03:34 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11009, 'Jan 1 08:56:31 1989', 'Jan 2 08:57:00 1989', 'Jan 1 12:00:00 1989', 'Jan 2 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10979, 'Jan 2 08:57:01 1989', 'Jan 3 08:57:25 1989', 'Jan 2 12:00:00 1989', 'Jan 3 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10954, 'Jan 3 08:57:26 1989', 'Jan 4 08:57:55 1989', 'Jan 3 12:00:00 1989', 'Jan 4 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10924, 'Jan 4 08:57:56 1989', 'Jan 5 08:58:20 1989', 'Jan 4 12:00:00 1989', 'Jan 5 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10899, 'Jan 5 08:58:21 1989', 'Jan 6 08:58:45 1989', 'Jan 5 12:00:00 1989', 'Jan 6 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10874, 'Jan 6 08:58:46 1989', 'Jan 7 08:59:10 1989', 'Jan 6 12:00:00 1989', 'Jan 7 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10849, 'Jan 7 08:59:11 1989', 'Jan 8 08:59:40 1989', 'Jan 7 12:00:00 1989', 'Jan 8 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10819, 'Jan 8 08:59:41 1989', 'Jan 9 09:00:05 1989', 'Jan 8 12:00:00 1989', 'Jan 9 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10794, 'Jan 9 09:00:06 1989', 'Jan 10 09:00:30 1989', 'Jan 9 12:00:00 1989', 'Jan 10 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10769, 'Jan 10 09:00:31 1989', 'Jan 11 09:00:50 1989', 'Jan 10 12:00:00 1989', 'Jan 11 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10749, 'Jan 11 09:00:51 1989', 'Jan 12 09:01:15 1989', 'Jan 11 12:00:00 1989', 'Jan 12 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10724, 'Jan 12 09:01:16 1989', 'Jan 13 09:01:40 1989', 'Jan 12 12:00:00 1989', 'Jan 13 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10699, 'Jan 13 09:01:41 1989', 'Jan 14 09:02:00 1989', 'Jan 13 12:00:00 1989', 'Jan 14 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10679, 'Jan 14 09:02:01 1989', 'Jan 15 09:02:20 1989', 'Jan 14 12:00:00 1989', 'Jan 15 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10659, 'Jan 15 09:02:21 1989', 'Jan 16 09:02:40 1989', 'Jan 15 12:00:00 1989', 'Jan 16 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10639, 'Jan 16 09:02:41 1989', 'Jan 17 09:03:00 1989', 'Jan 16 12:00:00 1989', 'Jan 17 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10619, 'Jan 17 09:03:01 1989', 'Jan 18 09:03:20 1989', 'Jan 17 12:00:00 1989', 'Jan 18 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10599, 'Jan 18 09:03:21 1989', 'Jan 19 09:03:40 1989', 'Jan 18 12:00:00 1989', 'Jan 19 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10579, 'Jan 19 09:03:41 1989', 'Jan 20 09:04:00 1989', 'Jan 19 12:00:00 1989', 'Jan 20 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10559, 'Jan 20 09:04:01 1989', 'Jan 21 09:04:15 1989', 'Jan 20 12:00:00 1989', 'Jan 21 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10544, 'Jan 21 09:04:16 1989', 'Jan 22 09:04:30 1989', 'Jan 21 12:00:00 1989', 'Jan 22 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10529, 'Jan 22 09:04:31 1989', 'Jan 23 09:04:50 1989', 'Jan 22 12:00:00 1989', 'Jan 23 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10509, 'Jan 23 09:04:51 1989', 'Jan 24 09:05:05 1989', 'Jan 23 12:00:00 1989', 'Jan 24 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10494, 'Jan 24 09:05:06 1989', 'Jan 25 09:05:15 1989', 'Jan 24 12:00:00 1989', 'Jan 25 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10484, 'Jan 25 09:05:16 1989', 'Jan 26 09:05:30 1989', 'Jan 25 12:00:00 1989', 'Jan 26 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10469, 'Jan 26 09:05:31 1989', 'Jan 27 09:05:45 1989', 'Jan 26 12:00:00 1989', 'Jan 27 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10454, 'Jan 27 09:05:46 1989', 'Jan 28 09:05:55 1989', 'Jan 27 12:00:00 1989', 'Jan 28 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10444, 'Jan 28 09:05:56 1989', 'Jan 29 09:06:05 1989', 'Jan 28 12:00:00 1989', 'Jan 29 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10434, 'Jan 29 09:06:06 1989', 'Jan 30 09:06:15 1989', 'Jan 29 12:00:00 1989', 'Jan 30 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10424, 'Jan 30 09:06:16 1989', 'Jan 31 09:06:25 1989', 'Jan 30 12:00:00 1989', 'Jan 31 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10414, 'Jan 31 09:06:26 1989', 'Feb 1 09:06:35 1989', 'Jan 31 12:00:00 1989', 'Feb 1 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10404, 'Feb 1 09:06:36 1989', 'Feb 2 09:06:40 1989', 'Feb 1 12:00:00 1989', 'Feb 2 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10399, 'Feb 2 09:06:41 1989', 'Feb 3 09:06:50 1989', 'Feb 2 12:00:00 1989', 'Feb 3 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10389, 'Feb 3 09:06:51 1989', 'Feb 4 09:06:55 1989', 'Feb 3 12:00:00 1989', 'Feb 4 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10384, 'Feb 4 09:06:56 1989', 'Feb 5 09:07:00 1989', 'Feb 4 12:00:00 1989', 'Feb 5 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10379, 'Feb 5 09:07:01 1989', 'Feb 6 09:07:05 1989', 'Feb 5 12:00:00 1989', 'Feb 6 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10374, 'Feb 6 09:07:06 1989', 'Feb 8 09:07:10 1989', 'Feb 6 12:00:00 1989', 'Feb 8 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10369, 'Feb 8 09:07:11 1989', 'Feb 10 09:07:15 1989', 'Feb 8 12:00:00 1989', 'Feb 10 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10364, 'Feb 10 09:07:16 1989', 'Feb 13 09:07:10 1989', 'Feb 10 12:00:00 1989', 'Feb 13 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10369, 'Feb 13 09:07:11 1989', 'Feb 15 09:07:05 1989', 'Feb 13 12:00:00 1989', 'Feb 15 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10374, 'Feb 15 09:07:06 1989', 'Feb 17 09:07:00 1989', 'Feb 15 12:00:00 1989', 'Feb 17 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10379, 'Feb 17 09:07:01 1989', 'Feb 18 09:06:55 1989', 'Feb 17 12:00:00 1989', 'Feb 18 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10384, 'Feb 18 09:06:56 1989', 'Feb 19 09:06:50 1989', 'Feb 18 12:00:00 1989', 'Feb 19 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10389, 'Feb 19 09:06:51 1989', 'Feb 20 09:06:45 1989', 'Feb 19 12:00:00 1989', 'Feb 20 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10394, 'Feb 20 09:06:46 1989', 'Feb 21 09:06:35 1989', 'Feb 20 12:00:00 1989', 'Feb 21 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10404, 'Feb 21 09:06:36 1989', 'Feb 22 09:06:30 1989', 'Feb 21 12:00:00 1989', 'Feb 22 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10409, 'Feb 22 09:06:31 1989', 'Feb 23 09:06:20 1989', 'Feb 22 12:00:00 1989', 'Feb 23 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10419, 'Feb 23 09:06:21 1989', 'Feb 24 09:06:10 1989', 'Feb 23 12:00:00 1989', 'Feb 24 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10429, 'Feb 24 09:06:11 1989', 'Feb 25 09:06:00 1989', 'Feb 24 12:00:00 1989', 'Feb 25 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10439, 'Feb 25 09:06:01 1989', 'Feb 26 09:05:50 1989', 'Feb 25 12:00:00 1989', 'Feb 26 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10449, 'Feb 26 09:05:51 1989', 'Feb 27 09:05:40 1989', 'Feb 26 12:00:00 1989', 'Feb 27 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10459, 'Feb 27 09:05:41 1989', 'Feb 28 09:05:30 1989', 'Feb 27 12:00:00 1989', 'Feb 28 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10469, 'Feb 28 09:05:31 1989', 'Mar 1 09:05:20 1989', 'Feb 28 12:00:00 1989', 'Mar 1 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10479, 'Mar 1 09:05:21 1989', 'Mar 2 09:05:05 1989', 'Mar 1 12:00:00 1989', 'Mar 2 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10494, 'Mar 2 09:05:06 1989', 'Mar 3 09:04:55 1989', 'Mar 2 12:00:00 1989', 'Mar 3 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10504, 'Mar 3 09:04:56 1989', 'Mar 4 09:04:40 1989', 'Mar 3 12:00:00 1989', 'Mar 4 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10519, 'Mar 4 09:04:41 1989', 'Mar 5 09:04:30 1989', 'Mar 4 12:00:00 1989', 'Mar 5 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10529, 'Mar 5 09:04:31 1989', 'Mar 6 09:04:15 1989', 'Mar 5 12:00:00 1989', 'Mar 6 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10544, 'Mar 6 09:04:16 1989', 'Mar 7 09:04:00 1989', 'Mar 6 12:00:00 1989', 'Mar 7 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10559, 'Mar 7 09:04:01 1989', 'Mar 8 09:03:45 1989', 'Mar 7 12:00:00 1989', 'Mar 8 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10574, 'Mar 8 09:03:46 1989', 'Mar 9 09:03:30 1989', 'Mar 8 12:00:00 1989', 'Mar 9 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10589, 'Mar 9 09:03:31 1989', 'Mar 10 09:03:15 1989', 'Mar 9 12:00:00 1989', 'Mar 10 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10604, 'Mar 10 09:03:16 1989', 'Mar 11 09:03:00 1989', 'Mar 10 12:00:00 1989', 'Mar 11 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10619, 'Mar 11 09:03:01 1989', 'Mar 12 09:02:45 1989', 'Mar 11 12:00:00 1989', 'Mar 12 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10634, 'Mar 12 09:02:46 1989', 'Mar 13 09:02:25 1989', 'Mar 12 12:00:00 1989', 'Mar 13 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10654, 'Mar 13 09:02:26 1989', 'Mar 14 09:02:10 1989', 'Mar 13 12:00:00 1989', 'Mar 14 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10669, 'Mar 14 09:02:11 1989', 'Mar 15 09:01:55 1989', 'Mar 14 12:00:00 1989', 'Mar 15 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10684, 'Mar 15 09:01:56 1989', 'Mar 16 09:01:35 1989', 'Mar 15 12:00:00 1989', 'Mar 16 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10704, 'Mar 16 09:01:36 1989', 'Mar 17 09:01:20 1989', 'Mar 16 12:00:00 1989', 'Mar 17 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10719, 'Mar 17 09:01:21 1989', 'Mar 18 09:01:00 1989', 'Mar 17 12:00:00 1989', 'Mar 18 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10739, 'Mar 18 09:01:01 1989', 'Mar 19 09:00:45 1989', 'Mar 18 12:00:00 1989', 'Mar 19 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10754, 'Mar 19 09:00:46 1989', 'Mar 20 09:00:25 1989', 'Mar 19 12:00:00 1989', 'Mar 20 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10774, 'Mar 20 09:00:26 1989', 'Mar 21 09:00:10 1989', 'Mar 20 12:00:00 1989', 'Mar 21 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10789, 'Mar 21 09:00:11 1989', 'Mar 22 08:59:50 1989', 'Mar 21 12:00:00 1989', 'Mar 22 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10809, 'Mar 22 08:59:51 1989', 'Mar 23 08:59:30 1989', 'Mar 22 12:00:00 1989', 'Mar 23 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10829, 'Mar 23 08:59:31 1989', 'Mar 24 08:59:15 1989', 'Mar 23 12:00:00 1989', 'Mar 24 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10844, 'Mar 24 08:59:16 1989', 'Mar 25 08:58:55 1989', 'Mar 24 12:00:00 1989', 'Mar 25 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10864, 'Mar 25 08:58:56 1989', 'Mar 26 08:58:35 1989', 'Mar 25 12:00:00 1989', 'Mar 26 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10884, 'Mar 26 08:58:36 1989', 'Mar 27 08:58:20 1989', 'Mar 26 12:00:00 1989', 'Mar 27 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10899, 'Mar 27 08:58:21 1989', 'Mar 28 08:58:00 1989', 'Mar 27 12:00:00 1989', 'Mar 28 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10919, 'Mar 28 08:58:01 1989', 'Mar 29 08:57:45 1989', 'Mar 28 12:00:00 1989', 'Mar 29 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10934, 'Mar 29 08:57:46 1989', 'Mar 30 08:57:25 1989', 'Mar 29 12:00:00 1989', 'Mar 30 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10954, 'Mar 30 08:57:26 1989', 'Mar 31 08:57:05 1989', 'Mar 30 12:00:00 1989', 'Mar 31 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10974, 'Mar 31 08:57:06 1989', 'Apr 1 08:56:50 1989', 'Mar 31 12:00:00 1989', 'Apr 1 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10989, 'Apr 1 08:56:51 1989', 'Apr 2 08:56:30 1989', 'Apr 1 12:00:00 1989', 'Apr 2 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11009, 'Apr 2 08:56:31 1989', 'Apr 3 08:56:15 1989', 'Apr 2 12:00:00 1989', 'Apr 3 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11024, 'Apr 3 08:56:16 1989', 'Apr 4 08:55:55 1989', 'Apr 3 12:00:00 1989', 'Apr 4 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11044, 'Apr 4 08:55:56 1989', 'Apr 5 08:55:40 1989', 'Apr 4 12:00:00 1989', 'Apr 5 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11059, 'Apr 5 08:55:41 1989', 'Apr 6 08:55:20 1989', 'Apr 5 12:00:00 1989', 'Apr 6 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11079, 'Apr 6 08:55:21 1989', 'Apr 7 08:55:05 1989', 'Apr 6 12:00:00 1989', 'Apr 7 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11094, 'Apr 7 08:55:06 1989', 'Apr 8 08:54:45 1989', 'Apr 7 12:00:00 1989', 'Apr 8 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11114, 'Apr 8 08:54:46 1989', 'Apr 9 08:54:30 1989', 'Apr 8 12:00:00 1989', 'Apr 9 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11129, 'Apr 9 08:54:31 1989', 'Apr 10 08:54:15 1989', 'Apr 9 12:00:00 1989', 'Apr 10 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11144, 'Apr 10 08:54:16 1989', 'Apr 11 08:54:00 1989', 'Apr 10 12:00:00 1989', 'Apr 11 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11159, 'Apr 11 08:54:01 1989', 'Apr 12 08:53:45 1989', 'Apr 11 12:00:00 1989', 'Apr 12 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11174, 'Apr 12 08:53:46 1989', 'Apr 13 08:53:30 1989', 'Apr 12 12:00:00 1989', 'Apr 13 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11189, 'Apr 13 08:53:31 1989', 'Apr 14 08:53:15 1989', 'Apr 13 12:00:00 1989', 'Apr 14 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11204, 'Apr 14 08:53:16 1989', 'Apr 15 08:53:00 1989', 'Apr 14 12:00:00 1989', 'Apr 15 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11219, 'Apr 15 08:53:01 1989', 'Apr 16 08:52:45 1989', 'Apr 15 12:00:00 1989', 'Apr 16 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11234, 'Apr 16 08:52:46 1989', 'Apr 17 08:52:30 1989', 'Apr 16 12:00:00 1989', 'Apr 17 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11249, 'Apr 17 08:52:31 1989', 'Apr 18 08:52:15 1989', 'Apr 17 12:00:00 1989', 'Apr 18 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11264, 'Apr 18 08:52:16 1989', 'Apr 19 08:52:05 1989', 'Apr 18 12:00:00 1989', 'Apr 19 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11274, 'Apr 19 08:52:06 1989', 'Apr 20 08:51:50 1989', 'Apr 19 12:00:00 1989', 'Apr 20 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11289, 'Apr 20 08:51:51 1989', 'Apr 21 08:51:40 1989', 'Apr 20 12:00:00 1989', 'Apr 21 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11299, 'Apr 21 08:51:41 1989', 'Apr 22 08:51:25 1989', 'Apr 21 12:00:00 1989', 'Apr 22 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11314, 'Apr 22 08:51:26 1989', 'Apr 23 08:51:15 1989', 'Apr 22 12:00:00 1989', 'Apr 23 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11324, 'Apr 23 08:51:16 1989', 'Apr 24 08:51:05 1989', 'Apr 23 12:00:00 1989', 'Apr 24 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11334, 'Apr 24 08:51:06 1989', 'Apr 25 08:50:55 1989', 'Apr 24 12:00:00 1989', 'Apr 25 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11344, 'Apr 25 08:50:56 1989', 'Apr 26 08:50:45 1989', 'Apr 25 12:00:00 1989', 'Apr 26 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11354, 'Apr 26 08:50:46 1989', 'Apr 27 08:50:35 1989', 'Apr 26 12:00:00 1989', 'Apr 27 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11364, 'Apr 27 08:50:36 1989', 'Apr 28 08:50:25 1989', 'Apr 27 12:00:00 1989', 'Apr 28 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11374, 'Apr 28 08:50:26 1989', 'Apr 29 08:50:15 1989', 'Apr 28 12:00:00 1989', 'Apr 29 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11384, 'Apr 29 08:50:16 1989', 'Apr 30 08:50:10 1989', 'Apr 29 12:00:00 1989', 'Apr 30 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11389, 'Apr 30 08:50:11 1989', 'May 1 08:50:00 1989', 'Apr 30 12:00:00 1989', 'May 1 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11399, 'May 1 08:50:01 1989', 'May 2 08:49:55 1989', 'May 1 12:00:00 1989', 'May 2 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11404, 'May 2 08:49:56 1989', 'May 3 08:49:45 1989', 'May 2 12:00:00 1989', 'May 3 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11414, 'May 3 08:49:46 1989', 'May 4 08:49:40 1989', 'May 3 12:00:00 1989', 'May 4 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11419, 'May 4 08:49:41 1989', 'May 5 08:49:35 1989', 'May 4 12:00:00 1989', 'May 5 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11424, 'May 5 08:49:36 1989', 'May 6 08:49:30 1989', 'May 5 12:00:00 1989', 'May 6 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11429, 'May 6 08:49:31 1989', 'May 7 08:49:25 1989', 'May 6 12:00:00 1989', 'May 7 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11434, 'May 7 08:49:26 1989', 'May 9 08:49:20 1989', 'May 7 12:00:00 1989', 'May 9 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11439, 'May 9 08:49:21 1989', 'May 11 08:49:15 1989', 'May 9 12:00:00 1989', 'May 11 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11444, 'May 11 08:49:16 1989', 'May 18 08:49:20 1989', 'May 11 12:00:00 1989', 'May 18 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11439, 'May 18 08:49:21 1989', 'May 20 08:49:25 1989', 'May 18 12:00:00 1989', 'May 20 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11434, 'May 20 08:49:26 1989', 'May 21 08:49:30 1989', 'May 20 12:00:00 1989', 'May 21 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11429, 'May 21 08:49:31 1989', 'May 23 08:49:35 1989', 'May 21 12:00:00 1989', 'May 23 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11424, 'May 23 08:49:36 1989', 'May 24 08:49:40 1989', 'May 23 12:00:00 1989', 'May 24 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11419, 'May 24 08:49:41 1989', 'May 25 08:49:50 1989', 'May 24 12:00:00 1989', 'May 25 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11409, 'May 25 08:49:51 1989', 'May 26 08:49:55 1989', 'May 25 12:00:00 1989', 'May 26 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11404, 'May 26 08:49:56 1989', 'May 27 08:50:00 1989', 'May 26 12:00:00 1989', 'May 27 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11399, 'May 27 08:50:01 1989', 'May 28 08:50:10 1989', 'May 27 12:00:00 1989', 'May 28 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11389, 'May 28 08:50:11 1989', 'May 29 08:50:15 1989', 'May 28 12:00:00 1989', 'May 29 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11384, 'May 29 08:50:16 1989', 'May 30 08:50:25 1989', 'May 29 12:00:00 1989', 'May 30 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11374, 'May 30 08:50:26 1989', 'May 31 08:50:30 1989', 'May 30 12:00:00 1989', 'May 31 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11369, 'May 31 08:50:31 1989', 'Jun 1 08:50:40 1989', 'May 31 12:00:00 1989', 'Jun 1 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11359, 'Jun 1 08:50:41 1989', 'Jun 2 08:50:50 1989', 'Jun 1 12:00:00 1989', 'Jun 2 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11349, 'Jun 2 08:50:51 1989', 'Jun 3 08:51:00 1989', 'Jun 2 12:00:00 1989', 'Jun 3 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11339, 'Jun 3 08:51:01 1989', 'Jun 4 08:51:10 1989', 'Jun 3 12:00:00 1989', 'Jun 4 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11329, 'Jun 4 08:51:11 1989', 'Jun 5 08:51:20 1989', 'Jun 4 12:00:00 1989', 'Jun 5 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11319, 'Jun 5 08:51:21 1989', 'Jun 6 08:51:30 1989', 'Jun 5 12:00:00 1989', 'Jun 6 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11309, 'Jun 6 08:51:31 1989', 'Jun 7 08:51:40 1989', 'Jun 6 12:00:00 1989', 'Jun 7 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11299, 'Jun 7 08:51:41 1989', 'Jun 8 08:51:55 1989', 'Jun 7 12:00:00 1989', 'Jun 8 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11284, 'Jun 8 08:51:56 1989', 'Jun 9 08:52:05 1989', 'Jun 8 12:00:00 1989', 'Jun 9 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11274, 'Jun 9 08:52:06 1989', 'Jun 10 08:52:15 1989', 'Jun 9 12:00:00 1989', 'Jun 10 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11264, 'Jun 10 08:52:16 1989', 'Jun 11 08:52:30 1989', 'Jun 10 12:00:00 1989', 'Jun 11 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11249, 'Jun 11 08:52:31 1989', 'Jun 12 08:52:40 1989', 'Jun 11 12:00:00 1989', 'Jun 12 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11239, 'Jun 12 08:52:41 1989', 'Jun 13 08:52:55 1989', 'Jun 12 12:00:00 1989', 'Jun 13 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 0, 11224, 'Jun 13 08:52:56 1989', 'Jun 14 08:53:05 1989', 'Jun 13 12:00:00 1989', 'Jun 14 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11214, 'Jun 14 08:53:06 1989', 'Jun 15 08:53:20 1989', 'Jun 14 12:00:00 1989', 'Jun 15 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11199, 'Jun 15 08:53:21 1989', 'Jun 16 08:53:30 1989', 'Jun 15 12:00:00 1989', 'Jun 16 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11189, 'Jun 16 08:53:31 1989', 'Jun 17 08:53:45 1989', 'Jun 16 12:00:00 1989', 'Jun 17 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11174, 'Jun 17 08:53:46 1989', 'Jun 18 08:54:00 1989', 'Jun 17 12:00:00 1989', 'Jun 18 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11159, 'Jun 18 08:54:01 1989', 'Jun 19 08:54:10 1989', 'Jun 18 12:00:00 1989', 'Jun 19 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11149, 'Jun 19 08:54:11 1989', 'Jun 20 08:54:25 1989', 'Jun 19 12:00:00 1989', 'Jun 20 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11134, 'Jun 20 08:54:26 1989', 'Jun 21 08:54:35 1989', 'Jun 20 12:00:00 1989', 'Jun 21 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11124, 'Jun 21 08:54:36 1989', 'Jun 22 08:54:50 1989', 'Jun 21 12:00:00 1989', 'Jun 22 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11109, 'Jun 22 08:54:51 1989', 'Jun 23 08:55:05 1989', 'Jun 22 12:00:00 1989', 'Jun 23 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11094, 'Jun 23 08:55:06 1989', 'Jun 24 08:55:15 1989', 'Jun 23 12:00:00 1989', 'Jun 24 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11084, 'Jun 24 08:55:16 1989', 'Jun 25 08:55:30 1989', 'Jun 24 12:00:00 1989', 'Jun 25 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11069, 'Jun 25 08:55:31 1989', 'Jun 26 08:55:40 1989', 'Jun 25 12:00:00 1989', 'Jun 26 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11059, 'Jun 26 08:55:41 1989', 'Jun 27 08:55:55 1989', 'Jun 26 12:00:00 1989', 'Jun 27 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11044, 'Jun 27 08:55:56 1989', 'Jun 28 08:56:05 1989', 'Jun 27 12:00:00 1989', 'Jun 28 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11034, 'Jun 28 08:56:06 1989', 'Jun 29 08:56:20 1989', 'Jun 28 12:00:00 1989', 'Jun 29 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11019, 'Jun 29 08:56:21 1989', 'Jun 30 08:56:30 1989', 'Jun 29 12:00:00 1989', 'Jun 30 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11009, 'Jun 30 08:56:31 1989', 'Jul 1 08:56:40 1989', 'Jun 30 12:00:00 1989', 'Jul 1 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10999, 'Jul 1 08:56:41 1989', 'Jul 2 08:56:55 1989', 'Jul 1 12:00:00 1989', 'Jul 2 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10984, 'Jul 2 08:56:56 1989', 'Jul 3 08:57:05 1989', 'Jul 2 12:00:00 1989', 'Jul 3 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10974, 'Jul 3 08:57:06 1989', 'Jul 4 08:57:15 1989', 'Jul 3 12:00:00 1989', 'Jul 4 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10964, 'Jul 4 08:57:16 1989', 'Jul 5 08:57:25 1989', 'Jul 4 12:00:00 1989', 'Jul 5 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10954, 'Jul 5 08:57:26 1989', 'Jul 6 08:57:35 1989', 'Jul 5 12:00:00 1989', 'Jul 6 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10944, 'Jul 6 08:57:36 1989', 'Jul 7 08:57:45 1989', 'Jul 6 12:00:00 1989', 'Jul 7 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10934, 'Jul 7 08:57:46 1989', 'Jul 8 08:57:55 1989', 'Jul 7 12:00:00 1989', 'Jul 8 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10924, 'Jul 8 08:57:56 1989', 'Jul 9 08:58:05 1989', 'Jul 8 12:00:00 1989', 'Jul 9 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10914, 'Jul 9 08:58:06 1989', 'Jul 10 08:58:15 1989', 'Jul 9 12:00:00 1989', 'Jul 10 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10904, 'Jul 10 08:58:16 1989', 'Jul 11 08:58:20 1989', 'Jul 10 12:00:00 1989', 'Jul 11 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10899, 'Jul 11 08:58:21 1989', 'Jul 12 08:58:30 1989', 'Jul 11 12:00:00 1989', 'Jul 12 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10889, 'Jul 12 08:58:31 1989', 'Jul 13 08:58:35 1989', 'Jul 12 12:00:00 1989', 'Jul 13 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10884, 'Jul 13 08:58:36 1989', 'Jul 14 08:58:45 1989', 'Jul 13 12:00:00 1989', 'Jul 14 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10874, 'Jul 14 08:58:46 1989', 'Jul 15 08:58:50 1989', 'Jul 14 12:00:00 1989', 'Jul 15 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10869, 'Jul 15 08:58:51 1989', 'Jul 16 08:58:55 1989', 'Jul 15 12:00:00 1989', 'Jul 16 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10864, 'Jul 16 08:58:56 1989', 'Jul 17 08:59:00 1989', 'Jul 16 12:00:00 1989', 'Jul 17 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10859, 'Jul 17 08:59:01 1989', 'Jul 18 08:59:05 1989', 'Jul 17 12:00:00 1989', 'Jul 18 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10854, 'Jul 18 08:59:06 1989', 'Jul 19 08:59:10 1989', 'Jul 18 12:00:00 1989', 'Jul 19 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10849, 'Jul 19 08:59:11 1989', 'Jul 20 08:59:15 1989', 'Jul 19 12:00:00 1989', 'Jul 20 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10844, 'Jul 20 08:59:16 1989', 'Jul 22 08:59:20 1989', 'Jul 20 12:00:00 1989', 'Jul 22 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10839, 'Jul 22 08:59:21 1989', 'Jul 24 08:59:25 1989', 'Jul 22 12:00:00 1989', 'Jul 24 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10834, 'Jul 24 08:59:26 1989', 'Jul 29 08:59:20 1989', 'Jul 24 12:00:00 1989', 'Jul 29 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10839, 'Jul 29 08:59:21 1989', 'Jul 31 08:59:15 1989', 'Jul 29 12:00:00 1989', 'Jul 31 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10844, 'Jul 31 08:59:16 1989', 'Aug 2 08:59:10 1989', 'Jul 31 12:00:00 1989', 'Aug 2 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10849, 'Aug 2 08:59:11 1989', 'Aug 3 08:59:05 1989', 'Aug 2 12:00:00 1989', 'Aug 3 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10854, 'Aug 3 08:59:06 1989', 'Aug 4 08:59:00 1989', 'Aug 3 12:00:00 1989', 'Aug 4 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10859, 'Aug 4 08:59:01 1989', 'Aug 5 08:58:55 1989', 'Aug 4 12:00:00 1989', 'Aug 5 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10864, 'Aug 5 08:58:56 1989', 'Aug 6 08:58:45 1989', 'Aug 5 12:00:00 1989', 'Aug 6 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10874, 'Aug 6 08:58:46 1989', 'Aug 7 08:58:40 1989', 'Aug 6 12:00:00 1989', 'Aug 7 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10879, 'Aug 7 08:58:41 1989', 'Aug 8 08:58:30 1989', 'Aug 7 12:00:00 1989', 'Aug 8 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10889, 'Aug 8 08:58:31 1989', 'Aug 9 08:58:25 1989', 'Aug 8 12:00:00 1989', 'Aug 9 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10894, 'Aug 9 08:58:26 1989', 'Aug 10 08:58:15 1989', 'Aug 9 12:00:00 1989', 'Aug 10 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10904, 'Aug 10 08:58:16 1989', 'Aug 11 08:58:05 1989', 'Aug 10 12:00:00 1989', 'Aug 11 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10914, 'Aug 11 08:58:06 1989', 'Aug 12 08:57:55 1989', 'Aug 11 12:00:00 1989', 'Aug 12 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10924, 'Aug 12 08:57:56 1989', 'Aug 13 08:57:45 1989', 'Aug 12 12:00:00 1989', 'Aug 13 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10934, 'Aug 13 08:57:46 1989', 'Aug 14 08:57:35 1989', 'Aug 13 12:00:00 1989', 'Aug 14 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10944, 'Aug 14 08:57:36 1989', 'Aug 15 08:57:25 1989', 'Aug 14 12:00:00 1989', 'Aug 15 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10954, 'Aug 15 08:57:26 1989', 'Aug 16 08:57:10 1989', 'Aug 15 12:00:00 1989', 'Aug 16 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10969, 'Aug 16 08:57:11 1989', 'Aug 17 08:57:00 1989', 'Aug 16 12:00:00 1989', 'Aug 17 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10979, 'Aug 17 08:57:01 1989', 'Aug 18 08:56:45 1989', 'Aug 17 12:00:00 1989', 'Aug 18 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 10994, 'Aug 18 08:56:46 1989', 'Aug 19 08:56:30 1989', 'Aug 18 12:00:00 1989', 'Aug 19 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11009, 'Aug 19 08:56:31 1989', 'Aug 20 08:56:20 1989', 'Aug 19 12:00:00 1989', 'Aug 20 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11019, 'Aug 20 08:56:21 1989', 'Aug 21 08:56:05 1989', 'Aug 20 12:00:00 1989', 'Aug 21 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11034, 'Aug 21 08:56:06 1989', 'Aug 22 08:55:50 1989', 'Aug 21 12:00:00 1989', 'Aug 22 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11049, 'Aug 22 08:55:51 1989', 'Aug 23 08:55:35 1989', 'Aug 22 12:00:00 1989', 'Aug 23 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11064, 'Aug 23 08:55:36 1989', 'Aug 24 08:55:15 1989', 'Aug 23 12:00:00 1989', 'Aug 24 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11084, 'Aug 24 08:55:16 1989', 'Aug 25 08:55:00 1989', 'Aug 24 12:00:00 1989', 'Aug 25 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11099, 'Aug 25 08:55:01 1989', 'Aug 26 08:54:45 1989', 'Aug 25 12:00:00 1989', 'Aug 26 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11114, 'Aug 26 08:54:46 1989', 'Aug 27 08:54:25 1989', 'Aug 26 12:00:00 1989', 'Aug 27 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11134, 'Aug 27 08:54:26 1989', 'Aug 28 08:54:10 1989', 'Aug 27 12:00:00 1989', 'Aug 28 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11149, 'Aug 28 08:54:11 1989', 'Aug 29 08:53:50 1989', 'Aug 28 12:00:00 1989', 'Aug 29 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11169, 'Aug 29 08:53:51 1989', 'Aug 30 08:53:35 1989', 'Aug 29 12:00:00 1989', 'Aug 30 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11184, 'Aug 30 08:53:36 1989', 'Aug 31 08:53:15 1989', 'Aug 30 12:00:00 1989', 'Aug 31 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11204, 'Aug 31 08:53:16 1989', 'Sep 1 08:52:55 1989', 'Aug 31 12:00:00 1989', 'Sep 1 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 0, 11224, 'Sep 1 08:52:56 1989', 'Sep 2 08:52:40 1989', 'Sep 1 12:00:00 1989', 'Sep 2 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11239, 'Sep 2 08:52:41 1989', 'Sep 3 08:52:20 1989', 'Sep 2 12:00:00 1989', 'Sep 3 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11259, 'Sep 3 08:52:21 1989', 'Sep 4 08:52:00 1989', 'Sep 3 12:00:00 1989', 'Sep 4 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11279, 'Sep 4 08:52:01 1989', 'Sep 5 08:51:40 1989', 'Sep 4 12:00:00 1989', 'Sep 5 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11299, 'Sep 5 08:51:41 1989', 'Sep 6 08:51:20 1989', 'Sep 5 12:00:00 1989', 'Sep 6 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11319, 'Sep 6 08:51:21 1989', 'Sep 7 08:51:00 1989', 'Sep 6 12:00:00 1989', 'Sep 7 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11339, 'Sep 7 08:51:01 1989', 'Sep 8 08:50:40 1989', 'Sep 7 12:00:00 1989', 'Sep 8 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11359, 'Sep 8 08:50:41 1989', 'Sep 9 08:50:15 1989', 'Sep 8 12:00:00 1989', 'Sep 9 11:59:34 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11384, 'Sep 9 08:50:16 1989', 'Sep 10 08:49:55 1989', 'Sep 9 12:00:00 1989', 'Sep 10 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11404, 'Sep 10 08:49:56 1989', 'Sep 11 08:49:35 1989', 'Sep 10 12:00:00 1989', 'Sep 11 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11424, 'Sep 11 08:49:36 1989', 'Sep 12 08:49:15 1989', 'Sep 11 12:00:00 1989', 'Sep 12 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11444, 'Sep 12 08:49:16 1989', 'Sep 13 08:48:55 1989', 'Sep 12 12:00:00 1989', 'Sep 13 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11464, 'Sep 13 08:48:56 1989', 'Sep 14 08:48:30 1989', 'Sep 13 12:00:00 1989', 'Sep 14 11:59:34 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11489, 'Sep 14 08:48:31 1989', 'Sep 15 08:48:10 1989', 'Sep 14 12:00:00 1989', 'Sep 15 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11509, 'Sep 15 08:48:11 1989', 'Sep 16 08:47:50 1989', 'Sep 15 12:00:00 1989', 'Sep 16 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11529, 'Sep 16 08:47:51 1989', 'Sep 17 08:47:30 1989', 'Sep 16 12:00:00 1989', 'Sep 17 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11549, 'Sep 17 08:47:31 1989', 'Sep 18 08:47:05 1989', 'Sep 17 12:00:00 1989', 'Sep 18 11:59:34 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11574, 'Sep 18 08:47:06 1989', 'Sep 19 08:46:45 1989', 'Sep 18 12:00:00 1989', 'Sep 19 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11594, 'Sep 19 08:46:46 1989', 'Sep 20 08:46:25 1989', 'Sep 19 12:00:00 1989', 'Sep 20 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11614, 'Sep 20 08:46:26 1989', 'Sep 21 08:46:05 1989', 'Sep 20 12:00:00 1989', 'Sep 21 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11634, 'Sep 21 08:46:06 1989', 'Sep 22 08:45:40 1989', 'Sep 21 12:00:00 1989', 'Sep 22 11:59:34 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11659, 'Sep 22 08:45:41 1989', 'Sep 23 08:45:20 1989', 'Sep 22 12:00:00 1989', 'Sep 23 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11679, 'Sep 23 08:45:21 1989', 'Sep 24 08:45:00 1989', 'Sep 23 12:00:00 1989', 'Sep 24 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11699, 'Sep 24 08:45:01 1989', 'Sep 25 08:44:40 1989', 'Sep 24 12:00:00 1989', 'Sep 25 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11719, 'Sep 25 08:44:41 1989', 'Sep 26 08:44:20 1989', 'Sep 25 12:00:00 1989', 'Sep 26 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11739, 'Sep 26 08:44:21 1989', 'Sep 27 08:44:00 1989', 'Sep 26 12:00:00 1989', 'Sep 27 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11759, 'Sep 27 08:44:01 1989', 'Sep 28 08:43:35 1989', 'Sep 27 12:00:00 1989', 'Sep 28 11:59:34 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11784, 'Sep 28 08:43:36 1989', 'Sep 29 08:43:15 1989', 'Sep 28 12:00:00 1989', 'Sep 29 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11804, 'Sep 29 08:43:16 1989', 'Sep 30 08:42:55 1989', 'Sep 29 12:00:00 1989', 'Sep 30 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11824, 'Sep 30 08:42:56 1989', 'Oct 1 08:42:40 1989', 'Sep 30 12:00:00 1989', 'Oct 1 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11839, 'Oct 1 08:42:41 1989', 'Oct 2 08:42:20 1989', 'Oct 1 12:00:00 1989', 'Oct 2 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11859, 'Oct 2 08:42:21 1989', 'Oct 3 08:42:00 1989', 'Oct 2 12:00:00 1989', 'Oct 3 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11879, 'Oct 3 08:42:01 1989', 'Oct 4 08:41:40 1989', 'Oct 3 12:00:00 1989', 'Oct 4 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11899, 'Oct 4 08:41:41 1989', 'Oct 5 08:41:25 1989', 'Oct 4 12:00:00 1989', 'Oct 5 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11914, 'Oct 5 08:41:26 1989', 'Oct 6 08:41:05 1989', 'Oct 5 12:00:00 1989', 'Oct 6 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11934, 'Oct 6 08:41:06 1989', 'Oct 7 08:40:45 1989', 'Oct 6 12:00:00 1989', 'Oct 7 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11954, 'Oct 7 08:40:46 1989', 'Oct 8 08:40:30 1989', 'Oct 7 12:00:00 1989', 'Oct 8 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11969, 'Oct 8 08:40:31 1989', 'Oct 9 08:40:15 1989', 'Oct 8 12:00:00 1989', 'Oct 9 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11984, 'Oct 9 08:40:16 1989', 'Oct 10 08:39:55 1989', 'Oct 9 12:00:00 1989', 'Oct 10 11:59:39 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12004, 'Oct 10 08:39:56 1989', 'Oct 11 08:39:40 1989', 'Oct 10 12:00:00 1989', 'Oct 11 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12019, 'Oct 11 08:39:41 1989', 'Oct 12 08:39:25 1989', 'Oct 11 12:00:00 1989', 'Oct 12 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12034, 'Oct 12 08:39:26 1989', 'Oct 13 08:39:10 1989', 'Oct 12 12:00:00 1989', 'Oct 13 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12049, 'Oct 13 08:39:11 1989', 'Oct 14 08:38:55 1989', 'Oct 13 12:00:00 1989', 'Oct 14 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12064, 'Oct 14 08:38:56 1989', 'Oct 15 08:38:45 1989', 'Oct 14 12:00:00 1989', 'Oct 15 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12074, 'Oct 15 08:38:46 1989', 'Oct 16 08:38:30 1989', 'Oct 15 12:00:00 1989', 'Oct 16 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12089, 'Oct 16 08:38:31 1989', 'Oct 17 08:38:15 1989', 'Oct 16 12:00:00 1989', 'Oct 17 11:59:44 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12104, 'Oct 17 08:38:16 1989', 'Oct 18 08:38:05 1989', 'Oct 17 12:00:00 1989', 'Oct 18 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12114, 'Oct 18 08:38:06 1989', 'Oct 19 08:37:55 1989', 'Oct 18 12:00:00 1989', 'Oct 19 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12124, 'Oct 19 08:37:56 1989', 'Oct 20 08:37:45 1989', 'Oct 19 12:00:00 1989', 'Oct 20 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12134, 'Oct 20 08:37:46 1989', 'Oct 21 08:37:35 1989', 'Oct 20 12:00:00 1989', 'Oct 21 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12144, 'Oct 21 08:37:36 1989', 'Oct 22 08:37:25 1989', 'Oct 21 12:00:00 1989', 'Oct 22 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12154, 'Oct 22 08:37:26 1989', 'Oct 23 08:37:15 1989', 'Oct 22 12:00:00 1989', 'Oct 23 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12164, 'Oct 23 08:37:16 1989', 'Oct 24 08:37:05 1989', 'Oct 23 12:00:00 1989', 'Oct 24 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12174, 'Oct 24 08:37:06 1989', 'Oct 25 08:37:00 1989', 'Oct 24 12:00:00 1989', 'Oct 25 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12179, 'Oct 25 08:37:01 1989', 'Oct 26 08:36:55 1989', 'Oct 25 12:00:00 1989', 'Oct 26 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12184, 'Oct 26 08:36:56 1989', 'Oct 27 08:36:45 1989', 'Oct 26 12:00:00 1989', 'Oct 27 11:59:49 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12194, 'Oct 27 08:36:46 1989', 'Oct 28 08:36:40 1989', 'Oct 27 12:00:00 1989', 'Oct 28 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12199, 'Oct 28 08:36:41 1989', 'Oct 29 08:36:35 1989', 'Oct 28 12:00:00 1989', 'Oct 29 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12204, 'Oct 29 08:36:36 1989', 'Oct 31 08:36:30 1989', 'Oct 29 12:00:00 1989', 'Oct 31 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12209, 'Oct 31 08:36:31 1989', 'Nov 3 08:36:25 1989', 'Oct 31 12:00:00 1989', 'Nov 3 11:59:54 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12214, 'Nov 3 08:36:26 1989', 'Nov 4 08:36:30 1989', 'Nov 3 12:00:00 1989', 'Nov 4 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12209, 'Nov 4 08:36:31 1989', 'Nov 7 08:36:35 1989', 'Nov 4 12:00:00 1989', 'Nov 7 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12204, 'Nov 7 08:36:36 1989', 'Nov 8 08:36:40 1989', 'Nov 7 12:00:00 1989', 'Nov 8 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12199, 'Nov 8 08:36:41 1989', 'Nov 9 08:36:45 1989', 'Nov 8 12:00:00 1989', 'Nov 9 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12194, 'Nov 9 08:36:46 1989', 'Nov 10 08:36:50 1989', 'Nov 9 12:00:00 1989', 'Nov 10 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12189, 'Nov 10 08:36:51 1989', 'Nov 11 08:36:55 1989', 'Nov 10 12:00:00 1989', 'Nov 11 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12184, 'Nov 11 08:36:56 1989', 'Nov 12 08:37:00 1989', 'Nov 11 12:00:00 1989', 'Nov 12 12:00:04 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12179, 'Nov 12 08:37:01 1989', 'Nov 13 08:37:10 1989', 'Nov 12 12:00:00 1989', 'Nov 13 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12169, 'Nov 13 08:37:11 1989', 'Nov 14 08:37:20 1989', 'Nov 13 12:00:00 1989', 'Nov 14 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12159, 'Nov 14 08:37:21 1989', 'Nov 15 08:37:30 1989', 'Nov 14 12:00:00 1989', 'Nov 15 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12149, 'Nov 15 08:37:31 1989', 'Nov 16 08:37:40 1989', 'Nov 15 12:00:00 1989', 'Nov 16 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12139, 'Nov 16 08:37:41 1989', 'Nov 17 08:37:50 1989', 'Nov 16 12:00:00 1989', 'Nov 17 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12129, 'Nov 17 08:37:51 1989', 'Nov 18 08:38:05 1989', 'Nov 17 12:00:00 1989', 'Nov 18 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12114, 'Nov 18 08:38:06 1989', 'Nov 19 08:38:15 1989', 'Nov 18 12:00:00 1989', 'Nov 19 12:00:09 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12104, 'Nov 19 08:38:16 1989', 'Nov 20 08:38:30 1989', 'Nov 19 12:00:00 1989', 'Nov 20 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12089, 'Nov 20 08:38:31 1989', 'Nov 21 08:38:45 1989', 'Nov 20 12:00:00 1989', 'Nov 21 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12074, 'Nov 21 08:38:46 1989', 'Nov 22 08:39:00 1989', 'Nov 21 12:00:00 1989', 'Nov 22 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12059, 'Nov 22 08:39:01 1989', 'Nov 23 08:39:20 1989', 'Nov 22 12:00:00 1989', 'Nov 23 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12039, 'Nov 23 08:39:21 1989', 'Nov 24 08:39:35 1989', 'Nov 23 12:00:00 1989', 'Nov 24 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12024, 'Nov 24 08:39:36 1989', 'Nov 25 08:39:55 1989', 'Nov 24 12:00:00 1989', 'Nov 25 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 12004, 'Nov 25 08:39:56 1989', 'Nov 26 08:40:15 1989', 'Nov 25 12:00:00 1989', 'Nov 26 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11984, 'Nov 26 08:40:16 1989', 'Nov 27 08:40:30 1989', 'Nov 26 12:00:00 1989', 'Nov 27 12:00:14 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11969, 'Nov 27 08:40:31 1989', 'Nov 28 08:40:50 1989', 'Nov 27 12:00:00 1989', 'Nov 28 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11949, 'Nov 28 08:40:51 1989', 'Nov 29 08:41:15 1989', 'Nov 28 12:00:00 1989', 'Nov 29 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11924, 'Nov 29 08:41:16 1989', 'Nov 30 08:41:35 1989', 'Nov 29 12:00:00 1989', 'Nov 30 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11904, 'Nov 30 08:41:36 1989', 'Dec 1 08:41:55 1989', 'Nov 30 12:00:00 1989', 'Dec 1 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11884, 'Dec 1 08:41:56 1989', 'Dec 2 08:42:20 1989', 'Dec 1 12:00:00 1989', 'Dec 2 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11859, 'Dec 2 08:42:21 1989', 'Dec 3 08:42:45 1989', 'Dec 2 12:00:00 1989', 'Dec 3 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11834, 'Dec 3 08:42:46 1989', 'Dec 4 08:43:10 1989', 'Dec 3 12:00:00 1989', 'Dec 4 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11809, 'Dec 4 08:43:11 1989', 'Dec 5 08:43:30 1989', 'Dec 4 12:00:00 1989', 'Dec 5 12:00:19 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11789, 'Dec 5 08:43:31 1989', 'Dec 6 08:43:55 1989', 'Dec 5 12:00:00 1989', 'Dec 6 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11764, 'Dec 6 08:43:56 1989', 'Dec 7 08:44:25 1989', 'Dec 6 12:00:00 1989', 'Dec 7 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11734, 'Dec 7 08:44:26 1989', 'Dec 8 08:44:50 1989', 'Dec 7 12:00:00 1989', 'Dec 8 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11709, 'Dec 8 08:44:51 1989', 'Dec 9 08:45:15 1989', 'Dec 8 12:00:00 1989', 'Dec 9 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11684, 'Dec 9 08:45:16 1989', 'Dec 10 08:45:45 1989', 'Dec 9 12:00:00 1989', 'Dec 10 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11654, 'Dec 10 08:45:46 1989', 'Dec 11 08:46:10 1989', 'Dec 10 12:00:00 1989', 'Dec 11 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11629, 'Dec 11 08:46:11 1989', 'Dec 12 08:46:40 1989', 'Dec 11 12:00:00 1989', 'Dec 12 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11599, 'Dec 12 08:46:41 1989', 'Dec 13 08:47:05 1989', 'Dec 12 12:00:00 1989', 'Dec 13 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11574, 'Dec 13 08:47:06 1989', 'Dec 14 08:47:35 1989', 'Dec 13 12:00:00 1989', 'Dec 14 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11544, 'Dec 14 08:47:36 1989', 'Dec 15 08:48:05 1989', 'Dec 14 12:00:00 1989', 'Dec 15 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11514, 'Dec 15 08:48:06 1989', 'Dec 16 08:48:35 1989', 'Dec 15 12:00:00 1989', 'Dec 16 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11484, 'Dec 16 08:48:36 1989', 'Dec 17 08:49:00 1989', 'Dec 16 12:00:00 1989', 'Dec 17 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11459, 'Dec 17 08:49:01 1989', 'Dec 18 08:49:30 1989', 'Dec 17 12:00:00 1989', 'Dec 18 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11429, 'Dec 18 08:49:31 1989', 'Dec 19 08:50:00 1989', 'Dec 18 12:00:00 1989', 'Dec 19 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11399, 'Dec 19 08:50:01 1989', 'Dec 20 08:50:30 1989', 'Dec 19 12:00:00 1989', 'Dec 20 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11369, 'Dec 20 08:50:31 1989', 'Dec 21 08:51:00 1989', 'Dec 20 12:00:00 1989', 'Dec 21 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11339, 'Dec 21 08:51:01 1989', 'Dec 22 08:51:30 1989', 'Dec 21 12:00:00 1989', 'Dec 22 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11309, 'Dec 22 08:51:31 1989', 'Dec 23 08:52:00 1989', 'Dec 22 12:00:00 1989', 'Dec 23 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11279, 'Dec 23 08:52:01 1989', 'Dec 24 08:52:30 1989', 'Dec 23 12:00:00 1989', 'Dec 24 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11249, 'Dec 24 08:52:31 1989', 'Dec 25 08:53:00 1989', 'Dec 24 12:00:00 1989', 'Dec 25 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11219, 'Dec 25 08:53:01 1989', 'Dec 26 08:53:30 1989', 'Dec 25 12:00:00 1989', 'Dec 26 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11189, 'Dec 26 08:53:31 1989', 'Dec 27 08:54:00 1989', 'Dec 26 12:00:00 1989', 'Dec 27 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11159, 'Dec 27 08:54:01 1989', 'Dec 28 08:54:30 1989', 'Dec 27 12:00:00 1989', 'Dec 28 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11129, 'Dec 28 08:54:31 1989', 'Dec 29 08:54:55 1989', 'Dec 28 12:00:00 1989', 'Dec 29 12:00:24 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11104, 'Dec 29 08:54:56 1989', 'Dec 30 08:55:25 1989', 'Dec 29 12:00:00 1989', 'Dec 30 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11074, 'Dec 30 08:55:26 1989', 'Dec 31 08:55:55 1989', 'Dec 30 12:00:00 1989', 'Dec 31 12:00:29 1989');
timezone.add_rule('Asia/Riyadh89', '??', 1, 11044, 'Dec 31 08:55:56 1989', 'Dec 31 20:55:55 1989', 'Dec 31 12:00:00 1989', 'Dec 31 23:59:59 1989');
timezone.add_rule('Asia/Riyadh89', '??', 0, 11224, 'Dec 31 20:55:56 1989', 'Jan 18 03:14:07 2038', 'Jan 1 00:03:00 1990', 'Jan 18 06:21:11 2038');
end;
/

--
-- Asia/Saigon
--

begin
timezone.add_rule('Asia/Saigon', 'ICT', 0, 25600, 'Dec 14 20:45:52 1901', 'Jun 8 16:53:19 1906', 'Dec 15 03:52:32 1901', 'Jun 8 23:59:59 1906');
timezone.add_rule('Asia/Saigon', 'ICT', 0, 25580, 'Jun 8 16:53:20 1906', 'Mar 10 16:54:39 1911', 'Jun 8 23:59:40 1906', 'Mar 11 00:00:59 1911');
timezone.add_rule('Asia/Saigon', 'ICT', 0, 25200, 'Mar 10 16:54:40 1911', 'Apr 30 16:59:59 1912', 'Mar 10 23:54:40 1911', 'Apr 30 23:59:59 1912');
timezone.add_rule('Asia/Saigon', 'ICT', 0, 28800, 'Apr 30 17:00:00 1912', 'Apr 30 15:59:59 1931', 'May 1 01:00:00 1912', 'Apr 30 23:59:59 1931');
timezone.add_rule('Asia/Saigon', 'ICT', 0, 25200, 'Apr 30 16:00:00 1931', 'Jan 18 03:14:07 2038', 'Apr 30 23:00:00 1931', 'Jan 18 10:14:07 2038');
end;
/

--
-- Asia/Samarkand
--

begin
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 16032, 'Dec 14 20:45:52 1901', 'May 1 19:32:47 1924', 'Dec 15 01:13:04 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 14400, 'May 1 19:32:48 1924', 'Jun 20 19:59:59 1930', 'May 1 23:32:48 1924', 'Jun 20 23:59:59 1930');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 18000, 'Jun 20 20:00:00 1930', 'Mar 31 18:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 21600, 'Mar 31 19:00:00 1981', 'Sep 30 17:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 30 18:00:00 1981', 'Mar 31 17:59:59 1982', 'Oct 1 00:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 25200, 'Mar 31 18:00:00 1982', 'Sep 30 16:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 30 17:00:00 1982', 'Mar 31 17:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 25200, 'Mar 31 18:00:00 1983', 'Sep 30 16:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 30 17:00:00 1983', 'Mar 31 17:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 25200, 'Mar 31 18:00:00 1984', 'Sep 29 19:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 29 20:00:00 1984', 'Mar 30 19:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 25200, 'Mar 30 20:00:00 1985', 'Sep 28 19:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 28 20:00:00 1985', 'Mar 29 19:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 25200, 'Mar 29 20:00:00 1986', 'Sep 27 19:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 27 20:00:00 1986', 'Mar 28 19:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 25200, 'Mar 28 20:00:00 1987', 'Sep 26 19:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 26 20:00:00 1987', 'Mar 26 19:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 25200, 'Mar 26 20:00:00 1988', 'Sep 24 19:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 24 20:00:00 1988', 'Mar 25 19:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 25200, 'Mar 25 20:00:00 1989', 'Sep 23 19:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 23 20:00:00 1989', 'Mar 24 19:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 25200, 'Mar 24 20:00:00 1990', 'Sep 29 19:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 21600, 'Sep 29 20:00:00 1990', 'Mar 30 19:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 18000, 'Mar 30 20:00:00 1991', 'Mar 28 17:59:59 1992', 'Mar 31 01:00:00 1991', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Samarkand', 'UZST', 1, 21600, 'Mar 28 18:00:00 1992', 'Sep 26 16:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Samarkand', 'UZT', 0, 18000, 'Sep 26 17:00:00 1992', 'Jan 18 03:14:07 2038', 'Sep 26 22:00:00 1992', 'Jan 18 08:14:07 2038');
end;
/

--
-- Asia/Seoul
--

begin
timezone.add_rule('Asia/Seoul', 'KST', 0, 30600, 'Dec 14 20:45:52 1901', 'Nov 30 15:29:59 1904', 'Dec 15 05:15:52 1901', 'Nov 30 23:59:59 1904');
timezone.add_rule('Asia/Seoul', 'KST', 0, 32400, 'Nov 30 15:30:00 1904', 'Dec 31 14:59:59 1927', 'Dec 1 00:30:00 1904', 'Dec 31 23:59:59 1927');
timezone.add_rule('Asia/Seoul', 'KST', 0, 30600, 'Dec 31 15:00:00 1927', 'Dec 31 15:29:59 1931', 'Dec 31 23:30:00 1927', 'Dec 31 23:59:59 1931');
timezone.add_rule('Asia/Seoul', 'KST', 0, 32400, 'Dec 31 15:30:00 1931', 'Mar 20 14:59:59 1954', 'Jan 1 00:30:00 1932', 'Mar 20 23:59:59 1954');
timezone.add_rule('Asia/Seoul', 'KST', 0, 28800, 'Mar 20 15:00:00 1954', 'May 14 15:59:59 1960', 'Mar 20 23:00:00 1954', 'May 14 23:59:59 1960');
timezone.add_rule('Asia/Seoul', 'KDT', 1, 32400, 'May 14 16:00:00 1960', 'Sep 12 14:59:59 1960', 'May 15 01:00:00 1960', 'Sep 12 23:59:59 1960');
timezone.add_rule('Asia/Seoul', 'KST', 0, 28800, 'Sep 12 15:00:00 1960', 'Aug 9 15:59:59 1961', 'Sep 12 23:00:00 1960', 'Aug 9 23:59:59 1961');
timezone.add_rule('Asia/Seoul', 'KST', 0, 30600, 'Aug 9 16:00:00 1961', 'Sep 30 15:29:59 1968', 'Aug 10 00:30:00 1961', 'Sep 30 23:59:59 1968');
timezone.add_rule('Asia/Seoul', 'KST', 0, 32400, 'Sep 30 15:30:00 1968', 'May 9 14:59:59 1987', 'Oct 1 00:30:00 1968', 'May 9 23:59:59 1987');
timezone.add_rule('Asia/Seoul', 'KDT', 1, 36000, 'May 9 15:00:00 1987', 'Oct 10 13:59:59 1987', 'May 10 01:00:00 1987', 'Oct 10 23:59:59 1987');
timezone.add_rule('Asia/Seoul', 'KST', 0, 32400, 'Oct 10 14:00:00 1987', 'May 7 14:59:59 1988', 'Oct 10 23:00:00 1987', 'May 7 23:59:59 1988');
timezone.add_rule('Asia/Seoul', 'KDT', 1, 36000, 'May 7 15:00:00 1988', 'Oct 8 13:59:59 1988', 'May 8 01:00:00 1988', 'Oct 8 23:59:59 1988');
timezone.add_rule('Asia/Seoul', 'KST', 0, 32400, 'Oct 8 14:00:00 1988', 'Jan 18 03:14:07 2038', 'Oct 8 23:00:00 1988', 'Jan 18 12:14:07 2038');
end;
/

--
-- Asia/Shanghai
--

begin
timezone.add_rule('Asia/Shanghai', 'CST', 0, 29152, 'Dec 14 20:45:52 1901', 'Dec 31 15:54:07 1927', 'Dec 15 04:51:44 1901', 'Dec 31 23:59:59 1927');
timezone.add_rule('Asia/Shanghai', 'CST', 0, 28800, 'Dec 31 15:54:08 1927', 'Jun 2 15:59:59 1940', 'Dec 31 23:54:08 1927', 'Jun 2 23:59:59 1940');
timezone.add_rule('Asia/Shanghai', 'CDT', 1, 32400, 'Jun 2 16:00:00 1940', 'Sep 30 14:59:59 1940', 'Jun 3 01:00:00 1940', 'Sep 30 23:59:59 1940');
timezone.add_rule('Asia/Shanghai', 'CST', 0, 28800, 'Sep 30 15:00:00 1940', 'Mar 15 15:59:59 1941', 'Sep 30 23:00:00 1940', 'Mar 15 23:59:59 1941');
timezone.add_rule('Asia/Shanghai', 'CDT', 1, 32400, 'Mar 15 16:00:00 1941', 'Sep 30 14:59:59 1941', 'Mar 16 01:00:00 1941', 'Sep 30 23:59:59 1941');
timezone.add_rule('Asia/Shanghai', 'CST', 0, 28800, 'Sep 30 15:00:00 1941', 'May 3 15:59:59 1986', 'Sep 30 23:00:00 1941', 'May 3 23:59:59 1986');
timezone.add_rule('Asia/Shanghai', 'CDT', 1, 32400, 'May 3 16:00:00 1986', 'Sep 13 14:59:59 1986', 'May 4 01:00:00 1986', 'Sep 13 23:59:59 1986');
timezone.add_rule('Asia/Shanghai', 'CST', 0, 28800, 'Sep 13 15:00:00 1986', 'Apr 11 15:59:59 1987', 'Sep 13 23:00:00 1986', 'Apr 11 23:59:59 1987');
timezone.add_rule('Asia/Shanghai', 'CDT', 1, 32400, 'Apr 11 16:00:00 1987', 'Sep 12 14:59:59 1987', 'Apr 12 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Asia/Shanghai', 'CST', 0, 28800, 'Sep 12 15:00:00 1987', 'Apr 9 15:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 9 23:59:59 1988');
timezone.add_rule('Asia/Shanghai', 'CDT', 1, 32400, 'Apr 9 16:00:00 1988', 'Sep 10 14:59:59 1988', 'Apr 10 01:00:00 1988', 'Sep 10 23:59:59 1988');
timezone.add_rule('Asia/Shanghai', 'CST', 0, 28800, 'Sep 10 15:00:00 1988', 'Apr 15 15:59:59 1989', 'Sep 10 23:00:00 1988', 'Apr 15 23:59:59 1989');
timezone.add_rule('Asia/Shanghai', 'CDT', 1, 32400, 'Apr 15 16:00:00 1989', 'Sep 16 14:59:59 1989', 'Apr 16 01:00:00 1989', 'Sep 16 23:59:59 1989');
timezone.add_rule('Asia/Shanghai', 'CST', 0, 28800, 'Sep 16 15:00:00 1989', 'Apr 14 15:59:59 1990', 'Sep 16 23:00:00 1989', 'Apr 14 23:59:59 1990');
timezone.add_rule('Asia/Shanghai', 'CDT', 1, 32400, 'Apr 14 16:00:00 1990', 'Sep 15 14:59:59 1990', 'Apr 15 01:00:00 1990', 'Sep 15 23:59:59 1990');
timezone.add_rule('Asia/Shanghai', 'CST', 0, 28800, 'Sep 15 15:00:00 1990', 'Apr 13 15:59:59 1991', 'Sep 15 23:00:00 1990', 'Apr 13 23:59:59 1991');
timezone.add_rule('Asia/Shanghai', 'CDT', 1, 32400, 'Apr 13 16:00:00 1991', 'Sep 14 14:59:59 1991', 'Apr 14 01:00:00 1991', 'Sep 14 23:59:59 1991');
timezone.add_rule('Asia/Shanghai', 'CST', 0, 28800, 'Sep 14 15:00:00 1991', 'Jan 18 03:14:07 2038', 'Sep 14 23:00:00 1991', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Singapore
--

begin
timezone.add_rule('Asia/Singapore', 'SGT', 0, 24924, 'Dec 14 20:45:52 1901', 'May 31 17:04:35 1905', 'Dec 15 03:41:16 1901', 'May 31 23:59:59 1905');
timezone.add_rule('Asia/Singapore', 'SGT', 0, 25200, 'May 31 17:04:36 1905', 'Dec 31 16:59:59 1932', 'Jun 1 00:04:36 1905', 'Dec 31 23:59:59 1932');
timezone.add_rule('Asia/Singapore', 'SGT', 0, 26400, 'Dec 31 17:00:00 1932', 'Feb 14 16:39:59 1942', 'Jan 1 00:20:00 1933', 'Feb 14 23:59:59 1942');
timezone.add_rule('Asia/Singapore', 'SGT', 0, 32400, 'Feb 14 16:40:00 1942', 'Sep 1 14:59:59 1945', 'Feb 15 01:40:00 1942', 'Sep 1 23:59:59 1945');
timezone.add_rule('Asia/Singapore', 'SGT', 0, 26400, 'Sep 1 15:00:00 1945', 'Dec 31 16:39:59 1949', 'Sep 1 22:20:00 1945', 'Dec 31 23:59:59 1949');
timezone.add_rule('Asia/Singapore', 'SGT', 0, 27000, 'Dec 31 16:40:00 1949', 'Apr 30 16:29:59 1982', 'Jan 1 00:10:00 1950', 'Apr 30 23:59:59 1982');
timezone.add_rule('Asia/Singapore', 'SGT', 0, 28800, 'Apr 30 16:30:00 1982', 'Jan 18 03:14:07 2038', 'May 1 00:30:00 1982', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Taipei
--

begin
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Dec 14 20:45:52 1901', 'Apr 30 15:59:59 1945', 'Dec 15 04:45:52 1901', 'Apr 30 23:59:59 1945');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Apr 30 16:00:00 1945', 'Sep 30 14:59:59 1945', 'May 1 01:00:00 1945', 'Sep 30 23:59:59 1945');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1945', 'Apr 30 15:59:59 1946', 'Sep 30 23:00:00 1945', 'Apr 30 23:59:59 1946');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Apr 30 16:00:00 1946', 'Sep 30 14:59:59 1946', 'May 1 01:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1946', 'Apr 30 15:59:59 1947', 'Sep 30 23:00:00 1946', 'Apr 30 23:59:59 1947');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Apr 30 16:00:00 1947', 'Sep 30 14:59:59 1947', 'May 1 01:00:00 1947', 'Sep 30 23:59:59 1947');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1947', 'Apr 30 15:59:59 1948', 'Sep 30 23:00:00 1947', 'Apr 30 23:59:59 1948');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Apr 30 16:00:00 1948', 'Sep 30 14:59:59 1948', 'May 1 01:00:00 1948', 'Sep 30 23:59:59 1948');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1948', 'Apr 30 15:59:59 1949', 'Sep 30 23:00:00 1948', 'Apr 30 23:59:59 1949');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Apr 30 16:00:00 1949', 'Sep 30 14:59:59 1949', 'May 1 01:00:00 1949', 'Sep 30 23:59:59 1949');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1949', 'Apr 30 15:59:59 1950', 'Sep 30 23:00:00 1949', 'Apr 30 23:59:59 1950');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Apr 30 16:00:00 1950', 'Sep 30 14:59:59 1950', 'May 1 01:00:00 1950', 'Sep 30 23:59:59 1950');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1950', 'Apr 30 15:59:59 1951', 'Sep 30 23:00:00 1950', 'Apr 30 23:59:59 1951');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Apr 30 16:00:00 1951', 'Sep 30 14:59:59 1951', 'May 1 01:00:00 1951', 'Sep 30 23:59:59 1951');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1951', 'Feb 29 15:59:59 1952', 'Sep 30 23:00:00 1951', 'Feb 29 23:59:59 1952');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Feb 29 16:00:00 1952', 'Oct 31 14:59:59 1952', 'Mar 1 01:00:00 1952', 'Oct 31 23:59:59 1952');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Oct 31 15:00:00 1952', 'Mar 31 15:59:59 1953', 'Oct 31 23:00:00 1952', 'Mar 31 23:59:59 1953');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Mar 31 16:00:00 1953', 'Oct 31 14:59:59 1953', 'Apr 1 01:00:00 1953', 'Oct 31 23:59:59 1953');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Oct 31 15:00:00 1953', 'Mar 31 15:59:59 1954', 'Oct 31 23:00:00 1953', 'Mar 31 23:59:59 1954');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Mar 31 16:00:00 1954', 'Oct 31 14:59:59 1954', 'Apr 1 01:00:00 1954', 'Oct 31 23:59:59 1954');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Oct 31 15:00:00 1954', 'Mar 31 15:59:59 1955', 'Oct 31 23:00:00 1954', 'Mar 31 23:59:59 1955');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Mar 31 16:00:00 1955', 'Sep 30 14:59:59 1955', 'Apr 1 01:00:00 1955', 'Sep 30 23:59:59 1955');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1955', 'Mar 31 15:59:59 1956', 'Sep 30 23:00:00 1955', 'Mar 31 23:59:59 1956');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Mar 31 16:00:00 1956', 'Sep 30 14:59:59 1956', 'Apr 1 01:00:00 1956', 'Sep 30 23:59:59 1956');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1956', 'Mar 31 15:59:59 1957', 'Sep 30 23:00:00 1956', 'Mar 31 23:59:59 1957');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Mar 31 16:00:00 1957', 'Sep 30 14:59:59 1957', 'Apr 1 01:00:00 1957', 'Sep 30 23:59:59 1957');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1957', 'Mar 31 15:59:59 1958', 'Sep 30 23:00:00 1957', 'Mar 31 23:59:59 1958');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Mar 31 16:00:00 1958', 'Sep 30 14:59:59 1958', 'Apr 1 01:00:00 1958', 'Sep 30 23:59:59 1958');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1958', 'Mar 31 15:59:59 1959', 'Sep 30 23:00:00 1958', 'Mar 31 23:59:59 1959');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Mar 31 16:00:00 1959', 'Sep 30 14:59:59 1959', 'Apr 1 01:00:00 1959', 'Sep 30 23:59:59 1959');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1959', 'May 31 15:59:59 1960', 'Sep 30 23:00:00 1959', 'May 31 23:59:59 1960');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'May 31 16:00:00 1960', 'Sep 30 14:59:59 1960', 'Jun 1 01:00:00 1960', 'Sep 30 23:59:59 1960');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1960', 'May 31 15:59:59 1961', 'Sep 30 23:00:00 1960', 'May 31 23:59:59 1961');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'May 31 16:00:00 1961', 'Sep 30 14:59:59 1961', 'Jun 1 01:00:00 1961', 'Sep 30 23:59:59 1961');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1961', 'Mar 31 15:59:59 1974', 'Sep 30 23:00:00 1961', 'Mar 31 23:59:59 1974');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Mar 31 16:00:00 1974', 'Sep 30 14:59:59 1974', 'Apr 1 01:00:00 1974', 'Sep 30 23:59:59 1974');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1974', 'Mar 31 15:59:59 1975', 'Sep 30 23:00:00 1974', 'Mar 31 23:59:59 1975');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Mar 31 16:00:00 1975', 'Sep 30 14:59:59 1975', 'Apr 1 01:00:00 1975', 'Sep 30 23:59:59 1975');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 30 15:00:00 1975', 'Jun 29 15:59:59 1980', 'Sep 30 23:00:00 1975', 'Jun 29 23:59:59 1980');
timezone.add_rule('Asia/Taipei', 'CDT', 1, 32400, 'Jun 29 16:00:00 1980', 'Sep 29 14:59:59 1980', 'Jun 30 01:00:00 1980', 'Sep 29 23:59:59 1980');
timezone.add_rule('Asia/Taipei', 'CST', 0, 28800, 'Sep 29 15:00:00 1980', 'Jan 18 03:14:07 2038', 'Sep 29 23:00:00 1980', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Tashkent
--

begin
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 16632, 'Dec 14 20:45:52 1901', 'May 1 19:22:47 1924', 'Dec 15 01:23:04 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 18000, 'May 1 19:22:48 1924', 'Jun 20 18:59:59 1930', 'May 2 00:22:48 1924', 'Jun 20 23:59:59 1930');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Jun 20 19:00:00 1930', 'Mar 31 17:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 31 18:00:00 1981', 'Sep 30 16:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 30 17:00:00 1981', 'Mar 31 17:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 31 18:00:00 1982', 'Sep 30 16:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 30 17:00:00 1982', 'Mar 31 17:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 31 18:00:00 1983', 'Sep 30 16:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 30 17:00:00 1983', 'Mar 31 17:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 31 18:00:00 1984', 'Sep 29 19:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 29 20:00:00 1984', 'Mar 30 19:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 30 20:00:00 1985', 'Sep 28 19:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 28 20:00:00 1985', 'Mar 29 19:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 29 20:00:00 1986', 'Sep 27 19:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 27 20:00:00 1986', 'Mar 28 19:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 28 20:00:00 1987', 'Sep 26 19:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 26 20:00:00 1987', 'Mar 26 19:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 26 20:00:00 1988', 'Sep 24 19:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 24 20:00:00 1988', 'Mar 25 19:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 25 20:00:00 1989', 'Sep 23 19:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 23 20:00:00 1989', 'Mar 24 19:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 25200, 'Mar 24 20:00:00 1990', 'Sep 29 19:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 21600, 'Sep 29 20:00:00 1990', 'Mar 30 19:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 18000, 'Mar 30 20:00:00 1991', 'Mar 28 17:59:59 1992', 'Mar 31 01:00:00 1991', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Tashkent', 'UZST', 1, 21600, 'Mar 28 18:00:00 1992', 'Sep 26 16:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Tashkent', 'UZT', 0, 18000, 'Sep 26 17:00:00 1992', 'Jan 18 03:14:07 2038', 'Sep 26 22:00:00 1992', 'Jan 18 08:14:07 2038');
end;
/

--
-- Asia/Tbilisi
--

begin
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 10756, 'Dec 14 20:45:52 1901', 'May 1 21:00:43 1924', 'Dec 14 23:45:08 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 10800, 'May 1 21:00:44 1924', 'Feb 28 20:59:59 1957', 'May 2 00:00:44 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Feb 28 21:00:00 1957', 'Mar 31 19:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 31 20:00:00 1981', 'Sep 30 18:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 30 19:00:00 1981', 'Mar 31 19:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 31 20:00:00 1982', 'Sep 30 18:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 30 19:00:00 1982', 'Mar 31 19:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 31 20:00:00 1983', 'Sep 30 18:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 30 19:00:00 1983', 'Mar 31 19:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 31 20:00:00 1984', 'Sep 29 21:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 29 22:00:00 1984', 'Mar 30 21:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 30 22:00:00 1985', 'Sep 28 21:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 28 22:00:00 1985', 'Mar 29 21:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 29 22:00:00 1986', 'Sep 27 21:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 27 22:00:00 1986', 'Mar 28 21:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 28 22:00:00 1987', 'Sep 26 21:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 26 22:00:00 1987', 'Mar 26 21:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 26 22:00:00 1988', 'Sep 24 21:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 24 22:00:00 1988', 'Mar 25 21:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 25 22:00:00 1989', 'Sep 23 21:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 23 22:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 24 22:00:00 1990', 'Sep 29 21:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 29 22:00:00 1990', 'Mar 30 21:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 14400, 'Mar 30 22:00:00 1991', 'Sep 28 22:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 10800, 'Sep 28 23:00:00 1991', 'Mar 28 20:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 14400, 'Mar 28 21:00:00 1992', 'Sep 26 19:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 10800, 'Sep 26 20:00:00 1992', 'Mar 27 20:59:59 1993', 'Sep 26 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 14400, 'Mar 27 21:00:00 1993', 'Sep 25 19:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 10800, 'Sep 25 20:00:00 1993', 'Mar 26 20:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 14400, 'Mar 26 21:00:00 1994', 'Sep 24 19:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 24 20:00:00 1994', 'Mar 25 19:59:59 1995', 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 25 20:00:00 1995', 'Sep 23 18:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Sep 23 19:00:00 1995', 'Mar 30 19:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 30 20:00:00 1996', 'Oct 25 18:59:59 1997', 'Mar 31 01:00:00 1996', 'Oct 25 23:59:59 1997');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 25 19:00:00 1997', 'Mar 28 19:59:59 1998', 'Oct 25 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 28 20:00:00 1998', 'Oct 24 18:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 24 23:59:59 1998');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 24 19:00:00 1998', 'Mar 27 19:59:59 1999', 'Oct 24 23:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 27 20:00:00 1999', 'Oct 30 18:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 30 23:59:59 1999');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 30 19:00:00 1999', 'Mar 25 19:59:59 2000', 'Oct 30 23:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 25 20:00:00 2000', 'Oct 28 18:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 28 23:59:59 2000');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 28 19:00:00 2000', 'Mar 24 19:59:59 2001', 'Oct 28 23:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 24 20:00:00 2001', 'Oct 27 18:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 27 23:59:59 2001');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 27 19:00:00 2001', 'Mar 30 19:59:59 2002', 'Oct 27 23:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 30 20:00:00 2002', 'Oct 26 18:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 26 23:59:59 2002');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 26 19:00:00 2002', 'Mar 29 19:59:59 2003', 'Oct 26 23:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 29 20:00:00 2003', 'Oct 25 18:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 25 23:59:59 2003');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 25 19:00:00 2003', 'Mar 27 19:59:59 2004', 'Oct 25 23:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 27 20:00:00 2004', 'Oct 30 18:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 30 23:59:59 2004');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 30 19:00:00 2004', 'Mar 26 19:59:59 2005', 'Oct 30 23:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 26 20:00:00 2005', 'Oct 29 18:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 29 23:59:59 2005');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 29 19:00:00 2005', 'Mar 25 19:59:59 2006', 'Oct 29 23:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 25 20:00:00 2006', 'Oct 28 18:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 28 23:59:59 2006');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 28 19:00:00 2006', 'Mar 24 19:59:59 2007', 'Oct 28 23:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 24 20:00:00 2007', 'Oct 27 18:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 27 23:59:59 2007');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 27 19:00:00 2007', 'Mar 29 19:59:59 2008', 'Oct 27 23:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 29 20:00:00 2008', 'Oct 25 18:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 25 23:59:59 2008');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 25 19:00:00 2008', 'Mar 28 19:59:59 2009', 'Oct 25 23:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 28 20:00:00 2009', 'Oct 24 18:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 24 23:59:59 2009');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 24 19:00:00 2009', 'Mar 27 19:59:59 2010', 'Oct 24 23:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 27 20:00:00 2010', 'Oct 30 18:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 30 23:59:59 2010');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 30 19:00:00 2010', 'Mar 26 19:59:59 2011', 'Oct 30 23:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 26 20:00:00 2011', 'Oct 29 18:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 29 23:59:59 2011');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 29 19:00:00 2011', 'Mar 24 19:59:59 2012', 'Oct 29 23:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 24 20:00:00 2012', 'Oct 27 18:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 27 23:59:59 2012');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 27 19:00:00 2012', 'Mar 30 19:59:59 2013', 'Oct 27 23:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 30 20:00:00 2013', 'Oct 26 18:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 26 23:59:59 2013');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 26 19:00:00 2013', 'Mar 29 19:59:59 2014', 'Oct 26 23:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 29 20:00:00 2014', 'Oct 25 18:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 25 23:59:59 2014');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 25 19:00:00 2014', 'Mar 28 19:59:59 2015', 'Oct 25 23:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 28 20:00:00 2015', 'Oct 24 18:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 24 23:59:59 2015');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 24 19:00:00 2015', 'Mar 26 19:59:59 2016', 'Oct 24 23:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 26 20:00:00 2016', 'Oct 29 18:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 29 23:59:59 2016');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 29 19:00:00 2016', 'Mar 25 19:59:59 2017', 'Oct 29 23:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 25 20:00:00 2017', 'Oct 28 18:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 28 23:59:59 2017');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 28 19:00:00 2017', 'Mar 24 19:59:59 2018', 'Oct 28 23:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 24 20:00:00 2018', 'Oct 27 18:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 27 23:59:59 2018');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 27 19:00:00 2018', 'Mar 30 19:59:59 2019', 'Oct 27 23:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 30 20:00:00 2019', 'Oct 26 18:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 26 23:59:59 2019');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 26 19:00:00 2019', 'Mar 28 19:59:59 2020', 'Oct 26 23:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 28 20:00:00 2020', 'Oct 24 18:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 24 23:59:59 2020');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 24 19:00:00 2020', 'Mar 27 19:59:59 2021', 'Oct 24 23:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 27 20:00:00 2021', 'Oct 30 18:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 30 23:59:59 2021');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 30 19:00:00 2021', 'Mar 26 19:59:59 2022', 'Oct 30 23:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 26 20:00:00 2022', 'Oct 29 18:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 29 23:59:59 2022');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 29 19:00:00 2022', 'Mar 25 19:59:59 2023', 'Oct 29 23:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 25 20:00:00 2023', 'Oct 28 18:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 28 23:59:59 2023');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 28 19:00:00 2023', 'Mar 30 19:59:59 2024', 'Oct 28 23:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 30 20:00:00 2024', 'Oct 26 18:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 26 23:59:59 2024');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 26 19:00:00 2024', 'Mar 29 19:59:59 2025', 'Oct 26 23:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 29 20:00:00 2025', 'Oct 25 18:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 25 23:59:59 2025');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 25 19:00:00 2025', 'Mar 28 19:59:59 2026', 'Oct 25 23:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 28 20:00:00 2026', 'Oct 24 18:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 24 23:59:59 2026');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 24 19:00:00 2026', 'Mar 27 19:59:59 2027', 'Oct 24 23:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 27 20:00:00 2027', 'Oct 30 18:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 30 23:59:59 2027');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 30 19:00:00 2027', 'Mar 25 19:59:59 2028', 'Oct 30 23:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 25 20:00:00 2028', 'Oct 28 18:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 28 23:59:59 2028');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 28 19:00:00 2028', 'Mar 24 19:59:59 2029', 'Oct 28 23:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 24 20:00:00 2029', 'Oct 27 18:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 27 23:59:59 2029');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 27 19:00:00 2029', 'Mar 30 19:59:59 2030', 'Oct 27 23:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 30 20:00:00 2030', 'Oct 26 18:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 26 23:59:59 2030');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 26 19:00:00 2030', 'Mar 29 19:59:59 2031', 'Oct 26 23:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 29 20:00:00 2031', 'Oct 25 18:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 25 23:59:59 2031');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 25 19:00:00 2031', 'Mar 27 19:59:59 2032', 'Oct 25 23:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 27 20:00:00 2032', 'Oct 30 18:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 30 23:59:59 2032');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 30 19:00:00 2032', 'Mar 26 19:59:59 2033', 'Oct 30 23:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 26 20:00:00 2033', 'Oct 29 18:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 29 23:59:59 2033');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 29 19:00:00 2033', 'Mar 25 19:59:59 2034', 'Oct 29 23:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 25 20:00:00 2034', 'Oct 28 18:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 28 23:59:59 2034');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 28 19:00:00 2034', 'Mar 24 19:59:59 2035', 'Oct 28 23:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 24 20:00:00 2035', 'Oct 27 18:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 27 23:59:59 2035');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 27 19:00:00 2035', 'Mar 29 19:59:59 2036', 'Oct 27 23:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 29 20:00:00 2036', 'Oct 25 18:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 25 23:59:59 2036');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 25 19:00:00 2036', 'Mar 28 19:59:59 2037', 'Oct 25 23:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Asia/Tbilisi', 'GEST', 1, 18000, 'Mar 28 20:00:00 2037', 'Oct 24 18:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 24 23:59:59 2037');
timezone.add_rule('Asia/Tbilisi', 'GET', 0, 14400, 'Oct 24 19:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 24 23:00:00 2037', 'Jan 18 07:14:07 2038');
end;
/

--
-- Asia/Tehran
--

begin
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12344, 'Dec 14 20:45:52 1901', 'Dec 31 20:34:15 1945', 'Dec 15 00:11:36 1901', 'Dec 31 23:59:59 1945');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Dec 31 20:34:16 1945', 'Oct 31 20:29:59 1977', 'Jan 1 00:04:16 1946', 'Oct 31 23:59:59 1977');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 14400, 'Oct 31 20:30:00 1977', 'Mar 20 19:59:59 1978', 'Nov 1 00:30:00 1977', 'Mar 20 23:59:59 1978');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 18000, 'Mar 20 20:00:00 1978', 'Oct 20 18:59:59 1978', 'Mar 21 01:00:00 1978', 'Oct 20 23:59:59 1978');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 14400, 'Oct 20 19:00:00 1978', 'Dec 31 19:59:59 1978', 'Oct 20 23:00:00 1978', 'Dec 31 23:59:59 1978');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Dec 31 20:00:00 1978', 'Mar 20 20:29:59 1979', 'Dec 31 23:30:00 1978', 'Mar 20 23:59:59 1979');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1979', 'Sep 18 19:29:59 1979', 'Mar 21 01:00:00 1979', 'Sep 18 23:59:59 1979');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 18 19:30:00 1979', 'Mar 20 20:29:59 1980', 'Sep 18 23:00:00 1979', 'Mar 20 23:59:59 1980');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1980', 'Sep 22 19:29:59 1980', 'Mar 21 01:00:00 1980', 'Sep 22 23:59:59 1980');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1980', 'May 2 20:29:59 1991', 'Sep 22 23:00:00 1980', 'May 2 23:59:59 1991');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'May 2 20:30:00 1991', 'Sep 19 20:29:59 1991', 'May 3 01:00:00 1991', 'Sep 20 00:59:59 1991');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 19 20:30:00 1991', 'Mar 20 20:29:59 1992', 'Sep 20 00:00:00 1991', 'Mar 20 23:59:59 1992');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1992', 'Sep 22 19:29:59 1992', 'Mar 21 01:00:00 1992', 'Sep 22 23:59:59 1992');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1992', 'Mar 20 20:29:59 1993', 'Sep 22 23:00:00 1992', 'Mar 20 23:59:59 1993');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1993', 'Sep 22 19:29:59 1993', 'Mar 21 01:00:00 1993', 'Sep 22 23:59:59 1993');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1993', 'Mar 20 20:29:59 1994', 'Sep 22 23:00:00 1993', 'Mar 20 23:59:59 1994');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1994', 'Sep 22 19:29:59 1994', 'Mar 21 01:00:00 1994', 'Sep 22 23:59:59 1994');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1994', 'Mar 20 20:29:59 1995', 'Sep 22 23:00:00 1994', 'Mar 20 23:59:59 1995');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1995', 'Sep 22 19:29:59 1995', 'Mar 21 01:00:00 1995', 'Sep 22 23:59:59 1995');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1995', 'Mar 19 20:29:59 1996', 'Sep 22 23:00:00 1995', 'Mar 19 23:59:59 1996');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 1996', 'Sep 21 19:29:59 1996', 'Mar 20 01:00:00 1996', 'Sep 21 23:59:59 1996');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 1996', 'Mar 20 20:29:59 1997', 'Sep 21 23:00:00 1996', 'Mar 20 23:59:59 1997');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1997', 'Sep 22 19:29:59 1997', 'Mar 21 01:00:00 1997', 'Sep 22 23:59:59 1997');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1997', 'Mar 20 20:29:59 1998', 'Sep 22 23:00:00 1997', 'Mar 20 23:59:59 1998');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1998', 'Sep 22 19:29:59 1998', 'Mar 21 01:00:00 1998', 'Sep 22 23:59:59 1998');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1998', 'Mar 20 20:29:59 1999', 'Sep 22 23:00:00 1998', 'Mar 20 23:59:59 1999');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1999', 'Sep 22 19:29:59 1999', 'Mar 21 01:00:00 1999', 'Sep 22 23:59:59 1999');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1999', 'Mar 19 20:29:59 2000', 'Sep 22 23:00:00 1999', 'Mar 19 23:59:59 2000');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2000', 'Sep 21 19:29:59 2000', 'Mar 20 01:00:00 2000', 'Sep 21 23:59:59 2000');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2000', 'Mar 20 20:29:59 2001', 'Sep 21 23:00:00 2000', 'Mar 20 23:59:59 2001');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2001', 'Sep 22 19:29:59 2001', 'Mar 21 01:00:00 2001', 'Sep 22 23:59:59 2001');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2001', 'Mar 20 20:29:59 2002', 'Sep 22 23:00:00 2001', 'Mar 20 23:59:59 2002');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2002', 'Sep 22 19:29:59 2002', 'Mar 21 01:00:00 2002', 'Sep 22 23:59:59 2002');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2002', 'Mar 20 20:29:59 2003', 'Sep 22 23:00:00 2002', 'Mar 20 23:59:59 2003');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2003', 'Sep 22 19:29:59 2003', 'Mar 21 01:00:00 2003', 'Sep 22 23:59:59 2003');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2003', 'Mar 19 20:29:59 2004', 'Sep 22 23:00:00 2003', 'Mar 19 23:59:59 2004');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2004', 'Sep 21 19:29:59 2004', 'Mar 20 01:00:00 2004', 'Sep 21 23:59:59 2004');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2004', 'Mar 20 20:29:59 2005', 'Sep 21 23:00:00 2004', 'Mar 20 23:59:59 2005');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2005', 'Sep 22 19:29:59 2005', 'Mar 21 01:00:00 2005', 'Sep 22 23:59:59 2005');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2005', 'Mar 20 20:29:59 2006', 'Sep 22 23:00:00 2005', 'Mar 20 23:59:59 2006');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2006', 'Sep 22 19:29:59 2006', 'Mar 21 01:00:00 2006', 'Sep 22 23:59:59 2006');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2006', 'Mar 20 20:29:59 2007', 'Sep 22 23:00:00 2006', 'Mar 20 23:59:59 2007');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2007', 'Sep 22 19:29:59 2007', 'Mar 21 01:00:00 2007', 'Sep 22 23:59:59 2007');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2007', 'Mar 19 20:29:59 2008', 'Sep 22 23:00:00 2007', 'Mar 19 23:59:59 2008');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2008', 'Sep 21 19:29:59 2008', 'Mar 20 01:00:00 2008', 'Sep 21 23:59:59 2008');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2008', 'Mar 20 20:29:59 2009', 'Sep 21 23:00:00 2008', 'Mar 20 23:59:59 2009');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2009', 'Sep 22 19:29:59 2009', 'Mar 21 01:00:00 2009', 'Sep 22 23:59:59 2009');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2009', 'Mar 20 20:29:59 2010', 'Sep 22 23:00:00 2009', 'Mar 20 23:59:59 2010');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2010', 'Sep 22 19:29:59 2010', 'Mar 21 01:00:00 2010', 'Sep 22 23:59:59 2010');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2010', 'Mar 20 20:29:59 2011', 'Sep 22 23:00:00 2010', 'Mar 20 23:59:59 2011');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2011', 'Sep 22 19:29:59 2011', 'Mar 21 01:00:00 2011', 'Sep 22 23:59:59 2011');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2011', 'Mar 19 20:29:59 2012', 'Sep 22 23:00:00 2011', 'Mar 19 23:59:59 2012');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2012', 'Sep 21 19:29:59 2012', 'Mar 20 01:00:00 2012', 'Sep 21 23:59:59 2012');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2012', 'Mar 20 20:29:59 2013', 'Sep 21 23:00:00 2012', 'Mar 20 23:59:59 2013');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2013', 'Sep 22 19:29:59 2013', 'Mar 21 01:00:00 2013', 'Sep 22 23:59:59 2013');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2013', 'Mar 20 20:29:59 2014', 'Sep 22 23:00:00 2013', 'Mar 20 23:59:59 2014');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2014', 'Sep 22 19:29:59 2014', 'Mar 21 01:00:00 2014', 'Sep 22 23:59:59 2014');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2014', 'Mar 20 20:29:59 2015', 'Sep 22 23:00:00 2014', 'Mar 20 23:59:59 2015');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2015', 'Sep 22 19:29:59 2015', 'Mar 21 01:00:00 2015', 'Sep 22 23:59:59 2015');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2015', 'Mar 19 20:29:59 2016', 'Sep 22 23:00:00 2015', 'Mar 19 23:59:59 2016');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2016', 'Sep 21 19:29:59 2016', 'Mar 20 01:00:00 2016', 'Sep 21 23:59:59 2016');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2016', 'Mar 20 20:29:59 2017', 'Sep 21 23:00:00 2016', 'Mar 20 23:59:59 2017');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2017', 'Sep 22 19:29:59 2017', 'Mar 21 01:00:00 2017', 'Sep 22 23:59:59 2017');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2017', 'Mar 20 20:29:59 2018', 'Sep 22 23:00:00 2017', 'Mar 20 23:59:59 2018');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2018', 'Sep 22 19:29:59 2018', 'Mar 21 01:00:00 2018', 'Sep 22 23:59:59 2018');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2018', 'Mar 20 20:29:59 2019', 'Sep 22 23:00:00 2018', 'Mar 20 23:59:59 2019');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2019', 'Sep 22 19:29:59 2019', 'Mar 21 01:00:00 2019', 'Sep 22 23:59:59 2019');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2019', 'Mar 19 20:29:59 2020', 'Sep 22 23:00:00 2019', 'Mar 19 23:59:59 2020');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2020', 'Sep 21 19:29:59 2020', 'Mar 20 01:00:00 2020', 'Sep 21 23:59:59 2020');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2020', 'Mar 20 20:29:59 2021', 'Sep 21 23:00:00 2020', 'Mar 20 23:59:59 2021');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2021', 'Sep 22 19:29:59 2021', 'Mar 21 01:00:00 2021', 'Sep 22 23:59:59 2021');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2021', 'Mar 20 20:29:59 2022', 'Sep 22 23:00:00 2021', 'Mar 20 23:59:59 2022');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2022', 'Sep 22 19:29:59 2022', 'Mar 21 01:00:00 2022', 'Sep 22 23:59:59 2022');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2022', 'Mar 20 20:29:59 2023', 'Sep 22 23:00:00 2022', 'Mar 20 23:59:59 2023');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2023', 'Sep 22 19:29:59 2023', 'Mar 21 01:00:00 2023', 'Sep 22 23:59:59 2023');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2023', 'Mar 19 20:29:59 2024', 'Sep 22 23:00:00 2023', 'Mar 19 23:59:59 2024');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2024', 'Sep 21 19:29:59 2024', 'Mar 20 01:00:00 2024', 'Sep 21 23:59:59 2024');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2024', 'Mar 19 20:29:59 2025', 'Sep 21 23:00:00 2024', 'Mar 19 23:59:59 2025');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2025', 'Sep 21 19:29:59 2025', 'Mar 20 01:00:00 2025', 'Sep 21 23:59:59 2025');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2025', 'Mar 20 20:29:59 2026', 'Sep 21 23:00:00 2025', 'Mar 20 23:59:59 2026');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2026', 'Sep 22 19:29:59 2026', 'Mar 21 01:00:00 2026', 'Sep 22 23:59:59 2026');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2026', 'Mar 20 20:29:59 2027', 'Sep 22 23:00:00 2026', 'Mar 20 23:59:59 2027');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2027', 'Sep 22 19:29:59 2027', 'Mar 21 01:00:00 2027', 'Sep 22 23:59:59 2027');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2027', 'Mar 19 20:29:59 2028', 'Sep 22 23:00:00 2027', 'Mar 19 23:59:59 2028');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2028', 'Sep 21 19:29:59 2028', 'Mar 20 01:00:00 2028', 'Sep 21 23:59:59 2028');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2028', 'Mar 19 20:29:59 2029', 'Sep 21 23:00:00 2028', 'Mar 19 23:59:59 2029');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2029', 'Sep 21 19:29:59 2029', 'Mar 20 01:00:00 2029', 'Sep 21 23:59:59 2029');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2029', 'Mar 20 20:29:59 2030', 'Sep 21 23:00:00 2029', 'Mar 20 23:59:59 2030');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2030', 'Sep 22 19:29:59 2030', 'Mar 21 01:00:00 2030', 'Sep 22 23:59:59 2030');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2030', 'Mar 20 20:29:59 2031', 'Sep 22 23:00:00 2030', 'Mar 20 23:59:59 2031');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2031', 'Sep 22 19:29:59 2031', 'Mar 21 01:00:00 2031', 'Sep 22 23:59:59 2031');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2031', 'Mar 19 20:29:59 2032', 'Sep 22 23:00:00 2031', 'Mar 19 23:59:59 2032');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2032', 'Sep 21 19:29:59 2032', 'Mar 20 01:00:00 2032', 'Sep 21 23:59:59 2032');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2032', 'Mar 19 20:29:59 2033', 'Sep 21 23:00:00 2032', 'Mar 19 23:59:59 2033');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2033', 'Sep 21 19:29:59 2033', 'Mar 20 01:00:00 2033', 'Sep 21 23:59:59 2033');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2033', 'Mar 20 20:29:59 2034', 'Sep 21 23:00:00 2033', 'Mar 20 23:59:59 2034');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2034', 'Sep 22 19:29:59 2034', 'Mar 21 01:00:00 2034', 'Sep 22 23:59:59 2034');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2034', 'Mar 20 20:29:59 2035', 'Sep 22 23:00:00 2034', 'Mar 20 23:59:59 2035');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2035', 'Sep 22 19:29:59 2035', 'Mar 21 01:00:00 2035', 'Sep 22 23:59:59 2035');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2035', 'Mar 19 20:29:59 2036', 'Sep 22 23:00:00 2035', 'Mar 19 23:59:59 2036');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2036', 'Sep 21 19:29:59 2036', 'Mar 20 01:00:00 2036', 'Sep 21 23:59:59 2036');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2036', 'Mar 19 20:29:59 2037', 'Sep 21 23:00:00 2036', 'Mar 19 23:59:59 2037');
timezone.add_rule('Asia/Tehran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2037', 'Sep 21 19:29:59 2037', 'Mar 20 01:00:00 2037', 'Sep 21 23:59:59 2037');
timezone.add_rule('Asia/Tehran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2037', 'Jan 18 03:14:07 2038', 'Sep 21 23:00:00 2037', 'Jan 18 06:44:07 2038');
end;
/

--
-- Asia/Tel_Aviv
--

begin
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 8440, 'Dec 14 20:45:52 1901', 'Dec 31 21:39:19 1917', 'Dec 14 23:06:32 1901', 'Dec 31 23:59:59 1917');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Dec 31 21:39:20 1917', 'May 31 21:59:59 1940', 'Dec 31 23:39:20 1917', 'May 31 23:59:59 1940');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'May 31 22:00:00 1940', 'Oct 31 20:59:59 1942', 'Jun 1 01:00:00 1940', 'Oct 31 23:59:59 1942');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Oct 31 21:00:00 1942', 'Mar 31 23:59:59 1943', 'Oct 31 23:00:00 1942', 'Apr 1 01:59:59 1943');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 1 00:00:00 1943', 'Oct 31 20:59:59 1943', 'Apr 1 03:00:00 1943', 'Oct 31 23:59:59 1943');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Oct 31 21:00:00 1943', 'Mar 31 21:59:59 1944', 'Oct 31 23:00:00 1943', 'Mar 31 23:59:59 1944');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 31 22:00:00 1944', 'Oct 31 20:59:59 1944', 'Apr 1 01:00:00 1944', 'Oct 31 23:59:59 1944');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Oct 31 21:00:00 1944', 'Apr 15 21:59:59 1945', 'Oct 31 23:00:00 1944', 'Apr 15 23:59:59 1945');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 15 22:00:00 1945', 'Oct 31 22:59:59 1945', 'Apr 16 01:00:00 1945', 'Nov 1 01:59:59 1945');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Oct 31 23:00:00 1945', 'Apr 15 23:59:59 1946', 'Nov 1 01:00:00 1945', 'Apr 16 01:59:59 1946');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 16 00:00:00 1946', 'Oct 31 20:59:59 1946', 'Apr 16 03:00:00 1946', 'Oct 31 23:59:59 1946');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Oct 31 21:00:00 1946', 'May 22 21:59:59 1948', 'Oct 31 23:00:00 1946', 'May 22 23:59:59 1948');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 14400, 'May 22 22:00:00 1948', 'Aug 31 19:59:59 1948', 'May 23 02:00:00 1948', 'Aug 31 23:59:59 1948');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Aug 31 20:00:00 1948', 'Oct 31 22:59:59 1948', 'Aug 31 23:00:00 1948', 'Nov 1 01:59:59 1948');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Oct 31 23:00:00 1948', 'Apr 30 21:59:59 1949', 'Nov 1 01:00:00 1948', 'Apr 30 23:59:59 1949');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 30 22:00:00 1949', 'Oct 31 22:59:59 1949', 'May 1 01:00:00 1949', 'Nov 1 01:59:59 1949');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Oct 31 23:00:00 1949', 'Apr 15 21:59:59 1950', 'Nov 1 01:00:00 1949', 'Apr 15 23:59:59 1950');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 15 22:00:00 1950', 'Sep 14 23:59:59 1950', 'Apr 16 01:00:00 1950', 'Sep 15 02:59:59 1950');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 15 00:00:00 1950', 'Mar 31 21:59:59 1951', 'Sep 15 02:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 31 22:00:00 1951', 'Nov 10 23:59:59 1951', 'Apr 1 01:00:00 1951', 'Nov 11 02:59:59 1951');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Nov 11 00:00:00 1951', 'Apr 19 23:59:59 1952', 'Nov 11 02:00:00 1951', 'Apr 20 01:59:59 1952');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 20 00:00:00 1952', 'Oct 18 23:59:59 1952', 'Apr 20 03:00:00 1952', 'Oct 19 02:59:59 1952');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Oct 19 00:00:00 1952', 'Apr 11 23:59:59 1953', 'Oct 19 02:00:00 1952', 'Apr 12 01:59:59 1953');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 12 00:00:00 1953', 'Sep 12 23:59:59 1953', 'Apr 12 03:00:00 1953', 'Sep 13 02:59:59 1953');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 13 00:00:00 1953', 'Jun 12 21:59:59 1954', 'Sep 13 02:00:00 1953', 'Jun 12 23:59:59 1954');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Jun 12 22:00:00 1954', 'Sep 11 20:59:59 1954', 'Jun 13 01:00:00 1954', 'Sep 11 23:59:59 1954');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 11 21:00:00 1954', 'Jun 10 23:59:59 1955', 'Sep 11 23:00:00 1954', 'Jun 11 01:59:59 1955');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Jun 11 00:00:00 1955', 'Sep 10 20:59:59 1955', 'Jun 11 03:00:00 1955', 'Sep 10 23:59:59 1955');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 10 21:00:00 1955', 'Jun 2 21:59:59 1956', 'Sep 10 23:00:00 1955', 'Jun 2 23:59:59 1956');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Jun 2 22:00:00 1956', 'Sep 29 23:59:59 1956', 'Jun 3 01:00:00 1956', 'Sep 30 02:59:59 1956');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 30 00:00:00 1956', 'Apr 28 23:59:59 1957', 'Sep 30 02:00:00 1956', 'Apr 29 01:59:59 1957');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 29 00:00:00 1957', 'Sep 21 20:59:59 1957', 'Apr 29 03:00:00 1957', 'Sep 21 23:59:59 1957');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 21 21:00:00 1957', 'Jul 6 21:59:59 1974', 'Sep 21 23:00:00 1957', 'Jul 6 23:59:59 1974');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Jul 6 22:00:00 1974', 'Oct 12 20:59:59 1974', 'Jul 7 01:00:00 1974', 'Oct 12 23:59:59 1974');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Oct 12 21:00:00 1974', 'Apr 19 21:59:59 1975', 'Oct 12 23:00:00 1974', 'Apr 19 23:59:59 1975');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 19 22:00:00 1975', 'Aug 30 20:59:59 1975', 'Apr 20 01:00:00 1975', 'Aug 30 23:59:59 1975');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 30 21:00:00 1975', 'Apr 13 21:59:59 1985', 'Aug 30 23:00:00 1975', 'Apr 13 23:59:59 1985');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 13 22:00:00 1985', 'Sep 14 20:59:59 1985', 'Apr 14 01:00:00 1985', 'Sep 14 23:59:59 1985');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 14 21:00:00 1985', 'May 17 21:59:59 1986', 'Sep 14 23:00:00 1985', 'May 17 23:59:59 1986');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'May 17 22:00:00 1986', 'Sep 6 20:59:59 1986', 'May 18 01:00:00 1986', 'Sep 6 23:59:59 1986');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 6 21:00:00 1986', 'Apr 14 21:59:59 1987', 'Sep 6 23:00:00 1986', 'Apr 14 23:59:59 1987');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 14 22:00:00 1987', 'Sep 12 20:59:59 1987', 'Apr 15 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 12 21:00:00 1987', 'Apr 8 21:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 8 23:59:59 1988');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 8 22:00:00 1988', 'Sep 2 20:59:59 1988', 'Apr 9 01:00:00 1988', 'Sep 2 23:59:59 1988');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 2 21:00:00 1988', 'Apr 29 21:59:59 1989', 'Sep 2 23:00:00 1988', 'Apr 29 23:59:59 1989');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 29 22:00:00 1989', 'Sep 2 20:59:59 1989', 'Apr 30 01:00:00 1989', 'Sep 2 23:59:59 1989');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 2 21:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 2 23:00:00 1989', 'Mar 24 23:59:59 1990');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 24 22:00:00 1990', 'Aug 25 20:59:59 1990', 'Mar 25 01:00:00 1990', 'Aug 25 23:59:59 1990');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 25 21:00:00 1990', 'Mar 23 21:59:59 1991', 'Aug 25 23:00:00 1990', 'Mar 23 23:59:59 1991');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 23 22:00:00 1991', 'Aug 31 20:59:59 1991', 'Mar 24 01:00:00 1991', 'Aug 31 23:59:59 1991');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 31 21:00:00 1991', 'Mar 28 21:59:59 1992', 'Aug 31 23:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 28 22:00:00 1992', 'Sep 5 20:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 5 23:59:59 1992');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 5 21:00:00 1992', 'Apr 1 21:59:59 1993', 'Sep 5 23:00:00 1992', 'Apr 1 23:59:59 1993');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 1 22:00:00 1993', 'Sep 4 20:59:59 1993', 'Apr 2 01:00:00 1993', 'Sep 4 23:59:59 1993');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 4 21:00:00 1993', 'Mar 31 21:59:59 1994', 'Sep 4 23:00:00 1993', 'Mar 31 23:59:59 1994');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 31 22:00:00 1994', 'Aug 27 20:59:59 1994', 'Apr 1 01:00:00 1994', 'Aug 27 23:59:59 1994');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 27 21:00:00 1994', 'Mar 30 21:59:59 1995', 'Aug 27 23:00:00 1994', 'Mar 30 23:59:59 1995');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 30 22:00:00 1995', 'Sep 2 20:59:59 1995', 'Mar 31 01:00:00 1995', 'Sep 2 23:59:59 1995');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 2 21:00:00 1995', 'Mar 14 21:59:59 1996', 'Sep 2 23:00:00 1995', 'Mar 14 23:59:59 1996');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 14 22:00:00 1996', 'Sep 15 20:59:59 1996', 'Mar 15 01:00:00 1996', 'Sep 15 23:59:59 1996');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 15 21:00:00 1996', 'Mar 20 21:59:59 1997', 'Sep 15 23:00:00 1996', 'Mar 20 23:59:59 1997');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 20 22:00:00 1997', 'Sep 13 20:59:59 1997', 'Mar 21 01:00:00 1997', 'Sep 13 23:59:59 1997');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 13 21:00:00 1997', 'Mar 19 21:59:59 1998', 'Sep 13 23:00:00 1997', 'Mar 19 23:59:59 1998');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Mar 19 22:00:00 1998', 'Sep 5 20:59:59 1998', 'Mar 20 01:00:00 1998', 'Sep 5 23:59:59 1998');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 5 21:00:00 1998', 'Apr 1 23:59:59 1999', 'Sep 5 23:00:00 1998', 'Apr 2 01:59:59 1999');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 2 00:00:00 1999', 'Sep 2 22:59:59 1999', 'Apr 2 03:00:00 1999', 'Sep 3 01:59:59 1999');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 2 23:00:00 1999', 'Apr 6 23:59:59 2000', 'Sep 3 01:00:00 1999', 'Apr 7 01:59:59 2000');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 7 00:00:00 2000', 'Aug 31 22:59:59 2000', 'Apr 7 03:00:00 2000', 'Sep 1 01:59:59 2000');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 31 23:00:00 2000', 'Apr 5 23:59:59 2001', 'Sep 1 01:00:00 2000', 'Apr 6 01:59:59 2001');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 6 00:00:00 2001', 'Sep 6 22:59:59 2001', 'Apr 6 03:00:00 2001', 'Sep 7 01:59:59 2001');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 6 23:00:00 2001', 'Apr 4 23:59:59 2002', 'Sep 7 01:00:00 2001', 'Apr 5 01:59:59 2002');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 5 00:00:00 2002', 'Sep 5 22:59:59 2002', 'Apr 5 03:00:00 2002', 'Sep 6 01:59:59 2002');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 5 23:00:00 2002', 'Apr 3 23:59:59 2003', 'Sep 6 01:00:00 2002', 'Apr 4 01:59:59 2003');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 4 00:00:00 2003', 'Sep 4 22:59:59 2003', 'Apr 4 03:00:00 2003', 'Sep 5 01:59:59 2003');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 4 23:00:00 2003', 'Apr 1 23:59:59 2004', 'Sep 5 01:00:00 2003', 'Apr 2 01:59:59 2004');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 2 00:00:00 2004', 'Sep 2 22:59:59 2004', 'Apr 2 03:00:00 2004', 'Sep 3 01:59:59 2004');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 2 23:00:00 2004', 'Mar 31 23:59:59 2005', 'Sep 3 01:00:00 2004', 'Apr 1 01:59:59 2005');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 1 00:00:00 2005', 'Sep 1 22:59:59 2005', 'Apr 1 03:00:00 2005', 'Sep 2 01:59:59 2005');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 1 23:00:00 2005', 'Apr 6 23:59:59 2006', 'Sep 2 01:00:00 2005', 'Apr 7 01:59:59 2006');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 7 00:00:00 2006', 'Aug 31 22:59:59 2006', 'Apr 7 03:00:00 2006', 'Sep 1 01:59:59 2006');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 31 23:00:00 2006', 'Apr 5 23:59:59 2007', 'Sep 1 01:00:00 2006', 'Apr 6 01:59:59 2007');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 6 00:00:00 2007', 'Sep 6 22:59:59 2007', 'Apr 6 03:00:00 2007', 'Sep 7 01:59:59 2007');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 6 23:00:00 2007', 'Apr 3 23:59:59 2008', 'Sep 7 01:00:00 2007', 'Apr 4 01:59:59 2008');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 4 00:00:00 2008', 'Sep 4 22:59:59 2008', 'Apr 4 03:00:00 2008', 'Sep 5 01:59:59 2008');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 4 23:00:00 2008', 'Apr 2 23:59:59 2009', 'Sep 5 01:00:00 2008', 'Apr 3 01:59:59 2009');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 3 00:00:00 2009', 'Sep 3 22:59:59 2009', 'Apr 3 03:00:00 2009', 'Sep 4 01:59:59 2009');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 3 23:00:00 2009', 'Apr 1 23:59:59 2010', 'Sep 4 01:00:00 2009', 'Apr 2 01:59:59 2010');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 2 00:00:00 2010', 'Sep 2 22:59:59 2010', 'Apr 2 03:00:00 2010', 'Sep 3 01:59:59 2010');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 2 23:00:00 2010', 'Mar 31 23:59:59 2011', 'Sep 3 01:00:00 2010', 'Apr 1 01:59:59 2011');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 1 00:00:00 2011', 'Sep 1 22:59:59 2011', 'Apr 1 03:00:00 2011', 'Sep 2 01:59:59 2011');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 1 23:00:00 2011', 'Apr 5 23:59:59 2012', 'Sep 2 01:00:00 2011', 'Apr 6 01:59:59 2012');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 6 00:00:00 2012', 'Sep 6 22:59:59 2012', 'Apr 6 03:00:00 2012', 'Sep 7 01:59:59 2012');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 6 23:00:00 2012', 'Apr 4 23:59:59 2013', 'Sep 7 01:00:00 2012', 'Apr 5 01:59:59 2013');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 5 00:00:00 2013', 'Sep 5 22:59:59 2013', 'Apr 5 03:00:00 2013', 'Sep 6 01:59:59 2013');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 5 23:00:00 2013', 'Apr 3 23:59:59 2014', 'Sep 6 01:00:00 2013', 'Apr 4 01:59:59 2014');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 4 00:00:00 2014', 'Sep 4 22:59:59 2014', 'Apr 4 03:00:00 2014', 'Sep 5 01:59:59 2014');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 4 23:00:00 2014', 'Apr 2 23:59:59 2015', 'Sep 5 01:00:00 2014', 'Apr 3 01:59:59 2015');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 3 00:00:00 2015', 'Sep 3 22:59:59 2015', 'Apr 3 03:00:00 2015', 'Sep 4 01:59:59 2015');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 3 23:00:00 2015', 'Mar 31 23:59:59 2016', 'Sep 4 01:00:00 2015', 'Apr 1 01:59:59 2016');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 1 00:00:00 2016', 'Sep 1 22:59:59 2016', 'Apr 1 03:00:00 2016', 'Sep 2 01:59:59 2016');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 1 23:00:00 2016', 'Apr 6 23:59:59 2017', 'Sep 2 01:00:00 2016', 'Apr 7 01:59:59 2017');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 7 00:00:00 2017', 'Aug 31 22:59:59 2017', 'Apr 7 03:00:00 2017', 'Sep 1 01:59:59 2017');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 31 23:00:00 2017', 'Apr 5 23:59:59 2018', 'Sep 1 01:00:00 2017', 'Apr 6 01:59:59 2018');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 6 00:00:00 2018', 'Sep 6 22:59:59 2018', 'Apr 6 03:00:00 2018', 'Sep 7 01:59:59 2018');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 6 23:00:00 2018', 'Apr 4 23:59:59 2019', 'Sep 7 01:00:00 2018', 'Apr 5 01:59:59 2019');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 5 00:00:00 2019', 'Sep 5 22:59:59 2019', 'Apr 5 03:00:00 2019', 'Sep 6 01:59:59 2019');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 5 23:00:00 2019', 'Apr 2 23:59:59 2020', 'Sep 6 01:00:00 2019', 'Apr 3 01:59:59 2020');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 3 00:00:00 2020', 'Sep 3 22:59:59 2020', 'Apr 3 03:00:00 2020', 'Sep 4 01:59:59 2020');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 3 23:00:00 2020', 'Apr 1 23:59:59 2021', 'Sep 4 01:00:00 2020', 'Apr 2 01:59:59 2021');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 2 00:00:00 2021', 'Sep 2 22:59:59 2021', 'Apr 2 03:00:00 2021', 'Sep 3 01:59:59 2021');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 2 23:00:00 2021', 'Mar 31 23:59:59 2022', 'Sep 3 01:00:00 2021', 'Apr 1 01:59:59 2022');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 1 00:00:00 2022', 'Sep 1 22:59:59 2022', 'Apr 1 03:00:00 2022', 'Sep 2 01:59:59 2022');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 1 23:00:00 2022', 'Apr 6 23:59:59 2023', 'Sep 2 01:00:00 2022', 'Apr 7 01:59:59 2023');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 7 00:00:00 2023', 'Aug 31 22:59:59 2023', 'Apr 7 03:00:00 2023', 'Sep 1 01:59:59 2023');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 31 23:00:00 2023', 'Apr 4 23:59:59 2024', 'Sep 1 01:00:00 2023', 'Apr 5 01:59:59 2024');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 5 00:00:00 2024', 'Sep 5 22:59:59 2024', 'Apr 5 03:00:00 2024', 'Sep 6 01:59:59 2024');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 5 23:00:00 2024', 'Apr 3 23:59:59 2025', 'Sep 6 01:00:00 2024', 'Apr 4 01:59:59 2025');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 4 00:00:00 2025', 'Sep 4 22:59:59 2025', 'Apr 4 03:00:00 2025', 'Sep 5 01:59:59 2025');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 4 23:00:00 2025', 'Apr 2 23:59:59 2026', 'Sep 5 01:00:00 2025', 'Apr 3 01:59:59 2026');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 3 00:00:00 2026', 'Sep 3 22:59:59 2026', 'Apr 3 03:00:00 2026', 'Sep 4 01:59:59 2026');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 3 23:00:00 2026', 'Apr 1 23:59:59 2027', 'Sep 4 01:00:00 2026', 'Apr 2 01:59:59 2027');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 2 00:00:00 2027', 'Sep 2 22:59:59 2027', 'Apr 2 03:00:00 2027', 'Sep 3 01:59:59 2027');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 2 23:00:00 2027', 'Apr 6 23:59:59 2028', 'Sep 3 01:00:00 2027', 'Apr 7 01:59:59 2028');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 7 00:00:00 2028', 'Aug 31 22:59:59 2028', 'Apr 7 03:00:00 2028', 'Sep 1 01:59:59 2028');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 31 23:00:00 2028', 'Apr 5 23:59:59 2029', 'Sep 1 01:00:00 2028', 'Apr 6 01:59:59 2029');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 6 00:00:00 2029', 'Sep 6 22:59:59 2029', 'Apr 6 03:00:00 2029', 'Sep 7 01:59:59 2029');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 6 23:00:00 2029', 'Apr 4 23:59:59 2030', 'Sep 7 01:00:00 2029', 'Apr 5 01:59:59 2030');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 5 00:00:00 2030', 'Sep 5 22:59:59 2030', 'Apr 5 03:00:00 2030', 'Sep 6 01:59:59 2030');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 5 23:00:00 2030', 'Apr 3 23:59:59 2031', 'Sep 6 01:00:00 2030', 'Apr 4 01:59:59 2031');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 4 00:00:00 2031', 'Sep 4 22:59:59 2031', 'Apr 4 03:00:00 2031', 'Sep 5 01:59:59 2031');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 4 23:00:00 2031', 'Apr 1 23:59:59 2032', 'Sep 5 01:00:00 2031', 'Apr 2 01:59:59 2032');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 2 00:00:00 2032', 'Sep 2 22:59:59 2032', 'Apr 2 03:00:00 2032', 'Sep 3 01:59:59 2032');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 2 23:00:00 2032', 'Mar 31 23:59:59 2033', 'Sep 3 01:00:00 2032', 'Apr 1 01:59:59 2033');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 1 00:00:00 2033', 'Sep 1 22:59:59 2033', 'Apr 1 03:00:00 2033', 'Sep 2 01:59:59 2033');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 1 23:00:00 2033', 'Apr 6 23:59:59 2034', 'Sep 2 01:00:00 2033', 'Apr 7 01:59:59 2034');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 7 00:00:00 2034', 'Aug 31 22:59:59 2034', 'Apr 7 03:00:00 2034', 'Sep 1 01:59:59 2034');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Aug 31 23:00:00 2034', 'Apr 5 23:59:59 2035', 'Sep 1 01:00:00 2034', 'Apr 6 01:59:59 2035');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 6 00:00:00 2035', 'Sep 6 22:59:59 2035', 'Apr 6 03:00:00 2035', 'Sep 7 01:59:59 2035');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 6 23:00:00 2035', 'Apr 3 23:59:59 2036', 'Sep 7 01:00:00 2035', 'Apr 4 01:59:59 2036');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 4 00:00:00 2036', 'Sep 4 22:59:59 2036', 'Apr 4 03:00:00 2036', 'Sep 5 01:59:59 2036');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 4 23:00:00 2036', 'Apr 2 23:59:59 2037', 'Sep 5 01:00:00 2036', 'Apr 3 01:59:59 2037');
timezone.add_rule('Asia/Tel_Aviv', 'IDT', 1, 10800, 'Apr 3 00:00:00 2037', 'Sep 3 22:59:59 2037', 'Apr 3 03:00:00 2037', 'Sep 4 01:59:59 2037');
timezone.add_rule('Asia/Tel_Aviv', 'IST', 0, 7200, 'Sep 3 23:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 4 01:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Asia/Thimbu
--

begin
timezone.add_rule('Asia/Thimbu', 'BTT', 0, 21516, 'Dec 14 20:45:52 1901', 'Aug 14 18:01:23 1947', 'Dec 15 02:44:28 1901', 'Aug 14 23:59:59 1947');
timezone.add_rule('Asia/Thimbu', 'BTT', 0, 19800, 'Aug 14 18:01:24 1947', 'Sep 30 18:29:59 1987', 'Aug 14 23:31:24 1947', 'Sep 30 23:59:59 1987');
timezone.add_rule('Asia/Thimbu', 'BTT', 0, 21600, 'Sep 30 18:30:00 1987', 'Jan 18 03:14:07 2038', 'Oct 1 00:30:00 1987', 'Jan 18 09:14:07 2038');
end;
/

--
-- Asia/Thimphu not installed
--

--
-- Asia/Tokyo
--

begin
timezone.add_rule('Asia/Tokyo', 'JST', 0, 32400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 05:45:52 1901', 'Jan 18 12:14:07 2038');
end;
/

--
-- Asia/Ujung_Pandang
--

begin
timezone.add_rule('Asia/Ujung_Pandang', 'BORT', 0, 28656, 'Dec 14 20:45:52 1901', 'Oct 31 16:02:23 1932', 'Dec 15 04:43:28 1901', 'Oct 31 23:59:59 1932');
timezone.add_rule('Asia/Ujung_Pandang', 'BORT', 0, 28800, 'Oct 31 16:02:24 1932', 'Feb 8 15:59:59 1942', 'Nov 1 00:02:24 1932', 'Feb 8 23:59:59 1942');
timezone.add_rule('Asia/Ujung_Pandang', 'BORT', 0, 32400, 'Feb 8 16:00:00 1942', 'Jul 31 14:59:59 1945', 'Feb 9 01:00:00 1942', 'Jul 31 23:59:59 1945');
timezone.add_rule('Asia/Ujung_Pandang', 'BORT', 0, 28800, 'Jul 31 15:00:00 1945', 'Jan 18 03:14:07 2038', 'Jul 31 23:00:00 1945', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Ulaanbaatar not installed
--

--
-- Asia/Ulan_Bator
--

begin
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 25652, 'Dec 14 20:45:52 1901', 'Jul 31 16:52:27 1905', 'Dec 15 03:53:24 1901', 'Jul 31 23:59:59 1905');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 25200, 'Jul 31 16:52:28 1905', 'Dec 31 16:59:59 1977', 'Jul 31 23:52:28 1905', 'Dec 31 23:59:59 1977');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Dec 31 17:00:00 1977', 'Mar 31 15:59:59 1981', 'Jan 1 01:00:00 1978', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 31 16:00:00 1981', 'Sep 30 14:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 30 15:00:00 1981', 'Mar 31 15:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 31 16:00:00 1982', 'Sep 30 14:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 30 15:00:00 1982', 'Mar 31 15:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 31 16:00:00 1983', 'Sep 30 14:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 30 15:00:00 1983', 'Mar 31 15:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 31 16:00:00 1984', 'Sep 30 14:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 23:59:59 1984');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 30 15:00:00 1984', 'Mar 30 17:59:59 1985', 'Sep 30 23:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 30 18:00:00 1985', 'Sep 28 17:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 28 18:00:00 1985', 'Mar 29 17:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 29 18:00:00 1986', 'Sep 27 17:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 27 18:00:00 1986', 'Mar 28 17:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 28 18:00:00 1987', 'Sep 26 17:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 26 18:00:00 1987', 'Mar 26 17:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 26 18:00:00 1988', 'Sep 24 17:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 24 18:00:00 1988', 'Mar 25 17:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 25 18:00:00 1989', 'Sep 23 17:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 23 18:00:00 1989', 'Mar 24 17:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 24 18:00:00 1990', 'Sep 29 17:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 29 18:00:00 1990', 'Mar 30 15:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 30 23:59:59 1991');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 30 16:00:00 1991', 'Sep 28 14:59:59 1991', 'Mar 31 01:00:00 1991', 'Sep 28 23:59:59 1991');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 28 15:00:00 1991', 'Mar 28 15:59:59 1992', 'Sep 28 23:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 28 16:00:00 1992', 'Sep 26 14:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 26 15:00:00 1992', 'Mar 27 15:59:59 1993', 'Sep 26 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 27 16:00:00 1993', 'Sep 25 14:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 25 15:00:00 1993', 'Mar 26 15:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 26 16:00:00 1994', 'Sep 24 14:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 24 15:00:00 1994', 'Mar 25 15:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 25 16:00:00 1995', 'Sep 23 14:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 23 15:00:00 1995', 'Mar 30 15:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 30 16:00:00 1996', 'Oct 24 14:59:59 1996', 'Mar 31 01:00:00 1996', 'Oct 24 23:59:59 1996');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Oct 24 15:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 24 23:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 29 16:00:00 1997', 'Sep 27 14:59:59 1997', 'Mar 30 01:00:00 1997', 'Sep 27 23:59:59 1997');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 27 15:00:00 1997', 'Mar 28 15:59:59 1998', 'Sep 27 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 28 16:00:00 1998', 'Sep 26 14:59:59 1998', 'Mar 29 01:00:00 1998', 'Sep 26 23:59:59 1998');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 26 15:00:00 1998', 'Mar 27 15:59:59 1999', 'Sep 26 23:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 27 16:00:00 1999', 'Sep 25 14:59:59 1999', 'Mar 28 01:00:00 1999', 'Sep 25 23:59:59 1999');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 25 15:00:00 1999', 'Mar 25 15:59:59 2000', 'Sep 25 23:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 25 16:00:00 2000', 'Sep 23 14:59:59 2000', 'Mar 26 01:00:00 2000', 'Sep 23 23:59:59 2000');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 23 15:00:00 2000', 'Mar 24 15:59:59 2001', 'Sep 23 23:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 24 16:00:00 2001', 'Sep 29 14:59:59 2001', 'Mar 25 01:00:00 2001', 'Sep 29 23:59:59 2001');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 29 15:00:00 2001', 'Mar 30 15:59:59 2002', 'Sep 29 23:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 30 16:00:00 2002', 'Sep 28 14:59:59 2002', 'Mar 31 01:00:00 2002', 'Sep 28 23:59:59 2002');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 28 15:00:00 2002', 'Mar 29 15:59:59 2003', 'Sep 28 23:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 29 16:00:00 2003', 'Sep 27 14:59:59 2003', 'Mar 30 01:00:00 2003', 'Sep 27 23:59:59 2003');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 27 15:00:00 2003', 'Mar 27 15:59:59 2004', 'Sep 27 23:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 27 16:00:00 2004', 'Sep 25 14:59:59 2004', 'Mar 28 01:00:00 2004', 'Sep 25 23:59:59 2004');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 25 15:00:00 2004', 'Mar 26 15:59:59 2005', 'Sep 25 23:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 26 16:00:00 2005', 'Sep 24 14:59:59 2005', 'Mar 27 01:00:00 2005', 'Sep 24 23:59:59 2005');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 24 15:00:00 2005', 'Mar 25 15:59:59 2006', 'Sep 24 23:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 25 16:00:00 2006', 'Sep 23 14:59:59 2006', 'Mar 26 01:00:00 2006', 'Sep 23 23:59:59 2006');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 23 15:00:00 2006', 'Mar 24 15:59:59 2007', 'Sep 23 23:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 24 16:00:00 2007', 'Sep 29 14:59:59 2007', 'Mar 25 01:00:00 2007', 'Sep 29 23:59:59 2007');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 29 15:00:00 2007', 'Mar 29 15:59:59 2008', 'Sep 29 23:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 29 16:00:00 2008', 'Sep 27 14:59:59 2008', 'Mar 30 01:00:00 2008', 'Sep 27 23:59:59 2008');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 27 15:00:00 2008', 'Mar 28 15:59:59 2009', 'Sep 27 23:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 28 16:00:00 2009', 'Sep 26 14:59:59 2009', 'Mar 29 01:00:00 2009', 'Sep 26 23:59:59 2009');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 26 15:00:00 2009', 'Mar 27 15:59:59 2010', 'Sep 26 23:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 27 16:00:00 2010', 'Sep 25 14:59:59 2010', 'Mar 28 01:00:00 2010', 'Sep 25 23:59:59 2010');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 25 15:00:00 2010', 'Mar 26 15:59:59 2011', 'Sep 25 23:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 26 16:00:00 2011', 'Sep 24 14:59:59 2011', 'Mar 27 01:00:00 2011', 'Sep 24 23:59:59 2011');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 24 15:00:00 2011', 'Mar 24 15:59:59 2012', 'Sep 24 23:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 24 16:00:00 2012', 'Sep 29 14:59:59 2012', 'Mar 25 01:00:00 2012', 'Sep 29 23:59:59 2012');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 29 15:00:00 2012', 'Mar 30 15:59:59 2013', 'Sep 29 23:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 30 16:00:00 2013', 'Sep 28 14:59:59 2013', 'Mar 31 01:00:00 2013', 'Sep 28 23:59:59 2013');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 28 15:00:00 2013', 'Mar 29 15:59:59 2014', 'Sep 28 23:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 29 16:00:00 2014', 'Sep 27 14:59:59 2014', 'Mar 30 01:00:00 2014', 'Sep 27 23:59:59 2014');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 27 15:00:00 2014', 'Mar 28 15:59:59 2015', 'Sep 27 23:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 28 16:00:00 2015', 'Sep 26 14:59:59 2015', 'Mar 29 01:00:00 2015', 'Sep 26 23:59:59 2015');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 26 15:00:00 2015', 'Mar 26 15:59:59 2016', 'Sep 26 23:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 26 16:00:00 2016', 'Sep 24 14:59:59 2016', 'Mar 27 01:00:00 2016', 'Sep 24 23:59:59 2016');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 24 15:00:00 2016', 'Mar 25 15:59:59 2017', 'Sep 24 23:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 25 16:00:00 2017', 'Sep 23 14:59:59 2017', 'Mar 26 01:00:00 2017', 'Sep 23 23:59:59 2017');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 23 15:00:00 2017', 'Mar 24 15:59:59 2018', 'Sep 23 23:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 24 16:00:00 2018', 'Sep 29 14:59:59 2018', 'Mar 25 01:00:00 2018', 'Sep 29 23:59:59 2018');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 29 15:00:00 2018', 'Mar 30 15:59:59 2019', 'Sep 29 23:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 30 16:00:00 2019', 'Sep 28 14:59:59 2019', 'Mar 31 01:00:00 2019', 'Sep 28 23:59:59 2019');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 28 15:00:00 2019', 'Mar 28 15:59:59 2020', 'Sep 28 23:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 28 16:00:00 2020', 'Sep 26 14:59:59 2020', 'Mar 29 01:00:00 2020', 'Sep 26 23:59:59 2020');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 26 15:00:00 2020', 'Mar 27 15:59:59 2021', 'Sep 26 23:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 27 16:00:00 2021', 'Sep 25 14:59:59 2021', 'Mar 28 01:00:00 2021', 'Sep 25 23:59:59 2021');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 25 15:00:00 2021', 'Mar 26 15:59:59 2022', 'Sep 25 23:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 26 16:00:00 2022', 'Sep 24 14:59:59 2022', 'Mar 27 01:00:00 2022', 'Sep 24 23:59:59 2022');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 24 15:00:00 2022', 'Mar 25 15:59:59 2023', 'Sep 24 23:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 25 16:00:00 2023', 'Sep 23 14:59:59 2023', 'Mar 26 01:00:00 2023', 'Sep 23 23:59:59 2023');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 23 15:00:00 2023', 'Mar 30 15:59:59 2024', 'Sep 23 23:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 30 16:00:00 2024', 'Sep 28 14:59:59 2024', 'Mar 31 01:00:00 2024', 'Sep 28 23:59:59 2024');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 28 15:00:00 2024', 'Mar 29 15:59:59 2025', 'Sep 28 23:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 29 16:00:00 2025', 'Sep 27 14:59:59 2025', 'Mar 30 01:00:00 2025', 'Sep 27 23:59:59 2025');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 27 15:00:00 2025', 'Mar 28 15:59:59 2026', 'Sep 27 23:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 28 16:00:00 2026', 'Sep 26 14:59:59 2026', 'Mar 29 01:00:00 2026', 'Sep 26 23:59:59 2026');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 26 15:00:00 2026', 'Mar 27 15:59:59 2027', 'Sep 26 23:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 27 16:00:00 2027', 'Sep 25 14:59:59 2027', 'Mar 28 01:00:00 2027', 'Sep 25 23:59:59 2027');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 25 15:00:00 2027', 'Mar 25 15:59:59 2028', 'Sep 25 23:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 25 16:00:00 2028', 'Sep 23 14:59:59 2028', 'Mar 26 01:00:00 2028', 'Sep 23 23:59:59 2028');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 23 15:00:00 2028', 'Mar 24 15:59:59 2029', 'Sep 23 23:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 24 16:00:00 2029', 'Sep 29 14:59:59 2029', 'Mar 25 01:00:00 2029', 'Sep 29 23:59:59 2029');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 29 15:00:00 2029', 'Mar 30 15:59:59 2030', 'Sep 29 23:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 30 16:00:00 2030', 'Sep 28 14:59:59 2030', 'Mar 31 01:00:00 2030', 'Sep 28 23:59:59 2030');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 28 15:00:00 2030', 'Mar 29 15:59:59 2031', 'Sep 28 23:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 29 16:00:00 2031', 'Sep 27 14:59:59 2031', 'Mar 30 01:00:00 2031', 'Sep 27 23:59:59 2031');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 27 15:00:00 2031', 'Mar 27 15:59:59 2032', 'Sep 27 23:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 27 16:00:00 2032', 'Sep 25 14:59:59 2032', 'Mar 28 01:00:00 2032', 'Sep 25 23:59:59 2032');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 25 15:00:00 2032', 'Mar 26 15:59:59 2033', 'Sep 25 23:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 26 16:00:00 2033', 'Sep 24 14:59:59 2033', 'Mar 27 01:00:00 2033', 'Sep 24 23:59:59 2033');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 24 15:00:00 2033', 'Mar 25 15:59:59 2034', 'Sep 24 23:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 25 16:00:00 2034', 'Sep 23 14:59:59 2034', 'Mar 26 01:00:00 2034', 'Sep 23 23:59:59 2034');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 23 15:00:00 2034', 'Mar 24 15:59:59 2035', 'Sep 23 23:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 24 16:00:00 2035', 'Sep 29 14:59:59 2035', 'Mar 25 01:00:00 2035', 'Sep 29 23:59:59 2035');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 29 15:00:00 2035', 'Mar 29 15:59:59 2036', 'Sep 29 23:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 29 16:00:00 2036', 'Sep 27 14:59:59 2036', 'Mar 30 01:00:00 2036', 'Sep 27 23:59:59 2036');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 27 15:00:00 2036', 'Mar 28 15:59:59 2037', 'Sep 27 23:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Asia/Ulan_Bator', 'ULAST', 1, 32400, 'Mar 28 16:00:00 2037', 'Sep 26 14:59:59 2037', 'Mar 29 01:00:00 2037', 'Sep 26 23:59:59 2037');
timezone.add_rule('Asia/Ulan_Bator', 'ULAT', 0, 28800, 'Sep 26 15:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 26 23:00:00 2037', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Urumqi
--

begin
timezone.add_rule('Asia/Urumqi', 'CST', 0, 21020, 'Dec 14 20:45:52 1901', 'Dec 31 18:09:39 1927', 'Dec 15 02:36:12 1901', 'Dec 31 23:59:59 1927');
timezone.add_rule('Asia/Urumqi', 'CST', 0, 21600, 'Dec 31 18:09:40 1927', 'Apr 30 17:59:59 1980', 'Jan 1 00:09:40 1928', 'Apr 30 23:59:59 1980');
timezone.add_rule('Asia/Urumqi', 'CST', 0, 28800, 'Apr 30 18:00:00 1980', 'May 3 15:59:59 1986', 'May 1 02:00:00 1980', 'May 3 23:59:59 1986');
timezone.add_rule('Asia/Urumqi', 'CDT', 1, 32400, 'May 3 16:00:00 1986', 'Sep 13 14:59:59 1986', 'May 4 01:00:00 1986', 'Sep 13 23:59:59 1986');
timezone.add_rule('Asia/Urumqi', 'CST', 0, 28800, 'Sep 13 15:00:00 1986', 'Apr 11 15:59:59 1987', 'Sep 13 23:00:00 1986', 'Apr 11 23:59:59 1987');
timezone.add_rule('Asia/Urumqi', 'CDT', 1, 32400, 'Apr 11 16:00:00 1987', 'Sep 12 14:59:59 1987', 'Apr 12 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Asia/Urumqi', 'CST', 0, 28800, 'Sep 12 15:00:00 1987', 'Apr 9 15:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 9 23:59:59 1988');
timezone.add_rule('Asia/Urumqi', 'CDT', 1, 32400, 'Apr 9 16:00:00 1988', 'Sep 10 14:59:59 1988', 'Apr 10 01:00:00 1988', 'Sep 10 23:59:59 1988');
timezone.add_rule('Asia/Urumqi', 'CST', 0, 28800, 'Sep 10 15:00:00 1988', 'Apr 15 15:59:59 1989', 'Sep 10 23:00:00 1988', 'Apr 15 23:59:59 1989');
timezone.add_rule('Asia/Urumqi', 'CDT', 1, 32400, 'Apr 15 16:00:00 1989', 'Sep 16 14:59:59 1989', 'Apr 16 01:00:00 1989', 'Sep 16 23:59:59 1989');
timezone.add_rule('Asia/Urumqi', 'CST', 0, 28800, 'Sep 16 15:00:00 1989', 'Apr 14 15:59:59 1990', 'Sep 16 23:00:00 1989', 'Apr 14 23:59:59 1990');
timezone.add_rule('Asia/Urumqi', 'CDT', 1, 32400, 'Apr 14 16:00:00 1990', 'Sep 15 14:59:59 1990', 'Apr 15 01:00:00 1990', 'Sep 15 23:59:59 1990');
timezone.add_rule('Asia/Urumqi', 'CST', 0, 28800, 'Sep 15 15:00:00 1990', 'Apr 13 15:59:59 1991', 'Sep 15 23:00:00 1990', 'Apr 13 23:59:59 1991');
timezone.add_rule('Asia/Urumqi', 'CDT', 1, 32400, 'Apr 13 16:00:00 1991', 'Sep 14 14:59:59 1991', 'Apr 14 01:00:00 1991', 'Sep 14 23:59:59 1991');
timezone.add_rule('Asia/Urumqi', 'CST', 0, 28800, 'Sep 14 15:00:00 1991', 'Jan 18 03:14:07 2038', 'Sep 14 23:00:00 1991', 'Jan 18 11:14:07 2038');
end;
/

--
-- Asia/Vientiane
--

begin
timezone.add_rule('Asia/Vientiane', 'ICT', 0, 24624, 'Dec 14 20:45:52 1901', 'Jun 8 17:09:35 1906', 'Dec 15 03:36:16 1901', 'Jun 8 23:59:59 1906');
timezone.add_rule('Asia/Vientiane', 'ICT', 0, 25580, 'Jun 8 17:09:36 1906', 'Mar 10 16:54:39 1911', 'Jun 9 00:15:56 1906', 'Mar 11 00:00:59 1911');
timezone.add_rule('Asia/Vientiane', 'ICT', 0, 25200, 'Mar 10 16:54:40 1911', 'Apr 30 16:59:59 1912', 'Mar 10 23:54:40 1911', 'Apr 30 23:59:59 1912');
timezone.add_rule('Asia/Vientiane', 'ICT', 0, 28800, 'Apr 30 17:00:00 1912', 'Apr 30 15:59:59 1931', 'May 1 01:00:00 1912', 'Apr 30 23:59:59 1931');
timezone.add_rule('Asia/Vientiane', 'ICT', 0, 25200, 'Apr 30 16:00:00 1931', 'Jan 18 03:14:07 2038', 'Apr 30 23:00:00 1931', 'Jan 18 10:14:07 2038');
end;
/

--
-- Asia/Vladivostok
--

begin
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 31664, 'Dec 14 20:45:52 1901', 'May 1 15:12:15 1924', 'Dec 15 05:33:36 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 32400, 'May 1 15:12:16 1924', 'Feb 28 14:59:59 1957', 'May 2 00:12:16 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Feb 28 15:00:00 1957', 'Mar 31 13:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 31 14:00:00 1981', 'Sep 30 12:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 30 13:00:00 1981', 'Mar 31 13:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 31 14:00:00 1982', 'Sep 30 12:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 30 13:00:00 1982', 'Mar 31 13:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 31 14:00:00 1983', 'Sep 30 12:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 30 13:00:00 1983', 'Mar 31 13:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 31 14:00:00 1984', 'Sep 29 15:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 29 16:00:00 1984', 'Mar 30 15:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 30 16:00:00 1985', 'Sep 28 15:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 28 16:00:00 1985', 'Mar 29 15:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 29 16:00:00 1986', 'Sep 27 15:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 27 16:00:00 1986', 'Mar 28 15:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 28 16:00:00 1987', 'Sep 26 15:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 26 16:00:00 1987', 'Mar 26 15:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 26 16:00:00 1988', 'Sep 24 15:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 24 16:00:00 1988', 'Mar 25 15:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 25 16:00:00 1989', 'Sep 23 15:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 23 16:00:00 1989', 'Mar 24 15:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 24 16:00:00 1990', 'Sep 29 15:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 29 16:00:00 1990', 'Mar 30 15:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 36000, 'Mar 30 16:00:00 1991', 'Sep 28 16:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 32400, 'Sep 28 17:00:00 1991', 'Jan 18 16:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Jan 18 17:00:00 1992', 'Mar 28 12:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 28 13:00:00 1992', 'Sep 26 11:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 26 12:00:00 1992', 'Mar 27 15:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 27 16:00:00 1993', 'Sep 25 15:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 25 16:00:00 1993', 'Mar 26 15:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 26 16:00:00 1994', 'Sep 24 15:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 24 16:00:00 1994', 'Mar 25 15:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 25 16:00:00 1995', 'Sep 23 15:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Sep 23 16:00:00 1995', 'Mar 30 15:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 30 16:00:00 1996', 'Oct 26 15:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 26 16:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 29 16:00:00 1997', 'Oct 25 15:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 25 16:00:00 1997', 'Mar 28 15:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 28 16:00:00 1998', 'Oct 24 15:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 24 16:00:00 1998', 'Mar 27 15:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 27 16:00:00 1999', 'Oct 30 15:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 30 16:00:00 1999', 'Mar 25 15:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 25 16:00:00 2000', 'Oct 28 15:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 28 16:00:00 2000', 'Mar 24 15:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 24 16:00:00 2001', 'Oct 27 15:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 27 16:00:00 2001', 'Mar 30 15:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 30 16:00:00 2002', 'Oct 26 15:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 26 16:00:00 2002', 'Mar 29 15:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 29 16:00:00 2003', 'Oct 25 15:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 25 16:00:00 2003', 'Mar 27 15:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 27 16:00:00 2004', 'Oct 30 15:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 30 16:00:00 2004', 'Mar 26 15:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 26 16:00:00 2005', 'Oct 29 15:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 29 16:00:00 2005', 'Mar 25 15:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 25 16:00:00 2006', 'Oct 28 15:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 28 16:00:00 2006', 'Mar 24 15:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 24 16:00:00 2007', 'Oct 27 15:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 27 16:00:00 2007', 'Mar 29 15:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 29 16:00:00 2008', 'Oct 25 15:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 25 16:00:00 2008', 'Mar 28 15:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 28 16:00:00 2009', 'Oct 24 15:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 24 16:00:00 2009', 'Mar 27 15:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 27 16:00:00 2010', 'Oct 30 15:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 30 16:00:00 2010', 'Mar 26 15:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 26 16:00:00 2011', 'Oct 29 15:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 29 16:00:00 2011', 'Mar 24 15:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 24 16:00:00 2012', 'Oct 27 15:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 27 16:00:00 2012', 'Mar 30 15:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 30 16:00:00 2013', 'Oct 26 15:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 26 16:00:00 2013', 'Mar 29 15:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 29 16:00:00 2014', 'Oct 25 15:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 25 16:00:00 2014', 'Mar 28 15:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 28 16:00:00 2015', 'Oct 24 15:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 24 16:00:00 2015', 'Mar 26 15:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 26 16:00:00 2016', 'Oct 29 15:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 29 16:00:00 2016', 'Mar 25 15:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 25 16:00:00 2017', 'Oct 28 15:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 28 16:00:00 2017', 'Mar 24 15:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 24 16:00:00 2018', 'Oct 27 15:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 27 16:00:00 2018', 'Mar 30 15:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 30 16:00:00 2019', 'Oct 26 15:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 26 16:00:00 2019', 'Mar 28 15:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 28 16:00:00 2020', 'Oct 24 15:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 24 16:00:00 2020', 'Mar 27 15:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 27 16:00:00 2021', 'Oct 30 15:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 30 16:00:00 2021', 'Mar 26 15:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 26 16:00:00 2022', 'Oct 29 15:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 29 16:00:00 2022', 'Mar 25 15:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 25 16:00:00 2023', 'Oct 28 15:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 28 16:00:00 2023', 'Mar 30 15:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 30 16:00:00 2024', 'Oct 26 15:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 26 16:00:00 2024', 'Mar 29 15:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 29 16:00:00 2025', 'Oct 25 15:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 25 16:00:00 2025', 'Mar 28 15:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 28 16:00:00 2026', 'Oct 24 15:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 24 16:00:00 2026', 'Mar 27 15:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 27 16:00:00 2027', 'Oct 30 15:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 30 16:00:00 2027', 'Mar 25 15:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 25 16:00:00 2028', 'Oct 28 15:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 28 16:00:00 2028', 'Mar 24 15:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 24 16:00:00 2029', 'Oct 27 15:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 27 16:00:00 2029', 'Mar 30 15:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 30 16:00:00 2030', 'Oct 26 15:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 26 16:00:00 2030', 'Mar 29 15:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 29 16:00:00 2031', 'Oct 25 15:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 25 16:00:00 2031', 'Mar 27 15:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 27 16:00:00 2032', 'Oct 30 15:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 30 16:00:00 2032', 'Mar 26 15:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 26 16:00:00 2033', 'Oct 29 15:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 29 16:00:00 2033', 'Mar 25 15:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 25 16:00:00 2034', 'Oct 28 15:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 28 16:00:00 2034', 'Mar 24 15:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 24 16:00:00 2035', 'Oct 27 15:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 27 16:00:00 2035', 'Mar 29 15:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 29 16:00:00 2036', 'Oct 25 15:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 25 16:00:00 2036', 'Mar 28 15:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Vladivostok', 'VLAST', 1, 39600, 'Mar 28 16:00:00 2037', 'Oct 24 15:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Vladivostok', 'VLAT', 0, 36000, 'Oct 24 16:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 13:14:07 2038');
end;
/

--
-- Asia/Yakutsk
--

begin
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 31120, 'Dec 14 20:45:52 1901', 'May 1 15:21:19 1924', 'Dec 15 05:24:32 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 28800, 'May 1 15:21:20 1924', 'Feb 28 15:59:59 1957', 'May 1 23:21:20 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Feb 28 16:00:00 1957', 'Mar 31 14:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 31 15:00:00 1981', 'Sep 30 13:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 30 14:00:00 1981', 'Mar 31 14:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 31 15:00:00 1982', 'Sep 30 13:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 30 14:00:00 1982', 'Mar 31 14:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 31 15:00:00 1983', 'Sep 30 13:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 30 14:00:00 1983', 'Mar 31 14:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 31 15:00:00 1984', 'Sep 29 16:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 29 17:00:00 1984', 'Mar 30 16:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 30 17:00:00 1985', 'Sep 28 16:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 28 17:00:00 1985', 'Mar 29 16:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 29 17:00:00 1986', 'Sep 27 16:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 27 17:00:00 1986', 'Mar 28 16:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 28 17:00:00 1987', 'Sep 26 16:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 26 17:00:00 1987', 'Mar 26 16:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 26 17:00:00 1988', 'Sep 24 16:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 24 17:00:00 1988', 'Mar 25 16:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 25 17:00:00 1989', 'Sep 23 16:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 23 17:00:00 1989', 'Mar 24 16:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 24 17:00:00 1990', 'Sep 29 16:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 29 17:00:00 1990', 'Mar 30 16:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 32400, 'Mar 30 17:00:00 1991', 'Sep 28 17:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 28800, 'Sep 28 18:00:00 1991', 'Jan 18 17:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Jan 18 18:00:00 1992', 'Mar 28 13:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 28 14:00:00 1992', 'Sep 26 12:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 26 13:00:00 1992', 'Mar 27 16:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 27 17:00:00 1993', 'Sep 25 16:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 25 17:00:00 1993', 'Mar 26 16:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 26 17:00:00 1994', 'Sep 24 16:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 24 17:00:00 1994', 'Mar 25 16:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 25 17:00:00 1995', 'Sep 23 16:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Sep 23 17:00:00 1995', 'Mar 30 16:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 30 17:00:00 1996', 'Oct 26 16:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 26 17:00:00 1996', 'Mar 29 16:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 29 17:00:00 1997', 'Oct 25 16:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 25 17:00:00 1997', 'Mar 28 16:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 28 17:00:00 1998', 'Oct 24 16:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 24 17:00:00 1998', 'Mar 27 16:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 27 17:00:00 1999', 'Oct 30 16:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 30 17:00:00 1999', 'Mar 25 16:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 25 17:00:00 2000', 'Oct 28 16:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 28 17:00:00 2000', 'Mar 24 16:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 24 17:00:00 2001', 'Oct 27 16:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 27 17:00:00 2001', 'Mar 30 16:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 30 17:00:00 2002', 'Oct 26 16:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 26 17:00:00 2002', 'Mar 29 16:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 29 17:00:00 2003', 'Oct 25 16:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 25 17:00:00 2003', 'Mar 27 16:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 27 17:00:00 2004', 'Oct 30 16:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 30 17:00:00 2004', 'Mar 26 16:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 26 17:00:00 2005', 'Oct 29 16:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 29 17:00:00 2005', 'Mar 25 16:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 25 17:00:00 2006', 'Oct 28 16:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 28 17:00:00 2006', 'Mar 24 16:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 24 17:00:00 2007', 'Oct 27 16:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 27 17:00:00 2007', 'Mar 29 16:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 29 17:00:00 2008', 'Oct 25 16:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 25 17:00:00 2008', 'Mar 28 16:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 28 17:00:00 2009', 'Oct 24 16:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 24 17:00:00 2009', 'Mar 27 16:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 27 17:00:00 2010', 'Oct 30 16:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 30 17:00:00 2010', 'Mar 26 16:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 26 17:00:00 2011', 'Oct 29 16:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 29 17:00:00 2011', 'Mar 24 16:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 24 17:00:00 2012', 'Oct 27 16:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 27 17:00:00 2012', 'Mar 30 16:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 30 17:00:00 2013', 'Oct 26 16:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 26 17:00:00 2013', 'Mar 29 16:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 29 17:00:00 2014', 'Oct 25 16:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 25 17:00:00 2014', 'Mar 28 16:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 28 17:00:00 2015', 'Oct 24 16:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 24 17:00:00 2015', 'Mar 26 16:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 26 17:00:00 2016', 'Oct 29 16:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 29 17:00:00 2016', 'Mar 25 16:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 25 17:00:00 2017', 'Oct 28 16:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 28 17:00:00 2017', 'Mar 24 16:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 24 17:00:00 2018', 'Oct 27 16:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 27 17:00:00 2018', 'Mar 30 16:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 30 17:00:00 2019', 'Oct 26 16:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 26 17:00:00 2019', 'Mar 28 16:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 28 17:00:00 2020', 'Oct 24 16:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 24 17:00:00 2020', 'Mar 27 16:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 27 17:00:00 2021', 'Oct 30 16:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 30 17:00:00 2021', 'Mar 26 16:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 26 17:00:00 2022', 'Oct 29 16:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 29 17:00:00 2022', 'Mar 25 16:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 25 17:00:00 2023', 'Oct 28 16:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 28 17:00:00 2023', 'Mar 30 16:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 30 17:00:00 2024', 'Oct 26 16:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 26 17:00:00 2024', 'Mar 29 16:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 29 17:00:00 2025', 'Oct 25 16:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 25 17:00:00 2025', 'Mar 28 16:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 28 17:00:00 2026', 'Oct 24 16:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 24 17:00:00 2026', 'Mar 27 16:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 27 17:00:00 2027', 'Oct 30 16:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 30 17:00:00 2027', 'Mar 25 16:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 25 17:00:00 2028', 'Oct 28 16:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 28 17:00:00 2028', 'Mar 24 16:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 24 17:00:00 2029', 'Oct 27 16:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 27 17:00:00 2029', 'Mar 30 16:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 30 17:00:00 2030', 'Oct 26 16:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 26 17:00:00 2030', 'Mar 29 16:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 29 17:00:00 2031', 'Oct 25 16:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 25 17:00:00 2031', 'Mar 27 16:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 27 17:00:00 2032', 'Oct 30 16:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 30 17:00:00 2032', 'Mar 26 16:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 26 17:00:00 2033', 'Oct 29 16:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 29 17:00:00 2033', 'Mar 25 16:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 25 17:00:00 2034', 'Oct 28 16:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 28 17:00:00 2034', 'Mar 24 16:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 24 17:00:00 2035', 'Oct 27 16:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 27 17:00:00 2035', 'Mar 29 16:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 29 17:00:00 2036', 'Oct 25 16:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 25 17:00:00 2036', 'Mar 28 16:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Yakutsk', 'YAKST', 1, 36000, 'Mar 28 17:00:00 2037', 'Oct 24 16:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Yakutsk', 'YAKT', 0, 32400, 'Oct 24 17:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 12:14:07 2038');
end;
/

--
-- Asia/Yekaterinburg
--

begin
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 14554, 'Dec 14 20:45:52 1901', 'May 1 19:57:25 1924', 'Dec 15 00:48:26 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 14400, 'May 1 19:57:26 1924', 'Feb 28 19:59:59 1957', 'May 1 23:57:26 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Feb 28 20:00:00 1957', 'Mar 31 18:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 31 19:00:00 1981', 'Sep 30 17:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 30 18:00:00 1981', 'Mar 31 18:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 31 19:00:00 1982', 'Sep 30 17:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 30 18:00:00 1982', 'Mar 31 18:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 31 19:00:00 1983', 'Sep 30 17:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 30 18:00:00 1983', 'Mar 31 18:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 31 19:00:00 1984', 'Sep 29 20:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 29 21:00:00 1984', 'Mar 30 20:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 30 21:00:00 1985', 'Sep 28 20:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 28 21:00:00 1985', 'Mar 29 20:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 29 21:00:00 1986', 'Sep 27 20:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 27 21:00:00 1986', 'Mar 28 20:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 28 21:00:00 1987', 'Sep 26 20:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 26 21:00:00 1987', 'Mar 26 20:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 26 21:00:00 1988', 'Sep 24 20:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 24 21:00:00 1988', 'Mar 25 20:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 25 21:00:00 1989', 'Sep 23 20:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 23 21:00:00 1989', 'Mar 24 20:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 24 21:00:00 1990', 'Sep 29 20:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 29 21:00:00 1990', 'Mar 30 20:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 18000, 'Mar 30 21:00:00 1991', 'Sep 28 21:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 14400, 'Sep 28 22:00:00 1991', 'Jan 18 21:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Jan 18 22:00:00 1992', 'Mar 28 17:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 28 18:00:00 1992', 'Sep 26 16:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 26 17:00:00 1992', 'Mar 27 20:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 27 21:00:00 1993', 'Sep 25 20:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 25 21:00:00 1993', 'Mar 26 20:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 26 21:00:00 1994', 'Sep 24 20:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 24 21:00:00 1994', 'Mar 25 20:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 25 21:00:00 1995', 'Sep 23 20:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Sep 23 21:00:00 1995', 'Mar 30 20:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 30 21:00:00 1996', 'Oct 26 20:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 26 21:00:00 1996', 'Mar 29 20:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 29 21:00:00 1997', 'Oct 25 20:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 25 21:00:00 1997', 'Mar 28 20:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 28 21:00:00 1998', 'Oct 24 20:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 24 21:00:00 1998', 'Mar 27 20:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 27 21:00:00 1999', 'Oct 30 20:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 30 21:00:00 1999', 'Mar 25 20:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 25 21:00:00 2000', 'Oct 28 20:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 28 21:00:00 2000', 'Mar 24 20:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 24 21:00:00 2001', 'Oct 27 20:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 27 21:00:00 2001', 'Mar 30 20:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 30 21:00:00 2002', 'Oct 26 20:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 26 21:00:00 2002', 'Mar 29 20:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 29 21:00:00 2003', 'Oct 25 20:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 25 21:00:00 2003', 'Mar 27 20:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 27 21:00:00 2004', 'Oct 30 20:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 30 21:00:00 2004', 'Mar 26 20:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 26 21:00:00 2005', 'Oct 29 20:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 29 21:00:00 2005', 'Mar 25 20:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 25 21:00:00 2006', 'Oct 28 20:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 28 21:00:00 2006', 'Mar 24 20:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 24 21:00:00 2007', 'Oct 27 20:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 27 21:00:00 2007', 'Mar 29 20:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 29 21:00:00 2008', 'Oct 25 20:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 25 21:00:00 2008', 'Mar 28 20:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 28 21:00:00 2009', 'Oct 24 20:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 24 21:00:00 2009', 'Mar 27 20:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 27 21:00:00 2010', 'Oct 30 20:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 30 21:00:00 2010', 'Mar 26 20:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 26 21:00:00 2011', 'Oct 29 20:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 29 21:00:00 2011', 'Mar 24 20:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 24 21:00:00 2012', 'Oct 27 20:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 27 21:00:00 2012', 'Mar 30 20:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 30 21:00:00 2013', 'Oct 26 20:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 26 21:00:00 2013', 'Mar 29 20:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 29 21:00:00 2014', 'Oct 25 20:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 25 21:00:00 2014', 'Mar 28 20:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 28 21:00:00 2015', 'Oct 24 20:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 24 21:00:00 2015', 'Mar 26 20:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 26 21:00:00 2016', 'Oct 29 20:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 29 21:00:00 2016', 'Mar 25 20:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 25 21:00:00 2017', 'Oct 28 20:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 28 21:00:00 2017', 'Mar 24 20:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 24 21:00:00 2018', 'Oct 27 20:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 27 21:00:00 2018', 'Mar 30 20:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 30 21:00:00 2019', 'Oct 26 20:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 26 21:00:00 2019', 'Mar 28 20:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 28 21:00:00 2020', 'Oct 24 20:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 24 21:00:00 2020', 'Mar 27 20:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 27 21:00:00 2021', 'Oct 30 20:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 30 21:00:00 2021', 'Mar 26 20:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 26 21:00:00 2022', 'Oct 29 20:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 29 21:00:00 2022', 'Mar 25 20:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 25 21:00:00 2023', 'Oct 28 20:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 28 21:00:00 2023', 'Mar 30 20:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 30 21:00:00 2024', 'Oct 26 20:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 26 21:00:00 2024', 'Mar 29 20:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 29 21:00:00 2025', 'Oct 25 20:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 25 21:00:00 2025', 'Mar 28 20:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 28 21:00:00 2026', 'Oct 24 20:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 24 21:00:00 2026', 'Mar 27 20:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 27 21:00:00 2027', 'Oct 30 20:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 30 21:00:00 2027', 'Mar 25 20:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 25 21:00:00 2028', 'Oct 28 20:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 28 21:00:00 2028', 'Mar 24 20:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 24 21:00:00 2029', 'Oct 27 20:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 27 21:00:00 2029', 'Mar 30 20:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 30 21:00:00 2030', 'Oct 26 20:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 26 21:00:00 2030', 'Mar 29 20:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 29 21:00:00 2031', 'Oct 25 20:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 25 21:00:00 2031', 'Mar 27 20:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 27 21:00:00 2032', 'Oct 30 20:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 30 21:00:00 2032', 'Mar 26 20:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 26 21:00:00 2033', 'Oct 29 20:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 29 21:00:00 2033', 'Mar 25 20:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 25 21:00:00 2034', 'Oct 28 20:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 28 21:00:00 2034', 'Mar 24 20:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 24 21:00:00 2035', 'Oct 27 20:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 27 21:00:00 2035', 'Mar 29 20:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 29 21:00:00 2036', 'Oct 25 20:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 25 21:00:00 2036', 'Mar 28 20:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Yekaterinburg', 'YEKST', 1, 21600, 'Mar 28 21:00:00 2037', 'Oct 24 20:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Yekaterinburg', 'YEKT', 0, 18000, 'Oct 24 21:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 08:14:07 2038');
end;
/

--
-- Asia/Yerevan
--

begin
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 10680, 'Dec 14 20:45:52 1901', 'May 1 21:01:59 1924', 'Dec 14 23:43:52 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 10800, 'May 1 21:02:00 1924', 'Feb 28 20:59:59 1957', 'May 2 00:02:00 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Feb 28 21:00:00 1957', 'Mar 31 19:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 31 20:00:00 1981', 'Sep 30 18:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 30 19:00:00 1981', 'Mar 31 19:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 31 20:00:00 1982', 'Sep 30 18:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 30 19:00:00 1982', 'Mar 31 19:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 31 20:00:00 1983', 'Sep 30 18:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 30 19:00:00 1983', 'Mar 31 19:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 31 20:00:00 1984', 'Sep 29 21:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 29 22:00:00 1984', 'Mar 30 21:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 30 22:00:00 1985', 'Sep 28 21:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 28 22:00:00 1985', 'Mar 29 21:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 29 22:00:00 1986', 'Sep 27 21:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 27 22:00:00 1986', 'Mar 28 21:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 28 22:00:00 1987', 'Sep 26 21:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 26 22:00:00 1987', 'Mar 26 21:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 26 22:00:00 1988', 'Sep 24 21:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 24 22:00:00 1988', 'Mar 25 21:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 25 22:00:00 1989', 'Sep 23 21:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 23 22:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 24 22:00:00 1990', 'Sep 29 21:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 29 22:00:00 1990', 'Mar 30 21:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 14400, 'Mar 30 22:00:00 1991', 'Sep 28 22:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 10800, 'Sep 28 23:00:00 1991', 'Jan 18 22:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Jan 18 23:00:00 1992', 'Mar 28 18:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 28 19:00:00 1992', 'Sep 26 17:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 26 18:00:00 1992', 'Mar 27 21:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 27 22:00:00 1993', 'Sep 25 21:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 25 22:00:00 1993', 'Mar 26 21:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 26 22:00:00 1994', 'Sep 24 21:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 24 22:00:00 1994', 'Mar 25 21:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 25 22:00:00 1995', 'Sep 23 21:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Sep 23 22:00:00 1995', 'Mar 29 21:59:59 1997', 'Sep 24 02:00:00 1995', 'Mar 30 01:59:59 1997');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 29 22:00:00 1997', 'Oct 25 21:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 25 22:00:00 1997', 'Mar 28 21:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 28 22:00:00 1998', 'Oct 24 21:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 24 22:00:00 1998', 'Mar 27 21:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 27 22:00:00 1999', 'Oct 30 21:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 30 22:00:00 1999', 'Mar 25 21:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 25 22:00:00 2000', 'Oct 28 21:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 28 22:00:00 2000', 'Mar 24 21:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 24 22:00:00 2001', 'Oct 27 21:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 27 22:00:00 2001', 'Mar 30 21:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 30 22:00:00 2002', 'Oct 26 21:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 26 22:00:00 2002', 'Mar 29 21:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 29 22:00:00 2003', 'Oct 25 21:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 25 22:00:00 2003', 'Mar 27 21:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 27 22:00:00 2004', 'Oct 30 21:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 30 22:00:00 2004', 'Mar 26 21:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 26 22:00:00 2005', 'Oct 29 21:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 29 22:00:00 2005', 'Mar 25 21:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 25 22:00:00 2006', 'Oct 28 21:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 28 22:00:00 2006', 'Mar 24 21:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 24 22:00:00 2007', 'Oct 27 21:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 27 22:00:00 2007', 'Mar 29 21:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 29 22:00:00 2008', 'Oct 25 21:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 25 22:00:00 2008', 'Mar 28 21:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 28 22:00:00 2009', 'Oct 24 21:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 24 22:00:00 2009', 'Mar 27 21:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 27 22:00:00 2010', 'Oct 30 21:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 30 22:00:00 2010', 'Mar 26 21:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 26 22:00:00 2011', 'Oct 29 21:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 29 22:00:00 2011', 'Mar 24 21:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 24 22:00:00 2012', 'Oct 27 21:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 27 22:00:00 2012', 'Mar 30 21:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 30 22:00:00 2013', 'Oct 26 21:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 26 22:00:00 2013', 'Mar 29 21:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 29 22:00:00 2014', 'Oct 25 21:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 25 22:00:00 2014', 'Mar 28 21:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 28 22:00:00 2015', 'Oct 24 21:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 24 22:00:00 2015', 'Mar 26 21:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 26 22:00:00 2016', 'Oct 29 21:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 29 22:00:00 2016', 'Mar 25 21:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 25 22:00:00 2017', 'Oct 28 21:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 28 22:00:00 2017', 'Mar 24 21:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 24 22:00:00 2018', 'Oct 27 21:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 27 22:00:00 2018', 'Mar 30 21:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 30 22:00:00 2019', 'Oct 26 21:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 26 22:00:00 2019', 'Mar 28 21:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 28 22:00:00 2020', 'Oct 24 21:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 24 22:00:00 2020', 'Mar 27 21:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 27 22:00:00 2021', 'Oct 30 21:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 30 22:00:00 2021', 'Mar 26 21:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 26 22:00:00 2022', 'Oct 29 21:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 29 22:00:00 2022', 'Mar 25 21:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 25 22:00:00 2023', 'Oct 28 21:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 28 22:00:00 2023', 'Mar 30 21:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 30 22:00:00 2024', 'Oct 26 21:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 26 22:00:00 2024', 'Mar 29 21:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 29 22:00:00 2025', 'Oct 25 21:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 25 22:00:00 2025', 'Mar 28 21:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 28 22:00:00 2026', 'Oct 24 21:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 24 22:00:00 2026', 'Mar 27 21:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 27 22:00:00 2027', 'Oct 30 21:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 30 22:00:00 2027', 'Mar 25 21:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 25 22:00:00 2028', 'Oct 28 21:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 28 22:00:00 2028', 'Mar 24 21:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 24 22:00:00 2029', 'Oct 27 21:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 27 22:00:00 2029', 'Mar 30 21:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 30 22:00:00 2030', 'Oct 26 21:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 26 22:00:00 2030', 'Mar 29 21:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 29 22:00:00 2031', 'Oct 25 21:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 25 22:00:00 2031', 'Mar 27 21:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 27 22:00:00 2032', 'Oct 30 21:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 30 22:00:00 2032', 'Mar 26 21:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 26 22:00:00 2033', 'Oct 29 21:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 29 22:00:00 2033', 'Mar 25 21:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 25 22:00:00 2034', 'Oct 28 21:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 28 22:00:00 2034', 'Mar 24 21:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 24 22:00:00 2035', 'Oct 27 21:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 27 22:00:00 2035', 'Mar 29 21:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 29 22:00:00 2036', 'Oct 25 21:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 25 22:00:00 2036', 'Mar 28 21:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Asia/Yerevan', 'AMST', 1, 18000, 'Mar 28 22:00:00 2037', 'Oct 24 21:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Asia/Yerevan', 'AMT', 0, 14400, 'Oct 24 22:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 07:14:07 2038');
end;
/

--
-- Atlantic/Azores
--

begin
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -6900, 'Dec 14 20:45:52 1901', 'May 24 01:54:59 1911', 'Dec 14 18:50:52 1901', 'May 23 23:59:59 1911');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'May 24 01:55:00 1911', 'Jun 18 00:59:59 1916', 'May 23 23:55:00 1911', 'Jun 17 22:59:59 1916');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Jun 18 01:00:00 1916', 'Nov 1 01:59:59 1916', 'Jun 18 00:00:00 1916', 'Nov 1 00:59:59 1916');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Nov 1 02:00:00 1916', 'Mar 1 00:59:59 1917', 'Nov 1 00:00:00 1916', 'Feb 28 22:59:59 1917');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 1 01:00:00 1917', 'Oct 15 00:59:59 1917', 'Mar 1 00:00:00 1917', 'Oct 14 23:59:59 1917');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 15 01:00:00 1917', 'Mar 2 00:59:59 1918', 'Oct 14 23:00:00 1917', 'Mar 1 22:59:59 1918');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 2 01:00:00 1918', 'Oct 15 00:59:59 1918', 'Mar 2 00:00:00 1918', 'Oct 14 23:59:59 1918');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 15 01:00:00 1918', 'Mar 1 00:59:59 1919', 'Oct 14 23:00:00 1918', 'Feb 28 22:59:59 1919');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 1 01:00:00 1919', 'Oct 15 00:59:59 1919', 'Mar 1 00:00:00 1919', 'Oct 14 23:59:59 1919');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 15 01:00:00 1919', 'Mar 1 00:59:59 1920', 'Oct 14 23:00:00 1919', 'Feb 29 22:59:59 1920');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 1 01:00:00 1920', 'Oct 15 00:59:59 1920', 'Mar 1 00:00:00 1920', 'Oct 14 23:59:59 1920');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 15 01:00:00 1920', 'Mar 1 00:59:59 1921', 'Oct 14 23:00:00 1920', 'Feb 28 22:59:59 1921');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 1 01:00:00 1921', 'Oct 15 00:59:59 1921', 'Mar 1 00:00:00 1921', 'Oct 14 23:59:59 1921');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 15 01:00:00 1921', 'Apr 17 00:59:59 1924', 'Oct 14 23:00:00 1921', 'Apr 16 22:59:59 1924');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 17 01:00:00 1924', 'Oct 15 00:59:59 1924', 'Apr 17 00:00:00 1924', 'Oct 14 23:59:59 1924');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 15 01:00:00 1924', 'Apr 18 00:59:59 1926', 'Oct 14 23:00:00 1924', 'Apr 17 22:59:59 1926');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 18 01:00:00 1926', 'Oct 3 00:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 3 01:00:00 1926', 'Apr 10 00:59:59 1927', 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 10 01:00:00 1927', 'Oct 2 00:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 2 01:00:00 1927', 'Apr 15 00:59:59 1928', 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 15 01:00:00 1928', 'Oct 7 00:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 6 23:59:59 1928');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 7 01:00:00 1928', 'Apr 21 00:59:59 1929', 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 21 01:00:00 1929', 'Oct 6 00:59:59 1929', 'Apr 21 00:00:00 1929', 'Oct 5 23:59:59 1929');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 6 01:00:00 1929', 'Apr 19 00:59:59 1931', 'Oct 5 23:00:00 1929', 'Apr 18 22:59:59 1931');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 19 01:00:00 1931', 'Oct 4 00:59:59 1931', 'Apr 19 00:00:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 4 01:00:00 1931', 'Apr 3 00:59:59 1932', 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 3 01:00:00 1932', 'Oct 2 00:59:59 1932', 'Apr 3 00:00:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 2 01:00:00 1932', 'Apr 8 00:59:59 1934', 'Oct 1 23:00:00 1932', 'Apr 7 22:59:59 1934');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 8 01:00:00 1934', 'Oct 7 00:59:59 1934', 'Apr 8 00:00:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 7 01:00:00 1934', 'Mar 31 00:59:59 1935', 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 31 01:00:00 1935', 'Oct 6 00:59:59 1935', 'Mar 31 00:00:00 1935', 'Oct 5 23:59:59 1935');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 6 01:00:00 1935', 'Apr 19 00:59:59 1936', 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 19 01:00:00 1936', 'Oct 4 00:59:59 1936', 'Apr 19 00:00:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 4 01:00:00 1936', 'Apr 4 00:59:59 1937', 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 4 01:00:00 1937', 'Oct 3 00:59:59 1937', 'Apr 4 00:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 3 01:00:00 1937', 'Mar 27 00:59:59 1938', 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 27 01:00:00 1938', 'Oct 2 00:59:59 1938', 'Mar 27 00:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 2 01:00:00 1938', 'Apr 16 00:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 16 01:00:00 1939', 'Nov 19 00:59:59 1939', 'Apr 16 00:00:00 1939', 'Nov 18 23:59:59 1939');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Nov 19 01:00:00 1939', 'Feb 25 00:59:59 1940', 'Nov 18 23:00:00 1939', 'Feb 24 22:59:59 1940');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Feb 25 01:00:00 1940', 'Oct 6 00:59:59 1940', 'Feb 25 00:00:00 1940', 'Oct 5 23:59:59 1940');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 6 01:00:00 1940', 'Apr 6 00:59:59 1941', 'Oct 5 23:00:00 1940', 'Apr 5 22:59:59 1941');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 6 01:00:00 1941', 'Oct 6 00:59:59 1941', 'Apr 6 00:00:00 1941', 'Oct 5 23:59:59 1941');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 6 01:00:00 1941', 'Mar 15 00:59:59 1942', 'Oct 5 23:00:00 1941', 'Mar 14 22:59:59 1942');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 15 01:00:00 1942', 'Apr 25 23:59:59 1942', 'Mar 15 00:00:00 1942', 'Apr 25 22:59:59 1942');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Apr 26 00:00:00 1942', 'Aug 15 23:59:59 1942', 'Apr 26 00:00:00 1942', 'Aug 15 23:59:59 1942');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Aug 16 00:00:00 1942', 'Oct 25 00:59:59 1942', 'Aug 15 23:00:00 1942', 'Oct 24 23:59:59 1942');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 25 01:00:00 1942', 'Mar 14 00:59:59 1943', 'Oct 24 23:00:00 1942', 'Mar 13 22:59:59 1943');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 14 01:00:00 1943', 'Apr 17 23:59:59 1943', 'Mar 14 00:00:00 1943', 'Apr 17 22:59:59 1943');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Apr 18 00:00:00 1943', 'Aug 28 23:59:59 1943', 'Apr 18 00:00:00 1943', 'Aug 28 23:59:59 1943');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Aug 29 00:00:00 1943', 'Oct 31 00:59:59 1943', 'Aug 28 23:00:00 1943', 'Oct 30 23:59:59 1943');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 31 01:00:00 1943', 'Mar 12 00:59:59 1944', 'Oct 30 23:00:00 1943', 'Mar 11 22:59:59 1944');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 12 01:00:00 1944', 'Apr 22 23:59:59 1944', 'Mar 12 00:00:00 1944', 'Apr 22 22:59:59 1944');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Apr 23 00:00:00 1944', 'Aug 26 23:59:59 1944', 'Apr 23 00:00:00 1944', 'Aug 26 23:59:59 1944');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Aug 27 00:00:00 1944', 'Oct 29 00:59:59 1944', 'Aug 26 23:00:00 1944', 'Oct 28 23:59:59 1944');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 29 01:00:00 1944', 'Mar 11 00:59:59 1945', 'Oct 28 23:00:00 1944', 'Mar 10 22:59:59 1945');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Mar 11 01:00:00 1945', 'Apr 21 23:59:59 1945', 'Mar 11 00:00:00 1945', 'Apr 21 22:59:59 1945');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Apr 22 00:00:00 1945', 'Aug 25 23:59:59 1945', 'Apr 22 00:00:00 1945', 'Aug 25 23:59:59 1945');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Aug 26 00:00:00 1945', 'Oct 28 00:59:59 1945', 'Aug 25 23:00:00 1945', 'Oct 27 23:59:59 1945');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 28 01:00:00 1945', 'Apr 7 00:59:59 1946', 'Oct 27 23:00:00 1945', 'Apr 6 22:59:59 1946');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 7 01:00:00 1946', 'Oct 6 00:59:59 1946', 'Apr 7 00:00:00 1946', 'Oct 5 23:59:59 1946');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 6 01:00:00 1946', 'Apr 6 03:59:59 1947', 'Oct 5 23:00:00 1946', 'Apr 6 01:59:59 1947');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 6 04:00:00 1947', 'Oct 5 03:59:59 1947', 'Apr 6 03:00:00 1947', 'Oct 5 02:59:59 1947');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 5 04:00:00 1947', 'Apr 4 03:59:59 1948', 'Oct 5 02:00:00 1947', 'Apr 4 01:59:59 1948');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 4 04:00:00 1948', 'Oct 3 03:59:59 1948', 'Apr 4 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 3 04:00:00 1948', 'Apr 3 03:59:59 1949', 'Oct 3 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 3 04:00:00 1949', 'Oct 2 03:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 2 02:59:59 1949');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 2 04:00:00 1949', 'Apr 1 03:59:59 1951', 'Oct 2 02:00:00 1949', 'Apr 1 01:59:59 1951');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 1 04:00:00 1951', 'Oct 7 03:59:59 1951', 'Apr 1 03:00:00 1951', 'Oct 7 02:59:59 1951');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 7 04:00:00 1951', 'Apr 6 03:59:59 1952', 'Oct 7 02:00:00 1951', 'Apr 6 01:59:59 1952');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 6 04:00:00 1952', 'Oct 5 03:59:59 1952', 'Apr 6 03:00:00 1952', 'Oct 5 02:59:59 1952');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 5 04:00:00 1952', 'Apr 5 03:59:59 1953', 'Oct 5 02:00:00 1952', 'Apr 5 01:59:59 1953');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 5 04:00:00 1953', 'Oct 4 03:59:59 1953', 'Apr 5 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 4 04:00:00 1953', 'Apr 4 03:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 4 01:59:59 1954');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 4 04:00:00 1954', 'Oct 3 03:59:59 1954', 'Apr 4 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 3 04:00:00 1954', 'Apr 3 03:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 3 01:59:59 1955');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 3 04:00:00 1955', 'Oct 2 03:59:59 1955', 'Apr 3 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 2 04:00:00 1955', 'Apr 1 03:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 1 01:59:59 1956');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 1 04:00:00 1956', 'Oct 7 03:59:59 1956', 'Apr 1 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 7 04:00:00 1956', 'Apr 7 03:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 7 01:59:59 1957');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 7 04:00:00 1957', 'Oct 6 03:59:59 1957', 'Apr 7 03:00:00 1957', 'Oct 6 02:59:59 1957');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 6 04:00:00 1957', 'Apr 6 03:59:59 1958', 'Oct 6 02:00:00 1957', 'Apr 6 01:59:59 1958');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 6 04:00:00 1958', 'Oct 5 03:59:59 1958', 'Apr 6 03:00:00 1958', 'Oct 5 02:59:59 1958');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 5 04:00:00 1958', 'Apr 5 03:59:59 1959', 'Oct 5 02:00:00 1958', 'Apr 5 01:59:59 1959');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 5 04:00:00 1959', 'Oct 4 03:59:59 1959', 'Apr 5 03:00:00 1959', 'Oct 4 02:59:59 1959');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 4 04:00:00 1959', 'Apr 3 03:59:59 1960', 'Oct 4 02:00:00 1959', 'Apr 3 01:59:59 1960');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 3 04:00:00 1960', 'Oct 2 03:59:59 1960', 'Apr 3 03:00:00 1960', 'Oct 2 02:59:59 1960');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 2 04:00:00 1960', 'Apr 2 03:59:59 1961', 'Oct 2 02:00:00 1960', 'Apr 2 01:59:59 1961');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 2 04:00:00 1961', 'Oct 1 03:59:59 1961', 'Apr 2 03:00:00 1961', 'Oct 1 02:59:59 1961');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 1 04:00:00 1961', 'Apr 1 03:59:59 1962', 'Oct 1 02:00:00 1961', 'Apr 1 01:59:59 1962');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 1 04:00:00 1962', 'Oct 7 03:59:59 1962', 'Apr 1 03:00:00 1962', 'Oct 7 02:59:59 1962');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 7 04:00:00 1962', 'Apr 7 03:59:59 1963', 'Oct 7 02:00:00 1962', 'Apr 7 01:59:59 1963');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 7 04:00:00 1963', 'Oct 6 03:59:59 1963', 'Apr 7 03:00:00 1963', 'Oct 6 02:59:59 1963');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 6 04:00:00 1963', 'Apr 5 03:59:59 1964', 'Oct 6 02:00:00 1963', 'Apr 5 01:59:59 1964');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 5 04:00:00 1964', 'Oct 4 03:59:59 1964', 'Apr 5 03:00:00 1964', 'Oct 4 02:59:59 1964');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 4 04:00:00 1964', 'Apr 4 03:59:59 1965', 'Oct 4 02:00:00 1964', 'Apr 4 01:59:59 1965');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, -3600, 'Apr 4 04:00:00 1965', 'Oct 3 03:59:59 1965', 'Apr 4 03:00:00 1965', 'Oct 3 02:59:59 1965');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -7200, 'Oct 3 04:00:00 1965', 'Apr 3 03:59:59 1966', 'Oct 3 02:00:00 1965', 'Apr 3 01:59:59 1966');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Apr 3 04:00:00 1966', 'Mar 27 00:59:59 1977', 'Apr 3 03:00:00 1966', 'Mar 26 23:59:59 1977');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 27 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Mar 27 01:00:00 1977', 'Sep 25 00:59:59 1977');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 00:00:00 1977', 'Apr 1 23:59:59 1978');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 00:00:00 1978', 'Mar 31 23:59:59 1979');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Apr 1 01:00:00 1979', 'Sep 30 01:59:59 1979', 'Apr 1 01:00:00 1979', 'Sep 30 01:59:59 1979');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 30 02:00:00 1979', 'Mar 30 00:59:59 1980', 'Sep 30 01:00:00 1979', 'Mar 29 23:59:59 1980');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 30 01:00:00 1980', 'Sep 28 01:59:59 1980', 'Mar 30 01:00:00 1980', 'Sep 28 01:59:59 1980');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981', 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982', 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982', 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 26 02:00:00 1982', 'Mar 27 02:59:59 1983', 'Sep 26 01:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 27 03:00:00 1983', 'Sep 25 01:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 01:59:59 1983');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984', 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985', 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985', 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992', 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992', 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, 0, 'Sep 27 02:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 00:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 00:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 00:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 00:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 00:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 00:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 00:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 00:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 00:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 00:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 00:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 00:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 00:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 00:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 00:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 00:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 00:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 00:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 00:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 00:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 00:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 00:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 00:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 00:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 00:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 00:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 00:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 00:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 00:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 00:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 00:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 00:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 00:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 00:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 00:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 00:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 00:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 00:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 00:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 00:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 00:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 00:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 00:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Atlantic/Azores', 'AZOST', 1, 0, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037');
timezone.add_rule('Atlantic/Azores', 'AZOT', 0, -3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 00:00:00 2037', 'Jan 18 02:14:07 2038');
end;
/

--
-- Atlantic/Bermuda
--

begin
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -15544, 'Dec 14 20:45:52 1901', 'Jan 1 06:19:03 1930', 'Dec 14 16:26:48 1901', 'Jan 1 01:59:59 1930');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Jan 1 06:19:04 1930', 'Apr 28 05:59:59 1974', 'Jan 1 02:19:04 1930', 'Apr 28 01:59:59 1974');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 28 06:00:00 1974', 'Oct 27 04:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 27 05:00:00 1974', 'Apr 27 05:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 27 06:00:00 1975', 'Oct 26 04:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 1975', 'Apr 25 05:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 25 06:00:00 1976', 'Oct 31 04:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 31 05:00:00 1976', 'Apr 24 05:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 24 06:00:00 1977', 'Oct 30 04:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 30 05:00:00 1977', 'Apr 30 05:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 30 06:00:00 1978', 'Oct 29 04:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 29 05:00:00 1978', 'Apr 29 05:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 29 06:00:00 1979', 'Oct 28 04:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 28 05:00:00 1979', 'Apr 27 05:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 27 06:00:00 1980', 'Oct 26 04:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 1980', 'Apr 26 05:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 26 06:00:00 1981', 'Oct 25 04:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 25 05:00:00 1981', 'Apr 25 05:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 25 06:00:00 1982', 'Oct 31 04:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 31 05:00:00 1982', 'Apr 24 05:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 24 06:00:00 1983', 'Oct 30 04:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 30 05:00:00 1983', 'Apr 29 05:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 29 06:00:00 1984', 'Oct 28 04:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 28 05:00:00 1984', 'Apr 28 05:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 28 06:00:00 1985', 'Oct 27 04:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 27 05:00:00 1985', 'Apr 27 05:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 27 06:00:00 1986', 'Oct 26 04:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 1986', 'Apr 5 05:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 5 06:00:00 1987', 'Oct 25 04:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 25 05:00:00 1987', 'Apr 3 05:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 3 06:00:00 1988', 'Oct 30 04:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 30 05:00:00 1988', 'Apr 2 05:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 2 06:00:00 1989', 'Oct 29 04:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 29 05:00:00 1989', 'Apr 1 05:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 1 06:00:00 1990', 'Oct 28 04:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 28 05:00:00 1990', 'Apr 7 05:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 7 06:00:00 1991', 'Oct 27 04:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 27 05:00:00 1991', 'Apr 5 05:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 5 06:00:00 1992', 'Oct 25 04:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 25 05:00:00 1992', 'Apr 4 05:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 4 06:00:00 1993', 'Oct 31 04:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 31 05:00:00 1993', 'Apr 3 05:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 3 06:00:00 1994', 'Oct 30 04:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 30 05:00:00 1994', 'Apr 2 05:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 2 06:00:00 1995', 'Oct 29 04:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 29 05:00:00 1995', 'Apr 7 05:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 7 06:00:00 1996', 'Oct 27 04:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 27 05:00:00 1996', 'Apr 6 05:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 6 06:00:00 1997', 'Oct 26 04:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 1997', 'Apr 5 05:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 5 06:00:00 1998', 'Oct 25 04:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 25 05:00:00 1998', 'Apr 4 05:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 4 06:00:00 1999', 'Oct 31 04:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 31 05:00:00 1999', 'Apr 2 05:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 2 06:00:00 2000', 'Oct 29 04:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 29 05:00:00 2000', 'Apr 1 05:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 1 06:00:00 2001', 'Oct 28 04:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 28 05:00:00 2001', 'Apr 7 05:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 7 06:00:00 2002', 'Oct 27 04:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 27 05:00:00 2002', 'Apr 6 05:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 6 06:00:00 2003', 'Oct 26 04:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 2003', 'Apr 4 05:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 4 06:00:00 2004', 'Oct 31 04:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 31 05:00:00 2004', 'Apr 3 05:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 3 06:00:00 2005', 'Oct 30 04:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 30 05:00:00 2005', 'Apr 2 05:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 2 06:00:00 2006', 'Oct 29 04:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 29 05:00:00 2006', 'Apr 1 05:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 1 06:00:00 2007', 'Oct 28 04:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 28 05:00:00 2007', 'Apr 6 05:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 6 06:00:00 2008', 'Oct 26 04:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 2008', 'Apr 5 05:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 5 06:00:00 2009', 'Oct 25 04:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 25 05:00:00 2009', 'Apr 4 05:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 4 06:00:00 2010', 'Oct 31 04:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 31 05:00:00 2010', 'Apr 3 05:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 3 06:00:00 2011', 'Oct 30 04:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 30 05:00:00 2011', 'Apr 1 05:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 1 06:00:00 2012', 'Oct 28 04:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 28 05:00:00 2012', 'Apr 7 05:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 7 06:00:00 2013', 'Oct 27 04:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 27 05:00:00 2013', 'Apr 6 05:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 6 06:00:00 2014', 'Oct 26 04:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 2014', 'Apr 5 05:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 5 06:00:00 2015', 'Oct 25 04:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 25 05:00:00 2015', 'Apr 3 05:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 3 06:00:00 2016', 'Oct 30 04:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 30 05:00:00 2016', 'Apr 2 05:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 2 06:00:00 2017', 'Oct 29 04:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 29 05:00:00 2017', 'Apr 1 05:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 1 06:00:00 2018', 'Oct 28 04:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 28 05:00:00 2018', 'Apr 7 05:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 7 06:00:00 2019', 'Oct 27 04:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 27 05:00:00 2019', 'Apr 5 05:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 5 06:00:00 2020', 'Oct 25 04:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 25 05:00:00 2020', 'Apr 4 05:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 4 06:00:00 2021', 'Oct 31 04:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 31 05:00:00 2021', 'Apr 3 05:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 3 06:00:00 2022', 'Oct 30 04:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 30 05:00:00 2022', 'Apr 2 05:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 2 06:00:00 2023', 'Oct 29 04:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 29 05:00:00 2023', 'Apr 7 05:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 7 06:00:00 2024', 'Oct 27 04:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 27 05:00:00 2024', 'Apr 6 05:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 6 06:00:00 2025', 'Oct 26 04:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 2025', 'Apr 5 05:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 5 06:00:00 2026', 'Oct 25 04:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 25 05:00:00 2026', 'Apr 4 05:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 4 06:00:00 2027', 'Oct 31 04:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 31 05:00:00 2027', 'Apr 2 05:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 2 06:00:00 2028', 'Oct 29 04:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 29 05:00:00 2028', 'Apr 1 05:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 1 06:00:00 2029', 'Oct 28 04:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 28 05:00:00 2029', 'Apr 7 05:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 7 06:00:00 2030', 'Oct 27 04:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 27 05:00:00 2030', 'Apr 6 05:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 6 06:00:00 2031', 'Oct 26 04:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 2031', 'Apr 4 05:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 4 06:00:00 2032', 'Oct 31 04:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 31 05:00:00 2032', 'Apr 3 05:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 3 06:00:00 2033', 'Oct 30 04:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 30 05:00:00 2033', 'Apr 2 05:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 2 06:00:00 2034', 'Oct 29 04:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 29 05:00:00 2034', 'Apr 1 05:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 1 06:00:00 2035', 'Oct 28 04:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 28 05:00:00 2035', 'Apr 6 05:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 6 06:00:00 2036', 'Oct 26 04:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 26 05:00:00 2036', 'Apr 5 05:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Atlantic/Bermuda', 'ADT', 1, -10800, 'Apr 5 06:00:00 2037', 'Oct 25 04:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Atlantic/Bermuda', 'AST', 0, -14400, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:14:07 2038');
end;
/

--
-- Atlantic/Canary
--

begin
timezone.add_rule('Atlantic/Canary', 'WET', 0, -3696, 'Dec 14 20:45:52 1901', 'Mar 1 01:01:35 1922', 'Dec 14 19:44:16 1901', 'Feb 28 23:59:59 1922');
timezone.add_rule('Atlantic/Canary', 'WET', 0, -3600, 'Mar 1 01:01:36 1922', 'Sep 30 01:59:59 1946', 'Mar 1 00:01:36 1922', 'Sep 30 00:59:59 1946');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 30 02:00:00 1946', 'Apr 5 23:59:59 1980', 'Sep 30 02:00:00 1946', 'Apr 5 23:59:59 1980');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Apr 6 00:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 01:00:00 1980', 'Sep 28 01:59:59 1980');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 02:00:00 1983', 'Sep 25 01:59:59 1983');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 02:00:00 1993', 'Sep 26 01:59:59 1993');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 02:00:00 1994', 'Sep 25 01:59:59 1994');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 02:00:00 1995', 'Sep 24 01:59:59 1995');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Atlantic/Canary', 'WEST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Atlantic/Canary', 'WET', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- Atlantic/Cape_Verde
--

begin
timezone.add_rule('Atlantic/Cape_Verde', 'CVT', 0, -5644, 'Dec 14 20:45:52 1901', 'Jan 1 01:34:03 1907', 'Dec 14 19:11:48 1901', 'Dec 31 23:59:59 1906');
timezone.add_rule('Atlantic/Cape_Verde', 'CVT', 0, -7200, 'Jan 1 01:34:04 1907', 'Sep 1 01:59:59 1942', 'Dec 31 23:34:04 1906', 'Aug 31 23:59:59 1942');
timezone.add_rule('Atlantic/Cape_Verde', 'CVST', 1, -3600, 'Sep 1 02:00:00 1942', 'Oct 15 00:59:59 1945', 'Sep 1 01:00:00 1942', 'Oct 14 23:59:59 1945');
timezone.add_rule('Atlantic/Cape_Verde', 'CVT', 0, -7200, 'Oct 15 01:00:00 1945', 'Nov 25 03:59:59 1975', 'Oct 14 23:00:00 1945', 'Nov 25 01:59:59 1975');
timezone.add_rule('Atlantic/Cape_Verde', 'CVT', 0, -3600, 'Nov 25 04:00:00 1975', 'Jan 18 03:14:07 2038', 'Nov 25 03:00:00 1975', 'Jan 18 02:14:07 2038');
end;
/

--
-- Atlantic/Faeroe
--

begin
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, -1624, 'Dec 14 20:45:52 1901', 'Jan 11 00:27:03 1908', 'Dec 14 20:18:48 1901', 'Jan 10 23:59:59 1908');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Jan 11 00:27:04 1908', 'Mar 29 00:59:59 1981', 'Jan 11 00:27:04 1908', 'Mar 29 00:59:59 1981');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 02:00:00 1983', 'Sep 25 01:59:59 1983');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 02:00:00 1993', 'Sep 26 01:59:59 1993');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 02:00:00 1994', 'Sep 25 01:59:59 1994');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 02:00:00 1995', 'Sep 24 01:59:59 1995');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Atlantic/Faeroe', 'WEST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Atlantic/Faeroe', 'WET', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- Atlantic/Jan_Mayen
--

begin
timezone.add_rule('Atlantic/Jan_Mayen', 'EGT', 0, -3600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 19:45:52 1901', 'Jan 18 02:14:07 2038');
end;
/

--
-- Atlantic/Madeira
--

begin
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -4080, 'Dec 14 20:45:52 1901', 'May 24 01:07:59 1911', 'Dec 14 19:37:52 1901', 'May 23 23:59:59 1911');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'May 24 01:08:00 1911', 'Jun 17 23:59:59 1916', 'May 24 00:08:00 1911', 'Jun 17 22:59:59 1916');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Jun 18 00:00:00 1916', 'Nov 1 00:59:59 1916', 'Jun 18 00:00:00 1916', 'Nov 1 00:59:59 1916');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Nov 1 01:00:00 1916', 'Feb 28 23:59:59 1917', 'Nov 1 00:00:00 1916', 'Feb 28 22:59:59 1917');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 1 00:00:00 1917', 'Oct 14 23:59:59 1917', 'Mar 1 00:00:00 1917', 'Oct 14 23:59:59 1917');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 15 00:00:00 1917', 'Mar 1 23:59:59 1918', 'Oct 14 23:00:00 1917', 'Mar 1 22:59:59 1918');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 2 00:00:00 1918', 'Oct 14 23:59:59 1918', 'Mar 2 00:00:00 1918', 'Oct 14 23:59:59 1918');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 15 00:00:00 1918', 'Feb 28 23:59:59 1919', 'Oct 14 23:00:00 1918', 'Feb 28 22:59:59 1919');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 1 00:00:00 1919', 'Oct 14 23:59:59 1919', 'Mar 1 00:00:00 1919', 'Oct 14 23:59:59 1919');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 15 00:00:00 1919', 'Feb 29 23:59:59 1920', 'Oct 14 23:00:00 1919', 'Feb 29 22:59:59 1920');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 1 00:00:00 1920', 'Oct 14 23:59:59 1920', 'Mar 1 00:00:00 1920', 'Oct 14 23:59:59 1920');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 15 00:00:00 1920', 'Feb 28 23:59:59 1921', 'Oct 14 23:00:00 1920', 'Feb 28 22:59:59 1921');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 1 00:00:00 1921', 'Oct 14 23:59:59 1921', 'Mar 1 00:00:00 1921', 'Oct 14 23:59:59 1921');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 15 00:00:00 1921', 'Apr 16 23:59:59 1924', 'Oct 14 23:00:00 1921', 'Apr 16 22:59:59 1924');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 17 00:00:00 1924', 'Oct 14 23:59:59 1924', 'Apr 17 00:00:00 1924', 'Oct 14 23:59:59 1924');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 15 00:00:00 1924', 'Apr 17 23:59:59 1926', 'Oct 14 23:00:00 1924', 'Apr 17 22:59:59 1926');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 3 00:00:00 1926', 'Apr 9 23:59:59 1927', 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 2 00:00:00 1927', 'Apr 14 23:59:59 1928', 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 15 00:00:00 1928', 'Oct 6 23:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 6 23:59:59 1928');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 7 00:00:00 1928', 'Apr 20 23:59:59 1929', 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 21 00:00:00 1929', 'Oct 5 23:59:59 1929', 'Apr 21 00:00:00 1929', 'Oct 5 23:59:59 1929');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 6 00:00:00 1929', 'Apr 18 23:59:59 1931', 'Oct 5 23:00:00 1929', 'Apr 18 22:59:59 1931');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 19 00:00:00 1931', 'Oct 3 23:59:59 1931', 'Apr 19 00:00:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 4 00:00:00 1931', 'Apr 2 23:59:59 1932', 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 3 00:00:00 1932', 'Oct 1 23:59:59 1932', 'Apr 3 00:00:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 2 00:00:00 1932', 'Apr 7 23:59:59 1934', 'Oct 1 23:00:00 1932', 'Apr 7 22:59:59 1934');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 8 00:00:00 1934', 'Oct 6 23:59:59 1934', 'Apr 8 00:00:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 7 00:00:00 1934', 'Mar 30 23:59:59 1935', 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 31 00:00:00 1935', 'Oct 5 23:59:59 1935', 'Mar 31 00:00:00 1935', 'Oct 5 23:59:59 1935');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 6 00:00:00 1935', 'Apr 18 23:59:59 1936', 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 19 00:00:00 1936', 'Oct 3 23:59:59 1936', 'Apr 19 00:00:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 4 00:00:00 1936', 'Apr 3 23:59:59 1937', 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 4 00:00:00 1937', 'Oct 2 23:59:59 1937', 'Apr 4 00:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 3 00:00:00 1937', 'Mar 26 23:59:59 1938', 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 27 00:00:00 1938', 'Oct 1 23:59:59 1938', 'Mar 27 00:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 2 00:00:00 1938', 'Apr 15 23:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 16 00:00:00 1939', 'Nov 18 23:59:59 1939', 'Apr 16 00:00:00 1939', 'Nov 18 23:59:59 1939');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Nov 19 00:00:00 1939', 'Feb 24 23:59:59 1940', 'Nov 18 23:00:00 1939', 'Feb 24 22:59:59 1940');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Feb 25 00:00:00 1940', 'Oct 5 23:59:59 1940', 'Feb 25 00:00:00 1940', 'Oct 5 23:59:59 1940');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 6 00:00:00 1940', 'Apr 5 23:59:59 1941', 'Oct 5 23:00:00 1940', 'Apr 5 22:59:59 1941');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 6 00:00:00 1941', 'Oct 5 23:59:59 1941', 'Apr 6 00:00:00 1941', 'Oct 5 23:59:59 1941');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 6 00:00:00 1941', 'Mar 14 23:59:59 1942', 'Oct 5 23:00:00 1941', 'Mar 14 22:59:59 1942');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 15 00:00:00 1942', 'Apr 25 22:59:59 1942', 'Mar 15 00:00:00 1942', 'Apr 25 22:59:59 1942');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Apr 25 23:00:00 1942', 'Aug 15 22:59:59 1942', 'Apr 26 00:00:00 1942', 'Aug 15 23:59:59 1942');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Aug 15 23:00:00 1942', 'Oct 24 23:59:59 1942', 'Aug 15 23:00:00 1942', 'Oct 24 23:59:59 1942');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 25 00:00:00 1942', 'Mar 13 23:59:59 1943', 'Oct 24 23:00:00 1942', 'Mar 13 22:59:59 1943');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 14 00:00:00 1943', 'Apr 17 22:59:59 1943', 'Mar 14 00:00:00 1943', 'Apr 17 22:59:59 1943');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Apr 17 23:00:00 1943', 'Aug 28 22:59:59 1943', 'Apr 18 00:00:00 1943', 'Aug 28 23:59:59 1943');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Aug 28 23:00:00 1943', 'Oct 30 23:59:59 1943', 'Aug 28 23:00:00 1943', 'Oct 30 23:59:59 1943');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 31 00:00:00 1943', 'Mar 11 23:59:59 1944', 'Oct 30 23:00:00 1943', 'Mar 11 22:59:59 1944');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 12 00:00:00 1944', 'Apr 22 22:59:59 1944', 'Mar 12 00:00:00 1944', 'Apr 22 22:59:59 1944');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Apr 22 23:00:00 1944', 'Aug 26 22:59:59 1944', 'Apr 23 00:00:00 1944', 'Aug 26 23:59:59 1944');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Aug 26 23:00:00 1944', 'Oct 28 23:59:59 1944', 'Aug 26 23:00:00 1944', 'Oct 28 23:59:59 1944');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 29 00:00:00 1944', 'Mar 10 23:59:59 1945', 'Oct 28 23:00:00 1944', 'Mar 10 22:59:59 1945');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Mar 11 00:00:00 1945', 'Apr 21 22:59:59 1945', 'Mar 11 00:00:00 1945', 'Apr 21 22:59:59 1945');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Apr 21 23:00:00 1945', 'Aug 25 22:59:59 1945', 'Apr 22 00:00:00 1945', 'Aug 25 23:59:59 1945');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Aug 25 23:00:00 1945', 'Oct 27 23:59:59 1945', 'Aug 25 23:00:00 1945', 'Oct 27 23:59:59 1945');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 28 00:00:00 1945', 'Apr 6 23:59:59 1946', 'Oct 27 23:00:00 1945', 'Apr 6 22:59:59 1946');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 7 00:00:00 1946', 'Oct 5 23:59:59 1946', 'Apr 7 00:00:00 1946', 'Oct 5 23:59:59 1946');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 6 00:00:00 1946', 'Apr 6 02:59:59 1947', 'Oct 5 23:00:00 1946', 'Apr 6 01:59:59 1947');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 6 03:00:00 1947', 'Oct 5 02:59:59 1947', 'Apr 6 03:00:00 1947', 'Oct 5 02:59:59 1947');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 5 03:00:00 1947', 'Apr 4 02:59:59 1948', 'Oct 5 02:00:00 1947', 'Apr 4 01:59:59 1948');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 4 03:00:00 1948', 'Oct 3 02:59:59 1948', 'Apr 4 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 3 03:00:00 1948', 'Apr 3 02:59:59 1949', 'Oct 3 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 3 03:00:00 1949', 'Oct 2 02:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 2 02:59:59 1949');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 2 03:00:00 1949', 'Apr 1 02:59:59 1951', 'Oct 2 02:00:00 1949', 'Apr 1 01:59:59 1951');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 1 03:00:00 1951', 'Oct 7 02:59:59 1951', 'Apr 1 03:00:00 1951', 'Oct 7 02:59:59 1951');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 7 03:00:00 1951', 'Apr 6 02:59:59 1952', 'Oct 7 02:00:00 1951', 'Apr 6 01:59:59 1952');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 6 03:00:00 1952', 'Oct 5 02:59:59 1952', 'Apr 6 03:00:00 1952', 'Oct 5 02:59:59 1952');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 5 03:00:00 1952', 'Apr 5 02:59:59 1953', 'Oct 5 02:00:00 1952', 'Apr 5 01:59:59 1953');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 5 03:00:00 1953', 'Oct 4 02:59:59 1953', 'Apr 5 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 4 03:00:00 1953', 'Apr 4 02:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 4 01:59:59 1954');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 4 03:00:00 1954', 'Oct 3 02:59:59 1954', 'Apr 4 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 3 03:00:00 1954', 'Apr 3 02:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 3 01:59:59 1955');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 3 03:00:00 1955', 'Oct 2 02:59:59 1955', 'Apr 3 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 2 03:00:00 1955', 'Apr 1 02:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 1 01:59:59 1956');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 1 03:00:00 1956', 'Oct 7 02:59:59 1956', 'Apr 1 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 7 03:00:00 1956', 'Apr 7 02:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 7 01:59:59 1957');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 7 03:00:00 1957', 'Oct 6 02:59:59 1957', 'Apr 7 03:00:00 1957', 'Oct 6 02:59:59 1957');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 6 03:00:00 1957', 'Apr 6 02:59:59 1958', 'Oct 6 02:00:00 1957', 'Apr 6 01:59:59 1958');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 6 03:00:00 1958', 'Oct 5 02:59:59 1958', 'Apr 6 03:00:00 1958', 'Oct 5 02:59:59 1958');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 5 03:00:00 1958', 'Apr 5 02:59:59 1959', 'Oct 5 02:00:00 1958', 'Apr 5 01:59:59 1959');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 5 03:00:00 1959', 'Oct 4 02:59:59 1959', 'Apr 5 03:00:00 1959', 'Oct 4 02:59:59 1959');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 4 03:00:00 1959', 'Apr 3 02:59:59 1960', 'Oct 4 02:00:00 1959', 'Apr 3 01:59:59 1960');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 3 03:00:00 1960', 'Oct 2 02:59:59 1960', 'Apr 3 03:00:00 1960', 'Oct 2 02:59:59 1960');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 2 03:00:00 1960', 'Apr 2 02:59:59 1961', 'Oct 2 02:00:00 1960', 'Apr 2 01:59:59 1961');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 2 03:00:00 1961', 'Oct 1 02:59:59 1961', 'Apr 2 03:00:00 1961', 'Oct 1 02:59:59 1961');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 1 03:00:00 1961', 'Apr 1 02:59:59 1962', 'Oct 1 02:00:00 1961', 'Apr 1 01:59:59 1962');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 1 03:00:00 1962', 'Oct 7 02:59:59 1962', 'Apr 1 03:00:00 1962', 'Oct 7 02:59:59 1962');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 7 03:00:00 1962', 'Apr 7 02:59:59 1963', 'Oct 7 02:00:00 1962', 'Apr 7 01:59:59 1963');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 7 03:00:00 1963', 'Oct 6 02:59:59 1963', 'Apr 7 03:00:00 1963', 'Oct 6 02:59:59 1963');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 6 03:00:00 1963', 'Apr 5 02:59:59 1964', 'Oct 6 02:00:00 1963', 'Apr 5 01:59:59 1964');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 5 03:00:00 1964', 'Oct 4 02:59:59 1964', 'Apr 5 03:00:00 1964', 'Oct 4 02:59:59 1964');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 4 03:00:00 1964', 'Apr 4 02:59:59 1965', 'Oct 4 02:00:00 1964', 'Apr 4 01:59:59 1965');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 0, 'Apr 4 03:00:00 1965', 'Oct 3 02:59:59 1965', 'Apr 4 03:00:00 1965', 'Oct 3 02:59:59 1965');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, -3600, 'Oct 3 03:00:00 1965', 'Apr 3 02:59:59 1966', 'Oct 3 02:00:00 1965', 'Apr 3 01:59:59 1966');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Apr 3 03:00:00 1966', 'Mar 26 23:59:59 1977', 'Apr 3 03:00:00 1966', 'Mar 26 23:59:59 1977');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 27 00:00:00 1977', 'Sep 24 23:59:59 1977', 'Mar 27 01:00:00 1977', 'Sep 25 00:59:59 1977');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 25 00:00:00 1977', 'Apr 1 23:59:59 1978', 'Sep 25 00:00:00 1977', 'Apr 1 23:59:59 1978');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Apr 2 00:00:00 1978', 'Sep 30 23:59:59 1978', 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 1 00:00:00 1978', 'Mar 31 23:59:59 1979', 'Oct 1 00:00:00 1978', 'Mar 31 23:59:59 1979');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Apr 1 00:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 01:00:00 1979', 'Sep 30 01:59:59 1979');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 30 01:00:00 1979', 'Mar 29 23:59:59 1980', 'Sep 30 01:00:00 1979', 'Mar 29 23:59:59 1980');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 30 00:00:00 1980', 'Sep 28 00:59:59 1980', 'Mar 30 01:00:00 1980', 'Sep 28 01:59:59 1980');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 26 01:00:00 1982', 'Mar 27 01:59:59 1983', 'Sep 26 01:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 27 02:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 01:59:59 1983');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 02:00:00 1993', 'Sep 26 01:59:59 1993');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 02:00:00 1994', 'Sep 25 01:59:59 1994');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 02:00:00 1995', 'Sep 24 01:59:59 1995');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Atlantic/Madeira', 'WEST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Atlantic/Madeira', 'WET', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- Atlantic/Reykjavik
--

begin
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -5268, 'Dec 14 20:45:52 1901', 'Jan 1 01:27:47 1908', 'Dec 14 19:18:04 1901', 'Dec 31 23:59:59 1907');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Jan 1 01:27:48 1908', 'Feb 19 23:59:59 1917', 'Jan 1 00:27:48 1908', 'Feb 19 22:59:59 1917');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Feb 20 00:00:00 1917', 'Oct 21 00:59:59 1917', 'Feb 20 00:00:00 1917', 'Oct 21 00:59:59 1917');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 21 01:00:00 1917', 'Feb 19 23:59:59 1918', 'Oct 21 00:00:00 1917', 'Feb 19 22:59:59 1918');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Feb 20 00:00:00 1918', 'Nov 16 00:59:59 1918', 'Feb 20 00:00:00 1918', 'Nov 16 00:59:59 1918');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Nov 16 01:00:00 1918', 'Apr 29 23:59:59 1939', 'Nov 16 00:00:00 1918', 'Apr 29 22:59:59 1939');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 30 00:00:00 1939', 'Nov 29 01:59:59 1939', 'Apr 30 00:00:00 1939', 'Nov 29 01:59:59 1939');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Nov 29 02:00:00 1939', 'Feb 25 02:59:59 1940', 'Nov 29 01:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Feb 25 03:00:00 1940', 'Nov 3 01:59:59 1940', 'Feb 25 03:00:00 1940', 'Nov 3 01:59:59 1940');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Nov 3 02:00:00 1940', 'Mar 2 01:59:59 1941', 'Nov 3 01:00:00 1940', 'Mar 2 00:59:59 1941');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Mar 2 02:00:00 1941', 'Nov 2 01:59:59 1941', 'Mar 2 02:00:00 1941', 'Nov 2 01:59:59 1941');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Nov 2 02:00:00 1941', 'Mar 8 01:59:59 1942', 'Nov 2 01:00:00 1941', 'Mar 8 00:59:59 1942');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Mar 8 02:00:00 1942', 'Oct 25 01:59:59 1942', 'Mar 8 02:00:00 1942', 'Oct 25 01:59:59 1942');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 25 02:00:00 1942', 'Mar 7 01:59:59 1943', 'Oct 25 01:00:00 1942', 'Mar 7 00:59:59 1943');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Mar 7 02:00:00 1943', 'Oct 24 01:59:59 1943', 'Mar 7 02:00:00 1943', 'Oct 24 01:59:59 1943');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 24 02:00:00 1943', 'Mar 5 01:59:59 1944', 'Oct 24 01:00:00 1943', 'Mar 5 00:59:59 1944');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Mar 5 02:00:00 1944', 'Oct 22 01:59:59 1944', 'Mar 5 02:00:00 1944', 'Oct 22 01:59:59 1944');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 22 02:00:00 1944', 'Mar 4 01:59:59 1945', 'Oct 22 01:00:00 1944', 'Mar 4 00:59:59 1945');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Mar 4 02:00:00 1945', 'Oct 28 01:59:59 1945', 'Mar 4 02:00:00 1945', 'Oct 28 01:59:59 1945');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 28 02:00:00 1945', 'Mar 3 01:59:59 1946', 'Oct 28 01:00:00 1945', 'Mar 3 00:59:59 1946');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Mar 3 02:00:00 1946', 'Oct 27 01:59:59 1946', 'Mar 3 02:00:00 1946', 'Oct 27 01:59:59 1946');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 27 02:00:00 1946', 'Apr 6 01:59:59 1947', 'Oct 27 01:00:00 1946', 'Apr 6 00:59:59 1947');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 6 02:00:00 1947', 'Oct 26 01:59:59 1947', 'Apr 6 02:00:00 1947', 'Oct 26 01:59:59 1947');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 26 02:00:00 1947', 'Apr 4 01:59:59 1948', 'Oct 26 01:00:00 1947', 'Apr 4 00:59:59 1948');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 4 02:00:00 1948', 'Oct 24 01:59:59 1948', 'Apr 4 02:00:00 1948', 'Oct 24 01:59:59 1948');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 24 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 24 01:00:00 1948', 'Apr 3 00:59:59 1949');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949', 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 30 02:00:00 1949', 'Apr 2 01:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 2 00:59:59 1950');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 2 02:00:00 1950', 'Oct 22 01:59:59 1950', 'Apr 2 02:00:00 1950', 'Oct 22 01:59:59 1950');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 22 02:00:00 1950', 'Apr 1 01:59:59 1951', 'Oct 22 01:00:00 1950', 'Apr 1 00:59:59 1951');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 1 02:00:00 1951', 'Oct 28 01:59:59 1951', 'Apr 1 02:00:00 1951', 'Oct 28 01:59:59 1951');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 28 02:00:00 1951', 'Apr 6 01:59:59 1952', 'Oct 28 01:00:00 1951', 'Apr 6 00:59:59 1952');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 6 02:00:00 1952', 'Oct 26 01:59:59 1952', 'Apr 6 02:00:00 1952', 'Oct 26 01:59:59 1952');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 26 02:00:00 1952', 'Apr 5 01:59:59 1953', 'Oct 26 01:00:00 1952', 'Apr 5 00:59:59 1953');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 5 02:00:00 1953', 'Oct 25 01:59:59 1953', 'Apr 5 02:00:00 1953', 'Oct 25 01:59:59 1953');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 25 02:00:00 1953', 'Apr 4 01:59:59 1954', 'Oct 25 01:00:00 1953', 'Apr 4 00:59:59 1954');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 4 02:00:00 1954', 'Oct 24 01:59:59 1954', 'Apr 4 02:00:00 1954', 'Oct 24 01:59:59 1954');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 24 02:00:00 1954', 'Apr 3 01:59:59 1955', 'Oct 24 01:00:00 1954', 'Apr 3 00:59:59 1955');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 3 02:00:00 1955', 'Oct 23 01:59:59 1955', 'Apr 3 02:00:00 1955', 'Oct 23 01:59:59 1955');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 23 02:00:00 1955', 'Apr 1 01:59:59 1956', 'Oct 23 01:00:00 1955', 'Apr 1 00:59:59 1956');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 1 02:00:00 1956', 'Oct 28 01:59:59 1956', 'Apr 1 02:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 28 02:00:00 1956', 'Apr 7 01:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 7 00:59:59 1957');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 7 02:00:00 1957', 'Oct 27 01:59:59 1957', 'Apr 7 02:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 27 02:00:00 1957', 'Apr 6 01:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 6 00:59:59 1958');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 6 02:00:00 1958', 'Oct 26 01:59:59 1958', 'Apr 6 02:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 26 02:00:00 1958', 'Apr 5 01:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 5 00:59:59 1959');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 5 02:00:00 1959', 'Oct 25 01:59:59 1959', 'Apr 5 02:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 25 02:00:00 1959', 'Apr 3 01:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 3 00:59:59 1960');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 3 02:00:00 1960', 'Oct 23 01:59:59 1960', 'Apr 3 02:00:00 1960', 'Oct 23 01:59:59 1960');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 23 02:00:00 1960', 'Apr 2 01:59:59 1961', 'Oct 23 01:00:00 1960', 'Apr 2 00:59:59 1961');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 2 02:00:00 1961', 'Oct 22 01:59:59 1961', 'Apr 2 02:00:00 1961', 'Oct 22 01:59:59 1961');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 22 02:00:00 1961', 'Apr 1 01:59:59 1962', 'Oct 22 01:00:00 1961', 'Apr 1 00:59:59 1962');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 1 02:00:00 1962', 'Oct 28 01:59:59 1962', 'Apr 1 02:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 28 02:00:00 1962', 'Apr 7 01:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 7 00:59:59 1963');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 7 02:00:00 1963', 'Oct 27 01:59:59 1963', 'Apr 7 02:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 27 02:00:00 1963', 'Apr 5 01:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 5 00:59:59 1964');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 5 02:00:00 1964', 'Oct 25 01:59:59 1964', 'Apr 5 02:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 25 02:00:00 1964', 'Apr 4 01:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 4 00:59:59 1965');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 4 02:00:00 1965', 'Oct 24 01:59:59 1965', 'Apr 4 02:00:00 1965', 'Oct 24 01:59:59 1965');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 24 02:00:00 1965', 'Apr 3 01:59:59 1966', 'Oct 24 01:00:00 1965', 'Apr 3 00:59:59 1966');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 3 02:00:00 1966', 'Oct 23 01:59:59 1966', 'Apr 3 02:00:00 1966', 'Oct 23 01:59:59 1966');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 23 02:00:00 1966', 'Apr 2 01:59:59 1967', 'Oct 23 01:00:00 1966', 'Apr 2 00:59:59 1967');
timezone.add_rule('Atlantic/Reykjavik', 'ISST', 1, 0, 'Apr 2 02:00:00 1967', 'Oct 29 01:59:59 1967', 'Apr 2 02:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, -3600, 'Oct 29 02:00:00 1967', 'Apr 7 01:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 7 00:59:59 1968');
timezone.add_rule('Atlantic/Reykjavik', 'GMT', 0, 0, 'Apr 7 02:00:00 1968', 'Jan 18 03:14:07 2038', 'Apr 7 02:00:00 1968', 'Jan 18 03:14:07 2038');
end;
/

--
-- Atlantic/South_Georgia
--

begin
timezone.add_rule('Atlantic/South_Georgia', 'GST', 0, -7200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 18:45:52 1901', 'Jan 18 01:14:07 2038');
end;
/

--
-- Atlantic/St_Helena
--

begin
timezone.add_rule('Atlantic/St_Helena', 'GMT', 0, -1368, 'Dec 14 20:45:52 1901', 'Jan 1 00:22:47 1951', 'Dec 14 20:23:04 1901', 'Dec 31 23:59:59 1950');
timezone.add_rule('Atlantic/St_Helena', 'GMT', 0, 0, 'Jan 1 00:22:48 1951', 'Jan 18 03:14:07 2038', 'Jan 1 00:22:48 1951', 'Jan 18 03:14:07 2038');
end;
/

--
-- Atlantic/Stanley
--

begin
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -13884, 'Dec 14 20:45:52 1901', 'Mar 12 03:51:23 1912', 'Dec 14 16:54:28 1901', 'Mar 11 23:59:59 1912');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Mar 12 03:51:24 1912', 'Sep 26 03:59:59 1937', 'Mar 11 23:51:24 1912', 'Sep 25 23:59:59 1937');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 26 04:00:00 1937', 'Mar 20 02:59:59 1938', 'Sep 26 01:00:00 1937', 'Mar 19 23:59:59 1938');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Mar 20 03:00:00 1938', 'Sep 25 03:59:59 1938', 'Mar 19 23:00:00 1938', 'Sep 24 23:59:59 1938');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 25 04:00:00 1938', 'Mar 19 02:59:59 1939', 'Sep 25 01:00:00 1938', 'Mar 18 23:59:59 1939');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Mar 19 03:00:00 1939', 'Oct 1 03:59:59 1939', 'Mar 18 23:00:00 1939', 'Sep 30 23:59:59 1939');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Oct 1 04:00:00 1939', 'Mar 24 02:59:59 1940', 'Oct 1 01:00:00 1939', 'Mar 23 23:59:59 1940');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Mar 24 03:00:00 1940', 'Sep 29 03:59:59 1940', 'Mar 23 23:00:00 1940', 'Sep 28 23:59:59 1940');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 29 04:00:00 1940', 'Mar 23 02:59:59 1941', 'Sep 29 01:00:00 1940', 'Mar 22 23:59:59 1941');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Mar 23 03:00:00 1941', 'Sep 28 03:59:59 1941', 'Mar 22 23:00:00 1941', 'Sep 27 23:59:59 1941');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 28 04:00:00 1941', 'Mar 22 02:59:59 1942', 'Sep 28 01:00:00 1941', 'Mar 21 23:59:59 1942');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Mar 22 03:00:00 1942', 'Sep 27 03:59:59 1942', 'Mar 21 23:00:00 1942', 'Sep 26 23:59:59 1942');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 27 04:00:00 1942', 'Jan 1 02:59:59 1943', 'Sep 27 01:00:00 1942', 'Dec 31 23:59:59 1942');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Jan 1 03:00:00 1943', 'May 1 03:59:59 1983', 'Dec 31 23:00:00 1942', 'Apr 30 23:59:59 1983');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -10800, 'May 1 04:00:00 1983', 'Sep 25 02:59:59 1983', 'May 1 01:00:00 1983', 'Sep 24 23:59:59 1983');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -7200, 'Sep 25 03:00:00 1983', 'Apr 29 01:59:59 1984', 'Sep 25 01:00:00 1983', 'Apr 28 23:59:59 1984');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -10800, 'Apr 29 02:00:00 1984', 'Sep 16 02:59:59 1984', 'Apr 28 23:00:00 1984', 'Sep 15 23:59:59 1984');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -7200, 'Sep 16 03:00:00 1984', 'Apr 28 01:59:59 1985', 'Sep 16 01:00:00 1984', 'Apr 27 23:59:59 1985');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -10800, 'Apr 28 02:00:00 1985', 'Sep 15 02:59:59 1985', 'Apr 27 23:00:00 1985', 'Sep 14 23:59:59 1985');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 15 03:00:00 1985', 'Apr 20 02:59:59 1986', 'Sep 15 00:00:00 1985', 'Apr 19 23:59:59 1986');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 20 03:00:00 1986', 'Sep 14 03:59:59 1986', 'Apr 19 23:00:00 1986', 'Sep 13 23:59:59 1986');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 14 04:00:00 1986', 'Apr 19 02:59:59 1987', 'Sep 14 01:00:00 1986', 'Apr 18 23:59:59 1987');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 19 03:00:00 1987', 'Sep 13 03:59:59 1987', 'Apr 18 23:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 13 04:00:00 1987', 'Apr 17 02:59:59 1988', 'Sep 13 01:00:00 1987', 'Apr 16 23:59:59 1988');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 17 03:00:00 1988', 'Sep 11 03:59:59 1988', 'Apr 16 23:00:00 1988', 'Sep 10 23:59:59 1988');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 11 04:00:00 1988', 'Apr 16 02:59:59 1989', 'Sep 11 01:00:00 1988', 'Apr 15 23:59:59 1989');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 16 03:00:00 1989', 'Sep 10 03:59:59 1989', 'Apr 15 23:00:00 1989', 'Sep 9 23:59:59 1989');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 10 04:00:00 1989', 'Apr 22 02:59:59 1990', 'Sep 10 01:00:00 1989', 'Apr 21 23:59:59 1990');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 22 03:00:00 1990', 'Sep 9 03:59:59 1990', 'Apr 21 23:00:00 1990', 'Sep 8 23:59:59 1990');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 9 04:00:00 1990', 'Apr 21 02:59:59 1991', 'Sep 9 01:00:00 1990', 'Apr 20 23:59:59 1991');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 21 03:00:00 1991', 'Sep 15 03:59:59 1991', 'Apr 20 23:00:00 1991', 'Sep 14 23:59:59 1991');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 15 04:00:00 1991', 'Apr 19 02:59:59 1992', 'Sep 15 01:00:00 1991', 'Apr 18 23:59:59 1992');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 19 03:00:00 1992', 'Sep 13 03:59:59 1992', 'Apr 18 23:00:00 1992', 'Sep 12 23:59:59 1992');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 13 04:00:00 1992', 'Apr 18 02:59:59 1993', 'Sep 13 01:00:00 1992', 'Apr 17 23:59:59 1993');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 18 03:00:00 1993', 'Sep 12 03:59:59 1993', 'Apr 17 23:00:00 1993', 'Sep 11 23:59:59 1993');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 12 04:00:00 1993', 'Apr 17 02:59:59 1994', 'Sep 12 01:00:00 1993', 'Apr 16 23:59:59 1994');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 17 03:00:00 1994', 'Sep 11 03:59:59 1994', 'Apr 16 23:00:00 1994', 'Sep 10 23:59:59 1994');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 11 04:00:00 1994', 'Apr 16 02:59:59 1995', 'Sep 11 01:00:00 1994', 'Apr 15 23:59:59 1995');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 16 03:00:00 1995', 'Sep 10 03:59:59 1995', 'Apr 15 23:00:00 1995', 'Sep 9 23:59:59 1995');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 10 04:00:00 1995', 'Apr 21 02:59:59 1996', 'Sep 10 01:00:00 1995', 'Apr 20 23:59:59 1996');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 21 03:00:00 1996', 'Sep 8 03:59:59 1996', 'Apr 20 23:00:00 1996', 'Sep 7 23:59:59 1996');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 8 04:00:00 1996', 'Apr 20 02:59:59 1997', 'Sep 8 01:00:00 1996', 'Apr 19 23:59:59 1997');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 20 03:00:00 1997', 'Sep 14 03:59:59 1997', 'Apr 19 23:00:00 1997', 'Sep 13 23:59:59 1997');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 14 04:00:00 1997', 'Apr 19 02:59:59 1998', 'Sep 14 01:00:00 1997', 'Apr 18 23:59:59 1998');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 19 03:00:00 1998', 'Sep 13 03:59:59 1998', 'Apr 18 23:00:00 1998', 'Sep 12 23:59:59 1998');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 13 04:00:00 1998', 'Apr 18 02:59:59 1999', 'Sep 13 01:00:00 1998', 'Apr 17 23:59:59 1999');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 18 03:00:00 1999', 'Sep 12 03:59:59 1999', 'Apr 17 23:00:00 1999', 'Sep 11 23:59:59 1999');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 12 04:00:00 1999', 'Apr 16 02:59:59 2000', 'Sep 12 01:00:00 1999', 'Apr 15 23:59:59 2000');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 16 03:00:00 2000', 'Sep 10 03:59:59 2000', 'Apr 15 23:00:00 2000', 'Sep 9 23:59:59 2000');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 10 04:00:00 2000', 'Apr 22 02:59:59 2001', 'Sep 10 01:00:00 2000', 'Apr 21 23:59:59 2001');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 22 03:00:00 2001', 'Sep 9 03:59:59 2001', 'Apr 21 23:00:00 2001', 'Sep 8 23:59:59 2001');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 9 04:00:00 2001', 'Apr 21 02:59:59 2002', 'Sep 9 01:00:00 2001', 'Apr 20 23:59:59 2002');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 21 03:00:00 2002', 'Sep 8 03:59:59 2002', 'Apr 20 23:00:00 2002', 'Sep 7 23:59:59 2002');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 8 04:00:00 2002', 'Apr 20 02:59:59 2003', 'Sep 8 01:00:00 2002', 'Apr 19 23:59:59 2003');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 20 03:00:00 2003', 'Sep 14 03:59:59 2003', 'Apr 19 23:00:00 2003', 'Sep 13 23:59:59 2003');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 14 04:00:00 2003', 'Apr 18 02:59:59 2004', 'Sep 14 01:00:00 2003', 'Apr 17 23:59:59 2004');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 18 03:00:00 2004', 'Sep 12 03:59:59 2004', 'Apr 17 23:00:00 2004', 'Sep 11 23:59:59 2004');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 12 04:00:00 2004', 'Apr 17 02:59:59 2005', 'Sep 12 01:00:00 2004', 'Apr 16 23:59:59 2005');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 17 03:00:00 2005', 'Sep 11 03:59:59 2005', 'Apr 16 23:00:00 2005', 'Sep 10 23:59:59 2005');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 11 04:00:00 2005', 'Apr 16 02:59:59 2006', 'Sep 11 01:00:00 2005', 'Apr 15 23:59:59 2006');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 16 03:00:00 2006', 'Sep 10 03:59:59 2006', 'Apr 15 23:00:00 2006', 'Sep 9 23:59:59 2006');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 10 04:00:00 2006', 'Apr 22 02:59:59 2007', 'Sep 10 01:00:00 2006', 'Apr 21 23:59:59 2007');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 22 03:00:00 2007', 'Sep 9 03:59:59 2007', 'Apr 21 23:00:00 2007', 'Sep 8 23:59:59 2007');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 9 04:00:00 2007', 'Apr 20 02:59:59 2008', 'Sep 9 01:00:00 2007', 'Apr 19 23:59:59 2008');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 20 03:00:00 2008', 'Sep 14 03:59:59 2008', 'Apr 19 23:00:00 2008', 'Sep 13 23:59:59 2008');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 14 04:00:00 2008', 'Apr 19 02:59:59 2009', 'Sep 14 01:00:00 2008', 'Apr 18 23:59:59 2009');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 19 03:00:00 2009', 'Sep 13 03:59:59 2009', 'Apr 18 23:00:00 2009', 'Sep 12 23:59:59 2009');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 13 04:00:00 2009', 'Apr 18 02:59:59 2010', 'Sep 13 01:00:00 2009', 'Apr 17 23:59:59 2010');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 18 03:00:00 2010', 'Sep 12 03:59:59 2010', 'Apr 17 23:00:00 2010', 'Sep 11 23:59:59 2010');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 12 04:00:00 2010', 'Apr 17 02:59:59 2011', 'Sep 12 01:00:00 2010', 'Apr 16 23:59:59 2011');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 17 03:00:00 2011', 'Sep 11 03:59:59 2011', 'Apr 16 23:00:00 2011', 'Sep 10 23:59:59 2011');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 11 04:00:00 2011', 'Apr 22 02:59:59 2012', 'Sep 11 01:00:00 2011', 'Apr 21 23:59:59 2012');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 22 03:00:00 2012', 'Sep 9 03:59:59 2012', 'Apr 21 23:00:00 2012', 'Sep 8 23:59:59 2012');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 9 04:00:00 2012', 'Apr 21 02:59:59 2013', 'Sep 9 01:00:00 2012', 'Apr 20 23:59:59 2013');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 21 03:00:00 2013', 'Sep 8 03:59:59 2013', 'Apr 20 23:00:00 2013', 'Sep 7 23:59:59 2013');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 8 04:00:00 2013', 'Apr 20 02:59:59 2014', 'Sep 8 01:00:00 2013', 'Apr 19 23:59:59 2014');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 20 03:00:00 2014', 'Sep 14 03:59:59 2014', 'Apr 19 23:00:00 2014', 'Sep 13 23:59:59 2014');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 14 04:00:00 2014', 'Apr 19 02:59:59 2015', 'Sep 14 01:00:00 2014', 'Apr 18 23:59:59 2015');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 19 03:00:00 2015', 'Sep 13 03:59:59 2015', 'Apr 18 23:00:00 2015', 'Sep 12 23:59:59 2015');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 13 04:00:00 2015', 'Apr 17 02:59:59 2016', 'Sep 13 01:00:00 2015', 'Apr 16 23:59:59 2016');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 17 03:00:00 2016', 'Sep 11 03:59:59 2016', 'Apr 16 23:00:00 2016', 'Sep 10 23:59:59 2016');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 11 04:00:00 2016', 'Apr 16 02:59:59 2017', 'Sep 11 01:00:00 2016', 'Apr 15 23:59:59 2017');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 16 03:00:00 2017', 'Sep 10 03:59:59 2017', 'Apr 15 23:00:00 2017', 'Sep 9 23:59:59 2017');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 10 04:00:00 2017', 'Apr 22 02:59:59 2018', 'Sep 10 01:00:00 2017', 'Apr 21 23:59:59 2018');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 22 03:00:00 2018', 'Sep 9 03:59:59 2018', 'Apr 21 23:00:00 2018', 'Sep 8 23:59:59 2018');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 9 04:00:00 2018', 'Apr 21 02:59:59 2019', 'Sep 9 01:00:00 2018', 'Apr 20 23:59:59 2019');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 21 03:00:00 2019', 'Sep 8 03:59:59 2019', 'Apr 20 23:00:00 2019', 'Sep 7 23:59:59 2019');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 8 04:00:00 2019', 'Apr 19 02:59:59 2020', 'Sep 8 01:00:00 2019', 'Apr 18 23:59:59 2020');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 19 03:00:00 2020', 'Sep 13 03:59:59 2020', 'Apr 18 23:00:00 2020', 'Sep 12 23:59:59 2020');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 13 04:00:00 2020', 'Apr 18 02:59:59 2021', 'Sep 13 01:00:00 2020', 'Apr 17 23:59:59 2021');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 18 03:00:00 2021', 'Sep 12 03:59:59 2021', 'Apr 17 23:00:00 2021', 'Sep 11 23:59:59 2021');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 12 04:00:00 2021', 'Apr 17 02:59:59 2022', 'Sep 12 01:00:00 2021', 'Apr 16 23:59:59 2022');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 17 03:00:00 2022', 'Sep 11 03:59:59 2022', 'Apr 16 23:00:00 2022', 'Sep 10 23:59:59 2022');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 11 04:00:00 2022', 'Apr 16 02:59:59 2023', 'Sep 11 01:00:00 2022', 'Apr 15 23:59:59 2023');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 16 03:00:00 2023', 'Sep 10 03:59:59 2023', 'Apr 15 23:00:00 2023', 'Sep 9 23:59:59 2023');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 10 04:00:00 2023', 'Apr 21 02:59:59 2024', 'Sep 10 01:00:00 2023', 'Apr 20 23:59:59 2024');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 21 03:00:00 2024', 'Sep 8 03:59:59 2024', 'Apr 20 23:00:00 2024', 'Sep 7 23:59:59 2024');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 8 04:00:00 2024', 'Apr 20 02:59:59 2025', 'Sep 8 01:00:00 2024', 'Apr 19 23:59:59 2025');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 20 03:00:00 2025', 'Sep 14 03:59:59 2025', 'Apr 19 23:00:00 2025', 'Sep 13 23:59:59 2025');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 14 04:00:00 2025', 'Apr 19 02:59:59 2026', 'Sep 14 01:00:00 2025', 'Apr 18 23:59:59 2026');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 19 03:00:00 2026', 'Sep 13 03:59:59 2026', 'Apr 18 23:00:00 2026', 'Sep 12 23:59:59 2026');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 13 04:00:00 2026', 'Apr 18 02:59:59 2027', 'Sep 13 01:00:00 2026', 'Apr 17 23:59:59 2027');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 18 03:00:00 2027', 'Sep 12 03:59:59 2027', 'Apr 17 23:00:00 2027', 'Sep 11 23:59:59 2027');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 12 04:00:00 2027', 'Apr 16 02:59:59 2028', 'Sep 12 01:00:00 2027', 'Apr 15 23:59:59 2028');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 16 03:00:00 2028', 'Sep 10 03:59:59 2028', 'Apr 15 23:00:00 2028', 'Sep 9 23:59:59 2028');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 10 04:00:00 2028', 'Apr 22 02:59:59 2029', 'Sep 10 01:00:00 2028', 'Apr 21 23:59:59 2029');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 22 03:00:00 2029', 'Sep 9 03:59:59 2029', 'Apr 21 23:00:00 2029', 'Sep 8 23:59:59 2029');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 9 04:00:00 2029', 'Apr 21 02:59:59 2030', 'Sep 9 01:00:00 2029', 'Apr 20 23:59:59 2030');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 21 03:00:00 2030', 'Sep 8 03:59:59 2030', 'Apr 20 23:00:00 2030', 'Sep 7 23:59:59 2030');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 8 04:00:00 2030', 'Apr 20 02:59:59 2031', 'Sep 8 01:00:00 2030', 'Apr 19 23:59:59 2031');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 20 03:00:00 2031', 'Sep 14 03:59:59 2031', 'Apr 19 23:00:00 2031', 'Sep 13 23:59:59 2031');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 14 04:00:00 2031', 'Apr 18 02:59:59 2032', 'Sep 14 01:00:00 2031', 'Apr 17 23:59:59 2032');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 18 03:00:00 2032', 'Sep 12 03:59:59 2032', 'Apr 17 23:00:00 2032', 'Sep 11 23:59:59 2032');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 12 04:00:00 2032', 'Apr 17 02:59:59 2033', 'Sep 12 01:00:00 2032', 'Apr 16 23:59:59 2033');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 17 03:00:00 2033', 'Sep 11 03:59:59 2033', 'Apr 16 23:00:00 2033', 'Sep 10 23:59:59 2033');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 11 04:00:00 2033', 'Apr 16 02:59:59 2034', 'Sep 11 01:00:00 2033', 'Apr 15 23:59:59 2034');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 16 03:00:00 2034', 'Sep 10 03:59:59 2034', 'Apr 15 23:00:00 2034', 'Sep 9 23:59:59 2034');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 10 04:00:00 2034', 'Apr 22 02:59:59 2035', 'Sep 10 01:00:00 2034', 'Apr 21 23:59:59 2035');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 22 03:00:00 2035', 'Sep 9 03:59:59 2035', 'Apr 21 23:00:00 2035', 'Sep 8 23:59:59 2035');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 9 04:00:00 2035', 'Apr 20 02:59:59 2036', 'Sep 9 01:00:00 2035', 'Apr 19 23:59:59 2036');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 20 03:00:00 2036', 'Sep 14 03:59:59 2036', 'Apr 19 23:00:00 2036', 'Sep 13 23:59:59 2036');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 14 04:00:00 2036', 'Apr 19 02:59:59 2037', 'Sep 14 01:00:00 2036', 'Apr 18 23:59:59 2037');
timezone.add_rule('Atlantic/Stanley', 'FKT', 0, -14400, 'Apr 19 03:00:00 2037', 'Sep 13 03:59:59 2037', 'Apr 18 23:00:00 2037', 'Sep 12 23:59:59 2037');
timezone.add_rule('Atlantic/Stanley', 'FKST', 1, -10800, 'Sep 13 04:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 13 01:00:00 2037', 'Jan 18 00:14:07 2038');
end;
/

--
-- Australia/ACT
--

begin
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Oct 30 15:59:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 28 16:00:00 1972', 'Mar 3 15:59:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 3 16:00:00 1973', 'Oct 27 15:59:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 1973', 'Mar 2 15:59:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 2 16:00:00 1974', 'Oct 26 15:59:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 26 16:00:00 1974', 'Mar 1 15:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 1 16:00:00 1975', 'Oct 25 15:59:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 25 16:00:00 1975', 'Mar 6 15:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 6 16:00:00 1976', 'Oct 30 15:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 1976', 'Mar 5 15:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 5 16:00:00 1977', 'Oct 29 15:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 29 16:00:00 1977', 'Mar 4 15:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 4 16:00:00 1978', 'Oct 28 15:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 28 16:00:00 1978', 'Mar 3 15:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 3 16:00:00 1979', 'Oct 27 15:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 1979', 'Mar 1 15:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 1 16:00:00 1980', 'Oct 25 15:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 25 16:00:00 1980', 'Feb 28 15:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Feb 28 16:00:00 1981', 'Oct 24 15:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 24 16:00:00 1981', 'Apr 3 15:59:59 1982', 'Oct 25 03:00:00 1981', 'Apr 4 02:59:59 1982');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Apr 3 16:00:00 1982', 'Oct 30 15:59:59 1982', 'Apr 4 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 1982', 'Mar 5 15:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 5 16:00:00 1983', 'Oct 29 15:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 29 16:00:00 1983', 'Mar 3 15:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 3 16:00:00 1984', 'Oct 27 15:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 1984', 'Mar 2 15:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 2 16:00:00 1985', 'Oct 26 15:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 26 16:00:00 1985', 'Mar 15 15:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 15 16:00:00 1986', 'Oct 18 15:59:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 18 16:00:00 1986', 'Mar 14 15:59:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 14 16:00:00 1987', 'Oct 24 15:59:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 24 16:00:00 1987', 'Mar 19 15:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 19 16:00:00 1988', 'Oct 29 15:59:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 29 16:00:00 1988', 'Mar 18 15:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 18 16:00:00 1989', 'Oct 28 15:59:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 3 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 4 02:59:59 1990');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 3 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 2 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 2 16:00:00 1991', 'Oct 26 15:59:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 26 16:00:00 1991', 'Feb 29 15:59:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Feb 29 16:00:00 1992', 'Oct 24 15:59:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 24 16:00:00 1992', 'Mar 6 15:59:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 6 16:00:00 1993', 'Oct 30 15:59:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 1993', 'Mar 5 15:59:59 1994', 'Oct 31 03:00:00 1993', 'Mar 6 02:59:59 1994');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 5 16:00:00 1994', 'Oct 29 15:59:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 29 16:00:00 1994', 'Mar 4 15:59:59 1995', 'Oct 30 03:00:00 1994', 'Mar 5 02:59:59 1995');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 4 16:00:00 1995', 'Oct 28 15:59:59 1995', 'Mar 5 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 28 16:00:00 1995', 'Mar 30 15:59:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 30 16:00:00 1996', 'Oct 26 15:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 26 16:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 29 16:00:00 1997', 'Oct 25 15:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 25 16:00:00 1997', 'Mar 28 15:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 28 16:00:00 1998', 'Oct 24 15:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 24 16:00:00 1998', 'Mar 27 15:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 27 16:00:00 1999', 'Oct 30 15:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 1999', 'Mar 25 15:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 25 16:00:00 2000', 'Aug 26 15:59:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Aug 26 16:00:00 2000', 'Mar 24 15:59:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 24 16:00:00 2001', 'Oct 27 15:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 2001', 'Mar 30 15:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 30 16:00:00 2002', 'Oct 26 15:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 26 16:00:00 2002', 'Mar 29 15:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 29 16:00:00 2003', 'Oct 25 15:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 25 16:00:00 2003', 'Mar 27 15:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 27 16:00:00 2004', 'Oct 30 15:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 2004', 'Mar 26 15:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 26 16:00:00 2005', 'Oct 29 15:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 29 16:00:00 2005', 'Mar 25 15:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 25 16:00:00 2006', 'Oct 28 15:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 28 16:00:00 2006', 'Mar 24 15:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 24 16:00:00 2007', 'Oct 27 15:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 2007', 'Mar 29 15:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 29 16:00:00 2008', 'Oct 25 15:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 25 16:00:00 2008', 'Mar 28 15:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 28 16:00:00 2009', 'Oct 24 15:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 24 16:00:00 2009', 'Mar 27 15:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 27 16:00:00 2010', 'Oct 30 15:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 2010', 'Mar 26 15:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 26 16:00:00 2011', 'Oct 29 15:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 29 16:00:00 2011', 'Mar 24 15:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 24 16:00:00 2012', 'Oct 27 15:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 2012', 'Mar 30 15:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 30 16:00:00 2013', 'Oct 26 15:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 26 16:00:00 2013', 'Mar 29 15:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 29 16:00:00 2014', 'Oct 25 15:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 25 16:00:00 2014', 'Mar 28 15:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 28 16:00:00 2015', 'Oct 24 15:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 24 16:00:00 2015', 'Mar 26 15:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 26 16:00:00 2016', 'Oct 29 15:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 29 16:00:00 2016', 'Mar 25 15:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 25 16:00:00 2017', 'Oct 28 15:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 28 16:00:00 2017', 'Mar 24 15:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 24 16:00:00 2018', 'Oct 27 15:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 2018', 'Mar 30 15:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 30 16:00:00 2019', 'Oct 26 15:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 26 16:00:00 2019', 'Mar 28 15:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 28 16:00:00 2020', 'Oct 24 15:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 24 16:00:00 2020', 'Mar 27 15:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 27 16:00:00 2021', 'Oct 30 15:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 2021', 'Mar 26 15:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 26 16:00:00 2022', 'Oct 29 15:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 29 16:00:00 2022', 'Mar 25 15:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 25 16:00:00 2023', 'Oct 28 15:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 28 16:00:00 2023', 'Mar 30 15:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 30 16:00:00 2024', 'Oct 26 15:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 26 16:00:00 2024', 'Mar 29 15:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 29 16:00:00 2025', 'Oct 25 15:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 25 16:00:00 2025', 'Mar 28 15:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 28 16:00:00 2026', 'Oct 24 15:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 24 16:00:00 2026', 'Mar 27 15:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 27 16:00:00 2027', 'Oct 30 15:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 2027', 'Mar 25 15:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 25 16:00:00 2028', 'Oct 28 15:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 28 16:00:00 2028', 'Mar 24 15:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 24 16:00:00 2029', 'Oct 27 15:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 2029', 'Mar 30 15:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 30 16:00:00 2030', 'Oct 26 15:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 26 16:00:00 2030', 'Mar 29 15:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 29 16:00:00 2031', 'Oct 25 15:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 25 16:00:00 2031', 'Mar 27 15:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 27 16:00:00 2032', 'Oct 30 15:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 30 16:00:00 2032', 'Mar 26 15:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 26 16:00:00 2033', 'Oct 29 15:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 29 16:00:00 2033', 'Mar 25 15:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 25 16:00:00 2034', 'Oct 28 15:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 28 16:00:00 2034', 'Mar 24 15:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 24 16:00:00 2035', 'Oct 27 15:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 27 16:00:00 2035', 'Mar 29 15:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 29 16:00:00 2036', 'Oct 25 15:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 25 16:00:00 2036', 'Mar 28 15:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/ACT', 'EST', 0, 36000, 'Mar 28 16:00:00 2037', 'Oct 24 15:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/ACT', 'EST', 1, 39600, 'Oct 24 16:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/Adelaide
--

begin
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Dec 14 20:45:52 1901', 'Dec 31 14:30:59 1916', 'Dec 15 06:15:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Dec 31 14:31:00 1916', 'Mar 24 15:29:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 24 15:30:00 1917', 'Dec 31 16:29:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Dec 31 16:30:00 1941', 'Mar 28 15:29:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 28 15:30:00 1942', 'Sep 26 16:29:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Sep 26 16:30:00 1942', 'Mar 27 15:29:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 27 15:30:00 1943', 'Oct 2 16:29:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 2 16:30:00 1943', 'Mar 25 15:29:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 25 15:30:00 1944', 'Oct 30 16:29:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 1971', 'Feb 26 16:29:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Feb 26 16:30:00 1972', 'Oct 28 16:29:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 28 16:30:00 1972', 'Mar 3 16:29:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 3 16:30:00 1973', 'Oct 27 16:29:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 1973', 'Mar 2 16:29:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 2 16:30:00 1974', 'Oct 26 16:29:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 26 16:30:00 1974', 'Mar 1 16:29:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 1 16:30:00 1975', 'Oct 25 16:29:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 25 16:30:00 1975', 'Mar 6 16:29:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 6 16:30:00 1976', 'Oct 30 16:29:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 1976', 'Mar 5 16:29:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 5 16:30:00 1977', 'Oct 29 16:29:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 29 16:30:00 1977', 'Mar 4 16:29:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 4 16:30:00 1978', 'Oct 28 16:29:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 28 16:30:00 1978', 'Mar 3 16:29:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 3 16:30:00 1979', 'Oct 27 16:29:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 1979', 'Mar 1 16:29:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 1 16:30:00 1980', 'Oct 25 16:29:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 25 16:30:00 1980', 'Feb 28 16:29:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Feb 28 16:30:00 1981', 'Oct 24 16:29:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 24 16:30:00 1981', 'Mar 6 16:29:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 6 16:30:00 1982', 'Oct 30 16:29:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 1982', 'Mar 5 16:29:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 5 16:30:00 1983', 'Oct 29 16:29:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 29 16:30:00 1983', 'Mar 3 16:29:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 3 16:30:00 1984', 'Oct 27 16:29:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 1984', 'Mar 2 16:29:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 2 16:30:00 1985', 'Oct 26 16:29:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 26 16:30:00 1985', 'Mar 15 16:29:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 15 16:30:00 1986', 'Oct 18 16:29:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 18 16:30:00 1986', 'Mar 14 16:29:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 14 16:30:00 1987', 'Oct 24 16:29:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 24 16:30:00 1987', 'Mar 19 16:29:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 19 16:30:00 1988', 'Oct 29 16:29:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 29 16:30:00 1988', 'Mar 18 16:29:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 18 16:30:00 1989', 'Oct 28 16:29:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 28 16:30:00 1989', 'Mar 17 16:29:59 1990', 'Oct 29 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 17 16:30:00 1990', 'Oct 27 16:29:59 1990', 'Mar 18 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 1990', 'Mar 2 16:29:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 2 16:30:00 1991', 'Oct 26 16:29:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 26 16:30:00 1991', 'Mar 21 16:29:59 1992', 'Oct 27 03:00:00 1991', 'Mar 22 02:59:59 1992');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 21 16:30:00 1992', 'Oct 24 16:29:59 1992', 'Mar 22 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 24 16:30:00 1992', 'Mar 6 16:29:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 6 16:30:00 1993', 'Oct 30 16:29:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 1993', 'Mar 19 16:29:59 1994', 'Oct 31 03:00:00 1993', 'Mar 20 02:59:59 1994');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 19 16:30:00 1994', 'Oct 29 16:29:59 1994', 'Mar 20 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 29 16:30:00 1994', 'Mar 25 16:29:59 1995', 'Oct 30 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 25 16:30:00 1995', 'Oct 28 16:29:59 1995', 'Mar 26 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 28 16:30:00 1995', 'Mar 30 16:29:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 30 16:30:00 1996', 'Oct 26 16:29:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 26 16:30:00 1996', 'Mar 29 16:29:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 29 16:30:00 1997', 'Oct 25 16:29:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 25 16:30:00 1997', 'Mar 28 16:29:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 28 16:30:00 1998', 'Oct 24 16:29:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 24 16:30:00 1998', 'Mar 27 16:29:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 27 16:30:00 1999', 'Oct 30 16:29:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 1999', 'Mar 25 16:29:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 25 16:30:00 2000', 'Aug 26 16:29:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Aug 26 16:30:00 2000', 'Mar 24 16:29:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 24 16:30:00 2001', 'Oct 27 16:29:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 2001', 'Mar 30 16:29:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 30 16:30:00 2002', 'Oct 26 16:29:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 26 16:30:00 2002', 'Mar 29 16:29:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 29 16:30:00 2003', 'Oct 25 16:29:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 25 16:30:00 2003', 'Mar 27 16:29:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 27 16:30:00 2004', 'Oct 30 16:29:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 2004', 'Mar 26 16:29:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 26 16:30:00 2005', 'Oct 29 16:29:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 29 16:30:00 2005', 'Mar 25 16:29:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 25 16:30:00 2006', 'Oct 28 16:29:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 28 16:30:00 2006', 'Mar 24 16:29:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 24 16:30:00 2007', 'Oct 27 16:29:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 2007', 'Mar 29 16:29:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 29 16:30:00 2008', 'Oct 25 16:29:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 25 16:30:00 2008', 'Mar 28 16:29:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 28 16:30:00 2009', 'Oct 24 16:29:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 24 16:30:00 2009', 'Mar 27 16:29:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 27 16:30:00 2010', 'Oct 30 16:29:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 2010', 'Mar 26 16:29:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 26 16:30:00 2011', 'Oct 29 16:29:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 29 16:30:00 2011', 'Mar 24 16:29:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 24 16:30:00 2012', 'Oct 27 16:29:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 2012', 'Mar 30 16:29:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 30 16:30:00 2013', 'Oct 26 16:29:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 26 16:30:00 2013', 'Mar 29 16:29:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 29 16:30:00 2014', 'Oct 25 16:29:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 25 16:30:00 2014', 'Mar 28 16:29:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 28 16:30:00 2015', 'Oct 24 16:29:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 24 16:30:00 2015', 'Mar 26 16:29:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 26 16:30:00 2016', 'Oct 29 16:29:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 29 16:30:00 2016', 'Mar 25 16:29:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 25 16:30:00 2017', 'Oct 28 16:29:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 28 16:30:00 2017', 'Mar 24 16:29:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 24 16:30:00 2018', 'Oct 27 16:29:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 2018', 'Mar 30 16:29:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 30 16:30:00 2019', 'Oct 26 16:29:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 26 16:30:00 2019', 'Mar 28 16:29:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 28 16:30:00 2020', 'Oct 24 16:29:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 24 16:30:00 2020', 'Mar 27 16:29:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 27 16:30:00 2021', 'Oct 30 16:29:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 2021', 'Mar 26 16:29:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 26 16:30:00 2022', 'Oct 29 16:29:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 29 16:30:00 2022', 'Mar 25 16:29:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 25 16:30:00 2023', 'Oct 28 16:29:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 28 16:30:00 2023', 'Mar 30 16:29:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 30 16:30:00 2024', 'Oct 26 16:29:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 26 16:30:00 2024', 'Mar 29 16:29:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 29 16:30:00 2025', 'Oct 25 16:29:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 25 16:30:00 2025', 'Mar 28 16:29:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 28 16:30:00 2026', 'Oct 24 16:29:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 24 16:30:00 2026', 'Mar 27 16:29:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 27 16:30:00 2027', 'Oct 30 16:29:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 2027', 'Mar 25 16:29:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 25 16:30:00 2028', 'Oct 28 16:29:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 28 16:30:00 2028', 'Mar 24 16:29:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 24 16:30:00 2029', 'Oct 27 16:29:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 2029', 'Mar 30 16:29:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 30 16:30:00 2030', 'Oct 26 16:29:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 26 16:30:00 2030', 'Mar 29 16:29:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 29 16:30:00 2031', 'Oct 25 16:29:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 25 16:30:00 2031', 'Mar 27 16:29:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 27 16:30:00 2032', 'Oct 30 16:29:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 30 16:30:00 2032', 'Mar 26 16:29:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 26 16:30:00 2033', 'Oct 29 16:29:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 29 16:30:00 2033', 'Mar 25 16:29:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 25 16:30:00 2034', 'Oct 28 16:29:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 28 16:30:00 2034', 'Mar 24 16:29:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 24 16:30:00 2035', 'Oct 27 16:29:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 27 16:30:00 2035', 'Mar 29 16:29:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 29 16:30:00 2036', 'Oct 25 16:29:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 25 16:30:00 2036', 'Mar 28 16:29:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/Adelaide', 'CST', 0, 34200, 'Mar 28 16:30:00 2037', 'Oct 24 16:29:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/Adelaide', 'CST', 1, 37800, 'Oct 24 16:30:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 13:44:07 2038');
end;
/

--
-- Australia/Brisbane
--

begin
timezone.add_rule('Australia/Brisbane', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Brisbane', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Brisbane', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Brisbane', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Brisbane', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Brisbane', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Brisbane', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Brisbane', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Brisbane', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Oct 30 15:59:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Brisbane', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Brisbane', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1989', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Brisbane', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 3 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 4 02:59:59 1990');
timezone.add_rule('Australia/Brisbane', 'EST', 0, 36000, 'Mar 3 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Brisbane', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 2 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Brisbane', 'EST', 0, 36000, 'Mar 2 16:00:00 1991', 'Oct 26 15:59:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Brisbane', 'EST', 1, 39600, 'Oct 26 16:00:00 1991', 'Feb 29 15:59:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Brisbane', 'EST', 0, 36000, 'Feb 29 16:00:00 1992', 'Jan 18 03:14:07 2038', 'Mar 1 02:00:00 1992', 'Jan 18 13:14:07 2038');
end;
/

--
-- Australia/Broken_Hill
--

begin
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Dec 14 20:45:52 1901', 'Dec 31 14:30:59 1916', 'Dec 15 06:15:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Dec 31 14:31:00 1916', 'Mar 24 15:29:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 24 15:30:00 1917', 'Dec 31 16:29:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Dec 31 16:30:00 1941', 'Mar 28 15:29:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 28 15:30:00 1942', 'Sep 26 16:29:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Sep 26 16:30:00 1942', 'Mar 27 15:29:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 27 15:30:00 1943', 'Oct 2 16:29:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 2 16:30:00 1943', 'Mar 25 15:29:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 25 15:30:00 1944', 'Oct 30 16:29:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 1971', 'Feb 26 16:29:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Feb 26 16:30:00 1972', 'Oct 28 16:29:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 28 16:30:00 1972', 'Mar 3 16:29:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 3 16:30:00 1973', 'Oct 27 16:29:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 1973', 'Mar 2 16:29:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 2 16:30:00 1974', 'Oct 26 16:29:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 26 16:30:00 1974', 'Mar 1 16:29:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 1 16:30:00 1975', 'Oct 25 16:29:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 25 16:30:00 1975', 'Mar 6 16:29:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 6 16:30:00 1976', 'Oct 30 16:29:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 1976', 'Mar 5 16:29:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 5 16:30:00 1977', 'Oct 29 16:29:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 29 16:30:00 1977', 'Mar 4 16:29:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 4 16:30:00 1978', 'Oct 28 16:29:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 28 16:30:00 1978', 'Mar 3 16:29:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 3 16:30:00 1979', 'Oct 27 16:29:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 1979', 'Mar 1 16:29:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 1 16:30:00 1980', 'Oct 25 16:29:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 25 16:30:00 1980', 'Feb 28 16:29:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Feb 28 16:30:00 1981', 'Oct 24 16:29:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 24 16:30:00 1981', 'Apr 3 16:29:59 1982', 'Oct 25 03:00:00 1981', 'Apr 4 02:59:59 1982');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Apr 3 16:30:00 1982', 'Oct 30 16:29:59 1982', 'Apr 4 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 1982', 'Mar 5 16:29:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 5 16:30:00 1983', 'Oct 29 16:29:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 29 16:30:00 1983', 'Mar 3 16:29:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 3 16:30:00 1984', 'Oct 27 16:29:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 1984', 'Mar 2 16:29:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 2 16:30:00 1985', 'Oct 26 16:29:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 26 16:30:00 1985', 'Mar 15 16:29:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 15 16:30:00 1986', 'Oct 18 16:29:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 18 16:30:00 1986', 'Mar 14 16:29:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 14 16:30:00 1987', 'Oct 24 16:29:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 24 16:30:00 1987', 'Mar 19 16:29:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 19 16:30:00 1988', 'Oct 29 16:29:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 29 16:30:00 1988', 'Mar 18 16:29:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 18 16:30:00 1989', 'Oct 28 16:29:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 28 16:30:00 1989', 'Mar 3 16:29:59 1990', 'Oct 29 03:00:00 1989', 'Mar 4 02:59:59 1990');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 3 16:30:00 1990', 'Oct 27 16:29:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 1990', 'Mar 2 16:29:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 2 16:30:00 1991', 'Oct 26 16:29:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 26 16:30:00 1991', 'Feb 29 16:29:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Feb 29 16:30:00 1992', 'Oct 24 16:29:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 24 16:30:00 1992', 'Mar 6 16:29:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 6 16:30:00 1993', 'Oct 30 16:29:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 1993', 'Mar 5 16:29:59 1994', 'Oct 31 03:00:00 1993', 'Mar 6 02:59:59 1994');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 5 16:30:00 1994', 'Oct 29 16:29:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 29 16:30:00 1994', 'Mar 4 16:29:59 1995', 'Oct 30 03:00:00 1994', 'Mar 5 02:59:59 1995');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 4 16:30:00 1995', 'Oct 28 16:29:59 1995', 'Mar 5 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 28 16:30:00 1995', 'Mar 30 16:29:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 30 16:30:00 1996', 'Oct 26 16:29:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 26 16:30:00 1996', 'Mar 29 16:29:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 29 16:30:00 1997', 'Oct 25 16:29:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 25 16:30:00 1997', 'Mar 28 16:29:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 28 16:30:00 1998', 'Oct 24 16:29:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 24 16:30:00 1998', 'Mar 27 16:29:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 27 16:30:00 1999', 'Oct 30 16:29:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 1999', 'Mar 25 16:29:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 25 16:30:00 2000', 'Aug 26 16:29:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Aug 26 16:30:00 2000', 'Mar 24 16:29:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 24 16:30:00 2001', 'Oct 27 16:29:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 2001', 'Mar 30 16:29:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 30 16:30:00 2002', 'Oct 26 16:29:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 26 16:30:00 2002', 'Mar 29 16:29:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 29 16:30:00 2003', 'Oct 25 16:29:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 25 16:30:00 2003', 'Mar 27 16:29:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 27 16:30:00 2004', 'Oct 30 16:29:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 2004', 'Mar 26 16:29:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 26 16:30:00 2005', 'Oct 29 16:29:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 29 16:30:00 2005', 'Mar 25 16:29:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 25 16:30:00 2006', 'Oct 28 16:29:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 28 16:30:00 2006', 'Mar 24 16:29:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 24 16:30:00 2007', 'Oct 27 16:29:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 2007', 'Mar 29 16:29:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 29 16:30:00 2008', 'Oct 25 16:29:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 25 16:30:00 2008', 'Mar 28 16:29:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 28 16:30:00 2009', 'Oct 24 16:29:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 24 16:30:00 2009', 'Mar 27 16:29:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 27 16:30:00 2010', 'Oct 30 16:29:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 2010', 'Mar 26 16:29:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 26 16:30:00 2011', 'Oct 29 16:29:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 29 16:30:00 2011', 'Mar 24 16:29:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 24 16:30:00 2012', 'Oct 27 16:29:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 2012', 'Mar 30 16:29:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 30 16:30:00 2013', 'Oct 26 16:29:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 26 16:30:00 2013', 'Mar 29 16:29:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 29 16:30:00 2014', 'Oct 25 16:29:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 25 16:30:00 2014', 'Mar 28 16:29:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 28 16:30:00 2015', 'Oct 24 16:29:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 24 16:30:00 2015', 'Mar 26 16:29:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 26 16:30:00 2016', 'Oct 29 16:29:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 29 16:30:00 2016', 'Mar 25 16:29:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 25 16:30:00 2017', 'Oct 28 16:29:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 28 16:30:00 2017', 'Mar 24 16:29:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 24 16:30:00 2018', 'Oct 27 16:29:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 2018', 'Mar 30 16:29:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 30 16:30:00 2019', 'Oct 26 16:29:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 26 16:30:00 2019', 'Mar 28 16:29:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 28 16:30:00 2020', 'Oct 24 16:29:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 24 16:30:00 2020', 'Mar 27 16:29:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 27 16:30:00 2021', 'Oct 30 16:29:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 2021', 'Mar 26 16:29:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 26 16:30:00 2022', 'Oct 29 16:29:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 29 16:30:00 2022', 'Mar 25 16:29:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 25 16:30:00 2023', 'Oct 28 16:29:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 28 16:30:00 2023', 'Mar 30 16:29:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 30 16:30:00 2024', 'Oct 26 16:29:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 26 16:30:00 2024', 'Mar 29 16:29:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 29 16:30:00 2025', 'Oct 25 16:29:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 25 16:30:00 2025', 'Mar 28 16:29:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 28 16:30:00 2026', 'Oct 24 16:29:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 24 16:30:00 2026', 'Mar 27 16:29:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 27 16:30:00 2027', 'Oct 30 16:29:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 2027', 'Mar 25 16:29:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 25 16:30:00 2028', 'Oct 28 16:29:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 28 16:30:00 2028', 'Mar 24 16:29:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 24 16:30:00 2029', 'Oct 27 16:29:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 2029', 'Mar 30 16:29:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 30 16:30:00 2030', 'Oct 26 16:29:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 26 16:30:00 2030', 'Mar 29 16:29:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 29 16:30:00 2031', 'Oct 25 16:29:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 25 16:30:00 2031', 'Mar 27 16:29:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 27 16:30:00 2032', 'Oct 30 16:29:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 30 16:30:00 2032', 'Mar 26 16:29:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 26 16:30:00 2033', 'Oct 29 16:29:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 29 16:30:00 2033', 'Mar 25 16:29:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 25 16:30:00 2034', 'Oct 28 16:29:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 28 16:30:00 2034', 'Mar 24 16:29:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 24 16:30:00 2035', 'Oct 27 16:29:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 27 16:30:00 2035', 'Mar 29 16:29:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 29 16:30:00 2036', 'Oct 25 16:29:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 25 16:30:00 2036', 'Mar 28 16:29:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/Broken_Hill', 'CST', 0, 34200, 'Mar 28 16:30:00 2037', 'Oct 24 16:29:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/Broken_Hill', 'CST', 1, 37800, 'Oct 24 16:30:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 13:44:07 2038');
end;
/

--
-- Australia/Canberra
--

begin
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Oct 30 15:59:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 28 16:00:00 1972', 'Mar 3 15:59:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 3 16:00:00 1973', 'Oct 27 15:59:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 1973', 'Mar 2 15:59:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 2 16:00:00 1974', 'Oct 26 15:59:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 26 16:00:00 1974', 'Mar 1 15:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 1 16:00:00 1975', 'Oct 25 15:59:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 25 16:00:00 1975', 'Mar 6 15:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 6 16:00:00 1976', 'Oct 30 15:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 1976', 'Mar 5 15:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 5 16:00:00 1977', 'Oct 29 15:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 29 16:00:00 1977', 'Mar 4 15:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 4 16:00:00 1978', 'Oct 28 15:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 28 16:00:00 1978', 'Mar 3 15:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 3 16:00:00 1979', 'Oct 27 15:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 1979', 'Mar 1 15:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 1 16:00:00 1980', 'Oct 25 15:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 25 16:00:00 1980', 'Feb 28 15:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Feb 28 16:00:00 1981', 'Oct 24 15:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 24 16:00:00 1981', 'Apr 3 15:59:59 1982', 'Oct 25 03:00:00 1981', 'Apr 4 02:59:59 1982');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Apr 3 16:00:00 1982', 'Oct 30 15:59:59 1982', 'Apr 4 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 1982', 'Mar 5 15:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 5 16:00:00 1983', 'Oct 29 15:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 29 16:00:00 1983', 'Mar 3 15:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 3 16:00:00 1984', 'Oct 27 15:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 1984', 'Mar 2 15:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 2 16:00:00 1985', 'Oct 26 15:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 26 16:00:00 1985', 'Mar 15 15:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 15 16:00:00 1986', 'Oct 18 15:59:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 18 16:00:00 1986', 'Mar 14 15:59:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 14 16:00:00 1987', 'Oct 24 15:59:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 24 16:00:00 1987', 'Mar 19 15:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 19 16:00:00 1988', 'Oct 29 15:59:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 29 16:00:00 1988', 'Mar 18 15:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 18 16:00:00 1989', 'Oct 28 15:59:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 3 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 4 02:59:59 1990');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 3 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 2 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 2 16:00:00 1991', 'Oct 26 15:59:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 26 16:00:00 1991', 'Feb 29 15:59:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Feb 29 16:00:00 1992', 'Oct 24 15:59:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 24 16:00:00 1992', 'Mar 6 15:59:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 6 16:00:00 1993', 'Oct 30 15:59:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 1993', 'Mar 5 15:59:59 1994', 'Oct 31 03:00:00 1993', 'Mar 6 02:59:59 1994');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 5 16:00:00 1994', 'Oct 29 15:59:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 29 16:00:00 1994', 'Mar 4 15:59:59 1995', 'Oct 30 03:00:00 1994', 'Mar 5 02:59:59 1995');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 4 16:00:00 1995', 'Oct 28 15:59:59 1995', 'Mar 5 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 28 16:00:00 1995', 'Mar 30 15:59:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 30 16:00:00 1996', 'Oct 26 15:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 26 16:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 29 16:00:00 1997', 'Oct 25 15:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 25 16:00:00 1997', 'Mar 28 15:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 28 16:00:00 1998', 'Oct 24 15:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 24 16:00:00 1998', 'Mar 27 15:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 27 16:00:00 1999', 'Oct 30 15:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 1999', 'Mar 25 15:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 25 16:00:00 2000', 'Aug 26 15:59:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Aug 26 16:00:00 2000', 'Mar 24 15:59:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 24 16:00:00 2001', 'Oct 27 15:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 2001', 'Mar 30 15:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 30 16:00:00 2002', 'Oct 26 15:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 26 16:00:00 2002', 'Mar 29 15:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 29 16:00:00 2003', 'Oct 25 15:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 25 16:00:00 2003', 'Mar 27 15:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 27 16:00:00 2004', 'Oct 30 15:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 2004', 'Mar 26 15:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 26 16:00:00 2005', 'Oct 29 15:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 29 16:00:00 2005', 'Mar 25 15:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 25 16:00:00 2006', 'Oct 28 15:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 28 16:00:00 2006', 'Mar 24 15:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 24 16:00:00 2007', 'Oct 27 15:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 2007', 'Mar 29 15:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 29 16:00:00 2008', 'Oct 25 15:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 25 16:00:00 2008', 'Mar 28 15:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 28 16:00:00 2009', 'Oct 24 15:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 24 16:00:00 2009', 'Mar 27 15:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 27 16:00:00 2010', 'Oct 30 15:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 2010', 'Mar 26 15:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 26 16:00:00 2011', 'Oct 29 15:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 29 16:00:00 2011', 'Mar 24 15:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 24 16:00:00 2012', 'Oct 27 15:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 2012', 'Mar 30 15:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 30 16:00:00 2013', 'Oct 26 15:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 26 16:00:00 2013', 'Mar 29 15:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 29 16:00:00 2014', 'Oct 25 15:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 25 16:00:00 2014', 'Mar 28 15:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 28 16:00:00 2015', 'Oct 24 15:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 24 16:00:00 2015', 'Mar 26 15:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 26 16:00:00 2016', 'Oct 29 15:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 29 16:00:00 2016', 'Mar 25 15:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 25 16:00:00 2017', 'Oct 28 15:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 28 16:00:00 2017', 'Mar 24 15:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 24 16:00:00 2018', 'Oct 27 15:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 2018', 'Mar 30 15:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 30 16:00:00 2019', 'Oct 26 15:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 26 16:00:00 2019', 'Mar 28 15:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 28 16:00:00 2020', 'Oct 24 15:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 24 16:00:00 2020', 'Mar 27 15:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 27 16:00:00 2021', 'Oct 30 15:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 2021', 'Mar 26 15:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 26 16:00:00 2022', 'Oct 29 15:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 29 16:00:00 2022', 'Mar 25 15:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 25 16:00:00 2023', 'Oct 28 15:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 28 16:00:00 2023', 'Mar 30 15:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 30 16:00:00 2024', 'Oct 26 15:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 26 16:00:00 2024', 'Mar 29 15:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 29 16:00:00 2025', 'Oct 25 15:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 25 16:00:00 2025', 'Mar 28 15:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 28 16:00:00 2026', 'Oct 24 15:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 24 16:00:00 2026', 'Mar 27 15:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 27 16:00:00 2027', 'Oct 30 15:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 2027', 'Mar 25 15:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 25 16:00:00 2028', 'Oct 28 15:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 28 16:00:00 2028', 'Mar 24 15:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 24 16:00:00 2029', 'Oct 27 15:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 2029', 'Mar 30 15:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 30 16:00:00 2030', 'Oct 26 15:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 26 16:00:00 2030', 'Mar 29 15:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 29 16:00:00 2031', 'Oct 25 15:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 25 16:00:00 2031', 'Mar 27 15:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 27 16:00:00 2032', 'Oct 30 15:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 30 16:00:00 2032', 'Mar 26 15:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 26 16:00:00 2033', 'Oct 29 15:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 29 16:00:00 2033', 'Mar 25 15:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 25 16:00:00 2034', 'Oct 28 15:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 28 16:00:00 2034', 'Mar 24 15:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 24 16:00:00 2035', 'Oct 27 15:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 27 16:00:00 2035', 'Mar 29 15:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 29 16:00:00 2036', 'Oct 25 15:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 25 16:00:00 2036', 'Mar 28 15:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/Canberra', 'EST', 0, 36000, 'Mar 28 16:00:00 2037', 'Oct 24 15:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/Canberra', 'EST', 1, 39600, 'Oct 24 16:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/Darwin
--

begin
timezone.add_rule('Australia/Darwin', 'CST', 0, 34200, 'Dec 14 20:45:52 1901', 'Dec 31 14:30:59 1916', 'Dec 15 06:15:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Darwin', 'CST', 1, 37800, 'Dec 31 14:31:00 1916', 'Mar 24 15:29:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Darwin', 'CST', 0, 34200, 'Mar 24 15:30:00 1917', 'Dec 31 16:29:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Darwin', 'CST', 1, 37800, 'Dec 31 16:30:00 1941', 'Mar 28 15:29:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Darwin', 'CST', 0, 34200, 'Mar 28 15:30:00 1942', 'Sep 26 16:29:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Darwin', 'CST', 1, 37800, 'Sep 26 16:30:00 1942', 'Mar 27 15:29:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Darwin', 'CST', 0, 34200, 'Mar 27 15:30:00 1943', 'Oct 2 16:29:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Darwin', 'CST', 1, 37800, 'Oct 2 16:30:00 1943', 'Mar 25 15:29:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Darwin', 'CST', 0, 34200, 'Mar 25 15:30:00 1944', 'Jan 18 03:14:07 2038', 'Mar 26 01:00:00 1944', 'Jan 18 12:44:07 2038');
end;
/

--
-- Australia/Hobart
--

begin
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Sep 30 15:59:59 1967', 'Mar 26 01:00:00 1944', 'Oct 1 01:59:59 1967');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Sep 30 16:00:00 1967', 'Mar 30 15:59:59 1968', 'Oct 1 03:00:00 1967', 'Mar 31 02:59:59 1968');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 30 16:00:00 1968', 'Oct 26 15:59:59 1968', 'Mar 31 02:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 26 16:00:00 1968', 'Mar 8 15:59:59 1969', 'Oct 27 03:00:00 1968', 'Mar 9 02:59:59 1969');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 8 16:00:00 1969', 'Oct 25 15:59:59 1969', 'Mar 9 02:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 25 16:00:00 1969', 'Mar 7 15:59:59 1970', 'Oct 26 03:00:00 1969', 'Mar 8 02:59:59 1970');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 7 16:00:00 1970', 'Oct 24 15:59:59 1970', 'Mar 8 02:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 24 16:00:00 1970', 'Mar 13 15:59:59 1971', 'Oct 25 03:00:00 1970', 'Mar 14 02:59:59 1971');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 13 16:00:00 1971', 'Oct 30 15:59:59 1971', 'Mar 14 02:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 28 16:00:00 1972', 'Mar 3 15:59:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 3 16:00:00 1973', 'Oct 27 15:59:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 27 16:00:00 1973', 'Mar 2 15:59:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 2 16:00:00 1974', 'Oct 26 15:59:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 26 16:00:00 1974', 'Mar 1 15:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 1 16:00:00 1975', 'Oct 25 15:59:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 25 16:00:00 1975', 'Mar 6 15:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 6 16:00:00 1976', 'Oct 30 15:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 30 16:00:00 1976', 'Mar 5 15:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 5 16:00:00 1977', 'Oct 29 15:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 29 16:00:00 1977', 'Mar 4 15:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 4 16:00:00 1978', 'Oct 28 15:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 28 16:00:00 1978', 'Mar 3 15:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 3 16:00:00 1979', 'Oct 27 15:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 27 16:00:00 1979', 'Mar 1 15:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 1 16:00:00 1980', 'Oct 25 15:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 25 16:00:00 1980', 'Feb 28 15:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Feb 28 16:00:00 1981', 'Oct 24 15:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 24 16:00:00 1981', 'Mar 27 15:59:59 1982', 'Oct 25 03:00:00 1981', 'Mar 28 02:59:59 1982');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 27 16:00:00 1982', 'Oct 30 15:59:59 1982', 'Mar 28 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 30 16:00:00 1982', 'Mar 26 15:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 27 02:59:59 1983');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 26 16:00:00 1983', 'Oct 29 15:59:59 1983', 'Mar 27 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 29 16:00:00 1983', 'Mar 3 15:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 3 16:00:00 1984', 'Oct 27 15:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 27 16:00:00 1984', 'Mar 2 15:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 2 16:00:00 1985', 'Oct 26 15:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 26 16:00:00 1985', 'Mar 1 15:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 2 02:59:59 1986');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 1 16:00:00 1986', 'Oct 18 15:59:59 1986', 'Mar 2 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 18 16:00:00 1986', 'Mar 14 15:59:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 14 16:00:00 1987', 'Oct 24 15:59:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 24 16:00:00 1987', 'Mar 19 15:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 19 16:00:00 1988', 'Oct 29 15:59:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 29 16:00:00 1988', 'Mar 18 15:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 18 16:00:00 1989', 'Oct 28 15:59:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 17 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 17 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 18 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 30 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 31 02:59:59 1991');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 30 16:00:00 1991', 'Oct 5 15:59:59 1991', 'Mar 31 02:00:00 1991', 'Oct 6 01:59:59 1991');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 5 16:00:00 1991', 'Mar 28 15:59:59 1992', 'Oct 6 03:00:00 1991', 'Mar 29 02:59:59 1992');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 28 16:00:00 1992', 'Oct 3 15:59:59 1992', 'Mar 29 02:00:00 1992', 'Oct 4 01:59:59 1992');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 3 16:00:00 1992', 'Mar 27 15:59:59 1993', 'Oct 4 03:00:00 1992', 'Mar 28 02:59:59 1993');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 27 16:00:00 1993', 'Oct 2 15:59:59 1993', 'Mar 28 02:00:00 1993', 'Oct 3 01:59:59 1993');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 2 16:00:00 1993', 'Mar 26 15:59:59 1994', 'Oct 3 03:00:00 1993', 'Mar 27 02:59:59 1994');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 26 16:00:00 1994', 'Oct 1 15:59:59 1994', 'Mar 27 02:00:00 1994', 'Oct 2 01:59:59 1994');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 1 16:00:00 1994', 'Mar 25 15:59:59 1995', 'Oct 2 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 25 16:00:00 1995', 'Sep 30 15:59:59 1995', 'Mar 26 02:00:00 1995', 'Oct 1 01:59:59 1995');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Sep 30 16:00:00 1995', 'Mar 30 15:59:59 1996', 'Oct 1 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 30 16:00:00 1996', 'Oct 5 15:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 6 01:59:59 1996');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 5 16:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 6 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 29 16:00:00 1997', 'Oct 4 15:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 5 01:59:59 1997');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 4 16:00:00 1997', 'Mar 28 15:59:59 1998', 'Oct 5 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 28 16:00:00 1998', 'Oct 3 15:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 4 01:59:59 1998');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 3 16:00:00 1998', 'Mar 27 15:59:59 1999', 'Oct 4 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 27 16:00:00 1999', 'Oct 2 15:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 3 01:59:59 1999');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 2 16:00:00 1999', 'Mar 25 15:59:59 2000', 'Oct 3 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 25 16:00:00 2000', 'Sep 30 15:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 1 01:59:59 2000');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Sep 30 16:00:00 2000', 'Mar 24 15:59:59 2001', 'Oct 1 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 24 16:00:00 2001', 'Oct 6 15:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 7 01:59:59 2001');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 6 16:00:00 2001', 'Mar 30 15:59:59 2002', 'Oct 7 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 30 16:00:00 2002', 'Oct 5 15:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 6 01:59:59 2002');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 5 16:00:00 2002', 'Mar 29 15:59:59 2003', 'Oct 6 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 29 16:00:00 2003', 'Oct 4 15:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 5 01:59:59 2003');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 4 16:00:00 2003', 'Mar 27 15:59:59 2004', 'Oct 5 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 27 16:00:00 2004', 'Oct 2 15:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 3 01:59:59 2004');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 2 16:00:00 2004', 'Mar 26 15:59:59 2005', 'Oct 3 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 26 16:00:00 2005', 'Oct 1 15:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 2 01:59:59 2005');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 1 16:00:00 2005', 'Mar 25 15:59:59 2006', 'Oct 2 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 25 16:00:00 2006', 'Sep 30 15:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 1 01:59:59 2006');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Sep 30 16:00:00 2006', 'Mar 24 15:59:59 2007', 'Oct 1 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 24 16:00:00 2007', 'Oct 6 15:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 7 01:59:59 2007');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 6 16:00:00 2007', 'Mar 29 15:59:59 2008', 'Oct 7 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 29 16:00:00 2008', 'Oct 4 15:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 5 01:59:59 2008');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 4 16:00:00 2008', 'Mar 28 15:59:59 2009', 'Oct 5 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 28 16:00:00 2009', 'Oct 3 15:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 4 01:59:59 2009');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 3 16:00:00 2009', 'Mar 27 15:59:59 2010', 'Oct 4 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 27 16:00:00 2010', 'Oct 2 15:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 3 01:59:59 2010');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 2 16:00:00 2010', 'Mar 26 15:59:59 2011', 'Oct 3 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 26 16:00:00 2011', 'Oct 1 15:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 2 01:59:59 2011');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 1 16:00:00 2011', 'Mar 24 15:59:59 2012', 'Oct 2 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 24 16:00:00 2012', 'Oct 6 15:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 7 01:59:59 2012');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 6 16:00:00 2012', 'Mar 30 15:59:59 2013', 'Oct 7 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 30 16:00:00 2013', 'Oct 5 15:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 6 01:59:59 2013');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 5 16:00:00 2013', 'Mar 29 15:59:59 2014', 'Oct 6 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 29 16:00:00 2014', 'Oct 4 15:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 5 01:59:59 2014');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 4 16:00:00 2014', 'Mar 28 15:59:59 2015', 'Oct 5 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 28 16:00:00 2015', 'Oct 3 15:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 4 01:59:59 2015');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 3 16:00:00 2015', 'Mar 26 15:59:59 2016', 'Oct 4 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 26 16:00:00 2016', 'Oct 1 15:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 2 01:59:59 2016');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 1 16:00:00 2016', 'Mar 25 15:59:59 2017', 'Oct 2 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 25 16:00:00 2017', 'Sep 30 15:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 1 01:59:59 2017');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Sep 30 16:00:00 2017', 'Mar 24 15:59:59 2018', 'Oct 1 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 24 16:00:00 2018', 'Oct 6 15:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 7 01:59:59 2018');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 6 16:00:00 2018', 'Mar 30 15:59:59 2019', 'Oct 7 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 30 16:00:00 2019', 'Oct 5 15:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 6 01:59:59 2019');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 5 16:00:00 2019', 'Mar 28 15:59:59 2020', 'Oct 6 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 28 16:00:00 2020', 'Oct 3 15:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 4 01:59:59 2020');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 3 16:00:00 2020', 'Mar 27 15:59:59 2021', 'Oct 4 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 27 16:00:00 2021', 'Oct 2 15:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 3 01:59:59 2021');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 2 16:00:00 2021', 'Mar 26 15:59:59 2022', 'Oct 3 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 26 16:00:00 2022', 'Oct 1 15:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 2 01:59:59 2022');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 1 16:00:00 2022', 'Mar 25 15:59:59 2023', 'Oct 2 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 25 16:00:00 2023', 'Sep 30 15:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 1 01:59:59 2023');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Sep 30 16:00:00 2023', 'Mar 30 15:59:59 2024', 'Oct 1 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 30 16:00:00 2024', 'Oct 5 15:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 6 01:59:59 2024');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 5 16:00:00 2024', 'Mar 29 15:59:59 2025', 'Oct 6 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 29 16:00:00 2025', 'Oct 4 15:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 5 01:59:59 2025');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 4 16:00:00 2025', 'Mar 28 15:59:59 2026', 'Oct 5 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 28 16:00:00 2026', 'Oct 3 15:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 4 01:59:59 2026');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 3 16:00:00 2026', 'Mar 27 15:59:59 2027', 'Oct 4 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 27 16:00:00 2027', 'Oct 2 15:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 3 01:59:59 2027');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 2 16:00:00 2027', 'Mar 25 15:59:59 2028', 'Oct 3 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 25 16:00:00 2028', 'Sep 30 15:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 1 01:59:59 2028');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Sep 30 16:00:00 2028', 'Mar 24 15:59:59 2029', 'Oct 1 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 24 16:00:00 2029', 'Oct 6 15:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 7 01:59:59 2029');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 6 16:00:00 2029', 'Mar 30 15:59:59 2030', 'Oct 7 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 30 16:00:00 2030', 'Oct 5 15:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 6 01:59:59 2030');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 5 16:00:00 2030', 'Mar 29 15:59:59 2031', 'Oct 6 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 29 16:00:00 2031', 'Oct 4 15:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 5 01:59:59 2031');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 4 16:00:00 2031', 'Mar 27 15:59:59 2032', 'Oct 5 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 27 16:00:00 2032', 'Oct 2 15:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 3 01:59:59 2032');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 2 16:00:00 2032', 'Mar 26 15:59:59 2033', 'Oct 3 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 26 16:00:00 2033', 'Oct 1 15:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 2 01:59:59 2033');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 1 16:00:00 2033', 'Mar 25 15:59:59 2034', 'Oct 2 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 25 16:00:00 2034', 'Sep 30 15:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 1 01:59:59 2034');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Sep 30 16:00:00 2034', 'Mar 24 15:59:59 2035', 'Oct 1 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 24 16:00:00 2035', 'Oct 6 15:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 7 01:59:59 2035');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 6 16:00:00 2035', 'Mar 29 15:59:59 2036', 'Oct 7 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 29 16:00:00 2036', 'Oct 4 15:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 5 01:59:59 2036');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 4 16:00:00 2036', 'Mar 28 15:59:59 2037', 'Oct 5 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/Hobart', 'EST', 0, 36000, 'Mar 28 16:00:00 2037', 'Oct 3 15:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 4 01:59:59 2037');
timezone.add_rule('Australia/Hobart', 'EST', 1, 39600, 'Oct 3 16:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 4 03:00:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/LHI
--

begin
timezone.add_rule('Australia/LHI', 'LHST', 0, 36000, 'Dec 14 20:45:52 1901', 'Feb 28 13:59:59 1981', 'Dec 15 06:45:52 1901', 'Feb 28 23:59:59 1981');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Feb 28 14:00:00 1981', 'Oct 24 15:29:59 1981', 'Mar 1 00:30:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/LHI', 'LHST', 1, 41400, 'Oct 24 15:30:00 1981', 'Mar 6 15:29:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 6 15:30:00 1982', 'Oct 30 15:29:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/LHI', 'LHST', 1, 41400, 'Oct 30 15:30:00 1982', 'Mar 5 15:29:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 5 15:30:00 1983', 'Oct 29 15:29:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/LHI', 'LHST', 1, 41400, 'Oct 29 15:30:00 1983', 'Mar 3 15:29:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 3 15:30:00 1984', 'Oct 27 15:29:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/LHI', 'LHST', 1, 41400, 'Oct 27 15:30:00 1984', 'Mar 2 15:29:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 2 15:30:00 1985', 'Oct 26 15:29:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 26 15:30:00 1985', 'Mar 15 15:29:59 1986', 'Oct 27 02:30:00 1985', 'Mar 16 02:29:59 1986');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 15 15:30:00 1986', 'Oct 18 15:29:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 18 15:30:00 1986', 'Mar 14 15:29:59 1987', 'Oct 19 02:30:00 1986', 'Mar 15 02:29:59 1987');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 14 15:30:00 1987', 'Oct 24 15:29:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 24 15:30:00 1987', 'Mar 19 15:29:59 1988', 'Oct 25 02:30:00 1987', 'Mar 20 02:29:59 1988');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 19 15:30:00 1988', 'Oct 29 15:29:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 29 15:30:00 1988', 'Mar 18 15:29:59 1989', 'Oct 30 02:30:00 1988', 'Mar 19 02:29:59 1989');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 18 15:30:00 1989', 'Oct 28 15:29:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 28 15:30:00 1989', 'Mar 3 15:29:59 1990', 'Oct 29 02:30:00 1989', 'Mar 4 02:29:59 1990');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 3 15:30:00 1990', 'Oct 27 15:29:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 27 15:30:00 1990', 'Mar 2 15:29:59 1991', 'Oct 28 02:30:00 1990', 'Mar 3 02:29:59 1991');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 2 15:30:00 1991', 'Oct 26 15:29:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 26 15:30:00 1991', 'Feb 29 15:29:59 1992', 'Oct 27 02:30:00 1991', 'Mar 1 02:29:59 1992');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Feb 29 15:30:00 1992', 'Oct 24 15:29:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 24 15:30:00 1992', 'Mar 6 15:29:59 1993', 'Oct 25 02:30:00 1992', 'Mar 7 02:29:59 1993');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 6 15:30:00 1993', 'Oct 30 15:29:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 30 15:30:00 1993', 'Mar 5 15:29:59 1994', 'Oct 31 02:30:00 1993', 'Mar 6 02:29:59 1994');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 5 15:30:00 1994', 'Oct 29 15:29:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 29 15:30:00 1994', 'Mar 4 15:29:59 1995', 'Oct 30 02:30:00 1994', 'Mar 5 02:29:59 1995');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 4 15:30:00 1995', 'Oct 28 15:29:59 1995', 'Mar 5 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 28 15:30:00 1995', 'Mar 30 15:29:59 1996', 'Oct 29 02:30:00 1995', 'Mar 31 02:29:59 1996');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 30 15:30:00 1996', 'Oct 26 15:29:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 26 15:30:00 1996', 'Mar 29 15:29:59 1997', 'Oct 27 02:30:00 1996', 'Mar 30 02:29:59 1997');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 29 15:30:00 1997', 'Oct 25 15:29:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 25 15:30:00 1997', 'Mar 28 15:29:59 1998', 'Oct 26 02:30:00 1997', 'Mar 29 02:29:59 1998');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 28 15:30:00 1998', 'Oct 24 15:29:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 24 15:30:00 1998', 'Mar 27 15:29:59 1999', 'Oct 25 02:30:00 1998', 'Mar 28 02:29:59 1999');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 27 15:30:00 1999', 'Oct 30 15:29:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 30 15:30:00 1999', 'Mar 25 15:29:59 2000', 'Oct 31 02:30:00 1999', 'Mar 26 02:29:59 2000');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 25 15:30:00 2000', 'Oct 28 15:29:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 28 15:30:00 2000', 'Mar 24 15:29:59 2001', 'Oct 29 02:30:00 2000', 'Mar 25 02:29:59 2001');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 24 15:30:00 2001', 'Oct 27 15:29:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 27 15:30:00 2001', 'Mar 30 15:29:59 2002', 'Oct 28 02:30:00 2001', 'Mar 31 02:29:59 2002');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 30 15:30:00 2002', 'Oct 26 15:29:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 26 15:30:00 2002', 'Mar 29 15:29:59 2003', 'Oct 27 02:30:00 2002', 'Mar 30 02:29:59 2003');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 29 15:30:00 2003', 'Oct 25 15:29:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 25 15:30:00 2003', 'Mar 27 15:29:59 2004', 'Oct 26 02:30:00 2003', 'Mar 28 02:29:59 2004');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 27 15:30:00 2004', 'Oct 30 15:29:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 30 15:30:00 2004', 'Mar 26 15:29:59 2005', 'Oct 31 02:30:00 2004', 'Mar 27 02:29:59 2005');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 26 15:30:00 2005', 'Oct 29 15:29:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 29 15:30:00 2005', 'Mar 25 15:29:59 2006', 'Oct 30 02:30:00 2005', 'Mar 26 02:29:59 2006');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 25 15:30:00 2006', 'Oct 28 15:29:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 28 15:30:00 2006', 'Mar 24 15:29:59 2007', 'Oct 29 02:30:00 2006', 'Mar 25 02:29:59 2007');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 24 15:30:00 2007', 'Oct 27 15:29:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 27 15:30:00 2007', 'Mar 29 15:29:59 2008', 'Oct 28 02:30:00 2007', 'Mar 30 02:29:59 2008');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 29 15:30:00 2008', 'Oct 25 15:29:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 25 15:30:00 2008', 'Mar 28 15:29:59 2009', 'Oct 26 02:30:00 2008', 'Mar 29 02:29:59 2009');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 28 15:30:00 2009', 'Oct 24 15:29:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 24 15:30:00 2009', 'Mar 27 15:29:59 2010', 'Oct 25 02:30:00 2009', 'Mar 28 02:29:59 2010');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 27 15:30:00 2010', 'Oct 30 15:29:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 30 15:30:00 2010', 'Mar 26 15:29:59 2011', 'Oct 31 02:30:00 2010', 'Mar 27 02:29:59 2011');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 26 15:30:00 2011', 'Oct 29 15:29:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 29 15:30:00 2011', 'Mar 24 15:29:59 2012', 'Oct 30 02:30:00 2011', 'Mar 25 02:29:59 2012');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 24 15:30:00 2012', 'Oct 27 15:29:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 27 15:30:00 2012', 'Mar 30 15:29:59 2013', 'Oct 28 02:30:00 2012', 'Mar 31 02:29:59 2013');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 30 15:30:00 2013', 'Oct 26 15:29:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 26 15:30:00 2013', 'Mar 29 15:29:59 2014', 'Oct 27 02:30:00 2013', 'Mar 30 02:29:59 2014');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 29 15:30:00 2014', 'Oct 25 15:29:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 25 15:30:00 2014', 'Mar 28 15:29:59 2015', 'Oct 26 02:30:00 2014', 'Mar 29 02:29:59 2015');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 28 15:30:00 2015', 'Oct 24 15:29:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 24 15:30:00 2015', 'Mar 26 15:29:59 2016', 'Oct 25 02:30:00 2015', 'Mar 27 02:29:59 2016');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 26 15:30:00 2016', 'Oct 29 15:29:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 29 15:30:00 2016', 'Mar 25 15:29:59 2017', 'Oct 30 02:30:00 2016', 'Mar 26 02:29:59 2017');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 25 15:30:00 2017', 'Oct 28 15:29:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 28 15:30:00 2017', 'Mar 24 15:29:59 2018', 'Oct 29 02:30:00 2017', 'Mar 25 02:29:59 2018');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 24 15:30:00 2018', 'Oct 27 15:29:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 27 15:30:00 2018', 'Mar 30 15:29:59 2019', 'Oct 28 02:30:00 2018', 'Mar 31 02:29:59 2019');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 30 15:30:00 2019', 'Oct 26 15:29:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 26 15:30:00 2019', 'Mar 28 15:29:59 2020', 'Oct 27 02:30:00 2019', 'Mar 29 02:29:59 2020');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 28 15:30:00 2020', 'Oct 24 15:29:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 24 15:30:00 2020', 'Mar 27 15:29:59 2021', 'Oct 25 02:30:00 2020', 'Mar 28 02:29:59 2021');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 27 15:30:00 2021', 'Oct 30 15:29:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 30 15:30:00 2021', 'Mar 26 15:29:59 2022', 'Oct 31 02:30:00 2021', 'Mar 27 02:29:59 2022');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 26 15:30:00 2022', 'Oct 29 15:29:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 29 15:30:00 2022', 'Mar 25 15:29:59 2023', 'Oct 30 02:30:00 2022', 'Mar 26 02:29:59 2023');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 25 15:30:00 2023', 'Oct 28 15:29:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 28 15:30:00 2023', 'Mar 30 15:29:59 2024', 'Oct 29 02:30:00 2023', 'Mar 31 02:29:59 2024');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 30 15:30:00 2024', 'Oct 26 15:29:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 26 15:30:00 2024', 'Mar 29 15:29:59 2025', 'Oct 27 02:30:00 2024', 'Mar 30 02:29:59 2025');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 29 15:30:00 2025', 'Oct 25 15:29:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 25 15:30:00 2025', 'Mar 28 15:29:59 2026', 'Oct 26 02:30:00 2025', 'Mar 29 02:29:59 2026');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 28 15:30:00 2026', 'Oct 24 15:29:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 24 15:30:00 2026', 'Mar 27 15:29:59 2027', 'Oct 25 02:30:00 2026', 'Mar 28 02:29:59 2027');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 27 15:30:00 2027', 'Oct 30 15:29:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 30 15:30:00 2027', 'Mar 25 15:29:59 2028', 'Oct 31 02:30:00 2027', 'Mar 26 02:29:59 2028');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 25 15:30:00 2028', 'Oct 28 15:29:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 28 15:30:00 2028', 'Mar 24 15:29:59 2029', 'Oct 29 02:30:00 2028', 'Mar 25 02:29:59 2029');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 24 15:30:00 2029', 'Oct 27 15:29:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 27 15:30:00 2029', 'Mar 30 15:29:59 2030', 'Oct 28 02:30:00 2029', 'Mar 31 02:29:59 2030');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 30 15:30:00 2030', 'Oct 26 15:29:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 26 15:30:00 2030', 'Mar 29 15:29:59 2031', 'Oct 27 02:30:00 2030', 'Mar 30 02:29:59 2031');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 29 15:30:00 2031', 'Oct 25 15:29:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 25 15:30:00 2031', 'Mar 27 15:29:59 2032', 'Oct 26 02:30:00 2031', 'Mar 28 02:29:59 2032');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 27 15:30:00 2032', 'Oct 30 15:29:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 30 15:30:00 2032', 'Mar 26 15:29:59 2033', 'Oct 31 02:30:00 2032', 'Mar 27 02:29:59 2033');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 26 15:30:00 2033', 'Oct 29 15:29:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 29 15:30:00 2033', 'Mar 25 15:29:59 2034', 'Oct 30 02:30:00 2033', 'Mar 26 02:29:59 2034');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 25 15:30:00 2034', 'Oct 28 15:29:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 28 15:30:00 2034', 'Mar 24 15:29:59 2035', 'Oct 29 02:30:00 2034', 'Mar 25 02:29:59 2035');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 24 15:30:00 2035', 'Oct 27 15:29:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 27 15:30:00 2035', 'Mar 29 15:29:59 2036', 'Oct 28 02:30:00 2035', 'Mar 30 02:29:59 2036');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 29 15:30:00 2036', 'Oct 25 15:29:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 25 15:30:00 2036', 'Mar 28 15:29:59 2037', 'Oct 26 02:30:00 2036', 'Mar 29 02:29:59 2037');
timezone.add_rule('Australia/LHI', 'LHST', 0, 37800, 'Mar 28 15:30:00 2037', 'Oct 24 15:29:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/LHI', 'LHST', 1, 39600, 'Oct 24 15:30:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:30:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/Lindeman
--

begin
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Oct 30 15:59:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1989', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 3 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 4 02:59:59 1990');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Mar 3 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 2 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Mar 2 16:00:00 1991', 'Oct 26 15:59:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Oct 26 16:00:00 1991', 'Feb 29 15:59:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Feb 29 16:00:00 1992', 'Oct 24 15:59:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Oct 24 16:00:00 1992', 'Mar 6 15:59:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Mar 6 16:00:00 1993', 'Oct 30 15:59:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/Lindeman', 'EST', 1, 39600, 'Oct 30 16:00:00 1993', 'Mar 5 15:59:59 1994', 'Oct 31 03:00:00 1993', 'Mar 6 02:59:59 1994');
timezone.add_rule('Australia/Lindeman', 'EST', 0, 36000, 'Mar 5 16:00:00 1994', 'Jan 18 03:14:07 2038', 'Mar 6 02:00:00 1994', 'Jan 18 13:14:07 2038');
end;
/

--
-- Australia/Lord_Howe
--

begin
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 36000, 'Dec 14 20:45:52 1901', 'Feb 28 13:59:59 1981', 'Dec 15 06:45:52 1901', 'Feb 28 23:59:59 1981');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Feb 28 14:00:00 1981', 'Oct 24 15:29:59 1981', 'Mar 1 00:30:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 41400, 'Oct 24 15:30:00 1981', 'Mar 6 15:29:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 6 15:30:00 1982', 'Oct 30 15:29:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 41400, 'Oct 30 15:30:00 1982', 'Mar 5 15:29:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 5 15:30:00 1983', 'Oct 29 15:29:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 41400, 'Oct 29 15:30:00 1983', 'Mar 3 15:29:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 3 15:30:00 1984', 'Oct 27 15:29:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 41400, 'Oct 27 15:30:00 1984', 'Mar 2 15:29:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 2 15:30:00 1985', 'Oct 26 15:29:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 26 15:30:00 1985', 'Mar 15 15:29:59 1986', 'Oct 27 02:30:00 1985', 'Mar 16 02:29:59 1986');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 15 15:30:00 1986', 'Oct 18 15:29:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 18 15:30:00 1986', 'Mar 14 15:29:59 1987', 'Oct 19 02:30:00 1986', 'Mar 15 02:29:59 1987');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 14 15:30:00 1987', 'Oct 24 15:29:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 24 15:30:00 1987', 'Mar 19 15:29:59 1988', 'Oct 25 02:30:00 1987', 'Mar 20 02:29:59 1988');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 19 15:30:00 1988', 'Oct 29 15:29:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 29 15:30:00 1988', 'Mar 18 15:29:59 1989', 'Oct 30 02:30:00 1988', 'Mar 19 02:29:59 1989');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 18 15:30:00 1989', 'Oct 28 15:29:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 28 15:30:00 1989', 'Mar 3 15:29:59 1990', 'Oct 29 02:30:00 1989', 'Mar 4 02:29:59 1990');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 3 15:30:00 1990', 'Oct 27 15:29:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 27 15:30:00 1990', 'Mar 2 15:29:59 1991', 'Oct 28 02:30:00 1990', 'Mar 3 02:29:59 1991');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 2 15:30:00 1991', 'Oct 26 15:29:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 26 15:30:00 1991', 'Feb 29 15:29:59 1992', 'Oct 27 02:30:00 1991', 'Mar 1 02:29:59 1992');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Feb 29 15:30:00 1992', 'Oct 24 15:29:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 24 15:30:00 1992', 'Mar 6 15:29:59 1993', 'Oct 25 02:30:00 1992', 'Mar 7 02:29:59 1993');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 6 15:30:00 1993', 'Oct 30 15:29:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 30 15:30:00 1993', 'Mar 5 15:29:59 1994', 'Oct 31 02:30:00 1993', 'Mar 6 02:29:59 1994');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 5 15:30:00 1994', 'Oct 29 15:29:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 29 15:30:00 1994', 'Mar 4 15:29:59 1995', 'Oct 30 02:30:00 1994', 'Mar 5 02:29:59 1995');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 4 15:30:00 1995', 'Oct 28 15:29:59 1995', 'Mar 5 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 28 15:30:00 1995', 'Mar 30 15:29:59 1996', 'Oct 29 02:30:00 1995', 'Mar 31 02:29:59 1996');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 30 15:30:00 1996', 'Oct 26 15:29:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 26 15:30:00 1996', 'Mar 29 15:29:59 1997', 'Oct 27 02:30:00 1996', 'Mar 30 02:29:59 1997');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 29 15:30:00 1997', 'Oct 25 15:29:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 25 15:30:00 1997', 'Mar 28 15:29:59 1998', 'Oct 26 02:30:00 1997', 'Mar 29 02:29:59 1998');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 28 15:30:00 1998', 'Oct 24 15:29:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 24 15:30:00 1998', 'Mar 27 15:29:59 1999', 'Oct 25 02:30:00 1998', 'Mar 28 02:29:59 1999');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 27 15:30:00 1999', 'Oct 30 15:29:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 30 15:30:00 1999', 'Mar 25 15:29:59 2000', 'Oct 31 02:30:00 1999', 'Mar 26 02:29:59 2000');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 25 15:30:00 2000', 'Oct 28 15:29:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 28 15:30:00 2000', 'Mar 24 15:29:59 2001', 'Oct 29 02:30:00 2000', 'Mar 25 02:29:59 2001');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 24 15:30:00 2001', 'Oct 27 15:29:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 27 15:30:00 2001', 'Mar 30 15:29:59 2002', 'Oct 28 02:30:00 2001', 'Mar 31 02:29:59 2002');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 30 15:30:00 2002', 'Oct 26 15:29:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 26 15:30:00 2002', 'Mar 29 15:29:59 2003', 'Oct 27 02:30:00 2002', 'Mar 30 02:29:59 2003');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 29 15:30:00 2003', 'Oct 25 15:29:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 25 15:30:00 2003', 'Mar 27 15:29:59 2004', 'Oct 26 02:30:00 2003', 'Mar 28 02:29:59 2004');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 27 15:30:00 2004', 'Oct 30 15:29:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 30 15:30:00 2004', 'Mar 26 15:29:59 2005', 'Oct 31 02:30:00 2004', 'Mar 27 02:29:59 2005');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 26 15:30:00 2005', 'Oct 29 15:29:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 29 15:30:00 2005', 'Mar 25 15:29:59 2006', 'Oct 30 02:30:00 2005', 'Mar 26 02:29:59 2006');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 25 15:30:00 2006', 'Oct 28 15:29:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 28 15:30:00 2006', 'Mar 24 15:29:59 2007', 'Oct 29 02:30:00 2006', 'Mar 25 02:29:59 2007');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 24 15:30:00 2007', 'Oct 27 15:29:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 27 15:30:00 2007', 'Mar 29 15:29:59 2008', 'Oct 28 02:30:00 2007', 'Mar 30 02:29:59 2008');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 29 15:30:00 2008', 'Oct 25 15:29:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 25 15:30:00 2008', 'Mar 28 15:29:59 2009', 'Oct 26 02:30:00 2008', 'Mar 29 02:29:59 2009');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 28 15:30:00 2009', 'Oct 24 15:29:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 24 15:30:00 2009', 'Mar 27 15:29:59 2010', 'Oct 25 02:30:00 2009', 'Mar 28 02:29:59 2010');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 27 15:30:00 2010', 'Oct 30 15:29:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 30 15:30:00 2010', 'Mar 26 15:29:59 2011', 'Oct 31 02:30:00 2010', 'Mar 27 02:29:59 2011');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 26 15:30:00 2011', 'Oct 29 15:29:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 29 15:30:00 2011', 'Mar 24 15:29:59 2012', 'Oct 30 02:30:00 2011', 'Mar 25 02:29:59 2012');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 24 15:30:00 2012', 'Oct 27 15:29:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 27 15:30:00 2012', 'Mar 30 15:29:59 2013', 'Oct 28 02:30:00 2012', 'Mar 31 02:29:59 2013');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 30 15:30:00 2013', 'Oct 26 15:29:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 26 15:30:00 2013', 'Mar 29 15:29:59 2014', 'Oct 27 02:30:00 2013', 'Mar 30 02:29:59 2014');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 29 15:30:00 2014', 'Oct 25 15:29:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 25 15:30:00 2014', 'Mar 28 15:29:59 2015', 'Oct 26 02:30:00 2014', 'Mar 29 02:29:59 2015');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 28 15:30:00 2015', 'Oct 24 15:29:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 24 15:30:00 2015', 'Mar 26 15:29:59 2016', 'Oct 25 02:30:00 2015', 'Mar 27 02:29:59 2016');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 26 15:30:00 2016', 'Oct 29 15:29:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 29 15:30:00 2016', 'Mar 25 15:29:59 2017', 'Oct 30 02:30:00 2016', 'Mar 26 02:29:59 2017');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 25 15:30:00 2017', 'Oct 28 15:29:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 28 15:30:00 2017', 'Mar 24 15:29:59 2018', 'Oct 29 02:30:00 2017', 'Mar 25 02:29:59 2018');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 24 15:30:00 2018', 'Oct 27 15:29:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 27 15:30:00 2018', 'Mar 30 15:29:59 2019', 'Oct 28 02:30:00 2018', 'Mar 31 02:29:59 2019');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 30 15:30:00 2019', 'Oct 26 15:29:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 26 15:30:00 2019', 'Mar 28 15:29:59 2020', 'Oct 27 02:30:00 2019', 'Mar 29 02:29:59 2020');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 28 15:30:00 2020', 'Oct 24 15:29:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 24 15:30:00 2020', 'Mar 27 15:29:59 2021', 'Oct 25 02:30:00 2020', 'Mar 28 02:29:59 2021');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 27 15:30:00 2021', 'Oct 30 15:29:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 30 15:30:00 2021', 'Mar 26 15:29:59 2022', 'Oct 31 02:30:00 2021', 'Mar 27 02:29:59 2022');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 26 15:30:00 2022', 'Oct 29 15:29:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 29 15:30:00 2022', 'Mar 25 15:29:59 2023', 'Oct 30 02:30:00 2022', 'Mar 26 02:29:59 2023');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 25 15:30:00 2023', 'Oct 28 15:29:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 28 15:30:00 2023', 'Mar 30 15:29:59 2024', 'Oct 29 02:30:00 2023', 'Mar 31 02:29:59 2024');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 30 15:30:00 2024', 'Oct 26 15:29:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 26 15:30:00 2024', 'Mar 29 15:29:59 2025', 'Oct 27 02:30:00 2024', 'Mar 30 02:29:59 2025');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 29 15:30:00 2025', 'Oct 25 15:29:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 25 15:30:00 2025', 'Mar 28 15:29:59 2026', 'Oct 26 02:30:00 2025', 'Mar 29 02:29:59 2026');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 28 15:30:00 2026', 'Oct 24 15:29:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 24 15:30:00 2026', 'Mar 27 15:29:59 2027', 'Oct 25 02:30:00 2026', 'Mar 28 02:29:59 2027');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 27 15:30:00 2027', 'Oct 30 15:29:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 30 15:30:00 2027', 'Mar 25 15:29:59 2028', 'Oct 31 02:30:00 2027', 'Mar 26 02:29:59 2028');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 25 15:30:00 2028', 'Oct 28 15:29:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 28 15:30:00 2028', 'Mar 24 15:29:59 2029', 'Oct 29 02:30:00 2028', 'Mar 25 02:29:59 2029');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 24 15:30:00 2029', 'Oct 27 15:29:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 27 15:30:00 2029', 'Mar 30 15:29:59 2030', 'Oct 28 02:30:00 2029', 'Mar 31 02:29:59 2030');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 30 15:30:00 2030', 'Oct 26 15:29:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 26 15:30:00 2030', 'Mar 29 15:29:59 2031', 'Oct 27 02:30:00 2030', 'Mar 30 02:29:59 2031');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 29 15:30:00 2031', 'Oct 25 15:29:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 25 15:30:00 2031', 'Mar 27 15:29:59 2032', 'Oct 26 02:30:00 2031', 'Mar 28 02:29:59 2032');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 27 15:30:00 2032', 'Oct 30 15:29:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 30 15:30:00 2032', 'Mar 26 15:29:59 2033', 'Oct 31 02:30:00 2032', 'Mar 27 02:29:59 2033');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 26 15:30:00 2033', 'Oct 29 15:29:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 29 15:30:00 2033', 'Mar 25 15:29:59 2034', 'Oct 30 02:30:00 2033', 'Mar 26 02:29:59 2034');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 25 15:30:00 2034', 'Oct 28 15:29:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 28 15:30:00 2034', 'Mar 24 15:29:59 2035', 'Oct 29 02:30:00 2034', 'Mar 25 02:29:59 2035');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 24 15:30:00 2035', 'Oct 27 15:29:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 27 15:30:00 2035', 'Mar 29 15:29:59 2036', 'Oct 28 02:30:00 2035', 'Mar 30 02:29:59 2036');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 29 15:30:00 2036', 'Oct 25 15:29:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 25 15:30:00 2036', 'Mar 28 15:29:59 2037', 'Oct 26 02:30:00 2036', 'Mar 29 02:29:59 2037');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 0, 37800, 'Mar 28 15:30:00 2037', 'Oct 24 15:29:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/Lord_Howe', 'LHST', 1, 39600, 'Oct 24 15:30:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:30:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/Melbourne
--

begin
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Oct 30 15:59:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 28 16:00:00 1972', 'Mar 3 15:59:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 3 16:00:00 1973', 'Oct 27 15:59:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 1973', 'Mar 2 15:59:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 2 16:00:00 1974', 'Oct 26 15:59:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 26 16:00:00 1974', 'Mar 1 15:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 1 16:00:00 1975', 'Oct 25 15:59:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 25 16:00:00 1975', 'Mar 6 15:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 6 16:00:00 1976', 'Oct 30 15:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 1976', 'Mar 5 15:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 5 16:00:00 1977', 'Oct 29 15:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 29 16:00:00 1977', 'Mar 4 15:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 4 16:00:00 1978', 'Oct 28 15:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 28 16:00:00 1978', 'Mar 3 15:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 3 16:00:00 1979', 'Oct 27 15:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 1979', 'Mar 1 15:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 1 16:00:00 1980', 'Oct 25 15:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 25 16:00:00 1980', 'Feb 28 15:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Feb 28 16:00:00 1981', 'Oct 24 15:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 24 16:00:00 1981', 'Mar 6 15:59:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 6 16:00:00 1982', 'Oct 30 15:59:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 1982', 'Mar 5 15:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 5 16:00:00 1983', 'Oct 29 15:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 29 16:00:00 1983', 'Mar 3 15:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 3 16:00:00 1984', 'Oct 27 15:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 1984', 'Mar 2 15:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 2 16:00:00 1985', 'Oct 26 15:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 26 16:00:00 1985', 'Mar 15 15:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 15 16:00:00 1986', 'Oct 18 15:59:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 18 16:00:00 1986', 'Mar 14 15:59:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 14 16:00:00 1987', 'Oct 24 15:59:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 24 16:00:00 1987', 'Mar 19 15:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 19 16:00:00 1988', 'Oct 29 15:59:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 29 16:00:00 1988', 'Mar 18 15:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 18 16:00:00 1989', 'Oct 28 15:59:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 17 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 17 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 18 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 2 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 2 16:00:00 1991', 'Oct 26 15:59:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 26 16:00:00 1991', 'Feb 29 15:59:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Feb 29 16:00:00 1992', 'Oct 24 15:59:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 24 16:00:00 1992', 'Mar 6 15:59:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 6 16:00:00 1993', 'Oct 30 15:59:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 1993', 'Mar 5 15:59:59 1994', 'Oct 31 03:00:00 1993', 'Mar 6 02:59:59 1994');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 5 16:00:00 1994', 'Oct 29 15:59:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 29 16:00:00 1994', 'Mar 25 15:59:59 1995', 'Oct 30 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 25 16:00:00 1995', 'Oct 28 15:59:59 1995', 'Mar 26 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 28 16:00:00 1995', 'Mar 30 15:59:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 30 16:00:00 1996', 'Oct 26 15:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 26 16:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 29 16:00:00 1997', 'Oct 25 15:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 25 16:00:00 1997', 'Mar 28 15:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 28 16:00:00 1998', 'Oct 24 15:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 24 16:00:00 1998', 'Mar 27 15:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 27 16:00:00 1999', 'Oct 30 15:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 1999', 'Mar 25 15:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 25 16:00:00 2000', 'Aug 26 15:59:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Aug 26 16:00:00 2000', 'Mar 24 15:59:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 24 16:00:00 2001', 'Oct 27 15:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 2001', 'Mar 30 15:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 30 16:00:00 2002', 'Oct 26 15:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 26 16:00:00 2002', 'Mar 29 15:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 29 16:00:00 2003', 'Oct 25 15:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 25 16:00:00 2003', 'Mar 27 15:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 27 16:00:00 2004', 'Oct 30 15:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 2004', 'Mar 26 15:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 26 16:00:00 2005', 'Oct 29 15:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 29 16:00:00 2005', 'Mar 25 15:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 25 16:00:00 2006', 'Oct 28 15:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 28 16:00:00 2006', 'Mar 24 15:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 24 16:00:00 2007', 'Oct 27 15:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 2007', 'Mar 29 15:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 29 16:00:00 2008', 'Oct 25 15:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 25 16:00:00 2008', 'Mar 28 15:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 28 16:00:00 2009', 'Oct 24 15:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 24 16:00:00 2009', 'Mar 27 15:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 27 16:00:00 2010', 'Oct 30 15:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 2010', 'Mar 26 15:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 26 16:00:00 2011', 'Oct 29 15:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 29 16:00:00 2011', 'Mar 24 15:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 24 16:00:00 2012', 'Oct 27 15:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 2012', 'Mar 30 15:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 30 16:00:00 2013', 'Oct 26 15:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 26 16:00:00 2013', 'Mar 29 15:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 29 16:00:00 2014', 'Oct 25 15:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 25 16:00:00 2014', 'Mar 28 15:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 28 16:00:00 2015', 'Oct 24 15:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 24 16:00:00 2015', 'Mar 26 15:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 26 16:00:00 2016', 'Oct 29 15:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 29 16:00:00 2016', 'Mar 25 15:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 25 16:00:00 2017', 'Oct 28 15:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 28 16:00:00 2017', 'Mar 24 15:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 24 16:00:00 2018', 'Oct 27 15:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 2018', 'Mar 30 15:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 30 16:00:00 2019', 'Oct 26 15:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 26 16:00:00 2019', 'Mar 28 15:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 28 16:00:00 2020', 'Oct 24 15:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 24 16:00:00 2020', 'Mar 27 15:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 27 16:00:00 2021', 'Oct 30 15:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 2021', 'Mar 26 15:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 26 16:00:00 2022', 'Oct 29 15:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 29 16:00:00 2022', 'Mar 25 15:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 25 16:00:00 2023', 'Oct 28 15:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 28 16:00:00 2023', 'Mar 30 15:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 30 16:00:00 2024', 'Oct 26 15:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 26 16:00:00 2024', 'Mar 29 15:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 29 16:00:00 2025', 'Oct 25 15:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 25 16:00:00 2025', 'Mar 28 15:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 28 16:00:00 2026', 'Oct 24 15:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 24 16:00:00 2026', 'Mar 27 15:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 27 16:00:00 2027', 'Oct 30 15:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 2027', 'Mar 25 15:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 25 16:00:00 2028', 'Oct 28 15:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 28 16:00:00 2028', 'Mar 24 15:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 24 16:00:00 2029', 'Oct 27 15:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 2029', 'Mar 30 15:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 30 16:00:00 2030', 'Oct 26 15:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 26 16:00:00 2030', 'Mar 29 15:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 29 16:00:00 2031', 'Oct 25 15:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 25 16:00:00 2031', 'Mar 27 15:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 27 16:00:00 2032', 'Oct 30 15:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 30 16:00:00 2032', 'Mar 26 15:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 26 16:00:00 2033', 'Oct 29 15:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 29 16:00:00 2033', 'Mar 25 15:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 25 16:00:00 2034', 'Oct 28 15:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 28 16:00:00 2034', 'Mar 24 15:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 24 16:00:00 2035', 'Oct 27 15:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 27 16:00:00 2035', 'Mar 29 15:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 29 16:00:00 2036', 'Oct 25 15:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 25 16:00:00 2036', 'Mar 28 15:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/Melbourne', 'EST', 0, 36000, 'Mar 28 16:00:00 2037', 'Oct 24 15:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/Melbourne', 'EST', 1, 39600, 'Oct 24 16:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/NSW
--

begin
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Oct 30 15:59:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 28 16:00:00 1972', 'Mar 3 15:59:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 3 16:00:00 1973', 'Oct 27 15:59:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 1973', 'Mar 2 15:59:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 2 16:00:00 1974', 'Oct 26 15:59:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 26 16:00:00 1974', 'Mar 1 15:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 1 16:00:00 1975', 'Oct 25 15:59:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 25 16:00:00 1975', 'Mar 6 15:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 6 16:00:00 1976', 'Oct 30 15:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 1976', 'Mar 5 15:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 5 16:00:00 1977', 'Oct 29 15:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 29 16:00:00 1977', 'Mar 4 15:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 4 16:00:00 1978', 'Oct 28 15:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 28 16:00:00 1978', 'Mar 3 15:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 3 16:00:00 1979', 'Oct 27 15:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 1979', 'Mar 1 15:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 1 16:00:00 1980', 'Oct 25 15:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 25 16:00:00 1980', 'Feb 28 15:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Feb 28 16:00:00 1981', 'Oct 24 15:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 24 16:00:00 1981', 'Apr 3 15:59:59 1982', 'Oct 25 03:00:00 1981', 'Apr 4 02:59:59 1982');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Apr 3 16:00:00 1982', 'Oct 30 15:59:59 1982', 'Apr 4 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 1982', 'Mar 5 15:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 5 16:00:00 1983', 'Oct 29 15:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 29 16:00:00 1983', 'Mar 3 15:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 3 16:00:00 1984', 'Oct 27 15:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 1984', 'Mar 2 15:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 2 16:00:00 1985', 'Oct 26 15:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 26 16:00:00 1985', 'Mar 15 15:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 15 16:00:00 1986', 'Oct 18 15:59:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 18 16:00:00 1986', 'Mar 14 15:59:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 14 16:00:00 1987', 'Oct 24 15:59:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 24 16:00:00 1987', 'Mar 19 15:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 19 16:00:00 1988', 'Oct 29 15:59:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 29 16:00:00 1988', 'Mar 18 15:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 18 16:00:00 1989', 'Oct 28 15:59:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 3 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 4 02:59:59 1990');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 3 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 2 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 2 16:00:00 1991', 'Oct 26 15:59:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 26 16:00:00 1991', 'Feb 29 15:59:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Feb 29 16:00:00 1992', 'Oct 24 15:59:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 24 16:00:00 1992', 'Mar 6 15:59:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 6 16:00:00 1993', 'Oct 30 15:59:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 1993', 'Mar 5 15:59:59 1994', 'Oct 31 03:00:00 1993', 'Mar 6 02:59:59 1994');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 5 16:00:00 1994', 'Oct 29 15:59:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 29 16:00:00 1994', 'Mar 4 15:59:59 1995', 'Oct 30 03:00:00 1994', 'Mar 5 02:59:59 1995');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 4 16:00:00 1995', 'Oct 28 15:59:59 1995', 'Mar 5 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 28 16:00:00 1995', 'Mar 30 15:59:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 30 16:00:00 1996', 'Oct 26 15:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 26 16:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 29 16:00:00 1997', 'Oct 25 15:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 25 16:00:00 1997', 'Mar 28 15:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 28 16:00:00 1998', 'Oct 24 15:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 24 16:00:00 1998', 'Mar 27 15:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 27 16:00:00 1999', 'Oct 30 15:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 1999', 'Mar 25 15:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 25 16:00:00 2000', 'Aug 26 15:59:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Aug 26 16:00:00 2000', 'Mar 24 15:59:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 24 16:00:00 2001', 'Oct 27 15:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 2001', 'Mar 30 15:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 30 16:00:00 2002', 'Oct 26 15:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 26 16:00:00 2002', 'Mar 29 15:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 29 16:00:00 2003', 'Oct 25 15:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 25 16:00:00 2003', 'Mar 27 15:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 27 16:00:00 2004', 'Oct 30 15:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 2004', 'Mar 26 15:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 26 16:00:00 2005', 'Oct 29 15:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 29 16:00:00 2005', 'Mar 25 15:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 25 16:00:00 2006', 'Oct 28 15:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 28 16:00:00 2006', 'Mar 24 15:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 24 16:00:00 2007', 'Oct 27 15:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 2007', 'Mar 29 15:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 29 16:00:00 2008', 'Oct 25 15:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 25 16:00:00 2008', 'Mar 28 15:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 28 16:00:00 2009', 'Oct 24 15:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 24 16:00:00 2009', 'Mar 27 15:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 27 16:00:00 2010', 'Oct 30 15:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 2010', 'Mar 26 15:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 26 16:00:00 2011', 'Oct 29 15:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 29 16:00:00 2011', 'Mar 24 15:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 24 16:00:00 2012', 'Oct 27 15:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 2012', 'Mar 30 15:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 30 16:00:00 2013', 'Oct 26 15:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 26 16:00:00 2013', 'Mar 29 15:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 29 16:00:00 2014', 'Oct 25 15:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 25 16:00:00 2014', 'Mar 28 15:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 28 16:00:00 2015', 'Oct 24 15:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 24 16:00:00 2015', 'Mar 26 15:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 26 16:00:00 2016', 'Oct 29 15:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 29 16:00:00 2016', 'Mar 25 15:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 25 16:00:00 2017', 'Oct 28 15:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 28 16:00:00 2017', 'Mar 24 15:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 24 16:00:00 2018', 'Oct 27 15:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 2018', 'Mar 30 15:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 30 16:00:00 2019', 'Oct 26 15:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 26 16:00:00 2019', 'Mar 28 15:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 28 16:00:00 2020', 'Oct 24 15:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 24 16:00:00 2020', 'Mar 27 15:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 27 16:00:00 2021', 'Oct 30 15:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 2021', 'Mar 26 15:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 26 16:00:00 2022', 'Oct 29 15:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 29 16:00:00 2022', 'Mar 25 15:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 25 16:00:00 2023', 'Oct 28 15:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 28 16:00:00 2023', 'Mar 30 15:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 30 16:00:00 2024', 'Oct 26 15:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 26 16:00:00 2024', 'Mar 29 15:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 29 16:00:00 2025', 'Oct 25 15:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 25 16:00:00 2025', 'Mar 28 15:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 28 16:00:00 2026', 'Oct 24 15:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 24 16:00:00 2026', 'Mar 27 15:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 27 16:00:00 2027', 'Oct 30 15:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 2027', 'Mar 25 15:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 25 16:00:00 2028', 'Oct 28 15:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 28 16:00:00 2028', 'Mar 24 15:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 24 16:00:00 2029', 'Oct 27 15:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 2029', 'Mar 30 15:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 30 16:00:00 2030', 'Oct 26 15:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 26 16:00:00 2030', 'Mar 29 15:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 29 16:00:00 2031', 'Oct 25 15:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 25 16:00:00 2031', 'Mar 27 15:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 27 16:00:00 2032', 'Oct 30 15:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 30 16:00:00 2032', 'Mar 26 15:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 26 16:00:00 2033', 'Oct 29 15:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 29 16:00:00 2033', 'Mar 25 15:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 25 16:00:00 2034', 'Oct 28 15:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 28 16:00:00 2034', 'Mar 24 15:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 24 16:00:00 2035', 'Oct 27 15:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 27 16:00:00 2035', 'Mar 29 15:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 29 16:00:00 2036', 'Oct 25 15:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 25 16:00:00 2036', 'Mar 28 15:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/NSW', 'EST', 0, 36000, 'Mar 28 16:00:00 2037', 'Oct 24 15:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/NSW', 'EST', 1, 39600, 'Oct 24 16:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/North
--

begin
timezone.add_rule('Australia/North', 'CST', 0, 34200, 'Dec 14 20:45:52 1901', 'Dec 31 14:30:59 1916', 'Dec 15 06:15:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/North', 'CST', 1, 37800, 'Dec 31 14:31:00 1916', 'Mar 24 15:29:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/North', 'CST', 0, 34200, 'Mar 24 15:30:00 1917', 'Dec 31 16:29:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/North', 'CST', 1, 37800, 'Dec 31 16:30:00 1941', 'Mar 28 15:29:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/North', 'CST', 0, 34200, 'Mar 28 15:30:00 1942', 'Sep 26 16:29:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/North', 'CST', 1, 37800, 'Sep 26 16:30:00 1942', 'Mar 27 15:29:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/North', 'CST', 0, 34200, 'Mar 27 15:30:00 1943', 'Oct 2 16:29:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/North', 'CST', 1, 37800, 'Oct 2 16:30:00 1943', 'Mar 25 15:29:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/North', 'CST', 0, 34200, 'Mar 25 15:30:00 1944', 'Jan 18 03:14:07 2038', 'Mar 26 01:00:00 1944', 'Jan 18 12:44:07 2038');
end;
/

--
-- Australia/Perth
--

begin
timezone.add_rule('Australia/Perth', 'WST', 0, 28800, 'Dec 14 20:45:52 1901', 'Dec 31 16:00:59 1916', 'Dec 15 04:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Perth', 'WST', 1, 32400, 'Dec 31 16:01:00 1916', 'Mar 24 16:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Perth', 'WST', 0, 28800, 'Mar 24 17:00:00 1917', 'Dec 31 17:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Perth', 'WST', 1, 32400, 'Dec 31 18:00:00 1941', 'Mar 28 16:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Perth', 'WST', 0, 28800, 'Mar 28 17:00:00 1942', 'Sep 26 17:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Perth', 'WST', 1, 32400, 'Sep 26 18:00:00 1942', 'Mar 27 16:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Perth', 'WST', 0, 28800, 'Mar 27 17:00:00 1943', 'Oct 2 17:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Perth', 'WST', 1, 32400, 'Oct 2 18:00:00 1943', 'Mar 25 16:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Perth', 'WST', 0, 28800, 'Mar 25 17:00:00 1944', 'Oct 26 17:59:59 1974', 'Mar 26 01:00:00 1944', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Perth', 'WST', 1, 32400, 'Oct 26 18:00:00 1974', 'Mar 1 17:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Perth', 'WST', 0, 28800, 'Mar 1 18:00:00 1975', 'Oct 29 17:59:59 1983', 'Mar 2 02:00:00 1975', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Perth', 'WST', 1, 32400, 'Oct 29 18:00:00 1983', 'Mar 3 17:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Perth', 'WST', 0, 28800, 'Mar 3 18:00:00 1984', 'Nov 16 17:59:59 1991', 'Mar 4 02:00:00 1984', 'Nov 17 01:59:59 1991');
timezone.add_rule('Australia/Perth', 'WST', 1, 32400, 'Nov 16 18:00:00 1991', 'Feb 29 17:59:59 1992', 'Nov 17 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Perth', 'WST', 0, 28800, 'Feb 29 18:00:00 1992', 'Jan 18 03:14:07 2038', 'Mar 1 02:00:00 1992', 'Jan 18 11:14:07 2038');
end;
/

--
-- Australia/Queensland
--

begin
timezone.add_rule('Australia/Queensland', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Queensland', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Queensland', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Queensland', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Queensland', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Queensland', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Queensland', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Queensland', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Queensland', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Oct 30 15:59:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Queensland', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Queensland', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1989', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Queensland', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 3 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 4 02:59:59 1990');
timezone.add_rule('Australia/Queensland', 'EST', 0, 36000, 'Mar 3 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Queensland', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 2 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Queensland', 'EST', 0, 36000, 'Mar 2 16:00:00 1991', 'Oct 26 15:59:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Queensland', 'EST', 1, 39600, 'Oct 26 16:00:00 1991', 'Feb 29 15:59:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Queensland', 'EST', 0, 36000, 'Feb 29 16:00:00 1992', 'Jan 18 03:14:07 2038', 'Mar 1 02:00:00 1992', 'Jan 18 13:14:07 2038');
end;
/

--
-- Australia/South
--

begin
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Dec 14 20:45:52 1901', 'Dec 31 14:30:59 1916', 'Dec 15 06:15:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Dec 31 14:31:00 1916', 'Mar 24 15:29:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 24 15:30:00 1917', 'Dec 31 16:29:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Dec 31 16:30:00 1941', 'Mar 28 15:29:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 28 15:30:00 1942', 'Sep 26 16:29:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Sep 26 16:30:00 1942', 'Mar 27 15:29:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 27 15:30:00 1943', 'Oct 2 16:29:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 2 16:30:00 1943', 'Mar 25 15:29:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 25 15:30:00 1944', 'Oct 30 16:29:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 1971', 'Feb 26 16:29:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Feb 26 16:30:00 1972', 'Oct 28 16:29:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 28 16:30:00 1972', 'Mar 3 16:29:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 3 16:30:00 1973', 'Oct 27 16:29:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 1973', 'Mar 2 16:29:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 2 16:30:00 1974', 'Oct 26 16:29:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 26 16:30:00 1974', 'Mar 1 16:29:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 1 16:30:00 1975', 'Oct 25 16:29:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 25 16:30:00 1975', 'Mar 6 16:29:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 6 16:30:00 1976', 'Oct 30 16:29:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 1976', 'Mar 5 16:29:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 5 16:30:00 1977', 'Oct 29 16:29:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 29 16:30:00 1977', 'Mar 4 16:29:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 4 16:30:00 1978', 'Oct 28 16:29:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 28 16:30:00 1978', 'Mar 3 16:29:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 3 16:30:00 1979', 'Oct 27 16:29:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 1979', 'Mar 1 16:29:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 1 16:30:00 1980', 'Oct 25 16:29:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 25 16:30:00 1980', 'Feb 28 16:29:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Feb 28 16:30:00 1981', 'Oct 24 16:29:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 24 16:30:00 1981', 'Mar 6 16:29:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 6 16:30:00 1982', 'Oct 30 16:29:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 1982', 'Mar 5 16:29:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 5 16:30:00 1983', 'Oct 29 16:29:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 29 16:30:00 1983', 'Mar 3 16:29:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 3 16:30:00 1984', 'Oct 27 16:29:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 1984', 'Mar 2 16:29:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 2 16:30:00 1985', 'Oct 26 16:29:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 26 16:30:00 1985', 'Mar 15 16:29:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 15 16:30:00 1986', 'Oct 18 16:29:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 18 16:30:00 1986', 'Mar 14 16:29:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 14 16:30:00 1987', 'Oct 24 16:29:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 24 16:30:00 1987', 'Mar 19 16:29:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 19 16:30:00 1988', 'Oct 29 16:29:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 29 16:30:00 1988', 'Mar 18 16:29:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 18 16:30:00 1989', 'Oct 28 16:29:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 28 16:30:00 1989', 'Mar 17 16:29:59 1990', 'Oct 29 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 17 16:30:00 1990', 'Oct 27 16:29:59 1990', 'Mar 18 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 1990', 'Mar 2 16:29:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 2 16:30:00 1991', 'Oct 26 16:29:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 26 16:30:00 1991', 'Mar 21 16:29:59 1992', 'Oct 27 03:00:00 1991', 'Mar 22 02:59:59 1992');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 21 16:30:00 1992', 'Oct 24 16:29:59 1992', 'Mar 22 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 24 16:30:00 1992', 'Mar 6 16:29:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 6 16:30:00 1993', 'Oct 30 16:29:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 1993', 'Mar 19 16:29:59 1994', 'Oct 31 03:00:00 1993', 'Mar 20 02:59:59 1994');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 19 16:30:00 1994', 'Oct 29 16:29:59 1994', 'Mar 20 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 29 16:30:00 1994', 'Mar 25 16:29:59 1995', 'Oct 30 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 25 16:30:00 1995', 'Oct 28 16:29:59 1995', 'Mar 26 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 28 16:30:00 1995', 'Mar 30 16:29:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 30 16:30:00 1996', 'Oct 26 16:29:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 26 16:30:00 1996', 'Mar 29 16:29:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 29 16:30:00 1997', 'Oct 25 16:29:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 25 16:30:00 1997', 'Mar 28 16:29:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 28 16:30:00 1998', 'Oct 24 16:29:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 24 16:30:00 1998', 'Mar 27 16:29:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 27 16:30:00 1999', 'Oct 30 16:29:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 1999', 'Mar 25 16:29:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 25 16:30:00 2000', 'Aug 26 16:29:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Aug 26 16:30:00 2000', 'Mar 24 16:29:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 24 16:30:00 2001', 'Oct 27 16:29:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 2001', 'Mar 30 16:29:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 30 16:30:00 2002', 'Oct 26 16:29:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 26 16:30:00 2002', 'Mar 29 16:29:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 29 16:30:00 2003', 'Oct 25 16:29:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 25 16:30:00 2003', 'Mar 27 16:29:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 27 16:30:00 2004', 'Oct 30 16:29:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 2004', 'Mar 26 16:29:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 26 16:30:00 2005', 'Oct 29 16:29:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 29 16:30:00 2005', 'Mar 25 16:29:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 25 16:30:00 2006', 'Oct 28 16:29:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 28 16:30:00 2006', 'Mar 24 16:29:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 24 16:30:00 2007', 'Oct 27 16:29:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 2007', 'Mar 29 16:29:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 29 16:30:00 2008', 'Oct 25 16:29:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 25 16:30:00 2008', 'Mar 28 16:29:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 28 16:30:00 2009', 'Oct 24 16:29:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 24 16:30:00 2009', 'Mar 27 16:29:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 27 16:30:00 2010', 'Oct 30 16:29:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 2010', 'Mar 26 16:29:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 26 16:30:00 2011', 'Oct 29 16:29:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 29 16:30:00 2011', 'Mar 24 16:29:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 24 16:30:00 2012', 'Oct 27 16:29:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 2012', 'Mar 30 16:29:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 30 16:30:00 2013', 'Oct 26 16:29:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 26 16:30:00 2013', 'Mar 29 16:29:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 29 16:30:00 2014', 'Oct 25 16:29:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 25 16:30:00 2014', 'Mar 28 16:29:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 28 16:30:00 2015', 'Oct 24 16:29:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 24 16:30:00 2015', 'Mar 26 16:29:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 26 16:30:00 2016', 'Oct 29 16:29:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 29 16:30:00 2016', 'Mar 25 16:29:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 25 16:30:00 2017', 'Oct 28 16:29:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 28 16:30:00 2017', 'Mar 24 16:29:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 24 16:30:00 2018', 'Oct 27 16:29:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 2018', 'Mar 30 16:29:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 30 16:30:00 2019', 'Oct 26 16:29:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 26 16:30:00 2019', 'Mar 28 16:29:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 28 16:30:00 2020', 'Oct 24 16:29:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 24 16:30:00 2020', 'Mar 27 16:29:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 27 16:30:00 2021', 'Oct 30 16:29:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 2021', 'Mar 26 16:29:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 26 16:30:00 2022', 'Oct 29 16:29:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 29 16:30:00 2022', 'Mar 25 16:29:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 25 16:30:00 2023', 'Oct 28 16:29:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 28 16:30:00 2023', 'Mar 30 16:29:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 30 16:30:00 2024', 'Oct 26 16:29:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 26 16:30:00 2024', 'Mar 29 16:29:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 29 16:30:00 2025', 'Oct 25 16:29:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 25 16:30:00 2025', 'Mar 28 16:29:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 28 16:30:00 2026', 'Oct 24 16:29:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 24 16:30:00 2026', 'Mar 27 16:29:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 27 16:30:00 2027', 'Oct 30 16:29:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 2027', 'Mar 25 16:29:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 25 16:30:00 2028', 'Oct 28 16:29:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 28 16:30:00 2028', 'Mar 24 16:29:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 24 16:30:00 2029', 'Oct 27 16:29:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 2029', 'Mar 30 16:29:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 30 16:30:00 2030', 'Oct 26 16:29:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 26 16:30:00 2030', 'Mar 29 16:29:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 29 16:30:00 2031', 'Oct 25 16:29:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 25 16:30:00 2031', 'Mar 27 16:29:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 27 16:30:00 2032', 'Oct 30 16:29:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 30 16:30:00 2032', 'Mar 26 16:29:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 26 16:30:00 2033', 'Oct 29 16:29:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 29 16:30:00 2033', 'Mar 25 16:29:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 25 16:30:00 2034', 'Oct 28 16:29:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 28 16:30:00 2034', 'Mar 24 16:29:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 24 16:30:00 2035', 'Oct 27 16:29:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 27 16:30:00 2035', 'Mar 29 16:29:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 29 16:30:00 2036', 'Oct 25 16:29:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 25 16:30:00 2036', 'Mar 28 16:29:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/South', 'CST', 0, 34200, 'Mar 28 16:30:00 2037', 'Oct 24 16:29:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/South', 'CST', 1, 37800, 'Oct 24 16:30:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 13:44:07 2038');
end;
/

--
-- Australia/Sydney
--

begin
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Oct 30 15:59:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 28 16:00:00 1972', 'Mar 3 15:59:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 3 16:00:00 1973', 'Oct 27 15:59:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 1973', 'Mar 2 15:59:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 2 16:00:00 1974', 'Oct 26 15:59:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 26 16:00:00 1974', 'Mar 1 15:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 1 16:00:00 1975', 'Oct 25 15:59:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 25 16:00:00 1975', 'Mar 6 15:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 6 16:00:00 1976', 'Oct 30 15:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 1976', 'Mar 5 15:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 5 16:00:00 1977', 'Oct 29 15:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 29 16:00:00 1977', 'Mar 4 15:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 4 16:00:00 1978', 'Oct 28 15:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 28 16:00:00 1978', 'Mar 3 15:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 3 16:00:00 1979', 'Oct 27 15:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 1979', 'Mar 1 15:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 1 16:00:00 1980', 'Oct 25 15:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 25 16:00:00 1980', 'Feb 28 15:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Feb 28 16:00:00 1981', 'Oct 24 15:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 24 16:00:00 1981', 'Apr 3 15:59:59 1982', 'Oct 25 03:00:00 1981', 'Apr 4 02:59:59 1982');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Apr 3 16:00:00 1982', 'Oct 30 15:59:59 1982', 'Apr 4 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 1982', 'Mar 5 15:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 5 16:00:00 1983', 'Oct 29 15:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 29 16:00:00 1983', 'Mar 3 15:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 3 16:00:00 1984', 'Oct 27 15:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 1984', 'Mar 2 15:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 2 16:00:00 1985', 'Oct 26 15:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 26 16:00:00 1985', 'Mar 15 15:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 15 16:00:00 1986', 'Oct 18 15:59:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 18 16:00:00 1986', 'Mar 14 15:59:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 14 16:00:00 1987', 'Oct 24 15:59:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 24 16:00:00 1987', 'Mar 19 15:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 19 16:00:00 1988', 'Oct 29 15:59:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 29 16:00:00 1988', 'Mar 18 15:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 18 16:00:00 1989', 'Oct 28 15:59:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 3 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 4 02:59:59 1990');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 3 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 2 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 2 16:00:00 1991', 'Oct 26 15:59:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 26 16:00:00 1991', 'Feb 29 15:59:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Feb 29 16:00:00 1992', 'Oct 24 15:59:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 24 16:00:00 1992', 'Mar 6 15:59:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 6 16:00:00 1993', 'Oct 30 15:59:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 1993', 'Mar 5 15:59:59 1994', 'Oct 31 03:00:00 1993', 'Mar 6 02:59:59 1994');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 5 16:00:00 1994', 'Oct 29 15:59:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 29 16:00:00 1994', 'Mar 4 15:59:59 1995', 'Oct 30 03:00:00 1994', 'Mar 5 02:59:59 1995');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 4 16:00:00 1995', 'Oct 28 15:59:59 1995', 'Mar 5 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 28 16:00:00 1995', 'Mar 30 15:59:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 30 16:00:00 1996', 'Oct 26 15:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 26 16:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 29 16:00:00 1997', 'Oct 25 15:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 25 16:00:00 1997', 'Mar 28 15:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 28 16:00:00 1998', 'Oct 24 15:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 24 16:00:00 1998', 'Mar 27 15:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 27 16:00:00 1999', 'Oct 30 15:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 1999', 'Mar 25 15:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 25 16:00:00 2000', 'Aug 26 15:59:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Aug 26 16:00:00 2000', 'Mar 24 15:59:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 24 16:00:00 2001', 'Oct 27 15:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 2001', 'Mar 30 15:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 30 16:00:00 2002', 'Oct 26 15:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 26 16:00:00 2002', 'Mar 29 15:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 29 16:00:00 2003', 'Oct 25 15:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 25 16:00:00 2003', 'Mar 27 15:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 27 16:00:00 2004', 'Oct 30 15:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 2004', 'Mar 26 15:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 26 16:00:00 2005', 'Oct 29 15:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 29 16:00:00 2005', 'Mar 25 15:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 25 16:00:00 2006', 'Oct 28 15:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 28 16:00:00 2006', 'Mar 24 15:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 24 16:00:00 2007', 'Oct 27 15:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 2007', 'Mar 29 15:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 29 16:00:00 2008', 'Oct 25 15:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 25 16:00:00 2008', 'Mar 28 15:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 28 16:00:00 2009', 'Oct 24 15:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 24 16:00:00 2009', 'Mar 27 15:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 27 16:00:00 2010', 'Oct 30 15:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 2010', 'Mar 26 15:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 26 16:00:00 2011', 'Oct 29 15:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 29 16:00:00 2011', 'Mar 24 15:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 24 16:00:00 2012', 'Oct 27 15:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 2012', 'Mar 30 15:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 30 16:00:00 2013', 'Oct 26 15:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 26 16:00:00 2013', 'Mar 29 15:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 29 16:00:00 2014', 'Oct 25 15:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 25 16:00:00 2014', 'Mar 28 15:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 28 16:00:00 2015', 'Oct 24 15:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 24 16:00:00 2015', 'Mar 26 15:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 26 16:00:00 2016', 'Oct 29 15:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 29 16:00:00 2016', 'Mar 25 15:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 25 16:00:00 2017', 'Oct 28 15:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 28 16:00:00 2017', 'Mar 24 15:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 24 16:00:00 2018', 'Oct 27 15:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 2018', 'Mar 30 15:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 30 16:00:00 2019', 'Oct 26 15:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 26 16:00:00 2019', 'Mar 28 15:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 28 16:00:00 2020', 'Oct 24 15:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 24 16:00:00 2020', 'Mar 27 15:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 27 16:00:00 2021', 'Oct 30 15:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 2021', 'Mar 26 15:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 26 16:00:00 2022', 'Oct 29 15:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 29 16:00:00 2022', 'Mar 25 15:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 25 16:00:00 2023', 'Oct 28 15:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 28 16:00:00 2023', 'Mar 30 15:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 30 16:00:00 2024', 'Oct 26 15:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 26 16:00:00 2024', 'Mar 29 15:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 29 16:00:00 2025', 'Oct 25 15:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 25 16:00:00 2025', 'Mar 28 15:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 28 16:00:00 2026', 'Oct 24 15:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 24 16:00:00 2026', 'Mar 27 15:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 27 16:00:00 2027', 'Oct 30 15:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 2027', 'Mar 25 15:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 25 16:00:00 2028', 'Oct 28 15:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 28 16:00:00 2028', 'Mar 24 15:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 24 16:00:00 2029', 'Oct 27 15:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 2029', 'Mar 30 15:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 30 16:00:00 2030', 'Oct 26 15:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 26 16:00:00 2030', 'Mar 29 15:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 29 16:00:00 2031', 'Oct 25 15:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 25 16:00:00 2031', 'Mar 27 15:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 27 16:00:00 2032', 'Oct 30 15:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 30 16:00:00 2032', 'Mar 26 15:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 26 16:00:00 2033', 'Oct 29 15:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 29 16:00:00 2033', 'Mar 25 15:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 25 16:00:00 2034', 'Oct 28 15:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 28 16:00:00 2034', 'Mar 24 15:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 24 16:00:00 2035', 'Oct 27 15:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 27 16:00:00 2035', 'Mar 29 15:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 29 16:00:00 2036', 'Oct 25 15:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 25 16:00:00 2036', 'Mar 28 15:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/Sydney', 'EST', 0, 36000, 'Mar 28 16:00:00 2037', 'Oct 24 15:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/Sydney', 'EST', 1, 39600, 'Oct 24 16:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/Tasmania
--

begin
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Sep 30 15:59:59 1967', 'Mar 26 01:00:00 1944', 'Oct 1 01:59:59 1967');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Sep 30 16:00:00 1967', 'Mar 30 15:59:59 1968', 'Oct 1 03:00:00 1967', 'Mar 31 02:59:59 1968');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 30 16:00:00 1968', 'Oct 26 15:59:59 1968', 'Mar 31 02:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 26 16:00:00 1968', 'Mar 8 15:59:59 1969', 'Oct 27 03:00:00 1968', 'Mar 9 02:59:59 1969');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 8 16:00:00 1969', 'Oct 25 15:59:59 1969', 'Mar 9 02:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 25 16:00:00 1969', 'Mar 7 15:59:59 1970', 'Oct 26 03:00:00 1969', 'Mar 8 02:59:59 1970');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 7 16:00:00 1970', 'Oct 24 15:59:59 1970', 'Mar 8 02:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 24 16:00:00 1970', 'Mar 13 15:59:59 1971', 'Oct 25 03:00:00 1970', 'Mar 14 02:59:59 1971');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 13 16:00:00 1971', 'Oct 30 15:59:59 1971', 'Mar 14 02:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 28 16:00:00 1972', 'Mar 3 15:59:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 3 16:00:00 1973', 'Oct 27 15:59:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 27 16:00:00 1973', 'Mar 2 15:59:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 2 16:00:00 1974', 'Oct 26 15:59:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 26 16:00:00 1974', 'Mar 1 15:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 1 16:00:00 1975', 'Oct 25 15:59:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 25 16:00:00 1975', 'Mar 6 15:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 6 16:00:00 1976', 'Oct 30 15:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 30 16:00:00 1976', 'Mar 5 15:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 5 16:00:00 1977', 'Oct 29 15:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 29 16:00:00 1977', 'Mar 4 15:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 4 16:00:00 1978', 'Oct 28 15:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 28 16:00:00 1978', 'Mar 3 15:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 3 16:00:00 1979', 'Oct 27 15:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 27 16:00:00 1979', 'Mar 1 15:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 1 16:00:00 1980', 'Oct 25 15:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 25 16:00:00 1980', 'Feb 28 15:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Feb 28 16:00:00 1981', 'Oct 24 15:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 24 16:00:00 1981', 'Mar 27 15:59:59 1982', 'Oct 25 03:00:00 1981', 'Mar 28 02:59:59 1982');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 27 16:00:00 1982', 'Oct 30 15:59:59 1982', 'Mar 28 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 30 16:00:00 1982', 'Mar 26 15:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 27 02:59:59 1983');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 26 16:00:00 1983', 'Oct 29 15:59:59 1983', 'Mar 27 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 29 16:00:00 1983', 'Mar 3 15:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 3 16:00:00 1984', 'Oct 27 15:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 27 16:00:00 1984', 'Mar 2 15:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 2 16:00:00 1985', 'Oct 26 15:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 26 16:00:00 1985', 'Mar 1 15:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 2 02:59:59 1986');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 1 16:00:00 1986', 'Oct 18 15:59:59 1986', 'Mar 2 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 18 16:00:00 1986', 'Mar 14 15:59:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 14 16:00:00 1987', 'Oct 24 15:59:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 24 16:00:00 1987', 'Mar 19 15:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 19 16:00:00 1988', 'Oct 29 15:59:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 29 16:00:00 1988', 'Mar 18 15:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 18 16:00:00 1989', 'Oct 28 15:59:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 17 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 17 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 18 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 30 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 31 02:59:59 1991');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 30 16:00:00 1991', 'Oct 5 15:59:59 1991', 'Mar 31 02:00:00 1991', 'Oct 6 01:59:59 1991');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 5 16:00:00 1991', 'Mar 28 15:59:59 1992', 'Oct 6 03:00:00 1991', 'Mar 29 02:59:59 1992');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 28 16:00:00 1992', 'Oct 3 15:59:59 1992', 'Mar 29 02:00:00 1992', 'Oct 4 01:59:59 1992');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 3 16:00:00 1992', 'Mar 27 15:59:59 1993', 'Oct 4 03:00:00 1992', 'Mar 28 02:59:59 1993');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 27 16:00:00 1993', 'Oct 2 15:59:59 1993', 'Mar 28 02:00:00 1993', 'Oct 3 01:59:59 1993');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 2 16:00:00 1993', 'Mar 26 15:59:59 1994', 'Oct 3 03:00:00 1993', 'Mar 27 02:59:59 1994');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 26 16:00:00 1994', 'Oct 1 15:59:59 1994', 'Mar 27 02:00:00 1994', 'Oct 2 01:59:59 1994');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 1 16:00:00 1994', 'Mar 25 15:59:59 1995', 'Oct 2 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 25 16:00:00 1995', 'Sep 30 15:59:59 1995', 'Mar 26 02:00:00 1995', 'Oct 1 01:59:59 1995');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Sep 30 16:00:00 1995', 'Mar 30 15:59:59 1996', 'Oct 1 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 30 16:00:00 1996', 'Oct 5 15:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 6 01:59:59 1996');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 5 16:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 6 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 29 16:00:00 1997', 'Oct 4 15:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 5 01:59:59 1997');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 4 16:00:00 1997', 'Mar 28 15:59:59 1998', 'Oct 5 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 28 16:00:00 1998', 'Oct 3 15:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 4 01:59:59 1998');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 3 16:00:00 1998', 'Mar 27 15:59:59 1999', 'Oct 4 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 27 16:00:00 1999', 'Oct 2 15:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 3 01:59:59 1999');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 2 16:00:00 1999', 'Mar 25 15:59:59 2000', 'Oct 3 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 25 16:00:00 2000', 'Sep 30 15:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 1 01:59:59 2000');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Sep 30 16:00:00 2000', 'Mar 24 15:59:59 2001', 'Oct 1 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 24 16:00:00 2001', 'Oct 6 15:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 7 01:59:59 2001');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 6 16:00:00 2001', 'Mar 30 15:59:59 2002', 'Oct 7 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 30 16:00:00 2002', 'Oct 5 15:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 6 01:59:59 2002');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 5 16:00:00 2002', 'Mar 29 15:59:59 2003', 'Oct 6 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 29 16:00:00 2003', 'Oct 4 15:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 5 01:59:59 2003');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 4 16:00:00 2003', 'Mar 27 15:59:59 2004', 'Oct 5 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 27 16:00:00 2004', 'Oct 2 15:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 3 01:59:59 2004');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 2 16:00:00 2004', 'Mar 26 15:59:59 2005', 'Oct 3 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 26 16:00:00 2005', 'Oct 1 15:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 2 01:59:59 2005');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 1 16:00:00 2005', 'Mar 25 15:59:59 2006', 'Oct 2 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 25 16:00:00 2006', 'Sep 30 15:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 1 01:59:59 2006');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Sep 30 16:00:00 2006', 'Mar 24 15:59:59 2007', 'Oct 1 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 24 16:00:00 2007', 'Oct 6 15:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 7 01:59:59 2007');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 6 16:00:00 2007', 'Mar 29 15:59:59 2008', 'Oct 7 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 29 16:00:00 2008', 'Oct 4 15:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 5 01:59:59 2008');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 4 16:00:00 2008', 'Mar 28 15:59:59 2009', 'Oct 5 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 28 16:00:00 2009', 'Oct 3 15:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 4 01:59:59 2009');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 3 16:00:00 2009', 'Mar 27 15:59:59 2010', 'Oct 4 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 27 16:00:00 2010', 'Oct 2 15:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 3 01:59:59 2010');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 2 16:00:00 2010', 'Mar 26 15:59:59 2011', 'Oct 3 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 26 16:00:00 2011', 'Oct 1 15:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 2 01:59:59 2011');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 1 16:00:00 2011', 'Mar 24 15:59:59 2012', 'Oct 2 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 24 16:00:00 2012', 'Oct 6 15:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 7 01:59:59 2012');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 6 16:00:00 2012', 'Mar 30 15:59:59 2013', 'Oct 7 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 30 16:00:00 2013', 'Oct 5 15:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 6 01:59:59 2013');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 5 16:00:00 2013', 'Mar 29 15:59:59 2014', 'Oct 6 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 29 16:00:00 2014', 'Oct 4 15:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 5 01:59:59 2014');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 4 16:00:00 2014', 'Mar 28 15:59:59 2015', 'Oct 5 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 28 16:00:00 2015', 'Oct 3 15:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 4 01:59:59 2015');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 3 16:00:00 2015', 'Mar 26 15:59:59 2016', 'Oct 4 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 26 16:00:00 2016', 'Oct 1 15:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 2 01:59:59 2016');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 1 16:00:00 2016', 'Mar 25 15:59:59 2017', 'Oct 2 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 25 16:00:00 2017', 'Sep 30 15:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 1 01:59:59 2017');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Sep 30 16:00:00 2017', 'Mar 24 15:59:59 2018', 'Oct 1 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 24 16:00:00 2018', 'Oct 6 15:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 7 01:59:59 2018');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 6 16:00:00 2018', 'Mar 30 15:59:59 2019', 'Oct 7 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 30 16:00:00 2019', 'Oct 5 15:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 6 01:59:59 2019');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 5 16:00:00 2019', 'Mar 28 15:59:59 2020', 'Oct 6 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 28 16:00:00 2020', 'Oct 3 15:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 4 01:59:59 2020');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 3 16:00:00 2020', 'Mar 27 15:59:59 2021', 'Oct 4 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 27 16:00:00 2021', 'Oct 2 15:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 3 01:59:59 2021');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 2 16:00:00 2021', 'Mar 26 15:59:59 2022', 'Oct 3 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 26 16:00:00 2022', 'Oct 1 15:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 2 01:59:59 2022');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 1 16:00:00 2022', 'Mar 25 15:59:59 2023', 'Oct 2 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 25 16:00:00 2023', 'Sep 30 15:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 1 01:59:59 2023');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Sep 30 16:00:00 2023', 'Mar 30 15:59:59 2024', 'Oct 1 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 30 16:00:00 2024', 'Oct 5 15:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 6 01:59:59 2024');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 5 16:00:00 2024', 'Mar 29 15:59:59 2025', 'Oct 6 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 29 16:00:00 2025', 'Oct 4 15:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 5 01:59:59 2025');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 4 16:00:00 2025', 'Mar 28 15:59:59 2026', 'Oct 5 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 28 16:00:00 2026', 'Oct 3 15:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 4 01:59:59 2026');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 3 16:00:00 2026', 'Mar 27 15:59:59 2027', 'Oct 4 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 27 16:00:00 2027', 'Oct 2 15:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 3 01:59:59 2027');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 2 16:00:00 2027', 'Mar 25 15:59:59 2028', 'Oct 3 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 25 16:00:00 2028', 'Sep 30 15:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 1 01:59:59 2028');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Sep 30 16:00:00 2028', 'Mar 24 15:59:59 2029', 'Oct 1 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 24 16:00:00 2029', 'Oct 6 15:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 7 01:59:59 2029');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 6 16:00:00 2029', 'Mar 30 15:59:59 2030', 'Oct 7 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 30 16:00:00 2030', 'Oct 5 15:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 6 01:59:59 2030');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 5 16:00:00 2030', 'Mar 29 15:59:59 2031', 'Oct 6 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 29 16:00:00 2031', 'Oct 4 15:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 5 01:59:59 2031');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 4 16:00:00 2031', 'Mar 27 15:59:59 2032', 'Oct 5 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 27 16:00:00 2032', 'Oct 2 15:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 3 01:59:59 2032');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 2 16:00:00 2032', 'Mar 26 15:59:59 2033', 'Oct 3 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 26 16:00:00 2033', 'Oct 1 15:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 2 01:59:59 2033');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 1 16:00:00 2033', 'Mar 25 15:59:59 2034', 'Oct 2 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 25 16:00:00 2034', 'Sep 30 15:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 1 01:59:59 2034');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Sep 30 16:00:00 2034', 'Mar 24 15:59:59 2035', 'Oct 1 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 24 16:00:00 2035', 'Oct 6 15:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 7 01:59:59 2035');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 6 16:00:00 2035', 'Mar 29 15:59:59 2036', 'Oct 7 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 29 16:00:00 2036', 'Oct 4 15:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 5 01:59:59 2036');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 4 16:00:00 2036', 'Mar 28 15:59:59 2037', 'Oct 5 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/Tasmania', 'EST', 0, 36000, 'Mar 28 16:00:00 2037', 'Oct 3 15:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 4 01:59:59 2037');
timezone.add_rule('Australia/Tasmania', 'EST', 1, 39600, 'Oct 3 16:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 4 03:00:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/Victoria
--

begin
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Dec 14 20:45:52 1901', 'Dec 31 14:00:59 1916', 'Dec 15 06:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Dec 31 14:01:00 1916', 'Mar 24 14:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 24 15:00:00 1917', 'Dec 31 15:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Dec 31 16:00:00 1941', 'Mar 28 14:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 28 15:00:00 1942', 'Sep 26 15:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Sep 26 16:00:00 1942', 'Mar 27 14:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 27 15:00:00 1943', 'Oct 2 15:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 2 16:00:00 1943', 'Mar 25 14:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 25 15:00:00 1944', 'Oct 30 15:59:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 1971', 'Feb 26 15:59:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Feb 26 16:00:00 1972', 'Oct 28 15:59:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 28 16:00:00 1972', 'Mar 3 15:59:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 3 16:00:00 1973', 'Oct 27 15:59:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 1973', 'Mar 2 15:59:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 2 16:00:00 1974', 'Oct 26 15:59:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 26 16:00:00 1974', 'Mar 1 15:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 1 16:00:00 1975', 'Oct 25 15:59:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 25 16:00:00 1975', 'Mar 6 15:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 6 16:00:00 1976', 'Oct 30 15:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 1976', 'Mar 5 15:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 5 16:00:00 1977', 'Oct 29 15:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 29 16:00:00 1977', 'Mar 4 15:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 4 16:00:00 1978', 'Oct 28 15:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 28 16:00:00 1978', 'Mar 3 15:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 3 16:00:00 1979', 'Oct 27 15:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 1979', 'Mar 1 15:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 1 16:00:00 1980', 'Oct 25 15:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 25 16:00:00 1980', 'Feb 28 15:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Feb 28 16:00:00 1981', 'Oct 24 15:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 24 16:00:00 1981', 'Mar 6 15:59:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 6 16:00:00 1982', 'Oct 30 15:59:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 1982', 'Mar 5 15:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 5 16:00:00 1983', 'Oct 29 15:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 29 16:00:00 1983', 'Mar 3 15:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 3 16:00:00 1984', 'Oct 27 15:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 1984', 'Mar 2 15:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 2 16:00:00 1985', 'Oct 26 15:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 26 16:00:00 1985', 'Mar 15 15:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 15 16:00:00 1986', 'Oct 18 15:59:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 18 16:00:00 1986', 'Mar 14 15:59:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 14 16:00:00 1987', 'Oct 24 15:59:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 24 16:00:00 1987', 'Mar 19 15:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 19 16:00:00 1988', 'Oct 29 15:59:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 29 16:00:00 1988', 'Mar 18 15:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 18 16:00:00 1989', 'Oct 28 15:59:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 28 16:00:00 1989', 'Mar 17 15:59:59 1990', 'Oct 29 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 17 16:00:00 1990', 'Oct 27 15:59:59 1990', 'Mar 18 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 1990', 'Mar 2 15:59:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 2 16:00:00 1991', 'Oct 26 15:59:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 26 16:00:00 1991', 'Feb 29 15:59:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Feb 29 16:00:00 1992', 'Oct 24 15:59:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 24 16:00:00 1992', 'Mar 6 15:59:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 6 16:00:00 1993', 'Oct 30 15:59:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 1993', 'Mar 5 15:59:59 1994', 'Oct 31 03:00:00 1993', 'Mar 6 02:59:59 1994');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 5 16:00:00 1994', 'Oct 29 15:59:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 29 16:00:00 1994', 'Mar 25 15:59:59 1995', 'Oct 30 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 25 16:00:00 1995', 'Oct 28 15:59:59 1995', 'Mar 26 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 28 16:00:00 1995', 'Mar 30 15:59:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 30 16:00:00 1996', 'Oct 26 15:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 26 16:00:00 1996', 'Mar 29 15:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 29 16:00:00 1997', 'Oct 25 15:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 25 16:00:00 1997', 'Mar 28 15:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 28 16:00:00 1998', 'Oct 24 15:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 24 16:00:00 1998', 'Mar 27 15:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 27 16:00:00 1999', 'Oct 30 15:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 1999', 'Mar 25 15:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 25 16:00:00 2000', 'Aug 26 15:59:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Aug 26 16:00:00 2000', 'Mar 24 15:59:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 24 16:00:00 2001', 'Oct 27 15:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 2001', 'Mar 30 15:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 30 16:00:00 2002', 'Oct 26 15:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 26 16:00:00 2002', 'Mar 29 15:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 29 16:00:00 2003', 'Oct 25 15:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 25 16:00:00 2003', 'Mar 27 15:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 27 16:00:00 2004', 'Oct 30 15:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 2004', 'Mar 26 15:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 26 16:00:00 2005', 'Oct 29 15:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 29 16:00:00 2005', 'Mar 25 15:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 25 16:00:00 2006', 'Oct 28 15:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 28 16:00:00 2006', 'Mar 24 15:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 24 16:00:00 2007', 'Oct 27 15:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 2007', 'Mar 29 15:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 29 16:00:00 2008', 'Oct 25 15:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 25 16:00:00 2008', 'Mar 28 15:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 28 16:00:00 2009', 'Oct 24 15:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 24 16:00:00 2009', 'Mar 27 15:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 27 16:00:00 2010', 'Oct 30 15:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 2010', 'Mar 26 15:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 26 16:00:00 2011', 'Oct 29 15:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 29 16:00:00 2011', 'Mar 24 15:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 24 16:00:00 2012', 'Oct 27 15:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 2012', 'Mar 30 15:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 30 16:00:00 2013', 'Oct 26 15:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 26 16:00:00 2013', 'Mar 29 15:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 29 16:00:00 2014', 'Oct 25 15:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 25 16:00:00 2014', 'Mar 28 15:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 28 16:00:00 2015', 'Oct 24 15:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 24 16:00:00 2015', 'Mar 26 15:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 26 16:00:00 2016', 'Oct 29 15:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 29 16:00:00 2016', 'Mar 25 15:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 25 16:00:00 2017', 'Oct 28 15:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 28 16:00:00 2017', 'Mar 24 15:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 24 16:00:00 2018', 'Oct 27 15:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 2018', 'Mar 30 15:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 30 16:00:00 2019', 'Oct 26 15:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 26 16:00:00 2019', 'Mar 28 15:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 28 16:00:00 2020', 'Oct 24 15:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 24 16:00:00 2020', 'Mar 27 15:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 27 16:00:00 2021', 'Oct 30 15:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 2021', 'Mar 26 15:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 26 16:00:00 2022', 'Oct 29 15:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 29 16:00:00 2022', 'Mar 25 15:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 25 16:00:00 2023', 'Oct 28 15:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 28 16:00:00 2023', 'Mar 30 15:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 30 16:00:00 2024', 'Oct 26 15:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 26 16:00:00 2024', 'Mar 29 15:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 29 16:00:00 2025', 'Oct 25 15:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 25 16:00:00 2025', 'Mar 28 15:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 28 16:00:00 2026', 'Oct 24 15:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 24 16:00:00 2026', 'Mar 27 15:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 27 16:00:00 2027', 'Oct 30 15:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 2027', 'Mar 25 15:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 25 16:00:00 2028', 'Oct 28 15:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 28 16:00:00 2028', 'Mar 24 15:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 24 16:00:00 2029', 'Oct 27 15:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 2029', 'Mar 30 15:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 30 16:00:00 2030', 'Oct 26 15:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 26 16:00:00 2030', 'Mar 29 15:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 29 16:00:00 2031', 'Oct 25 15:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 25 16:00:00 2031', 'Mar 27 15:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 27 16:00:00 2032', 'Oct 30 15:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 30 16:00:00 2032', 'Mar 26 15:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 26 16:00:00 2033', 'Oct 29 15:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 29 16:00:00 2033', 'Mar 25 15:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 25 16:00:00 2034', 'Oct 28 15:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 28 16:00:00 2034', 'Mar 24 15:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 24 16:00:00 2035', 'Oct 27 15:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 27 16:00:00 2035', 'Mar 29 15:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 29 16:00:00 2036', 'Oct 25 15:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 25 16:00:00 2036', 'Mar 28 15:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/Victoria', 'EST', 0, 36000, 'Mar 28 16:00:00 2037', 'Oct 24 15:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/Victoria', 'EST', 1, 39600, 'Oct 24 16:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 14:14:07 2038');
end;
/

--
-- Australia/West
--

begin
timezone.add_rule('Australia/West', 'WST', 0, 28800, 'Dec 14 20:45:52 1901', 'Dec 31 16:00:59 1916', 'Dec 15 04:45:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/West', 'WST', 1, 32400, 'Dec 31 16:01:00 1916', 'Mar 24 16:59:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/West', 'WST', 0, 28800, 'Mar 24 17:00:00 1917', 'Dec 31 17:59:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/West', 'WST', 1, 32400, 'Dec 31 18:00:00 1941', 'Mar 28 16:59:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/West', 'WST', 0, 28800, 'Mar 28 17:00:00 1942', 'Sep 26 17:59:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/West', 'WST', 1, 32400, 'Sep 26 18:00:00 1942', 'Mar 27 16:59:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/West', 'WST', 0, 28800, 'Mar 27 17:00:00 1943', 'Oct 2 17:59:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/West', 'WST', 1, 32400, 'Oct 2 18:00:00 1943', 'Mar 25 16:59:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/West', 'WST', 0, 28800, 'Mar 25 17:00:00 1944', 'Oct 26 17:59:59 1974', 'Mar 26 01:00:00 1944', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/West', 'WST', 1, 32400, 'Oct 26 18:00:00 1974', 'Mar 1 17:59:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/West', 'WST', 0, 28800, 'Mar 1 18:00:00 1975', 'Oct 29 17:59:59 1983', 'Mar 2 02:00:00 1975', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/West', 'WST', 1, 32400, 'Oct 29 18:00:00 1983', 'Mar 3 17:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/West', 'WST', 0, 28800, 'Mar 3 18:00:00 1984', 'Nov 16 17:59:59 1991', 'Mar 4 02:00:00 1984', 'Nov 17 01:59:59 1991');
timezone.add_rule('Australia/West', 'WST', 1, 32400, 'Nov 16 18:00:00 1991', 'Feb 29 17:59:59 1992', 'Nov 17 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/West', 'WST', 0, 28800, 'Feb 29 18:00:00 1992', 'Jan 18 03:14:07 2038', 'Mar 1 02:00:00 1992', 'Jan 18 11:14:07 2038');
end;
/

--
-- Australia/Yancowinna
--

begin
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Dec 14 20:45:52 1901', 'Dec 31 14:30:59 1916', 'Dec 15 06:15:52 1901', 'Jan 1 00:00:59 1917');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Dec 31 14:31:00 1916', 'Mar 24 15:29:59 1917', 'Jan 1 01:01:00 1917', 'Mar 25 01:59:59 1917');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 24 15:30:00 1917', 'Dec 31 16:29:59 1941', 'Mar 25 01:00:00 1917', 'Jan 1 01:59:59 1942');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Dec 31 16:30:00 1941', 'Mar 28 15:29:59 1942', 'Jan 1 03:00:00 1942', 'Mar 29 01:59:59 1942');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 28 15:30:00 1942', 'Sep 26 16:29:59 1942', 'Mar 29 01:00:00 1942', 'Sep 27 01:59:59 1942');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Sep 26 16:30:00 1942', 'Mar 27 15:29:59 1943', 'Sep 27 03:00:00 1942', 'Mar 28 01:59:59 1943');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 27 15:30:00 1943', 'Oct 2 16:29:59 1943', 'Mar 28 01:00:00 1943', 'Oct 3 01:59:59 1943');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 2 16:30:00 1943', 'Mar 25 15:29:59 1944', 'Oct 3 03:00:00 1943', 'Mar 26 01:59:59 1944');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 25 15:30:00 1944', 'Oct 30 16:29:59 1971', 'Mar 26 01:00:00 1944', 'Oct 31 01:59:59 1971');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 1971', 'Feb 26 16:29:59 1972', 'Oct 31 03:00:00 1971', 'Feb 27 02:59:59 1972');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Feb 26 16:30:00 1972', 'Oct 28 16:29:59 1972', 'Feb 27 02:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 28 16:30:00 1972', 'Mar 3 16:29:59 1973', 'Oct 29 03:00:00 1972', 'Mar 4 02:59:59 1973');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 3 16:30:00 1973', 'Oct 27 16:29:59 1973', 'Mar 4 02:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 1973', 'Mar 2 16:29:59 1974', 'Oct 28 03:00:00 1973', 'Mar 3 02:59:59 1974');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 2 16:30:00 1974', 'Oct 26 16:29:59 1974', 'Mar 3 02:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 26 16:30:00 1974', 'Mar 1 16:29:59 1975', 'Oct 27 03:00:00 1974', 'Mar 2 02:59:59 1975');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 1 16:30:00 1975', 'Oct 25 16:29:59 1975', 'Mar 2 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 25 16:30:00 1975', 'Mar 6 16:29:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 6 16:30:00 1976', 'Oct 30 16:29:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 1976', 'Mar 5 16:29:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 5 16:30:00 1977', 'Oct 29 16:29:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 29 16:30:00 1977', 'Mar 4 16:29:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 4 16:30:00 1978', 'Oct 28 16:29:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 28 16:30:00 1978', 'Mar 3 16:29:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 3 16:30:00 1979', 'Oct 27 16:29:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 1979', 'Mar 1 16:29:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 1 16:30:00 1980', 'Oct 25 16:29:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 25 16:30:00 1980', 'Feb 28 16:29:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Feb 28 16:30:00 1981', 'Oct 24 16:29:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 24 16:30:00 1981', 'Apr 3 16:29:59 1982', 'Oct 25 03:00:00 1981', 'Apr 4 02:59:59 1982');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Apr 3 16:30:00 1982', 'Oct 30 16:29:59 1982', 'Apr 4 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 1982', 'Mar 5 16:29:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 5 16:30:00 1983', 'Oct 29 16:29:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 29 16:30:00 1983', 'Mar 3 16:29:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 3 16:30:00 1984', 'Oct 27 16:29:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 1984', 'Mar 2 16:29:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 2 16:30:00 1985', 'Oct 26 16:29:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 26 16:30:00 1985', 'Mar 15 16:29:59 1986', 'Oct 27 03:00:00 1985', 'Mar 16 02:59:59 1986');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 15 16:30:00 1986', 'Oct 18 16:29:59 1986', 'Mar 16 02:00:00 1986', 'Oct 19 01:59:59 1986');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 18 16:30:00 1986', 'Mar 14 16:29:59 1987', 'Oct 19 03:00:00 1986', 'Mar 15 02:59:59 1987');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 14 16:30:00 1987', 'Oct 24 16:29:59 1987', 'Mar 15 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 24 16:30:00 1987', 'Mar 19 16:29:59 1988', 'Oct 25 03:00:00 1987', 'Mar 20 02:59:59 1988');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 19 16:30:00 1988', 'Oct 29 16:29:59 1988', 'Mar 20 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 29 16:30:00 1988', 'Mar 18 16:29:59 1989', 'Oct 30 03:00:00 1988', 'Mar 19 02:59:59 1989');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 18 16:30:00 1989', 'Oct 28 16:29:59 1989', 'Mar 19 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 28 16:30:00 1989', 'Mar 3 16:29:59 1990', 'Oct 29 03:00:00 1989', 'Mar 4 02:59:59 1990');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 3 16:30:00 1990', 'Oct 27 16:29:59 1990', 'Mar 4 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 1990', 'Mar 2 16:29:59 1991', 'Oct 28 03:00:00 1990', 'Mar 3 02:59:59 1991');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 2 16:30:00 1991', 'Oct 26 16:29:59 1991', 'Mar 3 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 26 16:30:00 1991', 'Feb 29 16:29:59 1992', 'Oct 27 03:00:00 1991', 'Mar 1 02:59:59 1992');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Feb 29 16:30:00 1992', 'Oct 24 16:29:59 1992', 'Mar 1 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 24 16:30:00 1992', 'Mar 6 16:29:59 1993', 'Oct 25 03:00:00 1992', 'Mar 7 02:59:59 1993');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 6 16:30:00 1993', 'Oct 30 16:29:59 1993', 'Mar 7 02:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 1993', 'Mar 5 16:29:59 1994', 'Oct 31 03:00:00 1993', 'Mar 6 02:59:59 1994');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 5 16:30:00 1994', 'Oct 29 16:29:59 1994', 'Mar 6 02:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 29 16:30:00 1994', 'Mar 4 16:29:59 1995', 'Oct 30 03:00:00 1994', 'Mar 5 02:59:59 1995');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 4 16:30:00 1995', 'Oct 28 16:29:59 1995', 'Mar 5 02:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 28 16:30:00 1995', 'Mar 30 16:29:59 1996', 'Oct 29 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 30 16:30:00 1996', 'Oct 26 16:29:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 26 16:30:00 1996', 'Mar 29 16:29:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 29 16:30:00 1997', 'Oct 25 16:29:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 25 16:30:00 1997', 'Mar 28 16:29:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 28 16:30:00 1998', 'Oct 24 16:29:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 24 16:30:00 1998', 'Mar 27 16:29:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 27 16:30:00 1999', 'Oct 30 16:29:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 1999', 'Mar 25 16:29:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 25 16:30:00 2000', 'Aug 26 16:29:59 2000', 'Mar 26 02:00:00 2000', 'Aug 27 01:59:59 2000');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Aug 26 16:30:00 2000', 'Mar 24 16:29:59 2001', 'Aug 27 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 24 16:30:00 2001', 'Oct 27 16:29:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 2001', 'Mar 30 16:29:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 30 16:30:00 2002', 'Oct 26 16:29:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 26 16:30:00 2002', 'Mar 29 16:29:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 29 16:30:00 2003', 'Oct 25 16:29:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 25 16:30:00 2003', 'Mar 27 16:29:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 27 16:30:00 2004', 'Oct 30 16:29:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 2004', 'Mar 26 16:29:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 26 16:30:00 2005', 'Oct 29 16:29:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 29 16:30:00 2005', 'Mar 25 16:29:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 25 16:30:00 2006', 'Oct 28 16:29:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 28 16:30:00 2006', 'Mar 24 16:29:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 24 16:30:00 2007', 'Oct 27 16:29:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 2007', 'Mar 29 16:29:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 29 16:30:00 2008', 'Oct 25 16:29:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 25 16:30:00 2008', 'Mar 28 16:29:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 28 16:30:00 2009', 'Oct 24 16:29:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 24 16:30:00 2009', 'Mar 27 16:29:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 27 16:30:00 2010', 'Oct 30 16:29:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 2010', 'Mar 26 16:29:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 26 16:30:00 2011', 'Oct 29 16:29:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 29 16:30:00 2011', 'Mar 24 16:29:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 24 16:30:00 2012', 'Oct 27 16:29:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 2012', 'Mar 30 16:29:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 30 16:30:00 2013', 'Oct 26 16:29:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 26 16:30:00 2013', 'Mar 29 16:29:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 29 16:30:00 2014', 'Oct 25 16:29:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 25 16:30:00 2014', 'Mar 28 16:29:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 28 16:30:00 2015', 'Oct 24 16:29:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 24 16:30:00 2015', 'Mar 26 16:29:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 26 16:30:00 2016', 'Oct 29 16:29:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 29 16:30:00 2016', 'Mar 25 16:29:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 25 16:30:00 2017', 'Oct 28 16:29:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 28 16:30:00 2017', 'Mar 24 16:29:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 24 16:30:00 2018', 'Oct 27 16:29:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 2018', 'Mar 30 16:29:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 30 16:30:00 2019', 'Oct 26 16:29:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 26 16:30:00 2019', 'Mar 28 16:29:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 28 16:30:00 2020', 'Oct 24 16:29:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 24 16:30:00 2020', 'Mar 27 16:29:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 27 16:30:00 2021', 'Oct 30 16:29:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 2021', 'Mar 26 16:29:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 26 16:30:00 2022', 'Oct 29 16:29:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 29 16:30:00 2022', 'Mar 25 16:29:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 25 16:30:00 2023', 'Oct 28 16:29:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 28 16:30:00 2023', 'Mar 30 16:29:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 30 16:30:00 2024', 'Oct 26 16:29:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 26 16:30:00 2024', 'Mar 29 16:29:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 29 16:30:00 2025', 'Oct 25 16:29:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 25 16:30:00 2025', 'Mar 28 16:29:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 28 16:30:00 2026', 'Oct 24 16:29:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 24 16:30:00 2026', 'Mar 27 16:29:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 27 16:30:00 2027', 'Oct 30 16:29:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 2027', 'Mar 25 16:29:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 25 16:30:00 2028', 'Oct 28 16:29:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 28 16:30:00 2028', 'Mar 24 16:29:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 24 16:30:00 2029', 'Oct 27 16:29:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 2029', 'Mar 30 16:29:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 30 16:30:00 2030', 'Oct 26 16:29:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 26 16:30:00 2030', 'Mar 29 16:29:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 29 16:30:00 2031', 'Oct 25 16:29:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 25 16:30:00 2031', 'Mar 27 16:29:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 27 16:30:00 2032', 'Oct 30 16:29:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 30 16:30:00 2032', 'Mar 26 16:29:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 26 16:30:00 2033', 'Oct 29 16:29:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 29 16:30:00 2033', 'Mar 25 16:29:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 25 16:30:00 2034', 'Oct 28 16:29:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 28 16:30:00 2034', 'Mar 24 16:29:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 24 16:30:00 2035', 'Oct 27 16:29:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 27 16:30:00 2035', 'Mar 29 16:29:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 29 16:30:00 2036', 'Oct 25 16:29:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 25 16:30:00 2036', 'Mar 28 16:29:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Australia/Yancowinna', 'CST', 0, 34200, 'Mar 28 16:30:00 2037', 'Oct 24 16:29:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Australia/Yancowinna', 'CST', 1, 37800, 'Oct 24 16:30:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 13:44:07 2038');
end;
/

--
-- Brazil/Acre
--

begin
timezone.add_rule('Brazil/Acre', 'ACT', 0, -16272, 'Dec 14 20:45:52 1901', 'Jan 1 04:31:11 1914', 'Dec 14 16:14:40 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Jan 1 04:31:12 1914', 'Oct 3 15:59:59 1931', 'Dec 31 23:31:12 1913', 'Oct 3 10:59:59 1931');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Oct 3 16:00:00 1931', 'Apr 1 03:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Apr 1 04:00:00 1932', 'Oct 3 04:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Oct 3 05:00:00 1932', 'Apr 1 03:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Apr 1 04:00:00 1933', 'Dec 1 04:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1949', 'Apr 16 04:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Apr 16 05:00:00 1950', 'Dec 1 04:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1950', 'Apr 1 03:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Apr 1 04:00:00 1951', 'Dec 1 04:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1951', 'Apr 1 03:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Apr 1 04:00:00 1952', 'Dec 1 04:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1952', 'Mar 1 03:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1953', 'Dec 9 04:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Dec 9 05:00:00 1963', 'Mar 1 03:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1964', 'Jan 31 04:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Jan 31 05:00:00 1965', 'Mar 31 03:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Mar 31 04:00:00 1965', 'Dec 1 04:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Dec 1 05:00:00 1965', 'Mar 1 03:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1966', 'Nov 1 04:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Nov 1 05:00:00 1966', 'Mar 1 03:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1967', 'Nov 1 04:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Nov 1 05:00:00 1967', 'Mar 1 03:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Mar 1 04:00:00 1968', 'Nov 2 04:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Nov 2 05:00:00 1985', 'Mar 15 03:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Mar 15 04:00:00 1986', 'Oct 25 04:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Oct 25 05:00:00 1986', 'Feb 14 03:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Feb 14 04:00:00 1987', 'Oct 25 04:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('Brazil/Acre', 'ACST', 1, -14400, 'Oct 25 05:00:00 1987', 'Feb 7 03:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('Brazil/Acre', 'ACT', 0, -18000, 'Feb 7 04:00:00 1988', 'Jan 18 03:14:07 2038', 'Feb 6 23:00:00 1988', 'Jan 17 22:14:07 2038');
end;
/

--
-- Brazil/DeNoronha
--

begin
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7780, 'Dec 14 20:45:52 1901', 'Jan 1 02:09:39 1914', 'Dec 14 18:36:12 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Jan 1 02:09:40 1914', 'Oct 3 12:59:59 1931', 'Jan 1 00:09:40 1914', 'Oct 3 10:59:59 1931');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Oct 3 13:00:00 1931', 'Apr 1 00:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Apr 1 01:00:00 1932', 'Oct 3 01:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Oct 3 02:00:00 1932', 'Apr 1 00:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Apr 1 01:00:00 1933', 'Dec 1 01:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1949', 'Apr 16 01:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Apr 16 02:00:00 1950', 'Dec 1 01:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1950', 'Apr 1 00:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Apr 1 01:00:00 1951', 'Dec 1 01:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1951', 'Apr 1 00:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Apr 1 01:00:00 1952', 'Dec 1 01:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1952', 'Mar 1 00:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1953', 'Dec 9 01:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Dec 9 02:00:00 1963', 'Mar 1 00:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1964', 'Jan 31 01:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Jan 31 02:00:00 1965', 'Mar 31 00:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Mar 31 01:00:00 1965', 'Dec 1 01:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Dec 1 02:00:00 1965', 'Mar 1 00:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1966', 'Nov 1 01:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Nov 1 02:00:00 1966', 'Mar 1 00:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1967', 'Nov 1 01:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Nov 1 02:00:00 1967', 'Mar 1 00:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Mar 1 01:00:00 1968', 'Nov 2 01:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Nov 2 02:00:00 1985', 'Mar 15 00:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Mar 15 01:00:00 1986', 'Oct 25 01:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Oct 25 02:00:00 1986', 'Feb 14 00:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Feb 14 01:00:00 1987', 'Oct 25 01:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Oct 25 02:00:00 1987', 'Feb 7 00:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Feb 7 01:00:00 1988', 'Oct 16 01:59:59 1988', 'Feb 6 23:00:00 1988', 'Oct 15 23:59:59 1988');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Oct 16 02:00:00 1988', 'Jan 29 00:59:59 1989', 'Oct 16 01:00:00 1988', 'Jan 28 23:59:59 1989');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Jan 29 01:00:00 1989', 'Oct 15 01:59:59 1989', 'Jan 28 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('Brazil/DeNoronha', 'FNST', 1, -3600, 'Oct 15 02:00:00 1989', 'Feb 11 00:59:59 1990', 'Oct 15 01:00:00 1989', 'Feb 10 23:59:59 1990');
timezone.add_rule('Brazil/DeNoronha', 'FNT', 0, -7200, 'Feb 11 01:00:00 1990', 'Jan 18 03:14:07 2038', 'Feb 10 23:00:00 1990', 'Jan 18 01:14:07 2038');
end;
/

--
-- Brazil/East
--

begin
timezone.add_rule('Brazil/East', 'BRT', 0, -11188, 'Dec 14 20:45:52 1901', 'Jan 1 03:06:27 1914', 'Dec 14 17:39:24 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Jan 1 03:06:28 1914', 'Oct 3 13:59:59 1931', 'Jan 1 00:06:28 1914', 'Oct 3 10:59:59 1931');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 3 14:00:00 1931', 'Apr 1 01:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Apr 1 02:00:00 1932', 'Oct 3 02:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 3 03:00:00 1932', 'Apr 1 01:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Apr 1 02:00:00 1933', 'Dec 1 02:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Dec 1 03:00:00 1949', 'Apr 16 02:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Apr 16 03:00:00 1950', 'Dec 1 02:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Dec 1 03:00:00 1950', 'Apr 1 01:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Apr 1 02:00:00 1951', 'Dec 1 02:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Dec 1 03:00:00 1951', 'Apr 1 01:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Apr 1 02:00:00 1952', 'Dec 1 02:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Dec 1 03:00:00 1952', 'Mar 1 01:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Mar 1 02:00:00 1953', 'Jan 1 02:59:59 1964', 'Feb 28 23:00:00 1953', 'Dec 31 23:59:59 1963');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Jan 1 03:00:00 1964', 'Mar 1 01:59:59 1964', 'Jan 1 01:00:00 1964', 'Feb 29 23:59:59 1964');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Mar 1 02:00:00 1964', 'Jan 31 02:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Jan 31 03:00:00 1965', 'Mar 31 01:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Mar 31 02:00:00 1965', 'Dec 1 02:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Dec 1 03:00:00 1965', 'Mar 1 01:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Mar 1 02:00:00 1966', 'Nov 1 02:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Nov 1 03:00:00 1966', 'Mar 1 01:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Mar 1 02:00:00 1967', 'Nov 1 02:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Nov 1 03:00:00 1967', 'Mar 1 01:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Mar 1 02:00:00 1968', 'Nov 2 02:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Nov 2 03:00:00 1985', 'Mar 15 01:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Mar 15 02:00:00 1986', 'Oct 25 02:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 25 03:00:00 1986', 'Feb 14 01:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 14 02:00:00 1987', 'Oct 25 02:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 25 03:00:00 1987', 'Feb 7 01:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 7 02:00:00 1988', 'Oct 16 02:59:59 1988', 'Feb 6 23:00:00 1988', 'Oct 15 23:59:59 1988');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 16 03:00:00 1988', 'Jan 29 01:59:59 1989', 'Oct 16 01:00:00 1988', 'Jan 28 23:59:59 1989');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Jan 29 02:00:00 1989', 'Oct 15 02:59:59 1989', 'Jan 28 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 15 03:00:00 1989', 'Feb 11 01:59:59 1990', 'Oct 15 01:00:00 1989', 'Feb 10 23:59:59 1990');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 11 02:00:00 1990', 'Oct 21 02:59:59 1990', 'Feb 10 23:00:00 1990', 'Oct 20 23:59:59 1990');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 21 03:00:00 1990', 'Feb 17 01:59:59 1991', 'Oct 21 01:00:00 1990', 'Feb 16 23:59:59 1991');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 17 02:00:00 1991', 'Oct 20 02:59:59 1991', 'Feb 16 23:00:00 1991', 'Oct 19 23:59:59 1991');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 20 03:00:00 1991', 'Feb 9 01:59:59 1992', 'Oct 20 01:00:00 1991', 'Feb 8 23:59:59 1992');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 9 02:00:00 1992', 'Oct 25 02:59:59 1992', 'Feb 8 23:00:00 1992', 'Oct 24 23:59:59 1992');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 25 03:00:00 1992', 'Jan 31 01:59:59 1993', 'Oct 25 01:00:00 1992', 'Jan 30 23:59:59 1993');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Jan 31 02:00:00 1993', 'Oct 17 02:59:59 1993', 'Jan 30 23:00:00 1993', 'Oct 16 23:59:59 1993');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 17 03:00:00 1993', 'Feb 20 01:59:59 1994', 'Oct 17 01:00:00 1993', 'Feb 19 23:59:59 1994');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 20 02:00:00 1994', 'Oct 16 02:59:59 1994', 'Feb 19 23:00:00 1994', 'Oct 15 23:59:59 1994');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 16 03:00:00 1994', 'Feb 19 01:59:59 1995', 'Oct 16 01:00:00 1994', 'Feb 18 23:59:59 1995');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 19 02:00:00 1995', 'Oct 15 02:59:59 1995', 'Feb 18 23:00:00 1995', 'Oct 14 23:59:59 1995');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 15 03:00:00 1995', 'Feb 11 01:59:59 1996', 'Oct 15 01:00:00 1995', 'Feb 10 23:59:59 1996');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 11 02:00:00 1996', 'Oct 6 02:59:59 1996', 'Feb 10 23:00:00 1996', 'Oct 5 23:59:59 1996');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 6 03:00:00 1996', 'Feb 16 01:59:59 1997', 'Oct 6 01:00:00 1996', 'Feb 15 23:59:59 1997');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 16 02:00:00 1997', 'Oct 6 02:59:59 1997', 'Feb 15 23:00:00 1997', 'Oct 5 23:59:59 1997');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 6 03:00:00 1997', 'Mar 1 01:59:59 1998', 'Oct 6 01:00:00 1997', 'Feb 28 23:59:59 1998');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Mar 1 02:00:00 1998', 'Oct 11 02:59:59 1998', 'Feb 28 23:00:00 1998', 'Oct 10 23:59:59 1998');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 11 03:00:00 1998', 'Feb 21 01:59:59 1999', 'Oct 11 01:00:00 1998', 'Feb 20 23:59:59 1999');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 21 02:00:00 1999', 'Oct 10 02:59:59 1999', 'Feb 20 23:00:00 1999', 'Oct 9 23:59:59 1999');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 10 03:00:00 1999', 'Feb 20 01:59:59 2000', 'Oct 10 01:00:00 1999', 'Feb 19 23:59:59 2000');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 20 02:00:00 2000', 'Oct 8 02:59:59 2000', 'Feb 19 23:00:00 2000', 'Oct 7 23:59:59 2000');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 8 03:00:00 2000', 'Feb 18 01:59:59 2001', 'Oct 8 01:00:00 2000', 'Feb 17 23:59:59 2001');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 18 02:00:00 2001', 'Oct 14 02:59:59 2001', 'Feb 17 23:00:00 2001', 'Oct 13 23:59:59 2001');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 14 03:00:00 2001', 'Feb 17 01:59:59 2002', 'Oct 14 01:00:00 2001', 'Feb 16 23:59:59 2002');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 17 02:00:00 2002', 'Oct 13 02:59:59 2002', 'Feb 16 23:00:00 2002', 'Oct 12 23:59:59 2002');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 13 03:00:00 2002', 'Feb 16 01:59:59 2003', 'Oct 13 01:00:00 2002', 'Feb 15 23:59:59 2003');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 16 02:00:00 2003', 'Oct 12 02:59:59 2003', 'Feb 15 23:00:00 2003', 'Oct 11 23:59:59 2003');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 12 03:00:00 2003', 'Feb 15 01:59:59 2004', 'Oct 12 01:00:00 2003', 'Feb 14 23:59:59 2004');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 15 02:00:00 2004', 'Oct 10 02:59:59 2004', 'Feb 14 23:00:00 2004', 'Oct 9 23:59:59 2004');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 10 03:00:00 2004', 'Feb 20 01:59:59 2005', 'Oct 10 01:00:00 2004', 'Feb 19 23:59:59 2005');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 20 02:00:00 2005', 'Oct 9 02:59:59 2005', 'Feb 19 23:00:00 2005', 'Oct 8 23:59:59 2005');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 9 03:00:00 2005', 'Feb 19 01:59:59 2006', 'Oct 9 01:00:00 2005', 'Feb 18 23:59:59 2006');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 19 02:00:00 2006', 'Oct 8 02:59:59 2006', 'Feb 18 23:00:00 2006', 'Oct 7 23:59:59 2006');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 8 03:00:00 2006', 'Feb 18 01:59:59 2007', 'Oct 8 01:00:00 2006', 'Feb 17 23:59:59 2007');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 18 02:00:00 2007', 'Oct 14 02:59:59 2007', 'Feb 17 23:00:00 2007', 'Oct 13 23:59:59 2007');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 14 03:00:00 2007', 'Feb 17 01:59:59 2008', 'Oct 14 01:00:00 2007', 'Feb 16 23:59:59 2008');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 17 02:00:00 2008', 'Oct 12 02:59:59 2008', 'Feb 16 23:00:00 2008', 'Oct 11 23:59:59 2008');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 12 03:00:00 2008', 'Feb 15 01:59:59 2009', 'Oct 12 01:00:00 2008', 'Feb 14 23:59:59 2009');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 15 02:00:00 2009', 'Oct 11 02:59:59 2009', 'Feb 14 23:00:00 2009', 'Oct 10 23:59:59 2009');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 11 03:00:00 2009', 'Feb 21 01:59:59 2010', 'Oct 11 01:00:00 2009', 'Feb 20 23:59:59 2010');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 21 02:00:00 2010', 'Oct 10 02:59:59 2010', 'Feb 20 23:00:00 2010', 'Oct 9 23:59:59 2010');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 10 03:00:00 2010', 'Feb 20 01:59:59 2011', 'Oct 10 01:00:00 2010', 'Feb 19 23:59:59 2011');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 20 02:00:00 2011', 'Oct 9 02:59:59 2011', 'Feb 19 23:00:00 2011', 'Oct 8 23:59:59 2011');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 9 03:00:00 2011', 'Feb 19 01:59:59 2012', 'Oct 9 01:00:00 2011', 'Feb 18 23:59:59 2012');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 19 02:00:00 2012', 'Oct 14 02:59:59 2012', 'Feb 18 23:00:00 2012', 'Oct 13 23:59:59 2012');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 14 03:00:00 2012', 'Feb 17 01:59:59 2013', 'Oct 14 01:00:00 2012', 'Feb 16 23:59:59 2013');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 17 02:00:00 2013', 'Oct 13 02:59:59 2013', 'Feb 16 23:00:00 2013', 'Oct 12 23:59:59 2013');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 13 03:00:00 2013', 'Feb 16 01:59:59 2014', 'Oct 13 01:00:00 2013', 'Feb 15 23:59:59 2014');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 16 02:00:00 2014', 'Oct 12 02:59:59 2014', 'Feb 15 23:00:00 2014', 'Oct 11 23:59:59 2014');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 12 03:00:00 2014', 'Feb 15 01:59:59 2015', 'Oct 12 01:00:00 2014', 'Feb 14 23:59:59 2015');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 15 02:00:00 2015', 'Oct 11 02:59:59 2015', 'Feb 14 23:00:00 2015', 'Oct 10 23:59:59 2015');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 11 03:00:00 2015', 'Feb 21 01:59:59 2016', 'Oct 11 01:00:00 2015', 'Feb 20 23:59:59 2016');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 21 02:00:00 2016', 'Oct 9 02:59:59 2016', 'Feb 20 23:00:00 2016', 'Oct 8 23:59:59 2016');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 9 03:00:00 2016', 'Feb 19 01:59:59 2017', 'Oct 9 01:00:00 2016', 'Feb 18 23:59:59 2017');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 19 02:00:00 2017', 'Oct 8 02:59:59 2017', 'Feb 18 23:00:00 2017', 'Oct 7 23:59:59 2017');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 8 03:00:00 2017', 'Feb 18 01:59:59 2018', 'Oct 8 01:00:00 2017', 'Feb 17 23:59:59 2018');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 18 02:00:00 2018', 'Oct 14 02:59:59 2018', 'Feb 17 23:00:00 2018', 'Oct 13 23:59:59 2018');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 14 03:00:00 2018', 'Feb 17 01:59:59 2019', 'Oct 14 01:00:00 2018', 'Feb 16 23:59:59 2019');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 17 02:00:00 2019', 'Oct 13 02:59:59 2019', 'Feb 16 23:00:00 2019', 'Oct 12 23:59:59 2019');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 13 03:00:00 2019', 'Feb 16 01:59:59 2020', 'Oct 13 01:00:00 2019', 'Feb 15 23:59:59 2020');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 16 02:00:00 2020', 'Oct 11 02:59:59 2020', 'Feb 15 23:00:00 2020', 'Oct 10 23:59:59 2020');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 11 03:00:00 2020', 'Feb 21 01:59:59 2021', 'Oct 11 01:00:00 2020', 'Feb 20 23:59:59 2021');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 21 02:00:00 2021', 'Oct 10 02:59:59 2021', 'Feb 20 23:00:00 2021', 'Oct 9 23:59:59 2021');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 10 03:00:00 2021', 'Feb 20 01:59:59 2022', 'Oct 10 01:00:00 2021', 'Feb 19 23:59:59 2022');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 20 02:00:00 2022', 'Oct 9 02:59:59 2022', 'Feb 19 23:00:00 2022', 'Oct 8 23:59:59 2022');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 9 03:00:00 2022', 'Feb 19 01:59:59 2023', 'Oct 9 01:00:00 2022', 'Feb 18 23:59:59 2023');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 19 02:00:00 2023', 'Oct 8 02:59:59 2023', 'Feb 18 23:00:00 2023', 'Oct 7 23:59:59 2023');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 8 03:00:00 2023', 'Feb 18 01:59:59 2024', 'Oct 8 01:00:00 2023', 'Feb 17 23:59:59 2024');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 18 02:00:00 2024', 'Oct 13 02:59:59 2024', 'Feb 17 23:00:00 2024', 'Oct 12 23:59:59 2024');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 13 03:00:00 2024', 'Feb 16 01:59:59 2025', 'Oct 13 01:00:00 2024', 'Feb 15 23:59:59 2025');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 16 02:00:00 2025', 'Oct 12 02:59:59 2025', 'Feb 15 23:00:00 2025', 'Oct 11 23:59:59 2025');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 12 03:00:00 2025', 'Feb 15 01:59:59 2026', 'Oct 12 01:00:00 2025', 'Feb 14 23:59:59 2026');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 15 02:00:00 2026', 'Oct 11 02:59:59 2026', 'Feb 14 23:00:00 2026', 'Oct 10 23:59:59 2026');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 11 03:00:00 2026', 'Feb 21 01:59:59 2027', 'Oct 11 01:00:00 2026', 'Feb 20 23:59:59 2027');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 21 02:00:00 2027', 'Oct 10 02:59:59 2027', 'Feb 20 23:00:00 2027', 'Oct 9 23:59:59 2027');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 10 03:00:00 2027', 'Feb 20 01:59:59 2028', 'Oct 10 01:00:00 2027', 'Feb 19 23:59:59 2028');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 20 02:00:00 2028', 'Oct 8 02:59:59 2028', 'Feb 19 23:00:00 2028', 'Oct 7 23:59:59 2028');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 8 03:00:00 2028', 'Feb 18 01:59:59 2029', 'Oct 8 01:00:00 2028', 'Feb 17 23:59:59 2029');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 18 02:00:00 2029', 'Oct 14 02:59:59 2029', 'Feb 17 23:00:00 2029', 'Oct 13 23:59:59 2029');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 14 03:00:00 2029', 'Feb 17 01:59:59 2030', 'Oct 14 01:00:00 2029', 'Feb 16 23:59:59 2030');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 17 02:00:00 2030', 'Oct 13 02:59:59 2030', 'Feb 16 23:00:00 2030', 'Oct 12 23:59:59 2030');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 13 03:00:00 2030', 'Feb 16 01:59:59 2031', 'Oct 13 01:00:00 2030', 'Feb 15 23:59:59 2031');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 16 02:00:00 2031', 'Oct 12 02:59:59 2031', 'Feb 15 23:00:00 2031', 'Oct 11 23:59:59 2031');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 12 03:00:00 2031', 'Feb 15 01:59:59 2032', 'Oct 12 01:00:00 2031', 'Feb 14 23:59:59 2032');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 15 02:00:00 2032', 'Oct 10 02:59:59 2032', 'Feb 14 23:00:00 2032', 'Oct 9 23:59:59 2032');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 10 03:00:00 2032', 'Feb 20 01:59:59 2033', 'Oct 10 01:00:00 2032', 'Feb 19 23:59:59 2033');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 20 02:00:00 2033', 'Oct 9 02:59:59 2033', 'Feb 19 23:00:00 2033', 'Oct 8 23:59:59 2033');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 9 03:00:00 2033', 'Feb 19 01:59:59 2034', 'Oct 9 01:00:00 2033', 'Feb 18 23:59:59 2034');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 19 02:00:00 2034', 'Oct 8 02:59:59 2034', 'Feb 18 23:00:00 2034', 'Oct 7 23:59:59 2034');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 8 03:00:00 2034', 'Feb 18 01:59:59 2035', 'Oct 8 01:00:00 2034', 'Feb 17 23:59:59 2035');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 18 02:00:00 2035', 'Oct 14 02:59:59 2035', 'Feb 17 23:00:00 2035', 'Oct 13 23:59:59 2035');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 14 03:00:00 2035', 'Feb 17 01:59:59 2036', 'Oct 14 01:00:00 2035', 'Feb 16 23:59:59 2036');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 17 02:00:00 2036', 'Oct 12 02:59:59 2036', 'Feb 16 23:00:00 2036', 'Oct 11 23:59:59 2036');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 12 03:00:00 2036', 'Feb 15 01:59:59 2037', 'Oct 12 01:00:00 2036', 'Feb 14 23:59:59 2037');
timezone.add_rule('Brazil/East', 'BRT', 0, -10800, 'Feb 15 02:00:00 2037', 'Oct 11 02:59:59 2037', 'Feb 14 23:00:00 2037', 'Oct 10 23:59:59 2037');
timezone.add_rule('Brazil/East', 'BRST', 1, -7200, 'Oct 11 03:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 11 01:00:00 2037', 'Jan 18 01:14:07 2038');
end;
/

--
-- Brazil/West
--

begin
timezone.add_rule('Brazil/West', 'AMT', 0, -14404, 'Dec 14 20:45:52 1901', 'Jan 1 04:00:03 1914', 'Dec 14 16:45:48 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Jan 1 04:00:04 1914', 'Oct 3 14:59:59 1931', 'Jan 1 00:00:04 1914', 'Oct 3 10:59:59 1931');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Oct 3 15:00:00 1931', 'Apr 1 02:59:59 1932', 'Oct 3 12:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Apr 1 03:00:00 1932', 'Oct 3 03:59:59 1932', 'Mar 31 23:00:00 1932', 'Oct 2 23:59:59 1932');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Oct 3 04:00:00 1932', 'Apr 1 02:59:59 1933', 'Oct 3 01:00:00 1932', 'Mar 31 23:59:59 1933');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Apr 1 03:00:00 1933', 'Dec 1 03:59:59 1949', 'Mar 31 23:00:00 1933', 'Nov 30 23:59:59 1949');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Dec 1 04:00:00 1949', 'Apr 16 03:59:59 1950', 'Dec 1 01:00:00 1949', 'Apr 16 00:59:59 1950');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Apr 16 04:00:00 1950', 'Dec 1 03:59:59 1950', 'Apr 16 00:00:00 1950', 'Nov 30 23:59:59 1950');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Dec 1 04:00:00 1950', 'Apr 1 02:59:59 1951', 'Dec 1 01:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Apr 1 03:00:00 1951', 'Dec 1 03:59:59 1951', 'Mar 31 23:00:00 1951', 'Nov 30 23:59:59 1951');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Dec 1 04:00:00 1951', 'Apr 1 02:59:59 1952', 'Dec 1 01:00:00 1951', 'Mar 31 23:59:59 1952');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Apr 1 03:00:00 1952', 'Dec 1 03:59:59 1952', 'Mar 31 23:00:00 1952', 'Nov 30 23:59:59 1952');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Dec 1 04:00:00 1952', 'Mar 1 02:59:59 1953', 'Dec 1 01:00:00 1952', 'Feb 28 23:59:59 1953');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Mar 1 03:00:00 1953', 'Dec 9 03:59:59 1963', 'Feb 28 23:00:00 1953', 'Dec 8 23:59:59 1963');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Dec 9 04:00:00 1963', 'Mar 1 02:59:59 1964', 'Dec 9 01:00:00 1963', 'Feb 29 23:59:59 1964');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Mar 1 03:00:00 1964', 'Jan 31 03:59:59 1965', 'Feb 29 23:00:00 1964', 'Jan 30 23:59:59 1965');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Jan 31 04:00:00 1965', 'Mar 31 02:59:59 1965', 'Jan 31 01:00:00 1965', 'Mar 30 23:59:59 1965');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Mar 31 03:00:00 1965', 'Dec 1 03:59:59 1965', 'Mar 30 23:00:00 1965', 'Nov 30 23:59:59 1965');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Dec 1 04:00:00 1965', 'Mar 1 02:59:59 1966', 'Dec 1 01:00:00 1965', 'Feb 28 23:59:59 1966');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Mar 1 03:00:00 1966', 'Nov 1 03:59:59 1966', 'Feb 28 23:00:00 1966', 'Oct 31 23:59:59 1966');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Nov 1 04:00:00 1966', 'Mar 1 02:59:59 1967', 'Nov 1 01:00:00 1966', 'Feb 28 23:59:59 1967');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Mar 1 03:00:00 1967', 'Nov 1 03:59:59 1967', 'Feb 28 23:00:00 1967', 'Oct 31 23:59:59 1967');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Nov 1 04:00:00 1967', 'Mar 1 02:59:59 1968', 'Nov 1 01:00:00 1967', 'Feb 29 23:59:59 1968');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Mar 1 03:00:00 1968', 'Nov 2 03:59:59 1985', 'Feb 29 23:00:00 1968', 'Nov 1 23:59:59 1985');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Nov 2 04:00:00 1985', 'Mar 15 02:59:59 1986', 'Nov 2 01:00:00 1985', 'Mar 14 23:59:59 1986');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Mar 15 03:00:00 1986', 'Oct 25 03:59:59 1986', 'Mar 14 23:00:00 1986', 'Oct 24 23:59:59 1986');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Oct 25 04:00:00 1986', 'Feb 14 02:59:59 1987', 'Oct 25 01:00:00 1986', 'Feb 13 23:59:59 1987');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Feb 14 03:00:00 1987', 'Oct 25 03:59:59 1987', 'Feb 13 23:00:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Oct 25 04:00:00 1987', 'Feb 7 02:59:59 1988', 'Oct 25 01:00:00 1987', 'Feb 6 23:59:59 1988');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Feb 7 03:00:00 1988', 'Oct 17 03:59:59 1993', 'Feb 6 23:00:00 1988', 'Oct 16 23:59:59 1993');
timezone.add_rule('Brazil/West', 'AMST', 1, -10800, 'Oct 17 04:00:00 1993', 'Feb 20 02:59:59 1994', 'Oct 17 01:00:00 1993', 'Feb 19 23:59:59 1994');
timezone.add_rule('Brazil/West', 'AMT', 0, -14400, 'Feb 20 03:00:00 1994', 'Jan 18 03:14:07 2038', 'Feb 19 23:00:00 1994', 'Jan 17 23:14:07 2038');
end;
/

--
-- CET
--

begin
timezone.add_rule('CET', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 30 21:59:59 1916', 'Dec 14 21:45:52 1901', 'Apr 30 22:59:59 1916');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 16 01:00:00 1918', 'Apr 1 00:59:59 1940', 'Sep 16 02:00:00 1918', 'Apr 1 01:59:59 1940');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Apr 1 01:00:00 1940', 'Nov 2 00:59:59 1942', 'Apr 1 03:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('CET', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 3 00:59:59 1977', 'Oct 2 02:00:00 1944', 'Apr 3 01:59:59 1977');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Apr 3 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Apr 3 03:00:00 1977', 'Sep 25 02:59:59 1977');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 02:00:00 1977', 'Apr 2 01:59:59 1978');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 03:00:00 1978', 'Oct 1 02:59:59 1978');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 02:00:00 1978', 'Apr 1 01:59:59 1979');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('CET', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('CET', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('CET', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- CST6CDT
--

begin
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1919', 'Jun 13 07:59:59 1920', 'Oct 26 01:00:00 1919', 'Jun 13 01:59:59 1920');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Jun 13 08:00:00 1920', 'Oct 31 06:59:59 1920', 'Jun 13 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1920', 'Mar 27 07:59:59 1921', 'Oct 31 01:00:00 1920', 'Mar 27 01:59:59 1921');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Mar 27 08:00:00 1921', 'Oct 30 06:59:59 1921', 'Mar 27 03:00:00 1921', 'Oct 30 01:59:59 1921');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1921', 'Apr 30 07:59:59 1922', 'Oct 30 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1922', 'Sep 24 06:59:59 1922', 'Apr 30 03:00:00 1922', 'Sep 24 01:59:59 1922');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 24 07:00:00 1922', 'Apr 29 07:59:59 1923', 'Sep 24 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1923', 'Sep 30 06:59:59 1923', 'Apr 29 03:00:00 1923', 'Sep 30 01:59:59 1923');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 30 07:00:00 1923', 'Apr 27 07:59:59 1924', 'Sep 30 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1924', 'Sep 28 06:59:59 1924', 'Apr 27 03:00:00 1924', 'Sep 28 01:59:59 1924');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 28 07:00:00 1924', 'Apr 26 07:59:59 1925', 'Sep 28 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1925', 'Sep 27 06:59:59 1925', 'Apr 26 03:00:00 1925', 'Sep 27 01:59:59 1925');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 27 07:00:00 1925', 'Apr 25 07:59:59 1926', 'Sep 27 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1926', 'Sep 26 06:59:59 1926', 'Apr 25 03:00:00 1926', 'Sep 26 01:59:59 1926');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 26 07:00:00 1926', 'Apr 24 07:59:59 1927', 'Sep 26 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1927', 'Sep 25 06:59:59 1927', 'Apr 24 03:00:00 1927', 'Sep 25 01:59:59 1927');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 25 07:00:00 1927', 'Apr 29 07:59:59 1928', 'Sep 25 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1928', 'Sep 30 06:59:59 1928', 'Apr 29 03:00:00 1928', 'Sep 30 01:59:59 1928');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 30 07:00:00 1928', 'Apr 28 07:59:59 1929', 'Sep 30 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1929', 'Sep 29 06:59:59 1929', 'Apr 28 03:00:00 1929', 'Sep 29 01:59:59 1929');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 29 07:00:00 1929', 'Apr 27 07:59:59 1930', 'Sep 29 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1930', 'Sep 28 06:59:59 1930', 'Apr 27 03:00:00 1930', 'Sep 28 01:59:59 1930');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 28 07:00:00 1930', 'Apr 26 07:59:59 1931', 'Sep 28 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1931', 'Sep 27 06:59:59 1931', 'Apr 26 03:00:00 1931', 'Sep 27 01:59:59 1931');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 27 07:00:00 1931', 'Apr 24 07:59:59 1932', 'Sep 27 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1932', 'Sep 25 06:59:59 1932', 'Apr 24 03:00:00 1932', 'Sep 25 01:59:59 1932');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 25 07:00:00 1932', 'Apr 30 07:59:59 1933', 'Sep 25 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1933', 'Sep 24 06:59:59 1933', 'Apr 30 03:00:00 1933', 'Sep 24 01:59:59 1933');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 24 07:00:00 1933', 'Apr 29 07:59:59 1934', 'Sep 24 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1934', 'Sep 30 06:59:59 1934', 'Apr 29 03:00:00 1934', 'Sep 30 01:59:59 1934');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 30 07:00:00 1934', 'Apr 28 07:59:59 1935', 'Sep 30 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1935', 'Sep 29 06:59:59 1935', 'Apr 28 03:00:00 1935', 'Sep 29 01:59:59 1935');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 29 07:00:00 1935', 'Mar 1 07:59:59 1936', 'Sep 29 01:00:00 1935', 'Mar 1 01:59:59 1936');
timezone.add_rule('CST6CDT', 'CST', 0, -18000, 'Mar 1 08:00:00 1936', 'Nov 15 06:59:59 1936', 'Mar 1 03:00:00 1936', 'Nov 15 01:59:59 1936');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Nov 15 07:00:00 1936', 'Apr 25 07:59:59 1937', 'Nov 15 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1937', 'Sep 26 06:59:59 1937', 'Apr 25 03:00:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 26 07:00:00 1937', 'Apr 24 07:59:59 1938', 'Sep 26 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1938', 'Sep 25 06:59:59 1938', 'Apr 24 03:00:00 1938', 'Sep 25 01:59:59 1938');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 25 07:00:00 1938', 'Apr 30 07:59:59 1939', 'Sep 25 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1939', 'Sep 24 06:59:59 1939', 'Apr 30 03:00:00 1939', 'Sep 24 01:59:59 1939');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 24 07:00:00 1939', 'Apr 28 07:59:59 1940', 'Sep 24 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1940', 'Sep 29 06:59:59 1940', 'Apr 28 03:00:00 1940', 'Sep 29 01:59:59 1940');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 29 07:00:00 1940', 'Apr 27 07:59:59 1941', 'Sep 29 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1941', 'Sep 28 06:59:59 1941', 'Apr 27 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 28 07:00:00 1941', 'Feb 9 07:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Sep 29 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 29 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Oct 30 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Oct 28 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Oct 27 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Oct 26 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Oct 30 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1960', 'Apr 30 07:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1961', 'Oct 29 06:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1961', 'Apr 29 07:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1962', 'Oct 28 06:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1962', 'Apr 28 07:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1963', 'Oct 27 06:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1963', 'Apr 26 07:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1964', 'Oct 25 06:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1964', 'Apr 25 07:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1965', 'Oct 31 06:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1965', 'Apr 24 07:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1966', 'Oct 30 06:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1966', 'Apr 30 07:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1967', 'Oct 29 06:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1967', 'Apr 28 07:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1968', 'Oct 27 06:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1968', 'Apr 27 07:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1969', 'Oct 26 06:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1969', 'Apr 26 07:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1970', 'Oct 25 06:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1970', 'Apr 25 07:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1971', 'Oct 31 06:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1971', 'Apr 30 07:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1972', 'Oct 29 06:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1972', 'Apr 29 07:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1973', 'Jan 6 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Jan 6 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1974', 'Feb 23 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Feb 23 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1991', 'Apr 5 07:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 5 08:00:00 1992', 'Oct 25 06:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1992', 'Apr 4 07:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 4 08:00:00 1993', 'Oct 31 06:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1993', 'Apr 3 07:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 3 08:00:00 1994', 'Oct 30 06:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1994', 'Apr 2 07:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 2 08:00:00 1995', 'Oct 29 06:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1995', 'Apr 7 07:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('CST6CDT', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- Canada/Atlantic
--

begin
timezone.add_rule('Canada/Atlantic', 'AST', 0, -15264, 'Dec 14 20:45:52 1901', 'Jun 15 04:14:23 1902', 'Dec 14 16:31:28 1901', 'Jun 14 23:59:59 1902');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Jun 15 04:14:24 1902', 'Apr 1 03:59:59 1916', 'Jun 15 00:14:24 1902', 'Mar 31 23:59:59 1916');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 1 04:00:00 1916', 'Oct 1 02:59:59 1916', 'Apr 1 01:00:00 1916', 'Sep 30 23:59:59 1916');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 1 03:00:00 1916', 'Apr 14 05:59:59 1918', 'Sep 30 23:00:00 1916', 'Apr 14 01:59:59 1918');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 14 06:00:00 1918', 'Oct 31 04:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 1918', 'May 9 03:59:59 1920', 'Oct 31 01:00:00 1918', 'May 8 23:59:59 1920');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 9 04:00:00 1920', 'Aug 29 02:59:59 1920', 'May 9 01:00:00 1920', 'Aug 28 23:59:59 1920');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Aug 29 03:00:00 1920', 'May 6 03:59:59 1921', 'Aug 28 23:00:00 1920', 'May 5 23:59:59 1921');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 6 04:00:00 1921', 'Sep 5 02:59:59 1921', 'May 6 01:00:00 1921', 'Sep 4 23:59:59 1921');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 5 03:00:00 1921', 'Apr 30 03:59:59 1922', 'Sep 4 23:00:00 1921', 'Apr 29 23:59:59 1922');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 30 04:00:00 1922', 'Sep 5 02:59:59 1922', 'Apr 30 01:00:00 1922', 'Sep 4 23:59:59 1922');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 5 03:00:00 1922', 'May 6 03:59:59 1923', 'Sep 4 23:00:00 1922', 'May 5 23:59:59 1923');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 6 04:00:00 1923', 'Sep 4 02:59:59 1923', 'May 6 01:00:00 1923', 'Sep 3 23:59:59 1923');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 4 03:00:00 1923', 'May 4 03:59:59 1924', 'Sep 3 23:00:00 1923', 'May 3 23:59:59 1924');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 4 04:00:00 1924', 'Sep 15 02:59:59 1924', 'May 4 01:00:00 1924', 'Sep 14 23:59:59 1924');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 15 03:00:00 1924', 'May 3 03:59:59 1925', 'Sep 14 23:00:00 1924', 'May 2 23:59:59 1925');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 3 04:00:00 1925', 'Sep 28 02:59:59 1925', 'May 3 01:00:00 1925', 'Sep 27 23:59:59 1925');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 28 03:00:00 1925', 'May 16 03:59:59 1926', 'Sep 27 23:00:00 1925', 'May 15 23:59:59 1926');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 16 04:00:00 1926', 'Sep 13 02:59:59 1926', 'May 16 01:00:00 1926', 'Sep 12 23:59:59 1926');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 13 03:00:00 1926', 'May 1 03:59:59 1927', 'Sep 12 23:00:00 1926', 'Apr 30 23:59:59 1927');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 1 04:00:00 1927', 'Sep 26 02:59:59 1927', 'May 1 01:00:00 1927', 'Sep 25 23:59:59 1927');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 26 03:00:00 1927', 'May 13 03:59:59 1928', 'Sep 25 23:00:00 1927', 'May 12 23:59:59 1928');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 13 04:00:00 1928', 'Sep 9 02:59:59 1928', 'May 13 01:00:00 1928', 'Sep 8 23:59:59 1928');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 9 03:00:00 1928', 'May 12 03:59:59 1929', 'Sep 8 23:00:00 1928', 'May 11 23:59:59 1929');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 12 04:00:00 1929', 'Sep 3 02:59:59 1929', 'May 12 01:00:00 1929', 'Sep 2 23:59:59 1929');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 3 03:00:00 1929', 'May 11 03:59:59 1930', 'Sep 2 23:00:00 1929', 'May 10 23:59:59 1930');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 11 04:00:00 1930', 'Sep 15 02:59:59 1930', 'May 11 01:00:00 1930', 'Sep 14 23:59:59 1930');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 15 03:00:00 1930', 'May 10 03:59:59 1931', 'Sep 14 23:00:00 1930', 'May 9 23:59:59 1931');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 10 04:00:00 1931', 'Sep 28 02:59:59 1931', 'May 10 01:00:00 1931', 'Sep 27 23:59:59 1931');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 28 03:00:00 1931', 'Apr 30 03:59:59 1933', 'Sep 27 23:00:00 1931', 'Apr 29 23:59:59 1933');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 30 04:00:00 1933', 'Oct 2 02:59:59 1933', 'Apr 30 01:00:00 1933', 'Oct 1 23:59:59 1933');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 2 03:00:00 1933', 'May 20 03:59:59 1934', 'Oct 1 23:00:00 1933', 'May 19 23:59:59 1934');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 20 04:00:00 1934', 'Sep 16 02:59:59 1934', 'May 20 01:00:00 1934', 'Sep 15 23:59:59 1934');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 16 03:00:00 1934', 'Jun 2 03:59:59 1935', 'Sep 15 23:00:00 1934', 'Jun 1 23:59:59 1935');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Jun 2 04:00:00 1935', 'Sep 30 02:59:59 1935', 'Jun 2 01:00:00 1935', 'Sep 29 23:59:59 1935');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 30 03:00:00 1935', 'Jun 1 03:59:59 1936', 'Sep 29 23:00:00 1935', 'May 31 23:59:59 1936');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Jun 1 04:00:00 1936', 'Sep 14 02:59:59 1936', 'Jun 1 01:00:00 1936', 'Sep 13 23:59:59 1936');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 14 03:00:00 1936', 'May 2 03:59:59 1937', 'Sep 13 23:00:00 1936', 'May 1 23:59:59 1937');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 2 04:00:00 1937', 'Sep 27 02:59:59 1937', 'May 2 01:00:00 1937', 'Sep 26 23:59:59 1937');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 27 03:00:00 1937', 'May 1 03:59:59 1938', 'Sep 26 23:00:00 1937', 'Apr 30 23:59:59 1938');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 1 04:00:00 1938', 'Sep 26 02:59:59 1938', 'May 1 01:00:00 1938', 'Sep 25 23:59:59 1938');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 26 03:00:00 1938', 'May 28 03:59:59 1939', 'Sep 25 23:00:00 1938', 'May 27 23:59:59 1939');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 28 04:00:00 1939', 'Sep 25 02:59:59 1939', 'May 28 01:00:00 1939', 'Sep 24 23:59:59 1939');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 25 03:00:00 1939', 'May 5 03:59:59 1940', 'Sep 24 23:00:00 1939', 'May 4 23:59:59 1940');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 5 04:00:00 1940', 'Sep 30 02:59:59 1940', 'May 5 01:00:00 1940', 'Sep 29 23:59:59 1940');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 30 03:00:00 1940', 'May 4 03:59:59 1941', 'Sep 29 23:00:00 1940', 'May 3 23:59:59 1941');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'May 4 04:00:00 1941', 'Sep 29 02:59:59 1941', 'May 4 01:00:00 1941', 'Sep 28 23:59:59 1941');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 29 03:00:00 1941', 'Feb 9 05:59:59 1942', 'Sep 28 23:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Feb 9 06:00:00 1942', 'Sep 30 04:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 30 05:00:00 1945', 'Apr 28 05:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 28 06:00:00 1946', 'Sep 29 04:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 29 05:00:00 1946', 'Apr 27 05:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 27 06:00:00 1947', 'Sep 28 04:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 28 05:00:00 1947', 'Apr 25 05:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 25 06:00:00 1948', 'Sep 26 04:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 26 05:00:00 1948', 'Apr 24 05:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 24 06:00:00 1949', 'Sep 25 04:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 25 05:00:00 1949', 'Apr 30 05:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 30 06:00:00 1950', 'Sep 24 04:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 24 05:00:00 1950', 'Apr 29 05:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 29 06:00:00 1951', 'Sep 30 04:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 30 05:00:00 1951', 'Apr 27 05:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 27 06:00:00 1952', 'Sep 28 04:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 28 05:00:00 1952', 'Apr 26 05:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 26 06:00:00 1953', 'Sep 27 04:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 27 05:00:00 1953', 'Apr 25 05:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 25 06:00:00 1954', 'Sep 26 04:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 26 05:00:00 1954', 'Apr 24 05:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 24 06:00:00 1955', 'Sep 25 04:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 25 05:00:00 1955', 'Apr 29 05:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 29 06:00:00 1956', 'Sep 30 04:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 30 05:00:00 1956', 'Apr 28 05:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 28 06:00:00 1957', 'Sep 29 04:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 29 05:00:00 1957', 'Apr 27 05:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 27 06:00:00 1958', 'Sep 28 04:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 28 05:00:00 1958', 'Apr 26 05:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 26 06:00:00 1959', 'Sep 27 04:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Sep 27 05:00:00 1959', 'Apr 29 05:59:59 1962', 'Sep 27 01:00:00 1959', 'Apr 29 01:59:59 1962');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 29 06:00:00 1962', 'Oct 28 04:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 1962', 'Apr 28 05:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 28 06:00:00 1963', 'Oct 27 04:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 1963', 'Apr 26 05:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 26 06:00:00 1964', 'Oct 25 04:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 1964', 'Apr 25 05:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 25 06:00:00 1965', 'Oct 31 04:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 1965', 'Apr 24 05:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 24 06:00:00 1966', 'Oct 30 04:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 1966', 'Apr 30 05:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 30 06:00:00 1967', 'Oct 29 04:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 1967', 'Apr 28 05:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 28 06:00:00 1968', 'Oct 27 04:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 1968', 'Apr 27 05:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 27 06:00:00 1969', 'Oct 26 04:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 1969', 'Apr 26 05:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 26 06:00:00 1970', 'Oct 25 04:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 1970', 'Apr 25 05:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 25 06:00:00 1971', 'Oct 31 04:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 1971', 'Apr 30 05:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 30 06:00:00 1972', 'Oct 29 04:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 1972', 'Apr 29 05:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 29 06:00:00 1973', 'Oct 28 04:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 1973', 'Apr 28 05:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 28 06:00:00 1974', 'Oct 27 04:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 1974', 'Apr 27 05:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 27 06:00:00 1975', 'Oct 26 04:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 1975', 'Apr 25 05:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 25 06:00:00 1976', 'Oct 31 04:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 1976', 'Apr 24 05:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 24 06:00:00 1977', 'Oct 30 04:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 1977', 'Apr 30 05:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 30 06:00:00 1978', 'Oct 29 04:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 1978', 'Apr 29 05:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 29 06:00:00 1979', 'Oct 28 04:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 1979', 'Apr 27 05:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 27 06:00:00 1980', 'Oct 26 04:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 1980', 'Apr 26 05:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 26 06:00:00 1981', 'Oct 25 04:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 1981', 'Apr 25 05:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 25 06:00:00 1982', 'Oct 31 04:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 1982', 'Apr 24 05:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 24 06:00:00 1983', 'Oct 30 04:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 1983', 'Apr 29 05:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 29 06:00:00 1984', 'Oct 28 04:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 1984', 'Apr 28 05:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 28 06:00:00 1985', 'Oct 27 04:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 1985', 'Apr 27 05:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 27 06:00:00 1986', 'Oct 26 04:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 1986', 'Apr 5 05:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 5 06:00:00 1987', 'Oct 25 04:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 1987', 'Apr 3 05:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 3 06:00:00 1988', 'Oct 30 04:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 1988', 'Apr 2 05:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 2 06:00:00 1989', 'Oct 29 04:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 1989', 'Apr 1 05:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 1 06:00:00 1990', 'Oct 28 04:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 1990', 'Apr 7 05:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 7 06:00:00 1991', 'Oct 27 04:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 1991', 'Apr 5 05:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 5 06:00:00 1992', 'Oct 25 04:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 1992', 'Apr 4 05:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 4 06:00:00 1993', 'Oct 31 04:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 1993', 'Apr 3 05:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 3 06:00:00 1994', 'Oct 30 04:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 1994', 'Apr 2 05:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 2 06:00:00 1995', 'Oct 29 04:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 1995', 'Apr 7 05:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 7 06:00:00 1996', 'Oct 27 04:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 1996', 'Apr 6 05:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 6 06:00:00 1997', 'Oct 26 04:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 1997', 'Apr 5 05:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 5 06:00:00 1998', 'Oct 25 04:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 1998', 'Apr 4 05:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 4 06:00:00 1999', 'Oct 31 04:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 1999', 'Apr 2 05:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 2 06:00:00 2000', 'Oct 29 04:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 2000', 'Apr 1 05:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 1 06:00:00 2001', 'Oct 28 04:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 2001', 'Apr 7 05:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 7 06:00:00 2002', 'Oct 27 04:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 2002', 'Apr 6 05:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 6 06:00:00 2003', 'Oct 26 04:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 2003', 'Apr 4 05:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 4 06:00:00 2004', 'Oct 31 04:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 2004', 'Apr 3 05:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 3 06:00:00 2005', 'Oct 30 04:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 2005', 'Apr 2 05:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 2 06:00:00 2006', 'Oct 29 04:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 2006', 'Apr 1 05:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 1 06:00:00 2007', 'Oct 28 04:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 2007', 'Apr 6 05:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 6 06:00:00 2008', 'Oct 26 04:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 2008', 'Apr 5 05:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 5 06:00:00 2009', 'Oct 25 04:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 2009', 'Apr 4 05:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 4 06:00:00 2010', 'Oct 31 04:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 2010', 'Apr 3 05:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 3 06:00:00 2011', 'Oct 30 04:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 2011', 'Apr 1 05:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 1 06:00:00 2012', 'Oct 28 04:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 2012', 'Apr 7 05:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 7 06:00:00 2013', 'Oct 27 04:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 2013', 'Apr 6 05:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 6 06:00:00 2014', 'Oct 26 04:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 2014', 'Apr 5 05:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 5 06:00:00 2015', 'Oct 25 04:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 2015', 'Apr 3 05:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 3 06:00:00 2016', 'Oct 30 04:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 2016', 'Apr 2 05:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 2 06:00:00 2017', 'Oct 29 04:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 2017', 'Apr 1 05:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 1 06:00:00 2018', 'Oct 28 04:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 2018', 'Apr 7 05:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 7 06:00:00 2019', 'Oct 27 04:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 2019', 'Apr 5 05:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 5 06:00:00 2020', 'Oct 25 04:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 2020', 'Apr 4 05:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 4 06:00:00 2021', 'Oct 31 04:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 2021', 'Apr 3 05:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 3 06:00:00 2022', 'Oct 30 04:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 2022', 'Apr 2 05:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 2 06:00:00 2023', 'Oct 29 04:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 2023', 'Apr 7 05:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 7 06:00:00 2024', 'Oct 27 04:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 2024', 'Apr 6 05:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 6 06:00:00 2025', 'Oct 26 04:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 2025', 'Apr 5 05:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 5 06:00:00 2026', 'Oct 25 04:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 2026', 'Apr 4 05:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 4 06:00:00 2027', 'Oct 31 04:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 2027', 'Apr 2 05:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 2 06:00:00 2028', 'Oct 29 04:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 2028', 'Apr 1 05:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 1 06:00:00 2029', 'Oct 28 04:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 2029', 'Apr 7 05:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 7 06:00:00 2030', 'Oct 27 04:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 27 05:00:00 2030', 'Apr 6 05:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 6 06:00:00 2031', 'Oct 26 04:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 2031', 'Apr 4 05:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 4 06:00:00 2032', 'Oct 31 04:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 31 05:00:00 2032', 'Apr 3 05:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 3 06:00:00 2033', 'Oct 30 04:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 30 05:00:00 2033', 'Apr 2 05:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 2 06:00:00 2034', 'Oct 29 04:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 29 05:00:00 2034', 'Apr 1 05:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 1 06:00:00 2035', 'Oct 28 04:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 28 05:00:00 2035', 'Apr 6 05:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 6 06:00:00 2036', 'Oct 26 04:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 26 05:00:00 2036', 'Apr 5 05:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Canada/Atlantic', 'ADT', 1, -10800, 'Apr 5 06:00:00 2037', 'Oct 25 04:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Canada/Atlantic', 'AST', 0, -14400, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:14:07 2038');
end;
/

--
-- Canada/Central
--

begin
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Apr 23 05:59:59 1916', 'Dec 14 14:45:52 1901', 'Apr 22 23:59:59 1916');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 23 06:00:00 1916', 'Sep 17 04:59:59 1916', 'Apr 23 01:00:00 1916', 'Sep 16 23:59:59 1916');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 17 05:00:00 1916', 'Apr 14 07:59:59 1918', 'Sep 16 23:00:00 1916', 'Apr 14 01:59:59 1918');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 14 08:00:00 1918', 'Oct 31 06:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1918', 'May 16 07:59:59 1937', 'Oct 31 01:00:00 1918', 'May 16 01:59:59 1937');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'May 16 08:00:00 1937', 'Sep 26 06:59:59 1937', 'May 16 03:00:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 26 07:00:00 1937', 'Feb 9 07:59:59 1942', 'Sep 26 01:00:00 1937', 'Feb 9 01:59:59 1942');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 30 07:00:00 1945', 'May 12 07:59:59 1946', 'Sep 30 01:00:00 1945', 'May 12 01:59:59 1946');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'May 12 08:00:00 1946', 'Oct 13 06:59:59 1946', 'May 12 03:00:00 1946', 'Oct 13 01:59:59 1946');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 13 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Oct 13 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 25 07:00:00 1949', 'May 1 07:59:59 1950', 'Sep 25 01:00:00 1949', 'May 1 01:59:59 1950');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'May 1 08:00:00 1950', 'Sep 30 06:59:59 1950', 'May 1 03:00:00 1950', 'Sep 30 01:59:59 1950');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 30 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 30 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Sep 25 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 25 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Sep 30 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 30 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Sep 29 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Sep 28 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 28 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Sep 25 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 25 07:00:00 1960', 'Apr 28 07:59:59 1963', 'Sep 25 01:00:00 1960', 'Apr 28 01:59:59 1963');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1963', 'Sep 22 06:59:59 1963', 'Apr 28 03:00:00 1963', 'Sep 22 01:59:59 1963');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Sep 22 07:00:00 1963', 'Apr 24 07:59:59 1966', 'Sep 22 01:00:00 1963', 'Apr 24 01:59:59 1966');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1966', 'Oct 30 06:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1966', 'Apr 30 07:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1967', 'Oct 29 06:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1967', 'Apr 28 07:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1968', 'Oct 27 06:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1968', 'Apr 27 07:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1969', 'Oct 26 06:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1969', 'Apr 26 07:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1970', 'Oct 25 06:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1970', 'Apr 25 07:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1971', 'Oct 31 06:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1971', 'Apr 30 07:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1972', 'Oct 29 06:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1972', 'Apr 29 07:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1973', 'Apr 28 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1974', 'Apr 27 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1991', 'Apr 5 07:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 1992', 'Oct 25 06:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1992', 'Apr 4 07:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 1993', 'Oct 31 06:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1993', 'Apr 3 07:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 1994', 'Oct 30 06:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1994', 'Apr 2 07:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 1995', 'Oct 29 06:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1995', 'Apr 7 07:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Canada/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Canada/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- Canada/East-Saskatchewan
--

begin
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25116, 'Dec 14 20:45:52 1901', 'Sep 1 06:58:35 1905', 'Dec 14 13:47:16 1901', 'Aug 31 23:59:59 1905');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 1 06:58:36 1905', 'Apr 14 08:59:59 1918', 'Aug 31 23:58:36 1905', 'Apr 14 01:59:59 1918');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 14 09:00:00 1918', 'Oct 31 07:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 31 08:00:00 1918', 'May 4 06:59:59 1930', 'Oct 31 01:00:00 1918', 'May 3 23:59:59 1930');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'May 4 07:00:00 1930', 'Oct 5 05:59:59 1930', 'May 4 01:00:00 1930', 'Oct 4 23:59:59 1930');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 5 06:00:00 1930', 'May 3 06:59:59 1931', 'Oct 4 23:00:00 1930', 'May 2 23:59:59 1931');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'May 3 07:00:00 1931', 'Oct 4 05:59:59 1931', 'May 3 01:00:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 4 06:00:00 1931', 'May 1 06:59:59 1932', 'Oct 3 23:00:00 1931', 'Apr 30 23:59:59 1932');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'May 1 07:00:00 1932', 'Oct 2 05:59:59 1932', 'May 1 01:00:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 2 06:00:00 1932', 'May 7 06:59:59 1933', 'Oct 1 23:00:00 1932', 'May 6 23:59:59 1933');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'May 7 07:00:00 1933', 'Oct 1 05:59:59 1933', 'May 7 01:00:00 1933', 'Sep 30 23:59:59 1933');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 1 06:00:00 1933', 'May 6 06:59:59 1934', 'Sep 30 23:00:00 1933', 'May 5 23:59:59 1934');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'May 6 07:00:00 1934', 'Oct 7 05:59:59 1934', 'May 6 01:00:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 7 06:00:00 1934', 'Apr 11 06:59:59 1937', 'Oct 6 23:00:00 1934', 'Apr 10 23:59:59 1937');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 11 07:00:00 1937', 'Oct 10 05:59:59 1937', 'Apr 11 01:00:00 1937', 'Oct 9 23:59:59 1937');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 10 06:00:00 1937', 'Apr 10 06:59:59 1938', 'Oct 9 23:00:00 1937', 'Apr 9 23:59:59 1938');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 10 07:00:00 1938', 'Oct 2 05:59:59 1938', 'Apr 10 01:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 2 06:00:00 1938', 'Apr 9 06:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 8 23:59:59 1939');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 9 07:00:00 1939', 'Oct 8 05:59:59 1939', 'Apr 9 01:00:00 1939', 'Oct 7 23:59:59 1939');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 8 06:00:00 1939', 'Apr 14 06:59:59 1940', 'Oct 7 23:00:00 1939', 'Apr 13 23:59:59 1940');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 14 07:00:00 1940', 'Oct 13 05:59:59 1940', 'Apr 14 01:00:00 1940', 'Oct 12 23:59:59 1940');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 13 06:00:00 1940', 'Apr 13 06:59:59 1941', 'Oct 12 23:00:00 1940', 'Apr 12 23:59:59 1941');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 13 07:00:00 1941', 'Oct 12 05:59:59 1941', 'Apr 13 01:00:00 1941', 'Oct 11 23:59:59 1941');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 12 06:00:00 1941', 'Feb 9 08:59:59 1942', 'Oct 11 23:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 14 08:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 14 01:59:59 1946');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 14 09:00:00 1946', 'Oct 13 07:59:59 1946', 'Apr 14 03:00:00 1946', 'Oct 13 01:59:59 1946');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 13 08:00:00 1946', 'Apr 27 08:59:59 1947', 'Oct 13 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 27 09:00:00 1947', 'Sep 28 07:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 28 08:00:00 1947', 'Apr 25 08:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 25 09:00:00 1948', 'Sep 26 07:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 26 08:00:00 1948', 'Apr 24 08:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 24 09:00:00 1949', 'Sep 25 07:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 25 08:00:00 1949', 'Apr 30 08:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 30 09:00:00 1950', 'Sep 24 07:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 24 08:00:00 1950', 'Apr 29 08:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 29 09:00:00 1951', 'Sep 30 07:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 30 08:00:00 1951', 'Apr 27 08:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 27 09:00:00 1952', 'Sep 28 07:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 28 08:00:00 1952', 'Apr 26 08:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 26 09:00:00 1953', 'Sep 27 07:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 27 08:00:00 1953', 'Apr 25 08:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 25 09:00:00 1954', 'Sep 26 07:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 26 08:00:00 1954', 'Apr 24 08:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 24 09:00:00 1955', 'Sep 25 07:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 25 08:00:00 1955', 'Apr 29 08:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 29 09:00:00 1956', 'Sep 30 07:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 30 08:00:00 1956', 'Apr 28 08:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 28 09:00:00 1957', 'Sep 29 07:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 29 08:00:00 1957', 'Apr 27 08:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 27 09:00:00 1958', 'Sep 28 07:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Sep 28 08:00:00 1958', 'Apr 26 08:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('Canada/East-Saskatchewan', 'MDT', 1, -21600, 'Apr 26 09:00:00 1959', 'Oct 25 07:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -25200, 'Oct 25 08:00:00 1959', 'Apr 24 08:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('Canada/East-Saskatchewan', 'CST', 0, -21600, 'Apr 24 09:00:00 1960', 'Jan 18 03:14:07 2038', 'Apr 24 03:00:00 1960', 'Jan 17 21:14:07 2038');
end;
/

--
-- Canada/Eastern
--

begin
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Mar 25 06:59:59 1917', 'Dec 14 15:45:52 1901', 'Mar 25 01:59:59 1917');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Mar 25 07:00:00 1917', 'Apr 24 03:59:59 1917', 'Mar 25 03:00:00 1917', 'Apr 23 23:59:59 1917');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Apr 24 04:00:00 1917', 'Apr 14 06:59:59 1918', 'Apr 23 23:00:00 1917', 'Apr 14 01:59:59 1918');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 14 07:00:00 1918', 'Oct 31 05:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1918', 'Mar 31 07:29:59 1919', 'Oct 31 01:00:00 1918', 'Mar 31 02:29:59 1919');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Mar 31 07:30:00 1919', 'Oct 25 06:29:59 1919', 'Mar 31 03:30:00 1919', 'Oct 25 02:29:59 1919');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:30:00 1919', 'May 2 07:29:59 1920', 'Oct 25 01:30:00 1919', 'May 2 02:29:59 1920');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'May 2 07:30:00 1920', 'Oct 3 06:29:59 1920', 'May 2 03:30:00 1920', 'Oct 3 02:29:59 1920');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 3 06:30:00 1920', 'May 1 06:59:59 1921', 'Oct 3 01:30:00 1920', 'May 1 01:59:59 1921');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'May 1 07:00:00 1921', 'Oct 2 06:29:59 1921', 'May 1 03:00:00 1921', 'Oct 2 02:29:59 1921');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 2 06:30:00 1921', 'Apr 30 06:59:59 1922', 'Oct 2 01:30:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1922', 'Oct 1 06:29:59 1922', 'Apr 30 03:00:00 1922', 'Oct 1 02:29:59 1922');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 1 06:30:00 1922', 'May 17 06:59:59 1924', 'Oct 1 01:30:00 1922', 'May 17 01:59:59 1924');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'May 17 07:00:00 1924', 'Sep 28 06:29:59 1924', 'May 17 03:00:00 1924', 'Sep 28 02:29:59 1924');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 28 06:30:00 1924', 'May 3 06:59:59 1925', 'Sep 28 01:30:00 1924', 'May 3 01:59:59 1925');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'May 3 07:00:00 1925', 'Sep 27 06:29:59 1925', 'May 3 03:00:00 1925', 'Sep 27 02:29:59 1925');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 27 06:30:00 1925', 'May 2 06:59:59 1926', 'Sep 27 01:30:00 1925', 'May 2 01:59:59 1926');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'May 2 07:00:00 1926', 'Sep 26 06:29:59 1926', 'May 2 03:00:00 1926', 'Sep 26 02:29:59 1926');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 26 06:30:00 1926', 'May 1 04:59:59 1927', 'Sep 26 01:30:00 1926', 'Apr 30 23:59:59 1927');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'May 1 05:00:00 1927', 'Sep 25 03:59:59 1927', 'May 1 01:00:00 1927', 'Sep 24 23:59:59 1927');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 25 04:00:00 1927', 'Apr 29 04:59:59 1928', 'Sep 24 23:00:00 1927', 'Apr 28 23:59:59 1928');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 29 05:00:00 1928', 'Sep 30 03:59:59 1928', 'Apr 29 01:00:00 1928', 'Sep 29 23:59:59 1928');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 30 04:00:00 1928', 'Apr 28 04:59:59 1929', 'Sep 29 23:00:00 1928', 'Apr 27 23:59:59 1929');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 28 05:00:00 1929', 'Sep 29 03:59:59 1929', 'Apr 28 01:00:00 1929', 'Sep 28 23:59:59 1929');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 29 04:00:00 1929', 'Apr 27 04:59:59 1930', 'Sep 28 23:00:00 1929', 'Apr 26 23:59:59 1930');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 27 05:00:00 1930', 'Sep 28 03:59:59 1930', 'Apr 27 01:00:00 1930', 'Sep 27 23:59:59 1930');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 28 04:00:00 1930', 'Apr 26 04:59:59 1931', 'Sep 27 23:00:00 1930', 'Apr 25 23:59:59 1931');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 26 05:00:00 1931', 'Sep 27 03:59:59 1931', 'Apr 26 01:00:00 1931', 'Sep 26 23:59:59 1931');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 27 04:00:00 1931', 'May 1 04:59:59 1932', 'Sep 26 23:00:00 1931', 'Apr 30 23:59:59 1932');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'May 1 05:00:00 1932', 'Sep 25 03:59:59 1932', 'May 1 01:00:00 1932', 'Sep 24 23:59:59 1932');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 25 04:00:00 1932', 'Apr 30 04:59:59 1933', 'Sep 24 23:00:00 1932', 'Apr 29 23:59:59 1933');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 30 05:00:00 1933', 'Oct 1 03:59:59 1933', 'Apr 30 01:00:00 1933', 'Sep 30 23:59:59 1933');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 1 04:00:00 1933', 'Apr 29 04:59:59 1934', 'Sep 30 23:00:00 1933', 'Apr 28 23:59:59 1934');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 29 05:00:00 1934', 'Sep 30 03:59:59 1934', 'Apr 29 01:00:00 1934', 'Sep 29 23:59:59 1934');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 30 04:00:00 1934', 'Apr 28 04:59:59 1935', 'Sep 29 23:00:00 1934', 'Apr 27 23:59:59 1935');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 28 05:00:00 1935', 'Sep 29 03:59:59 1935', 'Apr 28 01:00:00 1935', 'Sep 28 23:59:59 1935');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 29 04:00:00 1935', 'Apr 26 04:59:59 1936', 'Sep 28 23:00:00 1935', 'Apr 25 23:59:59 1936');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 26 05:00:00 1936', 'Sep 27 03:59:59 1936', 'Apr 26 01:00:00 1936', 'Sep 26 23:59:59 1936');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 27 04:00:00 1936', 'Apr 25 04:59:59 1937', 'Sep 26 23:00:00 1936', 'Apr 24 23:59:59 1937');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 25 05:00:00 1937', 'Sep 26 03:59:59 1937', 'Apr 25 01:00:00 1937', 'Sep 25 23:59:59 1937');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 26 04:00:00 1937', 'Apr 24 04:59:59 1938', 'Sep 25 23:00:00 1937', 'Apr 23 23:59:59 1938');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 24 05:00:00 1938', 'Sep 25 03:59:59 1938', 'Apr 24 01:00:00 1938', 'Sep 24 23:59:59 1938');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 25 04:00:00 1938', 'Apr 30 04:59:59 1939', 'Sep 24 23:00:00 1938', 'Apr 29 23:59:59 1939');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 30 05:00:00 1939', 'Sep 24 03:59:59 1939', 'Apr 30 01:00:00 1939', 'Sep 23 23:59:59 1939');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 24 04:00:00 1939', 'Apr 28 04:59:59 1940', 'Sep 23 23:00:00 1939', 'Apr 27 23:59:59 1940');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 28 05:00:00 1940', 'Sep 30 05:59:59 1945', 'Apr 28 01:00:00 1940', 'Sep 30 01:59:59 1945');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 28 06:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1946', 'Sep 29 05:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 29 06:00:00 1946', 'Apr 27 06:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1947', 'Sep 28 05:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 28 06:00:00 1947', 'Apr 25 06:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1948', 'Sep 26 05:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 26 06:00:00 1948', 'Apr 24 06:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1949', 'Oct 30 05:59:59 1949', 'Apr 24 03:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1949', 'Apr 30 06:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1950', 'Oct 29 05:59:59 1950', 'Apr 30 03:00:00 1950', 'Oct 29 01:59:59 1950');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1950', 'Apr 29 06:59:59 1951', 'Oct 29 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1951', 'Sep 30 05:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 30 06:00:00 1951', 'Apr 27 06:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1952', 'Sep 28 05:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 28 06:00:00 1952', 'Apr 26 06:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1953', 'Sep 27 05:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 27 06:00:00 1953', 'Apr 25 06:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1954', 'Sep 26 05:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 26 06:00:00 1954', 'Apr 24 06:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1955', 'Sep 25 05:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 25 06:00:00 1955', 'Apr 29 06:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1956', 'Sep 30 05:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Sep 30 06:00:00 1956', 'Apr 28 06:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1957', 'Oct 27 05:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1957', 'Apr 27 06:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1958', 'Oct 26 05:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1958', 'Apr 26 06:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1959', 'Oct 25 05:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1959', 'Apr 24 06:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1960', 'Oct 30 05:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1960', 'Apr 30 06:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1961', 'Oct 29 05:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1961', 'Apr 29 06:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1962', 'Oct 28 05:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1962', 'Apr 28 06:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1963', 'Oct 27 05:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1963', 'Apr 26 06:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1964', 'Oct 25 05:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1964', 'Apr 25 06:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1965', 'Oct 31 05:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1965', 'Apr 24 06:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1966', 'Oct 30 05:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1966', 'Apr 30 06:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1967', 'Oct 29 05:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1967', 'Apr 28 06:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1968', 'Oct 27 05:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1968', 'Apr 27 06:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Apr 28 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Apr 27 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Canada/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Canada/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- Canada/Mountain
--

begin
timezone.add_rule('Canada/Mountain', 'MST', 0, -27232, 'Dec 14 20:45:52 1901', 'Sep 1 07:33:51 1906', 'Dec 14 13:12:00 1901', 'Aug 31 23:59:59 1906');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Sep 1 07:33:52 1906', 'Apr 14 08:59:59 1918', 'Sep 1 00:33:52 1906', 'Apr 14 01:59:59 1918');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 14 09:00:00 1918', 'Oct 31 07:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1918', 'Apr 13 08:59:59 1919', 'Oct 31 01:00:00 1918', 'Apr 13 01:59:59 1919');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 13 09:00:00 1919', 'May 27 07:59:59 1919', 'Apr 13 03:00:00 1919', 'May 27 01:59:59 1919');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'May 27 08:00:00 1919', 'Apr 25 08:59:59 1920', 'May 27 01:00:00 1919', 'Apr 25 01:59:59 1920');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 25 09:00:00 1920', 'Oct 31 07:59:59 1920', 'Apr 25 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1920', 'Apr 24 08:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 24 09:00:00 1921', 'Sep 25 07:59:59 1921', 'Apr 24 03:00:00 1921', 'Sep 25 01:59:59 1921');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Sep 25 08:00:00 1921', 'Apr 30 08:59:59 1922', 'Sep 25 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 30 09:00:00 1922', 'Sep 24 07:59:59 1922', 'Apr 30 03:00:00 1922', 'Sep 24 01:59:59 1922');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Sep 24 08:00:00 1922', 'Apr 29 08:59:59 1923', 'Sep 24 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 29 09:00:00 1923', 'Sep 30 07:59:59 1923', 'Apr 29 03:00:00 1923', 'Sep 30 01:59:59 1923');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Sep 30 08:00:00 1923', 'Feb 9 08:59:59 1942', 'Sep 30 01:00:00 1923', 'Feb 9 01:59:59 1942');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 27 08:59:59 1947', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1947');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 27 09:00:00 1947', 'Sep 28 07:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Sep 28 08:00:00 1947', 'Apr 30 08:59:59 1967', 'Sep 28 01:00:00 1947', 'Apr 30 01:59:59 1967');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Apr 27 08:59:59 1969', 'Oct 29 01:00:00 1967', 'Apr 27 01:59:59 1969');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 27 09:00:00 1969', 'Oct 26 07:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1969', 'Apr 30 08:59:59 1972', 'Oct 26 01:00:00 1969', 'Apr 30 01:59:59 1972');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 30 09:00:00 1972', 'Oct 29 07:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1972', 'Apr 29 08:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 29 09:00:00 1973', 'Oct 28 07:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 1973', 'Apr 28 08:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 28 09:00:00 1974', 'Oct 27 07:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1974', 'Apr 27 08:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 27 09:00:00 1975', 'Oct 26 07:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1975', 'Apr 25 08:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 25 09:00:00 1976', 'Oct 31 07:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1976', 'Apr 24 08:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 24 09:00:00 1977', 'Oct 30 07:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 1977', 'Apr 30 08:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 30 09:00:00 1978', 'Oct 29 07:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1978', 'Apr 29 08:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 29 09:00:00 1979', 'Oct 28 07:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 1979', 'Apr 27 08:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Canada/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Canada/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- Canada/Newfoundland
--

begin
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Dec 14 20:45:52 1901', 'Apr 8 05:30:51 1917', 'Dec 14 17:15:00 1901', 'Apr 8 01:59:59 1917');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'Apr 8 05:30:52 1917', 'Sep 17 04:30:51 1917', 'Apr 8 03:00:00 1917', 'Sep 17 01:59:59 1917');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Sep 17 04:30:52 1917', 'Apr 14 05:30:51 1918', 'Sep 17 01:00:00 1917', 'Apr 14 01:59:59 1918');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'Apr 14 05:30:52 1918', 'Oct 31 04:30:51 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 31 04:30:52 1918', 'May 6 02:30:51 1919', 'Oct 31 01:00:00 1918', 'May 5 22:59:59 1919');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 6 02:30:52 1919', 'Aug 13 01:30:51 1919', 'May 6 00:00:00 1919', 'Aug 12 22:59:59 1919');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Aug 13 01:30:52 1919', 'May 3 02:30:51 1920', 'Aug 12 22:00:00 1919', 'May 2 22:59:59 1920');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 3 02:30:52 1920', 'Nov 1 01:30:51 1920', 'May 3 00:00:00 1920', 'Oct 31 22:59:59 1920');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Nov 1 01:30:52 1920', 'May 2 02:30:51 1921', 'Oct 31 22:00:00 1920', 'May 1 22:59:59 1921');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 2 02:30:52 1921', 'Oct 31 01:30:51 1921', 'May 2 00:00:00 1921', 'Oct 30 22:59:59 1921');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 31 01:30:52 1921', 'May 8 02:30:51 1922', 'Oct 30 22:00:00 1921', 'May 7 22:59:59 1922');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 8 02:30:52 1922', 'Oct 30 01:30:51 1922', 'May 8 00:00:00 1922', 'Oct 29 22:59:59 1922');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 30 01:30:52 1922', 'May 7 02:30:51 1923', 'Oct 29 22:00:00 1922', 'May 6 22:59:59 1923');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 7 02:30:52 1923', 'Oct 29 01:30:51 1923', 'May 7 00:00:00 1923', 'Oct 28 22:59:59 1923');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 29 01:30:52 1923', 'May 5 02:30:51 1924', 'Oct 28 22:00:00 1923', 'May 4 22:59:59 1924');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 5 02:30:52 1924', 'Oct 27 01:30:51 1924', 'May 5 00:00:00 1924', 'Oct 26 22:59:59 1924');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 27 01:30:52 1924', 'May 4 02:30:51 1925', 'Oct 26 22:00:00 1924', 'May 3 22:59:59 1925');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 4 02:30:52 1925', 'Oct 26 01:30:51 1925', 'May 4 00:00:00 1925', 'Oct 25 22:59:59 1925');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 26 01:30:52 1925', 'May 3 02:30:51 1926', 'Oct 25 22:00:00 1925', 'May 2 22:59:59 1926');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 3 02:30:52 1926', 'Nov 1 01:30:51 1926', 'May 3 00:00:00 1926', 'Oct 31 22:59:59 1926');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Nov 1 01:30:52 1926', 'May 2 02:30:51 1927', 'Oct 31 22:00:00 1926', 'May 1 22:59:59 1927');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 2 02:30:52 1927', 'Oct 31 01:30:51 1927', 'May 2 00:00:00 1927', 'Oct 30 22:59:59 1927');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 31 01:30:52 1927', 'May 7 02:30:51 1928', 'Oct 30 22:00:00 1927', 'May 6 22:59:59 1928');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 7 02:30:52 1928', 'Oct 29 01:30:51 1928', 'May 7 00:00:00 1928', 'Oct 28 22:59:59 1928');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 29 01:30:52 1928', 'May 6 02:30:51 1929', 'Oct 28 22:00:00 1928', 'May 5 22:59:59 1929');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 6 02:30:52 1929', 'Oct 28 01:30:51 1929', 'May 6 00:00:00 1929', 'Oct 27 22:59:59 1929');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 28 01:30:52 1929', 'May 5 02:30:51 1930', 'Oct 27 22:00:00 1929', 'May 4 22:59:59 1930');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 5 02:30:52 1930', 'Oct 27 01:30:51 1930', 'May 5 00:00:00 1930', 'Oct 26 22:59:59 1930');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 27 01:30:52 1930', 'May 4 02:30:51 1931', 'Oct 26 22:00:00 1930', 'May 3 22:59:59 1931');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 4 02:30:52 1931', 'Oct 26 01:30:51 1931', 'May 4 00:00:00 1931', 'Oct 25 22:59:59 1931');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 26 01:30:52 1931', 'May 2 02:30:51 1932', 'Oct 25 22:00:00 1931', 'May 1 22:59:59 1932');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 2 02:30:52 1932', 'Oct 31 01:30:51 1932', 'May 2 00:00:00 1932', 'Oct 30 22:59:59 1932');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 31 01:30:52 1932', 'May 8 02:30:51 1933', 'Oct 30 22:00:00 1932', 'May 7 22:59:59 1933');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 8 02:30:52 1933', 'Oct 30 01:30:51 1933', 'May 8 00:00:00 1933', 'Oct 29 22:59:59 1933');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 30 01:30:52 1933', 'May 7 02:30:51 1934', 'Oct 29 22:00:00 1933', 'May 6 22:59:59 1934');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9052, 'May 7 02:30:52 1934', 'Oct 29 01:30:51 1934', 'May 7 00:00:00 1934', 'Oct 28 22:59:59 1934');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12652, 'Oct 29 01:30:52 1934', 'Mar 30 03:30:51 1935', 'Oct 28 22:00:00 1934', 'Mar 29 23:59:59 1935');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Mar 30 03:30:52 1935', 'May 6 02:29:59 1935', 'Mar 30 00:00:52 1935', 'May 5 22:59:59 1935');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 6 02:30:00 1935', 'Oct 28 01:29:59 1935', 'May 6 00:00:00 1935', 'Oct 27 22:59:59 1935');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 01:30:00 1935', 'May 10 03:29:59 1936', 'Oct 27 22:00:00 1935', 'May 9 23:59:59 1936');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 10 03:30:00 1936', 'Oct 4 02:29:59 1936', 'May 10 01:00:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 4 02:30:00 1936', 'May 9 03:29:59 1937', 'Oct 3 23:00:00 1936', 'May 8 23:59:59 1937');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 9 03:30:00 1937', 'Oct 3 02:29:59 1937', 'May 9 01:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 3 02:30:00 1937', 'May 8 03:29:59 1938', 'Oct 2 23:00:00 1937', 'May 7 23:59:59 1938');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 8 03:30:00 1938', 'Oct 2 02:29:59 1938', 'May 8 01:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 2 02:30:00 1938', 'May 14 03:29:59 1939', 'Oct 1 23:00:00 1938', 'May 13 23:59:59 1939');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 14 03:30:00 1939', 'Oct 1 02:29:59 1939', 'May 14 01:00:00 1939', 'Sep 30 23:59:59 1939');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 1 02:30:00 1939', 'May 12 03:29:59 1940', 'Sep 30 23:00:00 1939', 'May 11 23:59:59 1940');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 12 03:30:00 1940', 'Oct 6 02:29:59 1940', 'May 12 01:00:00 1940', 'Oct 5 23:59:59 1940');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 6 02:30:00 1940', 'May 11 03:29:59 1941', 'Oct 5 23:00:00 1940', 'May 10 23:59:59 1941');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 11 03:30:00 1941', 'Oct 5 02:29:59 1941', 'May 11 01:00:00 1941', 'Oct 4 23:59:59 1941');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 5 02:30:00 1941', 'Mar 1 03:29:59 1942', 'Oct 4 23:00:00 1941', 'Feb 28 23:59:59 1942');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Mar 1 03:30:00 1942', 'Dec 31 02:29:59 1942', 'Mar 1 01:00:00 1942', 'Dec 30 23:59:59 1942');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Dec 31 02:30:00 1942', 'May 30 03:29:59 1943', 'Dec 30 23:00:00 1942', 'May 29 23:59:59 1943');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 30 03:30:00 1943', 'Sep 5 02:29:59 1943', 'May 30 01:00:00 1943', 'Sep 4 23:59:59 1943');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 5 02:30:00 1943', 'Jul 10 03:29:59 1944', 'Sep 4 23:00:00 1943', 'Jul 9 23:59:59 1944');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Jul 10 03:30:00 1944', 'Sep 2 02:29:59 1944', 'Jul 10 01:00:00 1944', 'Sep 1 23:59:59 1944');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 2 02:30:00 1944', 'Jan 1 03:29:59 1945', 'Sep 1 23:00:00 1944', 'Dec 31 23:59:59 1944');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Jan 1 03:30:00 1945', 'Oct 7 04:29:59 1945', 'Jan 1 01:00:00 1945', 'Oct 7 01:59:59 1945');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 7 04:30:00 1945', 'May 12 05:29:59 1946', 'Oct 7 01:00:00 1945', 'May 12 01:59:59 1946');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 12 05:30:00 1946', 'Oct 6 04:29:59 1946', 'May 12 03:00:00 1946', 'Oct 6 01:59:59 1946');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 6 04:30:00 1946', 'May 11 05:29:59 1947', 'Oct 6 01:00:00 1946', 'May 11 01:59:59 1947');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 11 05:30:00 1947', 'Oct 5 04:29:59 1947', 'May 11 03:00:00 1947', 'Oct 5 01:59:59 1947');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 5 04:30:00 1947', 'May 9 05:29:59 1948', 'Oct 5 01:00:00 1947', 'May 9 01:59:59 1948');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 9 05:30:00 1948', 'Oct 3 04:29:59 1948', 'May 9 03:00:00 1948', 'Oct 3 01:59:59 1948');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 3 04:30:00 1948', 'May 8 05:29:59 1949', 'Oct 3 01:00:00 1948', 'May 8 01:59:59 1949');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 8 05:30:00 1949', 'Oct 2 04:29:59 1949', 'May 8 03:00:00 1949', 'Oct 2 01:59:59 1949');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 2 04:30:00 1949', 'May 14 05:29:59 1950', 'Oct 2 01:00:00 1949', 'May 14 01:59:59 1950');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'May 14 05:30:00 1950', 'Oct 8 04:29:59 1950', 'May 14 03:00:00 1950', 'Oct 8 01:59:59 1950');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 8 04:30:00 1950', 'Apr 29 05:29:59 1951', 'Oct 8 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 29 05:30:00 1951', 'Sep 30 04:29:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 30 04:30:00 1951', 'Apr 27 05:29:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 27 05:30:00 1952', 'Sep 28 04:29:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 28 04:30:00 1952', 'Apr 26 05:29:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 26 05:30:00 1953', 'Sep 27 04:29:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 27 04:30:00 1953', 'Apr 25 05:29:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 25 05:30:00 1954', 'Sep 26 04:29:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 26 04:30:00 1954', 'Apr 24 05:29:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 24 05:30:00 1955', 'Sep 25 04:29:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 25 04:30:00 1955', 'Apr 29 05:29:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 29 05:30:00 1956', 'Sep 30 04:29:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 30 04:30:00 1956', 'Apr 28 05:29:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 28 05:30:00 1957', 'Sep 29 04:29:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 29 04:30:00 1957', 'Apr 27 05:29:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 27 05:30:00 1958', 'Sep 28 04:29:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 28 04:30:00 1958', 'Apr 26 05:29:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 26 05:30:00 1959', 'Sep 27 04:29:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Sep 27 04:30:00 1959', 'Apr 24 05:29:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 24 05:30:00 1960', 'Oct 30 04:29:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 1960', 'Apr 30 05:29:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 30 05:30:00 1961', 'Oct 29 04:29:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 1961', 'Apr 29 05:29:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 29 05:30:00 1962', 'Oct 28 04:29:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 1962', 'Apr 28 05:29:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 28 05:30:00 1963', 'Oct 27 04:29:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 1963', 'Apr 26 05:29:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 26 05:30:00 1964', 'Oct 25 04:29:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 1964', 'Apr 25 05:29:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 25 05:30:00 1965', 'Oct 31 04:29:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 1965', 'Apr 24 05:29:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 24 05:30:00 1966', 'Oct 30 04:29:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 1966', 'Apr 30 05:29:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 30 05:30:00 1967', 'Oct 29 04:29:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 1967', 'Apr 28 05:29:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 28 05:30:00 1968', 'Oct 27 04:29:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 1968', 'Apr 27 05:29:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 27 05:30:00 1969', 'Oct 26 04:29:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 1969', 'Apr 26 05:29:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 26 05:30:00 1970', 'Oct 25 04:29:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 1970', 'Apr 25 05:29:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 25 05:30:00 1971', 'Oct 31 04:29:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 1971', 'Apr 30 05:29:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 30 05:30:00 1972', 'Oct 29 04:29:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 1972', 'Apr 29 05:29:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 29 05:30:00 1973', 'Oct 28 04:29:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 1973', 'Apr 28 05:29:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 28 05:30:00 1974', 'Oct 27 04:29:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 1974', 'Apr 27 05:29:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 27 05:30:00 1975', 'Oct 26 04:29:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 1975', 'Apr 25 05:29:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 25 05:30:00 1976', 'Oct 31 04:29:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 1976', 'Apr 24 05:29:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 24 05:30:00 1977', 'Oct 30 04:29:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 1977', 'Apr 30 05:29:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 30 05:30:00 1978', 'Oct 29 04:29:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 1978', 'Apr 29 05:29:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 29 05:30:00 1979', 'Oct 28 04:29:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 1979', 'Apr 27 05:29:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 27 05:30:00 1980', 'Oct 26 04:29:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 1980', 'Apr 26 05:29:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 26 05:30:00 1981', 'Oct 25 04:29:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 1981', 'Apr 25 05:29:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 25 05:30:00 1982', 'Oct 31 04:29:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 1982', 'Apr 24 05:29:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 24 05:30:00 1983', 'Oct 30 04:29:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 1983', 'Apr 29 05:29:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 29 05:30:00 1984', 'Oct 28 04:29:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 1984', 'Apr 28 05:29:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 28 05:30:00 1985', 'Oct 27 04:29:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 1985', 'Apr 27 05:29:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 27 05:30:00 1986', 'Oct 26 04:29:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 1986', 'Apr 5 05:29:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 5 05:30:00 1987', 'Oct 25 04:29:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 1987', 'Apr 3 05:29:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -5400, 'Apr 3 05:30:00 1988', 'Oct 30 03:29:59 1988', 'Apr 3 04:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 03:30:00 1988', 'Apr 2 05:29:59 1989', 'Oct 30 00:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 2 05:30:00 1989', 'Oct 29 04:29:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 1989', 'Apr 1 05:29:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 1 05:30:00 1990', 'Oct 28 04:29:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 1990', 'Apr 7 05:29:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 7 05:30:00 1991', 'Oct 27 04:29:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 1991', 'Apr 5 05:29:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 5 05:30:00 1992', 'Oct 25 04:29:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 1992', 'Apr 4 05:29:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 4 05:30:00 1993', 'Oct 31 04:29:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 1993', 'Apr 3 05:29:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 3 05:30:00 1994', 'Oct 30 04:29:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 1994', 'Apr 2 05:29:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 2 05:30:00 1995', 'Oct 29 04:29:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 1995', 'Apr 7 05:29:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 7 05:30:00 1996', 'Oct 27 04:29:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 1996', 'Apr 6 05:29:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 6 05:30:00 1997', 'Oct 26 04:29:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 1997', 'Apr 5 05:29:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 5 05:30:00 1998', 'Oct 25 04:29:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 1998', 'Apr 4 05:29:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 4 05:30:00 1999', 'Oct 31 04:29:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 1999', 'Apr 2 05:29:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 2 05:30:00 2000', 'Oct 29 04:29:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 2000', 'Apr 1 05:29:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 1 05:30:00 2001', 'Oct 28 04:29:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 2001', 'Apr 7 05:29:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 7 05:30:00 2002', 'Oct 27 04:29:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 2002', 'Apr 6 05:29:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 6 05:30:00 2003', 'Oct 26 04:29:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 2003', 'Apr 4 05:29:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 4 05:30:00 2004', 'Oct 31 04:29:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 2004', 'Apr 3 05:29:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 3 05:30:00 2005', 'Oct 30 04:29:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 2005', 'Apr 2 05:29:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 2 05:30:00 2006', 'Oct 29 04:29:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 2006', 'Apr 1 05:29:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 1 05:30:00 2007', 'Oct 28 04:29:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 2007', 'Apr 6 05:29:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 6 05:30:00 2008', 'Oct 26 04:29:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 2008', 'Apr 5 05:29:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 5 05:30:00 2009', 'Oct 25 04:29:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 2009', 'Apr 4 05:29:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 4 05:30:00 2010', 'Oct 31 04:29:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 2010', 'Apr 3 05:29:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 3 05:30:00 2011', 'Oct 30 04:29:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 2011', 'Apr 1 05:29:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 1 05:30:00 2012', 'Oct 28 04:29:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 2012', 'Apr 7 05:29:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 7 05:30:00 2013', 'Oct 27 04:29:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 2013', 'Apr 6 05:29:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 6 05:30:00 2014', 'Oct 26 04:29:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 2014', 'Apr 5 05:29:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 5 05:30:00 2015', 'Oct 25 04:29:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 2015', 'Apr 3 05:29:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 3 05:30:00 2016', 'Oct 30 04:29:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 2016', 'Apr 2 05:29:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 2 05:30:00 2017', 'Oct 29 04:29:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 2017', 'Apr 1 05:29:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 1 05:30:00 2018', 'Oct 28 04:29:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 2018', 'Apr 7 05:29:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 7 05:30:00 2019', 'Oct 27 04:29:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 2019', 'Apr 5 05:29:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 5 05:30:00 2020', 'Oct 25 04:29:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 2020', 'Apr 4 05:29:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 4 05:30:00 2021', 'Oct 31 04:29:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 2021', 'Apr 3 05:29:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 3 05:30:00 2022', 'Oct 30 04:29:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 2022', 'Apr 2 05:29:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 2 05:30:00 2023', 'Oct 29 04:29:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 2023', 'Apr 7 05:29:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 7 05:30:00 2024', 'Oct 27 04:29:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 2024', 'Apr 6 05:29:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 6 05:30:00 2025', 'Oct 26 04:29:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 2025', 'Apr 5 05:29:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 5 05:30:00 2026', 'Oct 25 04:29:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 2026', 'Apr 4 05:29:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 4 05:30:00 2027', 'Oct 31 04:29:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 2027', 'Apr 2 05:29:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 2 05:30:00 2028', 'Oct 29 04:29:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 2028', 'Apr 1 05:29:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 1 05:30:00 2029', 'Oct 28 04:29:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 2029', 'Apr 7 05:29:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 7 05:30:00 2030', 'Oct 27 04:29:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 27 04:30:00 2030', 'Apr 6 05:29:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 6 05:30:00 2031', 'Oct 26 04:29:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 2031', 'Apr 4 05:29:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 4 05:30:00 2032', 'Oct 31 04:29:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 31 04:30:00 2032', 'Apr 3 05:29:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 3 05:30:00 2033', 'Oct 30 04:29:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 30 04:30:00 2033', 'Apr 2 05:29:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 2 05:30:00 2034', 'Oct 29 04:29:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 29 04:30:00 2034', 'Apr 1 05:29:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 1 05:30:00 2035', 'Oct 28 04:29:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 28 04:30:00 2035', 'Apr 6 05:29:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 6 05:30:00 2036', 'Oct 26 04:29:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 26 04:30:00 2036', 'Apr 5 05:29:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Canada/Newfoundland', 'NDT', 1, -9000, 'Apr 5 05:30:00 2037', 'Oct 25 04:29:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Canada/Newfoundland', 'NST', 0, -12600, 'Oct 25 04:30:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:44:07 2038');
end;
/

--
-- Canada/Pacific
--

begin
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Dec 14 20:45:52 1901', 'Apr 14 09:59:59 1918', 'Dec 14 12:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 14 10:00:00 1918', 'Oct 31 08:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1918', 'Feb 9 09:59:59 1942', 'Oct 31 01:00:00 1918', 'Feb 9 01:59:59 1942');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Feb 9 10:00:00 1942', 'Sep 30 08:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 30 09:00:00 1945', 'Apr 28 09:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1946', 'Oct 13 08:59:59 1946', 'Apr 28 03:00:00 1946', 'Oct 13 01:59:59 1946');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 13 09:00:00 1946', 'Apr 27 09:59:59 1947', 'Oct 13 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1947', 'Sep 28 08:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 28 09:00:00 1947', 'Apr 25 09:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1948', 'Sep 26 08:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 26 09:00:00 1948', 'Apr 24 09:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1949', 'Sep 25 08:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 25 09:00:00 1949', 'Apr 30 09:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1950', 'Sep 24 08:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 24 09:00:00 1950', 'Apr 29 09:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1951', 'Sep 30 08:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 30 09:00:00 1951', 'Apr 27 09:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1952', 'Sep 28 08:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 28 09:00:00 1952', 'Apr 26 09:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1953', 'Sep 27 08:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 27 09:00:00 1953', 'Apr 25 09:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1954', 'Sep 26 08:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 26 09:00:00 1954', 'Apr 24 09:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1955', 'Sep 25 08:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 25 09:00:00 1955', 'Apr 29 09:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1956', 'Sep 30 08:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 30 09:00:00 1956', 'Apr 28 09:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1957', 'Sep 29 08:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 29 09:00:00 1957', 'Apr 27 09:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1958', 'Sep 28 08:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 28 09:00:00 1958', 'Apr 26 09:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1959', 'Sep 27 08:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 27 09:00:00 1959', 'Apr 24 09:59:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1960', 'Sep 25 08:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 25 09:00:00 1960', 'Apr 30 09:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1961', 'Sep 24 08:59:59 1961', 'Apr 30 03:00:00 1961', 'Sep 24 01:59:59 1961');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Sep 24 09:00:00 1961', 'Apr 29 09:59:59 1962', 'Sep 24 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1962', 'Oct 28 08:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1962', 'Apr 28 09:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1963', 'Oct 27 08:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1963', 'Apr 26 09:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1964', 'Oct 25 08:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1964', 'Apr 25 09:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1965', 'Apr 24 09:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1966', 'Oct 30 08:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1966', 'Apr 30 09:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1967', 'Oct 29 08:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1967', 'Apr 28 09:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1968', 'Oct 27 08:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1968', 'Apr 27 09:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Oct 29 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1972', 'Apr 29 09:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1973', 'Oct 28 08:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1973', 'Apr 28 09:59:59 1974', 'Oct 28 01:00:00 1973', 'Apr 28 01:59:59 1974');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1974', 'Oct 27 08:59:59 1974', 'Apr 28 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1974', 'Apr 27 09:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1975', 'Oct 26 08:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1975', 'Apr 25 09:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1976', 'Oct 31 08:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1976', 'Apr 24 09:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1977', 'Oct 30 08:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1977', 'Apr 30 09:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1978', 'Oct 29 08:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1978', 'Apr 29 09:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1979', 'Oct 28 08:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1979', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Canada/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Canada/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- Canada/Saskatchewan
--

begin
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25116, 'Dec 14 20:45:52 1901', 'Sep 1 06:58:35 1905', 'Dec 14 13:47:16 1901', 'Aug 31 23:59:59 1905');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 1 06:58:36 1905', 'Apr 14 08:59:59 1918', 'Aug 31 23:58:36 1905', 'Apr 14 01:59:59 1918');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 14 09:00:00 1918', 'Oct 31 07:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 31 01:59:59 1918');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 31 08:00:00 1918', 'May 4 06:59:59 1930', 'Oct 31 01:00:00 1918', 'May 3 23:59:59 1930');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'May 4 07:00:00 1930', 'Oct 5 05:59:59 1930', 'May 4 01:00:00 1930', 'Oct 4 23:59:59 1930');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 5 06:00:00 1930', 'May 3 06:59:59 1931', 'Oct 4 23:00:00 1930', 'May 2 23:59:59 1931');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'May 3 07:00:00 1931', 'Oct 4 05:59:59 1931', 'May 3 01:00:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 4 06:00:00 1931', 'May 1 06:59:59 1932', 'Oct 3 23:00:00 1931', 'Apr 30 23:59:59 1932');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'May 1 07:00:00 1932', 'Oct 2 05:59:59 1932', 'May 1 01:00:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 2 06:00:00 1932', 'May 7 06:59:59 1933', 'Oct 1 23:00:00 1932', 'May 6 23:59:59 1933');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'May 7 07:00:00 1933', 'Oct 1 05:59:59 1933', 'May 7 01:00:00 1933', 'Sep 30 23:59:59 1933');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 1 06:00:00 1933', 'May 6 06:59:59 1934', 'Sep 30 23:00:00 1933', 'May 5 23:59:59 1934');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'May 6 07:00:00 1934', 'Oct 7 05:59:59 1934', 'May 6 01:00:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 7 06:00:00 1934', 'Apr 11 06:59:59 1937', 'Oct 6 23:00:00 1934', 'Apr 10 23:59:59 1937');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 11 07:00:00 1937', 'Oct 10 05:59:59 1937', 'Apr 11 01:00:00 1937', 'Oct 9 23:59:59 1937');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 10 06:00:00 1937', 'Apr 10 06:59:59 1938', 'Oct 9 23:00:00 1937', 'Apr 9 23:59:59 1938');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 10 07:00:00 1938', 'Oct 2 05:59:59 1938', 'Apr 10 01:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 2 06:00:00 1938', 'Apr 9 06:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 8 23:59:59 1939');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 9 07:00:00 1939', 'Oct 8 05:59:59 1939', 'Apr 9 01:00:00 1939', 'Oct 7 23:59:59 1939');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 8 06:00:00 1939', 'Apr 14 06:59:59 1940', 'Oct 7 23:00:00 1939', 'Apr 13 23:59:59 1940');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 14 07:00:00 1940', 'Oct 13 05:59:59 1940', 'Apr 14 01:00:00 1940', 'Oct 12 23:59:59 1940');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 13 06:00:00 1940', 'Apr 13 06:59:59 1941', 'Oct 12 23:00:00 1940', 'Apr 12 23:59:59 1941');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 13 07:00:00 1941', 'Oct 12 05:59:59 1941', 'Apr 13 01:00:00 1941', 'Oct 11 23:59:59 1941');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 12 06:00:00 1941', 'Feb 9 08:59:59 1942', 'Oct 11 23:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 14 08:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 14 01:59:59 1946');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 14 09:00:00 1946', 'Oct 13 07:59:59 1946', 'Apr 14 03:00:00 1946', 'Oct 13 01:59:59 1946');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 13 08:00:00 1946', 'Apr 27 08:59:59 1947', 'Oct 13 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 27 09:00:00 1947', 'Sep 28 07:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 28 08:00:00 1947', 'Apr 25 08:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 25 09:00:00 1948', 'Sep 26 07:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 26 08:00:00 1948', 'Apr 24 08:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 24 09:00:00 1949', 'Sep 25 07:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 25 08:00:00 1949', 'Apr 30 08:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 30 09:00:00 1950', 'Sep 24 07:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 24 08:00:00 1950', 'Apr 29 08:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 29 09:00:00 1951', 'Sep 30 07:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 30 08:00:00 1951', 'Apr 27 08:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 27 09:00:00 1952', 'Sep 28 07:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 28 08:00:00 1952', 'Apr 26 08:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 26 09:00:00 1953', 'Sep 27 07:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 27 08:00:00 1953', 'Apr 25 08:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 25 09:00:00 1954', 'Sep 26 07:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 26 08:00:00 1954', 'Apr 24 08:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 24 09:00:00 1955', 'Sep 25 07:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 25 08:00:00 1955', 'Apr 29 08:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 29 09:00:00 1956', 'Sep 30 07:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 30 08:00:00 1956', 'Apr 28 08:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 28 09:00:00 1957', 'Sep 29 07:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 29 08:00:00 1957', 'Apr 27 08:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 27 09:00:00 1958', 'Sep 28 07:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Sep 28 08:00:00 1958', 'Apr 26 08:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('Canada/Saskatchewan', 'MDT', 1, -21600, 'Apr 26 09:00:00 1959', 'Oct 25 07:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -25200, 'Oct 25 08:00:00 1959', 'Apr 24 08:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('Canada/Saskatchewan', 'CST', 0, -21600, 'Apr 24 09:00:00 1960', 'Jan 18 03:14:07 2038', 'Apr 24 03:00:00 1960', 'Jan 17 21:14:07 2038');
end;
/

--
-- Canada/Yukon
--

begin
timezone.add_rule('Canada/Yukon', 'PST', 0, -32400, 'Dec 14 20:45:52 1901', 'Apr 14 10:59:59 1918', 'Dec 14 11:45:52 1901', 'Apr 14 01:59:59 1918');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -28800, 'Apr 14 11:00:00 1918', 'Oct 27 09:59:59 1918', 'Apr 14 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('Canada/Yukon', 'PST', 0, -32400, 'Oct 27 10:00:00 1918', 'May 25 10:59:59 1919', 'Oct 27 01:00:00 1918', 'May 25 01:59:59 1919');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -28800, 'May 25 11:00:00 1919', 'Nov 1 07:59:59 1919', 'May 25 03:00:00 1919', 'Oct 31 23:59:59 1919');
timezone.add_rule('Canada/Yukon', 'PST', 0, -32400, 'Nov 1 08:00:00 1919', 'Feb 9 10:59:59 1942', 'Oct 31 23:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -28800, 'Feb 9 11:00:00 1942', 'Sep 30 09:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('Canada/Yukon', 'PST', 0, -32400, 'Sep 30 10:00:00 1945', 'Apr 25 08:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 24 23:59:59 1965');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 25 09:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 02:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('Canada/Yukon', 'PST', 0, -32400, 'Oct 31 09:00:00 1965', 'Jul 1 10:59:59 1966', 'Oct 31 00:00:00 1965', 'Jul 1 01:59:59 1966');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Jul 1 11:00:00 1966', 'Apr 27 09:59:59 1980', 'Jul 1 03:00:00 1966', 'Apr 27 01:59:59 1980');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Canada/Yukon', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Canada/Yukon', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- Chile/Continental
--

begin
timezone.add_rule('Chile/Continental', 'CLT', 0, -16960, 'Dec 14 20:45:52 1901', 'Jan 1 04:42:39 1910', 'Dec 14 16:03:12 1901', 'Dec 31 23:59:59 1909');
timezone.add_rule('Chile/Continental', 'CLT', 0, -18000, 'Jan 1 04:42:40 1910', 'Sep 1 04:59:59 1918', 'Dec 31 23:42:40 1909', 'Aug 31 23:59:59 1918');
timezone.add_rule('Chile/Continental', 'CLST', 1, -14400, 'Sep 1 05:00:00 1918', 'Jul 2 03:59:59 1919', 'Sep 1 01:00:00 1918', 'Jul 1 23:59:59 1919');
timezone.add_rule('Chile/Continental', 'CLT', 0, -18000, 'Jul 2 04:00:00 1919', 'Sep 1 04:59:59 1927', 'Jul 1 23:00:00 1919', 'Aug 31 23:59:59 1927');
timezone.add_rule('Chile/Continental', 'CLST', 1, -14400, 'Sep 1 05:00:00 1927', 'Apr 1 03:59:59 1928', 'Sep 1 01:00:00 1927', 'Mar 31 23:59:59 1928');
timezone.add_rule('Chile/Continental', 'CLT', 0, -18000, 'Apr 1 04:00:00 1928', 'Sep 1 04:59:59 1928', 'Mar 31 23:00:00 1928', 'Aug 31 23:59:59 1928');
timezone.add_rule('Chile/Continental', 'CLST', 1, -14400, 'Sep 1 05:00:00 1928', 'Apr 1 03:59:59 1929', 'Sep 1 01:00:00 1928', 'Mar 31 23:59:59 1929');
timezone.add_rule('Chile/Continental', 'CLT', 0, -18000, 'Apr 1 04:00:00 1929', 'Sep 1 04:59:59 1929', 'Mar 31 23:00:00 1929', 'Aug 31 23:59:59 1929');
timezone.add_rule('Chile/Continental', 'CLST', 1, -14400, 'Sep 1 05:00:00 1929', 'Apr 1 03:59:59 1930', 'Sep 1 01:00:00 1929', 'Mar 31 23:59:59 1930');
timezone.add_rule('Chile/Continental', 'CLT', 0, -18000, 'Apr 1 04:00:00 1930', 'Sep 1 04:59:59 1930', 'Mar 31 23:00:00 1930', 'Aug 31 23:59:59 1930');
timezone.add_rule('Chile/Continental', 'CLST', 1, -14400, 'Sep 1 05:00:00 1930', 'Apr 1 03:59:59 1931', 'Sep 1 01:00:00 1930', 'Mar 31 23:59:59 1931');
timezone.add_rule('Chile/Continental', 'CLT', 0, -18000, 'Apr 1 04:00:00 1931', 'Sep 1 04:59:59 1931', 'Mar 31 23:00:00 1931', 'Aug 31 23:59:59 1931');
timezone.add_rule('Chile/Continental', 'CLST', 1, -14400, 'Sep 1 05:00:00 1931', 'Apr 1 03:59:59 1932', 'Sep 1 01:00:00 1931', 'Mar 31 23:59:59 1932');
timezone.add_rule('Chile/Continental', 'CLT', 0, -18000, 'Apr 1 04:00:00 1932', 'Sep 1 04:59:59 1932', 'Mar 31 23:00:00 1932', 'Aug 31 23:59:59 1932');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Sep 1 05:00:00 1932', 'Oct 12 03:59:59 1969', 'Sep 1 01:00:00 1932', 'Oct 11 23:59:59 1969');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 1969', 'Mar 15 02:59:59 1970', 'Oct 12 01:00:00 1969', 'Mar 14 23:59:59 1970');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 1970', 'Oct 11 03:59:59 1970', 'Mar 14 23:00:00 1970', 'Oct 10 23:59:59 1970');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 11 04:00:00 1970', 'Mar 14 02:59:59 1971', 'Oct 11 01:00:00 1970', 'Mar 13 23:59:59 1971');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 14 03:00:00 1971', 'Oct 10 03:59:59 1971', 'Mar 13 23:00:00 1971', 'Oct 9 23:59:59 1971');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 1971', 'Mar 12 02:59:59 1972', 'Oct 10 01:00:00 1971', 'Mar 11 23:59:59 1972');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 1972', 'Oct 15 03:59:59 1972', 'Mar 11 23:00:00 1972', 'Oct 14 23:59:59 1972');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 1972', 'Mar 11 02:59:59 1973', 'Oct 15 01:00:00 1972', 'Mar 10 23:59:59 1973');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 1973', 'Oct 14 03:59:59 1973', 'Mar 10 23:00:00 1973', 'Oct 13 23:59:59 1973');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 1973', 'Mar 10 02:59:59 1974', 'Oct 14 01:00:00 1973', 'Mar 9 23:59:59 1974');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 10 03:00:00 1974', 'Oct 13 03:59:59 1974', 'Mar 9 23:00:00 1974', 'Oct 12 23:59:59 1974');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 13 04:00:00 1974', 'Mar 9 02:59:59 1975', 'Oct 13 01:00:00 1974', 'Mar 8 23:59:59 1975');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 1975', 'Oct 12 03:59:59 1975', 'Mar 8 23:00:00 1975', 'Oct 11 23:59:59 1975');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 1975', 'Mar 14 02:59:59 1976', 'Oct 12 01:00:00 1975', 'Mar 13 23:59:59 1976');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 14 03:00:00 1976', 'Oct 10 03:59:59 1976', 'Mar 13 23:00:00 1976', 'Oct 9 23:59:59 1976');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 1976', 'Mar 13 02:59:59 1977', 'Oct 10 01:00:00 1976', 'Mar 12 23:59:59 1977');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 13 03:00:00 1977', 'Oct 9 03:59:59 1977', 'Mar 12 23:00:00 1977', 'Oct 8 23:59:59 1977');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 9 04:00:00 1977', 'Mar 12 02:59:59 1978', 'Oct 9 01:00:00 1977', 'Mar 11 23:59:59 1978');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 1978', 'Oct 15 03:59:59 1978', 'Mar 11 23:00:00 1978', 'Oct 14 23:59:59 1978');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 1978', 'Mar 11 02:59:59 1979', 'Oct 15 01:00:00 1978', 'Mar 10 23:59:59 1979');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 1979', 'Oct 14 03:59:59 1979', 'Mar 10 23:00:00 1979', 'Oct 13 23:59:59 1979');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 1979', 'Mar 9 02:59:59 1980', 'Oct 14 01:00:00 1979', 'Mar 8 23:59:59 1980');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 1980', 'Oct 12 03:59:59 1980', 'Mar 8 23:00:00 1980', 'Oct 11 23:59:59 1980');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 1980', 'Mar 15 02:59:59 1981', 'Oct 12 01:00:00 1980', 'Mar 14 23:59:59 1981');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 1981', 'Oct 11 03:59:59 1981', 'Mar 14 23:00:00 1981', 'Oct 10 23:59:59 1981');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 11 04:00:00 1981', 'Mar 14 02:59:59 1982', 'Oct 11 01:00:00 1981', 'Mar 13 23:59:59 1982');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 14 03:00:00 1982', 'Oct 10 03:59:59 1982', 'Mar 13 23:00:00 1982', 'Oct 9 23:59:59 1982');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 1982', 'Mar 13 02:59:59 1983', 'Oct 10 01:00:00 1982', 'Mar 12 23:59:59 1983');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 13 03:00:00 1983', 'Oct 9 03:59:59 1983', 'Mar 12 23:00:00 1983', 'Oct 8 23:59:59 1983');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 9 04:00:00 1983', 'Mar 11 02:59:59 1984', 'Oct 9 01:00:00 1983', 'Mar 10 23:59:59 1984');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 1984', 'Oct 14 03:59:59 1984', 'Mar 10 23:00:00 1984', 'Oct 13 23:59:59 1984');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 1984', 'Mar 10 02:59:59 1985', 'Oct 14 01:00:00 1984', 'Mar 9 23:59:59 1985');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 10 03:00:00 1985', 'Oct 13 03:59:59 1985', 'Mar 9 23:00:00 1985', 'Oct 12 23:59:59 1985');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 13 04:00:00 1985', 'Mar 9 02:59:59 1986', 'Oct 13 01:00:00 1985', 'Mar 8 23:59:59 1986');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 1986', 'Oct 12 03:59:59 1986', 'Mar 8 23:00:00 1986', 'Oct 11 23:59:59 1986');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 1986', 'Mar 15 02:59:59 1987', 'Oct 12 01:00:00 1986', 'Mar 14 23:59:59 1987');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 1987', 'Oct 11 03:59:59 1987', 'Mar 14 23:00:00 1987', 'Oct 10 23:59:59 1987');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 11 04:00:00 1987', 'Mar 13 02:59:59 1988', 'Oct 11 01:00:00 1987', 'Mar 12 23:59:59 1988');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 13 03:00:00 1988', 'Oct 9 03:59:59 1988', 'Mar 12 23:00:00 1988', 'Oct 8 23:59:59 1988');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 9 04:00:00 1988', 'Mar 12 02:59:59 1989', 'Oct 9 01:00:00 1988', 'Mar 11 23:59:59 1989');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 1989', 'Oct 15 03:59:59 1989', 'Mar 11 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 1989', 'Mar 11 02:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 10 23:59:59 1990');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 1990', 'Oct 14 03:59:59 1990', 'Mar 10 23:00:00 1990', 'Oct 13 23:59:59 1990');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 1990', 'Mar 10 02:59:59 1991', 'Oct 14 01:00:00 1990', 'Mar 9 23:59:59 1991');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 10 03:00:00 1991', 'Oct 13 03:59:59 1991', 'Mar 9 23:00:00 1991', 'Oct 12 23:59:59 1991');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 13 04:00:00 1991', 'Mar 15 02:59:59 1992', 'Oct 13 01:00:00 1991', 'Mar 14 23:59:59 1992');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 1992', 'Oct 11 03:59:59 1992', 'Mar 14 23:00:00 1992', 'Oct 10 23:59:59 1992');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 11 04:00:00 1992', 'Mar 14 02:59:59 1993', 'Oct 11 01:00:00 1992', 'Mar 13 23:59:59 1993');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 14 03:00:00 1993', 'Oct 10 03:59:59 1993', 'Mar 13 23:00:00 1993', 'Oct 9 23:59:59 1993');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 1993', 'Mar 13 02:59:59 1994', 'Oct 10 01:00:00 1993', 'Mar 12 23:59:59 1994');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 13 03:00:00 1994', 'Oct 9 03:59:59 1994', 'Mar 12 23:00:00 1994', 'Oct 8 23:59:59 1994');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 9 04:00:00 1994', 'Mar 12 02:59:59 1995', 'Oct 9 01:00:00 1994', 'Mar 11 23:59:59 1995');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 1995', 'Oct 15 03:59:59 1995', 'Mar 11 23:00:00 1995', 'Oct 14 23:59:59 1995');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 1995', 'Mar 10 02:59:59 1996', 'Oct 15 01:00:00 1995', 'Mar 9 23:59:59 1996');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 10 03:00:00 1996', 'Oct 13 03:59:59 1996', 'Mar 9 23:00:00 1996', 'Oct 12 23:59:59 1996');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 13 04:00:00 1996', 'Mar 9 02:59:59 1997', 'Oct 13 01:00:00 1996', 'Mar 8 23:59:59 1997');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 1997', 'Oct 12 03:59:59 1997', 'Mar 8 23:00:00 1997', 'Oct 11 23:59:59 1997');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 1997', 'Mar 15 02:59:59 1998', 'Oct 12 01:00:00 1997', 'Mar 14 23:59:59 1998');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 1998', 'Sep 27 03:59:59 1998', 'Mar 14 23:00:00 1998', 'Sep 26 23:59:59 1998');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Sep 27 04:00:00 1998', 'Apr 4 02:59:59 1999', 'Sep 27 01:00:00 1998', 'Apr 3 23:59:59 1999');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Apr 4 03:00:00 1999', 'Oct 10 03:59:59 1999', 'Apr 3 23:00:00 1999', 'Oct 9 23:59:59 1999');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 1999', 'Mar 12 02:59:59 2000', 'Oct 10 01:00:00 1999', 'Mar 11 23:59:59 2000');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 2000', 'Oct 15 03:59:59 2000', 'Mar 11 23:00:00 2000', 'Oct 14 23:59:59 2000');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 2000', 'Mar 11 02:59:59 2001', 'Oct 15 01:00:00 2000', 'Mar 10 23:59:59 2001');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 2001', 'Oct 14 03:59:59 2001', 'Mar 10 23:00:00 2001', 'Oct 13 23:59:59 2001');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 2001', 'Mar 10 02:59:59 2002', 'Oct 14 01:00:00 2001', 'Mar 9 23:59:59 2002');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 10 03:00:00 2002', 'Oct 13 03:59:59 2002', 'Mar 9 23:00:00 2002', 'Oct 12 23:59:59 2002');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 13 04:00:00 2002', 'Mar 9 02:59:59 2003', 'Oct 13 01:00:00 2002', 'Mar 8 23:59:59 2003');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 2003', 'Oct 12 03:59:59 2003', 'Mar 8 23:00:00 2003', 'Oct 11 23:59:59 2003');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 2003', 'Mar 14 02:59:59 2004', 'Oct 12 01:00:00 2003', 'Mar 13 23:59:59 2004');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 14 03:00:00 2004', 'Oct 10 03:59:59 2004', 'Mar 13 23:00:00 2004', 'Oct 9 23:59:59 2004');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 2004', 'Mar 13 02:59:59 2005', 'Oct 10 01:00:00 2004', 'Mar 12 23:59:59 2005');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 13 03:00:00 2005', 'Oct 9 03:59:59 2005', 'Mar 12 23:00:00 2005', 'Oct 8 23:59:59 2005');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 9 04:00:00 2005', 'Mar 12 02:59:59 2006', 'Oct 9 01:00:00 2005', 'Mar 11 23:59:59 2006');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 2006', 'Oct 15 03:59:59 2006', 'Mar 11 23:00:00 2006', 'Oct 14 23:59:59 2006');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 2006', 'Mar 11 02:59:59 2007', 'Oct 15 01:00:00 2006', 'Mar 10 23:59:59 2007');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 2007', 'Oct 14 03:59:59 2007', 'Mar 10 23:00:00 2007', 'Oct 13 23:59:59 2007');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 2007', 'Mar 9 02:59:59 2008', 'Oct 14 01:00:00 2007', 'Mar 8 23:59:59 2008');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 2008', 'Oct 12 03:59:59 2008', 'Mar 8 23:00:00 2008', 'Oct 11 23:59:59 2008');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 2008', 'Mar 15 02:59:59 2009', 'Oct 12 01:00:00 2008', 'Mar 14 23:59:59 2009');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 2009', 'Oct 11 03:59:59 2009', 'Mar 14 23:00:00 2009', 'Oct 10 23:59:59 2009');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 11 04:00:00 2009', 'Mar 14 02:59:59 2010', 'Oct 11 01:00:00 2009', 'Mar 13 23:59:59 2010');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 14 03:00:00 2010', 'Oct 10 03:59:59 2010', 'Mar 13 23:00:00 2010', 'Oct 9 23:59:59 2010');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 2010', 'Mar 13 02:59:59 2011', 'Oct 10 01:00:00 2010', 'Mar 12 23:59:59 2011');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 13 03:00:00 2011', 'Oct 9 03:59:59 2011', 'Mar 12 23:00:00 2011', 'Oct 8 23:59:59 2011');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 9 04:00:00 2011', 'Mar 11 02:59:59 2012', 'Oct 9 01:00:00 2011', 'Mar 10 23:59:59 2012');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 2012', 'Oct 14 03:59:59 2012', 'Mar 10 23:00:00 2012', 'Oct 13 23:59:59 2012');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 2012', 'Mar 10 02:59:59 2013', 'Oct 14 01:00:00 2012', 'Mar 9 23:59:59 2013');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 10 03:00:00 2013', 'Oct 13 03:59:59 2013', 'Mar 9 23:00:00 2013', 'Oct 12 23:59:59 2013');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 13 04:00:00 2013', 'Mar 9 02:59:59 2014', 'Oct 13 01:00:00 2013', 'Mar 8 23:59:59 2014');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 2014', 'Oct 12 03:59:59 2014', 'Mar 8 23:00:00 2014', 'Oct 11 23:59:59 2014');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 2014', 'Mar 15 02:59:59 2015', 'Oct 12 01:00:00 2014', 'Mar 14 23:59:59 2015');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 2015', 'Oct 11 03:59:59 2015', 'Mar 14 23:00:00 2015', 'Oct 10 23:59:59 2015');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 11 04:00:00 2015', 'Mar 13 02:59:59 2016', 'Oct 11 01:00:00 2015', 'Mar 12 23:59:59 2016');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 13 03:00:00 2016', 'Oct 9 03:59:59 2016', 'Mar 12 23:00:00 2016', 'Oct 8 23:59:59 2016');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 9 04:00:00 2016', 'Mar 12 02:59:59 2017', 'Oct 9 01:00:00 2016', 'Mar 11 23:59:59 2017');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 2017', 'Oct 15 03:59:59 2017', 'Mar 11 23:00:00 2017', 'Oct 14 23:59:59 2017');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 2017', 'Mar 11 02:59:59 2018', 'Oct 15 01:00:00 2017', 'Mar 10 23:59:59 2018');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 2018', 'Oct 14 03:59:59 2018', 'Mar 10 23:00:00 2018', 'Oct 13 23:59:59 2018');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 2018', 'Mar 10 02:59:59 2019', 'Oct 14 01:00:00 2018', 'Mar 9 23:59:59 2019');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 10 03:00:00 2019', 'Oct 13 03:59:59 2019', 'Mar 9 23:00:00 2019', 'Oct 12 23:59:59 2019');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 13 04:00:00 2019', 'Mar 15 02:59:59 2020', 'Oct 13 01:00:00 2019', 'Mar 14 23:59:59 2020');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 2020', 'Oct 11 03:59:59 2020', 'Mar 14 23:00:00 2020', 'Oct 10 23:59:59 2020');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 11 04:00:00 2020', 'Mar 14 02:59:59 2021', 'Oct 11 01:00:00 2020', 'Mar 13 23:59:59 2021');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 14 03:00:00 2021', 'Oct 10 03:59:59 2021', 'Mar 13 23:00:00 2021', 'Oct 9 23:59:59 2021');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 2021', 'Mar 13 02:59:59 2022', 'Oct 10 01:00:00 2021', 'Mar 12 23:59:59 2022');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 13 03:00:00 2022', 'Oct 9 03:59:59 2022', 'Mar 12 23:00:00 2022', 'Oct 8 23:59:59 2022');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 9 04:00:00 2022', 'Mar 12 02:59:59 2023', 'Oct 9 01:00:00 2022', 'Mar 11 23:59:59 2023');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 2023', 'Oct 15 03:59:59 2023', 'Mar 11 23:00:00 2023', 'Oct 14 23:59:59 2023');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 2023', 'Mar 10 02:59:59 2024', 'Oct 15 01:00:00 2023', 'Mar 9 23:59:59 2024');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 10 03:00:00 2024', 'Oct 13 03:59:59 2024', 'Mar 9 23:00:00 2024', 'Oct 12 23:59:59 2024');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 13 04:00:00 2024', 'Mar 9 02:59:59 2025', 'Oct 13 01:00:00 2024', 'Mar 8 23:59:59 2025');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 2025', 'Oct 12 03:59:59 2025', 'Mar 8 23:00:00 2025', 'Oct 11 23:59:59 2025');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 2025', 'Mar 15 02:59:59 2026', 'Oct 12 01:00:00 2025', 'Mar 14 23:59:59 2026');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 2026', 'Oct 11 03:59:59 2026', 'Mar 14 23:00:00 2026', 'Oct 10 23:59:59 2026');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 11 04:00:00 2026', 'Mar 14 02:59:59 2027', 'Oct 11 01:00:00 2026', 'Mar 13 23:59:59 2027');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 14 03:00:00 2027', 'Oct 10 03:59:59 2027', 'Mar 13 23:00:00 2027', 'Oct 9 23:59:59 2027');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 2027', 'Mar 12 02:59:59 2028', 'Oct 10 01:00:00 2027', 'Mar 11 23:59:59 2028');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 2028', 'Oct 15 03:59:59 2028', 'Mar 11 23:00:00 2028', 'Oct 14 23:59:59 2028');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 2028', 'Mar 11 02:59:59 2029', 'Oct 15 01:00:00 2028', 'Mar 10 23:59:59 2029');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 2029', 'Oct 14 03:59:59 2029', 'Mar 10 23:00:00 2029', 'Oct 13 23:59:59 2029');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 2029', 'Mar 10 02:59:59 2030', 'Oct 14 01:00:00 2029', 'Mar 9 23:59:59 2030');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 10 03:00:00 2030', 'Oct 13 03:59:59 2030', 'Mar 9 23:00:00 2030', 'Oct 12 23:59:59 2030');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 13 04:00:00 2030', 'Mar 9 02:59:59 2031', 'Oct 13 01:00:00 2030', 'Mar 8 23:59:59 2031');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 2031', 'Oct 12 03:59:59 2031', 'Mar 8 23:00:00 2031', 'Oct 11 23:59:59 2031');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 2031', 'Mar 14 02:59:59 2032', 'Oct 12 01:00:00 2031', 'Mar 13 23:59:59 2032');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 14 03:00:00 2032', 'Oct 10 03:59:59 2032', 'Mar 13 23:00:00 2032', 'Oct 9 23:59:59 2032');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 10 04:00:00 2032', 'Mar 13 02:59:59 2033', 'Oct 10 01:00:00 2032', 'Mar 12 23:59:59 2033');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 13 03:00:00 2033', 'Oct 9 03:59:59 2033', 'Mar 12 23:00:00 2033', 'Oct 8 23:59:59 2033');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 9 04:00:00 2033', 'Mar 12 02:59:59 2034', 'Oct 9 01:00:00 2033', 'Mar 11 23:59:59 2034');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 12 03:00:00 2034', 'Oct 15 03:59:59 2034', 'Mar 11 23:00:00 2034', 'Oct 14 23:59:59 2034');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 15 04:00:00 2034', 'Mar 11 02:59:59 2035', 'Oct 15 01:00:00 2034', 'Mar 10 23:59:59 2035');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 11 03:00:00 2035', 'Oct 14 03:59:59 2035', 'Mar 10 23:00:00 2035', 'Oct 13 23:59:59 2035');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 14 04:00:00 2035', 'Mar 9 02:59:59 2036', 'Oct 14 01:00:00 2035', 'Mar 8 23:59:59 2036');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 9 03:00:00 2036', 'Oct 12 03:59:59 2036', 'Mar 8 23:00:00 2036', 'Oct 11 23:59:59 2036');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 12 04:00:00 2036', 'Mar 15 02:59:59 2037', 'Oct 12 01:00:00 2036', 'Mar 14 23:59:59 2037');
timezone.add_rule('Chile/Continental', 'CLT', 0, -14400, 'Mar 15 03:00:00 2037', 'Oct 11 03:59:59 2037', 'Mar 14 23:00:00 2037', 'Oct 10 23:59:59 2037');
timezone.add_rule('Chile/Continental', 'CLST', 1, -10800, 'Oct 11 04:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 11 01:00:00 2037', 'Jan 18 00:14:07 2038');
end;
/

--
-- Chile/EasterIsland
--

begin
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -26248, 'Dec 14 20:45:52 1901', 'Sep 1 07:17:27 1932', 'Dec 14 13:28:24 1901', 'Aug 31 23:59:59 1932');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Sep 1 07:17:28 1932', 'Oct 12 06:59:59 1969', 'Sep 1 00:17:28 1932', 'Oct 11 23:59:59 1969');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 12 07:00:00 1969', 'Mar 15 05:59:59 1970', 'Oct 12 01:00:00 1969', 'Mar 14 23:59:59 1970');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 15 06:00:00 1970', 'Oct 11 06:59:59 1970', 'Mar 14 23:00:00 1970', 'Oct 10 23:59:59 1970');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 11 07:00:00 1970', 'Mar 14 05:59:59 1971', 'Oct 11 01:00:00 1970', 'Mar 13 23:59:59 1971');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 14 06:00:00 1971', 'Oct 10 06:59:59 1971', 'Mar 13 23:00:00 1971', 'Oct 9 23:59:59 1971');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 10 07:00:00 1971', 'Mar 12 05:59:59 1972', 'Oct 10 01:00:00 1971', 'Mar 11 23:59:59 1972');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 12 06:00:00 1972', 'Oct 15 06:59:59 1972', 'Mar 11 23:00:00 1972', 'Oct 14 23:59:59 1972');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 15 07:00:00 1972', 'Mar 11 05:59:59 1973', 'Oct 15 01:00:00 1972', 'Mar 10 23:59:59 1973');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 11 06:00:00 1973', 'Oct 14 06:59:59 1973', 'Mar 10 23:00:00 1973', 'Oct 13 23:59:59 1973');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 14 07:00:00 1973', 'Mar 10 05:59:59 1974', 'Oct 14 01:00:00 1973', 'Mar 9 23:59:59 1974');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 10 06:00:00 1974', 'Oct 13 06:59:59 1974', 'Mar 9 23:00:00 1974', 'Oct 12 23:59:59 1974');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 13 07:00:00 1974', 'Mar 9 05:59:59 1975', 'Oct 13 01:00:00 1974', 'Mar 8 23:59:59 1975');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 9 06:00:00 1975', 'Oct 12 06:59:59 1975', 'Mar 8 23:00:00 1975', 'Oct 11 23:59:59 1975');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 12 07:00:00 1975', 'Mar 14 05:59:59 1976', 'Oct 12 01:00:00 1975', 'Mar 13 23:59:59 1976');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 14 06:00:00 1976', 'Oct 10 06:59:59 1976', 'Mar 13 23:00:00 1976', 'Oct 9 23:59:59 1976');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 10 07:00:00 1976', 'Mar 13 05:59:59 1977', 'Oct 10 01:00:00 1976', 'Mar 12 23:59:59 1977');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 13 06:00:00 1977', 'Oct 9 06:59:59 1977', 'Mar 12 23:00:00 1977', 'Oct 8 23:59:59 1977');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 9 07:00:00 1977', 'Mar 12 05:59:59 1978', 'Oct 9 01:00:00 1977', 'Mar 11 23:59:59 1978');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 12 06:00:00 1978', 'Oct 15 06:59:59 1978', 'Mar 11 23:00:00 1978', 'Oct 14 23:59:59 1978');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 15 07:00:00 1978', 'Mar 11 05:59:59 1979', 'Oct 15 01:00:00 1978', 'Mar 10 23:59:59 1979');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 11 06:00:00 1979', 'Oct 14 06:59:59 1979', 'Mar 10 23:00:00 1979', 'Oct 13 23:59:59 1979');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 14 07:00:00 1979', 'Mar 9 05:59:59 1980', 'Oct 14 01:00:00 1979', 'Mar 8 23:59:59 1980');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 9 06:00:00 1980', 'Oct 12 06:59:59 1980', 'Mar 8 23:00:00 1980', 'Oct 11 23:59:59 1980');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 12 07:00:00 1980', 'Mar 15 05:59:59 1981', 'Oct 12 01:00:00 1980', 'Mar 14 23:59:59 1981');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -25200, 'Mar 15 06:00:00 1981', 'Oct 11 06:59:59 1981', 'Mar 14 23:00:00 1981', 'Oct 10 23:59:59 1981');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -21600, 'Oct 11 07:00:00 1981', 'Mar 14 05:59:59 1982', 'Oct 11 01:00:00 1981', 'Mar 13 23:59:59 1982');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 14 06:00:00 1982', 'Oct 10 05:59:59 1982', 'Mar 14 00:00:00 1982', 'Oct 9 23:59:59 1982');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 10 06:00:00 1982', 'Mar 13 04:59:59 1983', 'Oct 10 01:00:00 1982', 'Mar 12 23:59:59 1983');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 13 05:00:00 1983', 'Oct 9 05:59:59 1983', 'Mar 12 23:00:00 1983', 'Oct 8 23:59:59 1983');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 9 06:00:00 1983', 'Mar 11 04:59:59 1984', 'Oct 9 01:00:00 1983', 'Mar 10 23:59:59 1984');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 11 05:00:00 1984', 'Oct 14 05:59:59 1984', 'Mar 10 23:00:00 1984', 'Oct 13 23:59:59 1984');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 14 06:00:00 1984', 'Mar 10 04:59:59 1985', 'Oct 14 01:00:00 1984', 'Mar 9 23:59:59 1985');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 10 05:00:00 1985', 'Oct 13 05:59:59 1985', 'Mar 9 23:00:00 1985', 'Oct 12 23:59:59 1985');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 13 06:00:00 1985', 'Mar 9 04:59:59 1986', 'Oct 13 01:00:00 1985', 'Mar 8 23:59:59 1986');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 9 05:00:00 1986', 'Oct 12 05:59:59 1986', 'Mar 8 23:00:00 1986', 'Oct 11 23:59:59 1986');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 12 06:00:00 1986', 'Mar 15 04:59:59 1987', 'Oct 12 01:00:00 1986', 'Mar 14 23:59:59 1987');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 15 05:00:00 1987', 'Oct 11 05:59:59 1987', 'Mar 14 23:00:00 1987', 'Oct 10 23:59:59 1987');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 11 06:00:00 1987', 'Mar 13 04:59:59 1988', 'Oct 11 01:00:00 1987', 'Mar 12 23:59:59 1988');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 13 05:00:00 1988', 'Oct 9 05:59:59 1988', 'Mar 12 23:00:00 1988', 'Oct 8 23:59:59 1988');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 9 06:00:00 1988', 'Mar 12 04:59:59 1989', 'Oct 9 01:00:00 1988', 'Mar 11 23:59:59 1989');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 12 05:00:00 1989', 'Oct 15 05:59:59 1989', 'Mar 11 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 15 06:00:00 1989', 'Mar 11 04:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 10 23:59:59 1990');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 11 05:00:00 1990', 'Oct 14 05:59:59 1990', 'Mar 10 23:00:00 1990', 'Oct 13 23:59:59 1990');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 14 06:00:00 1990', 'Mar 10 04:59:59 1991', 'Oct 14 01:00:00 1990', 'Mar 9 23:59:59 1991');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 10 05:00:00 1991', 'Oct 13 05:59:59 1991', 'Mar 9 23:00:00 1991', 'Oct 12 23:59:59 1991');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 13 06:00:00 1991', 'Mar 15 04:59:59 1992', 'Oct 13 01:00:00 1991', 'Mar 14 23:59:59 1992');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 15 05:00:00 1992', 'Oct 11 05:59:59 1992', 'Mar 14 23:00:00 1992', 'Oct 10 23:59:59 1992');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 11 06:00:00 1992', 'Mar 14 04:59:59 1993', 'Oct 11 01:00:00 1992', 'Mar 13 23:59:59 1993');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 14 05:00:00 1993', 'Oct 10 05:59:59 1993', 'Mar 13 23:00:00 1993', 'Oct 9 23:59:59 1993');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 10 06:00:00 1993', 'Mar 13 04:59:59 1994', 'Oct 10 01:00:00 1993', 'Mar 12 23:59:59 1994');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 13 05:00:00 1994', 'Oct 9 05:59:59 1994', 'Mar 12 23:00:00 1994', 'Oct 8 23:59:59 1994');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 9 06:00:00 1994', 'Mar 12 04:59:59 1995', 'Oct 9 01:00:00 1994', 'Mar 11 23:59:59 1995');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 12 05:00:00 1995', 'Oct 15 05:59:59 1995', 'Mar 11 23:00:00 1995', 'Oct 14 23:59:59 1995');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 15 06:00:00 1995', 'Mar 10 04:59:59 1996', 'Oct 15 01:00:00 1995', 'Mar 9 23:59:59 1996');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 10 05:00:00 1996', 'Oct 13 05:59:59 1996', 'Mar 9 23:00:00 1996', 'Oct 12 23:59:59 1996');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 13 06:00:00 1996', 'Mar 9 04:59:59 1997', 'Oct 13 01:00:00 1996', 'Mar 8 23:59:59 1997');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 9 05:00:00 1997', 'Oct 12 05:59:59 1997', 'Mar 8 23:00:00 1997', 'Oct 11 23:59:59 1997');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 12 06:00:00 1997', 'Mar 15 04:59:59 1998', 'Oct 12 01:00:00 1997', 'Mar 14 23:59:59 1998');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 15 05:00:00 1998', 'Sep 27 05:59:59 1998', 'Mar 14 23:00:00 1998', 'Sep 26 23:59:59 1998');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Sep 27 06:00:00 1998', 'Apr 4 04:59:59 1999', 'Sep 27 01:00:00 1998', 'Apr 3 23:59:59 1999');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Apr 4 05:00:00 1999', 'Oct 10 05:59:59 1999', 'Apr 3 23:00:00 1999', 'Oct 9 23:59:59 1999');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 10 06:00:00 1999', 'Mar 12 04:59:59 2000', 'Oct 10 01:00:00 1999', 'Mar 11 23:59:59 2000');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 12 05:00:00 2000', 'Oct 15 05:59:59 2000', 'Mar 11 23:00:00 2000', 'Oct 14 23:59:59 2000');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 15 06:00:00 2000', 'Mar 11 04:59:59 2001', 'Oct 15 01:00:00 2000', 'Mar 10 23:59:59 2001');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 11 05:00:00 2001', 'Oct 14 05:59:59 2001', 'Mar 10 23:00:00 2001', 'Oct 13 23:59:59 2001');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 14 06:00:00 2001', 'Mar 10 04:59:59 2002', 'Oct 14 01:00:00 2001', 'Mar 9 23:59:59 2002');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 10 05:00:00 2002', 'Oct 13 05:59:59 2002', 'Mar 9 23:00:00 2002', 'Oct 12 23:59:59 2002');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 13 06:00:00 2002', 'Mar 9 04:59:59 2003', 'Oct 13 01:00:00 2002', 'Mar 8 23:59:59 2003');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 9 05:00:00 2003', 'Oct 12 05:59:59 2003', 'Mar 8 23:00:00 2003', 'Oct 11 23:59:59 2003');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 12 06:00:00 2003', 'Mar 14 04:59:59 2004', 'Oct 12 01:00:00 2003', 'Mar 13 23:59:59 2004');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 14 05:00:00 2004', 'Oct 10 05:59:59 2004', 'Mar 13 23:00:00 2004', 'Oct 9 23:59:59 2004');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 10 06:00:00 2004', 'Mar 13 04:59:59 2005', 'Oct 10 01:00:00 2004', 'Mar 12 23:59:59 2005');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 13 05:00:00 2005', 'Oct 9 05:59:59 2005', 'Mar 12 23:00:00 2005', 'Oct 8 23:59:59 2005');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 9 06:00:00 2005', 'Mar 12 04:59:59 2006', 'Oct 9 01:00:00 2005', 'Mar 11 23:59:59 2006');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 12 05:00:00 2006', 'Oct 15 05:59:59 2006', 'Mar 11 23:00:00 2006', 'Oct 14 23:59:59 2006');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 15 06:00:00 2006', 'Mar 11 04:59:59 2007', 'Oct 15 01:00:00 2006', 'Mar 10 23:59:59 2007');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 11 05:00:00 2007', 'Oct 14 05:59:59 2007', 'Mar 10 23:00:00 2007', 'Oct 13 23:59:59 2007');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 14 06:00:00 2007', 'Mar 9 04:59:59 2008', 'Oct 14 01:00:00 2007', 'Mar 8 23:59:59 2008');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 9 05:00:00 2008', 'Oct 12 05:59:59 2008', 'Mar 8 23:00:00 2008', 'Oct 11 23:59:59 2008');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 12 06:00:00 2008', 'Mar 15 04:59:59 2009', 'Oct 12 01:00:00 2008', 'Mar 14 23:59:59 2009');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 15 05:00:00 2009', 'Oct 11 05:59:59 2009', 'Mar 14 23:00:00 2009', 'Oct 10 23:59:59 2009');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 11 06:00:00 2009', 'Mar 14 04:59:59 2010', 'Oct 11 01:00:00 2009', 'Mar 13 23:59:59 2010');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 14 05:00:00 2010', 'Oct 10 05:59:59 2010', 'Mar 13 23:00:00 2010', 'Oct 9 23:59:59 2010');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 10 06:00:00 2010', 'Mar 13 04:59:59 2011', 'Oct 10 01:00:00 2010', 'Mar 12 23:59:59 2011');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 13 05:00:00 2011', 'Oct 9 05:59:59 2011', 'Mar 12 23:00:00 2011', 'Oct 8 23:59:59 2011');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 9 06:00:00 2011', 'Mar 11 04:59:59 2012', 'Oct 9 01:00:00 2011', 'Mar 10 23:59:59 2012');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 11 05:00:00 2012', 'Oct 14 05:59:59 2012', 'Mar 10 23:00:00 2012', 'Oct 13 23:59:59 2012');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 14 06:00:00 2012', 'Mar 10 04:59:59 2013', 'Oct 14 01:00:00 2012', 'Mar 9 23:59:59 2013');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 10 05:00:00 2013', 'Oct 13 05:59:59 2013', 'Mar 9 23:00:00 2013', 'Oct 12 23:59:59 2013');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 13 06:00:00 2013', 'Mar 9 04:59:59 2014', 'Oct 13 01:00:00 2013', 'Mar 8 23:59:59 2014');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 9 05:00:00 2014', 'Oct 12 05:59:59 2014', 'Mar 8 23:00:00 2014', 'Oct 11 23:59:59 2014');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 12 06:00:00 2014', 'Mar 15 04:59:59 2015', 'Oct 12 01:00:00 2014', 'Mar 14 23:59:59 2015');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 15 05:00:00 2015', 'Oct 11 05:59:59 2015', 'Mar 14 23:00:00 2015', 'Oct 10 23:59:59 2015');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 11 06:00:00 2015', 'Mar 13 04:59:59 2016', 'Oct 11 01:00:00 2015', 'Mar 12 23:59:59 2016');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 13 05:00:00 2016', 'Oct 9 05:59:59 2016', 'Mar 12 23:00:00 2016', 'Oct 8 23:59:59 2016');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 9 06:00:00 2016', 'Mar 12 04:59:59 2017', 'Oct 9 01:00:00 2016', 'Mar 11 23:59:59 2017');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 12 05:00:00 2017', 'Oct 15 05:59:59 2017', 'Mar 11 23:00:00 2017', 'Oct 14 23:59:59 2017');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 15 06:00:00 2017', 'Mar 11 04:59:59 2018', 'Oct 15 01:00:00 2017', 'Mar 10 23:59:59 2018');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 11 05:00:00 2018', 'Oct 14 05:59:59 2018', 'Mar 10 23:00:00 2018', 'Oct 13 23:59:59 2018');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 14 06:00:00 2018', 'Mar 10 04:59:59 2019', 'Oct 14 01:00:00 2018', 'Mar 9 23:59:59 2019');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 10 05:00:00 2019', 'Oct 13 05:59:59 2019', 'Mar 9 23:00:00 2019', 'Oct 12 23:59:59 2019');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 13 06:00:00 2019', 'Mar 15 04:59:59 2020', 'Oct 13 01:00:00 2019', 'Mar 14 23:59:59 2020');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 15 05:00:00 2020', 'Oct 11 05:59:59 2020', 'Mar 14 23:00:00 2020', 'Oct 10 23:59:59 2020');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 11 06:00:00 2020', 'Mar 14 04:59:59 2021', 'Oct 11 01:00:00 2020', 'Mar 13 23:59:59 2021');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 14 05:00:00 2021', 'Oct 10 05:59:59 2021', 'Mar 13 23:00:00 2021', 'Oct 9 23:59:59 2021');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 10 06:00:00 2021', 'Mar 13 04:59:59 2022', 'Oct 10 01:00:00 2021', 'Mar 12 23:59:59 2022');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 13 05:00:00 2022', 'Oct 9 05:59:59 2022', 'Mar 12 23:00:00 2022', 'Oct 8 23:59:59 2022');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 9 06:00:00 2022', 'Mar 12 04:59:59 2023', 'Oct 9 01:00:00 2022', 'Mar 11 23:59:59 2023');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 12 05:00:00 2023', 'Oct 15 05:59:59 2023', 'Mar 11 23:00:00 2023', 'Oct 14 23:59:59 2023');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 15 06:00:00 2023', 'Mar 10 04:59:59 2024', 'Oct 15 01:00:00 2023', 'Mar 9 23:59:59 2024');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 10 05:00:00 2024', 'Oct 13 05:59:59 2024', 'Mar 9 23:00:00 2024', 'Oct 12 23:59:59 2024');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 13 06:00:00 2024', 'Mar 9 04:59:59 2025', 'Oct 13 01:00:00 2024', 'Mar 8 23:59:59 2025');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 9 05:00:00 2025', 'Oct 12 05:59:59 2025', 'Mar 8 23:00:00 2025', 'Oct 11 23:59:59 2025');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 12 06:00:00 2025', 'Mar 15 04:59:59 2026', 'Oct 12 01:00:00 2025', 'Mar 14 23:59:59 2026');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 15 05:00:00 2026', 'Oct 11 05:59:59 2026', 'Mar 14 23:00:00 2026', 'Oct 10 23:59:59 2026');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 11 06:00:00 2026', 'Mar 14 04:59:59 2027', 'Oct 11 01:00:00 2026', 'Mar 13 23:59:59 2027');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 14 05:00:00 2027', 'Oct 10 05:59:59 2027', 'Mar 13 23:00:00 2027', 'Oct 9 23:59:59 2027');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 10 06:00:00 2027', 'Mar 12 04:59:59 2028', 'Oct 10 01:00:00 2027', 'Mar 11 23:59:59 2028');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 12 05:00:00 2028', 'Oct 15 05:59:59 2028', 'Mar 11 23:00:00 2028', 'Oct 14 23:59:59 2028');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 15 06:00:00 2028', 'Mar 11 04:59:59 2029', 'Oct 15 01:00:00 2028', 'Mar 10 23:59:59 2029');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 11 05:00:00 2029', 'Oct 14 05:59:59 2029', 'Mar 10 23:00:00 2029', 'Oct 13 23:59:59 2029');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 14 06:00:00 2029', 'Mar 10 04:59:59 2030', 'Oct 14 01:00:00 2029', 'Mar 9 23:59:59 2030');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 10 05:00:00 2030', 'Oct 13 05:59:59 2030', 'Mar 9 23:00:00 2030', 'Oct 12 23:59:59 2030');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 13 06:00:00 2030', 'Mar 9 04:59:59 2031', 'Oct 13 01:00:00 2030', 'Mar 8 23:59:59 2031');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 9 05:00:00 2031', 'Oct 12 05:59:59 2031', 'Mar 8 23:00:00 2031', 'Oct 11 23:59:59 2031');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 12 06:00:00 2031', 'Mar 14 04:59:59 2032', 'Oct 12 01:00:00 2031', 'Mar 13 23:59:59 2032');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 14 05:00:00 2032', 'Oct 10 05:59:59 2032', 'Mar 13 23:00:00 2032', 'Oct 9 23:59:59 2032');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 10 06:00:00 2032', 'Mar 13 04:59:59 2033', 'Oct 10 01:00:00 2032', 'Mar 12 23:59:59 2033');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 13 05:00:00 2033', 'Oct 9 05:59:59 2033', 'Mar 12 23:00:00 2033', 'Oct 8 23:59:59 2033');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 9 06:00:00 2033', 'Mar 12 04:59:59 2034', 'Oct 9 01:00:00 2033', 'Mar 11 23:59:59 2034');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 12 05:00:00 2034', 'Oct 15 05:59:59 2034', 'Mar 11 23:00:00 2034', 'Oct 14 23:59:59 2034');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 15 06:00:00 2034', 'Mar 11 04:59:59 2035', 'Oct 15 01:00:00 2034', 'Mar 10 23:59:59 2035');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 11 05:00:00 2035', 'Oct 14 05:59:59 2035', 'Mar 10 23:00:00 2035', 'Oct 13 23:59:59 2035');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 14 06:00:00 2035', 'Mar 9 04:59:59 2036', 'Oct 14 01:00:00 2035', 'Mar 8 23:59:59 2036');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 9 05:00:00 2036', 'Oct 12 05:59:59 2036', 'Mar 8 23:00:00 2036', 'Oct 11 23:59:59 2036');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 12 06:00:00 2036', 'Mar 15 04:59:59 2037', 'Oct 12 01:00:00 2036', 'Mar 14 23:59:59 2037');
timezone.add_rule('Chile/EasterIsland', 'EAST', 0, -21600, 'Mar 15 05:00:00 2037', 'Oct 11 05:59:59 2037', 'Mar 14 23:00:00 2037', 'Oct 10 23:59:59 2037');
timezone.add_rule('Chile/EasterIsland', 'EASST', 1, -18000, 'Oct 11 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 11 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- Cuba
--

begin
timezone.add_rule('Cuba', 'CST', 0, -19800, 'Dec 14 20:45:52 1901', 'Jul 19 17:29:59 1925', 'Dec 14 15:15:52 1901', 'Jul 19 11:59:59 1925');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Jul 19 17:30:00 1925', 'Jun 10 04:59:59 1928', 'Jul 19 12:30:00 1925', 'Jun 9 23:59:59 1928');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Jun 10 05:00:00 1928', 'Oct 10 03:59:59 1928', 'Jun 10 01:00:00 1928', 'Oct 9 23:59:59 1928');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 10 04:00:00 1928', 'Jun 2 04:59:59 1940', 'Oct 9 23:00:00 1928', 'Jun 1 23:59:59 1940');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Jun 2 05:00:00 1940', 'Sep 1 03:59:59 1940', 'Jun 2 01:00:00 1940', 'Aug 31 23:59:59 1940');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Sep 1 04:00:00 1940', 'Jun 1 04:59:59 1941', 'Aug 31 23:00:00 1940', 'May 31 23:59:59 1941');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Jun 1 05:00:00 1941', 'Sep 7 03:59:59 1941', 'Jun 1 01:00:00 1941', 'Sep 6 23:59:59 1941');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Sep 7 04:00:00 1941', 'Jun 7 04:59:59 1942', 'Sep 6 23:00:00 1941', 'Jun 6 23:59:59 1942');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Jun 7 05:00:00 1942', 'Sep 6 03:59:59 1942', 'Jun 7 01:00:00 1942', 'Sep 5 23:59:59 1942');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Sep 6 04:00:00 1942', 'Jun 3 04:59:59 1945', 'Sep 5 23:00:00 1942', 'Jun 2 23:59:59 1945');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Jun 3 05:00:00 1945', 'Sep 2 03:59:59 1945', 'Jun 3 01:00:00 1945', 'Sep 1 23:59:59 1945');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Sep 2 04:00:00 1945', 'Jun 2 04:59:59 1946', 'Sep 1 23:00:00 1945', 'Jun 1 23:59:59 1946');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Jun 2 05:00:00 1946', 'Sep 1 03:59:59 1946', 'Jun 2 01:00:00 1946', 'Aug 31 23:59:59 1946');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Sep 1 04:00:00 1946', 'Jun 1 04:59:59 1965', 'Aug 31 23:00:00 1946', 'May 31 23:59:59 1965');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Jun 1 05:00:00 1965', 'Sep 30 03:59:59 1965', 'Jun 1 01:00:00 1965', 'Sep 29 23:59:59 1965');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Sep 30 04:00:00 1965', 'May 29 04:59:59 1966', 'Sep 29 23:00:00 1965', 'May 28 23:59:59 1966');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'May 29 05:00:00 1966', 'Oct 2 03:59:59 1966', 'May 29 01:00:00 1966', 'Oct 1 23:59:59 1966');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 2 04:00:00 1966', 'Apr 8 04:59:59 1967', 'Oct 1 23:00:00 1966', 'Apr 7 23:59:59 1967');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 8 05:00:00 1967', 'Sep 10 03:59:59 1967', 'Apr 8 01:00:00 1967', 'Sep 9 23:59:59 1967');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Sep 10 04:00:00 1967', 'Apr 14 04:59:59 1968', 'Sep 9 23:00:00 1967', 'Apr 13 23:59:59 1968');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 14 05:00:00 1968', 'Sep 8 03:59:59 1968', 'Apr 14 01:00:00 1968', 'Sep 7 23:59:59 1968');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Sep 8 04:00:00 1968', 'Apr 27 04:59:59 1969', 'Sep 7 23:00:00 1968', 'Apr 26 23:59:59 1969');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 27 05:00:00 1969', 'Oct 26 03:59:59 1969', 'Apr 27 01:00:00 1969', 'Oct 25 23:59:59 1969');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 26 04:00:00 1969', 'Apr 26 04:59:59 1970', 'Oct 25 23:00:00 1969', 'Apr 25 23:59:59 1970');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 26 05:00:00 1970', 'Oct 25 03:59:59 1970', 'Apr 26 01:00:00 1970', 'Oct 24 23:59:59 1970');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 25 04:00:00 1970', 'Apr 25 04:59:59 1971', 'Oct 24 23:00:00 1970', 'Apr 24 23:59:59 1971');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 25 05:00:00 1971', 'Oct 31 03:59:59 1971', 'Apr 25 01:00:00 1971', 'Oct 30 23:59:59 1971');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 31 04:00:00 1971', 'Apr 30 04:59:59 1972', 'Oct 30 23:00:00 1971', 'Apr 29 23:59:59 1972');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 30 05:00:00 1972', 'Oct 8 03:59:59 1972', 'Apr 30 01:00:00 1972', 'Oct 7 23:59:59 1972');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 8 04:00:00 1972', 'Apr 29 04:59:59 1973', 'Oct 7 23:00:00 1972', 'Apr 28 23:59:59 1973');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 29 05:00:00 1973', 'Oct 8 03:59:59 1973', 'Apr 29 01:00:00 1973', 'Oct 7 23:59:59 1973');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 8 04:00:00 1973', 'Apr 28 04:59:59 1974', 'Oct 7 23:00:00 1973', 'Apr 27 23:59:59 1974');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 28 05:00:00 1974', 'Oct 8 03:59:59 1974', 'Apr 28 01:00:00 1974', 'Oct 7 23:59:59 1974');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 8 04:00:00 1974', 'Apr 27 04:59:59 1975', 'Oct 7 23:00:00 1974', 'Apr 26 23:59:59 1975');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 27 05:00:00 1975', 'Oct 26 03:59:59 1975', 'Apr 27 01:00:00 1975', 'Oct 25 23:59:59 1975');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 26 04:00:00 1975', 'Apr 25 04:59:59 1976', 'Oct 25 23:00:00 1975', 'Apr 24 23:59:59 1976');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 25 05:00:00 1976', 'Oct 31 03:59:59 1976', 'Apr 25 01:00:00 1976', 'Oct 30 23:59:59 1976');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 31 04:00:00 1976', 'Apr 24 04:59:59 1977', 'Oct 30 23:00:00 1976', 'Apr 23 23:59:59 1977');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 24 05:00:00 1977', 'Oct 30 03:59:59 1977', 'Apr 24 01:00:00 1977', 'Oct 29 23:59:59 1977');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 30 04:00:00 1977', 'May 7 04:59:59 1978', 'Oct 29 23:00:00 1977', 'May 6 23:59:59 1978');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'May 7 05:00:00 1978', 'Oct 8 03:59:59 1978', 'May 7 01:00:00 1978', 'Oct 7 23:59:59 1978');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 8 04:00:00 1978', 'Mar 18 04:59:59 1979', 'Oct 7 23:00:00 1978', 'Mar 17 23:59:59 1979');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 18 05:00:00 1979', 'Oct 14 03:59:59 1979', 'Mar 18 01:00:00 1979', 'Oct 13 23:59:59 1979');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 14 04:00:00 1979', 'Mar 16 04:59:59 1980', 'Oct 13 23:00:00 1979', 'Mar 15 23:59:59 1980');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 16 05:00:00 1980', 'Oct 12 03:59:59 1980', 'Mar 16 01:00:00 1980', 'Oct 11 23:59:59 1980');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 12 04:00:00 1980', 'May 10 04:59:59 1981', 'Oct 11 23:00:00 1980', 'May 9 23:59:59 1981');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'May 10 05:00:00 1981', 'Oct 11 03:59:59 1981', 'May 10 01:00:00 1981', 'Oct 10 23:59:59 1981');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 11 04:00:00 1981', 'May 9 04:59:59 1982', 'Oct 10 23:00:00 1981', 'May 8 23:59:59 1982');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'May 9 05:00:00 1982', 'Oct 10 03:59:59 1982', 'May 9 01:00:00 1982', 'Oct 9 23:59:59 1982');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 10 04:00:00 1982', 'May 8 04:59:59 1983', 'Oct 9 23:00:00 1982', 'May 7 23:59:59 1983');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'May 8 05:00:00 1983', 'Oct 9 03:59:59 1983', 'May 8 01:00:00 1983', 'Oct 8 23:59:59 1983');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 9 04:00:00 1983', 'May 6 04:59:59 1984', 'Oct 8 23:00:00 1983', 'May 5 23:59:59 1984');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'May 6 05:00:00 1984', 'Oct 14 03:59:59 1984', 'May 6 01:00:00 1984', 'Oct 13 23:59:59 1984');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 14 04:00:00 1984', 'May 5 04:59:59 1985', 'Oct 13 23:00:00 1984', 'May 4 23:59:59 1985');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'May 5 05:00:00 1985', 'Oct 13 03:59:59 1985', 'May 5 01:00:00 1985', 'Oct 12 23:59:59 1985');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 13 04:00:00 1985', 'Mar 16 04:59:59 1986', 'Oct 12 23:00:00 1985', 'Mar 15 23:59:59 1986');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 16 05:00:00 1986', 'Oct 12 03:59:59 1986', 'Mar 16 01:00:00 1986', 'Oct 11 23:59:59 1986');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 12 04:00:00 1986', 'Mar 15 04:59:59 1987', 'Oct 11 23:00:00 1986', 'Mar 14 23:59:59 1987');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 15 05:00:00 1987', 'Oct 11 03:59:59 1987', 'Mar 15 01:00:00 1987', 'Oct 10 23:59:59 1987');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 11 04:00:00 1987', 'Mar 20 04:59:59 1988', 'Oct 10 23:00:00 1987', 'Mar 19 23:59:59 1988');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 20 05:00:00 1988', 'Oct 9 03:59:59 1988', 'Mar 20 01:00:00 1988', 'Oct 8 23:59:59 1988');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 9 04:00:00 1988', 'Mar 19 04:59:59 1989', 'Oct 8 23:00:00 1988', 'Mar 18 23:59:59 1989');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 19 05:00:00 1989', 'Oct 8 03:59:59 1989', 'Mar 19 01:00:00 1989', 'Oct 7 23:59:59 1989');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 8 04:00:00 1989', 'Apr 1 04:59:59 1990', 'Oct 7 23:00:00 1989', 'Mar 31 23:59:59 1990');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 1 05:00:00 1990', 'Oct 14 03:59:59 1990', 'Apr 1 01:00:00 1990', 'Oct 13 23:59:59 1990');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 14 04:00:00 1990', 'Apr 7 04:59:59 1991', 'Oct 13 23:00:00 1990', 'Apr 6 23:59:59 1991');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 7 05:00:00 1991', 'Oct 13 04:59:59 1991', 'Apr 7 01:00:00 1991', 'Oct 13 00:59:59 1991');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 13 05:00:00 1991', 'Apr 5 04:59:59 1992', 'Oct 13 00:00:00 1991', 'Apr 4 23:59:59 1992');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 5 05:00:00 1992', 'Oct 11 04:59:59 1992', 'Apr 5 01:00:00 1992', 'Oct 11 00:59:59 1992');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 11 05:00:00 1992', 'Apr 4 04:59:59 1993', 'Oct 11 00:00:00 1992', 'Apr 3 23:59:59 1993');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 4 05:00:00 1993', 'Oct 10 04:59:59 1993', 'Apr 4 01:00:00 1993', 'Oct 10 00:59:59 1993');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 10 05:00:00 1993', 'Apr 3 04:59:59 1994', 'Oct 10 00:00:00 1993', 'Apr 2 23:59:59 1994');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 3 05:00:00 1994', 'Oct 9 04:59:59 1994', 'Apr 3 01:00:00 1994', 'Oct 9 00:59:59 1994');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 9 05:00:00 1994', 'Apr 2 04:59:59 1995', 'Oct 9 00:00:00 1994', 'Apr 1 23:59:59 1995');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 2 05:00:00 1995', 'Oct 8 04:59:59 1995', 'Apr 2 01:00:00 1995', 'Oct 8 00:59:59 1995');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 8 05:00:00 1995', 'Apr 7 04:59:59 1996', 'Oct 8 00:00:00 1995', 'Apr 6 23:59:59 1996');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 7 05:00:00 1996', 'Oct 6 04:59:59 1996', 'Apr 7 01:00:00 1996', 'Oct 6 00:59:59 1996');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 6 05:00:00 1996', 'Apr 6 04:59:59 1997', 'Oct 6 00:00:00 1996', 'Apr 5 23:59:59 1997');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Apr 6 05:00:00 1997', 'Oct 12 04:59:59 1997', 'Apr 6 01:00:00 1997', 'Oct 12 00:59:59 1997');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 12 05:00:00 1997', 'Mar 29 04:59:59 1998', 'Oct 12 00:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 29 05:00:00 1998', 'Oct 25 04:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 25 05:00:00 1998', 'Mar 28 04:59:59 1999', 'Oct 25 00:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 28 05:00:00 1999', 'Oct 31 04:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 31 05:00:00 1999', 'Mar 26 04:59:59 2000', 'Oct 31 00:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 26 05:00:00 2000', 'Oct 29 04:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 29 05:00:00 2000', 'Mar 25 04:59:59 2001', 'Oct 29 00:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 25 05:00:00 2001', 'Oct 28 04:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 28 05:00:00 2001', 'Mar 31 04:59:59 2002', 'Oct 28 00:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 31 05:00:00 2002', 'Oct 27 04:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 27 05:00:00 2002', 'Mar 30 04:59:59 2003', 'Oct 27 00:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 30 05:00:00 2003', 'Oct 26 04:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 26 05:00:00 2003', 'Mar 28 04:59:59 2004', 'Oct 26 00:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 28 05:00:00 2004', 'Oct 31 04:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 31 05:00:00 2004', 'Mar 27 04:59:59 2005', 'Oct 31 00:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 27 05:00:00 2005', 'Oct 30 04:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 30 05:00:00 2005', 'Mar 26 04:59:59 2006', 'Oct 30 00:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 26 05:00:00 2006', 'Oct 29 04:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 29 05:00:00 2006', 'Mar 25 04:59:59 2007', 'Oct 29 00:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 25 05:00:00 2007', 'Oct 28 04:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 28 05:00:00 2007', 'Mar 30 04:59:59 2008', 'Oct 28 00:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 30 05:00:00 2008', 'Oct 26 04:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 26 05:00:00 2008', 'Mar 29 04:59:59 2009', 'Oct 26 00:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 29 05:00:00 2009', 'Oct 25 04:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 25 05:00:00 2009', 'Mar 28 04:59:59 2010', 'Oct 25 00:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 28 05:00:00 2010', 'Oct 31 04:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 31 05:00:00 2010', 'Mar 27 04:59:59 2011', 'Oct 31 00:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 27 05:00:00 2011', 'Oct 30 04:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 30 05:00:00 2011', 'Mar 25 04:59:59 2012', 'Oct 30 00:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 25 05:00:00 2012', 'Oct 28 04:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 28 05:00:00 2012', 'Mar 31 04:59:59 2013', 'Oct 28 00:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 31 05:00:00 2013', 'Oct 27 04:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 27 05:00:00 2013', 'Mar 30 04:59:59 2014', 'Oct 27 00:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 30 05:00:00 2014', 'Oct 26 04:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 26 05:00:00 2014', 'Mar 29 04:59:59 2015', 'Oct 26 00:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 29 05:00:00 2015', 'Oct 25 04:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 25 05:00:00 2015', 'Mar 27 04:59:59 2016', 'Oct 25 00:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 27 05:00:00 2016', 'Oct 30 04:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 30 05:00:00 2016', 'Mar 26 04:59:59 2017', 'Oct 30 00:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 26 05:00:00 2017', 'Oct 29 04:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 29 05:00:00 2017', 'Mar 25 04:59:59 2018', 'Oct 29 00:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 25 05:00:00 2018', 'Oct 28 04:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 28 05:00:00 2018', 'Mar 31 04:59:59 2019', 'Oct 28 00:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 31 05:00:00 2019', 'Oct 27 04:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 27 05:00:00 2019', 'Mar 29 04:59:59 2020', 'Oct 27 00:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 29 05:00:00 2020', 'Oct 25 04:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 25 05:00:00 2020', 'Mar 28 04:59:59 2021', 'Oct 25 00:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 28 05:00:00 2021', 'Oct 31 04:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 31 05:00:00 2021', 'Mar 27 04:59:59 2022', 'Oct 31 00:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 27 05:00:00 2022', 'Oct 30 04:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 30 05:00:00 2022', 'Mar 26 04:59:59 2023', 'Oct 30 00:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 26 05:00:00 2023', 'Oct 29 04:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 29 05:00:00 2023', 'Mar 31 04:59:59 2024', 'Oct 29 00:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 31 05:00:00 2024', 'Oct 27 04:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 27 05:00:00 2024', 'Mar 30 04:59:59 2025', 'Oct 27 00:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 30 05:00:00 2025', 'Oct 26 04:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 26 05:00:00 2025', 'Mar 29 04:59:59 2026', 'Oct 26 00:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 29 05:00:00 2026', 'Oct 25 04:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 25 05:00:00 2026', 'Mar 28 04:59:59 2027', 'Oct 25 00:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 28 05:00:00 2027', 'Oct 31 04:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 31 05:00:00 2027', 'Mar 26 04:59:59 2028', 'Oct 31 00:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 26 05:00:00 2028', 'Oct 29 04:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 29 05:00:00 2028', 'Mar 25 04:59:59 2029', 'Oct 29 00:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 25 05:00:00 2029', 'Oct 28 04:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 28 05:00:00 2029', 'Mar 31 04:59:59 2030', 'Oct 28 00:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 31 05:00:00 2030', 'Oct 27 04:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 27 05:00:00 2030', 'Mar 30 04:59:59 2031', 'Oct 27 00:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 30 05:00:00 2031', 'Oct 26 04:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 26 05:00:00 2031', 'Mar 28 04:59:59 2032', 'Oct 26 00:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 28 05:00:00 2032', 'Oct 31 04:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 31 05:00:00 2032', 'Mar 27 04:59:59 2033', 'Oct 31 00:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 27 05:00:00 2033', 'Oct 30 04:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 30 05:00:00 2033', 'Mar 26 04:59:59 2034', 'Oct 30 00:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 26 05:00:00 2034', 'Oct 29 04:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 29 05:00:00 2034', 'Mar 25 04:59:59 2035', 'Oct 29 00:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 25 05:00:00 2035', 'Oct 28 04:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 28 05:00:00 2035', 'Mar 30 04:59:59 2036', 'Oct 28 00:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 30 05:00:00 2036', 'Oct 26 04:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 26 05:00:00 2036', 'Mar 29 04:59:59 2037', 'Oct 26 00:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Cuba', 'CDT', 1, -14400, 'Mar 29 05:00:00 2037', 'Oct 25 04:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037');
timezone.add_rule('Cuba', 'CST', 0, -18000, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 00:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- EET
--

begin
timezone.add_rule('EET', 'EET', 0, 7200, 'Dec 14 20:45:52 1901', 'Apr 3 00:59:59 1977', 'Dec 14 22:45:52 1901', 'Apr 3 02:59:59 1977');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Apr 3 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Apr 3 04:00:00 1977', 'Sep 25 03:59:59 1977');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 03:00:00 1977', 'Apr 2 02:59:59 1978');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 04:00:00 1978', 'Oct 1 03:59:59 1978');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 03:00:00 1978', 'Apr 1 02:59:59 1979');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 04:00:00 1979', 'Sep 30 03:59:59 1979');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 03:00:00 1979', 'Apr 6 02:59:59 1980');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 04:00:00 1980', 'Sep 28 03:59:59 1980');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 03:00:00 1980', 'Mar 29 02:59:59 1981');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 04:00:00 1981', 'Sep 27 03:59:59 1981');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 03:00:00 1981', 'Mar 28 02:59:59 1982');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 04:00:00 1982', 'Sep 26 03:59:59 1982');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 03:00:00 1982', 'Mar 27 02:59:59 1983');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 04:00:00 1983', 'Sep 25 03:59:59 1983');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 03:00:00 1983', 'Mar 25 02:59:59 1984');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 04:00:00 1984', 'Sep 30 03:59:59 1984');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 03:00:00 1984', 'Mar 31 02:59:59 1985');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 04:00:00 1985', 'Sep 29 03:59:59 1985');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 03:00:00 1985', 'Mar 30 02:59:59 1986');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 04:00:00 1986', 'Sep 28 03:59:59 1986');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 03:00:00 1986', 'Mar 29 02:59:59 1987');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 04:00:00 1987', 'Sep 27 03:59:59 1987');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 03:00:00 1987', 'Mar 27 02:59:59 1988');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 04:00:00 1988', 'Sep 25 03:59:59 1988');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 03:00:00 1988', 'Mar 26 02:59:59 1989');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 04:00:00 1989', 'Sep 24 03:59:59 1989');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 03:00:00 1989', 'Mar 25 02:59:59 1990');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 04:00:00 1990', 'Sep 30 03:59:59 1990');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 03:00:00 1990', 'Mar 31 02:59:59 1991');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 04:00:00 1991', 'Sep 29 03:59:59 1991');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 03:00:00 1991', 'Mar 29 02:59:59 1992');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 04:00:00 1992', 'Sep 27 03:59:59 1992');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 03:00:00 1992', 'Mar 28 02:59:59 1993');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 04:00:00 1993', 'Sep 26 03:59:59 1993');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 03:00:00 1993', 'Mar 27 02:59:59 1994');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 04:00:00 1994', 'Sep 25 03:59:59 1994');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 04:00:00 1995', 'Sep 24 03:59:59 1995');
timezone.add_rule('EET', 'EET', 0, 7200, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 04:00:00 1996', 'Oct 27 03:59:59 1996');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 04:00:00 1997', 'Oct 26 03:59:59 1997');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 04:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('EET', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('EET', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- EST
--

begin
timezone.add_rule('EST', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('EST', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('EST', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Jun 22 07:59:59 1941', 'Oct 26 01:00:00 1919', 'Jun 22 01:59:59 1941');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Jun 22 08:00:00 1941', 'Sep 28 06:59:59 1941', 'Jun 22 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 28 07:00:00 1941', 'Feb 9 07:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Sep 29 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 29 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('EST', 'EDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('EST', 'EST', 0, -18000, 'Apr 24 08:00:00 1955', 'Sep 29 06:59:59 1957', 'Apr 24 03:00:00 1955', 'Sep 29 01:59:59 1957');
timezone.add_rule('EST', 'EST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('EST', 'EST', 0, -18000, 'Apr 27 08:00:00 1958', 'Apr 27 06:59:59 1969', 'Apr 27 03:00:00 1958', 'Apr 27 01:59:59 1969');
timezone.add_rule('EST', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('EST', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('EST', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('EST', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 1970', 'Jan 17 22:14:07 2038');
end;
/

--
-- EST5EDT
--

begin
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Mar 31 06:59:59 1918', 'Dec 14 15:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Mar 31 07:00:00 1918', 'Oct 27 05:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1918', 'Mar 30 06:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Mar 30 07:00:00 1919', 'Oct 26 05:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1919', 'Mar 28 06:59:59 1920', 'Oct 26 01:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Mar 28 07:00:00 1920', 'Oct 31 05:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1920', 'Apr 24 06:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1921', 'Sep 25 05:59:59 1921', 'Apr 24 03:00:00 1921', 'Sep 25 01:59:59 1921');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 25 06:00:00 1921', 'Apr 30 06:59:59 1922', 'Sep 25 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1922', 'Sep 24 05:59:59 1922', 'Apr 30 03:00:00 1922', 'Sep 24 01:59:59 1922');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 24 06:00:00 1922', 'Apr 29 06:59:59 1923', 'Sep 24 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1923', 'Sep 30 05:59:59 1923', 'Apr 29 03:00:00 1923', 'Sep 30 01:59:59 1923');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 30 06:00:00 1923', 'Apr 27 06:59:59 1924', 'Sep 30 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1924', 'Sep 28 05:59:59 1924', 'Apr 27 03:00:00 1924', 'Sep 28 01:59:59 1924');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 28 06:00:00 1924', 'Apr 26 06:59:59 1925', 'Sep 28 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1925', 'Sep 27 05:59:59 1925', 'Apr 26 03:00:00 1925', 'Sep 27 01:59:59 1925');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 27 06:00:00 1925', 'Apr 25 06:59:59 1926', 'Sep 27 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1926', 'Sep 26 05:59:59 1926', 'Apr 25 03:00:00 1926', 'Sep 26 01:59:59 1926');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 26 06:00:00 1926', 'Apr 24 06:59:59 1927', 'Sep 26 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1927', 'Sep 25 05:59:59 1927', 'Apr 24 03:00:00 1927', 'Sep 25 01:59:59 1927');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 25 06:00:00 1927', 'Apr 29 06:59:59 1928', 'Sep 25 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1928', 'Sep 30 05:59:59 1928', 'Apr 29 03:00:00 1928', 'Sep 30 01:59:59 1928');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 30 06:00:00 1928', 'Apr 28 06:59:59 1929', 'Sep 30 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1929', 'Sep 29 05:59:59 1929', 'Apr 28 03:00:00 1929', 'Sep 29 01:59:59 1929');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 29 06:00:00 1929', 'Apr 27 06:59:59 1930', 'Sep 29 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1930', 'Sep 28 05:59:59 1930', 'Apr 27 03:00:00 1930', 'Sep 28 01:59:59 1930');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 28 06:00:00 1930', 'Apr 26 06:59:59 1931', 'Sep 28 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1931', 'Sep 27 05:59:59 1931', 'Apr 26 03:00:00 1931', 'Sep 27 01:59:59 1931');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 27 06:00:00 1931', 'Apr 24 06:59:59 1932', 'Sep 27 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1932', 'Sep 25 05:59:59 1932', 'Apr 24 03:00:00 1932', 'Sep 25 01:59:59 1932');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 25 06:00:00 1932', 'Apr 30 06:59:59 1933', 'Sep 25 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1933', 'Sep 24 05:59:59 1933', 'Apr 30 03:00:00 1933', 'Sep 24 01:59:59 1933');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 24 06:00:00 1933', 'Apr 29 06:59:59 1934', 'Sep 24 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1934', 'Sep 30 05:59:59 1934', 'Apr 29 03:00:00 1934', 'Sep 30 01:59:59 1934');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 30 06:00:00 1934', 'Apr 28 06:59:59 1935', 'Sep 30 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1935', 'Sep 29 05:59:59 1935', 'Apr 28 03:00:00 1935', 'Sep 29 01:59:59 1935');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 29 06:00:00 1935', 'Apr 26 06:59:59 1936', 'Sep 29 01:00:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1936', 'Sep 27 05:59:59 1936', 'Apr 26 03:00:00 1936', 'Sep 27 01:59:59 1936');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 27 06:00:00 1936', 'Apr 25 06:59:59 1937', 'Sep 27 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1937', 'Sep 26 05:59:59 1937', 'Apr 25 03:00:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 26 06:00:00 1937', 'Apr 24 06:59:59 1938', 'Sep 26 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1938', 'Sep 25 05:59:59 1938', 'Apr 24 03:00:00 1938', 'Sep 25 01:59:59 1938');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 25 06:00:00 1938', 'Apr 30 06:59:59 1939', 'Sep 25 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1939', 'Sep 24 05:59:59 1939', 'Apr 30 03:00:00 1939', 'Sep 24 01:59:59 1939');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 24 06:00:00 1939', 'Apr 28 06:59:59 1940', 'Sep 24 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1940', 'Sep 29 05:59:59 1940', 'Apr 28 03:00:00 1940', 'Sep 29 01:59:59 1940');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 29 06:00:00 1940', 'Apr 27 06:59:59 1941', 'Sep 29 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1941', 'Sep 28 05:59:59 1941', 'Apr 27 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 28 06:00:00 1941', 'Feb 9 06:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Feb 9 07:00:00 1942', 'Sep 30 05:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 28 06:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1946', 'Sep 29 05:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 29 06:00:00 1946', 'Apr 27 06:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1947', 'Sep 28 05:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 28 06:00:00 1947', 'Apr 25 06:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1948', 'Sep 26 05:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 26 06:00:00 1948', 'Apr 24 06:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1949', 'Sep 25 05:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 25 06:00:00 1949', 'Apr 30 06:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1950', 'Sep 24 05:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 24 06:00:00 1950', 'Apr 29 06:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1951', 'Sep 30 05:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 30 06:00:00 1951', 'Apr 27 06:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1952', 'Sep 28 05:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 28 06:00:00 1952', 'Apr 26 06:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1953', 'Sep 27 05:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 27 06:00:00 1953', 'Apr 25 06:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1954', 'Sep 26 05:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Sep 26 06:00:00 1954', 'Apr 24 06:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1955', 'Oct 30 05:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1955', 'Apr 29 06:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1956', 'Oct 28 05:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1956', 'Apr 28 06:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1957', 'Oct 27 05:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1957', 'Apr 27 06:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1958', 'Oct 26 05:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1958', 'Apr 26 06:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1959', 'Oct 25 05:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1959', 'Apr 24 06:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1960', 'Oct 30 05:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1960', 'Apr 30 06:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1961', 'Oct 29 05:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1961', 'Apr 29 06:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1962', 'Oct 28 05:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1962', 'Apr 28 06:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1963', 'Oct 27 05:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1963', 'Apr 26 06:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1964', 'Oct 25 05:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1964', 'Apr 25 06:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1965', 'Oct 31 05:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1965', 'Apr 24 06:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1966', 'Oct 30 05:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1966', 'Apr 30 06:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1967', 'Oct 29 05:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1967', 'Apr 28 06:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1968', 'Oct 27 05:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1968', 'Apr 27 06:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Jan 6 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Jan 6 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Feb 23 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Feb 23 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('EST5EDT', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- Egypt
--

begin
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Dec 14 20:45:52 1901', 'Jul 14 21:59:59 1940', 'Dec 14 22:45:52 1901', 'Jul 14 23:59:59 1940');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Jul 14 22:00:00 1940', 'Sep 30 20:59:59 1940', 'Jul 15 01:00:00 1940', 'Sep 30 23:59:59 1940');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 21:00:00 1940', 'Apr 14 21:59:59 1941', 'Sep 30 23:00:00 1940', 'Apr 14 23:59:59 1941');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 14 22:00:00 1941', 'Sep 15 20:59:59 1941', 'Apr 15 01:00:00 1941', 'Sep 15 23:59:59 1941');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 15 21:00:00 1941', 'Mar 31 21:59:59 1942', 'Sep 15 23:00:00 1941', 'Mar 31 23:59:59 1942');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Mar 31 22:00:00 1942', 'Oct 26 20:59:59 1942', 'Apr 1 01:00:00 1942', 'Oct 26 23:59:59 1942');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 26 21:00:00 1942', 'Mar 31 21:59:59 1943', 'Oct 26 23:00:00 1942', 'Mar 31 23:59:59 1943');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Mar 31 22:00:00 1943', 'Oct 31 20:59:59 1943', 'Apr 1 01:00:00 1943', 'Oct 31 23:59:59 1943');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 31 21:00:00 1943', 'Mar 31 21:59:59 1944', 'Oct 31 23:00:00 1943', 'Mar 31 23:59:59 1944');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Mar 31 22:00:00 1944', 'Oct 31 20:59:59 1944', 'Apr 1 01:00:00 1944', 'Oct 31 23:59:59 1944');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 31 21:00:00 1944', 'Apr 15 21:59:59 1945', 'Oct 31 23:00:00 1944', 'Apr 15 23:59:59 1945');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 15 22:00:00 1945', 'Oct 31 20:59:59 1945', 'Apr 16 01:00:00 1945', 'Oct 31 23:59:59 1945');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 31 21:00:00 1945', 'May 9 21:59:59 1957', 'Oct 31 23:00:00 1945', 'May 9 23:59:59 1957');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'May 9 22:00:00 1957', 'Sep 30 20:59:59 1957', 'May 10 01:00:00 1957', 'Sep 30 23:59:59 1957');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 21:00:00 1957', 'Apr 30 21:59:59 1958', 'Sep 30 23:00:00 1957', 'Apr 30 23:59:59 1958');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 22:00:00 1958', 'Sep 30 20:59:59 1958', 'May 1 01:00:00 1958', 'Sep 30 23:59:59 1958');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 21:00:00 1958', 'Apr 30 22:59:59 1959', 'Sep 30 23:00:00 1958', 'May 1 00:59:59 1959');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1959', 'Sep 29 23:59:59 1959', 'May 1 02:00:00 1959', 'Sep 30 02:59:59 1959');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 00:00:00 1959', 'Apr 30 22:59:59 1960', 'Sep 30 02:00:00 1959', 'May 1 00:59:59 1960');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1960', 'Sep 29 23:59:59 1960', 'May 1 02:00:00 1960', 'Sep 30 02:59:59 1960');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 00:00:00 1960', 'Apr 30 22:59:59 1961', 'Sep 30 02:00:00 1960', 'May 1 00:59:59 1961');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1961', 'Sep 29 23:59:59 1961', 'May 1 02:00:00 1961', 'Sep 30 02:59:59 1961');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 00:00:00 1961', 'Apr 30 22:59:59 1962', 'Sep 30 02:00:00 1961', 'May 1 00:59:59 1962');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1962', 'Sep 29 23:59:59 1962', 'May 1 02:00:00 1962', 'Sep 30 02:59:59 1962');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 00:00:00 1962', 'Apr 30 22:59:59 1963', 'Sep 30 02:00:00 1962', 'May 1 00:59:59 1963');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1963', 'Sep 29 23:59:59 1963', 'May 1 02:00:00 1963', 'Sep 30 02:59:59 1963');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 00:00:00 1963', 'Apr 30 22:59:59 1964', 'Sep 30 02:00:00 1963', 'May 1 00:59:59 1964');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1964', 'Sep 29 23:59:59 1964', 'May 1 02:00:00 1964', 'Sep 30 02:59:59 1964');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 00:00:00 1964', 'Apr 30 22:59:59 1965', 'Sep 30 02:00:00 1964', 'May 1 00:59:59 1965');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1965', 'Sep 29 23:59:59 1965', 'May 1 02:00:00 1965', 'Sep 30 02:59:59 1965');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 00:00:00 1965', 'Apr 30 22:59:59 1966', 'Sep 30 02:00:00 1965', 'May 1 00:59:59 1966');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1966', 'Sep 30 23:59:59 1966', 'May 1 02:00:00 1966', 'Oct 1 02:59:59 1966');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1966', 'Apr 30 22:59:59 1967', 'Oct 1 02:00:00 1966', 'May 1 00:59:59 1967');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1967', 'Sep 30 23:59:59 1967', 'May 1 02:00:00 1967', 'Oct 1 02:59:59 1967');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1967', 'Apr 30 22:59:59 1968', 'Oct 1 02:00:00 1967', 'May 1 00:59:59 1968');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1968', 'Sep 30 23:59:59 1968', 'May 1 02:00:00 1968', 'Oct 1 02:59:59 1968');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1968', 'Apr 30 22:59:59 1969', 'Oct 1 02:00:00 1968', 'May 1 00:59:59 1969');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1969', 'Sep 30 23:59:59 1969', 'May 1 02:00:00 1969', 'Oct 1 02:59:59 1969');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1969', 'Apr 30 22:59:59 1970', 'Oct 1 02:00:00 1969', 'May 1 00:59:59 1970');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1970', 'Sep 30 23:59:59 1970', 'May 1 02:00:00 1970', 'Oct 1 02:59:59 1970');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1970', 'Apr 30 22:59:59 1971', 'Oct 1 02:00:00 1970', 'May 1 00:59:59 1971');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1971', 'Sep 30 23:59:59 1971', 'May 1 02:00:00 1971', 'Oct 1 02:59:59 1971');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1971', 'Apr 30 22:59:59 1972', 'Oct 1 02:00:00 1971', 'May 1 00:59:59 1972');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1972', 'Sep 30 23:59:59 1972', 'May 1 02:00:00 1972', 'Oct 1 02:59:59 1972');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1972', 'Apr 30 22:59:59 1973', 'Oct 1 02:00:00 1972', 'May 1 00:59:59 1973');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1973', 'Sep 30 23:59:59 1973', 'May 1 02:00:00 1973', 'Oct 1 02:59:59 1973');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1973', 'Apr 30 22:59:59 1974', 'Oct 1 02:00:00 1973', 'May 1 00:59:59 1974');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1974', 'Sep 30 23:59:59 1974', 'May 1 02:00:00 1974', 'Oct 1 02:59:59 1974');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1974', 'Apr 30 22:59:59 1975', 'Oct 1 02:00:00 1974', 'May 1 00:59:59 1975');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1975', 'Sep 30 23:59:59 1975', 'May 1 02:00:00 1975', 'Oct 1 02:59:59 1975');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1975', 'Apr 30 22:59:59 1976', 'Oct 1 02:00:00 1975', 'May 1 00:59:59 1976');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1976', 'Sep 30 23:59:59 1976', 'May 1 02:00:00 1976', 'Oct 1 02:59:59 1976');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1976', 'Apr 30 22:59:59 1977', 'Oct 1 02:00:00 1976', 'May 1 00:59:59 1977');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1977', 'Sep 30 23:59:59 1977', 'May 1 02:00:00 1977', 'Oct 1 02:59:59 1977');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1977', 'Apr 30 22:59:59 1978', 'Oct 1 02:00:00 1977', 'May 1 00:59:59 1978');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1978', 'Sep 30 23:59:59 1978', 'May 1 02:00:00 1978', 'Oct 1 02:59:59 1978');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1978', 'Apr 30 22:59:59 1979', 'Oct 1 02:00:00 1978', 'May 1 00:59:59 1979');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1979', 'Sep 30 23:59:59 1979', 'May 1 02:00:00 1979', 'Oct 1 02:59:59 1979');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1979', 'Apr 30 22:59:59 1980', 'Oct 1 02:00:00 1979', 'May 1 00:59:59 1980');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1980', 'Sep 30 23:59:59 1980', 'May 1 02:00:00 1980', 'Oct 1 02:59:59 1980');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1980', 'Apr 30 22:59:59 1981', 'Oct 1 02:00:00 1980', 'May 1 00:59:59 1981');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1981', 'Sep 30 23:59:59 1981', 'May 1 02:00:00 1981', 'Oct 1 02:59:59 1981');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1981', 'Jul 24 22:59:59 1982', 'Oct 1 02:00:00 1981', 'Jul 25 00:59:59 1982');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Jul 24 23:00:00 1982', 'Sep 30 23:59:59 1982', 'Jul 25 02:00:00 1982', 'Oct 1 02:59:59 1982');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1982', 'Jul 11 22:59:59 1983', 'Oct 1 02:00:00 1982', 'Jul 12 00:59:59 1983');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Jul 11 23:00:00 1983', 'Sep 30 23:59:59 1983', 'Jul 12 02:00:00 1983', 'Oct 1 02:59:59 1983');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1983', 'Apr 30 22:59:59 1984', 'Oct 1 02:00:00 1983', 'May 1 00:59:59 1984');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1984', 'Sep 30 23:59:59 1984', 'May 1 02:00:00 1984', 'Oct 1 02:59:59 1984');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1984', 'Apr 30 22:59:59 1985', 'Oct 1 02:00:00 1984', 'May 1 00:59:59 1985');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1985', 'Sep 30 23:59:59 1985', 'May 1 02:00:00 1985', 'Oct 1 02:59:59 1985');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1985', 'Apr 30 22:59:59 1986', 'Oct 1 02:00:00 1985', 'May 1 00:59:59 1986');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1986', 'Sep 30 23:59:59 1986', 'May 1 02:00:00 1986', 'Oct 1 02:59:59 1986');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1986', 'Apr 30 22:59:59 1987', 'Oct 1 02:00:00 1986', 'May 1 00:59:59 1987');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1987', 'Sep 30 23:59:59 1987', 'May 1 02:00:00 1987', 'Oct 1 02:59:59 1987');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1987', 'Apr 30 22:59:59 1988', 'Oct 1 02:00:00 1987', 'May 1 00:59:59 1988');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1988', 'Sep 30 23:59:59 1988', 'May 1 02:00:00 1988', 'Oct 1 02:59:59 1988');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1988', 'May 5 22:59:59 1989', 'Oct 1 02:00:00 1988', 'May 6 00:59:59 1989');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'May 5 23:00:00 1989', 'Sep 30 23:59:59 1989', 'May 6 02:00:00 1989', 'Oct 1 02:59:59 1989');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1989', 'Apr 30 22:59:59 1990', 'Oct 1 02:00:00 1989', 'May 1 00:59:59 1990');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1990', 'Sep 30 23:59:59 1990', 'May 1 02:00:00 1990', 'Oct 1 02:59:59 1990');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1990', 'Apr 30 22:59:59 1991', 'Oct 1 02:00:00 1990', 'May 1 00:59:59 1991');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1991', 'Sep 30 23:59:59 1991', 'May 1 02:00:00 1991', 'Oct 1 02:59:59 1991');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1991', 'Apr 30 22:59:59 1992', 'Oct 1 02:00:00 1991', 'May 1 00:59:59 1992');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1992', 'Sep 30 23:59:59 1992', 'May 1 02:00:00 1992', 'Oct 1 02:59:59 1992');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1992', 'Apr 30 22:59:59 1993', 'Oct 1 02:00:00 1992', 'May 1 00:59:59 1993');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1993', 'Sep 30 23:59:59 1993', 'May 1 02:00:00 1993', 'Oct 1 02:59:59 1993');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1993', 'Apr 30 22:59:59 1994', 'Oct 1 02:00:00 1993', 'May 1 00:59:59 1994');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 30 23:00:00 1994', 'Sep 30 23:59:59 1994', 'May 1 02:00:00 1994', 'Oct 1 02:59:59 1994');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Oct 1 00:00:00 1994', 'Apr 27 21:59:59 1995', 'Oct 1 02:00:00 1994', 'Apr 27 23:59:59 1995');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 27 22:00:00 1995', 'Sep 28 20:59:59 1995', 'Apr 28 01:00:00 1995', 'Sep 28 23:59:59 1995');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 28 21:00:00 1995', 'Apr 25 21:59:59 1996', 'Sep 28 23:00:00 1995', 'Apr 25 23:59:59 1996');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 25 22:00:00 1996', 'Sep 26 20:59:59 1996', 'Apr 26 01:00:00 1996', 'Sep 26 23:59:59 1996');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 26 21:00:00 1996', 'Apr 24 21:59:59 1997', 'Sep 26 23:00:00 1996', 'Apr 24 23:59:59 1997');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 24 22:00:00 1997', 'Sep 25 20:59:59 1997', 'Apr 25 01:00:00 1997', 'Sep 25 23:59:59 1997');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 25 21:00:00 1997', 'Apr 23 21:59:59 1998', 'Sep 25 23:00:00 1997', 'Apr 23 23:59:59 1998');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 23 22:00:00 1998', 'Sep 24 20:59:59 1998', 'Apr 24 01:00:00 1998', 'Sep 24 23:59:59 1998');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 24 21:00:00 1998', 'Apr 22 21:59:59 1999', 'Sep 24 23:00:00 1998', 'Apr 22 23:59:59 1999');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 22 22:00:00 1999', 'Sep 30 20:59:59 1999', 'Apr 23 01:00:00 1999', 'Sep 30 23:59:59 1999');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 21:00:00 1999', 'Apr 27 21:59:59 2000', 'Sep 30 23:00:00 1999', 'Apr 27 23:59:59 2000');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 27 22:00:00 2000', 'Sep 28 20:59:59 2000', 'Apr 28 01:00:00 2000', 'Sep 28 23:59:59 2000');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 28 21:00:00 2000', 'Apr 26 21:59:59 2001', 'Sep 28 23:00:00 2000', 'Apr 26 23:59:59 2001');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 26 22:00:00 2001', 'Sep 27 20:59:59 2001', 'Apr 27 01:00:00 2001', 'Sep 27 23:59:59 2001');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 27 21:00:00 2001', 'Apr 25 21:59:59 2002', 'Sep 27 23:00:00 2001', 'Apr 25 23:59:59 2002');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 25 22:00:00 2002', 'Sep 26 20:59:59 2002', 'Apr 26 01:00:00 2002', 'Sep 26 23:59:59 2002');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 26 21:00:00 2002', 'Apr 24 21:59:59 2003', 'Sep 26 23:00:00 2002', 'Apr 24 23:59:59 2003');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 24 22:00:00 2003', 'Sep 25 20:59:59 2003', 'Apr 25 01:00:00 2003', 'Sep 25 23:59:59 2003');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 25 21:00:00 2003', 'Apr 22 21:59:59 2004', 'Sep 25 23:00:00 2003', 'Apr 22 23:59:59 2004');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 22 22:00:00 2004', 'Sep 30 20:59:59 2004', 'Apr 23 01:00:00 2004', 'Sep 30 23:59:59 2004');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 21:00:00 2004', 'Apr 21 21:59:59 2005', 'Sep 30 23:00:00 2004', 'Apr 21 23:59:59 2005');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 21 22:00:00 2005', 'Sep 29 20:59:59 2005', 'Apr 22 01:00:00 2005', 'Sep 29 23:59:59 2005');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 29 21:00:00 2005', 'Apr 27 21:59:59 2006', 'Sep 29 23:00:00 2005', 'Apr 27 23:59:59 2006');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 27 22:00:00 2006', 'Sep 28 20:59:59 2006', 'Apr 28 01:00:00 2006', 'Sep 28 23:59:59 2006');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 28 21:00:00 2006', 'Apr 26 21:59:59 2007', 'Sep 28 23:00:00 2006', 'Apr 26 23:59:59 2007');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 26 22:00:00 2007', 'Sep 27 20:59:59 2007', 'Apr 27 01:00:00 2007', 'Sep 27 23:59:59 2007');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 27 21:00:00 2007', 'Apr 24 21:59:59 2008', 'Sep 27 23:00:00 2007', 'Apr 24 23:59:59 2008');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 24 22:00:00 2008', 'Sep 25 20:59:59 2008', 'Apr 25 01:00:00 2008', 'Sep 25 23:59:59 2008');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 25 21:00:00 2008', 'Apr 23 21:59:59 2009', 'Sep 25 23:00:00 2008', 'Apr 23 23:59:59 2009');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 23 22:00:00 2009', 'Sep 24 20:59:59 2009', 'Apr 24 01:00:00 2009', 'Sep 24 23:59:59 2009');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 24 21:00:00 2009', 'Apr 22 21:59:59 2010', 'Sep 24 23:00:00 2009', 'Apr 22 23:59:59 2010');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 22 22:00:00 2010', 'Sep 30 20:59:59 2010', 'Apr 23 01:00:00 2010', 'Sep 30 23:59:59 2010');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 21:00:00 2010', 'Apr 21 21:59:59 2011', 'Sep 30 23:00:00 2010', 'Apr 21 23:59:59 2011');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 21 22:00:00 2011', 'Sep 29 20:59:59 2011', 'Apr 22 01:00:00 2011', 'Sep 29 23:59:59 2011');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 29 21:00:00 2011', 'Apr 26 21:59:59 2012', 'Sep 29 23:00:00 2011', 'Apr 26 23:59:59 2012');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 26 22:00:00 2012', 'Sep 27 20:59:59 2012', 'Apr 27 01:00:00 2012', 'Sep 27 23:59:59 2012');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 27 21:00:00 2012', 'Apr 25 21:59:59 2013', 'Sep 27 23:00:00 2012', 'Apr 25 23:59:59 2013');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 25 22:00:00 2013', 'Sep 26 20:59:59 2013', 'Apr 26 01:00:00 2013', 'Sep 26 23:59:59 2013');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 26 21:00:00 2013', 'Apr 24 21:59:59 2014', 'Sep 26 23:00:00 2013', 'Apr 24 23:59:59 2014');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 24 22:00:00 2014', 'Sep 25 20:59:59 2014', 'Apr 25 01:00:00 2014', 'Sep 25 23:59:59 2014');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 25 21:00:00 2014', 'Apr 23 21:59:59 2015', 'Sep 25 23:00:00 2014', 'Apr 23 23:59:59 2015');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 23 22:00:00 2015', 'Sep 24 20:59:59 2015', 'Apr 24 01:00:00 2015', 'Sep 24 23:59:59 2015');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 24 21:00:00 2015', 'Apr 21 21:59:59 2016', 'Sep 24 23:00:00 2015', 'Apr 21 23:59:59 2016');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 21 22:00:00 2016', 'Sep 29 20:59:59 2016', 'Apr 22 01:00:00 2016', 'Sep 29 23:59:59 2016');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 29 21:00:00 2016', 'Apr 27 21:59:59 2017', 'Sep 29 23:00:00 2016', 'Apr 27 23:59:59 2017');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 27 22:00:00 2017', 'Sep 28 20:59:59 2017', 'Apr 28 01:00:00 2017', 'Sep 28 23:59:59 2017');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 28 21:00:00 2017', 'Apr 26 21:59:59 2018', 'Sep 28 23:00:00 2017', 'Apr 26 23:59:59 2018');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 26 22:00:00 2018', 'Sep 27 20:59:59 2018', 'Apr 27 01:00:00 2018', 'Sep 27 23:59:59 2018');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 27 21:00:00 2018', 'Apr 25 21:59:59 2019', 'Sep 27 23:00:00 2018', 'Apr 25 23:59:59 2019');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 25 22:00:00 2019', 'Sep 26 20:59:59 2019', 'Apr 26 01:00:00 2019', 'Sep 26 23:59:59 2019');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 26 21:00:00 2019', 'Apr 23 21:59:59 2020', 'Sep 26 23:00:00 2019', 'Apr 23 23:59:59 2020');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 23 22:00:00 2020', 'Sep 24 20:59:59 2020', 'Apr 24 01:00:00 2020', 'Sep 24 23:59:59 2020');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 24 21:00:00 2020', 'Apr 22 21:59:59 2021', 'Sep 24 23:00:00 2020', 'Apr 22 23:59:59 2021');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 22 22:00:00 2021', 'Sep 30 20:59:59 2021', 'Apr 23 01:00:00 2021', 'Sep 30 23:59:59 2021');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 21:00:00 2021', 'Apr 21 21:59:59 2022', 'Sep 30 23:00:00 2021', 'Apr 21 23:59:59 2022');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 21 22:00:00 2022', 'Sep 29 20:59:59 2022', 'Apr 22 01:00:00 2022', 'Sep 29 23:59:59 2022');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 29 21:00:00 2022', 'Apr 27 21:59:59 2023', 'Sep 29 23:00:00 2022', 'Apr 27 23:59:59 2023');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 27 22:00:00 2023', 'Sep 28 20:59:59 2023', 'Apr 28 01:00:00 2023', 'Sep 28 23:59:59 2023');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 28 21:00:00 2023', 'Apr 25 21:59:59 2024', 'Sep 28 23:00:00 2023', 'Apr 25 23:59:59 2024');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 25 22:00:00 2024', 'Sep 26 20:59:59 2024', 'Apr 26 01:00:00 2024', 'Sep 26 23:59:59 2024');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 26 21:00:00 2024', 'Apr 24 21:59:59 2025', 'Sep 26 23:00:00 2024', 'Apr 24 23:59:59 2025');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 24 22:00:00 2025', 'Sep 25 20:59:59 2025', 'Apr 25 01:00:00 2025', 'Sep 25 23:59:59 2025');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 25 21:00:00 2025', 'Apr 23 21:59:59 2026', 'Sep 25 23:00:00 2025', 'Apr 23 23:59:59 2026');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 23 22:00:00 2026', 'Sep 24 20:59:59 2026', 'Apr 24 01:00:00 2026', 'Sep 24 23:59:59 2026');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 24 21:00:00 2026', 'Apr 22 21:59:59 2027', 'Sep 24 23:00:00 2026', 'Apr 22 23:59:59 2027');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 22 22:00:00 2027', 'Sep 30 20:59:59 2027', 'Apr 23 01:00:00 2027', 'Sep 30 23:59:59 2027');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 21:00:00 2027', 'Apr 27 21:59:59 2028', 'Sep 30 23:00:00 2027', 'Apr 27 23:59:59 2028');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 27 22:00:00 2028', 'Sep 28 20:59:59 2028', 'Apr 28 01:00:00 2028', 'Sep 28 23:59:59 2028');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 28 21:00:00 2028', 'Apr 26 21:59:59 2029', 'Sep 28 23:00:00 2028', 'Apr 26 23:59:59 2029');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 26 22:00:00 2029', 'Sep 27 20:59:59 2029', 'Apr 27 01:00:00 2029', 'Sep 27 23:59:59 2029');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 27 21:00:00 2029', 'Apr 25 21:59:59 2030', 'Sep 27 23:00:00 2029', 'Apr 25 23:59:59 2030');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 25 22:00:00 2030', 'Sep 26 20:59:59 2030', 'Apr 26 01:00:00 2030', 'Sep 26 23:59:59 2030');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 26 21:00:00 2030', 'Apr 24 21:59:59 2031', 'Sep 26 23:00:00 2030', 'Apr 24 23:59:59 2031');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 24 22:00:00 2031', 'Sep 25 20:59:59 2031', 'Apr 25 01:00:00 2031', 'Sep 25 23:59:59 2031');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 25 21:00:00 2031', 'Apr 22 21:59:59 2032', 'Sep 25 23:00:00 2031', 'Apr 22 23:59:59 2032');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 22 22:00:00 2032', 'Sep 30 20:59:59 2032', 'Apr 23 01:00:00 2032', 'Sep 30 23:59:59 2032');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 30 21:00:00 2032', 'Apr 21 21:59:59 2033', 'Sep 30 23:00:00 2032', 'Apr 21 23:59:59 2033');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 21 22:00:00 2033', 'Sep 29 20:59:59 2033', 'Apr 22 01:00:00 2033', 'Sep 29 23:59:59 2033');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 29 21:00:00 2033', 'Apr 27 21:59:59 2034', 'Sep 29 23:00:00 2033', 'Apr 27 23:59:59 2034');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 27 22:00:00 2034', 'Sep 28 20:59:59 2034', 'Apr 28 01:00:00 2034', 'Sep 28 23:59:59 2034');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 28 21:00:00 2034', 'Apr 26 21:59:59 2035', 'Sep 28 23:00:00 2034', 'Apr 26 23:59:59 2035');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 26 22:00:00 2035', 'Sep 27 20:59:59 2035', 'Apr 27 01:00:00 2035', 'Sep 27 23:59:59 2035');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 27 21:00:00 2035', 'Apr 24 21:59:59 2036', 'Sep 27 23:00:00 2035', 'Apr 24 23:59:59 2036');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 24 22:00:00 2036', 'Sep 25 20:59:59 2036', 'Apr 25 01:00:00 2036', 'Sep 25 23:59:59 2036');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 25 21:00:00 2036', 'Apr 23 21:59:59 2037', 'Sep 25 23:00:00 2036', 'Apr 23 23:59:59 2037');
timezone.add_rule('Egypt', 'EEST', 1, 10800, 'Apr 23 22:00:00 2037', 'Sep 24 20:59:59 2037', 'Apr 24 01:00:00 2037', 'Sep 24 23:59:59 2037');
timezone.add_rule('Egypt', 'EET', 0, 7200, 'Sep 24 21:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 24 23:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Eire
--

begin
timezone.add_rule('Eire', 'GMT', 0, -1521, 'Dec 14 20:45:52 1901', 'May 21 02:25:20 1916', 'Dec 14 20:20:31 1901', 'May 21 01:59:59 1916');
timezone.add_rule('Eire', 'IST', 1, 2079, 'May 21 02:25:21 1916', 'Oct 1 02:25:20 1916', 'May 21 03:00:00 1916', 'Oct 1 02:59:59 1916');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 1 02:25:21 1916', 'Apr 8 01:59:59 1917', 'Oct 1 02:25:21 1916', 'Apr 8 01:59:59 1917');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 8 02:00:00 1917', 'Sep 17 01:59:59 1917', 'Apr 8 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918', 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 24 02:00:00 1918', 'Sep 30 01:59:59 1918', 'Mar 24 03:00:00 1918', 'Sep 30 02:59:59 1918');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919', 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 30 02:00:00 1919', 'Sep 29 01:59:59 1919', 'Mar 30 03:00:00 1919', 'Sep 29 02:59:59 1919');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920', 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 28 02:00:00 1920', 'Oct 25 01:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 25 02:59:59 1920');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921', 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 3 02:00:00 1921', 'Oct 3 01:59:59 1921', 'Apr 3 03:00:00 1921', 'Oct 3 02:59:59 1921');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922', 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 02:00:00 1922', 'Oct 8 01:59:59 1922', 'Mar 26 03:00:00 1922', 'Oct 8 02:59:59 1922');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923', 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 22 02:00:00 1923', 'Sep 16 01:59:59 1923', 'Apr 22 03:00:00 1923', 'Sep 16 02:59:59 1923');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924', 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 13 02:00:00 1924', 'Sep 21 01:59:59 1924', 'Apr 13 03:00:00 1924', 'Sep 21 02:59:59 1924');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925', 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 19 02:00:00 1925', 'Oct 4 01:59:59 1925', 'Apr 19 03:00:00 1925', 'Oct 4 02:59:59 1925');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926', 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 18 02:00:00 1926', 'Oct 3 01:59:59 1926', 'Apr 18 03:00:00 1926', 'Oct 3 02:59:59 1926');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927', 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 10 02:00:00 1927', 'Oct 2 01:59:59 1927', 'Apr 10 03:00:00 1927', 'Oct 2 02:59:59 1927');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928', 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 22 02:00:00 1928', 'Oct 7 01:59:59 1928', 'Apr 22 03:00:00 1928', 'Oct 7 02:59:59 1928');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929', 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 21 02:00:00 1929', 'Oct 6 01:59:59 1929', 'Apr 21 03:00:00 1929', 'Oct 6 02:59:59 1929');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930', 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 13 02:00:00 1930', 'Oct 5 01:59:59 1930', 'Apr 13 03:00:00 1930', 'Oct 5 02:59:59 1930');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931', 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 19 02:00:00 1931', 'Oct 4 01:59:59 1931', 'Apr 19 03:00:00 1931', 'Oct 4 02:59:59 1931');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932', 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 17 02:00:00 1932', 'Oct 2 01:59:59 1932', 'Apr 17 03:00:00 1932', 'Oct 2 02:59:59 1932');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933', 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 9 02:00:00 1933', 'Oct 8 01:59:59 1933', 'Apr 9 03:00:00 1933', 'Oct 8 02:59:59 1933');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934', 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 22 02:00:00 1934', 'Oct 7 01:59:59 1934', 'Apr 22 03:00:00 1934', 'Oct 7 02:59:59 1934');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935', 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 14 02:00:00 1935', 'Oct 6 01:59:59 1935', 'Apr 14 03:00:00 1935', 'Oct 6 02:59:59 1935');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936', 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 19 02:00:00 1936', 'Oct 4 01:59:59 1936', 'Apr 19 03:00:00 1936', 'Oct 4 02:59:59 1936');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937', 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 18 02:00:00 1937', 'Oct 3 01:59:59 1937', 'Apr 18 03:00:00 1937', 'Oct 3 02:59:59 1937');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938', 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 10 02:00:00 1938', 'Oct 2 01:59:59 1938', 'Apr 10 03:00:00 1938', 'Oct 2 02:59:59 1938');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939', 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 16 02:00:00 1939', 'Nov 19 01:59:59 1939', 'Apr 16 03:00:00 1939', 'Nov 19 02:59:59 1939');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Feb 25 02:00:00 1940', 'Oct 6 00:59:59 1946', 'Feb 25 03:00:00 1940', 'Oct 6 01:59:59 1946');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 6 01:00:00 1946', 'Mar 16 01:59:59 1947', 'Oct 6 01:00:00 1946', 'Mar 16 01:59:59 1947');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 16 02:00:00 1947', 'Nov 2 00:59:59 1947', 'Mar 16 03:00:00 1947', 'Nov 2 01:59:59 1947');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Nov 2 01:00:00 1947', 'Apr 18 01:59:59 1948', 'Nov 2 01:00:00 1947', 'Apr 18 01:59:59 1948');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 18 02:00:00 1948', 'Oct 31 01:59:59 1948', 'Apr 18 03:00:00 1948', 'Oct 31 02:59:59 1948');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 30 02:59:59 1949');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950', 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 16 02:00:00 1950', 'Oct 22 01:59:59 1950', 'Apr 16 03:00:00 1950', 'Oct 22 02:59:59 1950');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951', 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 15 02:00:00 1951', 'Oct 21 01:59:59 1951', 'Apr 15 03:00:00 1951', 'Oct 21 02:59:59 1951');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952', 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 20 02:00:00 1952', 'Oct 26 01:59:59 1952', 'Apr 20 03:00:00 1952', 'Oct 26 02:59:59 1952');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953', 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 19 02:00:00 1953', 'Oct 4 01:59:59 1953', 'Apr 19 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 11 02:00:00 1954', 'Oct 3 01:59:59 1954', 'Apr 11 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 17 02:00:00 1955', 'Oct 2 01:59:59 1955', 'Apr 17 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 22 02:00:00 1956', 'Oct 7 01:59:59 1956', 'Apr 22 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 14 02:00:00 1957', 'Oct 6 01:59:59 1957', 'Apr 14 03:00:00 1957', 'Oct 6 02:59:59 1957');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958', 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 20 02:00:00 1958', 'Oct 5 01:59:59 1958', 'Apr 20 03:00:00 1958', 'Oct 5 02:59:59 1958');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959', 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 19 02:00:00 1959', 'Oct 4 01:59:59 1959', 'Apr 19 03:00:00 1959', 'Oct 4 02:59:59 1959');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960', 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Apr 10 02:00:00 1960', 'Oct 2 01:59:59 1960', 'Apr 10 03:00:00 1960', 'Oct 2 02:59:59 1960');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961', 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 02:00:00 1961', 'Oct 29 01:59:59 1961', 'Mar 26 03:00:00 1961', 'Oct 29 02:59:59 1961');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962', 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 25 02:00:00 1962', 'Oct 28 01:59:59 1962', 'Mar 25 03:00:00 1962', 'Oct 28 02:59:59 1962');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963', 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 31 02:00:00 1963', 'Oct 27 01:59:59 1963', 'Mar 31 03:00:00 1963', 'Oct 27 02:59:59 1963');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964', 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 22 02:00:00 1964', 'Oct 25 01:59:59 1964', 'Mar 22 03:00:00 1964', 'Oct 25 02:59:59 1964');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965', 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 21 02:00:00 1965', 'Oct 24 01:59:59 1965', 'Mar 21 03:00:00 1965', 'Oct 24 02:59:59 1965');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966', 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 20 02:00:00 1966', 'Oct 23 01:59:59 1966', 'Mar 20 03:00:00 1966', 'Oct 23 02:59:59 1966');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967', 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 19 02:00:00 1967', 'Oct 29 01:59:59 1967', 'Mar 19 03:00:00 1967', 'Oct 29 02:59:59 1967');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968', 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Feb 18 02:00:00 1968', 'Oct 26 22:59:59 1968', 'Feb 18 03:00:00 1968', 'Oct 26 23:59:59 1968');
timezone.add_rule('Eire', 'GMT', 0, 3600, 'Oct 26 23:00:00 1968', 'Oct 31 01:59:59 1971', 'Oct 27 00:00:00 1968', 'Oct 31 02:59:59 1971');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972', 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 19 02:00:00 1972', 'Oct 29 01:59:59 1972', 'Mar 19 03:00:00 1972', 'Oct 29 02:59:59 1972');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973', 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 18 02:00:00 1973', 'Oct 28 01:59:59 1973', 'Mar 18 03:00:00 1973', 'Oct 28 02:59:59 1973');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974', 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 17 02:00:00 1974', 'Oct 27 01:59:59 1974', 'Mar 17 03:00:00 1974', 'Oct 27 02:59:59 1974');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975', 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 16 02:00:00 1975', 'Oct 26 01:59:59 1975', 'Mar 16 03:00:00 1975', 'Oct 26 02:59:59 1975');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976', 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 21 02:00:00 1976', 'Oct 24 01:59:59 1976', 'Mar 21 03:00:00 1976', 'Oct 24 02:59:59 1976');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977', 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 20 02:00:00 1977', 'Oct 23 01:59:59 1977', 'Mar 20 03:00:00 1977', 'Oct 23 02:59:59 1977');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978', 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 19 02:00:00 1978', 'Oct 29 01:59:59 1978', 'Mar 19 03:00:00 1978', 'Oct 29 02:59:59 1978');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979', 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 18 02:00:00 1979', 'Oct 28 01:59:59 1979', 'Mar 18 03:00:00 1979', 'Oct 28 02:59:59 1979');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980', 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 16 02:00:00 1980', 'Oct 26 01:59:59 1980', 'Mar 16 03:00:00 1980', 'Oct 26 02:59:59 1980');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981', 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 29 01:00:00 1981', 'Oct 25 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 28 01:00:00 1982', 'Oct 24 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Oct 24 01:59:59 1982');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 27 01:00:00 1983', 'Oct 23 00:59:59 1983', 'Mar 27 02:00:00 1983', 'Oct 23 01:59:59 1983');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 25 01:00:00 1984', 'Oct 28 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 31 01:00:00 1985', 'Oct 27 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 30 01:00:00 1986', 'Oct 26 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 29 01:00:00 1987', 'Oct 25 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 27 01:00:00 1988', 'Oct 23 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Oct 23 01:59:59 1988');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 01:00:00 1989', 'Oct 29 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 25 01:00:00 1990', 'Oct 28 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 31 01:00:00 1991', 'Oct 27 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 29 01:00:00 1992', 'Oct 25 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 28 01:00:00 1993', 'Oct 24 00:59:59 1993', 'Mar 28 02:00:00 1993', 'Oct 24 01:59:59 1993');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 27 01:00:00 1994', 'Oct 23 00:59:59 1994', 'Mar 27 02:00:00 1994', 'Oct 23 01:59:59 1994');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 01:00:00 1995', 'Oct 22 00:59:59 1995', 'Mar 26 02:00:00 1995', 'Oct 22 01:59:59 1995');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Eire', 'IST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Eire', 'GMT', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- Etc/GMT
--

begin
timezone.add_rule('Etc/GMT', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Etc/GMT+0
--

begin
timezone.add_rule('Etc/GMT+0', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Etc/GMT+1
--

begin
timezone.add_rule('Etc/GMT+1', 'GMT+1', 0, -3600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 19:45:52 1901', 'Jan 18 02:14:07 2038');
end;
/

--
-- Etc/GMT+10
--

begin
timezone.add_rule('Etc/GMT+10', 'GMT+10', 0, -36000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 10:45:52 1901', 'Jan 17 17:14:07 2038');
end;
/

--
-- Etc/GMT+11
--

begin
timezone.add_rule('Etc/GMT+11', 'GMT+11', 0, -39600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 09:45:52 1901', 'Jan 17 16:14:07 2038');
end;
/

--
-- Etc/GMT+12
--

begin
timezone.add_rule('Etc/GMT+12', 'GMT+12', 0, -43200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 08:45:52 1901', 'Jan 17 15:14:07 2038');
end;
/

--
-- Etc/GMT+2
--

begin
timezone.add_rule('Etc/GMT+2', 'GMT+2', 0, -7200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 18:45:52 1901', 'Jan 18 01:14:07 2038');
end;
/

--
-- Etc/GMT+3
--

begin
timezone.add_rule('Etc/GMT+3', 'GMT+3', 0, -10800, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 17:45:52 1901', 'Jan 18 00:14:07 2038');
end;
/

--
-- Etc/GMT+4
--

begin
timezone.add_rule('Etc/GMT+4', 'GMT+4', 0, -14400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 16:45:52 1901', 'Jan 17 23:14:07 2038');
end;
/

--
-- Etc/GMT+5
--

begin
timezone.add_rule('Etc/GMT+5', 'GMT+5', 0, -18000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 15:45:52 1901', 'Jan 17 22:14:07 2038');
end;
/

--
-- Etc/GMT+6
--

begin
timezone.add_rule('Etc/GMT+6', 'GMT+6', 0, -21600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 14:45:52 1901', 'Jan 17 21:14:07 2038');
end;
/

--
-- Etc/GMT+7
--

begin
timezone.add_rule('Etc/GMT+7', 'GMT+7', 0, -25200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 13:45:52 1901', 'Jan 17 20:14:07 2038');
end;
/

--
-- Etc/GMT+8
--

begin
timezone.add_rule('Etc/GMT+8', 'GMT+8', 0, -28800, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 12:45:52 1901', 'Jan 17 19:14:07 2038');
end;
/

--
-- Etc/GMT+9
--

begin
timezone.add_rule('Etc/GMT+9', 'GMT+9', 0, -32400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 11:45:52 1901', 'Jan 17 18:14:07 2038');
end;
/

--
-- Etc/GMT-0
--

begin
timezone.add_rule('Etc/GMT-0', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Etc/GMT-1
--

begin
timezone.add_rule('Etc/GMT-1', 'GMT-1', 0, 3600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 21:45:52 1901', 'Jan 18 04:14:07 2038');
end;
/

--
-- Etc/GMT-10
--

begin
timezone.add_rule('Etc/GMT-10', 'GMT-10', 0, 36000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 06:45:52 1901', 'Jan 18 13:14:07 2038');
end;
/

--
-- Etc/GMT-11
--

begin
timezone.add_rule('Etc/GMT-11', 'GMT-11', 0, 39600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 07:45:52 1901', 'Jan 18 14:14:07 2038');
end;
/

--
-- Etc/GMT-12
--

begin
timezone.add_rule('Etc/GMT-12', 'GMT-12', 0, 43200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 08:45:52 1901', 'Jan 18 15:14:07 2038');
end;
/

--
-- Etc/GMT-13
--

begin
timezone.add_rule('Etc/GMT-13', 'GMT-13', 0, 46800, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 09:45:52 1901', 'Jan 18 16:14:07 2038');
end;
/

--
-- Etc/GMT-14
--

begin
timezone.add_rule('Etc/GMT-14', 'GMT-14', 0, 50400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 10:45:52 1901', 'Jan 18 17:14:07 2038');
end;
/

--
-- Etc/GMT-2
--

begin
timezone.add_rule('Etc/GMT-2', 'GMT-2', 0, 7200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 22:45:52 1901', 'Jan 18 05:14:07 2038');
end;
/

--
-- Etc/GMT-3
--

begin
timezone.add_rule('Etc/GMT-3', 'GMT-3', 0, 10800, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 23:45:52 1901', 'Jan 18 06:14:07 2038');
end;
/

--
-- Etc/GMT-4
--

begin
timezone.add_rule('Etc/GMT-4', 'GMT-4', 0, 14400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 00:45:52 1901', 'Jan 18 07:14:07 2038');
end;
/

--
-- Etc/GMT-5
--

begin
timezone.add_rule('Etc/GMT-5', 'GMT-5', 0, 18000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 01:45:52 1901', 'Jan 18 08:14:07 2038');
end;
/

--
-- Etc/GMT-6
--

begin
timezone.add_rule('Etc/GMT-6', 'GMT-6', 0, 21600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 02:45:52 1901', 'Jan 18 09:14:07 2038');
end;
/

--
-- Etc/GMT-7
--

begin
timezone.add_rule('Etc/GMT-7', 'GMT-7', 0, 25200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 03:45:52 1901', 'Jan 18 10:14:07 2038');
end;
/

--
-- Etc/GMT-8
--

begin
timezone.add_rule('Etc/GMT-8', 'GMT-8', 0, 28800, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 04:45:52 1901', 'Jan 18 11:14:07 2038');
end;
/

--
-- Etc/GMT-9
--

begin
timezone.add_rule('Etc/GMT-9', 'GMT-9', 0, 32400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 05:45:52 1901', 'Jan 18 12:14:07 2038');
end;
/

--
-- Etc/GMT0
--

begin
timezone.add_rule('Etc/GMT0', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Etc/Greenwich
--

begin
timezone.add_rule('Etc/Greenwich', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Etc/UCT
--

begin
timezone.add_rule('Etc/UCT', 'UCT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Etc/UTC
--

begin
timezone.add_rule('Etc/UTC', 'UTC', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Etc/Universal
--

begin
timezone.add_rule('Etc/Universal', 'UTC', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Etc/Zulu
--

begin
timezone.add_rule('Etc/Zulu', 'UTC', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Europe/Amsterdam
--

begin
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Dec 14 20:45:52 1901', 'May 1 01:40:31 1916', 'Dec 14 21:05:20 1901', 'May 1 01:59:59 1916');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 1 01:40:32 1916', 'Oct 2 01:40:31 1916', 'May 1 03:00:00 1916', 'Oct 2 02:59:59 1916');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 2 01:40:32 1916', 'Apr 16 01:40:31 1917', 'Oct 2 02:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'Apr 16 01:40:32 1917', 'Sep 17 01:40:31 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Sep 17 01:40:32 1917', 'Apr 1 01:40:31 1918', 'Sep 17 02:00:00 1917', 'Apr 1 01:59:59 1918');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'Apr 1 01:40:32 1918', 'Sep 30 01:40:31 1918', 'Apr 1 03:00:00 1918', 'Sep 30 02:59:59 1918');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Sep 30 01:40:32 1918', 'Apr 7 01:40:31 1919', 'Sep 30 02:00:00 1918', 'Apr 7 01:59:59 1919');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'Apr 7 01:40:32 1919', 'Sep 29 01:40:31 1919', 'Apr 7 03:00:00 1919', 'Sep 29 02:59:59 1919');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Sep 29 01:40:32 1919', 'Apr 5 01:40:31 1920', 'Sep 29 02:00:00 1919', 'Apr 5 01:59:59 1920');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'Apr 5 01:40:32 1920', 'Sep 27 01:40:31 1920', 'Apr 5 03:00:00 1920', 'Sep 27 02:59:59 1920');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Sep 27 01:40:32 1920', 'Apr 4 01:40:31 1921', 'Sep 27 02:00:00 1920', 'Apr 4 01:59:59 1921');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'Apr 4 01:40:32 1921', 'Sep 26 01:40:31 1921', 'Apr 4 03:00:00 1921', 'Sep 26 02:59:59 1921');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Sep 26 01:40:32 1921', 'Mar 26 01:40:31 1922', 'Sep 26 02:00:00 1921', 'Mar 26 01:59:59 1922');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'Mar 26 01:40:32 1922', 'Oct 8 01:40:31 1922', 'Mar 26 03:00:00 1922', 'Oct 8 02:59:59 1922');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 8 01:40:32 1922', 'Jun 1 01:40:31 1923', 'Oct 8 02:00:00 1922', 'Jun 1 01:59:59 1923');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'Jun 1 01:40:32 1923', 'Oct 7 01:40:31 1923', 'Jun 1 03:00:00 1923', 'Oct 7 02:59:59 1923');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 7 01:40:32 1923', 'Mar 30 01:40:31 1924', 'Oct 7 02:00:00 1923', 'Mar 30 01:59:59 1924');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'Mar 30 01:40:32 1924', 'Oct 5 01:40:31 1924', 'Mar 30 03:00:00 1924', 'Oct 5 02:59:59 1924');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 5 01:40:32 1924', 'Jun 5 01:40:31 1925', 'Oct 5 02:00:00 1924', 'Jun 5 01:59:59 1925');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'Jun 5 01:40:32 1925', 'Oct 4 01:40:31 1925', 'Jun 5 03:00:00 1925', 'Oct 4 02:59:59 1925');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 4 01:40:32 1925', 'May 15 01:40:31 1926', 'Oct 4 02:00:00 1925', 'May 15 01:59:59 1926');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1926', 'Oct 3 01:40:31 1926', 'May 15 03:00:00 1926', 'Oct 3 02:59:59 1926');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 3 01:40:32 1926', 'May 15 01:40:31 1927', 'Oct 3 02:00:00 1926', 'May 15 01:59:59 1927');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1927', 'Oct 2 01:40:31 1927', 'May 15 03:00:00 1927', 'Oct 2 02:59:59 1927');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 2 01:40:32 1927', 'May 15 01:40:31 1928', 'Oct 2 02:00:00 1927', 'May 15 01:59:59 1928');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1928', 'Oct 7 01:40:31 1928', 'May 15 03:00:00 1928', 'Oct 7 02:59:59 1928');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 7 01:40:32 1928', 'May 15 01:40:31 1929', 'Oct 7 02:00:00 1928', 'May 15 01:59:59 1929');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1929', 'Oct 6 01:40:31 1929', 'May 15 03:00:00 1929', 'Oct 6 02:59:59 1929');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 6 01:40:32 1929', 'May 15 01:40:31 1930', 'Oct 6 02:00:00 1929', 'May 15 01:59:59 1930');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1930', 'Oct 5 01:40:31 1930', 'May 15 03:00:00 1930', 'Oct 5 02:59:59 1930');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 5 01:40:32 1930', 'May 15 01:40:31 1931', 'Oct 5 02:00:00 1930', 'May 15 01:59:59 1931');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1931', 'Oct 4 01:40:31 1931', 'May 15 03:00:00 1931', 'Oct 4 02:59:59 1931');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 4 01:40:32 1931', 'May 22 01:40:31 1932', 'Oct 4 02:00:00 1931', 'May 22 01:59:59 1932');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 22 01:40:32 1932', 'Oct 2 01:40:31 1932', 'May 22 03:00:00 1932', 'Oct 2 02:59:59 1932');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 2 01:40:32 1932', 'May 15 01:40:31 1933', 'Oct 2 02:00:00 1932', 'May 15 01:59:59 1933');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1933', 'Oct 8 01:40:31 1933', 'May 15 03:00:00 1933', 'Oct 8 02:59:59 1933');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 8 01:40:32 1933', 'May 15 01:40:31 1934', 'Oct 8 02:00:00 1933', 'May 15 01:59:59 1934');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1934', 'Oct 7 01:40:31 1934', 'May 15 03:00:00 1934', 'Oct 7 02:59:59 1934');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 7 01:40:32 1934', 'May 15 01:40:31 1935', 'Oct 7 02:00:00 1934', 'May 15 01:59:59 1935');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1935', 'Oct 6 01:40:31 1935', 'May 15 03:00:00 1935', 'Oct 6 02:59:59 1935');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 6 01:40:32 1935', 'May 15 01:40:31 1936', 'Oct 6 02:00:00 1935', 'May 15 01:59:59 1936');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 15 01:40:32 1936', 'Oct 4 01:40:31 1936', 'May 15 03:00:00 1936', 'Oct 4 02:59:59 1936');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1168, 'Oct 4 01:40:32 1936', 'May 22 01:40:31 1937', 'Oct 4 02:00:00 1936', 'May 22 01:59:59 1937');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4768, 'May 22 01:40:32 1937', 'Jun 30 22:40:31 1937', 'May 22 03:00:00 1937', 'Jun 30 23:59:59 1937');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4800, 'Jun 30 22:40:32 1937', 'Oct 3 01:39:59 1937', 'Jul 1 00:00:32 1937', 'Oct 3 02:59:59 1937');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1200, 'Oct 3 01:40:00 1937', 'May 15 01:39:59 1938', 'Oct 3 02:00:00 1937', 'May 15 01:59:59 1938');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4800, 'May 15 01:40:00 1938', 'Oct 2 01:39:59 1938', 'May 15 03:00:00 1938', 'Oct 2 02:59:59 1938');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1200, 'Oct 2 01:40:00 1938', 'May 15 01:39:59 1939', 'Oct 2 02:00:00 1938', 'May 15 01:59:59 1939');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 4800, 'May 15 01:40:00 1939', 'Oct 8 01:39:59 1939', 'May 15 03:00:00 1939', 'Oct 8 02:59:59 1939');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 1200, 'Oct 8 01:40:00 1939', 'May 16 00:19:59 1940', 'Oct 8 02:00:00 1939', 'May 16 00:39:59 1940');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'May 16 00:20:00 1940', 'Nov 2 00:59:59 1942', 'May 16 02:20:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 2 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'May 20 00:59:59 1945', 'Apr 2 03:00:00 1945', 'May 20 02:59:59 1945');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'May 20 01:00:00 1945', 'Apr 3 00:59:59 1977', 'May 20 02:00:00 1945', 'Apr 3 01:59:59 1977');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Apr 3 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Apr 3 03:00:00 1977', 'Sep 25 02:59:59 1977');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 02:00:00 1977', 'Apr 2 01:59:59 1978');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 03:00:00 1978', 'Oct 1 02:59:59 1978');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 02:00:00 1978', 'Apr 1 01:59:59 1979');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Amsterdam', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Amsterdam', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Andorra
--

begin
timezone.add_rule('Europe/Andorra', 'CET', 0, 0, 'Dec 14 20:45:52 1901', 'Sep 29 23:59:59 1946', 'Dec 14 20:45:52 1901', 'Sep 29 23:59:59 1946');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 30 00:00:00 1946', 'Mar 31 00:59:59 1985', 'Sep 30 01:00:00 1946', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Andorra', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Andorra', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Athens
--

begin
timezone.add_rule('Europe/Athens', 'EET', 0, 5692, 'Dec 14 20:45:52 1901', 'Jul 27 22:26:07 1916', 'Dec 14 22:20:44 1901', 'Jul 28 00:00:59 1916');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Jul 27 22:26:08 1916', 'Jul 6 21:59:59 1932', 'Jul 28 00:26:08 1916', 'Jul 6 23:59:59 1932');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Jul 6 22:00:00 1932', 'Aug 31 20:59:59 1932', 'Jul 7 01:00:00 1932', 'Aug 31 23:59:59 1932');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Aug 31 21:00:00 1932', 'Apr 6 21:59:59 1941', 'Aug 31 23:00:00 1932', 'Apr 6 23:59:59 1941');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Apr 6 22:00:00 1941', 'Apr 29 20:59:59 1941', 'Apr 7 01:00:00 1941', 'Apr 29 23:59:59 1941');
timezone.add_rule('Europe/Athens', 'EEST', 1, 7200, 'Apr 29 21:00:00 1941', 'Nov 2 00:59:59 1942', 'Apr 29 23:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Athens', 'EET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 22:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 23:59:59 1943');
timezone.add_rule('Europe/Athens', 'EEST', 1, 7200, 'Mar 29 23:00:00 1943', 'Oct 3 21:59:59 1943', 'Mar 30 01:00:00 1943', 'Oct 3 23:59:59 1943');
timezone.add_rule('Europe/Athens', 'EET', 0, 3600, 'Oct 3 22:00:00 1943', 'Apr 3 22:59:59 1944', 'Oct 3 23:00:00 1943', 'Apr 3 23:59:59 1944');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Apr 3 23:00:00 1944', 'Jun 30 21:59:59 1952', 'Apr 4 01:00:00 1944', 'Jun 30 23:59:59 1952');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Jun 30 22:00:00 1952', 'Nov 1 20:59:59 1952', 'Jul 1 01:00:00 1952', 'Nov 1 23:59:59 1952');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Nov 1 21:00:00 1952', 'Apr 11 21:59:59 1975', 'Nov 1 23:00:00 1952', 'Apr 11 23:59:59 1975');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Apr 11 22:00:00 1975', 'Nov 25 21:59:59 1975', 'Apr 12 01:00:00 1975', 'Nov 26 00:59:59 1975');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Nov 25 22:00:00 1975', 'Apr 10 23:59:59 1976', 'Nov 26 00:00:00 1975', 'Apr 11 01:59:59 1976');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Apr 11 00:00:00 1976', 'Oct 9 23:59:59 1976', 'Apr 11 03:00:00 1976', 'Oct 10 02:59:59 1976');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 10 00:00:00 1976', 'Apr 2 23:59:59 1977', 'Oct 10 02:00:00 1976', 'Apr 3 01:59:59 1977');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Apr 3 00:00:00 1977', 'Sep 25 23:59:59 1977', 'Apr 3 03:00:00 1977', 'Sep 26 02:59:59 1977');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 26 00:00:00 1977', 'Apr 1 23:59:59 1978', 'Sep 26 02:00:00 1977', 'Apr 2 01:59:59 1978');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Apr 2 00:00:00 1978', 'Sep 24 00:59:59 1978', 'Apr 2 03:00:00 1978', 'Sep 24 03:59:59 1978');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 24 01:00:00 1978', 'Apr 1 06:59:59 1979', 'Sep 24 03:00:00 1978', 'Apr 1 08:59:59 1979');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Apr 1 07:00:00 1979', 'Sep 28 22:59:59 1979', 'Apr 1 10:00:00 1979', 'Sep 29 01:59:59 1979');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 28 23:00:00 1979', 'Mar 31 21:59:59 1980', 'Sep 29 01:00:00 1979', 'Mar 31 23:59:59 1980');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 31 22:00:00 1980', 'Sep 27 20:59:59 1980', 'Apr 1 01:00:00 1980', 'Sep 27 23:59:59 1980');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 27 21:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 27 23:00:00 1980', 'Mar 29 02:59:59 1981');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 04:00:00 1981', 'Sep 27 03:59:59 1981');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 03:00:00 1981', 'Mar 28 02:59:59 1982');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 04:00:00 1982', 'Sep 26 03:59:59 1982');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 03:00:00 1982', 'Mar 27 02:59:59 1983');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 04:00:00 1983', 'Sep 25 03:59:59 1983');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 03:00:00 1983', 'Mar 25 02:59:59 1984');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 04:00:00 1984', 'Sep 30 03:59:59 1984');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 03:00:00 1984', 'Mar 31 02:59:59 1985');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 04:00:00 1985', 'Sep 29 03:59:59 1985');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 03:00:00 1985', 'Mar 30 02:59:59 1986');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 04:00:00 1986', 'Sep 28 03:59:59 1986');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 03:00:00 1986', 'Mar 29 02:59:59 1987');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 04:00:00 1987', 'Sep 27 03:59:59 1987');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 03:00:00 1987', 'Mar 27 02:59:59 1988');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 04:00:00 1988', 'Sep 25 03:59:59 1988');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 03:00:00 1988', 'Mar 26 02:59:59 1989');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 04:00:00 1989', 'Sep 24 03:59:59 1989');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 03:00:00 1989', 'Mar 25 02:59:59 1990');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 04:00:00 1990', 'Sep 30 03:59:59 1990');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 03:00:00 1990', 'Mar 31 02:59:59 1991');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 04:00:00 1991', 'Sep 29 03:59:59 1991');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 03:00:00 1991', 'Mar 29 02:59:59 1992');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 04:00:00 1992', 'Sep 27 03:59:59 1992');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 03:00:00 1992', 'Mar 28 02:59:59 1993');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 04:00:00 1993', 'Sep 26 03:59:59 1993');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 03:00:00 1993', 'Mar 27 02:59:59 1994');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 04:00:00 1994', 'Sep 25 03:59:59 1994');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 04:00:00 1995', 'Sep 24 03:59:59 1995');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 04:00:00 1996', 'Oct 27 03:59:59 1996');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 04:00:00 1997', 'Oct 26 03:59:59 1997');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 04:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Europe/Athens', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Europe/Athens', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Belfast
--

begin
timezone.add_rule('Europe/Belfast', 'GMT', 0, -1521, 'Dec 14 20:45:52 1901', 'May 21 02:25:20 1916', 'Dec 14 20:20:31 1901', 'May 21 01:59:59 1916');
timezone.add_rule('Europe/Belfast', 'BST', 1, 2079, 'May 21 02:25:21 1916', 'Oct 1 02:25:20 1916', 'May 21 03:00:00 1916', 'Oct 1 02:59:59 1916');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 1 02:25:21 1916', 'Apr 8 01:59:59 1917', 'Oct 1 02:25:21 1916', 'Apr 8 01:59:59 1917');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 8 02:00:00 1917', 'Sep 17 01:59:59 1917', 'Apr 8 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918', 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 24 02:00:00 1918', 'Sep 30 01:59:59 1918', 'Mar 24 03:00:00 1918', 'Sep 30 02:59:59 1918');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919', 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 30 02:00:00 1919', 'Sep 29 01:59:59 1919', 'Mar 30 03:00:00 1919', 'Sep 29 02:59:59 1919');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920', 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 28 02:00:00 1920', 'Oct 25 01:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 25 02:59:59 1920');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921', 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 3 02:00:00 1921', 'Oct 3 01:59:59 1921', 'Apr 3 03:00:00 1921', 'Oct 3 02:59:59 1921');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922', 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 02:00:00 1922', 'Oct 8 01:59:59 1922', 'Mar 26 03:00:00 1922', 'Oct 8 02:59:59 1922');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923', 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 22 02:00:00 1923', 'Sep 16 01:59:59 1923', 'Apr 22 03:00:00 1923', 'Sep 16 02:59:59 1923');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924', 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 13 02:00:00 1924', 'Sep 21 01:59:59 1924', 'Apr 13 03:00:00 1924', 'Sep 21 02:59:59 1924');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925', 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 19 02:00:00 1925', 'Oct 4 01:59:59 1925', 'Apr 19 03:00:00 1925', 'Oct 4 02:59:59 1925');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926', 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 18 02:00:00 1926', 'Oct 3 01:59:59 1926', 'Apr 18 03:00:00 1926', 'Oct 3 02:59:59 1926');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927', 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 10 02:00:00 1927', 'Oct 2 01:59:59 1927', 'Apr 10 03:00:00 1927', 'Oct 2 02:59:59 1927');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928', 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 22 02:00:00 1928', 'Oct 7 01:59:59 1928', 'Apr 22 03:00:00 1928', 'Oct 7 02:59:59 1928');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929', 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 21 02:00:00 1929', 'Oct 6 01:59:59 1929', 'Apr 21 03:00:00 1929', 'Oct 6 02:59:59 1929');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930', 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 13 02:00:00 1930', 'Oct 5 01:59:59 1930', 'Apr 13 03:00:00 1930', 'Oct 5 02:59:59 1930');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931', 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 19 02:00:00 1931', 'Oct 4 01:59:59 1931', 'Apr 19 03:00:00 1931', 'Oct 4 02:59:59 1931');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932', 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 17 02:00:00 1932', 'Oct 2 01:59:59 1932', 'Apr 17 03:00:00 1932', 'Oct 2 02:59:59 1932');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933', 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 9 02:00:00 1933', 'Oct 8 01:59:59 1933', 'Apr 9 03:00:00 1933', 'Oct 8 02:59:59 1933');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934', 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 22 02:00:00 1934', 'Oct 7 01:59:59 1934', 'Apr 22 03:00:00 1934', 'Oct 7 02:59:59 1934');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935', 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 14 02:00:00 1935', 'Oct 6 01:59:59 1935', 'Apr 14 03:00:00 1935', 'Oct 6 02:59:59 1935');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936', 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 19 02:00:00 1936', 'Oct 4 01:59:59 1936', 'Apr 19 03:00:00 1936', 'Oct 4 02:59:59 1936');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937', 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 18 02:00:00 1937', 'Oct 3 01:59:59 1937', 'Apr 18 03:00:00 1937', 'Oct 3 02:59:59 1937');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938', 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 10 02:00:00 1938', 'Oct 2 01:59:59 1938', 'Apr 10 03:00:00 1938', 'Oct 2 02:59:59 1938');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939', 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 16 02:00:00 1939', 'Nov 19 01:59:59 1939', 'Apr 16 03:00:00 1939', 'Nov 19 02:59:59 1939');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Feb 25 02:00:00 1940', 'May 4 00:59:59 1941', 'Feb 25 03:00:00 1940', 'May 4 01:59:59 1941');
timezone.add_rule('Europe/Belfast', 'BST', 1, 7200, 'May 4 01:00:00 1941', 'Aug 10 00:59:59 1941', 'May 4 03:00:00 1941', 'Aug 10 02:59:59 1941');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Aug 10 01:00:00 1941', 'Apr 5 00:59:59 1942', 'Aug 10 02:00:00 1941', 'Apr 5 01:59:59 1942');
timezone.add_rule('Europe/Belfast', 'BST', 1, 7200, 'Apr 5 01:00:00 1942', 'Aug 9 00:59:59 1942', 'Apr 5 03:00:00 1942', 'Aug 9 02:59:59 1942');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Aug 9 01:00:00 1942', 'Apr 4 00:59:59 1943', 'Aug 9 02:00:00 1942', 'Apr 4 01:59:59 1943');
timezone.add_rule('Europe/Belfast', 'BST', 1, 7200, 'Apr 4 01:00:00 1943', 'Aug 15 00:59:59 1943', 'Apr 4 03:00:00 1943', 'Aug 15 02:59:59 1943');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Aug 15 01:00:00 1943', 'Apr 2 00:59:59 1944', 'Aug 15 02:00:00 1943', 'Apr 2 01:59:59 1944');
timezone.add_rule('Europe/Belfast', 'BST', 1, 7200, 'Apr 2 01:00:00 1944', 'Sep 17 00:59:59 1944', 'Apr 2 03:00:00 1944', 'Sep 17 02:59:59 1944');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Sep 17 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Sep 17 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Belfast', 'BST', 1, 7200, 'Apr 2 01:00:00 1945', 'Jul 15 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Jul 15 02:59:59 1945');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Jul 15 01:00:00 1945', 'Oct 7 01:59:59 1945', 'Jul 15 02:00:00 1945', 'Oct 7 02:59:59 1945');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 7 02:00:00 1945', 'Apr 14 01:59:59 1946', 'Oct 7 02:00:00 1945', 'Apr 14 01:59:59 1946');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 14 02:00:00 1946', 'Oct 6 01:59:59 1946', 'Apr 14 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 6 02:00:00 1946', 'Mar 16 01:59:59 1947', 'Oct 6 02:00:00 1946', 'Mar 16 01:59:59 1947');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 16 02:00:00 1947', 'Apr 13 00:59:59 1947', 'Mar 16 03:00:00 1947', 'Apr 13 01:59:59 1947');
timezone.add_rule('Europe/Belfast', 'BST', 1, 7200, 'Apr 13 01:00:00 1947', 'Aug 10 00:59:59 1947', 'Apr 13 03:00:00 1947', 'Aug 10 02:59:59 1947');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Aug 10 01:00:00 1947', 'Nov 2 01:59:59 1947', 'Aug 10 02:00:00 1947', 'Nov 2 02:59:59 1947');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Nov 2 02:00:00 1947', 'Mar 14 01:59:59 1948', 'Nov 2 02:00:00 1947', 'Mar 14 01:59:59 1948');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 14 02:00:00 1948', 'Oct 31 01:59:59 1948', 'Mar 14 03:00:00 1948', 'Oct 31 02:59:59 1948');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 30 02:59:59 1949');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950', 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 16 02:00:00 1950', 'Oct 22 01:59:59 1950', 'Apr 16 03:00:00 1950', 'Oct 22 02:59:59 1950');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951', 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 15 02:00:00 1951', 'Oct 21 01:59:59 1951', 'Apr 15 03:00:00 1951', 'Oct 21 02:59:59 1951');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952', 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 20 02:00:00 1952', 'Oct 26 01:59:59 1952', 'Apr 20 03:00:00 1952', 'Oct 26 02:59:59 1952');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953', 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 19 02:00:00 1953', 'Oct 4 01:59:59 1953', 'Apr 19 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 11 02:00:00 1954', 'Oct 3 01:59:59 1954', 'Apr 11 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 17 02:00:00 1955', 'Oct 2 01:59:59 1955', 'Apr 17 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 22 02:00:00 1956', 'Oct 7 01:59:59 1956', 'Apr 22 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 14 02:00:00 1957', 'Oct 6 01:59:59 1957', 'Apr 14 03:00:00 1957', 'Oct 6 02:59:59 1957');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958', 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 20 02:00:00 1958', 'Oct 5 01:59:59 1958', 'Apr 20 03:00:00 1958', 'Oct 5 02:59:59 1958');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959', 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 19 02:00:00 1959', 'Oct 4 01:59:59 1959', 'Apr 19 03:00:00 1959', 'Oct 4 02:59:59 1959');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960', 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Apr 10 02:00:00 1960', 'Oct 2 01:59:59 1960', 'Apr 10 03:00:00 1960', 'Oct 2 02:59:59 1960');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961', 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 02:00:00 1961', 'Oct 29 01:59:59 1961', 'Mar 26 03:00:00 1961', 'Oct 29 02:59:59 1961');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962', 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 25 02:00:00 1962', 'Oct 28 01:59:59 1962', 'Mar 25 03:00:00 1962', 'Oct 28 02:59:59 1962');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963', 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 31 02:00:00 1963', 'Oct 27 01:59:59 1963', 'Mar 31 03:00:00 1963', 'Oct 27 02:59:59 1963');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964', 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 22 02:00:00 1964', 'Oct 25 01:59:59 1964', 'Mar 22 03:00:00 1964', 'Oct 25 02:59:59 1964');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965', 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 21 02:00:00 1965', 'Oct 24 01:59:59 1965', 'Mar 21 03:00:00 1965', 'Oct 24 02:59:59 1965');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966', 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 20 02:00:00 1966', 'Oct 23 01:59:59 1966', 'Mar 20 03:00:00 1966', 'Oct 23 02:59:59 1966');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967', 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 19 02:00:00 1967', 'Oct 29 01:59:59 1967', 'Mar 19 03:00:00 1967', 'Oct 29 02:59:59 1967');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968', 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Feb 18 02:00:00 1968', 'Oct 26 22:59:59 1968', 'Feb 18 03:00:00 1968', 'Oct 26 23:59:59 1968');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 3600, 'Oct 26 23:00:00 1968', 'Oct 31 01:59:59 1971', 'Oct 27 00:00:00 1968', 'Oct 31 02:59:59 1971');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972', 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 19 02:00:00 1972', 'Oct 29 01:59:59 1972', 'Mar 19 03:00:00 1972', 'Oct 29 02:59:59 1972');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973', 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 18 02:00:00 1973', 'Oct 28 01:59:59 1973', 'Mar 18 03:00:00 1973', 'Oct 28 02:59:59 1973');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974', 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 17 02:00:00 1974', 'Oct 27 01:59:59 1974', 'Mar 17 03:00:00 1974', 'Oct 27 02:59:59 1974');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975', 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 16 02:00:00 1975', 'Oct 26 01:59:59 1975', 'Mar 16 03:00:00 1975', 'Oct 26 02:59:59 1975');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976', 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 21 02:00:00 1976', 'Oct 24 01:59:59 1976', 'Mar 21 03:00:00 1976', 'Oct 24 02:59:59 1976');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977', 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 20 02:00:00 1977', 'Oct 23 01:59:59 1977', 'Mar 20 03:00:00 1977', 'Oct 23 02:59:59 1977');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978', 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 19 02:00:00 1978', 'Oct 29 01:59:59 1978', 'Mar 19 03:00:00 1978', 'Oct 29 02:59:59 1978');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979', 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 18 02:00:00 1979', 'Oct 28 01:59:59 1979', 'Mar 18 03:00:00 1979', 'Oct 28 02:59:59 1979');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980', 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 16 02:00:00 1980', 'Oct 26 01:59:59 1980', 'Mar 16 03:00:00 1980', 'Oct 26 02:59:59 1980');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981', 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 29 01:00:00 1981', 'Oct 25 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 28 01:00:00 1982', 'Oct 24 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Oct 24 01:59:59 1982');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 27 01:00:00 1983', 'Oct 23 00:59:59 1983', 'Mar 27 02:00:00 1983', 'Oct 23 01:59:59 1983');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 25 01:00:00 1984', 'Oct 28 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 31 01:00:00 1985', 'Oct 27 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 30 01:00:00 1986', 'Oct 26 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 29 01:00:00 1987', 'Oct 25 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 27 01:00:00 1988', 'Oct 23 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Oct 23 01:59:59 1988');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 01:00:00 1989', 'Oct 29 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 25 01:00:00 1990', 'Oct 28 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 31 01:00:00 1991', 'Oct 27 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 29 01:00:00 1992', 'Oct 25 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 28 01:00:00 1993', 'Oct 24 00:59:59 1993', 'Mar 28 02:00:00 1993', 'Oct 24 01:59:59 1993');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 27 01:00:00 1994', 'Oct 23 00:59:59 1994', 'Mar 27 02:00:00 1994', 'Oct 23 01:59:59 1994');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 01:00:00 1995', 'Oct 22 00:59:59 1995', 'Mar 26 02:00:00 1995', 'Oct 22 01:59:59 1995');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Europe/Belfast', 'BST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Europe/Belfast', 'GMT', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- Europe/Belgrade
--

begin
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 18 21:59:59 1941', 'Dec 14 21:45:52 1901', 'Apr 18 22:59:59 1941');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Apr 18 22:00:00 1941', 'Nov 2 00:59:59 1942', 'Apr 19 00:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'May 8 00:59:59 1945', 'Oct 2 02:00:00 1944', 'May 8 01:59:59 1945');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'May 8 01:00:00 1945', 'Sep 16 00:59:59 1945', 'May 8 03:00:00 1945', 'Sep 16 02:59:59 1945');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 16 01:00:00 1945', 'Mar 27 00:59:59 1983', 'Sep 16 02:00:00 1945', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Belgrade', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Belgrade', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Berlin
--

begin
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 30 21:59:59 1916', 'Dec 14 21:45:52 1901', 'Apr 30 22:59:59 1916');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 16 01:00:00 1918', 'Apr 1 00:59:59 1940', 'Sep 16 02:00:00 1918', 'Apr 1 01:59:59 1940');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 1 01:00:00 1940', 'Nov 2 00:59:59 1942', 'Apr 1 03:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 2 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'May 31 00:59:59 1945', 'Apr 2 03:00:00 1945', 'May 31 02:59:59 1945');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 10800, 'May 31 01:00:00 1945', 'Sep 22 23:59:59 1945', 'May 31 04:00:00 1945', 'Sep 23 02:59:59 1945');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Sep 23 00:00:00 1945', 'Nov 18 00:59:59 1945', 'Sep 23 02:00:00 1945', 'Nov 18 02:59:59 1945');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Nov 18 01:00:00 1945', 'Apr 14 00:59:59 1946', 'Nov 18 02:00:00 1945', 'Apr 14 01:59:59 1946');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 14 01:00:00 1946', 'Oct 7 00:59:59 1946', 'Apr 14 03:00:00 1946', 'Oct 7 02:59:59 1946');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 7 01:00:00 1946', 'Apr 6 00:59:59 1947', 'Oct 7 02:00:00 1946', 'Apr 6 01:59:59 1947');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 6 01:00:00 1947', 'May 11 00:59:59 1947', 'Apr 6 03:00:00 1947', 'May 11 02:59:59 1947');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 10800, 'May 11 01:00:00 1947', 'Jun 28 23:59:59 1947', 'May 11 04:00:00 1947', 'Jun 29 02:59:59 1947');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Jun 29 00:00:00 1947', 'Oct 5 00:59:59 1947', 'Jun 29 02:00:00 1947', 'Oct 5 02:59:59 1947');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 5 01:00:00 1947', 'Apr 18 00:59:59 1948', 'Oct 5 02:00:00 1947', 'Apr 18 01:59:59 1948');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 18 01:00:00 1948', 'Oct 3 00:59:59 1948', 'Apr 18 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 3 01:00:00 1948', 'Apr 10 00:59:59 1949', 'Oct 3 02:00:00 1948', 'Apr 10 01:59:59 1949');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 10 01:00:00 1949', 'Oct 2 00:59:59 1949', 'Apr 10 03:00:00 1949', 'Oct 2 02:59:59 1949');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 2 01:00:00 1949', 'Apr 6 00:59:59 1980', 'Oct 2 02:00:00 1949', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Berlin', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Berlin', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Bratislava
--

begin
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 30 21:59:59 1916', 'Dec 14 21:45:52 1901', 'Apr 30 22:59:59 1916');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 16 01:00:00 1918', 'Apr 1 00:59:59 1940', 'Sep 16 02:00:00 1918', 'Apr 1 01:59:59 1940');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 1 01:00:00 1940', 'Nov 2 00:59:59 1942', 'Apr 1 03:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 17 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 17 02:59:59 1944');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 17 01:00:00 1944', 'Apr 8 00:59:59 1945', 'Sep 17 02:00:00 1944', 'Apr 8 01:59:59 1945');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 8 01:00:00 1945', 'Nov 18 00:59:59 1945', 'Apr 8 03:00:00 1945', 'Nov 18 02:59:59 1945');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Nov 18 01:00:00 1945', 'May 6 00:59:59 1946', 'Nov 18 02:00:00 1945', 'May 6 01:59:59 1946');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'May 6 01:00:00 1946', 'Oct 6 00:59:59 1946', 'May 6 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 6 01:00:00 1946', 'Apr 20 00:59:59 1947', 'Oct 6 02:00:00 1946', 'Apr 20 01:59:59 1947');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 20 01:00:00 1947', 'Oct 5 00:59:59 1947', 'Apr 20 03:00:00 1947', 'Oct 5 02:59:59 1947');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 5 01:00:00 1947', 'Apr 18 00:59:59 1948', 'Oct 5 02:00:00 1947', 'Apr 18 01:59:59 1948');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 18 01:00:00 1948', 'Oct 3 00:59:59 1948', 'Apr 18 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 3 01:00:00 1948', 'Apr 9 00:59:59 1949', 'Oct 3 02:00:00 1948', 'Apr 9 01:59:59 1949');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 9 01:00:00 1949', 'Oct 2 00:59:59 1949', 'Apr 9 03:00:00 1949', 'Oct 2 02:59:59 1949');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 2 01:00:00 1949', 'Apr 1 00:59:59 1979', 'Oct 2 02:00:00 1949', 'Apr 1 01:59:59 1979');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Bratislava', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Bratislava', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Brussels
--

begin
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Dec 14 20:45:52 1901', 'Nov 7 23:59:59 1914', 'Dec 14 20:45:52 1901', 'Nov 7 23:59:59 1914');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Nov 8 00:00:00 1914', 'Apr 30 22:59:59 1916', 'Nov 8 01:00:00 1914', 'Apr 30 23:59:59 1916');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Apr 30 23:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 01:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 16 01:00:00 1918', 'Nov 11 10:59:59 1918', 'Sep 16 02:00:00 1918', 'Nov 11 11:59:59 1918');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Nov 11 11:00:00 1918', 'Mar 1 22:59:59 1919', 'Nov 11 11:00:00 1918', 'Mar 1 22:59:59 1919');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Mar 1 23:00:00 1919', 'Oct 4 22:59:59 1919', 'Mar 2 00:00:00 1919', 'Oct 4 23:59:59 1919');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 4 23:00:00 1919', 'Feb 14 22:59:59 1920', 'Oct 4 23:00:00 1919', 'Feb 14 22:59:59 1920');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Feb 14 23:00:00 1920', 'Oct 23 22:59:59 1920', 'Feb 15 00:00:00 1920', 'Oct 23 23:59:59 1920');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 23 23:00:00 1920', 'Mar 14 22:59:59 1921', 'Oct 23 23:00:00 1920', 'Mar 14 22:59:59 1921');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Mar 14 23:00:00 1921', 'Oct 25 22:59:59 1921', 'Mar 15 00:00:00 1921', 'Oct 25 23:59:59 1921');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 25 23:00:00 1921', 'Mar 25 22:59:59 1922', 'Oct 25 23:00:00 1921', 'Mar 25 22:59:59 1922');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Mar 25 23:00:00 1922', 'Oct 7 22:59:59 1922', 'Mar 26 00:00:00 1922', 'Oct 7 23:59:59 1922');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 7 23:00:00 1922', 'Apr 21 22:59:59 1923', 'Oct 7 23:00:00 1922', 'Apr 21 22:59:59 1923');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 21 23:00:00 1923', 'Oct 6 22:59:59 1923', 'Apr 22 00:00:00 1923', 'Oct 6 23:59:59 1923');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 6 23:00:00 1923', 'Mar 29 22:59:59 1924', 'Oct 6 23:00:00 1923', 'Mar 29 22:59:59 1924');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Mar 29 23:00:00 1924', 'Oct 4 22:59:59 1924', 'Mar 30 00:00:00 1924', 'Oct 4 23:59:59 1924');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 4 23:00:00 1924', 'Apr 4 22:59:59 1925', 'Oct 4 23:00:00 1924', 'Apr 4 22:59:59 1925');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 4 23:00:00 1925', 'Oct 3 22:59:59 1925', 'Apr 5 00:00:00 1925', 'Oct 3 23:59:59 1925');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 3 23:00:00 1925', 'Apr 17 22:59:59 1926', 'Oct 3 23:00:00 1925', 'Apr 17 22:59:59 1926');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 17 23:00:00 1926', 'Oct 2 22:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927', 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 9 23:00:00 1927', 'Oct 1 22:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928', 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 14 23:00:00 1928', 'Oct 7 01:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 7 02:59:59 1928');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929', 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 21 02:00:00 1929', 'Oct 6 01:59:59 1929', 'Apr 21 03:00:00 1929', 'Oct 6 02:59:59 1929');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930', 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 13 02:00:00 1930', 'Oct 5 01:59:59 1930', 'Apr 13 03:00:00 1930', 'Oct 5 02:59:59 1930');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931', 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 19 02:00:00 1931', 'Oct 4 01:59:59 1931', 'Apr 19 03:00:00 1931', 'Oct 4 02:59:59 1931');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 4 02:00:00 1931', 'Apr 3 01:59:59 1932', 'Oct 4 02:00:00 1931', 'Apr 3 01:59:59 1932');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 3 02:00:00 1932', 'Oct 2 01:59:59 1932', 'Apr 3 03:00:00 1932', 'Oct 2 02:59:59 1932');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 2 02:00:00 1932', 'Mar 26 01:59:59 1933', 'Oct 2 02:00:00 1932', 'Mar 26 01:59:59 1933');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Mar 26 02:00:00 1933', 'Oct 8 01:59:59 1933', 'Mar 26 03:00:00 1933', 'Oct 8 02:59:59 1933');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 8 02:00:00 1933', 'Apr 8 01:59:59 1934', 'Oct 8 02:00:00 1933', 'Apr 8 01:59:59 1934');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 8 02:00:00 1934', 'Oct 7 01:59:59 1934', 'Apr 8 03:00:00 1934', 'Oct 7 02:59:59 1934');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 7 02:00:00 1934', 'Mar 31 01:59:59 1935', 'Oct 7 02:00:00 1934', 'Mar 31 01:59:59 1935');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Mar 31 02:00:00 1935', 'Oct 6 01:59:59 1935', 'Mar 31 03:00:00 1935', 'Oct 6 02:59:59 1935');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936', 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 19 02:00:00 1936', 'Oct 4 01:59:59 1936', 'Apr 19 03:00:00 1936', 'Oct 4 02:59:59 1936');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 4 02:00:00 1936', 'Apr 4 01:59:59 1937', 'Oct 4 02:00:00 1936', 'Apr 4 01:59:59 1937');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 4 02:00:00 1937', 'Oct 3 01:59:59 1937', 'Apr 4 03:00:00 1937', 'Oct 3 02:59:59 1937');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 3 02:00:00 1937', 'Mar 27 01:59:59 1938', 'Oct 3 02:00:00 1937', 'Mar 27 01:59:59 1938');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Mar 27 02:00:00 1938', 'Oct 2 01:59:59 1938', 'Mar 27 03:00:00 1938', 'Oct 2 02:59:59 1938');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939', 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Apr 16 02:00:00 1939', 'Nov 19 01:59:59 1939', 'Apr 16 03:00:00 1939', 'Nov 19 02:59:59 1939');
timezone.add_rule('Europe/Brussels', 'CET', 0, 0, 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 3600, 'Feb 25 02:00:00 1940', 'May 20 01:59:59 1940', 'Feb 25 03:00:00 1940', 'May 20 02:59:59 1940');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'May 20 02:00:00 1940', 'Nov 2 00:59:59 1942', 'May 20 04:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 17 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 17 02:59:59 1944');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 17 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Sep 17 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 16 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 16 02:59:59 1945');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 16 01:00:00 1945', 'May 19 00:59:59 1946', 'Sep 16 02:00:00 1945', 'May 19 01:59:59 1946');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'May 19 01:00:00 1946', 'Oct 7 00:59:59 1946', 'May 19 03:00:00 1946', 'Oct 7 02:59:59 1946');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 7 01:00:00 1946', 'Apr 3 00:59:59 1977', 'Oct 7 02:00:00 1946', 'Apr 3 01:59:59 1977');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Apr 3 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Apr 3 03:00:00 1977', 'Sep 25 02:59:59 1977');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 02:00:00 1977', 'Apr 2 01:59:59 1978');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 03:00:00 1978', 'Oct 1 02:59:59 1978');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 02:00:00 1978', 'Apr 1 01:59:59 1979');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Brussels', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Brussels', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Bucharest
--

begin
timezone.add_rule('Europe/Bucharest', 'EET', 0, 6264, 'Dec 14 20:45:52 1901', 'Jul 23 22:15:35 1931', 'Dec 14 22:30:16 1901', 'Jul 23 23:59:59 1931');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Jul 23 22:15:36 1931', 'May 20 21:59:59 1932', 'Jul 24 00:15:36 1931', 'May 20 23:59:59 1932');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'May 20 22:00:00 1932', 'Oct 1 21:59:59 1932', 'May 21 01:00:00 1932', 'Oct 2 00:59:59 1932');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 1 22:00:00 1932', 'Apr 1 21:59:59 1933', 'Oct 2 00:00:00 1932', 'Apr 1 23:59:59 1933');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Apr 1 22:00:00 1933', 'Sep 30 21:59:59 1933', 'Apr 2 01:00:00 1933', 'Oct 1 00:59:59 1933');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 30 22:00:00 1933', 'Apr 7 21:59:59 1934', 'Oct 1 00:00:00 1933', 'Apr 7 23:59:59 1934');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Apr 7 22:00:00 1934', 'Oct 6 21:59:59 1934', 'Apr 8 01:00:00 1934', 'Oct 7 00:59:59 1934');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 6 22:00:00 1934', 'Apr 6 21:59:59 1935', 'Oct 7 00:00:00 1934', 'Apr 6 23:59:59 1935');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Apr 6 22:00:00 1935', 'Oct 5 21:59:59 1935', 'Apr 7 01:00:00 1935', 'Oct 6 00:59:59 1935');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 5 22:00:00 1935', 'Apr 4 21:59:59 1936', 'Oct 6 00:00:00 1935', 'Apr 4 23:59:59 1936');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Apr 4 22:00:00 1936', 'Oct 3 21:59:59 1936', 'Apr 5 01:00:00 1936', 'Oct 4 00:59:59 1936');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 3 22:00:00 1936', 'Apr 3 21:59:59 1937', 'Oct 4 00:00:00 1936', 'Apr 3 23:59:59 1937');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Apr 3 22:00:00 1937', 'Oct 2 21:59:59 1937', 'Apr 4 01:00:00 1937', 'Oct 3 00:59:59 1937');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 2 22:00:00 1937', 'Apr 2 21:59:59 1938', 'Oct 3 00:00:00 1937', 'Apr 2 23:59:59 1938');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Apr 2 22:00:00 1938', 'Oct 1 21:59:59 1938', 'Apr 3 01:00:00 1938', 'Oct 2 00:59:59 1938');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 1 22:00:00 1938', 'Apr 1 21:59:59 1939', 'Oct 2 00:00:00 1938', 'Apr 1 23:59:59 1939');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Apr 1 22:00:00 1939', 'Sep 30 21:59:59 1939', 'Apr 2 01:00:00 1939', 'Oct 1 00:59:59 1939');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 30 22:00:00 1939', 'May 26 21:59:59 1979', 'Oct 1 00:00:00 1939', 'May 26 23:59:59 1979');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'May 26 22:00:00 1979', 'Sep 29 20:59:59 1979', 'May 27 01:00:00 1979', 'Sep 29 23:59:59 1979');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 29 21:00:00 1979', 'Apr 5 20:59:59 1980', 'Sep 29 23:00:00 1979', 'Apr 5 22:59:59 1980');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Apr 5 21:00:00 1980', 'Sep 27 21:59:59 1980', 'Apr 6 00:00:00 1980', 'Sep 28 00:59:59 1980');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 27 22:00:00 1980', 'Mar 28 23:59:59 1981', 'Sep 28 00:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 29 00:00:00 1981', 'Sep 26 23:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 27 00:00:00 1981', 'Mar 27 23:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 28 00:00:00 1982', 'Sep 25 23:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 26 00:00:00 1982', 'Mar 26 23:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 27 00:00:00 1983', 'Sep 24 23:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 25 00:00:00 1983', 'Mar 24 23:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 25 00:00:00 1984', 'Sep 29 23:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 30 00:00:00 1984', 'Mar 30 23:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 31 00:00:00 1985', 'Sep 28 23:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 29 00:00:00 1985', 'Mar 29 23:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 30 00:00:00 1986', 'Sep 27 23:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 28 00:00:00 1986', 'Mar 28 23:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 29 00:00:00 1987', 'Sep 26 23:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 27 00:00:00 1987', 'Mar 26 23:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 27 00:00:00 1988', 'Sep 24 23:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 25 00:00:00 1988', 'Mar 25 23:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 26 00:00:00 1989', 'Sep 23 23:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 25 00:00:00 1990', 'Sep 29 23:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 30 00:00:00 1990', 'Mar 30 21:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 30 23:59:59 1991');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 30 22:00:00 1991', 'Sep 28 21:59:59 1991', 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 28 22:00:00 1991', 'Mar 28 21:59:59 1992', 'Sep 29 00:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 28 22:00:00 1992', 'Sep 26 21:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 26 22:00:00 1992', 'Mar 27 21:59:59 1993', 'Sep 27 00:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 27 22:00:00 1993', 'Sep 25 21:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 25 22:00:00 1993', 'Mar 26 21:59:59 1994', 'Sep 26 00:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 26 22:00:00 1994', 'Sep 24 20:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 24 21:00:00 1994', 'Mar 25 21:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 25 22:00:00 1995', 'Sep 23 20:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Sep 23 21:00:00 1995', 'Mar 30 21:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 30 22:00:00 1996', 'Oct 26 20:59:59 1996', 'Mar 31 01:00:00 1996', 'Oct 26 23:59:59 1996');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 26 21:00:00 1996', 'Mar 29 21:59:59 1997', 'Oct 26 23:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 29 22:00:00 1997', 'Oct 25 20:59:59 1997', 'Mar 30 01:00:00 1997', 'Oct 25 23:59:59 1997');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 25 21:00:00 1997', 'Mar 28 21:59:59 1998', 'Oct 25 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 28 22:00:00 1998', 'Oct 24 20:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 24 23:59:59 1998');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 24 21:00:00 1998', 'Mar 27 21:59:59 1999', 'Oct 24 23:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 27 22:00:00 1999', 'Oct 30 20:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 30 23:59:59 1999');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 30 21:00:00 1999', 'Mar 25 21:59:59 2000', 'Oct 30 23:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 25 22:00:00 2000', 'Oct 28 20:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 28 23:59:59 2000');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 28 21:00:00 2000', 'Mar 24 21:59:59 2001', 'Oct 28 23:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 24 22:00:00 2001', 'Oct 27 20:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 27 23:59:59 2001');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 27 21:00:00 2001', 'Mar 30 21:59:59 2002', 'Oct 27 23:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 30 22:00:00 2002', 'Oct 26 20:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 26 23:59:59 2002');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 26 21:00:00 2002', 'Mar 29 21:59:59 2003', 'Oct 26 23:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 29 22:00:00 2003', 'Oct 25 20:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 25 23:59:59 2003');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 25 21:00:00 2003', 'Mar 27 21:59:59 2004', 'Oct 25 23:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 27 22:00:00 2004', 'Oct 30 20:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 30 23:59:59 2004');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 30 21:00:00 2004', 'Mar 26 21:59:59 2005', 'Oct 30 23:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 26 22:00:00 2005', 'Oct 29 20:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 29 23:59:59 2005');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 29 21:00:00 2005', 'Mar 25 21:59:59 2006', 'Oct 29 23:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 25 22:00:00 2006', 'Oct 28 20:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 28 23:59:59 2006');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 28 21:00:00 2006', 'Mar 24 21:59:59 2007', 'Oct 28 23:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 24 22:00:00 2007', 'Oct 27 20:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 27 23:59:59 2007');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 27 21:00:00 2007', 'Mar 29 21:59:59 2008', 'Oct 27 23:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 29 22:00:00 2008', 'Oct 25 20:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 25 23:59:59 2008');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 25 21:00:00 2008', 'Mar 28 21:59:59 2009', 'Oct 25 23:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 28 22:00:00 2009', 'Oct 24 20:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 24 23:59:59 2009');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 24 21:00:00 2009', 'Mar 27 21:59:59 2010', 'Oct 24 23:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 27 22:00:00 2010', 'Oct 30 20:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 30 23:59:59 2010');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 30 21:00:00 2010', 'Mar 26 21:59:59 2011', 'Oct 30 23:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 26 22:00:00 2011', 'Oct 29 20:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 29 23:59:59 2011');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 29 21:00:00 2011', 'Mar 24 21:59:59 2012', 'Oct 29 23:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 24 22:00:00 2012', 'Oct 27 20:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 27 23:59:59 2012');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 27 21:00:00 2012', 'Mar 30 21:59:59 2013', 'Oct 27 23:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 30 22:00:00 2013', 'Oct 26 20:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 26 23:59:59 2013');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 26 21:00:00 2013', 'Mar 29 21:59:59 2014', 'Oct 26 23:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 29 22:00:00 2014', 'Oct 25 20:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 25 23:59:59 2014');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 25 21:00:00 2014', 'Mar 28 21:59:59 2015', 'Oct 25 23:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 28 22:00:00 2015', 'Oct 24 20:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 24 23:59:59 2015');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 24 21:00:00 2015', 'Mar 26 21:59:59 2016', 'Oct 24 23:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 26 22:00:00 2016', 'Oct 29 20:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 29 23:59:59 2016');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 29 21:00:00 2016', 'Mar 25 21:59:59 2017', 'Oct 29 23:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 25 22:00:00 2017', 'Oct 28 20:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 28 23:59:59 2017');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 28 21:00:00 2017', 'Mar 24 21:59:59 2018', 'Oct 28 23:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 24 22:00:00 2018', 'Oct 27 20:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 27 23:59:59 2018');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 27 21:00:00 2018', 'Mar 30 21:59:59 2019', 'Oct 27 23:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 30 22:00:00 2019', 'Oct 26 20:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 26 23:59:59 2019');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 26 21:00:00 2019', 'Mar 28 21:59:59 2020', 'Oct 26 23:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 28 22:00:00 2020', 'Oct 24 20:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 24 23:59:59 2020');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 24 21:00:00 2020', 'Mar 27 21:59:59 2021', 'Oct 24 23:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 27 22:00:00 2021', 'Oct 30 20:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 30 23:59:59 2021');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 30 21:00:00 2021', 'Mar 26 21:59:59 2022', 'Oct 30 23:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 26 22:00:00 2022', 'Oct 29 20:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 29 23:59:59 2022');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 29 21:00:00 2022', 'Mar 25 21:59:59 2023', 'Oct 29 23:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 25 22:00:00 2023', 'Oct 28 20:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 28 23:59:59 2023');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 28 21:00:00 2023', 'Mar 30 21:59:59 2024', 'Oct 28 23:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 30 22:00:00 2024', 'Oct 26 20:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 26 23:59:59 2024');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 26 21:00:00 2024', 'Mar 29 21:59:59 2025', 'Oct 26 23:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 29 22:00:00 2025', 'Oct 25 20:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 25 23:59:59 2025');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 25 21:00:00 2025', 'Mar 28 21:59:59 2026', 'Oct 25 23:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 28 22:00:00 2026', 'Oct 24 20:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 24 23:59:59 2026');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 24 21:00:00 2026', 'Mar 27 21:59:59 2027', 'Oct 24 23:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 27 22:00:00 2027', 'Oct 30 20:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 30 23:59:59 2027');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 30 21:00:00 2027', 'Mar 25 21:59:59 2028', 'Oct 30 23:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 25 22:00:00 2028', 'Oct 28 20:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 28 23:59:59 2028');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 28 21:00:00 2028', 'Mar 24 21:59:59 2029', 'Oct 28 23:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 24 22:00:00 2029', 'Oct 27 20:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 27 23:59:59 2029');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 27 21:00:00 2029', 'Mar 30 21:59:59 2030', 'Oct 27 23:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 30 22:00:00 2030', 'Oct 26 20:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 26 23:59:59 2030');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 26 21:00:00 2030', 'Mar 29 21:59:59 2031', 'Oct 26 23:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 29 22:00:00 2031', 'Oct 25 20:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 25 23:59:59 2031');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 25 21:00:00 2031', 'Mar 27 21:59:59 2032', 'Oct 25 23:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 27 22:00:00 2032', 'Oct 30 20:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 30 23:59:59 2032');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 30 21:00:00 2032', 'Mar 26 21:59:59 2033', 'Oct 30 23:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 26 22:00:00 2033', 'Oct 29 20:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 29 23:59:59 2033');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 29 21:00:00 2033', 'Mar 25 21:59:59 2034', 'Oct 29 23:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 25 22:00:00 2034', 'Oct 28 20:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 28 23:59:59 2034');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 28 21:00:00 2034', 'Mar 24 21:59:59 2035', 'Oct 28 23:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 24 22:00:00 2035', 'Oct 27 20:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 27 23:59:59 2035');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 27 21:00:00 2035', 'Mar 29 21:59:59 2036', 'Oct 27 23:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 29 22:00:00 2036', 'Oct 25 20:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 25 23:59:59 2036');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 25 21:00:00 2036', 'Mar 28 21:59:59 2037', 'Oct 25 23:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Europe/Bucharest', 'EEST', 1, 10800, 'Mar 28 22:00:00 2037', 'Oct 24 20:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 24 23:59:59 2037');
timezone.add_rule('Europe/Bucharest', 'EET', 0, 7200, 'Oct 24 21:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 24 23:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Budapest
--

begin
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 30 21:59:59 1916', 'Dec 14 21:45:52 1901', 'Apr 30 22:59:59 1916');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 1 01:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 1 02:59:59 1918');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 1 02:00:00 1918', 'Sep 29 00:59:59 1918', 'Apr 1 04:00:00 1918', 'Sep 29 02:59:59 1918');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 29 01:00:00 1918', 'Apr 15 01:59:59 1919', 'Sep 29 02:00:00 1918', 'Apr 15 02:59:59 1919');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 15 02:00:00 1919', 'Sep 15 00:59:59 1919', 'Apr 15 04:00:00 1919', 'Sep 15 02:59:59 1919');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 15 01:00:00 1919', 'Apr 5 01:59:59 1920', 'Sep 15 02:00:00 1919', 'Apr 5 02:59:59 1920');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 5 02:00:00 1920', 'Sep 30 00:59:59 1920', 'Apr 5 04:00:00 1920', 'Sep 30 02:59:59 1920');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 30 01:00:00 1920', 'Apr 6 00:59:59 1941', 'Sep 30 02:00:00 1920', 'Apr 6 01:59:59 1941');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 6 01:00:00 1941', 'Nov 2 00:59:59 1942', 'Apr 6 03:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'May 1 21:59:59 1945', 'Oct 2 02:00:00 1944', 'May 1 22:59:59 1945');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'May 1 22:00:00 1945', 'Nov 2 21:59:59 1945', 'May 2 00:00:00 1945', 'Nov 2 23:59:59 1945');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Nov 2 22:00:00 1945', 'Mar 31 00:59:59 1946', 'Nov 2 23:00:00 1945', 'Mar 31 01:59:59 1946');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 31 01:00:00 1946', 'Oct 6 00:59:59 1946', 'Mar 31 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 6 01:00:00 1946', 'Apr 6 00:59:59 1947', 'Oct 6 02:00:00 1946', 'Apr 6 01:59:59 1947');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 6 01:00:00 1947', 'Oct 5 00:59:59 1947', 'Apr 6 03:00:00 1947', 'Oct 5 02:59:59 1947');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 5 01:00:00 1947', 'Apr 4 00:59:59 1948', 'Oct 5 02:00:00 1947', 'Apr 4 01:59:59 1948');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 4 01:00:00 1948', 'Oct 3 00:59:59 1948', 'Apr 4 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 3 01:00:00 1948', 'Apr 10 00:59:59 1949', 'Oct 3 02:00:00 1948', 'Apr 10 01:59:59 1949');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 10 01:00:00 1949', 'Oct 2 00:59:59 1949', 'Apr 10 03:00:00 1949', 'Oct 2 02:59:59 1949');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 2 01:00:00 1949', 'Apr 17 00:59:59 1950', 'Oct 2 02:00:00 1949', 'Apr 17 01:59:59 1950');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 17 01:00:00 1950', 'Oct 23 00:59:59 1950', 'Apr 17 03:00:00 1950', 'Oct 23 02:59:59 1950');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 23 01:00:00 1950', 'May 22 22:59:59 1954', 'Oct 23 02:00:00 1950', 'May 22 23:59:59 1954');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'May 22 23:00:00 1954', 'Oct 2 21:59:59 1954', 'May 23 01:00:00 1954', 'Oct 2 23:59:59 1954');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 2 22:00:00 1954', 'May 22 22:59:59 1955', 'Oct 2 23:00:00 1954', 'May 22 23:59:59 1955');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'May 22 23:00:00 1955', 'Oct 2 21:59:59 1955', 'May 23 01:00:00 1955', 'Oct 2 23:59:59 1955');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 2 22:00:00 1955', 'Jun 2 22:59:59 1956', 'Oct 2 23:00:00 1955', 'Jun 2 23:59:59 1956');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Jun 2 23:00:00 1956', 'Sep 29 21:59:59 1956', 'Jun 3 01:00:00 1956', 'Sep 29 23:59:59 1956');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 29 22:00:00 1956', 'Jun 1 23:59:59 1957', 'Sep 29 23:00:00 1956', 'Jun 2 00:59:59 1957');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Jun 2 00:00:00 1957', 'Sep 29 00:59:59 1957', 'Jun 2 02:00:00 1957', 'Sep 29 02:59:59 1957');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 29 01:00:00 1957', 'Apr 5 23:59:59 1980', 'Sep 29 02:00:00 1957', 'Apr 6 00:59:59 1980');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Apr 6 00:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 02:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Budapest', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Budapest', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Chisinau
--

begin
timezone.add_rule('Europe/Chisinau', 'EET', 0, 6920, 'Dec 14 20:45:52 1901', 'May 1 22:04:39 1924', 'Dec 14 22:41:12 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'May 1 22:04:40 1924', 'Jun 20 21:59:59 1930', 'May 2 00:04:40 1924', 'Jun 20 23:59:59 1930');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Jun 20 22:00:00 1930', 'Mar 31 20:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 23 23:00:00 1989', 'Mar 24 22:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 14400, 'Mar 24 23:00:00 1990', 'Sep 29 22:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 10800, 'Sep 29 23:00:00 1990', 'Mar 30 22:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 30 23:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Sep 29 00:00:00 1991', 'Mar 28 21:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 28 22:00:00 1992', 'Sep 26 20:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Sep 26 21:00:00 1992', 'Mar 27 21:59:59 1993', 'Sep 26 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 27 22:00:00 1993', 'Sep 25 20:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Sep 25 21:00:00 1993', 'Mar 26 21:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 26 22:00:00 1994', 'Sep 24 20:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Sep 24 21:00:00 1994', 'Mar 25 21:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 25 22:00:00 1995', 'Sep 23 20:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Sep 23 21:00:00 1995', 'Mar 30 21:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 30 22:00:00 1996', 'Oct 26 20:59:59 1996', 'Mar 31 01:00:00 1996', 'Oct 26 23:59:59 1996');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 26 21:00:00 1996', 'Mar 29 21:59:59 1997', 'Oct 26 23:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 29 22:00:00 1997', 'Oct 25 20:59:59 1997', 'Mar 30 01:00:00 1997', 'Oct 25 23:59:59 1997');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 25 21:00:00 1997', 'Mar 28 21:59:59 1998', 'Oct 25 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 28 22:00:00 1998', 'Oct 24 20:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 24 23:59:59 1998');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 24 21:00:00 1998', 'Mar 27 21:59:59 1999', 'Oct 24 23:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 27 22:00:00 1999', 'Oct 30 20:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 30 23:59:59 1999');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 30 21:00:00 1999', 'Mar 25 21:59:59 2000', 'Oct 30 23:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 25 22:00:00 2000', 'Oct 28 20:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 28 23:59:59 2000');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 28 21:00:00 2000', 'Mar 24 21:59:59 2001', 'Oct 28 23:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 24 22:00:00 2001', 'Oct 27 20:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 27 23:59:59 2001');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 27 21:00:00 2001', 'Mar 30 21:59:59 2002', 'Oct 27 23:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 30 22:00:00 2002', 'Oct 26 20:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 26 23:59:59 2002');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 26 21:00:00 2002', 'Mar 29 21:59:59 2003', 'Oct 26 23:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 29 22:00:00 2003', 'Oct 25 20:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 25 23:59:59 2003');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 25 21:00:00 2003', 'Mar 27 21:59:59 2004', 'Oct 25 23:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 27 22:00:00 2004', 'Oct 30 20:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 30 23:59:59 2004');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 30 21:00:00 2004', 'Mar 26 21:59:59 2005', 'Oct 30 23:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 26 22:00:00 2005', 'Oct 29 20:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 29 23:59:59 2005');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 29 21:00:00 2005', 'Mar 25 21:59:59 2006', 'Oct 29 23:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 25 22:00:00 2006', 'Oct 28 20:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 28 23:59:59 2006');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 28 21:00:00 2006', 'Mar 24 21:59:59 2007', 'Oct 28 23:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 24 22:00:00 2007', 'Oct 27 20:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 27 23:59:59 2007');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 27 21:00:00 2007', 'Mar 29 21:59:59 2008', 'Oct 27 23:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 29 22:00:00 2008', 'Oct 25 20:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 25 23:59:59 2008');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 25 21:00:00 2008', 'Mar 28 21:59:59 2009', 'Oct 25 23:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 28 22:00:00 2009', 'Oct 24 20:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 24 23:59:59 2009');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 24 21:00:00 2009', 'Mar 27 21:59:59 2010', 'Oct 24 23:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 27 22:00:00 2010', 'Oct 30 20:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 30 23:59:59 2010');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 30 21:00:00 2010', 'Mar 26 21:59:59 2011', 'Oct 30 23:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 26 22:00:00 2011', 'Oct 29 20:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 29 23:59:59 2011');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 29 21:00:00 2011', 'Mar 24 21:59:59 2012', 'Oct 29 23:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 24 22:00:00 2012', 'Oct 27 20:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 27 23:59:59 2012');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 27 21:00:00 2012', 'Mar 30 21:59:59 2013', 'Oct 27 23:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 30 22:00:00 2013', 'Oct 26 20:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 26 23:59:59 2013');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 26 21:00:00 2013', 'Mar 29 21:59:59 2014', 'Oct 26 23:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 29 22:00:00 2014', 'Oct 25 20:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 25 23:59:59 2014');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 25 21:00:00 2014', 'Mar 28 21:59:59 2015', 'Oct 25 23:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 28 22:00:00 2015', 'Oct 24 20:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 24 23:59:59 2015');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 24 21:00:00 2015', 'Mar 26 21:59:59 2016', 'Oct 24 23:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 26 22:00:00 2016', 'Oct 29 20:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 29 23:59:59 2016');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 29 21:00:00 2016', 'Mar 25 21:59:59 2017', 'Oct 29 23:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 25 22:00:00 2017', 'Oct 28 20:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 28 23:59:59 2017');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 28 21:00:00 2017', 'Mar 24 21:59:59 2018', 'Oct 28 23:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 24 22:00:00 2018', 'Oct 27 20:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 27 23:59:59 2018');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 27 21:00:00 2018', 'Mar 30 21:59:59 2019', 'Oct 27 23:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 30 22:00:00 2019', 'Oct 26 20:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 26 23:59:59 2019');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 26 21:00:00 2019', 'Mar 28 21:59:59 2020', 'Oct 26 23:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 28 22:00:00 2020', 'Oct 24 20:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 24 23:59:59 2020');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 24 21:00:00 2020', 'Mar 27 21:59:59 2021', 'Oct 24 23:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 27 22:00:00 2021', 'Oct 30 20:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 30 23:59:59 2021');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 30 21:00:00 2021', 'Mar 26 21:59:59 2022', 'Oct 30 23:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 26 22:00:00 2022', 'Oct 29 20:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 29 23:59:59 2022');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 29 21:00:00 2022', 'Mar 25 21:59:59 2023', 'Oct 29 23:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 25 22:00:00 2023', 'Oct 28 20:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 28 23:59:59 2023');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 28 21:00:00 2023', 'Mar 30 21:59:59 2024', 'Oct 28 23:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 30 22:00:00 2024', 'Oct 26 20:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 26 23:59:59 2024');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 26 21:00:00 2024', 'Mar 29 21:59:59 2025', 'Oct 26 23:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 29 22:00:00 2025', 'Oct 25 20:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 25 23:59:59 2025');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 25 21:00:00 2025', 'Mar 28 21:59:59 2026', 'Oct 25 23:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 28 22:00:00 2026', 'Oct 24 20:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 24 23:59:59 2026');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 24 21:00:00 2026', 'Mar 27 21:59:59 2027', 'Oct 24 23:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 27 22:00:00 2027', 'Oct 30 20:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 30 23:59:59 2027');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 30 21:00:00 2027', 'Mar 25 21:59:59 2028', 'Oct 30 23:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 25 22:00:00 2028', 'Oct 28 20:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 28 23:59:59 2028');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 28 21:00:00 2028', 'Mar 24 21:59:59 2029', 'Oct 28 23:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 24 22:00:00 2029', 'Oct 27 20:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 27 23:59:59 2029');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 27 21:00:00 2029', 'Mar 30 21:59:59 2030', 'Oct 27 23:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 30 22:00:00 2030', 'Oct 26 20:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 26 23:59:59 2030');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 26 21:00:00 2030', 'Mar 29 21:59:59 2031', 'Oct 26 23:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 29 22:00:00 2031', 'Oct 25 20:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 25 23:59:59 2031');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 25 21:00:00 2031', 'Mar 27 21:59:59 2032', 'Oct 25 23:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 27 22:00:00 2032', 'Oct 30 20:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 30 23:59:59 2032');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 30 21:00:00 2032', 'Mar 26 21:59:59 2033', 'Oct 30 23:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 26 22:00:00 2033', 'Oct 29 20:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 29 23:59:59 2033');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 29 21:00:00 2033', 'Mar 25 21:59:59 2034', 'Oct 29 23:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 25 22:00:00 2034', 'Oct 28 20:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 28 23:59:59 2034');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 28 21:00:00 2034', 'Mar 24 21:59:59 2035', 'Oct 28 23:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 24 22:00:00 2035', 'Oct 27 20:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 27 23:59:59 2035');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 27 21:00:00 2035', 'Mar 29 21:59:59 2036', 'Oct 27 23:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 29 22:00:00 2036', 'Oct 25 20:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 25 23:59:59 2036');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 25 21:00:00 2036', 'Mar 28 21:59:59 2037', 'Oct 25 23:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Europe/Chisinau', 'EEST', 1, 10800, 'Mar 28 22:00:00 2037', 'Oct 24 20:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 24 23:59:59 2037');
timezone.add_rule('Europe/Chisinau', 'EET', 0, 7200, 'Oct 24 21:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 24 23:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Copenhagen
--

begin
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'May 14 21:59:59 1916', 'Dec 14 21:45:52 1901', 'May 14 22:59:59 1916');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'May 14 22:00:00 1916', 'Sep 30 20:59:59 1916', 'May 15 00:00:00 1916', 'Sep 30 22:59:59 1916');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 30 21:00:00 1916', 'May 14 22:59:59 1940', 'Sep 30 22:00:00 1916', 'May 14 23:59:59 1940');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'May 14 23:00:00 1940', 'Nov 2 00:59:59 1942', 'May 15 01:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 2 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Aug 15 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Aug 15 02:59:59 1945');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Aug 15 01:00:00 1945', 'May 1 00:59:59 1946', 'Aug 15 02:00:00 1945', 'May 1 01:59:59 1946');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'May 1 01:00:00 1946', 'Sep 1 00:59:59 1946', 'May 1 03:00:00 1946', 'Sep 1 02:59:59 1946');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 1 01:00:00 1946', 'May 4 00:59:59 1947', 'Sep 1 02:00:00 1946', 'May 4 01:59:59 1947');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'May 4 01:00:00 1947', 'Aug 10 00:59:59 1947', 'May 4 03:00:00 1947', 'Aug 10 02:59:59 1947');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Aug 10 01:00:00 1947', 'May 9 00:59:59 1948', 'Aug 10 02:00:00 1947', 'May 9 01:59:59 1948');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'May 9 01:00:00 1948', 'Aug 8 00:59:59 1948', 'May 9 03:00:00 1948', 'Aug 8 02:59:59 1948');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Aug 8 01:00:00 1948', 'Apr 6 00:59:59 1980', 'Aug 8 02:00:00 1948', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Copenhagen', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Copenhagen', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Dublin
--

begin
timezone.add_rule('Europe/Dublin', 'GMT', 0, -1521, 'Dec 14 20:45:52 1901', 'May 21 02:25:20 1916', 'Dec 14 20:20:31 1901', 'May 21 01:59:59 1916');
timezone.add_rule('Europe/Dublin', 'IST', 1, 2079, 'May 21 02:25:21 1916', 'Oct 1 02:25:20 1916', 'May 21 03:00:00 1916', 'Oct 1 02:59:59 1916');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 1 02:25:21 1916', 'Apr 8 01:59:59 1917', 'Oct 1 02:25:21 1916', 'Apr 8 01:59:59 1917');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 8 02:00:00 1917', 'Sep 17 01:59:59 1917', 'Apr 8 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918', 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 24 02:00:00 1918', 'Sep 30 01:59:59 1918', 'Mar 24 03:00:00 1918', 'Sep 30 02:59:59 1918');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919', 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 30 02:00:00 1919', 'Sep 29 01:59:59 1919', 'Mar 30 03:00:00 1919', 'Sep 29 02:59:59 1919');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920', 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 28 02:00:00 1920', 'Oct 25 01:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 25 02:59:59 1920');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921', 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 3 02:00:00 1921', 'Oct 3 01:59:59 1921', 'Apr 3 03:00:00 1921', 'Oct 3 02:59:59 1921');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922', 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 02:00:00 1922', 'Oct 8 01:59:59 1922', 'Mar 26 03:00:00 1922', 'Oct 8 02:59:59 1922');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923', 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 22 02:00:00 1923', 'Sep 16 01:59:59 1923', 'Apr 22 03:00:00 1923', 'Sep 16 02:59:59 1923');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924', 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 13 02:00:00 1924', 'Sep 21 01:59:59 1924', 'Apr 13 03:00:00 1924', 'Sep 21 02:59:59 1924');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925', 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 19 02:00:00 1925', 'Oct 4 01:59:59 1925', 'Apr 19 03:00:00 1925', 'Oct 4 02:59:59 1925');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926', 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 18 02:00:00 1926', 'Oct 3 01:59:59 1926', 'Apr 18 03:00:00 1926', 'Oct 3 02:59:59 1926');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927', 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 10 02:00:00 1927', 'Oct 2 01:59:59 1927', 'Apr 10 03:00:00 1927', 'Oct 2 02:59:59 1927');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928', 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 22 02:00:00 1928', 'Oct 7 01:59:59 1928', 'Apr 22 03:00:00 1928', 'Oct 7 02:59:59 1928');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929', 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 21 02:00:00 1929', 'Oct 6 01:59:59 1929', 'Apr 21 03:00:00 1929', 'Oct 6 02:59:59 1929');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930', 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 13 02:00:00 1930', 'Oct 5 01:59:59 1930', 'Apr 13 03:00:00 1930', 'Oct 5 02:59:59 1930');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931', 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 19 02:00:00 1931', 'Oct 4 01:59:59 1931', 'Apr 19 03:00:00 1931', 'Oct 4 02:59:59 1931');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932', 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 17 02:00:00 1932', 'Oct 2 01:59:59 1932', 'Apr 17 03:00:00 1932', 'Oct 2 02:59:59 1932');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933', 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 9 02:00:00 1933', 'Oct 8 01:59:59 1933', 'Apr 9 03:00:00 1933', 'Oct 8 02:59:59 1933');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934', 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 22 02:00:00 1934', 'Oct 7 01:59:59 1934', 'Apr 22 03:00:00 1934', 'Oct 7 02:59:59 1934');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935', 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 14 02:00:00 1935', 'Oct 6 01:59:59 1935', 'Apr 14 03:00:00 1935', 'Oct 6 02:59:59 1935');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936', 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 19 02:00:00 1936', 'Oct 4 01:59:59 1936', 'Apr 19 03:00:00 1936', 'Oct 4 02:59:59 1936');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937', 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 18 02:00:00 1937', 'Oct 3 01:59:59 1937', 'Apr 18 03:00:00 1937', 'Oct 3 02:59:59 1937');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938', 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 10 02:00:00 1938', 'Oct 2 01:59:59 1938', 'Apr 10 03:00:00 1938', 'Oct 2 02:59:59 1938');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939', 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 16 02:00:00 1939', 'Nov 19 01:59:59 1939', 'Apr 16 03:00:00 1939', 'Nov 19 02:59:59 1939');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Feb 25 02:00:00 1940', 'Oct 6 00:59:59 1946', 'Feb 25 03:00:00 1940', 'Oct 6 01:59:59 1946');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 6 01:00:00 1946', 'Mar 16 01:59:59 1947', 'Oct 6 01:00:00 1946', 'Mar 16 01:59:59 1947');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 16 02:00:00 1947', 'Nov 2 00:59:59 1947', 'Mar 16 03:00:00 1947', 'Nov 2 01:59:59 1947');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Nov 2 01:00:00 1947', 'Apr 18 01:59:59 1948', 'Nov 2 01:00:00 1947', 'Apr 18 01:59:59 1948');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 18 02:00:00 1948', 'Oct 31 01:59:59 1948', 'Apr 18 03:00:00 1948', 'Oct 31 02:59:59 1948');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 30 02:59:59 1949');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950', 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 16 02:00:00 1950', 'Oct 22 01:59:59 1950', 'Apr 16 03:00:00 1950', 'Oct 22 02:59:59 1950');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951', 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 15 02:00:00 1951', 'Oct 21 01:59:59 1951', 'Apr 15 03:00:00 1951', 'Oct 21 02:59:59 1951');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952', 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 20 02:00:00 1952', 'Oct 26 01:59:59 1952', 'Apr 20 03:00:00 1952', 'Oct 26 02:59:59 1952');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953', 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 19 02:00:00 1953', 'Oct 4 01:59:59 1953', 'Apr 19 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 11 02:00:00 1954', 'Oct 3 01:59:59 1954', 'Apr 11 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 17 02:00:00 1955', 'Oct 2 01:59:59 1955', 'Apr 17 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 22 02:00:00 1956', 'Oct 7 01:59:59 1956', 'Apr 22 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 14 02:00:00 1957', 'Oct 6 01:59:59 1957', 'Apr 14 03:00:00 1957', 'Oct 6 02:59:59 1957');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958', 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 20 02:00:00 1958', 'Oct 5 01:59:59 1958', 'Apr 20 03:00:00 1958', 'Oct 5 02:59:59 1958');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959', 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 19 02:00:00 1959', 'Oct 4 01:59:59 1959', 'Apr 19 03:00:00 1959', 'Oct 4 02:59:59 1959');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960', 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Apr 10 02:00:00 1960', 'Oct 2 01:59:59 1960', 'Apr 10 03:00:00 1960', 'Oct 2 02:59:59 1960');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961', 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 02:00:00 1961', 'Oct 29 01:59:59 1961', 'Mar 26 03:00:00 1961', 'Oct 29 02:59:59 1961');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962', 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 25 02:00:00 1962', 'Oct 28 01:59:59 1962', 'Mar 25 03:00:00 1962', 'Oct 28 02:59:59 1962');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963', 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 31 02:00:00 1963', 'Oct 27 01:59:59 1963', 'Mar 31 03:00:00 1963', 'Oct 27 02:59:59 1963');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964', 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 22 02:00:00 1964', 'Oct 25 01:59:59 1964', 'Mar 22 03:00:00 1964', 'Oct 25 02:59:59 1964');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965', 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 21 02:00:00 1965', 'Oct 24 01:59:59 1965', 'Mar 21 03:00:00 1965', 'Oct 24 02:59:59 1965');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966', 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 20 02:00:00 1966', 'Oct 23 01:59:59 1966', 'Mar 20 03:00:00 1966', 'Oct 23 02:59:59 1966');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967', 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 19 02:00:00 1967', 'Oct 29 01:59:59 1967', 'Mar 19 03:00:00 1967', 'Oct 29 02:59:59 1967');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968', 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Feb 18 02:00:00 1968', 'Oct 26 22:59:59 1968', 'Feb 18 03:00:00 1968', 'Oct 26 23:59:59 1968');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 3600, 'Oct 26 23:00:00 1968', 'Oct 31 01:59:59 1971', 'Oct 27 00:00:00 1968', 'Oct 31 02:59:59 1971');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972', 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 19 02:00:00 1972', 'Oct 29 01:59:59 1972', 'Mar 19 03:00:00 1972', 'Oct 29 02:59:59 1972');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973', 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 18 02:00:00 1973', 'Oct 28 01:59:59 1973', 'Mar 18 03:00:00 1973', 'Oct 28 02:59:59 1973');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974', 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 17 02:00:00 1974', 'Oct 27 01:59:59 1974', 'Mar 17 03:00:00 1974', 'Oct 27 02:59:59 1974');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975', 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 16 02:00:00 1975', 'Oct 26 01:59:59 1975', 'Mar 16 03:00:00 1975', 'Oct 26 02:59:59 1975');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976', 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 21 02:00:00 1976', 'Oct 24 01:59:59 1976', 'Mar 21 03:00:00 1976', 'Oct 24 02:59:59 1976');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977', 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 20 02:00:00 1977', 'Oct 23 01:59:59 1977', 'Mar 20 03:00:00 1977', 'Oct 23 02:59:59 1977');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978', 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 19 02:00:00 1978', 'Oct 29 01:59:59 1978', 'Mar 19 03:00:00 1978', 'Oct 29 02:59:59 1978');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979', 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 18 02:00:00 1979', 'Oct 28 01:59:59 1979', 'Mar 18 03:00:00 1979', 'Oct 28 02:59:59 1979');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980', 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 16 02:00:00 1980', 'Oct 26 01:59:59 1980', 'Mar 16 03:00:00 1980', 'Oct 26 02:59:59 1980');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981', 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 29 01:00:00 1981', 'Oct 25 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 28 01:00:00 1982', 'Oct 24 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Oct 24 01:59:59 1982');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 27 01:00:00 1983', 'Oct 23 00:59:59 1983', 'Mar 27 02:00:00 1983', 'Oct 23 01:59:59 1983');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 25 01:00:00 1984', 'Oct 28 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 31 01:00:00 1985', 'Oct 27 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 30 01:00:00 1986', 'Oct 26 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 29 01:00:00 1987', 'Oct 25 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 27 01:00:00 1988', 'Oct 23 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Oct 23 01:59:59 1988');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 01:00:00 1989', 'Oct 29 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 25 01:00:00 1990', 'Oct 28 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 31 01:00:00 1991', 'Oct 27 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 29 01:00:00 1992', 'Oct 25 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 28 01:00:00 1993', 'Oct 24 00:59:59 1993', 'Mar 28 02:00:00 1993', 'Oct 24 01:59:59 1993');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 27 01:00:00 1994', 'Oct 23 00:59:59 1994', 'Mar 27 02:00:00 1994', 'Oct 23 01:59:59 1994');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 01:00:00 1995', 'Oct 22 00:59:59 1995', 'Mar 26 02:00:00 1995', 'Oct 22 01:59:59 1995');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Europe/Dublin', 'IST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Europe/Dublin', 'GMT', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- Europe/Gibraltar
--

begin
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Dec 14 20:45:52 1901', 'May 21 01:59:59 1916', 'Dec 14 20:45:52 1901', 'May 21 01:59:59 1916');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'May 21 02:00:00 1916', 'Oct 1 01:59:59 1916', 'May 21 03:00:00 1916', 'Oct 1 02:59:59 1916');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 1 02:00:00 1916', 'Apr 8 01:59:59 1917', 'Oct 1 02:00:00 1916', 'Apr 8 01:59:59 1917');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 8 02:00:00 1917', 'Sep 17 01:59:59 1917', 'Apr 8 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918', 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Mar 24 02:00:00 1918', 'Sep 30 01:59:59 1918', 'Mar 24 03:00:00 1918', 'Sep 30 02:59:59 1918');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919', 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Mar 30 02:00:00 1919', 'Sep 29 01:59:59 1919', 'Mar 30 03:00:00 1919', 'Sep 29 02:59:59 1919');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920', 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Mar 28 02:00:00 1920', 'Oct 25 01:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 25 02:59:59 1920');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921', 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 3 02:00:00 1921', 'Oct 3 01:59:59 1921', 'Apr 3 03:00:00 1921', 'Oct 3 02:59:59 1921');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922', 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Mar 26 02:00:00 1922', 'Oct 8 01:59:59 1922', 'Mar 26 03:00:00 1922', 'Oct 8 02:59:59 1922');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923', 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 22 02:00:00 1923', 'Sep 16 01:59:59 1923', 'Apr 22 03:00:00 1923', 'Sep 16 02:59:59 1923');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924', 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 13 02:00:00 1924', 'Sep 21 01:59:59 1924', 'Apr 13 03:00:00 1924', 'Sep 21 02:59:59 1924');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925', 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 19 02:00:00 1925', 'Oct 4 01:59:59 1925', 'Apr 19 03:00:00 1925', 'Oct 4 02:59:59 1925');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926', 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 18 02:00:00 1926', 'Oct 3 01:59:59 1926', 'Apr 18 03:00:00 1926', 'Oct 3 02:59:59 1926');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927', 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 10 02:00:00 1927', 'Oct 2 01:59:59 1927', 'Apr 10 03:00:00 1927', 'Oct 2 02:59:59 1927');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928', 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 22 02:00:00 1928', 'Oct 7 01:59:59 1928', 'Apr 22 03:00:00 1928', 'Oct 7 02:59:59 1928');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929', 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 21 02:00:00 1929', 'Oct 6 01:59:59 1929', 'Apr 21 03:00:00 1929', 'Oct 6 02:59:59 1929');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930', 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 13 02:00:00 1930', 'Oct 5 01:59:59 1930', 'Apr 13 03:00:00 1930', 'Oct 5 02:59:59 1930');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931', 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 19 02:00:00 1931', 'Oct 4 01:59:59 1931', 'Apr 19 03:00:00 1931', 'Oct 4 02:59:59 1931');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932', 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 17 02:00:00 1932', 'Oct 2 01:59:59 1932', 'Apr 17 03:00:00 1932', 'Oct 2 02:59:59 1932');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933', 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 9 02:00:00 1933', 'Oct 8 01:59:59 1933', 'Apr 9 03:00:00 1933', 'Oct 8 02:59:59 1933');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934', 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 22 02:00:00 1934', 'Oct 7 01:59:59 1934', 'Apr 22 03:00:00 1934', 'Oct 7 02:59:59 1934');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935', 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 14 02:00:00 1935', 'Oct 6 01:59:59 1935', 'Apr 14 03:00:00 1935', 'Oct 6 02:59:59 1935');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936', 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 19 02:00:00 1936', 'Oct 4 01:59:59 1936', 'Apr 19 03:00:00 1936', 'Oct 4 02:59:59 1936');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937', 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 18 02:00:00 1937', 'Oct 3 01:59:59 1937', 'Apr 18 03:00:00 1937', 'Oct 3 02:59:59 1937');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938', 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 10 02:00:00 1938', 'Oct 2 01:59:59 1938', 'Apr 10 03:00:00 1938', 'Oct 2 02:59:59 1938');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939', 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 16 02:00:00 1939', 'Nov 19 01:59:59 1939', 'Apr 16 03:00:00 1939', 'Nov 19 02:59:59 1939');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Feb 25 02:00:00 1940', 'May 4 00:59:59 1941', 'Feb 25 03:00:00 1940', 'May 4 01:59:59 1941');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'May 4 01:00:00 1941', 'Aug 10 00:59:59 1941', 'May 4 03:00:00 1941', 'Aug 10 02:59:59 1941');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Aug 10 01:00:00 1941', 'Apr 5 00:59:59 1942', 'Aug 10 02:00:00 1941', 'Apr 5 01:59:59 1942');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Apr 5 01:00:00 1942', 'Aug 9 00:59:59 1942', 'Apr 5 03:00:00 1942', 'Aug 9 02:59:59 1942');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Aug 9 01:00:00 1942', 'Apr 4 00:59:59 1943', 'Aug 9 02:00:00 1942', 'Apr 4 01:59:59 1943');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Apr 4 01:00:00 1943', 'Aug 15 00:59:59 1943', 'Apr 4 03:00:00 1943', 'Aug 15 02:59:59 1943');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Aug 15 01:00:00 1943', 'Apr 2 00:59:59 1944', 'Aug 15 02:00:00 1943', 'Apr 2 01:59:59 1944');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Apr 2 01:00:00 1944', 'Sep 17 00:59:59 1944', 'Apr 2 03:00:00 1944', 'Sep 17 02:59:59 1944');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Sep 17 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Sep 17 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Jul 15 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Jul 15 02:59:59 1945');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Jul 15 01:00:00 1945', 'Oct 7 01:59:59 1945', 'Jul 15 02:00:00 1945', 'Oct 7 02:59:59 1945');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 7 02:00:00 1945', 'Apr 14 01:59:59 1946', 'Oct 7 02:00:00 1945', 'Apr 14 01:59:59 1946');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 14 02:00:00 1946', 'Oct 6 01:59:59 1946', 'Apr 14 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 6 02:00:00 1946', 'Mar 16 01:59:59 1947', 'Oct 6 02:00:00 1946', 'Mar 16 01:59:59 1947');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Mar 16 02:00:00 1947', 'Apr 13 00:59:59 1947', 'Mar 16 03:00:00 1947', 'Apr 13 01:59:59 1947');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Apr 13 01:00:00 1947', 'Aug 10 00:59:59 1947', 'Apr 13 03:00:00 1947', 'Aug 10 02:59:59 1947');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Aug 10 01:00:00 1947', 'Nov 2 01:59:59 1947', 'Aug 10 02:00:00 1947', 'Nov 2 02:59:59 1947');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Nov 2 02:00:00 1947', 'Mar 14 01:59:59 1948', 'Nov 2 02:00:00 1947', 'Mar 14 01:59:59 1948');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Mar 14 02:00:00 1948', 'Oct 31 01:59:59 1948', 'Mar 14 03:00:00 1948', 'Oct 31 02:59:59 1948');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 30 02:59:59 1949');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950', 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 16 02:00:00 1950', 'Oct 22 01:59:59 1950', 'Apr 16 03:00:00 1950', 'Oct 22 02:59:59 1950');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951', 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 15 02:00:00 1951', 'Oct 21 01:59:59 1951', 'Apr 15 03:00:00 1951', 'Oct 21 02:59:59 1951');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952', 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 20 02:00:00 1952', 'Oct 26 01:59:59 1952', 'Apr 20 03:00:00 1952', 'Oct 26 02:59:59 1952');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953', 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 19 02:00:00 1953', 'Oct 4 01:59:59 1953', 'Apr 19 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 11 02:00:00 1954', 'Oct 3 01:59:59 1954', 'Apr 11 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 17 02:00:00 1955', 'Oct 2 01:59:59 1955', 'Apr 17 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 3600, 'Apr 22 02:00:00 1956', 'Oct 7 01:59:59 1956', 'Apr 22 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 0, 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Apr 14 02:00:00 1957', 'Mar 28 00:59:59 1982', 'Apr 14 03:00:00 1957', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Gibraltar', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Gibraltar', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Helsinki
--

begin
timezone.add_rule('Europe/Helsinki', 'EET', 0, 5992, 'Dec 14 20:45:52 1901', 'Apr 30 22:20:07 1921', 'Dec 14 22:25:44 1901', 'Apr 30 23:59:59 1921');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Apr 30 22:20:08 1921', 'Apr 2 21:59:59 1942', 'May 1 00:20:08 1921', 'Apr 2 23:59:59 1942');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Apr 2 22:00:00 1942', 'Oct 2 20:59:59 1942', 'Apr 3 01:00:00 1942', 'Oct 2 23:59:59 1942');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 2 21:00:00 1942', 'Mar 29 00:59:59 1981', 'Oct 2 23:00:00 1942', 'Mar 29 02:59:59 1981');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 04:00:00 1981', 'Sep 27 03:59:59 1981');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 03:00:00 1981', 'Mar 28 02:59:59 1982');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 04:00:00 1982', 'Sep 26 03:59:59 1982');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 03:00:00 1982', 'Mar 27 02:59:59 1983');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 04:00:00 1983', 'Sep 25 03:59:59 1983');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 03:00:00 1983', 'Mar 25 02:59:59 1984');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 04:00:00 1984', 'Sep 30 03:59:59 1984');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 03:00:00 1984', 'Mar 31 02:59:59 1985');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 04:00:00 1985', 'Sep 29 03:59:59 1985');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 03:00:00 1985', 'Mar 30 02:59:59 1986');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 04:00:00 1986', 'Sep 28 03:59:59 1986');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 03:00:00 1986', 'Mar 29 02:59:59 1987');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 04:00:00 1987', 'Sep 27 03:59:59 1987');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 03:00:00 1987', 'Mar 27 02:59:59 1988');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 04:00:00 1988', 'Sep 25 03:59:59 1988');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 03:00:00 1988', 'Mar 26 02:59:59 1989');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 04:00:00 1989', 'Sep 24 03:59:59 1989');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 03:00:00 1989', 'Mar 25 02:59:59 1990');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 04:00:00 1990', 'Sep 30 03:59:59 1990');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 03:00:00 1990', 'Mar 31 02:59:59 1991');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 04:00:00 1991', 'Sep 29 03:59:59 1991');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 03:00:00 1991', 'Mar 29 02:59:59 1992');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 04:00:00 1992', 'Sep 27 03:59:59 1992');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 03:00:00 1992', 'Mar 28 02:59:59 1993');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 04:00:00 1993', 'Sep 26 03:59:59 1993');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 03:00:00 1993', 'Mar 27 02:59:59 1994');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 04:00:00 1994', 'Sep 25 03:59:59 1994');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 04:00:00 1995', 'Sep 24 03:59:59 1995');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 04:00:00 1996', 'Oct 27 03:59:59 1996');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 04:00:00 1997', 'Oct 26 03:59:59 1997');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 04:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Europe/Helsinki', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Europe/Helsinki', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Istanbul
--

begin
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7016, 'Dec 14 20:45:52 1901', 'Sep 30 22:03:03 1910', 'Dec 14 22:42:48 1901', 'Sep 30 23:59:59 1910');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 30 22:03:04 1910', 'Apr 30 21:59:59 1916', 'Oct 1 00:03:04 1910', 'Apr 30 23:59:59 1916');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 30 22:00:00 1916', 'Sep 30 20:59:59 1916', 'May 1 01:00:00 1916', 'Sep 30 23:59:59 1916');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1916', 'Mar 27 21:59:59 1920', 'Sep 30 23:00:00 1916', 'Mar 27 23:59:59 1920');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 27 22:00:00 1920', 'Oct 24 20:59:59 1920', 'Mar 28 01:00:00 1920', 'Oct 24 23:59:59 1920');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 24 21:00:00 1920', 'Apr 2 21:59:59 1921', 'Oct 24 23:00:00 1920', 'Apr 2 23:59:59 1921');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 2 22:00:00 1921', 'Oct 2 20:59:59 1921', 'Apr 3 01:00:00 1921', 'Oct 2 23:59:59 1921');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 2 21:00:00 1921', 'Mar 25 21:59:59 1922', 'Oct 2 23:00:00 1921', 'Mar 25 23:59:59 1922');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 25 22:00:00 1922', 'Oct 7 20:59:59 1922', 'Mar 26 01:00:00 1922', 'Oct 7 23:59:59 1922');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1922', 'May 12 21:59:59 1924', 'Oct 7 23:00:00 1922', 'May 12 23:59:59 1924');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'May 12 22:00:00 1924', 'Sep 30 20:59:59 1924', 'May 13 01:00:00 1924', 'Sep 30 23:59:59 1924');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1924', 'Apr 30 21:59:59 1925', 'Sep 30 23:00:00 1924', 'Apr 30 23:59:59 1925');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 30 22:00:00 1925', 'Sep 30 20:59:59 1925', 'May 1 01:00:00 1925', 'Sep 30 23:59:59 1925');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1925', 'Jun 29 21:59:59 1940', 'Sep 30 23:00:00 1925', 'Jun 29 23:59:59 1940');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Jun 29 22:00:00 1940', 'Oct 4 20:59:59 1940', 'Jun 30 01:00:00 1940', 'Oct 4 23:59:59 1940');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 4 21:00:00 1940', 'Nov 30 21:59:59 1940', 'Oct 4 23:00:00 1940', 'Nov 30 23:59:59 1940');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Nov 30 22:00:00 1940', 'Sep 20 20:59:59 1941', 'Dec 1 01:00:00 1940', 'Sep 20 23:59:59 1941');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 20 21:00:00 1941', 'Mar 31 21:59:59 1942', 'Sep 20 23:00:00 1941', 'Mar 31 23:59:59 1942');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 31 22:00:00 1942', 'Oct 31 20:59:59 1942', 'Apr 1 01:00:00 1942', 'Oct 31 23:59:59 1942');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 31 21:00:00 1942', 'Apr 1 21:59:59 1945', 'Oct 31 23:00:00 1942', 'Apr 1 23:59:59 1945');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 1 22:00:00 1945', 'Oct 7 20:59:59 1945', 'Apr 2 01:00:00 1945', 'Oct 7 23:59:59 1945');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1945', 'May 31 21:59:59 1946', 'Oct 7 23:00:00 1945', 'May 31 23:59:59 1946');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'May 31 22:00:00 1946', 'Sep 30 20:59:59 1946', 'Jun 1 01:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1946', 'Apr 19 21:59:59 1947', 'Sep 30 23:00:00 1946', 'Apr 19 23:59:59 1947');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 19 22:00:00 1947', 'Oct 4 20:59:59 1947', 'Apr 20 01:00:00 1947', 'Oct 4 23:59:59 1947');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 4 21:00:00 1947', 'Apr 17 21:59:59 1948', 'Oct 4 23:00:00 1947', 'Apr 17 23:59:59 1948');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 17 22:00:00 1948', 'Oct 2 20:59:59 1948', 'Apr 18 01:00:00 1948', 'Oct 2 23:59:59 1948');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 2 21:00:00 1948', 'Apr 9 21:59:59 1949', 'Oct 2 23:00:00 1948', 'Apr 9 23:59:59 1949');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 9 22:00:00 1949', 'Oct 1 20:59:59 1949', 'Apr 10 01:00:00 1949', 'Oct 1 23:59:59 1949');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 1 21:00:00 1949', 'Apr 18 21:59:59 1950', 'Oct 1 23:00:00 1949', 'Apr 18 23:59:59 1950');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 18 22:00:00 1950', 'Oct 7 20:59:59 1950', 'Apr 19 01:00:00 1950', 'Oct 7 23:59:59 1950');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1950', 'Apr 21 21:59:59 1951', 'Oct 7 23:00:00 1950', 'Apr 21 23:59:59 1951');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 21 22:00:00 1951', 'Oct 7 20:59:59 1951', 'Apr 22 01:00:00 1951', 'Oct 7 23:59:59 1951');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1951', 'Jul 14 21:59:59 1962', 'Oct 7 23:00:00 1951', 'Jul 14 23:59:59 1962');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Jul 14 22:00:00 1962', 'Oct 7 20:59:59 1962', 'Jul 15 01:00:00 1962', 'Oct 7 23:59:59 1962');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1962', 'May 14 21:59:59 1964', 'Oct 7 23:00:00 1962', 'May 14 23:59:59 1964');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'May 14 22:00:00 1964', 'Sep 30 20:59:59 1964', 'May 15 01:00:00 1964', 'Sep 30 23:59:59 1964');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 30 21:00:00 1964', 'May 2 21:59:59 1970', 'Sep 30 23:00:00 1964', 'May 2 23:59:59 1970');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'May 2 22:00:00 1970', 'Oct 3 20:59:59 1970', 'May 3 01:00:00 1970', 'Oct 3 23:59:59 1970');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 3 21:00:00 1970', 'May 1 21:59:59 1971', 'Oct 3 23:00:00 1970', 'May 1 23:59:59 1971');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'May 1 22:00:00 1971', 'Oct 2 20:59:59 1971', 'May 2 01:00:00 1971', 'Oct 2 23:59:59 1971');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 2 21:00:00 1971', 'May 6 21:59:59 1972', 'Oct 2 23:00:00 1971', 'May 6 23:59:59 1972');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'May 6 22:00:00 1972', 'Oct 7 20:59:59 1972', 'May 7 01:00:00 1972', 'Oct 7 23:59:59 1972');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 7 21:00:00 1972', 'Jun 2 22:59:59 1973', 'Oct 7 23:00:00 1972', 'Jun 3 00:59:59 1973');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Jun 2 23:00:00 1973', 'Nov 3 23:59:59 1973', 'Jun 3 02:00:00 1973', 'Nov 4 02:59:59 1973');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Nov 4 00:00:00 1973', 'Mar 30 23:59:59 1974', 'Nov 4 02:00:00 1973', 'Mar 31 01:59:59 1974');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 31 00:00:00 1974', 'Nov 3 01:59:59 1974', 'Mar 31 03:00:00 1974', 'Nov 3 04:59:59 1974');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Nov 3 02:00:00 1974', 'Mar 29 21:59:59 1975', 'Nov 3 04:00:00 1974', 'Mar 29 23:59:59 1975');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 29 22:00:00 1975', 'Oct 25 20:59:59 1975', 'Mar 30 01:00:00 1975', 'Oct 25 23:59:59 1975');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 25 21:00:00 1975', 'May 31 21:59:59 1976', 'Oct 25 23:00:00 1975', 'May 31 23:59:59 1976');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'May 31 22:00:00 1976', 'Oct 30 20:59:59 1976', 'Jun 1 01:00:00 1976', 'Oct 30 23:59:59 1976');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 30 21:00:00 1976', 'Apr 2 21:59:59 1977', 'Oct 30 23:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 2 22:00:00 1977', 'Oct 15 20:59:59 1977', 'Apr 3 01:00:00 1977', 'Oct 15 23:59:59 1977');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 15 21:00:00 1977', 'Apr 1 21:59:59 1978', 'Oct 15 23:00:00 1977', 'Apr 1 23:59:59 1978');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 1 22:00:00 1978', 'Oct 14 20:59:59 1978', 'Apr 2 01:00:00 1978', 'Oct 14 23:59:59 1978');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 14400, 'Oct 14 21:00:00 1978', 'Oct 14 19:59:59 1979', 'Oct 15 01:00:00 1978', 'Oct 14 23:59:59 1979');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 10800, 'Oct 14 20:00:00 1979', 'Apr 5 23:59:59 1980', 'Oct 14 23:00:00 1979', 'Apr 6 02:59:59 1980');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 14400, 'Apr 6 00:00:00 1980', 'Oct 12 19:59:59 1980', 'Apr 6 04:00:00 1980', 'Oct 12 23:59:59 1980');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 10800, 'Oct 12 20:00:00 1980', 'Mar 28 23:59:59 1981', 'Oct 12 23:00:00 1980', 'Mar 29 02:59:59 1981');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 14400, 'Mar 29 00:00:00 1981', 'Oct 11 19:59:59 1981', 'Mar 29 04:00:00 1981', 'Oct 11 23:59:59 1981');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 10800, 'Oct 11 20:00:00 1981', 'Mar 27 23:59:59 1982', 'Oct 11 23:00:00 1981', 'Mar 28 02:59:59 1982');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 14400, 'Mar 28 00:00:00 1982', 'Oct 10 19:59:59 1982', 'Mar 28 04:00:00 1982', 'Oct 10 23:59:59 1982');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 10800, 'Oct 10 20:00:00 1982', 'Jul 30 20:59:59 1983', 'Oct 10 23:00:00 1982', 'Jul 30 23:59:59 1983');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 14400, 'Jul 30 21:00:00 1983', 'Oct 1 19:59:59 1983', 'Jul 31 01:00:00 1983', 'Oct 1 23:59:59 1983');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 10800, 'Oct 1 20:00:00 1983', 'Apr 19 20:59:59 1985', 'Oct 1 23:00:00 1983', 'Apr 19 23:59:59 1985');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Apr 19 21:00:00 1985', 'Sep 27 20:59:59 1985', 'Apr 20 00:00:00 1985', 'Sep 27 23:59:59 1985');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 27 21:00:00 1985', 'Mar 29 23:59:59 1986', 'Sep 27 23:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 30 00:00:00 1986', 'Sep 27 23:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 28 00:00:00 1986', 'Mar 28 23:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 29 00:00:00 1987', 'Sep 26 23:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 27 00:00:00 1987', 'Mar 26 23:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 27 00:00:00 1988', 'Sep 24 23:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 25 00:00:00 1988', 'Mar 25 23:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 26 00:00:00 1989', 'Sep 23 23:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 25 00:00:00 1990', 'Sep 29 23:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 30 00:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 02:59:59 1991');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 04:00:00 1991', 'Sep 29 03:59:59 1991');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 03:00:00 1991', 'Mar 29 02:59:59 1992');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 04:00:00 1992', 'Sep 27 03:59:59 1992');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 03:00:00 1992', 'Mar 28 02:59:59 1993');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 04:00:00 1993', 'Sep 26 03:59:59 1993');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 03:00:00 1993', 'Mar 27 02:59:59 1994');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 04:00:00 1994', 'Sep 25 03:59:59 1994');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 04:00:00 1995', 'Sep 24 03:59:59 1995');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 04:00:00 1996', 'Oct 27 03:59:59 1996');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 04:00:00 1997', 'Oct 26 03:59:59 1997');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 04:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Europe/Istanbul', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Europe/Istanbul', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Kaliningrad
--

begin
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 30 21:59:59 1916', 'Dec 14 21:45:52 1901', 'Apr 30 22:59:59 1916');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 3600, 'Sep 16 01:00:00 1918', 'Apr 1 00:59:59 1940', 'Sep 16 02:00:00 1918', 'Apr 1 01:59:59 1940');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 7200, 'Apr 1 01:00:00 1940', 'Nov 2 00:59:59 1942', 'Apr 1 03:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 3600, 'Oct 2 01:00:00 1944', 'Dec 31 22:59:59 1944', 'Oct 2 02:00:00 1944', 'Dec 31 23:59:59 1944');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Dec 31 23:00:00 1944', 'Apr 28 21:59:59 1945', 'Jan 1 01:00:00 1945', 'Apr 28 23:59:59 1945');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Apr 28 22:00:00 1945', 'Oct 31 20:59:59 1945', 'Apr 29 01:00:00 1945', 'Oct 31 23:59:59 1945');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 31 21:00:00 1945', 'Dec 31 21:59:59 1945', 'Oct 31 23:00:00 1945', 'Dec 31 23:59:59 1945');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Dec 31 22:00:00 1945', 'Mar 31 20:59:59 1981', 'Jan 1 01:00:00 1946', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 23 23:00:00 1989', 'Mar 24 22:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 24 23:00:00 1990', 'Sep 29 22:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 29 23:00:00 1990', 'Mar 30 22:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 30 23:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Sep 29 00:00:00 1991', 'Jan 18 23:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Jan 19 00:00:00 1992', 'Mar 28 19:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 28 20:00:00 1992', 'Sep 26 18:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 26 19:00:00 1992', 'Mar 27 22:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 14400, 'Mar 27 23:00:00 1993', 'Sep 25 22:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 10800, 'Sep 25 23:00:00 1993', 'Dec 31 20:59:59 1993', 'Sep 26 02:00:00 1993', 'Dec 31 23:59:59 1993');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Dec 31 21:00:00 1993', 'Mar 26 23:59:59 1994', 'Dec 31 23:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 27 00:00:00 1994', 'Sep 24 23:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 26 00:00:00 1995', 'Sep 23 23:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Sep 24 00:00:00 1995', 'Mar 30 23:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 31 00:00:00 1996', 'Oct 26 23:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 27 00:00:00 1996', 'Mar 29 23:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 30 00:00:00 1997', 'Oct 25 23:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 26 00:00:00 1997', 'Mar 28 23:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 29 00:00:00 1998', 'Oct 24 23:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 25 00:00:00 1998', 'Mar 27 23:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 28 00:00:00 1999', 'Oct 30 23:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 31 00:00:00 1999', 'Mar 25 23:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 26 00:00:00 2000', 'Oct 28 23:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 29 00:00:00 2000', 'Mar 24 23:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 25 00:00:00 2001', 'Oct 27 23:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 28 00:00:00 2001', 'Mar 30 23:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 31 00:00:00 2002', 'Oct 26 23:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 27 00:00:00 2002', 'Mar 29 23:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 30 00:00:00 2003', 'Oct 25 23:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 26 00:00:00 2003', 'Mar 27 23:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 28 00:00:00 2004', 'Oct 30 23:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 31 00:00:00 2004', 'Mar 26 23:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 27 00:00:00 2005', 'Oct 29 23:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 30 00:00:00 2005', 'Mar 25 23:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 26 00:00:00 2006', 'Oct 28 23:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 29 00:00:00 2006', 'Mar 24 23:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 25 00:00:00 2007', 'Oct 27 23:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 28 00:00:00 2007', 'Mar 29 23:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 30 00:00:00 2008', 'Oct 25 23:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 26 00:00:00 2008', 'Mar 28 23:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 29 00:00:00 2009', 'Oct 24 23:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 25 00:00:00 2009', 'Mar 27 23:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 28 00:00:00 2010', 'Oct 30 23:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 31 00:00:00 2010', 'Mar 26 23:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 27 00:00:00 2011', 'Oct 29 23:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 30 00:00:00 2011', 'Mar 24 23:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 25 00:00:00 2012', 'Oct 27 23:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 28 00:00:00 2012', 'Mar 30 23:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 31 00:00:00 2013', 'Oct 26 23:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 27 00:00:00 2013', 'Mar 29 23:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 30 00:00:00 2014', 'Oct 25 23:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 26 00:00:00 2014', 'Mar 28 23:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 29 00:00:00 2015', 'Oct 24 23:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 25 00:00:00 2015', 'Mar 26 23:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 27 00:00:00 2016', 'Oct 29 23:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 30 00:00:00 2016', 'Mar 25 23:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 26 00:00:00 2017', 'Oct 28 23:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 29 00:00:00 2017', 'Mar 24 23:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 25 00:00:00 2018', 'Oct 27 23:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 28 00:00:00 2018', 'Mar 30 23:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 31 00:00:00 2019', 'Oct 26 23:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 27 00:00:00 2019', 'Mar 28 23:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 29 00:00:00 2020', 'Oct 24 23:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 25 00:00:00 2020', 'Mar 27 23:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 28 00:00:00 2021', 'Oct 30 23:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 31 00:00:00 2021', 'Mar 26 23:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 27 00:00:00 2022', 'Oct 29 23:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 30 00:00:00 2022', 'Mar 25 23:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 26 00:00:00 2023', 'Oct 28 23:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 29 00:00:00 2023', 'Mar 30 23:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 31 00:00:00 2024', 'Oct 26 23:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 27 00:00:00 2024', 'Mar 29 23:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 30 00:00:00 2025', 'Oct 25 23:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 26 00:00:00 2025', 'Mar 28 23:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 29 00:00:00 2026', 'Oct 24 23:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 25 00:00:00 2026', 'Mar 27 23:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 28 00:00:00 2027', 'Oct 30 23:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 31 00:00:00 2027', 'Mar 25 23:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 26 00:00:00 2028', 'Oct 28 23:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 29 00:00:00 2028', 'Mar 24 23:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 25 00:00:00 2029', 'Oct 27 23:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 28 00:00:00 2029', 'Mar 30 23:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 31 00:00:00 2030', 'Oct 26 23:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 27 00:00:00 2030', 'Mar 29 23:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 30 00:00:00 2031', 'Oct 25 23:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 26 00:00:00 2031', 'Mar 27 23:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 28 00:00:00 2032', 'Oct 30 23:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 31 00:00:00 2032', 'Mar 26 23:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 27 00:00:00 2033', 'Oct 29 23:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 30 00:00:00 2033', 'Mar 25 23:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 26 00:00:00 2034', 'Oct 28 23:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 29 00:00:00 2034', 'Mar 24 23:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 25 00:00:00 2035', 'Oct 27 23:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 28 00:00:00 2035', 'Mar 29 23:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 30 00:00:00 2036', 'Oct 25 23:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 26 00:00:00 2036', 'Mar 28 23:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Kaliningrad', 'EEST', 1, 10800, 'Mar 29 00:00:00 2037', 'Oct 24 23:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Kaliningrad', 'EET', 0, 7200, 'Oct 25 00:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Kiev
--

begin
timezone.add_rule('Europe/Kiev', 'EET', 0, 7324, 'Dec 14 20:45:52 1901', 'Jul 1 20:57:55 1917', 'Dec 14 22:47:56 1901', 'Jul 1 22:59:59 1917');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10924, 'Jul 1 20:57:56 1917', 'Dec 27 20:57:55 1917', 'Jul 2 00:00:00 1917', 'Dec 27 23:59:59 1917');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7324, 'Dec 27 20:57:56 1917', 'May 31 19:57:55 1918', 'Dec 27 23:00:00 1917', 'May 31 21:59:59 1918');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14524, 'May 31 19:57:56 1918', 'Sep 16 19:57:55 1918', 'Jun 1 00:00:00 1918', 'Sep 16 23:59:59 1918');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10924, 'Sep 16 19:57:56 1918', 'May 31 19:57:55 1919', 'Sep 16 23:00:00 1918', 'May 31 22:59:59 1919');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14524, 'May 31 19:57:56 1919', 'Jun 30 21:57:55 1919', 'Jun 1 00:00:00 1919', 'Jul 1 01:59:59 1919');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10924, 'Jun 30 21:57:56 1919', 'Aug 15 20:57:55 1919', 'Jul 1 01:00:00 1919', 'Aug 15 23:59:59 1919');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7324, 'Aug 15 20:57:56 1919', 'Feb 14 20:57:55 1921', 'Aug 15 23:00:00 1919', 'Feb 14 22:59:59 1921');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10924, 'Feb 14 20:57:56 1921', 'Mar 21 19:57:55 1921', 'Feb 15 00:00:00 1921', 'Mar 21 22:59:59 1921');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14524, 'Mar 21 19:57:56 1921', 'Aug 31 19:57:55 1921', 'Mar 22 00:00:00 1921', 'Aug 31 23:59:59 1921');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10924, 'Aug 31 19:57:56 1921', 'Sep 30 20:57:55 1921', 'Aug 31 23:00:00 1921', 'Sep 30 23:59:59 1921');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7324, 'Sep 30 20:57:56 1921', 'May 1 21:57:55 1924', 'Sep 30 23:00:00 1921', 'May 1 23:59:59 1924');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'May 1 21:57:56 1924', 'Jun 20 21:59:59 1930', 'May 1 23:57:56 1924', 'Jun 20 23:59:59 1930');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Jun 20 22:00:00 1930', 'Mar 31 20:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Kiev', 'EET', 0, 10800, 'Sep 23 23:00:00 1989', 'Mar 24 22:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 14400, 'Mar 24 23:00:00 1990', 'Jul 16 19:59:59 1990', 'Mar 25 03:00:00 1990', 'Jul 16 23:59:59 1990');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Jul 16 20:00:00 1990', 'Sep 29 20:59:59 1990', 'Jul 16 23:00:00 1990', 'Sep 29 23:59:59 1990');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Sep 29 21:00:00 1990', 'Mar 30 21:59:59 1991', 'Sep 29 23:00:00 1990', 'Mar 30 23:59:59 1991');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 30 22:00:00 1991', 'Sep 28 20:59:59 1991', 'Mar 31 01:00:00 1991', 'Sep 28 23:59:59 1991');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Sep 28 21:00:00 1991', 'Mar 28 21:59:59 1992', 'Sep 28 23:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 28 22:00:00 1992', 'Sep 26 20:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Sep 26 21:00:00 1992', 'Mar 27 21:59:59 1993', 'Sep 26 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 27 22:00:00 1993', 'Sep 25 20:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Sep 25 21:00:00 1993', 'Mar 26 21:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 26 22:00:00 1994', 'Sep 24 20:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Sep 24 21:00:00 1994', 'Mar 25 21:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 25 22:00:00 1995', 'Sep 23 20:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Sep 23 21:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 04:00:00 1996', 'Oct 27 03:59:59 1996');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 04:00:00 1997', 'Oct 26 03:59:59 1997');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 04:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Europe/Kiev', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Europe/Kiev', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Lisbon
--

begin
timezone.add_rule('Europe/Lisbon', 'WET', 0, -2192, 'Dec 14 20:45:52 1901', 'May 24 00:36:31 1911', 'Dec 14 20:09:20 1901', 'May 23 23:59:59 1911');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'May 24 00:36:32 1911', 'Jun 17 22:59:59 1916', 'May 24 00:36:32 1911', 'Jun 17 22:59:59 1916');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Jun 17 23:00:00 1916', 'Oct 31 23:59:59 1916', 'Jun 18 00:00:00 1916', 'Nov 1 00:59:59 1916');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Nov 1 00:00:00 1916', 'Feb 28 22:59:59 1917', 'Nov 1 00:00:00 1916', 'Feb 28 22:59:59 1917');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Feb 28 23:00:00 1917', 'Oct 14 22:59:59 1917', 'Mar 1 00:00:00 1917', 'Oct 14 23:59:59 1917');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 14 23:00:00 1917', 'Mar 1 22:59:59 1918', 'Oct 14 23:00:00 1917', 'Mar 1 22:59:59 1918');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 1 23:00:00 1918', 'Oct 14 22:59:59 1918', 'Mar 2 00:00:00 1918', 'Oct 14 23:59:59 1918');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 14 23:00:00 1918', 'Feb 28 22:59:59 1919', 'Oct 14 23:00:00 1918', 'Feb 28 22:59:59 1919');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Feb 28 23:00:00 1919', 'Oct 14 22:59:59 1919', 'Mar 1 00:00:00 1919', 'Oct 14 23:59:59 1919');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 14 23:00:00 1919', 'Feb 29 22:59:59 1920', 'Oct 14 23:00:00 1919', 'Feb 29 22:59:59 1920');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Feb 29 23:00:00 1920', 'Oct 14 22:59:59 1920', 'Mar 1 00:00:00 1920', 'Oct 14 23:59:59 1920');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 14 23:00:00 1920', 'Feb 28 22:59:59 1921', 'Oct 14 23:00:00 1920', 'Feb 28 22:59:59 1921');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Feb 28 23:00:00 1921', 'Oct 14 22:59:59 1921', 'Mar 1 00:00:00 1921', 'Oct 14 23:59:59 1921');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 14 23:00:00 1921', 'Apr 16 22:59:59 1924', 'Oct 14 23:00:00 1921', 'Apr 16 22:59:59 1924');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 16 23:00:00 1924', 'Oct 14 22:59:59 1924', 'Apr 17 00:00:00 1924', 'Oct 14 23:59:59 1924');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 14 23:00:00 1924', 'Apr 17 22:59:59 1926', 'Oct 14 23:00:00 1924', 'Apr 17 22:59:59 1926');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 17 23:00:00 1926', 'Oct 2 22:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927', 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 9 23:00:00 1927', 'Oct 1 22:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928', 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 14 23:00:00 1928', 'Oct 6 22:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 6 23:59:59 1928');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929', 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 20 23:00:00 1929', 'Oct 5 22:59:59 1929', 'Apr 21 00:00:00 1929', 'Oct 5 23:59:59 1929');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 5 23:00:00 1929', 'Apr 18 22:59:59 1931', 'Oct 5 23:00:00 1929', 'Apr 18 22:59:59 1931');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 18 23:00:00 1931', 'Oct 3 22:59:59 1931', 'Apr 19 00:00:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932', 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 2 23:00:00 1932', 'Oct 1 22:59:59 1932', 'Apr 3 00:00:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 1 23:00:00 1932', 'Apr 7 22:59:59 1934', 'Oct 1 23:00:00 1932', 'Apr 7 22:59:59 1934');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 7 23:00:00 1934', 'Oct 6 22:59:59 1934', 'Apr 8 00:00:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935', 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 23:00:00 1935', 'Oct 5 22:59:59 1935', 'Mar 31 00:00:00 1935', 'Oct 5 23:59:59 1935');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936', 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 18 23:00:00 1936', 'Oct 3 22:59:59 1936', 'Apr 19 00:00:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937', 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 3 23:00:00 1937', 'Oct 2 22:59:59 1937', 'Apr 4 00:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938', 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 26 23:00:00 1938', 'Oct 1 22:59:59 1938', 'Mar 27 00:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 15 23:00:00 1939', 'Nov 18 22:59:59 1939', 'Apr 16 00:00:00 1939', 'Nov 18 23:59:59 1939');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Nov 18 23:00:00 1939', 'Feb 24 22:59:59 1940', 'Nov 18 23:00:00 1939', 'Feb 24 22:59:59 1940');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Feb 24 23:00:00 1940', 'Oct 5 22:59:59 1940', 'Feb 25 00:00:00 1940', 'Oct 5 23:59:59 1940');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 5 23:00:00 1940', 'Apr 5 22:59:59 1941', 'Oct 5 23:00:00 1940', 'Apr 5 22:59:59 1941');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 5 23:00:00 1941', 'Oct 5 22:59:59 1941', 'Apr 6 00:00:00 1941', 'Oct 5 23:59:59 1941');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 5 23:00:00 1941', 'Mar 14 22:59:59 1942', 'Oct 5 23:00:00 1941', 'Mar 14 22:59:59 1942');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 14 23:00:00 1942', 'Apr 25 21:59:59 1942', 'Mar 15 00:00:00 1942', 'Apr 25 22:59:59 1942');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 7200, 'Apr 25 22:00:00 1942', 'Aug 15 21:59:59 1942', 'Apr 26 00:00:00 1942', 'Aug 15 23:59:59 1942');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Aug 15 22:00:00 1942', 'Oct 24 22:59:59 1942', 'Aug 15 23:00:00 1942', 'Oct 24 23:59:59 1942');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 24 23:00:00 1942', 'Mar 13 22:59:59 1943', 'Oct 24 23:00:00 1942', 'Mar 13 22:59:59 1943');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 13 23:00:00 1943', 'Apr 17 21:59:59 1943', 'Mar 14 00:00:00 1943', 'Apr 17 22:59:59 1943');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 7200, 'Apr 17 22:00:00 1943', 'Aug 28 21:59:59 1943', 'Apr 18 00:00:00 1943', 'Aug 28 23:59:59 1943');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Aug 28 22:00:00 1943', 'Oct 30 22:59:59 1943', 'Aug 28 23:00:00 1943', 'Oct 30 23:59:59 1943');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 30 23:00:00 1943', 'Mar 11 22:59:59 1944', 'Oct 30 23:00:00 1943', 'Mar 11 22:59:59 1944');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 11 23:00:00 1944', 'Apr 22 21:59:59 1944', 'Mar 12 00:00:00 1944', 'Apr 22 22:59:59 1944');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 7200, 'Apr 22 22:00:00 1944', 'Aug 26 21:59:59 1944', 'Apr 23 00:00:00 1944', 'Aug 26 23:59:59 1944');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Aug 26 22:00:00 1944', 'Oct 28 22:59:59 1944', 'Aug 26 23:00:00 1944', 'Oct 28 23:59:59 1944');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 28 23:00:00 1944', 'Mar 10 22:59:59 1945', 'Oct 28 23:00:00 1944', 'Mar 10 22:59:59 1945');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 10 23:00:00 1945', 'Apr 21 21:59:59 1945', 'Mar 11 00:00:00 1945', 'Apr 21 22:59:59 1945');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 7200, 'Apr 21 22:00:00 1945', 'Aug 25 21:59:59 1945', 'Apr 22 00:00:00 1945', 'Aug 25 23:59:59 1945');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Aug 25 22:00:00 1945', 'Oct 27 22:59:59 1945', 'Aug 25 23:00:00 1945', 'Oct 27 23:59:59 1945');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 27 23:00:00 1945', 'Apr 6 22:59:59 1946', 'Oct 27 23:00:00 1945', 'Apr 6 22:59:59 1946');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 6 23:00:00 1946', 'Oct 5 22:59:59 1946', 'Apr 7 00:00:00 1946', 'Oct 5 23:59:59 1946');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 5 23:00:00 1946', 'Apr 6 01:59:59 1947', 'Oct 5 23:00:00 1946', 'Apr 6 01:59:59 1947');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 6 02:00:00 1947', 'Oct 5 01:59:59 1947', 'Apr 6 03:00:00 1947', 'Oct 5 02:59:59 1947');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 5 02:00:00 1947', 'Apr 4 01:59:59 1948', 'Oct 5 02:00:00 1947', 'Apr 4 01:59:59 1948');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 4 02:00:00 1948', 'Oct 3 01:59:59 1948', 'Apr 4 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 3 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 3 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 3 02:00:00 1949', 'Oct 2 01:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 2 02:59:59 1949');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 2 02:00:00 1949', 'Apr 1 01:59:59 1951', 'Oct 2 02:00:00 1949', 'Apr 1 01:59:59 1951');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 1 02:00:00 1951', 'Oct 7 01:59:59 1951', 'Apr 1 03:00:00 1951', 'Oct 7 02:59:59 1951');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 7 02:00:00 1951', 'Apr 6 01:59:59 1952', 'Oct 7 02:00:00 1951', 'Apr 6 01:59:59 1952');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 6 02:00:00 1952', 'Oct 5 01:59:59 1952', 'Apr 6 03:00:00 1952', 'Oct 5 02:59:59 1952');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 5 02:00:00 1952', 'Apr 5 01:59:59 1953', 'Oct 5 02:00:00 1952', 'Apr 5 01:59:59 1953');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 5 02:00:00 1953', 'Oct 4 01:59:59 1953', 'Apr 5 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 4 02:00:00 1953', 'Apr 4 01:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 4 01:59:59 1954');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 4 02:00:00 1954', 'Oct 3 01:59:59 1954', 'Apr 4 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 3 02:00:00 1954', 'Apr 3 01:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 3 01:59:59 1955');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 3 02:00:00 1955', 'Oct 2 01:59:59 1955', 'Apr 3 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 2 02:00:00 1955', 'Apr 1 01:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 1 01:59:59 1956');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 1 02:00:00 1956', 'Oct 7 01:59:59 1956', 'Apr 1 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 7 02:00:00 1956', 'Apr 7 01:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 7 01:59:59 1957');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 7 02:00:00 1957', 'Oct 6 01:59:59 1957', 'Apr 7 03:00:00 1957', 'Oct 6 02:59:59 1957');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 6 02:00:00 1957', 'Apr 6 01:59:59 1958', 'Oct 6 02:00:00 1957', 'Apr 6 01:59:59 1958');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 6 02:00:00 1958', 'Oct 5 01:59:59 1958', 'Apr 6 03:00:00 1958', 'Oct 5 02:59:59 1958');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 5 02:00:00 1958', 'Apr 5 01:59:59 1959', 'Oct 5 02:00:00 1958', 'Apr 5 01:59:59 1959');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 5 02:00:00 1959', 'Oct 4 01:59:59 1959', 'Apr 5 03:00:00 1959', 'Oct 4 02:59:59 1959');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 4 02:00:00 1959', 'Apr 3 01:59:59 1960', 'Oct 4 02:00:00 1959', 'Apr 3 01:59:59 1960');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 3 02:00:00 1960', 'Oct 2 01:59:59 1960', 'Apr 3 03:00:00 1960', 'Oct 2 02:59:59 1960');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 2 02:00:00 1960', 'Apr 2 01:59:59 1961', 'Oct 2 02:00:00 1960', 'Apr 2 01:59:59 1961');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 2 02:00:00 1961', 'Oct 1 01:59:59 1961', 'Apr 2 03:00:00 1961', 'Oct 1 02:59:59 1961');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 1 02:00:00 1961', 'Apr 1 01:59:59 1962', 'Oct 1 02:00:00 1961', 'Apr 1 01:59:59 1962');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 1 02:00:00 1962', 'Oct 7 01:59:59 1962', 'Apr 1 03:00:00 1962', 'Oct 7 02:59:59 1962');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 7 02:00:00 1962', 'Apr 7 01:59:59 1963', 'Oct 7 02:00:00 1962', 'Apr 7 01:59:59 1963');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 7 02:00:00 1963', 'Oct 6 01:59:59 1963', 'Apr 7 03:00:00 1963', 'Oct 6 02:59:59 1963');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 6 02:00:00 1963', 'Apr 5 01:59:59 1964', 'Oct 6 02:00:00 1963', 'Apr 5 01:59:59 1964');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 5 02:00:00 1964', 'Oct 4 01:59:59 1964', 'Apr 5 03:00:00 1964', 'Oct 4 02:59:59 1964');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 4 02:00:00 1964', 'Apr 4 01:59:59 1965', 'Oct 4 02:00:00 1964', 'Apr 4 01:59:59 1965');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 4 02:00:00 1965', 'Oct 3 01:59:59 1965', 'Apr 4 03:00:00 1965', 'Oct 3 02:59:59 1965');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 3 02:00:00 1965', 'Apr 3 01:59:59 1966', 'Oct 3 02:00:00 1965', 'Apr 3 01:59:59 1966');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 3600, 'Apr 3 02:00:00 1966', 'Sep 25 23:59:59 1976', 'Apr 3 03:00:00 1966', 'Sep 26 00:59:59 1976');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 26 00:00:00 1976', 'Mar 26 23:59:59 1977', 'Sep 26 00:00:00 1976', 'Mar 26 23:59:59 1977');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 27 00:00:00 1977', 'Sep 24 23:59:59 1977', 'Mar 27 01:00:00 1977', 'Sep 25 00:59:59 1977');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 25 00:00:00 1977', 'Apr 1 23:59:59 1978', 'Sep 25 00:00:00 1977', 'Apr 1 23:59:59 1978');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 2 00:00:00 1978', 'Sep 30 23:59:59 1978', 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 1 00:00:00 1978', 'Mar 31 23:59:59 1979', 'Oct 1 00:00:00 1978', 'Mar 31 23:59:59 1979');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Apr 1 00:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 01:00:00 1979', 'Sep 30 01:59:59 1979');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 30 01:00:00 1979', 'Mar 29 23:59:59 1980', 'Sep 30 01:00:00 1979', 'Mar 29 23:59:59 1980');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 00:00:00 1980', 'Sep 28 00:59:59 1980', 'Mar 30 01:00:00 1980', 'Sep 28 01:59:59 1980');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 26 01:00:00 1982', 'Mar 27 01:59:59 1983', 'Sep 26 01:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 27 02:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 01:59:59 1983');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Europe/Lisbon', 'WEST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Europe/Lisbon', 'WET', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- Europe/Ljubljana
--

begin
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 18 21:59:59 1941', 'Dec 14 21:45:52 1901', 'Apr 18 22:59:59 1941');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Apr 18 22:00:00 1941', 'Nov 2 00:59:59 1942', 'Apr 19 00:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'May 8 00:59:59 1945', 'Oct 2 02:00:00 1944', 'May 8 01:59:59 1945');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'May 8 01:00:00 1945', 'Sep 16 00:59:59 1945', 'May 8 03:00:00 1945', 'Sep 16 02:59:59 1945');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 16 01:00:00 1945', 'Mar 27 00:59:59 1983', 'Sep 16 02:00:00 1945', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Ljubljana', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Ljubljana', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/London
--

begin
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'May 21 01:59:59 1916', 'Dec 14 20:45:52 1901', 'May 21 01:59:59 1916');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'May 21 02:00:00 1916', 'Oct 1 01:59:59 1916', 'May 21 03:00:00 1916', 'Oct 1 02:59:59 1916');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 1 02:00:00 1916', 'Apr 8 01:59:59 1917', 'Oct 1 02:00:00 1916', 'Apr 8 01:59:59 1917');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 8 02:00:00 1917', 'Sep 17 01:59:59 1917', 'Apr 8 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918', 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 24 02:00:00 1918', 'Sep 30 01:59:59 1918', 'Mar 24 03:00:00 1918', 'Sep 30 02:59:59 1918');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919', 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 30 02:00:00 1919', 'Sep 29 01:59:59 1919', 'Mar 30 03:00:00 1919', 'Sep 29 02:59:59 1919');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920', 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 28 02:00:00 1920', 'Oct 25 01:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 25 02:59:59 1920');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921', 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 3 02:00:00 1921', 'Oct 3 01:59:59 1921', 'Apr 3 03:00:00 1921', 'Oct 3 02:59:59 1921');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922', 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 02:00:00 1922', 'Oct 8 01:59:59 1922', 'Mar 26 03:00:00 1922', 'Oct 8 02:59:59 1922');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923', 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 22 02:00:00 1923', 'Sep 16 01:59:59 1923', 'Apr 22 03:00:00 1923', 'Sep 16 02:59:59 1923');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924', 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 13 02:00:00 1924', 'Sep 21 01:59:59 1924', 'Apr 13 03:00:00 1924', 'Sep 21 02:59:59 1924');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925', 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 19 02:00:00 1925', 'Oct 4 01:59:59 1925', 'Apr 19 03:00:00 1925', 'Oct 4 02:59:59 1925');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926', 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 18 02:00:00 1926', 'Oct 3 01:59:59 1926', 'Apr 18 03:00:00 1926', 'Oct 3 02:59:59 1926');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927', 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 10 02:00:00 1927', 'Oct 2 01:59:59 1927', 'Apr 10 03:00:00 1927', 'Oct 2 02:59:59 1927');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928', 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 22 02:00:00 1928', 'Oct 7 01:59:59 1928', 'Apr 22 03:00:00 1928', 'Oct 7 02:59:59 1928');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929', 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 21 02:00:00 1929', 'Oct 6 01:59:59 1929', 'Apr 21 03:00:00 1929', 'Oct 6 02:59:59 1929');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930', 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 13 02:00:00 1930', 'Oct 5 01:59:59 1930', 'Apr 13 03:00:00 1930', 'Oct 5 02:59:59 1930');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931', 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 19 02:00:00 1931', 'Oct 4 01:59:59 1931', 'Apr 19 03:00:00 1931', 'Oct 4 02:59:59 1931');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932', 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 17 02:00:00 1932', 'Oct 2 01:59:59 1932', 'Apr 17 03:00:00 1932', 'Oct 2 02:59:59 1932');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933', 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 9 02:00:00 1933', 'Oct 8 01:59:59 1933', 'Apr 9 03:00:00 1933', 'Oct 8 02:59:59 1933');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934', 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 22 02:00:00 1934', 'Oct 7 01:59:59 1934', 'Apr 22 03:00:00 1934', 'Oct 7 02:59:59 1934');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935', 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 14 02:00:00 1935', 'Oct 6 01:59:59 1935', 'Apr 14 03:00:00 1935', 'Oct 6 02:59:59 1935');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936', 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 19 02:00:00 1936', 'Oct 4 01:59:59 1936', 'Apr 19 03:00:00 1936', 'Oct 4 02:59:59 1936');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937', 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 18 02:00:00 1937', 'Oct 3 01:59:59 1937', 'Apr 18 03:00:00 1937', 'Oct 3 02:59:59 1937');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938', 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 10 02:00:00 1938', 'Oct 2 01:59:59 1938', 'Apr 10 03:00:00 1938', 'Oct 2 02:59:59 1938');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939', 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 16 02:00:00 1939', 'Nov 19 01:59:59 1939', 'Apr 16 03:00:00 1939', 'Nov 19 02:59:59 1939');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Feb 25 02:00:00 1940', 'May 4 00:59:59 1941', 'Feb 25 03:00:00 1940', 'May 4 01:59:59 1941');
timezone.add_rule('Europe/London', 'BST', 1, 7200, 'May 4 01:00:00 1941', 'Aug 10 00:59:59 1941', 'May 4 03:00:00 1941', 'Aug 10 02:59:59 1941');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Aug 10 01:00:00 1941', 'Apr 5 00:59:59 1942', 'Aug 10 02:00:00 1941', 'Apr 5 01:59:59 1942');
timezone.add_rule('Europe/London', 'BST', 1, 7200, 'Apr 5 01:00:00 1942', 'Aug 9 00:59:59 1942', 'Apr 5 03:00:00 1942', 'Aug 9 02:59:59 1942');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Aug 9 01:00:00 1942', 'Apr 4 00:59:59 1943', 'Aug 9 02:00:00 1942', 'Apr 4 01:59:59 1943');
timezone.add_rule('Europe/London', 'BST', 1, 7200, 'Apr 4 01:00:00 1943', 'Aug 15 00:59:59 1943', 'Apr 4 03:00:00 1943', 'Aug 15 02:59:59 1943');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Aug 15 01:00:00 1943', 'Apr 2 00:59:59 1944', 'Aug 15 02:00:00 1943', 'Apr 2 01:59:59 1944');
timezone.add_rule('Europe/London', 'BST', 1, 7200, 'Apr 2 01:00:00 1944', 'Sep 17 00:59:59 1944', 'Apr 2 03:00:00 1944', 'Sep 17 02:59:59 1944');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Sep 17 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Sep 17 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/London', 'BST', 1, 7200, 'Apr 2 01:00:00 1945', 'Jul 15 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Jul 15 02:59:59 1945');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Jul 15 01:00:00 1945', 'Oct 7 01:59:59 1945', 'Jul 15 02:00:00 1945', 'Oct 7 02:59:59 1945');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 7 02:00:00 1945', 'Apr 14 01:59:59 1946', 'Oct 7 02:00:00 1945', 'Apr 14 01:59:59 1946');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 14 02:00:00 1946', 'Oct 6 01:59:59 1946', 'Apr 14 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 6 02:00:00 1946', 'Mar 16 01:59:59 1947', 'Oct 6 02:00:00 1946', 'Mar 16 01:59:59 1947');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 16 02:00:00 1947', 'Apr 13 00:59:59 1947', 'Mar 16 03:00:00 1947', 'Apr 13 01:59:59 1947');
timezone.add_rule('Europe/London', 'BST', 1, 7200, 'Apr 13 01:00:00 1947', 'Aug 10 00:59:59 1947', 'Apr 13 03:00:00 1947', 'Aug 10 02:59:59 1947');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Aug 10 01:00:00 1947', 'Nov 2 01:59:59 1947', 'Aug 10 02:00:00 1947', 'Nov 2 02:59:59 1947');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Nov 2 02:00:00 1947', 'Mar 14 01:59:59 1948', 'Nov 2 02:00:00 1947', 'Mar 14 01:59:59 1948');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 14 02:00:00 1948', 'Oct 31 01:59:59 1948', 'Mar 14 03:00:00 1948', 'Oct 31 02:59:59 1948');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 30 02:59:59 1949');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950', 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 16 02:00:00 1950', 'Oct 22 01:59:59 1950', 'Apr 16 03:00:00 1950', 'Oct 22 02:59:59 1950');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951', 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 15 02:00:00 1951', 'Oct 21 01:59:59 1951', 'Apr 15 03:00:00 1951', 'Oct 21 02:59:59 1951');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952', 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 20 02:00:00 1952', 'Oct 26 01:59:59 1952', 'Apr 20 03:00:00 1952', 'Oct 26 02:59:59 1952');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953', 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 19 02:00:00 1953', 'Oct 4 01:59:59 1953', 'Apr 19 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 11 02:00:00 1954', 'Oct 3 01:59:59 1954', 'Apr 11 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 17 02:00:00 1955', 'Oct 2 01:59:59 1955', 'Apr 17 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 22 02:00:00 1956', 'Oct 7 01:59:59 1956', 'Apr 22 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 14 02:00:00 1957', 'Oct 6 01:59:59 1957', 'Apr 14 03:00:00 1957', 'Oct 6 02:59:59 1957');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958', 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 20 02:00:00 1958', 'Oct 5 01:59:59 1958', 'Apr 20 03:00:00 1958', 'Oct 5 02:59:59 1958');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959', 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 19 02:00:00 1959', 'Oct 4 01:59:59 1959', 'Apr 19 03:00:00 1959', 'Oct 4 02:59:59 1959');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960', 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Apr 10 02:00:00 1960', 'Oct 2 01:59:59 1960', 'Apr 10 03:00:00 1960', 'Oct 2 02:59:59 1960');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961', 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 02:00:00 1961', 'Oct 29 01:59:59 1961', 'Mar 26 03:00:00 1961', 'Oct 29 02:59:59 1961');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962', 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 25 02:00:00 1962', 'Oct 28 01:59:59 1962', 'Mar 25 03:00:00 1962', 'Oct 28 02:59:59 1962');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963', 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 31 02:00:00 1963', 'Oct 27 01:59:59 1963', 'Mar 31 03:00:00 1963', 'Oct 27 02:59:59 1963');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964', 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 22 02:00:00 1964', 'Oct 25 01:59:59 1964', 'Mar 22 03:00:00 1964', 'Oct 25 02:59:59 1964');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965', 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 21 02:00:00 1965', 'Oct 24 01:59:59 1965', 'Mar 21 03:00:00 1965', 'Oct 24 02:59:59 1965');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966', 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 20 02:00:00 1966', 'Oct 23 01:59:59 1966', 'Mar 20 03:00:00 1966', 'Oct 23 02:59:59 1966');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967', 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 19 02:00:00 1967', 'Oct 29 01:59:59 1967', 'Mar 19 03:00:00 1967', 'Oct 29 02:59:59 1967');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968', 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Feb 18 02:00:00 1968', 'Oct 26 22:59:59 1968', 'Feb 18 03:00:00 1968', 'Oct 26 23:59:59 1968');
timezone.add_rule('Europe/London', 'GMT', 0, 3600, 'Oct 26 23:00:00 1968', 'Oct 31 01:59:59 1971', 'Oct 27 00:00:00 1968', 'Oct 31 02:59:59 1971');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972', 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 19 02:00:00 1972', 'Oct 29 01:59:59 1972', 'Mar 19 03:00:00 1972', 'Oct 29 02:59:59 1972');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973', 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 18 02:00:00 1973', 'Oct 28 01:59:59 1973', 'Mar 18 03:00:00 1973', 'Oct 28 02:59:59 1973');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974', 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 17 02:00:00 1974', 'Oct 27 01:59:59 1974', 'Mar 17 03:00:00 1974', 'Oct 27 02:59:59 1974');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975', 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 16 02:00:00 1975', 'Oct 26 01:59:59 1975', 'Mar 16 03:00:00 1975', 'Oct 26 02:59:59 1975');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976', 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 21 02:00:00 1976', 'Oct 24 01:59:59 1976', 'Mar 21 03:00:00 1976', 'Oct 24 02:59:59 1976');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977', 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 20 02:00:00 1977', 'Oct 23 01:59:59 1977', 'Mar 20 03:00:00 1977', 'Oct 23 02:59:59 1977');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978', 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 19 02:00:00 1978', 'Oct 29 01:59:59 1978', 'Mar 19 03:00:00 1978', 'Oct 29 02:59:59 1978');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979', 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 18 02:00:00 1979', 'Oct 28 01:59:59 1979', 'Mar 18 03:00:00 1979', 'Oct 28 02:59:59 1979');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980', 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 16 02:00:00 1980', 'Oct 26 01:59:59 1980', 'Mar 16 03:00:00 1980', 'Oct 26 02:59:59 1980');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981', 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 29 01:00:00 1981', 'Oct 25 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 28 01:00:00 1982', 'Oct 24 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Oct 24 01:59:59 1982');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 27 01:00:00 1983', 'Oct 23 00:59:59 1983', 'Mar 27 02:00:00 1983', 'Oct 23 01:59:59 1983');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 25 01:00:00 1984', 'Oct 28 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 31 01:00:00 1985', 'Oct 27 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 30 01:00:00 1986', 'Oct 26 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 29 01:00:00 1987', 'Oct 25 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 27 01:00:00 1988', 'Oct 23 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Oct 23 01:59:59 1988');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 01:00:00 1989', 'Oct 29 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 25 01:00:00 1990', 'Oct 28 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 31 01:00:00 1991', 'Oct 27 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 29 01:00:00 1992', 'Oct 25 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 28 01:00:00 1993', 'Oct 24 00:59:59 1993', 'Mar 28 02:00:00 1993', 'Oct 24 01:59:59 1993');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 27 01:00:00 1994', 'Oct 23 00:59:59 1994', 'Mar 27 02:00:00 1994', 'Oct 23 01:59:59 1994');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 01:00:00 1995', 'Oct 22 00:59:59 1995', 'Mar 26 02:00:00 1995', 'Oct 22 01:59:59 1995');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Europe/London', 'BST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Europe/London', 'GMT', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- Europe/Luxembourg
--

begin
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 1476, 'Dec 14 20:45:52 1901', 'May 31 23:35:23 1904', 'Dec 14 21:10:28 1901', 'May 31 23:59:59 1904');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'May 31 23:35:24 1904', 'May 14 21:59:59 1916', 'Jun 1 00:35:24 1904', 'May 14 22:59:59 1916');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'May 14 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 15 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 28 21:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 28 22:59:59 1917');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Apr 28 22:00:00 1917', 'Sep 16 22:59:59 1917', 'Apr 29 00:00:00 1917', 'Sep 17 00:59:59 1917');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 16 23:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 00:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 16 01:00:00 1918', 'Nov 24 22:59:59 1918', 'Sep 16 02:00:00 1918', 'Nov 24 23:59:59 1918');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Nov 24 23:00:00 1918', 'Mar 1 22:59:59 1919', 'Nov 24 23:00:00 1918', 'Mar 1 22:59:59 1919');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Mar 1 23:00:00 1919', 'Oct 5 01:59:59 1919', 'Mar 2 00:00:00 1919', 'Oct 5 02:59:59 1919');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 5 02:00:00 1919', 'Feb 14 22:59:59 1920', 'Oct 5 02:00:00 1919', 'Feb 14 22:59:59 1920');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Feb 14 23:00:00 1920', 'Oct 24 00:59:59 1920', 'Feb 15 00:00:00 1920', 'Oct 24 01:59:59 1920');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 24 01:00:00 1920', 'Mar 14 22:59:59 1921', 'Oct 24 01:00:00 1920', 'Mar 14 22:59:59 1921');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Mar 14 23:00:00 1921', 'Oct 26 00:59:59 1921', 'Mar 15 00:00:00 1921', 'Oct 26 01:59:59 1921');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 26 01:00:00 1921', 'Mar 25 22:59:59 1922', 'Oct 26 01:00:00 1921', 'Mar 25 22:59:59 1922');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Mar 25 23:00:00 1922', 'Oct 7 23:59:59 1922', 'Mar 26 00:00:00 1922', 'Oct 8 00:59:59 1922');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 8 00:00:00 1922', 'Apr 21 22:59:59 1923', 'Oct 8 00:00:00 1922', 'Apr 21 22:59:59 1923');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 21 23:00:00 1923', 'Oct 7 00:59:59 1923', 'Apr 22 00:00:00 1923', 'Oct 7 01:59:59 1923');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 7 01:00:00 1923', 'Mar 29 22:59:59 1924', 'Oct 7 01:00:00 1923', 'Mar 29 22:59:59 1924');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Mar 29 23:00:00 1924', 'Oct 4 23:59:59 1924', 'Mar 30 00:00:00 1924', 'Oct 5 00:59:59 1924');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 5 00:00:00 1924', 'Apr 5 22:59:59 1925', 'Oct 5 00:00:00 1924', 'Apr 5 22:59:59 1925');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 5 23:00:00 1925', 'Oct 3 23:59:59 1925', 'Apr 6 00:00:00 1925', 'Oct 4 00:59:59 1925');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 4 00:00:00 1925', 'Apr 17 22:59:59 1926', 'Oct 4 00:00:00 1925', 'Apr 17 22:59:59 1926');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 17 23:00:00 1926', 'Oct 2 23:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 3 00:59:59 1926');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 3 00:00:00 1926', 'Apr 9 22:59:59 1927', 'Oct 3 00:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 9 23:00:00 1927', 'Oct 1 23:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 2 00:59:59 1927');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 2 00:00:00 1927', 'Apr 14 22:59:59 1928', 'Oct 2 00:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 14 23:00:00 1928', 'Oct 6 23:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 7 00:59:59 1928');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 7 00:00:00 1928', 'Apr 20 22:59:59 1929', 'Oct 7 00:00:00 1928', 'Apr 20 22:59:59 1929');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 20 23:00:00 1929', 'Oct 6 01:59:59 1929', 'Apr 21 00:00:00 1929', 'Oct 6 02:59:59 1929');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930', 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 13 02:00:00 1930', 'Oct 5 01:59:59 1930', 'Apr 13 03:00:00 1930', 'Oct 5 02:59:59 1930');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931', 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 19 02:00:00 1931', 'Oct 4 01:59:59 1931', 'Apr 19 03:00:00 1931', 'Oct 4 02:59:59 1931');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 4 02:00:00 1931', 'Apr 3 01:59:59 1932', 'Oct 4 02:00:00 1931', 'Apr 3 01:59:59 1932');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 3 02:00:00 1932', 'Oct 2 01:59:59 1932', 'Apr 3 03:00:00 1932', 'Oct 2 02:59:59 1932');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 2 02:00:00 1932', 'Mar 26 01:59:59 1933', 'Oct 2 02:00:00 1932', 'Mar 26 01:59:59 1933');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Mar 26 02:00:00 1933', 'Oct 8 01:59:59 1933', 'Mar 26 03:00:00 1933', 'Oct 8 02:59:59 1933');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 8 02:00:00 1933', 'Apr 8 01:59:59 1934', 'Oct 8 02:00:00 1933', 'Apr 8 01:59:59 1934');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 8 02:00:00 1934', 'Oct 7 01:59:59 1934', 'Apr 8 03:00:00 1934', 'Oct 7 02:59:59 1934');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 7 02:00:00 1934', 'Mar 31 01:59:59 1935', 'Oct 7 02:00:00 1934', 'Mar 31 01:59:59 1935');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Mar 31 02:00:00 1935', 'Oct 6 01:59:59 1935', 'Mar 31 03:00:00 1935', 'Oct 6 02:59:59 1935');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936', 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 19 02:00:00 1936', 'Oct 4 01:59:59 1936', 'Apr 19 03:00:00 1936', 'Oct 4 02:59:59 1936');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 4 02:00:00 1936', 'Apr 4 01:59:59 1937', 'Oct 4 02:00:00 1936', 'Apr 4 01:59:59 1937');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 4 02:00:00 1937', 'Oct 3 01:59:59 1937', 'Apr 4 03:00:00 1937', 'Oct 3 02:59:59 1937');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 3 02:00:00 1937', 'Mar 27 01:59:59 1938', 'Oct 3 02:00:00 1937', 'Mar 27 01:59:59 1938');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Mar 27 02:00:00 1938', 'Oct 2 01:59:59 1938', 'Mar 27 03:00:00 1938', 'Oct 2 02:59:59 1938');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939', 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Apr 16 02:00:00 1939', 'Nov 19 01:59:59 1939', 'Apr 16 03:00:00 1939', 'Nov 19 02:59:59 1939');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 0, 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 3600, 'Feb 25 02:00:00 1940', 'May 14 01:59:59 1940', 'Feb 25 03:00:00 1940', 'May 14 02:59:59 1940');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'May 14 02:00:00 1940', 'Nov 2 00:59:59 1942', 'May 14 04:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 18 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 18 02:59:59 1944');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 18 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Sep 18 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 16 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 16 02:59:59 1945');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 16 01:00:00 1945', 'May 19 00:59:59 1946', 'Sep 16 02:00:00 1945', 'May 19 01:59:59 1946');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'May 19 01:00:00 1946', 'Oct 7 00:59:59 1946', 'May 19 03:00:00 1946', 'Oct 7 02:59:59 1946');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 7 01:00:00 1946', 'Apr 3 00:59:59 1977', 'Oct 7 02:00:00 1946', 'Apr 3 01:59:59 1977');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Apr 3 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Apr 3 03:00:00 1977', 'Sep 25 02:59:59 1977');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 02:00:00 1977', 'Apr 2 01:59:59 1978');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 03:00:00 1978', 'Oct 1 02:59:59 1978');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 02:00:00 1978', 'Apr 1 01:59:59 1979');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Luxembourg', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Luxembourg', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Madrid
--

begin
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Dec 14 20:45:52 1901', 'May 5 22:59:59 1917', 'Dec 14 20:45:52 1901', 'May 5 22:59:59 1917');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'May 5 23:00:00 1917', 'Oct 6 22:59:59 1917', 'May 6 00:00:00 1917', 'Oct 6 23:59:59 1917');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 6 23:00:00 1917', 'Apr 15 22:59:59 1918', 'Oct 6 23:00:00 1917', 'Apr 15 22:59:59 1918');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Apr 15 23:00:00 1918', 'Oct 6 22:59:59 1918', 'Apr 16 00:00:00 1918', 'Oct 6 23:59:59 1918');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 6 23:00:00 1918', 'Apr 5 22:59:59 1919', 'Oct 6 23:00:00 1918', 'Apr 5 22:59:59 1919');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Apr 5 23:00:00 1919', 'Oct 6 22:59:59 1919', 'Apr 6 00:00:00 1919', 'Oct 6 23:59:59 1919');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 6 23:00:00 1919', 'Apr 16 22:59:59 1924', 'Oct 6 23:00:00 1919', 'Apr 16 22:59:59 1924');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Apr 16 23:00:00 1924', 'Oct 4 22:59:59 1924', 'Apr 17 00:00:00 1924', 'Oct 4 23:59:59 1924');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 4 23:00:00 1924', 'Apr 17 22:59:59 1926', 'Oct 4 23:00:00 1924', 'Apr 17 22:59:59 1926');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Apr 17 23:00:00 1926', 'Oct 2 22:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927', 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Apr 9 23:00:00 1927', 'Oct 1 22:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928', 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Apr 14 23:00:00 1928', 'Oct 6 22:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 6 23:59:59 1928');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929', 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Apr 20 23:00:00 1929', 'Oct 5 22:59:59 1929', 'Apr 21 00:00:00 1929', 'Oct 5 23:59:59 1929');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 5 23:00:00 1929', 'May 22 22:59:59 1937', 'Oct 5 23:00:00 1929', 'May 22 22:59:59 1937');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'May 22 23:00:00 1937', 'Oct 2 22:59:59 1937', 'May 23 00:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 2 23:00:00 1937', 'Mar 22 22:59:59 1938', 'Oct 2 23:00:00 1937', 'Mar 22 22:59:59 1938');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Mar 22 23:00:00 1938', 'Oct 1 22:59:59 1938', 'Mar 23 00:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Apr 15 23:00:00 1939', 'Oct 7 22:59:59 1939', 'Apr 16 00:00:00 1939', 'Oct 7 23:59:59 1939');
timezone.add_rule('Europe/Madrid', 'CET', 0, 0, 'Oct 7 23:00:00 1939', 'Mar 16 22:59:59 1940', 'Oct 7 23:00:00 1939', 'Mar 16 22:59:59 1940');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Mar 16 23:00:00 1940', 'May 2 21:59:59 1942', 'Mar 17 00:00:00 1940', 'May 2 22:59:59 1942');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'May 2 22:00:00 1942', 'Sep 1 21:59:59 1942', 'May 3 00:00:00 1942', 'Sep 1 23:59:59 1942');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Sep 1 22:00:00 1942', 'Apr 17 21:59:59 1943', 'Sep 1 23:00:00 1942', 'Apr 17 22:59:59 1943');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 17 22:00:00 1943', 'Oct 3 21:59:59 1943', 'Apr 18 00:00:00 1943', 'Oct 3 23:59:59 1943');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Oct 3 22:00:00 1943', 'Apr 15 21:59:59 1944', 'Oct 3 23:00:00 1943', 'Apr 15 22:59:59 1944');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 15 22:00:00 1944', 'Oct 10 21:59:59 1944', 'Apr 16 00:00:00 1944', 'Oct 10 23:59:59 1944');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Oct 10 22:00:00 1944', 'Apr 14 21:59:59 1945', 'Oct 10 23:00:00 1944', 'Apr 14 22:59:59 1945');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 14 22:00:00 1945', 'Sep 29 22:59:59 1945', 'Apr 15 00:00:00 1945', 'Sep 30 00:59:59 1945');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 3600, 'Sep 29 23:00:00 1945', 'Apr 13 21:59:59 1946', 'Sep 30 00:00:00 1945', 'Apr 13 22:59:59 1946');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 13 22:00:00 1946', 'Sep 29 21:59:59 1946', 'Apr 14 00:00:00 1946', 'Sep 29 23:59:59 1946');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 29 22:00:00 1946', 'Apr 30 21:59:59 1949', 'Sep 29 23:00:00 1946', 'Apr 30 22:59:59 1949');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 30 22:00:00 1949', 'Sep 29 22:59:59 1949', 'May 1 00:00:00 1949', 'Sep 30 00:59:59 1949');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 29 23:00:00 1949', 'Apr 13 21:59:59 1974', 'Sep 30 00:00:00 1949', 'Apr 13 22:59:59 1974');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 13 22:00:00 1974', 'Oct 5 22:59:59 1974', 'Apr 14 00:00:00 1974', 'Oct 6 00:59:59 1974');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 5 23:00:00 1974', 'Apr 19 21:59:59 1975', 'Oct 6 00:00:00 1974', 'Apr 19 22:59:59 1975');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 19 22:00:00 1975', 'Oct 4 22:59:59 1975', 'Apr 20 00:00:00 1975', 'Oct 5 00:59:59 1975');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 4 23:00:00 1975', 'Mar 27 21:59:59 1976', 'Oct 5 00:00:00 1975', 'Mar 27 22:59:59 1976');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 27 22:00:00 1976', 'Sep 25 22:59:59 1976', 'Mar 28 00:00:00 1976', 'Sep 26 00:59:59 1976');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 25 23:00:00 1976', 'Apr 2 21:59:59 1977', 'Sep 26 00:00:00 1976', 'Apr 2 22:59:59 1977');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 2 22:00:00 1977', 'Sep 24 22:59:59 1977', 'Apr 3 00:00:00 1977', 'Sep 25 00:59:59 1977');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 24 23:00:00 1977', 'Apr 2 21:59:59 1978', 'Sep 25 00:00:00 1977', 'Apr 2 22:59:59 1978');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 2 22:00:00 1978', 'Sep 30 22:59:59 1978', 'Apr 3 00:00:00 1978', 'Oct 1 00:59:59 1978');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 30 23:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 00:00:00 1978', 'Apr 1 01:59:59 1979');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Madrid', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Madrid', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Malta
--

begin
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Jun 2 22:59:59 1916', 'Dec 14 21:45:52 1901', 'Jun 2 23:59:59 1916');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Jun 2 23:00:00 1916', 'Sep 30 22:59:59 1916', 'Jun 3 01:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Mar 31 22:59:59 1917', 'Oct 1 00:00:00 1916', 'Mar 31 23:59:59 1917');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 23:00:00 1917', 'Sep 29 22:59:59 1917', 'Apr 1 01:00:00 1917', 'Sep 30 00:59:59 1917');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 29 23:00:00 1917', 'Mar 9 22:59:59 1918', 'Sep 30 00:00:00 1917', 'Mar 9 23:59:59 1918');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 9 23:00:00 1918', 'Oct 5 22:59:59 1918', 'Mar 10 01:00:00 1918', 'Oct 6 00:59:59 1918');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 5 23:00:00 1918', 'Mar 1 22:59:59 1919', 'Oct 6 00:00:00 1918', 'Mar 1 23:59:59 1919');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 1 23:00:00 1919', 'Oct 4 22:59:59 1919', 'Mar 2 01:00:00 1919', 'Oct 5 00:59:59 1919');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 4 23:00:00 1919', 'Mar 20 22:59:59 1920', 'Oct 5 00:00:00 1919', 'Mar 20 23:59:59 1920');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 20 23:00:00 1920', 'Sep 18 22:59:59 1920', 'Mar 21 01:00:00 1920', 'Sep 19 00:59:59 1920');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 18 23:00:00 1920', 'Jun 14 22:59:59 1940', 'Sep 19 00:00:00 1920', 'Jun 14 23:59:59 1940');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Jun 14 23:00:00 1940', 'Nov 2 00:59:59 1942', 'Jun 15 01:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 2 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 14 22:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 15 00:59:59 1945');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 14 23:00:00 1945', 'Mar 17 00:59:59 1946', 'Sep 15 00:00:00 1945', 'Mar 17 01:59:59 1946');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 17 01:00:00 1946', 'Oct 6 00:59:59 1946', 'Mar 17 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 6 01:00:00 1946', 'Mar 15 22:59:59 1947', 'Oct 6 02:00:00 1946', 'Mar 15 23:59:59 1947');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 15 23:00:00 1947', 'Oct 4 22:59:59 1947', 'Mar 16 01:00:00 1947', 'Oct 5 00:59:59 1947');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 4 23:00:00 1947', 'Feb 29 00:59:59 1948', 'Oct 5 00:00:00 1947', 'Feb 29 01:59:59 1948');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Feb 29 01:00:00 1948', 'Oct 3 00:59:59 1948', 'Feb 29 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 3 01:00:00 1948', 'May 21 22:59:59 1966', 'Oct 3 02:00:00 1948', 'May 21 23:59:59 1966');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'May 21 23:00:00 1966', 'Sep 24 21:59:59 1966', 'May 22 01:00:00 1966', 'Sep 24 23:59:59 1966');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 24 22:00:00 1966', 'May 27 22:59:59 1967', 'Sep 24 23:00:00 1966', 'May 27 23:59:59 1967');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'May 27 23:00:00 1967', 'Sep 23 21:59:59 1967', 'May 28 01:00:00 1967', 'Sep 23 23:59:59 1967');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 23 22:00:00 1967', 'May 25 22:59:59 1968', 'Sep 23 23:00:00 1967', 'May 25 23:59:59 1968');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'May 25 23:00:00 1968', 'Sep 21 21:59:59 1968', 'May 26 01:00:00 1968', 'Sep 21 23:59:59 1968');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 21 22:00:00 1968', 'May 31 22:59:59 1969', 'Sep 21 23:00:00 1968', 'May 31 23:59:59 1969');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'May 31 23:00:00 1969', 'Sep 27 21:59:59 1969', 'Jun 1 01:00:00 1969', 'Sep 27 23:59:59 1969');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 27 22:00:00 1969', 'May 30 22:59:59 1970', 'Sep 27 23:00:00 1969', 'May 30 23:59:59 1970');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'May 30 23:00:00 1970', 'Sep 26 21:59:59 1970', 'May 31 01:00:00 1970', 'Sep 26 23:59:59 1970');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 26 22:00:00 1970', 'May 22 22:59:59 1971', 'Sep 26 23:00:00 1970', 'May 22 23:59:59 1971');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'May 22 23:00:00 1971', 'Sep 25 22:59:59 1971', 'May 23 01:00:00 1971', 'Sep 26 00:59:59 1971');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 25 23:00:00 1971', 'May 27 22:59:59 1972', 'Sep 26 00:00:00 1971', 'May 27 23:59:59 1972');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'May 27 23:00:00 1972', 'Sep 30 21:59:59 1972', 'May 28 01:00:00 1972', 'Sep 30 23:59:59 1972');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 30 22:00:00 1972', 'Mar 30 22:59:59 1973', 'Sep 30 23:00:00 1972', 'Mar 30 23:59:59 1973');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 30 23:00:00 1973', 'Sep 28 22:59:59 1973', 'Mar 31 01:00:00 1973', 'Sep 29 00:59:59 1973');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 28 23:00:00 1973', 'Apr 20 22:59:59 1974', 'Sep 29 00:00:00 1973', 'Apr 20 23:59:59 1974');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Apr 20 23:00:00 1974', 'Sep 15 22:59:59 1974', 'Apr 21 01:00:00 1974', 'Sep 16 00:59:59 1974');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 15 23:00:00 1974', 'Apr 20 00:59:59 1975', 'Sep 16 00:00:00 1974', 'Apr 20 01:59:59 1975');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Apr 20 01:00:00 1975', 'Sep 20 23:59:59 1975', 'Apr 20 03:00:00 1975', 'Sep 21 01:59:59 1975');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 21 00:00:00 1975', 'Apr 18 00:59:59 1976', 'Sep 21 01:00:00 1975', 'Apr 18 01:59:59 1976');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Apr 18 01:00:00 1976', 'Sep 18 23:59:59 1976', 'Apr 18 03:00:00 1976', 'Sep 19 01:59:59 1976');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 19 00:00:00 1976', 'Apr 17 00:59:59 1977', 'Sep 19 01:00:00 1976', 'Apr 17 01:59:59 1977');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Apr 17 01:00:00 1977', 'Sep 17 23:59:59 1977', 'Apr 17 03:00:00 1977', 'Sep 18 01:59:59 1977');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 18 00:00:00 1977', 'Apr 16 00:59:59 1978', 'Sep 18 01:00:00 1977', 'Apr 16 01:59:59 1978');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Apr 16 01:00:00 1978', 'Sep 16 23:59:59 1978', 'Apr 16 03:00:00 1978', 'Sep 17 01:59:59 1978');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 17 00:00:00 1978', 'Apr 15 00:59:59 1979', 'Sep 17 01:00:00 1978', 'Apr 15 01:59:59 1979');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Apr 15 01:00:00 1979', 'Sep 15 23:59:59 1979', 'Apr 15 03:00:00 1979', 'Sep 16 01:59:59 1979');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 16 00:00:00 1979', 'Mar 31 00:59:59 1980', 'Sep 16 01:00:00 1979', 'Mar 31 01:59:59 1980');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 01:00:00 1980', 'Sep 20 23:59:59 1980', 'Mar 31 03:00:00 1980', 'Sep 21 01:59:59 1980');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 21 00:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 21 01:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Malta', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Malta', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Minsk
--

begin
timezone.add_rule('Europe/Minsk', 'EET', 0, 6600, 'Dec 14 20:45:52 1901', 'May 1 22:09:59 1924', 'Dec 14 22:35:52 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'May 1 22:10:00 1924', 'Jun 20 21:59:59 1930', 'May 2 00:10:00 1924', 'Jun 20 23:59:59 1930');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Jun 20 22:00:00 1930', 'Jun 27 20:59:59 1941', 'Jun 21 01:00:00 1930', 'Jun 27 23:59:59 1941');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 7200, 'Jun 27 21:00:00 1941', 'Nov 2 00:59:59 1942', 'Jun 27 23:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Minsk', 'EET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Minsk', 'EET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Jul 2 21:59:59 1944', 'Apr 3 03:00:00 1944', 'Jul 2 23:59:59 1944');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Jul 2 22:00:00 1944', 'Mar 31 20:59:59 1981', 'Jul 3 01:00:00 1944', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 23 23:00:00 1989', 'Mar 24 22:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 14400, 'Mar 24 23:00:00 1990', 'Sep 29 22:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Minsk', 'EET', 0, 10800, 'Sep 29 23:00:00 1990', 'Mar 30 22:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 30 23:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Sep 29 00:00:00 1991', 'Mar 28 23:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 29 00:00:00 1992', 'Sep 26 23:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Sep 27 00:00:00 1992', 'Mar 27 23:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 28 00:00:00 1993', 'Sep 25 23:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Sep 26 00:00:00 1993', 'Mar 26 23:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 27 00:00:00 1994', 'Sep 24 23:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 26 00:00:00 1995', 'Sep 23 23:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Sep 24 00:00:00 1995', 'Mar 30 23:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 31 00:00:00 1996', 'Oct 26 23:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 27 00:00:00 1996', 'Mar 29 23:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 30 00:00:00 1997', 'Oct 25 23:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 26 00:00:00 1997', 'Mar 28 23:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 29 00:00:00 1998', 'Oct 24 23:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 25 00:00:00 1998', 'Mar 27 23:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 28 00:00:00 1999', 'Oct 30 23:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 31 00:00:00 1999', 'Mar 25 23:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 26 00:00:00 2000', 'Oct 28 23:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 29 00:00:00 2000', 'Mar 24 23:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 25 00:00:00 2001', 'Oct 27 23:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 28 00:00:00 2001', 'Mar 30 23:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 31 00:00:00 2002', 'Oct 26 23:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 27 00:00:00 2002', 'Mar 29 23:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 30 00:00:00 2003', 'Oct 25 23:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 26 00:00:00 2003', 'Mar 27 23:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 28 00:00:00 2004', 'Oct 30 23:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 31 00:00:00 2004', 'Mar 26 23:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 27 00:00:00 2005', 'Oct 29 23:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 30 00:00:00 2005', 'Mar 25 23:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 26 00:00:00 2006', 'Oct 28 23:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 29 00:00:00 2006', 'Mar 24 23:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 25 00:00:00 2007', 'Oct 27 23:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 28 00:00:00 2007', 'Mar 29 23:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 30 00:00:00 2008', 'Oct 25 23:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 26 00:00:00 2008', 'Mar 28 23:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 29 00:00:00 2009', 'Oct 24 23:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 25 00:00:00 2009', 'Mar 27 23:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 28 00:00:00 2010', 'Oct 30 23:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 31 00:00:00 2010', 'Mar 26 23:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 27 00:00:00 2011', 'Oct 29 23:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 30 00:00:00 2011', 'Mar 24 23:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 25 00:00:00 2012', 'Oct 27 23:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 28 00:00:00 2012', 'Mar 30 23:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 31 00:00:00 2013', 'Oct 26 23:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 27 00:00:00 2013', 'Mar 29 23:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 30 00:00:00 2014', 'Oct 25 23:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 26 00:00:00 2014', 'Mar 28 23:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 29 00:00:00 2015', 'Oct 24 23:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 25 00:00:00 2015', 'Mar 26 23:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 27 00:00:00 2016', 'Oct 29 23:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 30 00:00:00 2016', 'Mar 25 23:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 26 00:00:00 2017', 'Oct 28 23:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 29 00:00:00 2017', 'Mar 24 23:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 25 00:00:00 2018', 'Oct 27 23:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 28 00:00:00 2018', 'Mar 30 23:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 31 00:00:00 2019', 'Oct 26 23:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 27 00:00:00 2019', 'Mar 28 23:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 29 00:00:00 2020', 'Oct 24 23:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 25 00:00:00 2020', 'Mar 27 23:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 28 00:00:00 2021', 'Oct 30 23:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 31 00:00:00 2021', 'Mar 26 23:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 27 00:00:00 2022', 'Oct 29 23:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 30 00:00:00 2022', 'Mar 25 23:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 26 00:00:00 2023', 'Oct 28 23:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 29 00:00:00 2023', 'Mar 30 23:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 31 00:00:00 2024', 'Oct 26 23:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 27 00:00:00 2024', 'Mar 29 23:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 30 00:00:00 2025', 'Oct 25 23:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 26 00:00:00 2025', 'Mar 28 23:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 29 00:00:00 2026', 'Oct 24 23:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 25 00:00:00 2026', 'Mar 27 23:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 28 00:00:00 2027', 'Oct 30 23:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 31 00:00:00 2027', 'Mar 25 23:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 26 00:00:00 2028', 'Oct 28 23:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 29 00:00:00 2028', 'Mar 24 23:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 25 00:00:00 2029', 'Oct 27 23:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 28 00:00:00 2029', 'Mar 30 23:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 31 00:00:00 2030', 'Oct 26 23:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 27 00:00:00 2030', 'Mar 29 23:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 30 00:00:00 2031', 'Oct 25 23:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 26 00:00:00 2031', 'Mar 27 23:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 28 00:00:00 2032', 'Oct 30 23:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 31 00:00:00 2032', 'Mar 26 23:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 27 00:00:00 2033', 'Oct 29 23:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 30 00:00:00 2033', 'Mar 25 23:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 26 00:00:00 2034', 'Oct 28 23:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 29 00:00:00 2034', 'Mar 24 23:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 25 00:00:00 2035', 'Oct 27 23:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 28 00:00:00 2035', 'Mar 29 23:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 30 00:00:00 2036', 'Oct 25 23:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 26 00:00:00 2036', 'Mar 28 23:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Minsk', 'EEST', 1, 10800, 'Mar 29 00:00:00 2037', 'Oct 24 23:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Minsk', 'EET', 0, 7200, 'Oct 25 00:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Monaco
--

begin
timezone.add_rule('Europe/Monaco', 'CET', 0, 561, 'Dec 14 20:45:52 1901', 'Mar 10 23:50:38 1911', 'Dec 14 20:55:13 1901', 'Mar 10 23:59:59 1911');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Mar 10 23:50:39 1911', 'Jun 14 22:59:59 1916', 'Mar 10 23:50:39 1911', 'Jun 14 22:59:59 1916');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Jun 14 23:00:00 1916', 'Oct 1 22:59:59 1916', 'Jun 15 00:00:00 1916', 'Oct 1 23:59:59 1916');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 1 23:00:00 1916', 'Mar 24 22:59:59 1917', 'Oct 1 23:00:00 1916', 'Mar 24 22:59:59 1917');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Mar 24 23:00:00 1917', 'Oct 7 22:59:59 1917', 'Mar 25 00:00:00 1917', 'Oct 7 23:59:59 1917');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 7 23:00:00 1917', 'Mar 9 22:59:59 1918', 'Oct 7 23:00:00 1917', 'Mar 9 22:59:59 1918');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Mar 9 23:00:00 1918', 'Oct 6 22:59:59 1918', 'Mar 10 00:00:00 1918', 'Oct 6 23:59:59 1918');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 6 23:00:00 1918', 'Mar 1 22:59:59 1919', 'Oct 6 23:00:00 1918', 'Mar 1 22:59:59 1919');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Mar 1 23:00:00 1919', 'Oct 5 22:59:59 1919', 'Mar 2 00:00:00 1919', 'Oct 5 23:59:59 1919');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 5 23:00:00 1919', 'Feb 14 22:59:59 1920', 'Oct 5 23:00:00 1919', 'Feb 14 22:59:59 1920');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Feb 14 23:00:00 1920', 'Oct 23 22:59:59 1920', 'Feb 15 00:00:00 1920', 'Oct 23 23:59:59 1920');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 23 23:00:00 1920', 'Mar 14 22:59:59 1921', 'Oct 23 23:00:00 1920', 'Mar 14 22:59:59 1921');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Mar 14 23:00:00 1921', 'Oct 25 22:59:59 1921', 'Mar 15 00:00:00 1921', 'Oct 25 23:59:59 1921');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 25 23:00:00 1921', 'Mar 25 22:59:59 1922', 'Oct 25 23:00:00 1921', 'Mar 25 22:59:59 1922');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Mar 25 23:00:00 1922', 'Oct 7 22:59:59 1922', 'Mar 26 00:00:00 1922', 'Oct 7 23:59:59 1922');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 7 23:00:00 1922', 'May 26 22:59:59 1923', 'Oct 7 23:00:00 1922', 'May 26 22:59:59 1923');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'May 26 23:00:00 1923', 'Oct 6 22:59:59 1923', 'May 27 00:00:00 1923', 'Oct 6 23:59:59 1923');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 6 23:00:00 1923', 'Mar 29 22:59:59 1924', 'Oct 6 23:00:00 1923', 'Mar 29 22:59:59 1924');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Mar 29 23:00:00 1924', 'Oct 4 22:59:59 1924', 'Mar 30 00:00:00 1924', 'Oct 4 23:59:59 1924');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 4 23:00:00 1924', 'Apr 4 22:59:59 1925', 'Oct 4 23:00:00 1924', 'Apr 4 22:59:59 1925');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 4 23:00:00 1925', 'Oct 3 22:59:59 1925', 'Apr 5 00:00:00 1925', 'Oct 3 23:59:59 1925');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 3 23:00:00 1925', 'Apr 17 22:59:59 1926', 'Oct 3 23:00:00 1925', 'Apr 17 22:59:59 1926');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 17 23:00:00 1926', 'Oct 2 22:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927', 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 9 23:00:00 1927', 'Oct 1 22:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928', 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 14 23:00:00 1928', 'Oct 6 22:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 6 23:59:59 1928');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929', 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 20 23:00:00 1929', 'Oct 5 22:59:59 1929', 'Apr 21 00:00:00 1929', 'Oct 5 23:59:59 1929');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 5 23:00:00 1929', 'Apr 12 22:59:59 1930', 'Oct 5 23:00:00 1929', 'Apr 12 22:59:59 1930');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 12 23:00:00 1930', 'Oct 4 22:59:59 1930', 'Apr 13 00:00:00 1930', 'Oct 4 23:59:59 1930');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 4 23:00:00 1930', 'Apr 18 22:59:59 1931', 'Oct 4 23:00:00 1930', 'Apr 18 22:59:59 1931');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 18 23:00:00 1931', 'Oct 3 22:59:59 1931', 'Apr 19 00:00:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932', 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 2 23:00:00 1932', 'Oct 1 22:59:59 1932', 'Apr 3 00:00:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 1 23:00:00 1932', 'Mar 25 22:59:59 1933', 'Oct 1 23:00:00 1932', 'Mar 25 22:59:59 1933');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Mar 25 23:00:00 1933', 'Oct 7 22:59:59 1933', 'Mar 26 00:00:00 1933', 'Oct 7 23:59:59 1933');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 7 23:00:00 1933', 'Apr 7 22:59:59 1934', 'Oct 7 23:00:00 1933', 'Apr 7 22:59:59 1934');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 7 23:00:00 1934', 'Oct 6 22:59:59 1934', 'Apr 8 00:00:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935', 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Mar 30 23:00:00 1935', 'Oct 5 22:59:59 1935', 'Mar 31 00:00:00 1935', 'Oct 5 23:59:59 1935');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936', 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 18 23:00:00 1936', 'Oct 3 22:59:59 1936', 'Apr 19 00:00:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937', 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 3 23:00:00 1937', 'Oct 2 22:59:59 1937', 'Apr 4 00:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938', 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Mar 26 23:00:00 1938', 'Oct 1 22:59:59 1938', 'Mar 27 00:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Apr 15 23:00:00 1939', 'Nov 18 22:59:59 1939', 'Apr 16 00:00:00 1939', 'Nov 18 23:59:59 1939');
timezone.add_rule('Europe/Monaco', 'CET', 0, 0, 'Nov 18 23:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 18 23:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Feb 25 02:00:00 1940', 'May 4 22:59:59 1941', 'Feb 25 03:00:00 1940', 'May 4 23:59:59 1941');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'May 4 23:00:00 1941', 'Oct 5 21:59:59 1941', 'May 5 01:00:00 1941', 'Oct 5 23:59:59 1941');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Oct 5 22:00:00 1941', 'Mar 8 22:59:59 1942', 'Oct 5 23:00:00 1941', 'Mar 8 23:59:59 1942');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 8 23:00:00 1942', 'Nov 2 00:59:59 1942', 'Mar 9 01:00:00 1942', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 7 22:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 8 00:59:59 1944');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 3600, 'Oct 7 23:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 8 00:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 16 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 16 02:59:59 1945');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 16 01:00:00 1945', 'Mar 27 23:59:59 1976', 'Sep 16 02:00:00 1945', 'Mar 28 00:59:59 1976');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 28 00:00:00 1976', 'Sep 25 22:59:59 1976', 'Mar 28 02:00:00 1976', 'Sep 26 00:59:59 1976');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 25 23:00:00 1976', 'Apr 3 00:59:59 1977', 'Sep 26 00:00:00 1976', 'Apr 3 01:59:59 1977');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Apr 3 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Apr 3 03:00:00 1977', 'Sep 25 02:59:59 1977');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 02:00:00 1977', 'Apr 2 01:59:59 1978');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 03:00:00 1978', 'Oct 1 02:59:59 1978');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 02:00:00 1978', 'Apr 1 01:59:59 1979');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Monaco', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Monaco', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Moscow
--

begin
timezone.add_rule('Europe/Moscow', 'MSK', 0, 9020, 'Dec 14 20:45:52 1901', 'Jul 1 20:29:39 1917', 'Dec 14 23:16:12 1901', 'Jul 1 22:59:59 1917');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 12620, 'Jul 1 20:29:40 1917', 'Dec 27 20:29:39 1917', 'Jul 2 00:00:00 1917', 'Dec 27 23:59:59 1917');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 9020, 'Dec 27 20:29:40 1917', 'May 31 19:29:39 1918', 'Dec 27 23:00:00 1917', 'May 31 21:59:59 1918');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 16220, 'May 31 19:29:40 1918', 'Sep 16 19:29:39 1918', 'Jun 1 00:00:00 1918', 'Sep 16 23:59:59 1918');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 12620, 'Sep 16 19:29:40 1918', 'May 31 19:29:39 1919', 'Sep 16 23:00:00 1918', 'May 31 22:59:59 1919');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 16220, 'May 31 19:29:40 1919', 'Jun 30 21:29:39 1919', 'Jun 1 00:00:00 1919', 'Jul 1 01:59:59 1919');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Jun 30 21:29:40 1919', 'Aug 15 19:59:59 1919', 'Jul 1 01:29:40 1919', 'Aug 15 23:59:59 1919');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Aug 15 20:00:00 1919', 'Feb 14 19:59:59 1921', 'Aug 15 23:00:00 1919', 'Feb 14 22:59:59 1921');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Feb 14 20:00:00 1921', 'Mar 20 18:59:59 1921', 'Feb 15 00:00:00 1921', 'Mar 20 22:59:59 1921');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 18000, 'Mar 20 19:00:00 1921', 'Aug 31 18:59:59 1921', 'Mar 21 00:00:00 1921', 'Aug 31 23:59:59 1921');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Aug 31 19:00:00 1921', 'Sep 30 19:59:59 1921', 'Aug 31 23:00:00 1921', 'Sep 30 23:59:59 1921');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 30 20:00:00 1921', 'Sep 30 20:59:59 1922', 'Sep 30 23:00:00 1921', 'Sep 30 23:59:59 1922');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 7200, 'Sep 30 21:00:00 1922', 'Jun 20 21:59:59 1930', 'Sep 30 23:00:00 1922', 'Jun 20 23:59:59 1930');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Jun 20 22:00:00 1930', 'Mar 31 20:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 23 23:00:00 1989', 'Mar 24 22:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 24 23:00:00 1990', 'Sep 29 22:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 29 23:00:00 1990', 'Mar 30 22:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 10800, 'Mar 30 23:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 7200, 'Sep 29 00:00:00 1991', 'Jan 18 23:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Jan 19 00:00:00 1992', 'Mar 28 19:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 28 20:00:00 1992', 'Sep 26 18:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 26 19:00:00 1992', 'Mar 27 22:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 27 23:00:00 1993', 'Sep 25 22:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 25 23:00:00 1993', 'Mar 26 22:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 26 23:00:00 1994', 'Sep 24 22:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 24 23:00:00 1994', 'Mar 25 22:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 25 23:00:00 1995', 'Sep 23 22:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Sep 23 23:00:00 1995', 'Mar 30 22:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 30 23:00:00 1996', 'Oct 26 22:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 26 23:00:00 1996', 'Mar 29 22:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 29 23:00:00 1997', 'Oct 25 22:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 25 23:00:00 1997', 'Mar 28 22:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 28 23:00:00 1998', 'Oct 24 22:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 24 23:00:00 1998', 'Mar 27 22:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 27 23:00:00 1999', 'Oct 30 22:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 30 23:00:00 1999', 'Mar 25 22:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 25 23:00:00 2000', 'Oct 28 22:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 28 23:00:00 2000', 'Mar 24 22:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 24 23:00:00 2001', 'Oct 27 22:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 27 23:00:00 2001', 'Mar 30 22:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 30 23:00:00 2002', 'Oct 26 22:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 26 23:00:00 2002', 'Mar 29 22:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 29 23:00:00 2003', 'Oct 25 22:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 25 23:00:00 2003', 'Mar 27 22:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 27 23:00:00 2004', 'Oct 30 22:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 30 23:00:00 2004', 'Mar 26 22:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 26 23:00:00 2005', 'Oct 29 22:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 29 23:00:00 2005', 'Mar 25 22:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 25 23:00:00 2006', 'Oct 28 22:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 28 23:00:00 2006', 'Mar 24 22:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 24 23:00:00 2007', 'Oct 27 22:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 27 23:00:00 2007', 'Mar 29 22:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 29 23:00:00 2008', 'Oct 25 22:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 25 23:00:00 2008', 'Mar 28 22:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 28 23:00:00 2009', 'Oct 24 22:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 24 23:00:00 2009', 'Mar 27 22:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 27 23:00:00 2010', 'Oct 30 22:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 30 23:00:00 2010', 'Mar 26 22:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 26 23:00:00 2011', 'Oct 29 22:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 29 23:00:00 2011', 'Mar 24 22:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 24 23:00:00 2012', 'Oct 27 22:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 27 23:00:00 2012', 'Mar 30 22:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 30 23:00:00 2013', 'Oct 26 22:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 26 23:00:00 2013', 'Mar 29 22:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 29 23:00:00 2014', 'Oct 25 22:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 25 23:00:00 2014', 'Mar 28 22:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 28 23:00:00 2015', 'Oct 24 22:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 24 23:00:00 2015', 'Mar 26 22:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 26 23:00:00 2016', 'Oct 29 22:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 29 23:00:00 2016', 'Mar 25 22:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 25 23:00:00 2017', 'Oct 28 22:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 28 23:00:00 2017', 'Mar 24 22:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 24 23:00:00 2018', 'Oct 27 22:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 27 23:00:00 2018', 'Mar 30 22:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 30 23:00:00 2019', 'Oct 26 22:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 26 23:00:00 2019', 'Mar 28 22:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 28 23:00:00 2020', 'Oct 24 22:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 24 23:00:00 2020', 'Mar 27 22:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 27 23:00:00 2021', 'Oct 30 22:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 30 23:00:00 2021', 'Mar 26 22:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 26 23:00:00 2022', 'Oct 29 22:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 29 23:00:00 2022', 'Mar 25 22:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 25 23:00:00 2023', 'Oct 28 22:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 28 23:00:00 2023', 'Mar 30 22:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 30 23:00:00 2024', 'Oct 26 22:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 26 23:00:00 2024', 'Mar 29 22:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 29 23:00:00 2025', 'Oct 25 22:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 25 23:00:00 2025', 'Mar 28 22:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 28 23:00:00 2026', 'Oct 24 22:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 24 23:00:00 2026', 'Mar 27 22:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 27 23:00:00 2027', 'Oct 30 22:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 30 23:00:00 2027', 'Mar 25 22:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 25 23:00:00 2028', 'Oct 28 22:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 28 23:00:00 2028', 'Mar 24 22:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 24 23:00:00 2029', 'Oct 27 22:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 27 23:00:00 2029', 'Mar 30 22:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 30 23:00:00 2030', 'Oct 26 22:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 26 23:00:00 2030', 'Mar 29 22:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 29 23:00:00 2031', 'Oct 25 22:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 25 23:00:00 2031', 'Mar 27 22:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 27 23:00:00 2032', 'Oct 30 22:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 30 23:00:00 2032', 'Mar 26 22:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 26 23:00:00 2033', 'Oct 29 22:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 29 23:00:00 2033', 'Mar 25 22:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 25 23:00:00 2034', 'Oct 28 22:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 28 23:00:00 2034', 'Mar 24 22:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 24 23:00:00 2035', 'Oct 27 22:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 27 23:00:00 2035', 'Mar 29 22:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 29 23:00:00 2036', 'Oct 25 22:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 25 23:00:00 2036', 'Mar 28 22:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Moscow', 'MSD', 1, 14400, 'Mar 28 23:00:00 2037', 'Oct 24 22:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Moscow', 'MSK', 0, 10800, 'Oct 24 23:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 06:14:07 2038');
end;
/

--
-- Europe/Nicosia not installed
--

--
-- Europe/Oslo
--

begin
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'May 21 23:59:59 1916', 'Dec 14 21:45:52 1901', 'May 22 00:59:59 1916');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'May 22 00:00:00 1916', 'Sep 29 21:59:59 1916', 'May 22 02:00:00 1916', 'Sep 29 23:59:59 1916');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 29 22:00:00 1916', 'Aug 10 21:59:59 1940', 'Sep 29 23:00:00 1916', 'Aug 10 22:59:59 1940');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Aug 10 22:00:00 1940', 'Nov 2 00:59:59 1942', 'Aug 11 00:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 2 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Oct 1 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Oct 1 02:59:59 1945');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 1 01:00:00 1945', 'Mar 15 00:59:59 1959', 'Oct 1 02:00:00 1945', 'Mar 15 01:59:59 1959');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 15 01:00:00 1959', 'Sep 20 00:59:59 1959', 'Mar 15 03:00:00 1959', 'Sep 20 02:59:59 1959');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 20 01:00:00 1959', 'Mar 20 00:59:59 1960', 'Sep 20 02:00:00 1959', 'Mar 20 01:59:59 1960');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 20 01:00:00 1960', 'Sep 18 00:59:59 1960', 'Mar 20 03:00:00 1960', 'Sep 18 02:59:59 1960');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 18 01:00:00 1960', 'Mar 19 00:59:59 1961', 'Sep 18 02:00:00 1960', 'Mar 19 01:59:59 1961');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 19 01:00:00 1961', 'Sep 17 00:59:59 1961', 'Mar 19 03:00:00 1961', 'Sep 17 02:59:59 1961');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 17 01:00:00 1961', 'Mar 18 00:59:59 1962', 'Sep 17 02:00:00 1961', 'Mar 18 01:59:59 1962');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 18 01:00:00 1962', 'Sep 16 00:59:59 1962', 'Mar 18 03:00:00 1962', 'Sep 16 02:59:59 1962');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 16 01:00:00 1962', 'Mar 17 00:59:59 1963', 'Sep 16 02:00:00 1962', 'Mar 17 01:59:59 1963');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 17 01:00:00 1963', 'Sep 15 00:59:59 1963', 'Mar 17 03:00:00 1963', 'Sep 15 02:59:59 1963');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 15 01:00:00 1963', 'Mar 15 00:59:59 1964', 'Sep 15 02:00:00 1963', 'Mar 15 01:59:59 1964');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 15 01:00:00 1964', 'Sep 20 00:59:59 1964', 'Mar 15 03:00:00 1964', 'Sep 20 02:59:59 1964');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 20 01:00:00 1964', 'Apr 25 00:59:59 1965', 'Sep 20 02:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Apr 25 01:00:00 1965', 'Sep 19 00:59:59 1965', 'Apr 25 03:00:00 1965', 'Sep 19 02:59:59 1965');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 19 01:00:00 1965', 'Apr 6 00:59:59 1980', 'Sep 19 02:00:00 1965', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Oslo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Oslo', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Paris
--

begin
timezone.add_rule('Europe/Paris', 'CET', 0, 561, 'Dec 14 20:45:52 1901', 'Mar 10 23:50:38 1911', 'Dec 14 20:55:13 1901', 'Mar 10 23:59:59 1911');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Mar 10 23:50:39 1911', 'Jun 14 22:59:59 1916', 'Mar 10 23:50:39 1911', 'Jun 14 22:59:59 1916');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Jun 14 23:00:00 1916', 'Oct 1 22:59:59 1916', 'Jun 15 00:00:00 1916', 'Oct 1 23:59:59 1916');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 1 23:00:00 1916', 'Mar 24 22:59:59 1917', 'Oct 1 23:00:00 1916', 'Mar 24 22:59:59 1917');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Mar 24 23:00:00 1917', 'Oct 7 22:59:59 1917', 'Mar 25 00:00:00 1917', 'Oct 7 23:59:59 1917');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 7 23:00:00 1917', 'Mar 9 22:59:59 1918', 'Oct 7 23:00:00 1917', 'Mar 9 22:59:59 1918');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Mar 9 23:00:00 1918', 'Oct 6 22:59:59 1918', 'Mar 10 00:00:00 1918', 'Oct 6 23:59:59 1918');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 6 23:00:00 1918', 'Mar 1 22:59:59 1919', 'Oct 6 23:00:00 1918', 'Mar 1 22:59:59 1919');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Mar 1 23:00:00 1919', 'Oct 5 22:59:59 1919', 'Mar 2 00:00:00 1919', 'Oct 5 23:59:59 1919');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 5 23:00:00 1919', 'Feb 14 22:59:59 1920', 'Oct 5 23:00:00 1919', 'Feb 14 22:59:59 1920');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Feb 14 23:00:00 1920', 'Oct 23 22:59:59 1920', 'Feb 15 00:00:00 1920', 'Oct 23 23:59:59 1920');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 23 23:00:00 1920', 'Mar 14 22:59:59 1921', 'Oct 23 23:00:00 1920', 'Mar 14 22:59:59 1921');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Mar 14 23:00:00 1921', 'Oct 25 22:59:59 1921', 'Mar 15 00:00:00 1921', 'Oct 25 23:59:59 1921');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 25 23:00:00 1921', 'Mar 25 22:59:59 1922', 'Oct 25 23:00:00 1921', 'Mar 25 22:59:59 1922');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Mar 25 23:00:00 1922', 'Oct 7 22:59:59 1922', 'Mar 26 00:00:00 1922', 'Oct 7 23:59:59 1922');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 7 23:00:00 1922', 'May 26 22:59:59 1923', 'Oct 7 23:00:00 1922', 'May 26 22:59:59 1923');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'May 26 23:00:00 1923', 'Oct 6 22:59:59 1923', 'May 27 00:00:00 1923', 'Oct 6 23:59:59 1923');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 6 23:00:00 1923', 'Mar 29 22:59:59 1924', 'Oct 6 23:00:00 1923', 'Mar 29 22:59:59 1924');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Mar 29 23:00:00 1924', 'Oct 4 22:59:59 1924', 'Mar 30 00:00:00 1924', 'Oct 4 23:59:59 1924');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 4 23:00:00 1924', 'Apr 4 22:59:59 1925', 'Oct 4 23:00:00 1924', 'Apr 4 22:59:59 1925');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 4 23:00:00 1925', 'Oct 3 22:59:59 1925', 'Apr 5 00:00:00 1925', 'Oct 3 23:59:59 1925');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 3 23:00:00 1925', 'Apr 17 22:59:59 1926', 'Oct 3 23:00:00 1925', 'Apr 17 22:59:59 1926');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 17 23:00:00 1926', 'Oct 2 22:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927', 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 9 23:00:00 1927', 'Oct 1 22:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928', 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 14 23:00:00 1928', 'Oct 6 22:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 6 23:59:59 1928');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929', 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 20 23:00:00 1929', 'Oct 5 22:59:59 1929', 'Apr 21 00:00:00 1929', 'Oct 5 23:59:59 1929');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 5 23:00:00 1929', 'Apr 12 22:59:59 1930', 'Oct 5 23:00:00 1929', 'Apr 12 22:59:59 1930');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 12 23:00:00 1930', 'Oct 4 22:59:59 1930', 'Apr 13 00:00:00 1930', 'Oct 4 23:59:59 1930');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 4 23:00:00 1930', 'Apr 18 22:59:59 1931', 'Oct 4 23:00:00 1930', 'Apr 18 22:59:59 1931');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 18 23:00:00 1931', 'Oct 3 22:59:59 1931', 'Apr 19 00:00:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932', 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 2 23:00:00 1932', 'Oct 1 22:59:59 1932', 'Apr 3 00:00:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 1 23:00:00 1932', 'Mar 25 22:59:59 1933', 'Oct 1 23:00:00 1932', 'Mar 25 22:59:59 1933');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Mar 25 23:00:00 1933', 'Oct 7 22:59:59 1933', 'Mar 26 00:00:00 1933', 'Oct 7 23:59:59 1933');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 7 23:00:00 1933', 'Apr 7 22:59:59 1934', 'Oct 7 23:00:00 1933', 'Apr 7 22:59:59 1934');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 7 23:00:00 1934', 'Oct 6 22:59:59 1934', 'Apr 8 00:00:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935', 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Mar 30 23:00:00 1935', 'Oct 5 22:59:59 1935', 'Mar 31 00:00:00 1935', 'Oct 5 23:59:59 1935');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936', 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 18 23:00:00 1936', 'Oct 3 22:59:59 1936', 'Apr 19 00:00:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937', 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 3 23:00:00 1937', 'Oct 2 22:59:59 1937', 'Apr 4 00:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938', 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Mar 26 23:00:00 1938', 'Oct 1 22:59:59 1938', 'Mar 27 00:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Apr 15 23:00:00 1939', 'Nov 18 22:59:59 1939', 'Apr 16 00:00:00 1939', 'Nov 18 23:59:59 1939');
timezone.add_rule('Europe/Paris', 'CET', 0, 0, 'Nov 18 23:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 18 23:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Feb 25 02:00:00 1940', 'Jun 14 21:59:59 1940', 'Feb 25 03:00:00 1940', 'Jun 14 22:59:59 1940');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Jun 14 22:00:00 1940', 'Nov 2 00:59:59 1942', 'Jun 15 00:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 7 22:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 8 00:59:59 1944');
timezone.add_rule('Europe/Paris', 'CEST', 1, 3600, 'Oct 7 23:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 8 00:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 16 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 16 02:59:59 1945');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 16 01:00:00 1945', 'Mar 27 23:59:59 1976', 'Sep 16 02:00:00 1945', 'Mar 28 00:59:59 1976');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 28 00:00:00 1976', 'Sep 25 22:59:59 1976', 'Mar 28 02:00:00 1976', 'Sep 26 00:59:59 1976');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 25 23:00:00 1976', 'Apr 3 00:59:59 1977', 'Sep 26 00:00:00 1976', 'Apr 3 01:59:59 1977');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Apr 3 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Apr 3 03:00:00 1977', 'Sep 25 02:59:59 1977');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 02:00:00 1977', 'Apr 2 01:59:59 1978');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 03:00:00 1978', 'Oct 1 02:59:59 1978');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 02:00:00 1978', 'Apr 1 01:59:59 1979');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Paris', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Paris', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Prague
--

begin
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 30 21:59:59 1916', 'Dec 14 21:45:52 1901', 'Apr 30 22:59:59 1916');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 16 01:00:00 1918', 'Apr 1 00:59:59 1940', 'Sep 16 02:00:00 1918', 'Apr 1 01:59:59 1940');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 1 01:00:00 1940', 'Nov 2 00:59:59 1942', 'Apr 1 03:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 17 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 17 02:59:59 1944');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 17 01:00:00 1944', 'Apr 8 00:59:59 1945', 'Sep 17 02:00:00 1944', 'Apr 8 01:59:59 1945');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 8 01:00:00 1945', 'Nov 18 00:59:59 1945', 'Apr 8 03:00:00 1945', 'Nov 18 02:59:59 1945');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Nov 18 01:00:00 1945', 'May 6 00:59:59 1946', 'Nov 18 02:00:00 1945', 'May 6 01:59:59 1946');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'May 6 01:00:00 1946', 'Oct 6 00:59:59 1946', 'May 6 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 6 01:00:00 1946', 'Apr 20 00:59:59 1947', 'Oct 6 02:00:00 1946', 'Apr 20 01:59:59 1947');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 20 01:00:00 1947', 'Oct 5 00:59:59 1947', 'Apr 20 03:00:00 1947', 'Oct 5 02:59:59 1947');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 5 01:00:00 1947', 'Apr 18 00:59:59 1948', 'Oct 5 02:00:00 1947', 'Apr 18 01:59:59 1948');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 18 01:00:00 1948', 'Oct 3 00:59:59 1948', 'Apr 18 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 3 01:00:00 1948', 'Apr 9 00:59:59 1949', 'Oct 3 02:00:00 1948', 'Apr 9 01:59:59 1949');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 9 01:00:00 1949', 'Oct 2 00:59:59 1949', 'Apr 9 03:00:00 1949', 'Oct 2 02:59:59 1949');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 2 01:00:00 1949', 'Apr 1 00:59:59 1979', 'Oct 2 02:00:00 1949', 'Apr 1 01:59:59 1979');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Prague', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Prague', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Riga
--

begin
timezone.add_rule('Europe/Riga', 'EET', 0, 5784, 'Dec 14 20:45:52 1901', 'Apr 15 00:23:35 1918', 'Dec 14 22:22:16 1901', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Riga', 'EEST', 1, 9384, 'Apr 15 00:23:36 1918', 'Sep 16 00:23:35 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Europe/Riga', 'EET', 0, 5784, 'Sep 16 00:23:36 1918', 'Apr 1 00:23:35 1919', 'Sep 16 02:00:00 1918', 'Apr 1 01:59:59 1919');
timezone.add_rule('Europe/Riga', 'EEST', 1, 9384, 'Apr 1 00:23:36 1919', 'May 22 00:23:35 1919', 'Apr 1 03:00:00 1919', 'May 22 02:59:59 1919');
timezone.add_rule('Europe/Riga', 'EET', 0, 5784, 'May 22 00:23:36 1919', 'May 10 22:23:35 1926', 'May 22 02:00:00 1919', 'May 10 23:59:59 1926');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'May 10 22:23:36 1926', 'Aug 4 21:59:59 1940', 'May 11 00:23:36 1926', 'Aug 4 23:59:59 1940');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Aug 4 22:00:00 1940', 'Jun 30 20:59:59 1941', 'Aug 5 01:00:00 1940', 'Jun 30 23:59:59 1941');
timezone.add_rule('Europe/Riga', 'EEST', 1, 7200, 'Jun 30 21:00:00 1941', 'Nov 2 00:59:59 1942', 'Jun 30 23:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Riga', 'EET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Riga', 'EEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Riga', 'EET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Riga', 'EEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Riga', 'EET', 0, 3600, 'Oct 2 01:00:00 1944', 'Oct 12 22:59:59 1944', 'Oct 2 02:00:00 1944', 'Oct 12 23:59:59 1944');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Oct 12 23:00:00 1944', 'Mar 31 20:59:59 1981', 'Oct 13 02:00:00 1944', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Riga', 'EEST', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Riga', 'EEST', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Riga', 'EEST', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Riga', 'EEST', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Riga', 'EEST', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Riga', 'EEST', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Riga', 'EEST', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Riga', 'EEST', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Riga', 'EET', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 25 23:00:00 1989', 'Sep 23 23:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 25 00:00:00 1990', 'Sep 29 23:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Sep 30 00:00:00 1990', 'Mar 30 23:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 31 00:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Sep 29 00:00:00 1991', 'Mar 28 23:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 29 00:00:00 1992', 'Sep 26 23:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Sep 27 00:00:00 1992', 'Mar 27 23:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 28 00:00:00 1993', 'Sep 25 23:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Sep 26 00:00:00 1993', 'Mar 26 23:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 27 00:00:00 1994', 'Sep 24 23:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 26 00:00:00 1995', 'Sep 23 23:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Sep 24 00:00:00 1995', 'Mar 30 23:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 31 00:00:00 1996', 'Sep 28 23:59:59 1996', 'Mar 31 03:00:00 1996', 'Sep 29 02:59:59 1996');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Sep 29 00:00:00 1996', 'Mar 30 00:59:59 1997', 'Sep 29 02:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 04:00:00 1997', 'Oct 26 03:59:59 1997');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 04:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Europe/Riga', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Europe/Riga', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Rome
--

begin
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Jun 2 22:59:59 1916', 'Dec 14 21:45:52 1901', 'Jun 2 23:59:59 1916');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Jun 2 23:00:00 1916', 'Sep 30 22:59:59 1916', 'Jun 3 01:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Mar 31 22:59:59 1917', 'Oct 1 00:00:00 1916', 'Mar 31 23:59:59 1917');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 31 23:00:00 1917', 'Sep 29 22:59:59 1917', 'Apr 1 01:00:00 1917', 'Sep 30 00:59:59 1917');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 29 23:00:00 1917', 'Mar 9 22:59:59 1918', 'Sep 30 00:00:00 1917', 'Mar 9 23:59:59 1918');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 9 23:00:00 1918', 'Oct 5 22:59:59 1918', 'Mar 10 01:00:00 1918', 'Oct 6 00:59:59 1918');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 5 23:00:00 1918', 'Mar 1 22:59:59 1919', 'Oct 6 00:00:00 1918', 'Mar 1 23:59:59 1919');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 1 23:00:00 1919', 'Oct 4 22:59:59 1919', 'Mar 2 01:00:00 1919', 'Oct 5 00:59:59 1919');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 4 23:00:00 1919', 'Mar 20 22:59:59 1920', 'Oct 5 00:00:00 1919', 'Mar 20 23:59:59 1920');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 20 23:00:00 1920', 'Sep 18 22:59:59 1920', 'Mar 21 01:00:00 1920', 'Sep 19 00:59:59 1920');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 18 23:00:00 1920', 'Jun 14 22:59:59 1940', 'Sep 19 00:00:00 1920', 'Jun 14 23:59:59 1940');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Jun 14 23:00:00 1940', 'Nov 2 00:59:59 1942', 'Jun 15 01:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 16 22:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 17 00:59:59 1944');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 16 23:00:00 1944', 'Apr 2 00:59:59 1945', 'Sep 17 00:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 14 22:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 15 00:59:59 1945');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 14 23:00:00 1945', 'Mar 17 00:59:59 1946', 'Sep 15 00:00:00 1945', 'Mar 17 01:59:59 1946');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 17 01:00:00 1946', 'Oct 6 00:59:59 1946', 'Mar 17 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 6 01:00:00 1946', 'Mar 15 22:59:59 1947', 'Oct 6 02:00:00 1946', 'Mar 15 23:59:59 1947');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 15 23:00:00 1947', 'Oct 4 22:59:59 1947', 'Mar 16 01:00:00 1947', 'Oct 5 00:59:59 1947');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 4 23:00:00 1947', 'Feb 29 00:59:59 1948', 'Oct 5 00:00:00 1947', 'Feb 29 01:59:59 1948');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Feb 29 01:00:00 1948', 'Oct 3 00:59:59 1948', 'Feb 29 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 3 01:00:00 1948', 'May 21 22:59:59 1966', 'Oct 3 02:00:00 1948', 'May 21 23:59:59 1966');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 21 23:00:00 1966', 'Sep 24 21:59:59 1966', 'May 22 01:00:00 1966', 'Sep 24 23:59:59 1966');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 24 22:00:00 1966', 'May 27 22:59:59 1967', 'Sep 24 23:00:00 1966', 'May 27 23:59:59 1967');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 27 23:00:00 1967', 'Sep 23 21:59:59 1967', 'May 28 01:00:00 1967', 'Sep 23 23:59:59 1967');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 23 22:00:00 1967', 'May 25 22:59:59 1968', 'Sep 23 23:00:00 1967', 'May 25 23:59:59 1968');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 25 23:00:00 1968', 'Sep 21 21:59:59 1968', 'May 26 01:00:00 1968', 'Sep 21 23:59:59 1968');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 21 22:00:00 1968', 'May 31 22:59:59 1969', 'Sep 21 23:00:00 1968', 'May 31 23:59:59 1969');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 31 23:00:00 1969', 'Sep 27 21:59:59 1969', 'Jun 1 01:00:00 1969', 'Sep 27 23:59:59 1969');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 27 22:00:00 1969', 'May 30 22:59:59 1970', 'Sep 27 23:00:00 1969', 'May 30 23:59:59 1970');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 30 23:00:00 1970', 'Sep 26 21:59:59 1970', 'May 31 01:00:00 1970', 'Sep 26 23:59:59 1970');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 26 22:00:00 1970', 'May 22 22:59:59 1971', 'Sep 26 23:00:00 1970', 'May 22 23:59:59 1971');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 22 23:00:00 1971', 'Sep 25 22:59:59 1971', 'May 23 01:00:00 1971', 'Sep 26 00:59:59 1971');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 25 23:00:00 1971', 'May 27 22:59:59 1972', 'Sep 26 00:00:00 1971', 'May 27 23:59:59 1972');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 27 23:00:00 1972', 'Sep 30 21:59:59 1972', 'May 28 01:00:00 1972', 'Sep 30 23:59:59 1972');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 30 22:00:00 1972', 'Jun 2 22:59:59 1973', 'Sep 30 23:00:00 1972', 'Jun 2 23:59:59 1973');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Jun 2 23:00:00 1973', 'Sep 29 21:59:59 1973', 'Jun 3 01:00:00 1973', 'Sep 29 23:59:59 1973');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 29 22:00:00 1973', 'May 25 22:59:59 1974', 'Sep 29 23:00:00 1973', 'May 25 23:59:59 1974');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 25 23:00:00 1974', 'Sep 28 21:59:59 1974', 'May 26 01:00:00 1974', 'Sep 28 23:59:59 1974');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 28 22:00:00 1974', 'May 31 22:59:59 1975', 'Sep 28 23:00:00 1974', 'May 31 23:59:59 1975');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 31 23:00:00 1975', 'Sep 27 22:59:59 1975', 'Jun 1 01:00:00 1975', 'Sep 28 00:59:59 1975');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 27 23:00:00 1975', 'May 29 22:59:59 1976', 'Sep 28 00:00:00 1975', 'May 29 23:59:59 1976');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 29 23:00:00 1976', 'Sep 25 22:59:59 1976', 'May 30 01:00:00 1976', 'Sep 26 00:59:59 1976');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 25 23:00:00 1976', 'May 21 22:59:59 1977', 'Sep 26 00:00:00 1976', 'May 21 23:59:59 1977');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 21 23:00:00 1977', 'Sep 24 22:59:59 1977', 'May 22 01:00:00 1977', 'Sep 25 00:59:59 1977');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 24 23:00:00 1977', 'May 27 22:59:59 1978', 'Sep 25 00:00:00 1977', 'May 27 23:59:59 1978');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 27 23:00:00 1978', 'Sep 30 22:59:59 1978', 'May 28 01:00:00 1978', 'Oct 1 00:59:59 1978');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 30 23:00:00 1978', 'May 26 22:59:59 1979', 'Oct 1 00:00:00 1978', 'May 26 23:59:59 1979');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'May 26 23:00:00 1979', 'Sep 29 22:59:59 1979', 'May 27 01:00:00 1979', 'Sep 30 00:59:59 1979');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 29 23:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 00:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Rome', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Rome', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Samara
--

begin
timezone.add_rule('Europe/Samara', 'SAMT', 0, 12036, 'Dec 14 20:45:52 1901', 'May 1 20:39:23 1924', 'Dec 15 00:06:28 1901', 'May 1 23:59:59 1924');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 10800, 'May 1 20:39:24 1924', 'Feb 28 20:59:59 1957', 'May 1 23:39:24 1924', 'Feb 28 23:59:59 1957');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Feb 28 21:00:00 1957', 'Mar 31 19:59:59 1981', 'Mar 1 01:00:00 1957', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 31 20:00:00 1981', 'Sep 30 18:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 30 19:00:00 1981', 'Mar 31 19:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 31 20:00:00 1982', 'Sep 30 18:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 30 19:00:00 1982', 'Mar 31 19:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 31 20:00:00 1983', 'Sep 30 18:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 30 19:00:00 1983', 'Mar 31 19:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 31 20:00:00 1984', 'Sep 29 21:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 29 22:00:00 1984', 'Mar 30 21:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 30 22:00:00 1985', 'Sep 28 21:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 28 22:00:00 1985', 'Mar 29 21:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 29 22:00:00 1986', 'Sep 27 21:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 27 22:00:00 1986', 'Mar 28 21:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 28 22:00:00 1987', 'Sep 26 21:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 26 22:00:00 1987', 'Mar 26 21:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 26 22:00:00 1988', 'Sep 24 21:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 24 22:00:00 1988', 'Mar 25 21:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 25 22:00:00 1989', 'Sep 23 21:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 23 22:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 24 22:00:00 1990', 'Sep 29 21:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 29 22:00:00 1990', 'Mar 30 21:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 14400, 'Mar 30 22:00:00 1991', 'Sep 28 22:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 10800, 'Sep 28 23:00:00 1991', 'Jan 18 22:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Jan 18 23:00:00 1992', 'Mar 28 18:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 28 19:00:00 1992', 'Sep 26 17:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 26 18:00:00 1992', 'Mar 27 21:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 27 22:00:00 1993', 'Sep 25 21:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 25 22:00:00 1993', 'Mar 26 21:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 26 22:00:00 1994', 'Sep 24 21:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 24 22:00:00 1994', 'Mar 25 21:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 25 22:00:00 1995', 'Sep 23 21:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Sep 23 22:00:00 1995', 'Mar 30 21:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 30 22:00:00 1996', 'Oct 26 21:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 26 22:00:00 1996', 'Mar 29 21:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 29 22:00:00 1997', 'Oct 25 21:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 25 22:00:00 1997', 'Mar 28 21:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 28 22:00:00 1998', 'Oct 24 21:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 24 22:00:00 1998', 'Mar 27 21:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 27 22:00:00 1999', 'Oct 30 21:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 30 22:00:00 1999', 'Mar 25 21:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 25 22:00:00 2000', 'Oct 28 21:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 28 22:00:00 2000', 'Mar 24 21:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 24 22:00:00 2001', 'Oct 27 21:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 27 22:00:00 2001', 'Mar 30 21:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 30 22:00:00 2002', 'Oct 26 21:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 26 22:00:00 2002', 'Mar 29 21:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 29 22:00:00 2003', 'Oct 25 21:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 25 22:00:00 2003', 'Mar 27 21:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 27 22:00:00 2004', 'Oct 30 21:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 30 22:00:00 2004', 'Mar 26 21:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 26 22:00:00 2005', 'Oct 29 21:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 29 22:00:00 2005', 'Mar 25 21:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 25 22:00:00 2006', 'Oct 28 21:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 28 22:00:00 2006', 'Mar 24 21:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 24 22:00:00 2007', 'Oct 27 21:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 27 22:00:00 2007', 'Mar 29 21:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 29 22:00:00 2008', 'Oct 25 21:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 25 22:00:00 2008', 'Mar 28 21:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 28 22:00:00 2009', 'Oct 24 21:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 24 22:00:00 2009', 'Mar 27 21:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 27 22:00:00 2010', 'Oct 30 21:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 30 22:00:00 2010', 'Mar 26 21:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 26 22:00:00 2011', 'Oct 29 21:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 29 22:00:00 2011', 'Mar 24 21:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 24 22:00:00 2012', 'Oct 27 21:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 27 22:00:00 2012', 'Mar 30 21:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 30 22:00:00 2013', 'Oct 26 21:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 26 22:00:00 2013', 'Mar 29 21:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 29 22:00:00 2014', 'Oct 25 21:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 25 22:00:00 2014', 'Mar 28 21:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 28 22:00:00 2015', 'Oct 24 21:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 24 22:00:00 2015', 'Mar 26 21:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 26 22:00:00 2016', 'Oct 29 21:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 29 22:00:00 2016', 'Mar 25 21:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 25 22:00:00 2017', 'Oct 28 21:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 28 22:00:00 2017', 'Mar 24 21:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 24 22:00:00 2018', 'Oct 27 21:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 27 22:00:00 2018', 'Mar 30 21:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 30 22:00:00 2019', 'Oct 26 21:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 26 22:00:00 2019', 'Mar 28 21:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 28 22:00:00 2020', 'Oct 24 21:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 24 22:00:00 2020', 'Mar 27 21:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 27 22:00:00 2021', 'Oct 30 21:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 30 22:00:00 2021', 'Mar 26 21:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 26 22:00:00 2022', 'Oct 29 21:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 29 22:00:00 2022', 'Mar 25 21:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 25 22:00:00 2023', 'Oct 28 21:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 28 22:00:00 2023', 'Mar 30 21:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 30 22:00:00 2024', 'Oct 26 21:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 26 22:00:00 2024', 'Mar 29 21:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 29 22:00:00 2025', 'Oct 25 21:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 25 22:00:00 2025', 'Mar 28 21:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 28 22:00:00 2026', 'Oct 24 21:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 24 22:00:00 2026', 'Mar 27 21:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 27 22:00:00 2027', 'Oct 30 21:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 30 22:00:00 2027', 'Mar 25 21:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 25 22:00:00 2028', 'Oct 28 21:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 28 22:00:00 2028', 'Mar 24 21:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 24 22:00:00 2029', 'Oct 27 21:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 27 22:00:00 2029', 'Mar 30 21:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 30 22:00:00 2030', 'Oct 26 21:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 26 22:00:00 2030', 'Mar 29 21:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 29 22:00:00 2031', 'Oct 25 21:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 25 22:00:00 2031', 'Mar 27 21:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 27 22:00:00 2032', 'Oct 30 21:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 30 22:00:00 2032', 'Mar 26 21:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 26 22:00:00 2033', 'Oct 29 21:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 29 22:00:00 2033', 'Mar 25 21:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 25 22:00:00 2034', 'Oct 28 21:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 28 22:00:00 2034', 'Mar 24 21:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 24 22:00:00 2035', 'Oct 27 21:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 27 22:00:00 2035', 'Mar 29 21:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 29 22:00:00 2036', 'Oct 25 21:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 25 22:00:00 2036', 'Mar 28 21:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Samara', 'SAMST', 1, 18000, 'Mar 28 22:00:00 2037', 'Oct 24 21:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Samara', 'SAMT', 0, 14400, 'Oct 24 22:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 07:14:07 2038');
end;
/

--
-- Europe/San_Marino
--

begin
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Jun 2 22:59:59 1916', 'Dec 14 21:45:52 1901', 'Jun 2 23:59:59 1916');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Jun 2 23:00:00 1916', 'Sep 30 22:59:59 1916', 'Jun 3 01:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Mar 31 22:59:59 1917', 'Oct 1 00:00:00 1916', 'Mar 31 23:59:59 1917');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 31 23:00:00 1917', 'Sep 29 22:59:59 1917', 'Apr 1 01:00:00 1917', 'Sep 30 00:59:59 1917');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 29 23:00:00 1917', 'Mar 9 22:59:59 1918', 'Sep 30 00:00:00 1917', 'Mar 9 23:59:59 1918');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 9 23:00:00 1918', 'Oct 5 22:59:59 1918', 'Mar 10 01:00:00 1918', 'Oct 6 00:59:59 1918');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 5 23:00:00 1918', 'Mar 1 22:59:59 1919', 'Oct 6 00:00:00 1918', 'Mar 1 23:59:59 1919');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 1 23:00:00 1919', 'Oct 4 22:59:59 1919', 'Mar 2 01:00:00 1919', 'Oct 5 00:59:59 1919');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 4 23:00:00 1919', 'Mar 20 22:59:59 1920', 'Oct 5 00:00:00 1919', 'Mar 20 23:59:59 1920');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 20 23:00:00 1920', 'Sep 18 22:59:59 1920', 'Mar 21 01:00:00 1920', 'Sep 19 00:59:59 1920');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 18 23:00:00 1920', 'Jun 14 22:59:59 1940', 'Sep 19 00:00:00 1920', 'Jun 14 23:59:59 1940');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Jun 14 23:00:00 1940', 'Nov 2 00:59:59 1942', 'Jun 15 01:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 16 22:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 17 00:59:59 1944');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 16 23:00:00 1944', 'Apr 2 00:59:59 1945', 'Sep 17 00:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 14 22:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 15 00:59:59 1945');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 14 23:00:00 1945', 'Mar 17 00:59:59 1946', 'Sep 15 00:00:00 1945', 'Mar 17 01:59:59 1946');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 17 01:00:00 1946', 'Oct 6 00:59:59 1946', 'Mar 17 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 6 01:00:00 1946', 'Mar 15 22:59:59 1947', 'Oct 6 02:00:00 1946', 'Mar 15 23:59:59 1947');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 15 23:00:00 1947', 'Oct 4 22:59:59 1947', 'Mar 16 01:00:00 1947', 'Oct 5 00:59:59 1947');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 4 23:00:00 1947', 'Feb 29 00:59:59 1948', 'Oct 5 00:00:00 1947', 'Feb 29 01:59:59 1948');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Feb 29 01:00:00 1948', 'Oct 3 00:59:59 1948', 'Feb 29 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 3 01:00:00 1948', 'May 21 22:59:59 1966', 'Oct 3 02:00:00 1948', 'May 21 23:59:59 1966');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 21 23:00:00 1966', 'Sep 24 21:59:59 1966', 'May 22 01:00:00 1966', 'Sep 24 23:59:59 1966');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 24 22:00:00 1966', 'May 27 22:59:59 1967', 'Sep 24 23:00:00 1966', 'May 27 23:59:59 1967');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 27 23:00:00 1967', 'Sep 23 21:59:59 1967', 'May 28 01:00:00 1967', 'Sep 23 23:59:59 1967');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 23 22:00:00 1967', 'May 25 22:59:59 1968', 'Sep 23 23:00:00 1967', 'May 25 23:59:59 1968');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 25 23:00:00 1968', 'Sep 21 21:59:59 1968', 'May 26 01:00:00 1968', 'Sep 21 23:59:59 1968');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 21 22:00:00 1968', 'May 31 22:59:59 1969', 'Sep 21 23:00:00 1968', 'May 31 23:59:59 1969');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 31 23:00:00 1969', 'Sep 27 21:59:59 1969', 'Jun 1 01:00:00 1969', 'Sep 27 23:59:59 1969');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 27 22:00:00 1969', 'May 30 22:59:59 1970', 'Sep 27 23:00:00 1969', 'May 30 23:59:59 1970');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 30 23:00:00 1970', 'Sep 26 21:59:59 1970', 'May 31 01:00:00 1970', 'Sep 26 23:59:59 1970');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 26 22:00:00 1970', 'May 22 22:59:59 1971', 'Sep 26 23:00:00 1970', 'May 22 23:59:59 1971');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 22 23:00:00 1971', 'Sep 25 22:59:59 1971', 'May 23 01:00:00 1971', 'Sep 26 00:59:59 1971');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 25 23:00:00 1971', 'May 27 22:59:59 1972', 'Sep 26 00:00:00 1971', 'May 27 23:59:59 1972');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 27 23:00:00 1972', 'Sep 30 21:59:59 1972', 'May 28 01:00:00 1972', 'Sep 30 23:59:59 1972');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 30 22:00:00 1972', 'Jun 2 22:59:59 1973', 'Sep 30 23:00:00 1972', 'Jun 2 23:59:59 1973');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Jun 2 23:00:00 1973', 'Sep 29 21:59:59 1973', 'Jun 3 01:00:00 1973', 'Sep 29 23:59:59 1973');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 29 22:00:00 1973', 'May 25 22:59:59 1974', 'Sep 29 23:00:00 1973', 'May 25 23:59:59 1974');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 25 23:00:00 1974', 'Sep 28 21:59:59 1974', 'May 26 01:00:00 1974', 'Sep 28 23:59:59 1974');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 28 22:00:00 1974', 'May 31 22:59:59 1975', 'Sep 28 23:00:00 1974', 'May 31 23:59:59 1975');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 31 23:00:00 1975', 'Sep 27 22:59:59 1975', 'Jun 1 01:00:00 1975', 'Sep 28 00:59:59 1975');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 27 23:00:00 1975', 'May 29 22:59:59 1976', 'Sep 28 00:00:00 1975', 'May 29 23:59:59 1976');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 29 23:00:00 1976', 'Sep 25 22:59:59 1976', 'May 30 01:00:00 1976', 'Sep 26 00:59:59 1976');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 25 23:00:00 1976', 'May 21 22:59:59 1977', 'Sep 26 00:00:00 1976', 'May 21 23:59:59 1977');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 21 23:00:00 1977', 'Sep 24 22:59:59 1977', 'May 22 01:00:00 1977', 'Sep 25 00:59:59 1977');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 24 23:00:00 1977', 'May 27 22:59:59 1978', 'Sep 25 00:00:00 1977', 'May 27 23:59:59 1978');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 27 23:00:00 1978', 'Sep 30 22:59:59 1978', 'May 28 01:00:00 1978', 'Oct 1 00:59:59 1978');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 30 23:00:00 1978', 'May 26 22:59:59 1979', 'Oct 1 00:00:00 1978', 'May 26 23:59:59 1979');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'May 26 23:00:00 1979', 'Sep 29 22:59:59 1979', 'May 27 01:00:00 1979', 'Sep 30 00:59:59 1979');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 29 23:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 00:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/San_Marino', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/San_Marino', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Sarajevo
--

begin
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 18 21:59:59 1941', 'Dec 14 21:45:52 1901', 'Apr 18 22:59:59 1941');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Apr 18 22:00:00 1941', 'Nov 2 00:59:59 1942', 'Apr 19 00:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'May 8 00:59:59 1945', 'Oct 2 02:00:00 1944', 'May 8 01:59:59 1945');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'May 8 01:00:00 1945', 'Sep 16 00:59:59 1945', 'May 8 03:00:00 1945', 'Sep 16 02:59:59 1945');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 16 01:00:00 1945', 'Mar 27 00:59:59 1983', 'Sep 16 02:00:00 1945', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Sarajevo', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Sarajevo', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Simferopol
--

begin
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7680, 'Dec 14 20:45:52 1901', 'Jul 1 20:51:59 1917', 'Dec 14 22:53:52 1901', 'Jul 1 22:59:59 1917');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 11280, 'Jul 1 20:52:00 1917', 'Dec 27 20:51:59 1917', 'Jul 2 00:00:00 1917', 'Dec 27 23:59:59 1917');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7680, 'Dec 27 20:52:00 1917', 'May 31 19:51:59 1918', 'Dec 27 23:00:00 1917', 'May 31 21:59:59 1918');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14880, 'May 31 19:52:00 1918', 'Sep 16 19:51:59 1918', 'Jun 1 00:00:00 1918', 'Sep 16 23:59:59 1918');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 11280, 'Sep 16 19:52:00 1918', 'May 31 19:51:59 1919', 'Sep 16 23:00:00 1918', 'May 31 22:59:59 1919');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14880, 'May 31 19:52:00 1919', 'Jun 30 21:51:59 1919', 'Jun 1 00:00:00 1919', 'Jul 1 01:59:59 1919');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 11280, 'Jun 30 21:52:00 1919', 'Aug 15 20:51:59 1919', 'Jul 1 01:00:00 1919', 'Aug 15 23:59:59 1919');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7680, 'Aug 15 20:52:00 1919', 'Feb 14 20:51:59 1921', 'Aug 15 23:00:00 1919', 'Feb 14 22:59:59 1921');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 11280, 'Feb 14 20:52:00 1921', 'Mar 21 19:51:59 1921', 'Feb 15 00:00:00 1921', 'Mar 21 22:59:59 1921');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14880, 'Mar 21 19:52:00 1921', 'Aug 31 19:51:59 1921', 'Mar 22 00:00:00 1921', 'Aug 31 23:59:59 1921');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 11280, 'Aug 31 19:52:00 1921', 'Sep 30 20:51:59 1921', 'Aug 31 23:00:00 1921', 'Sep 30 23:59:59 1921');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7680, 'Sep 30 20:52:00 1921', 'May 1 21:51:59 1924', 'Sep 30 23:00:00 1921', 'May 1 23:59:59 1924');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'May 1 21:52:00 1924', 'Jun 20 21:59:59 1930', 'May 1 23:52:00 1924', 'Jun 20 23:59:59 1930');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Jun 20 22:00:00 1930', 'Mar 31 20:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 23 23:00:00 1989', 'Mar 24 22:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 24 23:00:00 1990', 'Sep 29 22:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 29 23:00:00 1990', 'Mar 30 22:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 30 23:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Sep 29 00:00:00 1991', 'Mar 28 23:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 29 00:00:00 1992', 'Sep 26 23:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Sep 27 00:00:00 1992', 'Mar 27 23:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 28 00:00:00 1993', 'Sep 25 23:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Sep 26 00:00:00 1993', 'Jan 31 21:59:59 1994', 'Sep 26 02:00:00 1993', 'Jan 31 23:59:59 1994');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Jan 31 22:00:00 1994', 'Mar 26 20:59:59 1994', 'Feb 1 01:00:00 1994', 'Mar 26 23:59:59 1994');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 26 21:00:00 1994', 'Sep 24 19:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 24 20:00:00 1994', 'Mar 25 20:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 25 21:00:00 1995', 'Sep 23 19:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Sep 23 20:00:00 1995', 'Mar 30 23:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 14400, 'Mar 31 00:00:00 1996', 'Oct 26 23:59:59 1996', 'Mar 31 04:00:00 1996', 'Oct 27 03:59:59 1996');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 10800, 'Oct 27 00:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 03:59:59 1997');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 04:00:00 1997', 'Oct 26 03:59:59 1997');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 04:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Europe/Simferopol', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Europe/Simferopol', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Skopje
--

begin
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 18 21:59:59 1941', 'Dec 14 21:45:52 1901', 'Apr 18 22:59:59 1941');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Apr 18 22:00:00 1941', 'Nov 2 00:59:59 1942', 'Apr 19 00:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'May 8 00:59:59 1945', 'Oct 2 02:00:00 1944', 'May 8 01:59:59 1945');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'May 8 01:00:00 1945', 'Sep 16 00:59:59 1945', 'May 8 03:00:00 1945', 'Sep 16 02:59:59 1945');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 16 01:00:00 1945', 'Mar 27 00:59:59 1983', 'Sep 16 02:00:00 1945', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Skopje', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Skopje', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Sofia
--

begin
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Dec 14 20:45:52 1901', 'Nov 2 00:59:59 1942', 'Dec 14 22:45:52 1901', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Sofia', 'EET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Sofia', 'EET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Sofia', 'EET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 2 01:59:59 1945', 'Oct 2 02:00:00 1944', 'Apr 2 02:59:59 1945');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Apr 2 02:00:00 1945', 'Mar 31 20:59:59 1979', 'Apr 2 04:00:00 1945', 'Mar 31 22:59:59 1979');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 31 21:00:00 1979', 'Sep 30 21:59:59 1979', 'Apr 1 00:00:00 1979', 'Oct 1 00:59:59 1979');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 30 22:00:00 1979', 'Apr 5 20:59:59 1980', 'Oct 1 00:00:00 1979', 'Apr 5 22:59:59 1980');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Apr 5 21:00:00 1980', 'Sep 28 21:59:59 1980', 'Apr 6 00:00:00 1980', 'Sep 29 00:59:59 1980');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 28 22:00:00 1980', 'Apr 4 20:59:59 1981', 'Sep 29 00:00:00 1980', 'Apr 4 22:59:59 1981');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Apr 4 21:00:00 1981', 'Sep 26 22:59:59 1981', 'Apr 5 00:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 26 23:00:00 1981', 'Apr 3 20:59:59 1982', 'Sep 27 01:00:00 1981', 'Apr 3 22:59:59 1982');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Apr 3 21:00:00 1982', 'Sep 25 23:59:59 1982', 'Apr 4 00:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 26 00:00:00 1982', 'Mar 26 23:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 27 00:00:00 1983', 'Sep 24 23:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 25 00:00:00 1983', 'Mar 24 23:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 25 00:00:00 1984', 'Sep 29 23:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 30 00:00:00 1984', 'Mar 30 23:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 31 00:00:00 1985', 'Sep 28 23:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 29 00:00:00 1985', 'Mar 29 23:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 30 00:00:00 1986', 'Sep 27 23:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 28 00:00:00 1986', 'Mar 28 23:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 29 00:00:00 1987', 'Sep 26 23:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 27 00:00:00 1987', 'Mar 26 23:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 27 00:00:00 1988', 'Sep 24 23:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 25 00:00:00 1988', 'Mar 25 23:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 26 00:00:00 1989', 'Sep 23 23:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 25 00:00:00 1990', 'Sep 29 23:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 30 00:00:00 1990', 'Mar 30 21:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 30 23:59:59 1991');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 30 22:00:00 1991', 'Sep 28 20:59:59 1991', 'Mar 31 01:00:00 1991', 'Sep 28 23:59:59 1991');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 28 21:00:00 1991', 'Mar 28 21:59:59 1992', 'Sep 28 23:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 28 22:00:00 1992', 'Sep 26 20:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 26 23:59:59 1992');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 26 21:00:00 1992', 'Mar 27 21:59:59 1993', 'Sep 26 23:00:00 1992', 'Mar 27 23:59:59 1993');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 27 22:00:00 1993', 'Sep 25 20:59:59 1993', 'Mar 28 01:00:00 1993', 'Sep 25 23:59:59 1993');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 25 21:00:00 1993', 'Mar 26 21:59:59 1994', 'Sep 25 23:00:00 1993', 'Mar 26 23:59:59 1994');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 26 22:00:00 1994', 'Sep 24 20:59:59 1994', 'Mar 27 01:00:00 1994', 'Sep 24 23:59:59 1994');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 24 21:00:00 1994', 'Mar 25 21:59:59 1995', 'Sep 24 23:00:00 1994', 'Mar 25 23:59:59 1995');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 25 22:00:00 1995', 'Sep 23 20:59:59 1995', 'Mar 26 01:00:00 1995', 'Sep 23 23:59:59 1995');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Sep 23 21:00:00 1995', 'Mar 30 21:59:59 1996', 'Sep 23 23:00:00 1995', 'Mar 30 23:59:59 1996');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 30 22:00:00 1996', 'Oct 26 20:59:59 1996', 'Mar 31 01:00:00 1996', 'Oct 26 23:59:59 1996');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 26 21:00:00 1996', 'Mar 29 21:59:59 1997', 'Oct 26 23:00:00 1996', 'Mar 29 23:59:59 1997');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 29 22:00:00 1997', 'Oct 25 20:59:59 1997', 'Mar 30 01:00:00 1997', 'Oct 25 23:59:59 1997');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 25 21:00:00 1997', 'Mar 28 21:59:59 1998', 'Oct 25 23:00:00 1997', 'Mar 28 23:59:59 1998');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 28 22:00:00 1998', 'Oct 24 20:59:59 1998', 'Mar 29 01:00:00 1998', 'Oct 24 23:59:59 1998');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 24 21:00:00 1998', 'Mar 27 21:59:59 1999', 'Oct 24 23:00:00 1998', 'Mar 27 23:59:59 1999');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 27 22:00:00 1999', 'Oct 30 20:59:59 1999', 'Mar 28 01:00:00 1999', 'Oct 30 23:59:59 1999');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 30 21:00:00 1999', 'Mar 25 21:59:59 2000', 'Oct 30 23:00:00 1999', 'Mar 25 23:59:59 2000');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 25 22:00:00 2000', 'Oct 28 20:59:59 2000', 'Mar 26 01:00:00 2000', 'Oct 28 23:59:59 2000');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 28 21:00:00 2000', 'Mar 24 21:59:59 2001', 'Oct 28 23:00:00 2000', 'Mar 24 23:59:59 2001');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 24 22:00:00 2001', 'Oct 27 20:59:59 2001', 'Mar 25 01:00:00 2001', 'Oct 27 23:59:59 2001');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 27 21:00:00 2001', 'Mar 30 21:59:59 2002', 'Oct 27 23:00:00 2001', 'Mar 30 23:59:59 2002');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 30 22:00:00 2002', 'Oct 26 20:59:59 2002', 'Mar 31 01:00:00 2002', 'Oct 26 23:59:59 2002');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 26 21:00:00 2002', 'Mar 29 21:59:59 2003', 'Oct 26 23:00:00 2002', 'Mar 29 23:59:59 2003');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 29 22:00:00 2003', 'Oct 25 20:59:59 2003', 'Mar 30 01:00:00 2003', 'Oct 25 23:59:59 2003');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 25 21:00:00 2003', 'Mar 27 21:59:59 2004', 'Oct 25 23:00:00 2003', 'Mar 27 23:59:59 2004');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 27 22:00:00 2004', 'Oct 30 20:59:59 2004', 'Mar 28 01:00:00 2004', 'Oct 30 23:59:59 2004');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 30 21:00:00 2004', 'Mar 26 21:59:59 2005', 'Oct 30 23:00:00 2004', 'Mar 26 23:59:59 2005');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 26 22:00:00 2005', 'Oct 29 20:59:59 2005', 'Mar 27 01:00:00 2005', 'Oct 29 23:59:59 2005');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 29 21:00:00 2005', 'Mar 25 21:59:59 2006', 'Oct 29 23:00:00 2005', 'Mar 25 23:59:59 2006');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 25 22:00:00 2006', 'Oct 28 20:59:59 2006', 'Mar 26 01:00:00 2006', 'Oct 28 23:59:59 2006');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 28 21:00:00 2006', 'Mar 24 21:59:59 2007', 'Oct 28 23:00:00 2006', 'Mar 24 23:59:59 2007');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 24 22:00:00 2007', 'Oct 27 20:59:59 2007', 'Mar 25 01:00:00 2007', 'Oct 27 23:59:59 2007');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 27 21:00:00 2007', 'Mar 29 21:59:59 2008', 'Oct 27 23:00:00 2007', 'Mar 29 23:59:59 2008');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 29 22:00:00 2008', 'Oct 25 20:59:59 2008', 'Mar 30 01:00:00 2008', 'Oct 25 23:59:59 2008');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 25 21:00:00 2008', 'Mar 28 21:59:59 2009', 'Oct 25 23:00:00 2008', 'Mar 28 23:59:59 2009');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 28 22:00:00 2009', 'Oct 24 20:59:59 2009', 'Mar 29 01:00:00 2009', 'Oct 24 23:59:59 2009');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 24 21:00:00 2009', 'Mar 27 21:59:59 2010', 'Oct 24 23:00:00 2009', 'Mar 27 23:59:59 2010');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 27 22:00:00 2010', 'Oct 30 20:59:59 2010', 'Mar 28 01:00:00 2010', 'Oct 30 23:59:59 2010');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 30 21:00:00 2010', 'Mar 26 21:59:59 2011', 'Oct 30 23:00:00 2010', 'Mar 26 23:59:59 2011');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 26 22:00:00 2011', 'Oct 29 20:59:59 2011', 'Mar 27 01:00:00 2011', 'Oct 29 23:59:59 2011');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 29 21:00:00 2011', 'Mar 24 21:59:59 2012', 'Oct 29 23:00:00 2011', 'Mar 24 23:59:59 2012');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 24 22:00:00 2012', 'Oct 27 20:59:59 2012', 'Mar 25 01:00:00 2012', 'Oct 27 23:59:59 2012');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 27 21:00:00 2012', 'Mar 30 21:59:59 2013', 'Oct 27 23:00:00 2012', 'Mar 30 23:59:59 2013');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 30 22:00:00 2013', 'Oct 26 20:59:59 2013', 'Mar 31 01:00:00 2013', 'Oct 26 23:59:59 2013');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 26 21:00:00 2013', 'Mar 29 21:59:59 2014', 'Oct 26 23:00:00 2013', 'Mar 29 23:59:59 2014');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 29 22:00:00 2014', 'Oct 25 20:59:59 2014', 'Mar 30 01:00:00 2014', 'Oct 25 23:59:59 2014');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 25 21:00:00 2014', 'Mar 28 21:59:59 2015', 'Oct 25 23:00:00 2014', 'Mar 28 23:59:59 2015');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 28 22:00:00 2015', 'Oct 24 20:59:59 2015', 'Mar 29 01:00:00 2015', 'Oct 24 23:59:59 2015');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 24 21:00:00 2015', 'Mar 26 21:59:59 2016', 'Oct 24 23:00:00 2015', 'Mar 26 23:59:59 2016');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 26 22:00:00 2016', 'Oct 29 20:59:59 2016', 'Mar 27 01:00:00 2016', 'Oct 29 23:59:59 2016');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 29 21:00:00 2016', 'Mar 25 21:59:59 2017', 'Oct 29 23:00:00 2016', 'Mar 25 23:59:59 2017');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 25 22:00:00 2017', 'Oct 28 20:59:59 2017', 'Mar 26 01:00:00 2017', 'Oct 28 23:59:59 2017');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 28 21:00:00 2017', 'Mar 24 21:59:59 2018', 'Oct 28 23:00:00 2017', 'Mar 24 23:59:59 2018');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 24 22:00:00 2018', 'Oct 27 20:59:59 2018', 'Mar 25 01:00:00 2018', 'Oct 27 23:59:59 2018');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 27 21:00:00 2018', 'Mar 30 21:59:59 2019', 'Oct 27 23:00:00 2018', 'Mar 30 23:59:59 2019');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 30 22:00:00 2019', 'Oct 26 20:59:59 2019', 'Mar 31 01:00:00 2019', 'Oct 26 23:59:59 2019');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 26 21:00:00 2019', 'Mar 28 21:59:59 2020', 'Oct 26 23:00:00 2019', 'Mar 28 23:59:59 2020');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 28 22:00:00 2020', 'Oct 24 20:59:59 2020', 'Mar 29 01:00:00 2020', 'Oct 24 23:59:59 2020');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 24 21:00:00 2020', 'Mar 27 21:59:59 2021', 'Oct 24 23:00:00 2020', 'Mar 27 23:59:59 2021');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 27 22:00:00 2021', 'Oct 30 20:59:59 2021', 'Mar 28 01:00:00 2021', 'Oct 30 23:59:59 2021');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 30 21:00:00 2021', 'Mar 26 21:59:59 2022', 'Oct 30 23:00:00 2021', 'Mar 26 23:59:59 2022');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 26 22:00:00 2022', 'Oct 29 20:59:59 2022', 'Mar 27 01:00:00 2022', 'Oct 29 23:59:59 2022');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 29 21:00:00 2022', 'Mar 25 21:59:59 2023', 'Oct 29 23:00:00 2022', 'Mar 25 23:59:59 2023');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 25 22:00:00 2023', 'Oct 28 20:59:59 2023', 'Mar 26 01:00:00 2023', 'Oct 28 23:59:59 2023');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 28 21:00:00 2023', 'Mar 30 21:59:59 2024', 'Oct 28 23:00:00 2023', 'Mar 30 23:59:59 2024');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 30 22:00:00 2024', 'Oct 26 20:59:59 2024', 'Mar 31 01:00:00 2024', 'Oct 26 23:59:59 2024');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 26 21:00:00 2024', 'Mar 29 21:59:59 2025', 'Oct 26 23:00:00 2024', 'Mar 29 23:59:59 2025');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 29 22:00:00 2025', 'Oct 25 20:59:59 2025', 'Mar 30 01:00:00 2025', 'Oct 25 23:59:59 2025');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 25 21:00:00 2025', 'Mar 28 21:59:59 2026', 'Oct 25 23:00:00 2025', 'Mar 28 23:59:59 2026');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 28 22:00:00 2026', 'Oct 24 20:59:59 2026', 'Mar 29 01:00:00 2026', 'Oct 24 23:59:59 2026');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 24 21:00:00 2026', 'Mar 27 21:59:59 2027', 'Oct 24 23:00:00 2026', 'Mar 27 23:59:59 2027');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 27 22:00:00 2027', 'Oct 30 20:59:59 2027', 'Mar 28 01:00:00 2027', 'Oct 30 23:59:59 2027');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 30 21:00:00 2027', 'Mar 25 21:59:59 2028', 'Oct 30 23:00:00 2027', 'Mar 25 23:59:59 2028');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 25 22:00:00 2028', 'Oct 28 20:59:59 2028', 'Mar 26 01:00:00 2028', 'Oct 28 23:59:59 2028');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 28 21:00:00 2028', 'Mar 24 21:59:59 2029', 'Oct 28 23:00:00 2028', 'Mar 24 23:59:59 2029');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 24 22:00:00 2029', 'Oct 27 20:59:59 2029', 'Mar 25 01:00:00 2029', 'Oct 27 23:59:59 2029');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 27 21:00:00 2029', 'Mar 30 21:59:59 2030', 'Oct 27 23:00:00 2029', 'Mar 30 23:59:59 2030');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 30 22:00:00 2030', 'Oct 26 20:59:59 2030', 'Mar 31 01:00:00 2030', 'Oct 26 23:59:59 2030');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 26 21:00:00 2030', 'Mar 29 21:59:59 2031', 'Oct 26 23:00:00 2030', 'Mar 29 23:59:59 2031');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 29 22:00:00 2031', 'Oct 25 20:59:59 2031', 'Mar 30 01:00:00 2031', 'Oct 25 23:59:59 2031');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 25 21:00:00 2031', 'Mar 27 21:59:59 2032', 'Oct 25 23:00:00 2031', 'Mar 27 23:59:59 2032');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 27 22:00:00 2032', 'Oct 30 20:59:59 2032', 'Mar 28 01:00:00 2032', 'Oct 30 23:59:59 2032');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 30 21:00:00 2032', 'Mar 26 21:59:59 2033', 'Oct 30 23:00:00 2032', 'Mar 26 23:59:59 2033');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 26 22:00:00 2033', 'Oct 29 20:59:59 2033', 'Mar 27 01:00:00 2033', 'Oct 29 23:59:59 2033');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 29 21:00:00 2033', 'Mar 25 21:59:59 2034', 'Oct 29 23:00:00 2033', 'Mar 25 23:59:59 2034');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 25 22:00:00 2034', 'Oct 28 20:59:59 2034', 'Mar 26 01:00:00 2034', 'Oct 28 23:59:59 2034');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 28 21:00:00 2034', 'Mar 24 21:59:59 2035', 'Oct 28 23:00:00 2034', 'Mar 24 23:59:59 2035');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 24 22:00:00 2035', 'Oct 27 20:59:59 2035', 'Mar 25 01:00:00 2035', 'Oct 27 23:59:59 2035');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 27 21:00:00 2035', 'Mar 29 21:59:59 2036', 'Oct 27 23:00:00 2035', 'Mar 29 23:59:59 2036');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 29 22:00:00 2036', 'Oct 25 20:59:59 2036', 'Mar 30 01:00:00 2036', 'Oct 25 23:59:59 2036');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 25 21:00:00 2036', 'Mar 28 21:59:59 2037', 'Oct 25 23:00:00 2036', 'Mar 28 23:59:59 2037');
timezone.add_rule('Europe/Sofia', 'EEST', 1, 10800, 'Mar 28 22:00:00 2037', 'Oct 24 20:59:59 2037', 'Mar 29 01:00:00 2037', 'Oct 24 23:59:59 2037');
timezone.add_rule('Europe/Sofia', 'EET', 0, 7200, 'Oct 24 21:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 24 23:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Stockholm
--

begin
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 14 21:59:59 1916', 'Dec 14 21:45:52 1901', 'Apr 14 22:59:59 1916');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Apr 14 22:00:00 1916', 'Sep 30 21:59:59 1916', 'Apr 15 00:00:00 1916', 'Sep 30 23:59:59 1916');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 30 22:00:00 1916', 'Apr 6 00:59:59 1980', 'Sep 30 23:00:00 1916', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Stockholm', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Stockholm', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Tallinn
--

begin
timezone.add_rule('Europe/Tallinn', 'EET', 0, 5940, 'Dec 14 20:45:52 1901', 'Jan 31 22:20:59 1918', 'Dec 14 22:24:52 1901', 'Jan 31 23:59:59 1918');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 3600, 'Jan 31 22:21:00 1918', 'Apr 15 00:59:59 1918', 'Jan 31 23:21:00 1918', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 3600, 'Sep 16 01:00:00 1918', 'Jun 30 22:59:59 1919', 'Sep 16 02:00:00 1918', 'Jun 30 23:59:59 1919');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 5940, 'Jun 30 23:00:00 1919', 'Apr 30 22:20:59 1921', 'Jul 1 00:39:00 1919', 'Apr 30 23:59:59 1921');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Apr 30 22:21:00 1921', 'Aug 5 21:59:59 1940', 'May 1 00:21:00 1921', 'Aug 5 23:59:59 1940');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Aug 5 22:00:00 1940', 'Sep 14 20:59:59 1941', 'Aug 6 01:00:00 1940', 'Sep 14 23:59:59 1941');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 7200, 'Sep 14 21:00:00 1941', 'Nov 2 00:59:59 1942', 'Sep 14 23:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 21 21:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 21 23:59:59 1944');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Sep 21 22:00:00 1944', 'Mar 31 20:59:59 1981', 'Sep 22 01:00:00 1944', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 25 23:00:00 1989', 'Sep 23 23:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 25 00:00:00 1990', 'Sep 29 23:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Sep 30 00:00:00 1990', 'Mar 30 23:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 31 00:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Sep 29 00:00:00 1991', 'Mar 28 23:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 29 00:00:00 1992', 'Sep 26 23:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Sep 27 00:00:00 1992', 'Mar 27 23:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 28 00:00:00 1993', 'Sep 25 23:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Sep 26 00:00:00 1993', 'Mar 26 23:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 27 00:00:00 1994', 'Sep 24 23:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 26 00:00:00 1995', 'Sep 23 23:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Sep 24 00:00:00 1995', 'Mar 30 23:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 31 00:00:00 1996', 'Oct 26 23:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 27 00:00:00 1996', 'Mar 29 23:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 30 00:00:00 1997', 'Oct 25 23:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 26 00:00:00 1997', 'Mar 28 23:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 29 00:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Europe/Tallinn', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Europe/Tallinn', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Europe/Tirane
--

begin
timezone.add_rule('Europe/Tirane', 'CET', 0, 4760, 'Dec 14 20:45:52 1901', 'Dec 31 22:40:39 1913', 'Dec 14 22:05:12 1901', 'Dec 31 23:59:59 1913');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Dec 31 22:40:40 1913', 'Jun 15 22:59:59 1940', 'Dec 31 23:40:40 1913', 'Jun 15 23:59:59 1940');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Jun 15 23:00:00 1940', 'Nov 2 00:59:59 1942', 'Jun 16 01:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Apr 10 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Apr 10 02:59:59 1943');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Apr 10 01:00:00 1943', 'May 3 22:59:59 1974', 'Apr 10 02:00:00 1943', 'May 3 23:59:59 1974');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'May 3 23:00:00 1974', 'Oct 1 21:59:59 1974', 'May 4 01:00:00 1974', 'Oct 1 23:59:59 1974');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 1 22:00:00 1974', 'Apr 30 22:59:59 1975', 'Oct 1 23:00:00 1974', 'Apr 30 23:59:59 1975');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Apr 30 23:00:00 1975', 'Oct 1 21:59:59 1975', 'May 1 01:00:00 1975', 'Oct 1 23:59:59 1975');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 1 22:00:00 1975', 'May 1 22:59:59 1976', 'Oct 1 23:00:00 1975', 'May 1 23:59:59 1976');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'May 1 23:00:00 1976', 'Oct 2 21:59:59 1976', 'May 2 01:00:00 1976', 'Oct 2 23:59:59 1976');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 2 22:00:00 1976', 'May 7 22:59:59 1977', 'Oct 2 23:00:00 1976', 'May 7 23:59:59 1977');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'May 7 23:00:00 1977', 'Oct 1 21:59:59 1977', 'May 8 01:00:00 1977', 'Oct 1 23:59:59 1977');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 1 22:00:00 1977', 'May 5 22:59:59 1978', 'Oct 1 23:00:00 1977', 'May 5 23:59:59 1978');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'May 5 23:00:00 1978', 'Sep 30 21:59:59 1978', 'May 6 01:00:00 1978', 'Sep 30 23:59:59 1978');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 30 22:00:00 1978', 'May 4 22:59:59 1979', 'Sep 30 23:00:00 1978', 'May 4 23:59:59 1979');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'May 4 23:00:00 1979', 'Sep 29 21:59:59 1979', 'May 5 01:00:00 1979', 'Sep 29 23:59:59 1979');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 29 22:00:00 1979', 'May 2 22:59:59 1980', 'Sep 29 23:00:00 1979', 'May 2 23:59:59 1980');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'May 2 23:00:00 1980', 'Oct 3 21:59:59 1980', 'May 3 01:00:00 1980', 'Oct 3 23:59:59 1980');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 3 22:00:00 1980', 'Apr 25 22:59:59 1981', 'Oct 3 23:00:00 1980', 'Apr 25 23:59:59 1981');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Apr 25 23:00:00 1981', 'Sep 26 21:59:59 1981', 'Apr 26 01:00:00 1981', 'Sep 26 23:59:59 1981');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 26 22:00:00 1981', 'May 1 22:59:59 1982', 'Sep 26 23:00:00 1981', 'May 1 23:59:59 1982');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'May 1 23:00:00 1982', 'Oct 2 21:59:59 1982', 'May 2 01:00:00 1982', 'Oct 2 23:59:59 1982');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 2 22:00:00 1982', 'Apr 17 22:59:59 1983', 'Oct 2 23:00:00 1982', 'Apr 17 23:59:59 1983');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Apr 17 23:00:00 1983', 'Sep 30 21:59:59 1983', 'Apr 18 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 30 22:00:00 1983', 'Mar 31 22:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 31 23:00:00 1984', 'Sep 30 00:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Tirane', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Tirane', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Tiraspol not installed
--

--
-- Europe/Uzhgorod not installed
--

--
-- Europe/Vaduz
--

begin
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Mar 29 00:59:59 1981', 'Dec 14 21:45:52 1901', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Vaduz', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Vaduz', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Vatican
--

begin
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Jun 2 22:59:59 1916', 'Dec 14 21:45:52 1901', 'Jun 2 23:59:59 1916');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Jun 2 23:00:00 1916', 'Sep 30 22:59:59 1916', 'Jun 3 01:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Mar 31 22:59:59 1917', 'Oct 1 00:00:00 1916', 'Mar 31 23:59:59 1917');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 31 23:00:00 1917', 'Sep 29 22:59:59 1917', 'Apr 1 01:00:00 1917', 'Sep 30 00:59:59 1917');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 29 23:00:00 1917', 'Mar 9 22:59:59 1918', 'Sep 30 00:00:00 1917', 'Mar 9 23:59:59 1918');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 9 23:00:00 1918', 'Oct 5 22:59:59 1918', 'Mar 10 01:00:00 1918', 'Oct 6 00:59:59 1918');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 5 23:00:00 1918', 'Mar 1 22:59:59 1919', 'Oct 6 00:00:00 1918', 'Mar 1 23:59:59 1919');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 1 23:00:00 1919', 'Oct 4 22:59:59 1919', 'Mar 2 01:00:00 1919', 'Oct 5 00:59:59 1919');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 4 23:00:00 1919', 'Mar 20 22:59:59 1920', 'Oct 5 00:00:00 1919', 'Mar 20 23:59:59 1920');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 20 23:00:00 1920', 'Sep 18 22:59:59 1920', 'Mar 21 01:00:00 1920', 'Sep 19 00:59:59 1920');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 18 23:00:00 1920', 'Jun 14 22:59:59 1940', 'Sep 19 00:00:00 1920', 'Jun 14 23:59:59 1940');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Jun 14 23:00:00 1940', 'Nov 2 00:59:59 1942', 'Jun 15 01:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 16 22:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 17 00:59:59 1944');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 16 23:00:00 1944', 'Apr 2 00:59:59 1945', 'Sep 17 00:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Sep 14 22:59:59 1945', 'Apr 2 03:00:00 1945', 'Sep 15 00:59:59 1945');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 14 23:00:00 1945', 'Mar 17 00:59:59 1946', 'Sep 15 00:00:00 1945', 'Mar 17 01:59:59 1946');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 17 01:00:00 1946', 'Oct 6 00:59:59 1946', 'Mar 17 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 6 01:00:00 1946', 'Mar 15 22:59:59 1947', 'Oct 6 02:00:00 1946', 'Mar 15 23:59:59 1947');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 15 23:00:00 1947', 'Oct 4 22:59:59 1947', 'Mar 16 01:00:00 1947', 'Oct 5 00:59:59 1947');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 4 23:00:00 1947', 'Feb 29 00:59:59 1948', 'Oct 5 00:00:00 1947', 'Feb 29 01:59:59 1948');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Feb 29 01:00:00 1948', 'Oct 3 00:59:59 1948', 'Feb 29 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 3 01:00:00 1948', 'May 21 22:59:59 1966', 'Oct 3 02:00:00 1948', 'May 21 23:59:59 1966');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 21 23:00:00 1966', 'Sep 24 21:59:59 1966', 'May 22 01:00:00 1966', 'Sep 24 23:59:59 1966');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 24 22:00:00 1966', 'May 27 22:59:59 1967', 'Sep 24 23:00:00 1966', 'May 27 23:59:59 1967');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 27 23:00:00 1967', 'Sep 23 21:59:59 1967', 'May 28 01:00:00 1967', 'Sep 23 23:59:59 1967');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 23 22:00:00 1967', 'May 25 22:59:59 1968', 'Sep 23 23:00:00 1967', 'May 25 23:59:59 1968');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 25 23:00:00 1968', 'Sep 21 21:59:59 1968', 'May 26 01:00:00 1968', 'Sep 21 23:59:59 1968');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 21 22:00:00 1968', 'May 31 22:59:59 1969', 'Sep 21 23:00:00 1968', 'May 31 23:59:59 1969');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 31 23:00:00 1969', 'Sep 27 21:59:59 1969', 'Jun 1 01:00:00 1969', 'Sep 27 23:59:59 1969');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 27 22:00:00 1969', 'May 30 22:59:59 1970', 'Sep 27 23:00:00 1969', 'May 30 23:59:59 1970');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 30 23:00:00 1970', 'Sep 26 21:59:59 1970', 'May 31 01:00:00 1970', 'Sep 26 23:59:59 1970');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 26 22:00:00 1970', 'May 22 22:59:59 1971', 'Sep 26 23:00:00 1970', 'May 22 23:59:59 1971');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 22 23:00:00 1971', 'Sep 25 22:59:59 1971', 'May 23 01:00:00 1971', 'Sep 26 00:59:59 1971');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 25 23:00:00 1971', 'May 27 22:59:59 1972', 'Sep 26 00:00:00 1971', 'May 27 23:59:59 1972');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 27 23:00:00 1972', 'Sep 30 21:59:59 1972', 'May 28 01:00:00 1972', 'Sep 30 23:59:59 1972');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 30 22:00:00 1972', 'Jun 2 22:59:59 1973', 'Sep 30 23:00:00 1972', 'Jun 2 23:59:59 1973');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Jun 2 23:00:00 1973', 'Sep 29 21:59:59 1973', 'Jun 3 01:00:00 1973', 'Sep 29 23:59:59 1973');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 29 22:00:00 1973', 'May 25 22:59:59 1974', 'Sep 29 23:00:00 1973', 'May 25 23:59:59 1974');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 25 23:00:00 1974', 'Sep 28 21:59:59 1974', 'May 26 01:00:00 1974', 'Sep 28 23:59:59 1974');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 28 22:00:00 1974', 'May 31 22:59:59 1975', 'Sep 28 23:00:00 1974', 'May 31 23:59:59 1975');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 31 23:00:00 1975', 'Sep 27 22:59:59 1975', 'Jun 1 01:00:00 1975', 'Sep 28 00:59:59 1975');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 27 23:00:00 1975', 'May 29 22:59:59 1976', 'Sep 28 00:00:00 1975', 'May 29 23:59:59 1976');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 29 23:00:00 1976', 'Sep 25 22:59:59 1976', 'May 30 01:00:00 1976', 'Sep 26 00:59:59 1976');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 25 23:00:00 1976', 'May 21 22:59:59 1977', 'Sep 26 00:00:00 1976', 'May 21 23:59:59 1977');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 21 23:00:00 1977', 'Sep 24 22:59:59 1977', 'May 22 01:00:00 1977', 'Sep 25 00:59:59 1977');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 24 23:00:00 1977', 'May 27 22:59:59 1978', 'Sep 25 00:00:00 1977', 'May 27 23:59:59 1978');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 27 23:00:00 1978', 'Sep 30 22:59:59 1978', 'May 28 01:00:00 1978', 'Oct 1 00:59:59 1978');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 30 23:00:00 1978', 'May 26 22:59:59 1979', 'Oct 1 00:00:00 1978', 'May 26 23:59:59 1979');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'May 26 23:00:00 1979', 'Sep 29 22:59:59 1979', 'May 27 01:00:00 1979', 'Sep 30 00:59:59 1979');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 29 23:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 00:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Vatican', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Vatican', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Vienna
--

begin
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 30 21:59:59 1916', 'Dec 14 21:45:52 1901', 'Apr 30 22:59:59 1916');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Jun 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Jun 16 02:59:59 1918');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Jun 16 01:00:00 1918', 'Apr 5 00:59:59 1920', 'Jun 16 02:00:00 1918', 'Apr 5 01:59:59 1920');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 5 01:00:00 1920', 'Sep 13 00:59:59 1920', 'Apr 5 03:00:00 1920', 'Sep 13 02:59:59 1920');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 13 01:00:00 1920', 'Apr 1 00:59:59 1940', 'Sep 13 02:00:00 1920', 'Apr 1 01:59:59 1940');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 1 01:00:00 1940', 'Nov 2 00:59:59 1942', 'Apr 1 03:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Oct 2 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 2 01:00:00 1945', 'Nov 18 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Nov 18 02:59:59 1945');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Nov 18 01:00:00 1945', 'Apr 14 00:59:59 1946', 'Nov 18 02:00:00 1945', 'Apr 14 01:59:59 1946');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 14 01:00:00 1946', 'Oct 6 00:59:59 1946', 'Apr 14 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 6 01:00:00 1946', 'Apr 6 00:59:59 1947', 'Oct 6 02:00:00 1946', 'Apr 6 01:59:59 1947');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 6 01:00:00 1947', 'Oct 5 00:59:59 1947', 'Apr 6 03:00:00 1947', 'Oct 5 02:59:59 1947');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 5 01:00:00 1947', 'Apr 18 00:59:59 1948', 'Oct 5 02:00:00 1947', 'Apr 18 01:59:59 1948');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Apr 18 01:00:00 1948', 'Oct 3 00:59:59 1948', 'Apr 18 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 3 01:00:00 1948', 'Mar 29 00:59:59 1981', 'Oct 3 02:00:00 1948', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Vienna', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Vienna', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Vilnius
--

begin
timezone.add_rule('Europe/Vilnius', 'CET', 0, 5040, 'Dec 14 20:45:52 1901', 'Dec 31 22:35:59 1916', 'Dec 14 22:09:52 1901', 'Dec 31 23:59:59 1916');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 5736, 'Dec 31 22:36:00 1916', 'Oct 9 22:24:23 1919', 'Jan 1 00:11:36 1917', 'Oct 9 23:59:59 1919');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 9 22:24:24 1919', 'Jul 11 22:59:59 1920', 'Oct 9 23:24:24 1919', 'Jul 11 23:59:59 1920');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 7200, 'Jul 11 23:00:00 1920', 'Oct 8 21:59:59 1920', 'Jul 12 01:00:00 1920', 'Oct 8 23:59:59 1920');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 8 22:00:00 1920', 'Aug 2 22:59:59 1940', 'Oct 8 23:00:00 1920', 'Aug 2 23:59:59 1940');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Aug 2 23:00:00 1940', 'Jun 23 20:59:59 1941', 'Aug 3 02:00:00 1940', 'Jun 23 23:59:59 1941');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Jun 23 21:00:00 1941', 'Nov 2 00:59:59 1942', 'Jun 23 23:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Jul 31 21:59:59 1944', 'Apr 3 03:00:00 1944', 'Jul 31 23:59:59 1944');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Jul 31 22:00:00 1944', 'Mar 31 20:59:59 1981', 'Aug 1 01:00:00 1944', 'Mar 31 23:59:59 1981');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 23 23:00:00 1989', 'Mar 24 22:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 14400, 'Mar 24 23:00:00 1990', 'Sep 29 22:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 10800, 'Sep 29 23:00:00 1990', 'Mar 30 22:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 10800, 'Mar 30 23:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 7200, 'Sep 29 00:00:00 1991', 'Mar 28 23:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 10800, 'Mar 29 00:00:00 1992', 'Sep 26 23:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 7200, 'Sep 27 00:00:00 1992', 'Mar 27 23:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 10800, 'Mar 28 00:00:00 1993', 'Sep 25 23:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 7200, 'Sep 26 00:00:00 1993', 'Mar 26 23:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 10800, 'Mar 27 00:00:00 1994', 'Sep 24 23:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 7200, 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 10800, 'Mar 26 00:00:00 1995', 'Sep 23 23:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 7200, 'Sep 24 00:00:00 1995', 'Mar 30 23:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 10800, 'Mar 31 00:00:00 1996', 'Oct 26 23:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 7200, 'Oct 27 00:00:00 1996', 'Mar 29 23:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 10800, 'Mar 30 00:00:00 1997', 'Oct 25 23:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 7200, 'Oct 26 00:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Vilnius', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Vilnius', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Warsaw
--

begin
timezone.add_rule('Europe/Warsaw', 'CET', 0, 5040, 'Dec 14 20:45:52 1901', 'Aug 4 22:35:59 1915', 'Dec 14 22:09:52 1901', 'Aug 4 23:59:59 1915');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Aug 4 22:36:00 1915', 'Apr 30 21:59:59 1916', 'Aug 4 23:36:00 1915', 'Apr 30 22:59:59 1916');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 7200, 'Sep 16 01:00:00 1918', 'Apr 14 23:59:59 1919', 'Sep 16 03:00:00 1918', 'Apr 15 01:59:59 1919');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 10800, 'Apr 15 00:00:00 1919', 'Sep 15 23:59:59 1919', 'Apr 15 03:00:00 1919', 'Sep 16 02:59:59 1919');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 7200, 'Sep 16 00:00:00 1919', 'May 31 21:59:59 1922', 'Sep 16 02:00:00 1919', 'May 31 23:59:59 1922');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'May 31 22:00:00 1922', 'Jun 23 00:59:59 1940', 'May 31 23:00:00 1922', 'Jun 23 01:59:59 1940');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Jun 23 01:00:00 1940', 'Nov 2 00:59:59 1942', 'Jun 23 03:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 30 21:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 30 23:59:59 1944');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 30 22:00:00 1944', 'Apr 28 22:59:59 1945', 'Sep 30 23:00:00 1944', 'Apr 28 23:59:59 1945');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 28 23:00:00 1945', 'Oct 31 21:59:59 1945', 'Apr 29 01:00:00 1945', 'Oct 31 23:59:59 1945');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 31 22:00:00 1945', 'Apr 13 22:59:59 1946', 'Oct 31 23:00:00 1945', 'Apr 13 23:59:59 1946');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 13 23:00:00 1946', 'Sep 6 21:59:59 1946', 'Apr 14 01:00:00 1946', 'Sep 6 23:59:59 1946');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 6 22:00:00 1946', 'May 3 22:59:59 1947', 'Sep 6 23:00:00 1946', 'May 3 23:59:59 1947');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'May 3 23:00:00 1947', 'Oct 4 21:59:59 1947', 'May 4 01:00:00 1947', 'Oct 4 23:59:59 1947');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 4 22:00:00 1947', 'Apr 17 22:59:59 1948', 'Oct 4 23:00:00 1947', 'Apr 17 23:59:59 1948');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 17 23:00:00 1948', 'Oct 2 21:59:59 1948', 'Apr 18 01:00:00 1948', 'Oct 2 23:59:59 1948');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 2 22:00:00 1948', 'Jun 1 23:59:59 1957', 'Oct 2 23:00:00 1948', 'Jun 2 00:59:59 1957');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Jun 2 00:00:00 1957', 'Sep 28 23:59:59 1957', 'Jun 2 02:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 29 00:00:00 1957', 'Mar 29 23:59:59 1958', 'Sep 29 01:00:00 1957', 'Mar 30 00:59:59 1958');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 30 00:00:00 1958', 'Sep 27 23:59:59 1958', 'Mar 30 02:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 28 00:00:00 1958', 'May 30 23:59:59 1959', 'Sep 28 01:00:00 1958', 'May 31 00:59:59 1959');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'May 31 00:00:00 1959', 'Oct 3 23:59:59 1959', 'May 31 02:00:00 1959', 'Oct 4 01:59:59 1959');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 4 00:00:00 1959', 'Apr 2 23:59:59 1960', 'Oct 4 01:00:00 1959', 'Apr 3 00:59:59 1960');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 3 00:00:00 1960', 'Oct 1 23:59:59 1960', 'Apr 3 02:00:00 1960', 'Oct 2 01:59:59 1960');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 2 00:00:00 1960', 'May 27 23:59:59 1961', 'Oct 2 01:00:00 1960', 'May 28 00:59:59 1961');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'May 28 00:00:00 1961', 'Sep 30 23:59:59 1961', 'May 28 02:00:00 1961', 'Oct 1 01:59:59 1961');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 1 00:00:00 1961', 'May 26 23:59:59 1962', 'Oct 1 01:00:00 1961', 'May 27 00:59:59 1962');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'May 27 00:00:00 1962', 'Sep 29 23:59:59 1962', 'May 27 02:00:00 1962', 'Sep 30 01:59:59 1962');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 30 00:00:00 1962', 'May 25 23:59:59 1963', 'Sep 30 01:00:00 1962', 'May 26 00:59:59 1963');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'May 26 00:00:00 1963', 'Sep 28 23:59:59 1963', 'May 26 02:00:00 1963', 'Sep 29 01:59:59 1963');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 29 00:00:00 1963', 'May 30 23:59:59 1964', 'Sep 29 01:00:00 1963', 'May 31 00:59:59 1964');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'May 31 00:00:00 1964', 'Sep 26 23:59:59 1964', 'May 31 02:00:00 1964', 'Sep 27 01:59:59 1964');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 27 00:00:00 1964', 'Apr 2 23:59:59 1977', 'Sep 27 01:00:00 1964', 'Apr 3 00:59:59 1977');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 3 00:00:00 1977', 'Sep 24 23:59:59 1977', 'Apr 3 02:00:00 1977', 'Sep 25 01:59:59 1977');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 25 00:00:00 1977', 'Apr 1 23:59:59 1978', 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 2 00:00:00 1978', 'Sep 30 23:59:59 1978', 'Apr 2 02:00:00 1978', 'Oct 1 01:59:59 1978');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 1 00:00:00 1978', 'Mar 31 23:59:59 1979', 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 1 00:00:00 1979', 'Sep 29 23:59:59 1979', 'Apr 1 02:00:00 1979', 'Sep 30 01:59:59 1979');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 30 00:00:00 1979', 'Apr 5 23:59:59 1980', 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Apr 6 00:00:00 1980', 'Sep 27 23:59:59 1980', 'Apr 6 02:00:00 1980', 'Sep 28 01:59:59 1980');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 28 00:00:00 1980', 'Mar 28 23:59:59 1981', 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 00:00:00 1981', 'Sep 26 23:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 27 00:00:00 1981', 'Mar 27 23:59:59 1982', 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 28 00:00:00 1982', 'Sep 25 23:59:59 1982', 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 26 00:00:00 1982', 'Mar 26 23:59:59 1983', 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 27 00:00:00 1983', 'Sep 24 23:59:59 1983', 'Mar 27 02:00:00 1983', 'Sep 25 01:59:59 1983');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 25 00:00:00 1983', 'Mar 24 23:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 25 00:00:00 1984', 'Sep 29 23:59:59 1984', 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 30 00:00:00 1984', 'Mar 30 23:59:59 1985', 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 31 00:00:00 1985', 'Sep 28 23:59:59 1985', 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 29 00:00:00 1985', 'Mar 29 23:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 30 00:00:00 1986', 'Sep 27 23:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 28 00:00:00 1986', 'Mar 28 23:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 00:00:00 1987', 'Sep 26 23:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 27 00:00:00 1987', 'Mar 26 23:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 27 00:00:00 1988', 'Sep 24 23:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 25 00:00:00 1988', 'Mar 25 23:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 26 00:00:00 1989', 'Sep 23 23:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 25 00:00:00 1990', 'Sep 29 23:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 30 00:00:00 1990', 'Mar 30 23:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 31 00:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 29 00:00:00 1991', 'Mar 28 23:59:59 1992', 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 00:00:00 1992', 'Sep 26 23:59:59 1992', 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 27 00:00:00 1992', 'Mar 27 23:59:59 1993', 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 28 00:00:00 1993', 'Sep 25 23:59:59 1993', 'Mar 28 02:00:00 1993', 'Sep 26 01:59:59 1993');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 26 00:00:00 1993', 'Mar 26 23:59:59 1994', 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 27 00:00:00 1994', 'Sep 24 23:59:59 1994', 'Mar 27 02:00:00 1994', 'Sep 25 01:59:59 1994');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995', 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 26 00:00:00 1995', 'Sep 23 23:59:59 1995', 'Mar 26 02:00:00 1995', 'Sep 24 01:59:59 1995');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Sep 24 00:00:00 1995', 'Mar 30 23:59:59 1996', 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 31 00:00:00 1996', 'Oct 26 23:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 27 00:00:00 1996', 'Mar 29 23:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 30 00:00:00 1997', 'Oct 25 23:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 26 00:00:00 1997', 'Mar 28 23:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 00:00:00 1998', 'Oct 24 23:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 25 00:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Warsaw', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Warsaw', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Zagreb
--

begin
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 18 21:59:59 1941', 'Dec 14 21:45:52 1901', 'Apr 18 22:59:59 1941');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Apr 18 22:00:00 1941', 'Nov 2 00:59:59 1942', 'Apr 19 00:00:00 1941', 'Nov 2 02:59:59 1942');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 2 01:00:00 1944', 'May 8 00:59:59 1945', 'Oct 2 02:00:00 1944', 'May 8 01:59:59 1945');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'May 8 01:00:00 1945', 'Sep 16 00:59:59 1945', 'May 8 03:00:00 1945', 'Sep 16 02:59:59 1945');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 16 01:00:00 1945', 'Mar 27 00:59:59 1983', 'Sep 16 02:00:00 1945', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Zagreb', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Zagreb', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Europe/Zaporozhye not installed
--

--
-- Europe/Zurich
--

begin
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Dec 14 20:45:52 1901', 'Nov 1 22:59:59 1940', 'Dec 14 21:45:52 1901', 'Nov 1 23:59:59 1940');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Nov 1 23:00:00 1940', 'Dec 30 21:59:59 1940', 'Nov 2 01:00:00 1940', 'Dec 30 23:59:59 1940');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Dec 30 22:00:00 1940', 'May 4 00:59:59 1941', 'Dec 30 23:00:00 1940', 'May 4 01:59:59 1941');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'May 4 01:00:00 1941', 'Oct 4 21:59:59 1941', 'May 4 03:00:00 1941', 'Oct 4 23:59:59 1941');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 4 22:00:00 1941', 'May 3 00:59:59 1942', 'Oct 4 23:00:00 1941', 'May 3 01:59:59 1942');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'May 3 01:00:00 1942', 'Oct 3 21:59:59 1942', 'May 3 03:00:00 1942', 'Oct 3 23:59:59 1942');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 3 22:00:00 1942', 'Mar 29 00:59:59 1981', 'Oct 3 23:00:00 1942', 'Mar 29 01:59:59 1981');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Europe/Zurich', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Europe/Zurich', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- GB
--

begin
timezone.add_rule('GB', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'May 21 01:59:59 1916', 'Dec 14 20:45:52 1901', 'May 21 01:59:59 1916');
timezone.add_rule('GB', 'BST', 1, 3600, 'May 21 02:00:00 1916', 'Oct 1 01:59:59 1916', 'May 21 03:00:00 1916', 'Oct 1 02:59:59 1916');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 1 02:00:00 1916', 'Apr 8 01:59:59 1917', 'Oct 1 02:00:00 1916', 'Apr 8 01:59:59 1917');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 8 02:00:00 1917', 'Sep 17 01:59:59 1917', 'Apr 8 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('GB', 'GMT', 0, 0, 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918', 'Sep 17 02:00:00 1917', 'Mar 24 01:59:59 1918');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 24 02:00:00 1918', 'Sep 30 01:59:59 1918', 'Mar 24 03:00:00 1918', 'Sep 30 02:59:59 1918');
timezone.add_rule('GB', 'GMT', 0, 0, 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919', 'Sep 30 02:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 30 02:00:00 1919', 'Sep 29 01:59:59 1919', 'Mar 30 03:00:00 1919', 'Sep 29 02:59:59 1919');
timezone.add_rule('GB', 'GMT', 0, 0, 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920', 'Sep 29 02:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 28 02:00:00 1920', 'Oct 25 01:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 25 02:59:59 1920');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921', 'Oct 25 02:00:00 1920', 'Apr 3 01:59:59 1921');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 3 02:00:00 1921', 'Oct 3 01:59:59 1921', 'Apr 3 03:00:00 1921', 'Oct 3 02:59:59 1921');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922', 'Oct 3 02:00:00 1921', 'Mar 26 01:59:59 1922');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 02:00:00 1922', 'Oct 8 01:59:59 1922', 'Mar 26 03:00:00 1922', 'Oct 8 02:59:59 1922');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923', 'Oct 8 02:00:00 1922', 'Apr 22 01:59:59 1923');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 22 02:00:00 1923', 'Sep 16 01:59:59 1923', 'Apr 22 03:00:00 1923', 'Sep 16 02:59:59 1923');
timezone.add_rule('GB', 'GMT', 0, 0, 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924', 'Sep 16 02:00:00 1923', 'Apr 13 01:59:59 1924');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 13 02:00:00 1924', 'Sep 21 01:59:59 1924', 'Apr 13 03:00:00 1924', 'Sep 21 02:59:59 1924');
timezone.add_rule('GB', 'GMT', 0, 0, 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925', 'Sep 21 02:00:00 1924', 'Apr 19 01:59:59 1925');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 19 02:00:00 1925', 'Oct 4 01:59:59 1925', 'Apr 19 03:00:00 1925', 'Oct 4 02:59:59 1925');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926', 'Oct 4 02:00:00 1925', 'Apr 18 01:59:59 1926');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 18 02:00:00 1926', 'Oct 3 01:59:59 1926', 'Apr 18 03:00:00 1926', 'Oct 3 02:59:59 1926');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927', 'Oct 3 02:00:00 1926', 'Apr 10 01:59:59 1927');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 10 02:00:00 1927', 'Oct 2 01:59:59 1927', 'Apr 10 03:00:00 1927', 'Oct 2 02:59:59 1927');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928', 'Oct 2 02:00:00 1927', 'Apr 22 01:59:59 1928');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 22 02:00:00 1928', 'Oct 7 01:59:59 1928', 'Apr 22 03:00:00 1928', 'Oct 7 02:59:59 1928');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929', 'Oct 7 02:00:00 1928', 'Apr 21 01:59:59 1929');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 21 02:00:00 1929', 'Oct 6 01:59:59 1929', 'Apr 21 03:00:00 1929', 'Oct 6 02:59:59 1929');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930', 'Oct 6 02:00:00 1929', 'Apr 13 01:59:59 1930');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 13 02:00:00 1930', 'Oct 5 01:59:59 1930', 'Apr 13 03:00:00 1930', 'Oct 5 02:59:59 1930');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931', 'Oct 5 02:00:00 1930', 'Apr 19 01:59:59 1931');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 19 02:00:00 1931', 'Oct 4 01:59:59 1931', 'Apr 19 03:00:00 1931', 'Oct 4 02:59:59 1931');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932', 'Oct 4 02:00:00 1931', 'Apr 17 01:59:59 1932');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 17 02:00:00 1932', 'Oct 2 01:59:59 1932', 'Apr 17 03:00:00 1932', 'Oct 2 02:59:59 1932');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933', 'Oct 2 02:00:00 1932', 'Apr 9 01:59:59 1933');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 9 02:00:00 1933', 'Oct 8 01:59:59 1933', 'Apr 9 03:00:00 1933', 'Oct 8 02:59:59 1933');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934', 'Oct 8 02:00:00 1933', 'Apr 22 01:59:59 1934');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 22 02:00:00 1934', 'Oct 7 01:59:59 1934', 'Apr 22 03:00:00 1934', 'Oct 7 02:59:59 1934');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935', 'Oct 7 02:00:00 1934', 'Apr 14 01:59:59 1935');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 14 02:00:00 1935', 'Oct 6 01:59:59 1935', 'Apr 14 03:00:00 1935', 'Oct 6 02:59:59 1935');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936', 'Oct 6 02:00:00 1935', 'Apr 19 01:59:59 1936');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 19 02:00:00 1936', 'Oct 4 01:59:59 1936', 'Apr 19 03:00:00 1936', 'Oct 4 02:59:59 1936');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937', 'Oct 4 02:00:00 1936', 'Apr 18 01:59:59 1937');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 18 02:00:00 1937', 'Oct 3 01:59:59 1937', 'Apr 18 03:00:00 1937', 'Oct 3 02:59:59 1937');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938', 'Oct 3 02:00:00 1937', 'Apr 10 01:59:59 1938');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 10 02:00:00 1938', 'Oct 2 01:59:59 1938', 'Apr 10 03:00:00 1938', 'Oct 2 02:59:59 1938');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939', 'Oct 2 02:00:00 1938', 'Apr 16 01:59:59 1939');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 16 02:00:00 1939', 'Nov 19 01:59:59 1939', 'Apr 16 03:00:00 1939', 'Nov 19 02:59:59 1939');
timezone.add_rule('GB', 'GMT', 0, 0, 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940', 'Nov 19 02:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('GB', 'BST', 1, 3600, 'Feb 25 02:00:00 1940', 'May 4 00:59:59 1941', 'Feb 25 03:00:00 1940', 'May 4 01:59:59 1941');
timezone.add_rule('GB', 'BST', 1, 7200, 'May 4 01:00:00 1941', 'Aug 10 00:59:59 1941', 'May 4 03:00:00 1941', 'Aug 10 02:59:59 1941');
timezone.add_rule('GB', 'BST', 1, 3600, 'Aug 10 01:00:00 1941', 'Apr 5 00:59:59 1942', 'Aug 10 02:00:00 1941', 'Apr 5 01:59:59 1942');
timezone.add_rule('GB', 'BST', 1, 7200, 'Apr 5 01:00:00 1942', 'Aug 9 00:59:59 1942', 'Apr 5 03:00:00 1942', 'Aug 9 02:59:59 1942');
timezone.add_rule('GB', 'BST', 1, 3600, 'Aug 9 01:00:00 1942', 'Apr 4 00:59:59 1943', 'Aug 9 02:00:00 1942', 'Apr 4 01:59:59 1943');
timezone.add_rule('GB', 'BST', 1, 7200, 'Apr 4 01:00:00 1943', 'Aug 15 00:59:59 1943', 'Apr 4 03:00:00 1943', 'Aug 15 02:59:59 1943');
timezone.add_rule('GB', 'BST', 1, 3600, 'Aug 15 01:00:00 1943', 'Apr 2 00:59:59 1944', 'Aug 15 02:00:00 1943', 'Apr 2 01:59:59 1944');
timezone.add_rule('GB', 'BST', 1, 7200, 'Apr 2 01:00:00 1944', 'Sep 17 00:59:59 1944', 'Apr 2 03:00:00 1944', 'Sep 17 02:59:59 1944');
timezone.add_rule('GB', 'BST', 1, 3600, 'Sep 17 01:00:00 1944', 'Apr 2 00:59:59 1945', 'Sep 17 02:00:00 1944', 'Apr 2 01:59:59 1945');
timezone.add_rule('GB', 'BST', 1, 7200, 'Apr 2 01:00:00 1945', 'Jul 15 00:59:59 1945', 'Apr 2 03:00:00 1945', 'Jul 15 02:59:59 1945');
timezone.add_rule('GB', 'BST', 1, 3600, 'Jul 15 01:00:00 1945', 'Oct 7 01:59:59 1945', 'Jul 15 02:00:00 1945', 'Oct 7 02:59:59 1945');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 7 02:00:00 1945', 'Apr 14 01:59:59 1946', 'Oct 7 02:00:00 1945', 'Apr 14 01:59:59 1946');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 14 02:00:00 1946', 'Oct 6 01:59:59 1946', 'Apr 14 03:00:00 1946', 'Oct 6 02:59:59 1946');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 6 02:00:00 1946', 'Mar 16 01:59:59 1947', 'Oct 6 02:00:00 1946', 'Mar 16 01:59:59 1947');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 16 02:00:00 1947', 'Apr 13 00:59:59 1947', 'Mar 16 03:00:00 1947', 'Apr 13 01:59:59 1947');
timezone.add_rule('GB', 'BST', 1, 7200, 'Apr 13 01:00:00 1947', 'Aug 10 00:59:59 1947', 'Apr 13 03:00:00 1947', 'Aug 10 02:59:59 1947');
timezone.add_rule('GB', 'BST', 1, 3600, 'Aug 10 01:00:00 1947', 'Nov 2 01:59:59 1947', 'Aug 10 02:00:00 1947', 'Nov 2 02:59:59 1947');
timezone.add_rule('GB', 'GMT', 0, 0, 'Nov 2 02:00:00 1947', 'Mar 14 01:59:59 1948', 'Nov 2 02:00:00 1947', 'Mar 14 01:59:59 1948');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 14 02:00:00 1948', 'Oct 31 01:59:59 1948', 'Mar 14 03:00:00 1948', 'Oct 31 02:59:59 1948');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 31 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 30 02:59:59 1949');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950', 'Oct 30 02:00:00 1949', 'Apr 16 01:59:59 1950');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 16 02:00:00 1950', 'Oct 22 01:59:59 1950', 'Apr 16 03:00:00 1950', 'Oct 22 02:59:59 1950');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951', 'Oct 22 02:00:00 1950', 'Apr 15 01:59:59 1951');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 15 02:00:00 1951', 'Oct 21 01:59:59 1951', 'Apr 15 03:00:00 1951', 'Oct 21 02:59:59 1951');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952', 'Oct 21 02:00:00 1951', 'Apr 20 01:59:59 1952');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 20 02:00:00 1952', 'Oct 26 01:59:59 1952', 'Apr 20 03:00:00 1952', 'Oct 26 02:59:59 1952');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953', 'Oct 26 02:00:00 1952', 'Apr 19 01:59:59 1953');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 19 02:00:00 1953', 'Oct 4 01:59:59 1953', 'Apr 19 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 11 01:59:59 1954');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 11 02:00:00 1954', 'Oct 3 01:59:59 1954', 'Apr 11 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 17 01:59:59 1955');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 17 02:00:00 1955', 'Oct 2 01:59:59 1955', 'Apr 17 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 22 01:59:59 1956');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 22 02:00:00 1956', 'Oct 7 01:59:59 1956', 'Apr 22 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 14 01:59:59 1957');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 14 02:00:00 1957', 'Oct 6 01:59:59 1957', 'Apr 14 03:00:00 1957', 'Oct 6 02:59:59 1957');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958', 'Oct 6 02:00:00 1957', 'Apr 20 01:59:59 1958');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 20 02:00:00 1958', 'Oct 5 01:59:59 1958', 'Apr 20 03:00:00 1958', 'Oct 5 02:59:59 1958');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959', 'Oct 5 02:00:00 1958', 'Apr 19 01:59:59 1959');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 19 02:00:00 1959', 'Oct 4 01:59:59 1959', 'Apr 19 03:00:00 1959', 'Oct 4 02:59:59 1959');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960', 'Oct 4 02:00:00 1959', 'Apr 10 01:59:59 1960');
timezone.add_rule('GB', 'BST', 1, 3600, 'Apr 10 02:00:00 1960', 'Oct 2 01:59:59 1960', 'Apr 10 03:00:00 1960', 'Oct 2 02:59:59 1960');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961', 'Oct 2 02:00:00 1960', 'Mar 26 01:59:59 1961');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 02:00:00 1961', 'Oct 29 01:59:59 1961', 'Mar 26 03:00:00 1961', 'Oct 29 02:59:59 1961');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962', 'Oct 29 02:00:00 1961', 'Mar 25 01:59:59 1962');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 25 02:00:00 1962', 'Oct 28 01:59:59 1962', 'Mar 25 03:00:00 1962', 'Oct 28 02:59:59 1962');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963', 'Oct 28 02:00:00 1962', 'Mar 31 01:59:59 1963');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 31 02:00:00 1963', 'Oct 27 01:59:59 1963', 'Mar 31 03:00:00 1963', 'Oct 27 02:59:59 1963');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964', 'Oct 27 02:00:00 1963', 'Mar 22 01:59:59 1964');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 22 02:00:00 1964', 'Oct 25 01:59:59 1964', 'Mar 22 03:00:00 1964', 'Oct 25 02:59:59 1964');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965', 'Oct 25 02:00:00 1964', 'Mar 21 01:59:59 1965');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 21 02:00:00 1965', 'Oct 24 01:59:59 1965', 'Mar 21 03:00:00 1965', 'Oct 24 02:59:59 1965');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966', 'Oct 24 02:00:00 1965', 'Mar 20 01:59:59 1966');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 20 02:00:00 1966', 'Oct 23 01:59:59 1966', 'Mar 20 03:00:00 1966', 'Oct 23 02:59:59 1966');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967', 'Oct 23 02:00:00 1966', 'Mar 19 01:59:59 1967');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 19 02:00:00 1967', 'Oct 29 01:59:59 1967', 'Mar 19 03:00:00 1967', 'Oct 29 02:59:59 1967');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968', 'Oct 29 02:00:00 1967', 'Feb 18 01:59:59 1968');
timezone.add_rule('GB', 'BST', 1, 3600, 'Feb 18 02:00:00 1968', 'Oct 26 22:59:59 1968', 'Feb 18 03:00:00 1968', 'Oct 26 23:59:59 1968');
timezone.add_rule('GB', 'GMT', 0, 3600, 'Oct 26 23:00:00 1968', 'Oct 31 01:59:59 1971', 'Oct 27 00:00:00 1968', 'Oct 31 02:59:59 1971');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972', 'Oct 31 02:00:00 1971', 'Mar 19 01:59:59 1972');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 19 02:00:00 1972', 'Oct 29 01:59:59 1972', 'Mar 19 03:00:00 1972', 'Oct 29 02:59:59 1972');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973', 'Oct 29 02:00:00 1972', 'Mar 18 01:59:59 1973');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 18 02:00:00 1973', 'Oct 28 01:59:59 1973', 'Mar 18 03:00:00 1973', 'Oct 28 02:59:59 1973');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974', 'Oct 28 02:00:00 1973', 'Mar 17 01:59:59 1974');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 17 02:00:00 1974', 'Oct 27 01:59:59 1974', 'Mar 17 03:00:00 1974', 'Oct 27 02:59:59 1974');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975', 'Oct 27 02:00:00 1974', 'Mar 16 01:59:59 1975');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 16 02:00:00 1975', 'Oct 26 01:59:59 1975', 'Mar 16 03:00:00 1975', 'Oct 26 02:59:59 1975');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976', 'Oct 26 02:00:00 1975', 'Mar 21 01:59:59 1976');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 21 02:00:00 1976', 'Oct 24 01:59:59 1976', 'Mar 21 03:00:00 1976', 'Oct 24 02:59:59 1976');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977', 'Oct 24 02:00:00 1976', 'Mar 20 01:59:59 1977');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 20 02:00:00 1977', 'Oct 23 01:59:59 1977', 'Mar 20 03:00:00 1977', 'Oct 23 02:59:59 1977');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978', 'Oct 23 02:00:00 1977', 'Mar 19 01:59:59 1978');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 19 02:00:00 1978', 'Oct 29 01:59:59 1978', 'Mar 19 03:00:00 1978', 'Oct 29 02:59:59 1978');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979', 'Oct 29 02:00:00 1978', 'Mar 18 01:59:59 1979');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 18 02:00:00 1979', 'Oct 28 01:59:59 1979', 'Mar 18 03:00:00 1979', 'Oct 28 02:59:59 1979');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980', 'Oct 28 02:00:00 1979', 'Mar 16 01:59:59 1980');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 16 02:00:00 1980', 'Oct 26 01:59:59 1980', 'Mar 16 03:00:00 1980', 'Oct 26 02:59:59 1980');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981', 'Oct 26 02:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 29 01:00:00 1981', 'Oct 25 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Oct 25 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 28 01:00:00 1982', 'Oct 24 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Oct 24 01:59:59 1982');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Oct 24 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 27 01:00:00 1983', 'Oct 23 00:59:59 1983', 'Mar 27 02:00:00 1983', 'Oct 23 01:59:59 1983');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Oct 23 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 25 01:00:00 1984', 'Oct 28 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Oct 28 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 31 01:00:00 1985', 'Oct 27 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Oct 27 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 30 01:00:00 1986', 'Oct 26 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Oct 26 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 29 01:00:00 1987', 'Oct 25 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Oct 25 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 27 01:00:00 1988', 'Oct 23 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Oct 23 01:59:59 1988');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Oct 23 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 01:00:00 1989', 'Oct 29 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Oct 29 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 25 01:00:00 1990', 'Oct 28 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Oct 28 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 31 01:00:00 1991', 'Oct 27 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Oct 27 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 29 01:00:00 1992', 'Oct 25 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Oct 25 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 28 01:00:00 1993', 'Oct 24 00:59:59 1993', 'Mar 28 02:00:00 1993', 'Oct 24 01:59:59 1993');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Oct 24 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 27 01:00:00 1994', 'Oct 23 00:59:59 1994', 'Mar 27 02:00:00 1994', 'Oct 23 01:59:59 1994');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Oct 23 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 01:00:00 1995', 'Oct 22 00:59:59 1995', 'Mar 26 02:00:00 1995', 'Oct 22 01:59:59 1995');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Oct 22 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('GB', 'BST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('GB', 'GMT', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- GB-Eire not installed
--

--
-- GMT
--

begin
timezone.add_rule('GMT', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- GMT+0
--

begin
timezone.add_rule('GMT+0', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- GMT-0
--

begin
timezone.add_rule('GMT-0', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- GMT0
--

begin
timezone.add_rule('GMT0', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Greenwich
--

begin
timezone.add_rule('Greenwich', 'GMT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- HST
--

begin
timezone.add_rule('HST', 'HST', 0, -37800, 'Dec 14 20:45:52 1901', 'Apr 30 12:29:59 1933', 'Dec 14 10:15:52 1901', 'Apr 30 01:59:59 1933');
timezone.add_rule('HST', 'HWT', 1, -34200, 'Apr 30 12:30:00 1933', 'May 21 11:29:59 1933', 'Apr 30 03:00:00 1933', 'May 21 01:59:59 1933');
timezone.add_rule('HST', 'HST', 0, -37800, 'May 21 11:30:00 1933', 'Feb 9 12:29:59 1942', 'May 21 01:00:00 1933', 'Feb 9 01:59:59 1942');
timezone.add_rule('HST', 'HWT', 1, -34200, 'Feb 9 12:30:00 1942', 'Sep 30 11:29:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('HST', 'HST', 0, -37800, 'Sep 30 11:30:00 1945', 'Jun 8 12:29:59 1947', 'Sep 30 01:00:00 1945', 'Jun 8 01:59:59 1947');
timezone.add_rule('HST', 'HST', 0, -36000, 'Jun 8 12:30:00 1947', 'Jan 18 03:14:07 2038', 'Jun 8 02:30:00 1947', 'Jan 17 17:14:07 2038');
end;
/

--
-- Hongkong
--

begin
timezone.add_rule('Hongkong', 'CST', 0, 27396, 'Dec 14 20:45:52 1901', 'Oct 29 16:23:23 1904', 'Dec 15 04:22:28 1901', 'Oct 29 23:59:59 1904');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 29 16:23:24 1904', 'Apr 19 19:29:59 1946', 'Oct 30 00:23:24 1904', 'Apr 20 03:29:59 1946');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 19 19:30:00 1946', 'Nov 30 18:29:59 1946', 'Apr 20 04:30:00 1946', 'Dec 1 03:29:59 1946');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Nov 30 18:30:00 1946', 'Apr 12 19:29:59 1947', 'Dec 1 02:30:00 1946', 'Apr 13 03:29:59 1947');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 12 19:30:00 1947', 'Dec 29 18:29:59 1947', 'Apr 13 04:30:00 1947', 'Dec 30 03:29:59 1947');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Dec 29 18:30:00 1947', 'May 1 19:29:59 1948', 'Dec 30 02:30:00 1947', 'May 2 03:29:59 1948');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'May 1 19:30:00 1948', 'Oct 30 18:29:59 1948', 'May 2 04:30:00 1948', 'Oct 31 03:29:59 1948');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 30 18:30:00 1948', 'Apr 2 19:29:59 1949', 'Oct 31 02:30:00 1948', 'Apr 3 03:29:59 1949');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 2 19:30:00 1949', 'Oct 29 18:29:59 1949', 'Apr 3 04:30:00 1949', 'Oct 30 03:29:59 1949');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 29 18:30:00 1949', 'Apr 1 19:29:59 1950', 'Oct 30 02:30:00 1949', 'Apr 2 03:29:59 1950');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 1 19:30:00 1950', 'Oct 28 18:29:59 1950', 'Apr 2 04:30:00 1950', 'Oct 29 03:29:59 1950');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 28 18:30:00 1950', 'Mar 31 19:29:59 1951', 'Oct 29 02:30:00 1950', 'Apr 1 03:29:59 1951');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 31 19:30:00 1951', 'Oct 27 18:29:59 1951', 'Apr 1 04:30:00 1951', 'Oct 28 03:29:59 1951');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 27 18:30:00 1951', 'Apr 5 19:29:59 1952', 'Oct 28 02:30:00 1951', 'Apr 6 03:29:59 1952');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 5 19:30:00 1952', 'Oct 25 18:29:59 1952', 'Apr 6 04:30:00 1952', 'Oct 26 03:29:59 1952');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 25 18:30:00 1952', 'Apr 4 19:29:59 1953', 'Oct 26 02:30:00 1952', 'Apr 5 03:29:59 1953');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 4 19:30:00 1953', 'Oct 31 18:29:59 1953', 'Apr 5 04:30:00 1953', 'Nov 1 03:29:59 1953');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 31 18:30:00 1953', 'Mar 20 19:29:59 1954', 'Nov 1 02:30:00 1953', 'Mar 21 03:29:59 1954');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 20 19:30:00 1954', 'Oct 30 18:29:59 1954', 'Mar 21 04:30:00 1954', 'Oct 31 03:29:59 1954');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 30 18:30:00 1954', 'Mar 19 19:29:59 1955', 'Oct 31 02:30:00 1954', 'Mar 20 03:29:59 1955');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 19 19:30:00 1955', 'Nov 5 18:29:59 1955', 'Mar 20 04:30:00 1955', 'Nov 6 03:29:59 1955');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Nov 5 18:30:00 1955', 'Mar 17 19:29:59 1956', 'Nov 6 02:30:00 1955', 'Mar 18 03:29:59 1956');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 17 19:30:00 1956', 'Nov 3 18:29:59 1956', 'Mar 18 04:30:00 1956', 'Nov 4 03:29:59 1956');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Nov 3 18:30:00 1956', 'Mar 23 19:29:59 1957', 'Nov 4 02:30:00 1956', 'Mar 24 03:29:59 1957');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 23 19:30:00 1957', 'Nov 2 18:29:59 1957', 'Mar 24 04:30:00 1957', 'Nov 3 03:29:59 1957');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Nov 2 18:30:00 1957', 'Mar 22 19:29:59 1958', 'Nov 3 02:30:00 1957', 'Mar 23 03:29:59 1958');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 22 19:30:00 1958', 'Nov 1 18:29:59 1958', 'Mar 23 04:30:00 1958', 'Nov 2 03:29:59 1958');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Nov 1 18:30:00 1958', 'Mar 21 19:29:59 1959', 'Nov 2 02:30:00 1958', 'Mar 22 03:29:59 1959');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 21 19:30:00 1959', 'Oct 31 18:29:59 1959', 'Mar 22 04:30:00 1959', 'Nov 1 03:29:59 1959');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 31 18:30:00 1959', 'Mar 19 19:29:59 1960', 'Nov 1 02:30:00 1959', 'Mar 20 03:29:59 1960');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 19 19:30:00 1960', 'Nov 5 18:29:59 1960', 'Mar 20 04:30:00 1960', 'Nov 6 03:29:59 1960');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Nov 5 18:30:00 1960', 'Mar 18 19:29:59 1961', 'Nov 6 02:30:00 1960', 'Mar 19 03:29:59 1961');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 18 19:30:00 1961', 'Nov 4 18:29:59 1961', 'Mar 19 04:30:00 1961', 'Nov 5 03:29:59 1961');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Nov 4 18:30:00 1961', 'Mar 17 19:29:59 1962', 'Nov 5 02:30:00 1961', 'Mar 18 03:29:59 1962');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 17 19:30:00 1962', 'Nov 3 18:29:59 1962', 'Mar 18 04:30:00 1962', 'Nov 4 03:29:59 1962');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Nov 3 18:30:00 1962', 'Mar 23 19:29:59 1963', 'Nov 4 02:30:00 1962', 'Mar 24 03:29:59 1963');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 23 19:30:00 1963', 'Nov 2 18:29:59 1963', 'Mar 24 04:30:00 1963', 'Nov 3 03:29:59 1963');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Nov 2 18:30:00 1963', 'Mar 21 19:29:59 1964', 'Nov 3 02:30:00 1963', 'Mar 22 03:29:59 1964');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Mar 21 19:30:00 1964', 'Oct 31 18:29:59 1964', 'Mar 22 04:30:00 1964', 'Nov 1 03:29:59 1964');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 31 18:30:00 1964', 'Apr 17 19:29:59 1965', 'Nov 1 02:30:00 1964', 'Apr 18 03:29:59 1965');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 17 19:30:00 1965', 'Oct 16 18:29:59 1965', 'Apr 18 04:30:00 1965', 'Oct 17 03:29:59 1965');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 16 18:30:00 1965', 'Apr 16 19:29:59 1966', 'Oct 17 02:30:00 1965', 'Apr 17 03:29:59 1966');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 16 19:30:00 1966', 'Oct 15 18:29:59 1966', 'Apr 17 04:30:00 1966', 'Oct 16 03:29:59 1966');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 15 18:30:00 1966', 'Apr 15 19:29:59 1967', 'Oct 16 02:30:00 1966', 'Apr 16 03:29:59 1967');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 15 19:30:00 1967', 'Oct 21 18:29:59 1967', 'Apr 16 04:30:00 1967', 'Oct 22 03:29:59 1967');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 21 18:30:00 1967', 'Apr 20 19:29:59 1968', 'Oct 22 02:30:00 1967', 'Apr 21 03:29:59 1968');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 20 19:30:00 1968', 'Oct 19 18:29:59 1968', 'Apr 21 04:30:00 1968', 'Oct 20 03:29:59 1968');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 19 18:30:00 1968', 'Apr 19 19:29:59 1969', 'Oct 20 02:30:00 1968', 'Apr 20 03:29:59 1969');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 19 19:30:00 1969', 'Oct 18 18:29:59 1969', 'Apr 20 04:30:00 1969', 'Oct 19 03:29:59 1969');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 18 18:30:00 1969', 'Apr 18 19:29:59 1970', 'Oct 19 02:30:00 1969', 'Apr 19 03:29:59 1970');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 18 19:30:00 1970', 'Oct 17 18:29:59 1970', 'Apr 19 04:30:00 1970', 'Oct 18 03:29:59 1970');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 17 18:30:00 1970', 'Apr 17 19:29:59 1971', 'Oct 18 02:30:00 1970', 'Apr 18 03:29:59 1971');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 17 19:30:00 1971', 'Oct 16 18:29:59 1971', 'Apr 18 04:30:00 1971', 'Oct 17 03:29:59 1971');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 16 18:30:00 1971', 'Apr 15 19:29:59 1972', 'Oct 17 02:30:00 1971', 'Apr 16 03:29:59 1972');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 15 19:30:00 1972', 'Oct 21 18:29:59 1972', 'Apr 16 04:30:00 1972', 'Oct 22 03:29:59 1972');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 21 18:30:00 1972', 'Apr 21 19:29:59 1973', 'Oct 22 02:30:00 1972', 'Apr 22 03:29:59 1973');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 21 19:30:00 1973', 'Oct 20 18:29:59 1973', 'Apr 22 04:30:00 1973', 'Oct 21 03:29:59 1973');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 20 18:30:00 1973', 'Apr 20 19:29:59 1974', 'Oct 21 02:30:00 1973', 'Apr 21 03:29:59 1974');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 20 19:30:00 1974', 'Oct 19 18:29:59 1974', 'Apr 21 04:30:00 1974', 'Oct 20 03:29:59 1974');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 19 18:30:00 1974', 'Apr 19 19:29:59 1975', 'Oct 20 02:30:00 1974', 'Apr 20 03:29:59 1975');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 19 19:30:00 1975', 'Oct 18 18:29:59 1975', 'Apr 20 04:30:00 1975', 'Oct 19 03:29:59 1975');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 18 18:30:00 1975', 'Apr 17 19:29:59 1976', 'Oct 19 02:30:00 1975', 'Apr 18 03:29:59 1976');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 17 19:30:00 1976', 'Oct 16 18:29:59 1976', 'Apr 18 04:30:00 1976', 'Oct 17 03:29:59 1976');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 16 18:30:00 1976', 'Apr 16 19:29:59 1977', 'Oct 17 02:30:00 1976', 'Apr 17 03:29:59 1977');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'Apr 16 19:30:00 1977', 'Oct 15 18:29:59 1977', 'Apr 17 04:30:00 1977', 'Oct 16 03:29:59 1977');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 15 18:30:00 1977', 'May 12 19:29:59 1979', 'Oct 16 02:30:00 1977', 'May 13 03:29:59 1979');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'May 12 19:30:00 1979', 'Oct 20 18:29:59 1979', 'May 13 04:30:00 1979', 'Oct 21 03:29:59 1979');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 20 18:30:00 1979', 'May 10 19:29:59 1980', 'Oct 21 02:30:00 1979', 'May 11 03:29:59 1980');
timezone.add_rule('Hongkong', 'HKST', 1, 32400, 'May 10 19:30:00 1980', 'Oct 18 18:29:59 1980', 'May 11 04:30:00 1980', 'Oct 19 03:29:59 1980');
timezone.add_rule('Hongkong', 'CST', 0, 28800, 'Oct 18 18:30:00 1980', 'Jan 18 03:14:07 2038', 'Oct 19 02:30:00 1980', 'Jan 18 11:14:07 2038');
end;
/

--
-- Iceland
--

begin
timezone.add_rule('Iceland', 'GMT', 0, -5268, 'Dec 14 20:45:52 1901', 'Jan 1 01:27:47 1908', 'Dec 14 19:18:04 1901', 'Dec 31 23:59:59 1907');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Jan 1 01:27:48 1908', 'Feb 19 23:59:59 1917', 'Jan 1 00:27:48 1908', 'Feb 19 22:59:59 1917');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Feb 20 00:00:00 1917', 'Oct 21 00:59:59 1917', 'Feb 20 00:00:00 1917', 'Oct 21 00:59:59 1917');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 21 01:00:00 1917', 'Feb 19 23:59:59 1918', 'Oct 21 00:00:00 1917', 'Feb 19 22:59:59 1918');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Feb 20 00:00:00 1918', 'Nov 16 00:59:59 1918', 'Feb 20 00:00:00 1918', 'Nov 16 00:59:59 1918');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Nov 16 01:00:00 1918', 'Apr 29 23:59:59 1939', 'Nov 16 00:00:00 1918', 'Apr 29 22:59:59 1939');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 30 00:00:00 1939', 'Nov 29 01:59:59 1939', 'Apr 30 00:00:00 1939', 'Nov 29 01:59:59 1939');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Nov 29 02:00:00 1939', 'Feb 25 02:59:59 1940', 'Nov 29 01:00:00 1939', 'Feb 25 01:59:59 1940');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Feb 25 03:00:00 1940', 'Nov 3 01:59:59 1940', 'Feb 25 03:00:00 1940', 'Nov 3 01:59:59 1940');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Nov 3 02:00:00 1940', 'Mar 2 01:59:59 1941', 'Nov 3 01:00:00 1940', 'Mar 2 00:59:59 1941');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Mar 2 02:00:00 1941', 'Nov 2 01:59:59 1941', 'Mar 2 02:00:00 1941', 'Nov 2 01:59:59 1941');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Nov 2 02:00:00 1941', 'Mar 8 01:59:59 1942', 'Nov 2 01:00:00 1941', 'Mar 8 00:59:59 1942');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Mar 8 02:00:00 1942', 'Oct 25 01:59:59 1942', 'Mar 8 02:00:00 1942', 'Oct 25 01:59:59 1942');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 25 02:00:00 1942', 'Mar 7 01:59:59 1943', 'Oct 25 01:00:00 1942', 'Mar 7 00:59:59 1943');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Mar 7 02:00:00 1943', 'Oct 24 01:59:59 1943', 'Mar 7 02:00:00 1943', 'Oct 24 01:59:59 1943');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 24 02:00:00 1943', 'Mar 5 01:59:59 1944', 'Oct 24 01:00:00 1943', 'Mar 5 00:59:59 1944');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Mar 5 02:00:00 1944', 'Oct 22 01:59:59 1944', 'Mar 5 02:00:00 1944', 'Oct 22 01:59:59 1944');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 22 02:00:00 1944', 'Mar 4 01:59:59 1945', 'Oct 22 01:00:00 1944', 'Mar 4 00:59:59 1945');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Mar 4 02:00:00 1945', 'Oct 28 01:59:59 1945', 'Mar 4 02:00:00 1945', 'Oct 28 01:59:59 1945');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 28 02:00:00 1945', 'Mar 3 01:59:59 1946', 'Oct 28 01:00:00 1945', 'Mar 3 00:59:59 1946');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Mar 3 02:00:00 1946', 'Oct 27 01:59:59 1946', 'Mar 3 02:00:00 1946', 'Oct 27 01:59:59 1946');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 27 02:00:00 1946', 'Apr 6 01:59:59 1947', 'Oct 27 01:00:00 1946', 'Apr 6 00:59:59 1947');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 6 02:00:00 1947', 'Oct 26 01:59:59 1947', 'Apr 6 02:00:00 1947', 'Oct 26 01:59:59 1947');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 26 02:00:00 1947', 'Apr 4 01:59:59 1948', 'Oct 26 01:00:00 1947', 'Apr 4 00:59:59 1948');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 4 02:00:00 1948', 'Oct 24 01:59:59 1948', 'Apr 4 02:00:00 1948', 'Oct 24 01:59:59 1948');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 24 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 24 01:00:00 1948', 'Apr 3 00:59:59 1949');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949', 'Apr 3 02:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 30 02:00:00 1949', 'Apr 2 01:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 2 00:59:59 1950');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 2 02:00:00 1950', 'Oct 22 01:59:59 1950', 'Apr 2 02:00:00 1950', 'Oct 22 01:59:59 1950');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 22 02:00:00 1950', 'Apr 1 01:59:59 1951', 'Oct 22 01:00:00 1950', 'Apr 1 00:59:59 1951');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 1 02:00:00 1951', 'Oct 28 01:59:59 1951', 'Apr 1 02:00:00 1951', 'Oct 28 01:59:59 1951');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 28 02:00:00 1951', 'Apr 6 01:59:59 1952', 'Oct 28 01:00:00 1951', 'Apr 6 00:59:59 1952');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 6 02:00:00 1952', 'Oct 26 01:59:59 1952', 'Apr 6 02:00:00 1952', 'Oct 26 01:59:59 1952');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 26 02:00:00 1952', 'Apr 5 01:59:59 1953', 'Oct 26 01:00:00 1952', 'Apr 5 00:59:59 1953');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 5 02:00:00 1953', 'Oct 25 01:59:59 1953', 'Apr 5 02:00:00 1953', 'Oct 25 01:59:59 1953');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 25 02:00:00 1953', 'Apr 4 01:59:59 1954', 'Oct 25 01:00:00 1953', 'Apr 4 00:59:59 1954');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 4 02:00:00 1954', 'Oct 24 01:59:59 1954', 'Apr 4 02:00:00 1954', 'Oct 24 01:59:59 1954');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 24 02:00:00 1954', 'Apr 3 01:59:59 1955', 'Oct 24 01:00:00 1954', 'Apr 3 00:59:59 1955');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 3 02:00:00 1955', 'Oct 23 01:59:59 1955', 'Apr 3 02:00:00 1955', 'Oct 23 01:59:59 1955');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 23 02:00:00 1955', 'Apr 1 01:59:59 1956', 'Oct 23 01:00:00 1955', 'Apr 1 00:59:59 1956');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 1 02:00:00 1956', 'Oct 28 01:59:59 1956', 'Apr 1 02:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 28 02:00:00 1956', 'Apr 7 01:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 7 00:59:59 1957');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 7 02:00:00 1957', 'Oct 27 01:59:59 1957', 'Apr 7 02:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 27 02:00:00 1957', 'Apr 6 01:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 6 00:59:59 1958');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 6 02:00:00 1958', 'Oct 26 01:59:59 1958', 'Apr 6 02:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 26 02:00:00 1958', 'Apr 5 01:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 5 00:59:59 1959');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 5 02:00:00 1959', 'Oct 25 01:59:59 1959', 'Apr 5 02:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 25 02:00:00 1959', 'Apr 3 01:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 3 00:59:59 1960');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 3 02:00:00 1960', 'Oct 23 01:59:59 1960', 'Apr 3 02:00:00 1960', 'Oct 23 01:59:59 1960');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 23 02:00:00 1960', 'Apr 2 01:59:59 1961', 'Oct 23 01:00:00 1960', 'Apr 2 00:59:59 1961');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 2 02:00:00 1961', 'Oct 22 01:59:59 1961', 'Apr 2 02:00:00 1961', 'Oct 22 01:59:59 1961');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 22 02:00:00 1961', 'Apr 1 01:59:59 1962', 'Oct 22 01:00:00 1961', 'Apr 1 00:59:59 1962');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 1 02:00:00 1962', 'Oct 28 01:59:59 1962', 'Apr 1 02:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 28 02:00:00 1962', 'Apr 7 01:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 7 00:59:59 1963');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 7 02:00:00 1963', 'Oct 27 01:59:59 1963', 'Apr 7 02:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 27 02:00:00 1963', 'Apr 5 01:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 5 00:59:59 1964');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 5 02:00:00 1964', 'Oct 25 01:59:59 1964', 'Apr 5 02:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 25 02:00:00 1964', 'Apr 4 01:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 4 00:59:59 1965');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 4 02:00:00 1965', 'Oct 24 01:59:59 1965', 'Apr 4 02:00:00 1965', 'Oct 24 01:59:59 1965');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 24 02:00:00 1965', 'Apr 3 01:59:59 1966', 'Oct 24 01:00:00 1965', 'Apr 3 00:59:59 1966');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 3 02:00:00 1966', 'Oct 23 01:59:59 1966', 'Apr 3 02:00:00 1966', 'Oct 23 01:59:59 1966');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 23 02:00:00 1966', 'Apr 2 01:59:59 1967', 'Oct 23 01:00:00 1966', 'Apr 2 00:59:59 1967');
timezone.add_rule('Iceland', 'ISST', 1, 0, 'Apr 2 02:00:00 1967', 'Oct 29 01:59:59 1967', 'Apr 2 02:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Iceland', 'GMT', 0, -3600, 'Oct 29 02:00:00 1967', 'Apr 7 01:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 7 00:59:59 1968');
timezone.add_rule('Iceland', 'GMT', 0, 0, 'Apr 7 02:00:00 1968', 'Jan 18 03:14:07 2038', 'Apr 7 02:00:00 1968', 'Jan 18 03:14:07 2038');
end;
/

--
-- Indian/Antananarivo
--

begin
timezone.add_rule('Indian/Antananarivo', 'EAT', 0, 11404, 'Dec 14 20:45:52 1901', 'Jun 30 20:49:55 1911', 'Dec 14 23:55:56 1901', 'Jun 30 23:59:59 1911');
timezone.add_rule('Indian/Antananarivo', 'EAT', 0, 10800, 'Jun 30 20:49:56 1911', 'Feb 27 19:59:59 1954', 'Jun 30 23:49:56 1911', 'Feb 27 22:59:59 1954');
timezone.add_rule('Indian/Antananarivo', 'EAST', 1, 14400, 'Feb 27 20:00:00 1954', 'May 29 19:59:59 1954', 'Feb 28 00:00:00 1954', 'May 29 23:59:59 1954');
timezone.add_rule('Indian/Antananarivo', 'EAT', 0, 10800, 'May 29 20:00:00 1954', 'Jan 18 03:14:07 2038', 'May 29 23:00:00 1954', 'Jan 18 06:14:07 2038');
end;
/

--
-- Indian/Chagos
--

begin
timezone.add_rule('Indian/Chagos', 'IOT', 0, 18000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 01:45:52 1901', 'Jan 18 08:14:07 2038');
end;
/

--
-- Indian/Christmas
--

begin
timezone.add_rule('Indian/Christmas', 'CXT', 0, 25200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 03:45:52 1901', 'Jan 18 10:14:07 2038');
end;
/

--
-- Indian/Cocos
--

begin
timezone.add_rule('Indian/Cocos', 'CCT', 0, 23400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 03:15:52 1901', 'Jan 18 09:44:07 2038');
end;
/

--
-- Indian/Comoro
--

begin
timezone.add_rule('Indian/Comoro', 'EAT', 0, 10384, 'Dec 14 20:45:52 1901', 'Jun 30 21:06:55 1911', 'Dec 14 23:38:56 1901', 'Jun 30 23:59:59 1911');
timezone.add_rule('Indian/Comoro', 'EAT', 0, 10800, 'Jun 30 21:06:56 1911', 'Jan 18 03:14:07 2038', 'Jul 1 00:06:56 1911', 'Jan 18 06:14:07 2038');
end;
/

--
-- Indian/Kerguelen
--

begin
timezone.add_rule('Indian/Kerguelen', 'TFT', 0, 0, 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1949', 'Dec 14 20:45:52 1901', 'Dec 31 23:59:59 1949');
timezone.add_rule('Indian/Kerguelen', 'TFT', 0, 18000, 'Jan 1 00:00:00 1950', 'Jan 18 03:14:07 2038', 'Jan 1 05:00:00 1950', 'Jan 18 08:14:07 2038');
end;
/

--
-- Indian/Mahe
--

begin
timezone.add_rule('Indian/Mahe', 'SCT', 0, 13308, 'Dec 14 20:45:52 1901', 'May 31 20:18:11 1906', 'Dec 15 00:27:40 1901', 'May 31 23:59:59 1906');
timezone.add_rule('Indian/Mahe', 'SCT', 0, 14400, 'May 31 20:18:12 1906', 'Jan 18 03:14:07 2038', 'Jun 1 00:18:12 1906', 'Jan 18 07:14:07 2038');
end;
/

--
-- Indian/Maldives
--

begin
timezone.add_rule('Indian/Maldives', 'MVT', 0, 17640, 'Dec 14 20:45:52 1901', 'Dec 31 19:05:59 1959', 'Dec 15 01:39:52 1901', 'Dec 31 23:59:59 1959');
timezone.add_rule('Indian/Maldives', 'MVT', 0, 18000, 'Dec 31 19:06:00 1959', 'Jan 18 03:14:07 2038', 'Jan 1 00:06:00 1960', 'Jan 18 08:14:07 2038');
end;
/

--
-- Indian/Mauritius
--

begin
timezone.add_rule('Indian/Mauritius', 'MUT', 0, 13800, 'Dec 14 20:45:52 1901', 'Dec 31 20:09:59 1906', 'Dec 15 00:35:52 1901', 'Dec 31 23:59:59 1906');
timezone.add_rule('Indian/Mauritius', 'MUT', 0, 14400, 'Dec 31 20:10:00 1906', 'Jan 18 03:14:07 2038', 'Jan 1 00:10:00 1907', 'Jan 18 07:14:07 2038');
end;
/

--
-- Indian/Mayotte
--

begin
timezone.add_rule('Indian/Mayotte', 'EAT', 0, 10856, 'Dec 14 20:45:52 1901', 'Jun 30 20:59:03 1911', 'Dec 14 23:46:48 1901', 'Jun 30 23:59:59 1911');
timezone.add_rule('Indian/Mayotte', 'EAT', 0, 10800, 'Jun 30 20:59:04 1911', 'Jan 18 03:14:07 2038', 'Jun 30 23:59:04 1911', 'Jan 18 06:14:07 2038');
end;
/

--
-- Indian/Reunion
--

begin
timezone.add_rule('Indian/Reunion', 'RET', 0, 13312, 'Dec 14 20:45:52 1901', 'May 31 20:18:07 1911', 'Dec 15 00:27:44 1901', 'May 31 23:59:59 1911');
timezone.add_rule('Indian/Reunion', 'RET', 0, 14400, 'May 31 20:18:08 1911', 'Jan 18 03:14:07 2038', 'Jun 1 00:18:08 1911', 'Jan 18 07:14:07 2038');
end;
/

--
-- Iran
--

begin
timezone.add_rule('Iran', 'IRT', 0, 12344, 'Dec 14 20:45:52 1901', 'Dec 31 20:34:15 1945', 'Dec 15 00:11:36 1901', 'Dec 31 23:59:59 1945');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Dec 31 20:34:16 1945', 'Oct 31 20:29:59 1977', 'Jan 1 00:04:16 1946', 'Oct 31 23:59:59 1977');
timezone.add_rule('Iran', 'IRT', 0, 14400, 'Oct 31 20:30:00 1977', 'Mar 20 19:59:59 1978', 'Nov 1 00:30:00 1977', 'Mar 20 23:59:59 1978');
timezone.add_rule('Iran', 'IRST', 1, 18000, 'Mar 20 20:00:00 1978', 'Oct 20 18:59:59 1978', 'Mar 21 01:00:00 1978', 'Oct 20 23:59:59 1978');
timezone.add_rule('Iran', 'IRT', 0, 14400, 'Oct 20 19:00:00 1978', 'Dec 31 19:59:59 1978', 'Oct 20 23:00:00 1978', 'Dec 31 23:59:59 1978');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Dec 31 20:00:00 1978', 'Mar 20 20:29:59 1979', 'Dec 31 23:30:00 1978', 'Mar 20 23:59:59 1979');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1979', 'Sep 18 19:29:59 1979', 'Mar 21 01:00:00 1979', 'Sep 18 23:59:59 1979');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 18 19:30:00 1979', 'Mar 20 20:29:59 1980', 'Sep 18 23:00:00 1979', 'Mar 20 23:59:59 1980');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1980', 'Sep 22 19:29:59 1980', 'Mar 21 01:00:00 1980', 'Sep 22 23:59:59 1980');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1980', 'May 2 20:29:59 1991', 'Sep 22 23:00:00 1980', 'May 2 23:59:59 1991');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'May 2 20:30:00 1991', 'Sep 19 20:29:59 1991', 'May 3 01:00:00 1991', 'Sep 20 00:59:59 1991');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 19 20:30:00 1991', 'Mar 20 20:29:59 1992', 'Sep 20 00:00:00 1991', 'Mar 20 23:59:59 1992');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1992', 'Sep 22 19:29:59 1992', 'Mar 21 01:00:00 1992', 'Sep 22 23:59:59 1992');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1992', 'Mar 20 20:29:59 1993', 'Sep 22 23:00:00 1992', 'Mar 20 23:59:59 1993');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1993', 'Sep 22 19:29:59 1993', 'Mar 21 01:00:00 1993', 'Sep 22 23:59:59 1993');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1993', 'Mar 20 20:29:59 1994', 'Sep 22 23:00:00 1993', 'Mar 20 23:59:59 1994');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1994', 'Sep 22 19:29:59 1994', 'Mar 21 01:00:00 1994', 'Sep 22 23:59:59 1994');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1994', 'Mar 20 20:29:59 1995', 'Sep 22 23:00:00 1994', 'Mar 20 23:59:59 1995');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1995', 'Sep 22 19:29:59 1995', 'Mar 21 01:00:00 1995', 'Sep 22 23:59:59 1995');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1995', 'Mar 19 20:29:59 1996', 'Sep 22 23:00:00 1995', 'Mar 19 23:59:59 1996');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 1996', 'Sep 21 19:29:59 1996', 'Mar 20 01:00:00 1996', 'Sep 21 23:59:59 1996');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 1996', 'Mar 20 20:29:59 1997', 'Sep 21 23:00:00 1996', 'Mar 20 23:59:59 1997');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1997', 'Sep 22 19:29:59 1997', 'Mar 21 01:00:00 1997', 'Sep 22 23:59:59 1997');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1997', 'Mar 20 20:29:59 1998', 'Sep 22 23:00:00 1997', 'Mar 20 23:59:59 1998');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1998', 'Sep 22 19:29:59 1998', 'Mar 21 01:00:00 1998', 'Sep 22 23:59:59 1998');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1998', 'Mar 20 20:29:59 1999', 'Sep 22 23:00:00 1998', 'Mar 20 23:59:59 1999');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 1999', 'Sep 22 19:29:59 1999', 'Mar 21 01:00:00 1999', 'Sep 22 23:59:59 1999');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 1999', 'Mar 19 20:29:59 2000', 'Sep 22 23:00:00 1999', 'Mar 19 23:59:59 2000');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2000', 'Sep 21 19:29:59 2000', 'Mar 20 01:00:00 2000', 'Sep 21 23:59:59 2000');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2000', 'Mar 20 20:29:59 2001', 'Sep 21 23:00:00 2000', 'Mar 20 23:59:59 2001');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2001', 'Sep 22 19:29:59 2001', 'Mar 21 01:00:00 2001', 'Sep 22 23:59:59 2001');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2001', 'Mar 20 20:29:59 2002', 'Sep 22 23:00:00 2001', 'Mar 20 23:59:59 2002');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2002', 'Sep 22 19:29:59 2002', 'Mar 21 01:00:00 2002', 'Sep 22 23:59:59 2002');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2002', 'Mar 20 20:29:59 2003', 'Sep 22 23:00:00 2002', 'Mar 20 23:59:59 2003');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2003', 'Sep 22 19:29:59 2003', 'Mar 21 01:00:00 2003', 'Sep 22 23:59:59 2003');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2003', 'Mar 19 20:29:59 2004', 'Sep 22 23:00:00 2003', 'Mar 19 23:59:59 2004');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2004', 'Sep 21 19:29:59 2004', 'Mar 20 01:00:00 2004', 'Sep 21 23:59:59 2004');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2004', 'Mar 20 20:29:59 2005', 'Sep 21 23:00:00 2004', 'Mar 20 23:59:59 2005');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2005', 'Sep 22 19:29:59 2005', 'Mar 21 01:00:00 2005', 'Sep 22 23:59:59 2005');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2005', 'Mar 20 20:29:59 2006', 'Sep 22 23:00:00 2005', 'Mar 20 23:59:59 2006');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2006', 'Sep 22 19:29:59 2006', 'Mar 21 01:00:00 2006', 'Sep 22 23:59:59 2006');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2006', 'Mar 20 20:29:59 2007', 'Sep 22 23:00:00 2006', 'Mar 20 23:59:59 2007');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2007', 'Sep 22 19:29:59 2007', 'Mar 21 01:00:00 2007', 'Sep 22 23:59:59 2007');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2007', 'Mar 19 20:29:59 2008', 'Sep 22 23:00:00 2007', 'Mar 19 23:59:59 2008');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2008', 'Sep 21 19:29:59 2008', 'Mar 20 01:00:00 2008', 'Sep 21 23:59:59 2008');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2008', 'Mar 20 20:29:59 2009', 'Sep 21 23:00:00 2008', 'Mar 20 23:59:59 2009');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2009', 'Sep 22 19:29:59 2009', 'Mar 21 01:00:00 2009', 'Sep 22 23:59:59 2009');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2009', 'Mar 20 20:29:59 2010', 'Sep 22 23:00:00 2009', 'Mar 20 23:59:59 2010');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2010', 'Sep 22 19:29:59 2010', 'Mar 21 01:00:00 2010', 'Sep 22 23:59:59 2010');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2010', 'Mar 20 20:29:59 2011', 'Sep 22 23:00:00 2010', 'Mar 20 23:59:59 2011');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2011', 'Sep 22 19:29:59 2011', 'Mar 21 01:00:00 2011', 'Sep 22 23:59:59 2011');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2011', 'Mar 19 20:29:59 2012', 'Sep 22 23:00:00 2011', 'Mar 19 23:59:59 2012');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2012', 'Sep 21 19:29:59 2012', 'Mar 20 01:00:00 2012', 'Sep 21 23:59:59 2012');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2012', 'Mar 20 20:29:59 2013', 'Sep 21 23:00:00 2012', 'Mar 20 23:59:59 2013');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2013', 'Sep 22 19:29:59 2013', 'Mar 21 01:00:00 2013', 'Sep 22 23:59:59 2013');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2013', 'Mar 20 20:29:59 2014', 'Sep 22 23:00:00 2013', 'Mar 20 23:59:59 2014');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2014', 'Sep 22 19:29:59 2014', 'Mar 21 01:00:00 2014', 'Sep 22 23:59:59 2014');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2014', 'Mar 20 20:29:59 2015', 'Sep 22 23:00:00 2014', 'Mar 20 23:59:59 2015');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2015', 'Sep 22 19:29:59 2015', 'Mar 21 01:00:00 2015', 'Sep 22 23:59:59 2015');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2015', 'Mar 19 20:29:59 2016', 'Sep 22 23:00:00 2015', 'Mar 19 23:59:59 2016');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2016', 'Sep 21 19:29:59 2016', 'Mar 20 01:00:00 2016', 'Sep 21 23:59:59 2016');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2016', 'Mar 20 20:29:59 2017', 'Sep 21 23:00:00 2016', 'Mar 20 23:59:59 2017');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2017', 'Sep 22 19:29:59 2017', 'Mar 21 01:00:00 2017', 'Sep 22 23:59:59 2017');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2017', 'Mar 20 20:29:59 2018', 'Sep 22 23:00:00 2017', 'Mar 20 23:59:59 2018');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2018', 'Sep 22 19:29:59 2018', 'Mar 21 01:00:00 2018', 'Sep 22 23:59:59 2018');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2018', 'Mar 20 20:29:59 2019', 'Sep 22 23:00:00 2018', 'Mar 20 23:59:59 2019');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2019', 'Sep 22 19:29:59 2019', 'Mar 21 01:00:00 2019', 'Sep 22 23:59:59 2019');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2019', 'Mar 19 20:29:59 2020', 'Sep 22 23:00:00 2019', 'Mar 19 23:59:59 2020');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2020', 'Sep 21 19:29:59 2020', 'Mar 20 01:00:00 2020', 'Sep 21 23:59:59 2020');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2020', 'Mar 20 20:29:59 2021', 'Sep 21 23:00:00 2020', 'Mar 20 23:59:59 2021');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2021', 'Sep 22 19:29:59 2021', 'Mar 21 01:00:00 2021', 'Sep 22 23:59:59 2021');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2021', 'Mar 20 20:29:59 2022', 'Sep 22 23:00:00 2021', 'Mar 20 23:59:59 2022');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2022', 'Sep 22 19:29:59 2022', 'Mar 21 01:00:00 2022', 'Sep 22 23:59:59 2022');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2022', 'Mar 20 20:29:59 2023', 'Sep 22 23:00:00 2022', 'Mar 20 23:59:59 2023');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2023', 'Sep 22 19:29:59 2023', 'Mar 21 01:00:00 2023', 'Sep 22 23:59:59 2023');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2023', 'Mar 19 20:29:59 2024', 'Sep 22 23:00:00 2023', 'Mar 19 23:59:59 2024');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2024', 'Sep 21 19:29:59 2024', 'Mar 20 01:00:00 2024', 'Sep 21 23:59:59 2024');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2024', 'Mar 19 20:29:59 2025', 'Sep 21 23:00:00 2024', 'Mar 19 23:59:59 2025');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2025', 'Sep 21 19:29:59 2025', 'Mar 20 01:00:00 2025', 'Sep 21 23:59:59 2025');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2025', 'Mar 20 20:29:59 2026', 'Sep 21 23:00:00 2025', 'Mar 20 23:59:59 2026');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2026', 'Sep 22 19:29:59 2026', 'Mar 21 01:00:00 2026', 'Sep 22 23:59:59 2026');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2026', 'Mar 20 20:29:59 2027', 'Sep 22 23:00:00 2026', 'Mar 20 23:59:59 2027');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2027', 'Sep 22 19:29:59 2027', 'Mar 21 01:00:00 2027', 'Sep 22 23:59:59 2027');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2027', 'Mar 19 20:29:59 2028', 'Sep 22 23:00:00 2027', 'Mar 19 23:59:59 2028');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2028', 'Sep 21 19:29:59 2028', 'Mar 20 01:00:00 2028', 'Sep 21 23:59:59 2028');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2028', 'Mar 19 20:29:59 2029', 'Sep 21 23:00:00 2028', 'Mar 19 23:59:59 2029');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2029', 'Sep 21 19:29:59 2029', 'Mar 20 01:00:00 2029', 'Sep 21 23:59:59 2029');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2029', 'Mar 20 20:29:59 2030', 'Sep 21 23:00:00 2029', 'Mar 20 23:59:59 2030');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2030', 'Sep 22 19:29:59 2030', 'Mar 21 01:00:00 2030', 'Sep 22 23:59:59 2030');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2030', 'Mar 20 20:29:59 2031', 'Sep 22 23:00:00 2030', 'Mar 20 23:59:59 2031');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2031', 'Sep 22 19:29:59 2031', 'Mar 21 01:00:00 2031', 'Sep 22 23:59:59 2031');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2031', 'Mar 19 20:29:59 2032', 'Sep 22 23:00:00 2031', 'Mar 19 23:59:59 2032');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2032', 'Sep 21 19:29:59 2032', 'Mar 20 01:00:00 2032', 'Sep 21 23:59:59 2032');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2032', 'Mar 19 20:29:59 2033', 'Sep 21 23:00:00 2032', 'Mar 19 23:59:59 2033');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2033', 'Sep 21 19:29:59 2033', 'Mar 20 01:00:00 2033', 'Sep 21 23:59:59 2033');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2033', 'Mar 20 20:29:59 2034', 'Sep 21 23:00:00 2033', 'Mar 20 23:59:59 2034');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2034', 'Sep 22 19:29:59 2034', 'Mar 21 01:00:00 2034', 'Sep 22 23:59:59 2034');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2034', 'Mar 20 20:29:59 2035', 'Sep 22 23:00:00 2034', 'Mar 20 23:59:59 2035');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 20 20:30:00 2035', 'Sep 22 19:29:59 2035', 'Mar 21 01:00:00 2035', 'Sep 22 23:59:59 2035');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 22 19:30:00 2035', 'Mar 19 20:29:59 2036', 'Sep 22 23:00:00 2035', 'Mar 19 23:59:59 2036');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2036', 'Sep 21 19:29:59 2036', 'Mar 20 01:00:00 2036', 'Sep 21 23:59:59 2036');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2036', 'Mar 19 20:29:59 2037', 'Sep 21 23:00:00 2036', 'Mar 19 23:59:59 2037');
timezone.add_rule('Iran', 'IRST', 1, 16200, 'Mar 19 20:30:00 2037', 'Sep 21 19:29:59 2037', 'Mar 20 01:00:00 2037', 'Sep 21 23:59:59 2037');
timezone.add_rule('Iran', 'IRT', 0, 12600, 'Sep 21 19:30:00 2037', 'Jan 18 03:14:07 2038', 'Sep 21 23:00:00 2037', 'Jan 18 06:44:07 2038');
end;
/

--
-- Israel
--

begin
timezone.add_rule('Israel', 'IST', 0, 8440, 'Dec 14 20:45:52 1901', 'Dec 31 21:39:19 1917', 'Dec 14 23:06:32 1901', 'Dec 31 23:59:59 1917');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Dec 31 21:39:20 1917', 'May 31 21:59:59 1940', 'Dec 31 23:39:20 1917', 'May 31 23:59:59 1940');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'May 31 22:00:00 1940', 'Oct 31 20:59:59 1942', 'Jun 1 01:00:00 1940', 'Oct 31 23:59:59 1942');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Oct 31 21:00:00 1942', 'Mar 31 23:59:59 1943', 'Oct 31 23:00:00 1942', 'Apr 1 01:59:59 1943');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 1 00:00:00 1943', 'Oct 31 20:59:59 1943', 'Apr 1 03:00:00 1943', 'Oct 31 23:59:59 1943');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Oct 31 21:00:00 1943', 'Mar 31 21:59:59 1944', 'Oct 31 23:00:00 1943', 'Mar 31 23:59:59 1944');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 31 22:00:00 1944', 'Oct 31 20:59:59 1944', 'Apr 1 01:00:00 1944', 'Oct 31 23:59:59 1944');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Oct 31 21:00:00 1944', 'Apr 15 21:59:59 1945', 'Oct 31 23:00:00 1944', 'Apr 15 23:59:59 1945');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 15 22:00:00 1945', 'Oct 31 22:59:59 1945', 'Apr 16 01:00:00 1945', 'Nov 1 01:59:59 1945');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Oct 31 23:00:00 1945', 'Apr 15 23:59:59 1946', 'Nov 1 01:00:00 1945', 'Apr 16 01:59:59 1946');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 16 00:00:00 1946', 'Oct 31 20:59:59 1946', 'Apr 16 03:00:00 1946', 'Oct 31 23:59:59 1946');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Oct 31 21:00:00 1946', 'May 22 21:59:59 1948', 'Oct 31 23:00:00 1946', 'May 22 23:59:59 1948');
timezone.add_rule('Israel', 'IDT', 1, 14400, 'May 22 22:00:00 1948', 'Aug 31 19:59:59 1948', 'May 23 02:00:00 1948', 'Aug 31 23:59:59 1948');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Aug 31 20:00:00 1948', 'Oct 31 22:59:59 1948', 'Aug 31 23:00:00 1948', 'Nov 1 01:59:59 1948');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Oct 31 23:00:00 1948', 'Apr 30 21:59:59 1949', 'Nov 1 01:00:00 1948', 'Apr 30 23:59:59 1949');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 30 22:00:00 1949', 'Oct 31 22:59:59 1949', 'May 1 01:00:00 1949', 'Nov 1 01:59:59 1949');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Oct 31 23:00:00 1949', 'Apr 15 21:59:59 1950', 'Nov 1 01:00:00 1949', 'Apr 15 23:59:59 1950');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 15 22:00:00 1950', 'Sep 14 23:59:59 1950', 'Apr 16 01:00:00 1950', 'Sep 15 02:59:59 1950');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 15 00:00:00 1950', 'Mar 31 21:59:59 1951', 'Sep 15 02:00:00 1950', 'Mar 31 23:59:59 1951');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 31 22:00:00 1951', 'Nov 10 23:59:59 1951', 'Apr 1 01:00:00 1951', 'Nov 11 02:59:59 1951');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Nov 11 00:00:00 1951', 'Apr 19 23:59:59 1952', 'Nov 11 02:00:00 1951', 'Apr 20 01:59:59 1952');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 20 00:00:00 1952', 'Oct 18 23:59:59 1952', 'Apr 20 03:00:00 1952', 'Oct 19 02:59:59 1952');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Oct 19 00:00:00 1952', 'Apr 11 23:59:59 1953', 'Oct 19 02:00:00 1952', 'Apr 12 01:59:59 1953');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 12 00:00:00 1953', 'Sep 12 23:59:59 1953', 'Apr 12 03:00:00 1953', 'Sep 13 02:59:59 1953');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 13 00:00:00 1953', 'Jun 12 21:59:59 1954', 'Sep 13 02:00:00 1953', 'Jun 12 23:59:59 1954');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Jun 12 22:00:00 1954', 'Sep 11 20:59:59 1954', 'Jun 13 01:00:00 1954', 'Sep 11 23:59:59 1954');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 11 21:00:00 1954', 'Jun 10 23:59:59 1955', 'Sep 11 23:00:00 1954', 'Jun 11 01:59:59 1955');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Jun 11 00:00:00 1955', 'Sep 10 20:59:59 1955', 'Jun 11 03:00:00 1955', 'Sep 10 23:59:59 1955');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 10 21:00:00 1955', 'Jun 2 21:59:59 1956', 'Sep 10 23:00:00 1955', 'Jun 2 23:59:59 1956');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Jun 2 22:00:00 1956', 'Sep 29 23:59:59 1956', 'Jun 3 01:00:00 1956', 'Sep 30 02:59:59 1956');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 30 00:00:00 1956', 'Apr 28 23:59:59 1957', 'Sep 30 02:00:00 1956', 'Apr 29 01:59:59 1957');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 29 00:00:00 1957', 'Sep 21 20:59:59 1957', 'Apr 29 03:00:00 1957', 'Sep 21 23:59:59 1957');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 21 21:00:00 1957', 'Jul 6 21:59:59 1974', 'Sep 21 23:00:00 1957', 'Jul 6 23:59:59 1974');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Jul 6 22:00:00 1974', 'Oct 12 20:59:59 1974', 'Jul 7 01:00:00 1974', 'Oct 12 23:59:59 1974');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Oct 12 21:00:00 1974', 'Apr 19 21:59:59 1975', 'Oct 12 23:00:00 1974', 'Apr 19 23:59:59 1975');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 19 22:00:00 1975', 'Aug 30 20:59:59 1975', 'Apr 20 01:00:00 1975', 'Aug 30 23:59:59 1975');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 30 21:00:00 1975', 'Apr 13 21:59:59 1985', 'Aug 30 23:00:00 1975', 'Apr 13 23:59:59 1985');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 13 22:00:00 1985', 'Sep 14 20:59:59 1985', 'Apr 14 01:00:00 1985', 'Sep 14 23:59:59 1985');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 14 21:00:00 1985', 'May 17 21:59:59 1986', 'Sep 14 23:00:00 1985', 'May 17 23:59:59 1986');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'May 17 22:00:00 1986', 'Sep 6 20:59:59 1986', 'May 18 01:00:00 1986', 'Sep 6 23:59:59 1986');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 6 21:00:00 1986', 'Apr 14 21:59:59 1987', 'Sep 6 23:00:00 1986', 'Apr 14 23:59:59 1987');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 14 22:00:00 1987', 'Sep 12 20:59:59 1987', 'Apr 15 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 12 21:00:00 1987', 'Apr 8 21:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 8 23:59:59 1988');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 8 22:00:00 1988', 'Sep 2 20:59:59 1988', 'Apr 9 01:00:00 1988', 'Sep 2 23:59:59 1988');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 2 21:00:00 1988', 'Apr 29 21:59:59 1989', 'Sep 2 23:00:00 1988', 'Apr 29 23:59:59 1989');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 29 22:00:00 1989', 'Sep 2 20:59:59 1989', 'Apr 30 01:00:00 1989', 'Sep 2 23:59:59 1989');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 2 21:00:00 1989', 'Mar 24 21:59:59 1990', 'Sep 2 23:00:00 1989', 'Mar 24 23:59:59 1990');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 24 22:00:00 1990', 'Aug 25 20:59:59 1990', 'Mar 25 01:00:00 1990', 'Aug 25 23:59:59 1990');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 25 21:00:00 1990', 'Mar 23 21:59:59 1991', 'Aug 25 23:00:00 1990', 'Mar 23 23:59:59 1991');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 23 22:00:00 1991', 'Aug 31 20:59:59 1991', 'Mar 24 01:00:00 1991', 'Aug 31 23:59:59 1991');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 31 21:00:00 1991', 'Mar 28 21:59:59 1992', 'Aug 31 23:00:00 1991', 'Mar 28 23:59:59 1992');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 28 22:00:00 1992', 'Sep 5 20:59:59 1992', 'Mar 29 01:00:00 1992', 'Sep 5 23:59:59 1992');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 5 21:00:00 1992', 'Apr 1 21:59:59 1993', 'Sep 5 23:00:00 1992', 'Apr 1 23:59:59 1993');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 1 22:00:00 1993', 'Sep 4 20:59:59 1993', 'Apr 2 01:00:00 1993', 'Sep 4 23:59:59 1993');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 4 21:00:00 1993', 'Mar 31 21:59:59 1994', 'Sep 4 23:00:00 1993', 'Mar 31 23:59:59 1994');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 31 22:00:00 1994', 'Aug 27 20:59:59 1994', 'Apr 1 01:00:00 1994', 'Aug 27 23:59:59 1994');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 27 21:00:00 1994', 'Mar 30 21:59:59 1995', 'Aug 27 23:00:00 1994', 'Mar 30 23:59:59 1995');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 30 22:00:00 1995', 'Sep 2 20:59:59 1995', 'Mar 31 01:00:00 1995', 'Sep 2 23:59:59 1995');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 2 21:00:00 1995', 'Mar 14 21:59:59 1996', 'Sep 2 23:00:00 1995', 'Mar 14 23:59:59 1996');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 14 22:00:00 1996', 'Sep 15 20:59:59 1996', 'Mar 15 01:00:00 1996', 'Sep 15 23:59:59 1996');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 15 21:00:00 1996', 'Mar 20 21:59:59 1997', 'Sep 15 23:00:00 1996', 'Mar 20 23:59:59 1997');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 20 22:00:00 1997', 'Sep 13 20:59:59 1997', 'Mar 21 01:00:00 1997', 'Sep 13 23:59:59 1997');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 13 21:00:00 1997', 'Mar 19 21:59:59 1998', 'Sep 13 23:00:00 1997', 'Mar 19 23:59:59 1998');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Mar 19 22:00:00 1998', 'Sep 5 20:59:59 1998', 'Mar 20 01:00:00 1998', 'Sep 5 23:59:59 1998');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 5 21:00:00 1998', 'Apr 1 23:59:59 1999', 'Sep 5 23:00:00 1998', 'Apr 2 01:59:59 1999');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 2 00:00:00 1999', 'Sep 2 22:59:59 1999', 'Apr 2 03:00:00 1999', 'Sep 3 01:59:59 1999');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 2 23:00:00 1999', 'Apr 6 23:59:59 2000', 'Sep 3 01:00:00 1999', 'Apr 7 01:59:59 2000');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 7 00:00:00 2000', 'Aug 31 22:59:59 2000', 'Apr 7 03:00:00 2000', 'Sep 1 01:59:59 2000');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 31 23:00:00 2000', 'Apr 5 23:59:59 2001', 'Sep 1 01:00:00 2000', 'Apr 6 01:59:59 2001');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 6 00:00:00 2001', 'Sep 6 22:59:59 2001', 'Apr 6 03:00:00 2001', 'Sep 7 01:59:59 2001');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 6 23:00:00 2001', 'Apr 4 23:59:59 2002', 'Sep 7 01:00:00 2001', 'Apr 5 01:59:59 2002');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 5 00:00:00 2002', 'Sep 5 22:59:59 2002', 'Apr 5 03:00:00 2002', 'Sep 6 01:59:59 2002');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 5 23:00:00 2002', 'Apr 3 23:59:59 2003', 'Sep 6 01:00:00 2002', 'Apr 4 01:59:59 2003');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 4 00:00:00 2003', 'Sep 4 22:59:59 2003', 'Apr 4 03:00:00 2003', 'Sep 5 01:59:59 2003');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 4 23:00:00 2003', 'Apr 1 23:59:59 2004', 'Sep 5 01:00:00 2003', 'Apr 2 01:59:59 2004');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 2 00:00:00 2004', 'Sep 2 22:59:59 2004', 'Apr 2 03:00:00 2004', 'Sep 3 01:59:59 2004');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 2 23:00:00 2004', 'Mar 31 23:59:59 2005', 'Sep 3 01:00:00 2004', 'Apr 1 01:59:59 2005');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 1 00:00:00 2005', 'Sep 1 22:59:59 2005', 'Apr 1 03:00:00 2005', 'Sep 2 01:59:59 2005');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 1 23:00:00 2005', 'Apr 6 23:59:59 2006', 'Sep 2 01:00:00 2005', 'Apr 7 01:59:59 2006');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 7 00:00:00 2006', 'Aug 31 22:59:59 2006', 'Apr 7 03:00:00 2006', 'Sep 1 01:59:59 2006');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 31 23:00:00 2006', 'Apr 5 23:59:59 2007', 'Sep 1 01:00:00 2006', 'Apr 6 01:59:59 2007');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 6 00:00:00 2007', 'Sep 6 22:59:59 2007', 'Apr 6 03:00:00 2007', 'Sep 7 01:59:59 2007');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 6 23:00:00 2007', 'Apr 3 23:59:59 2008', 'Sep 7 01:00:00 2007', 'Apr 4 01:59:59 2008');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 4 00:00:00 2008', 'Sep 4 22:59:59 2008', 'Apr 4 03:00:00 2008', 'Sep 5 01:59:59 2008');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 4 23:00:00 2008', 'Apr 2 23:59:59 2009', 'Sep 5 01:00:00 2008', 'Apr 3 01:59:59 2009');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 3 00:00:00 2009', 'Sep 3 22:59:59 2009', 'Apr 3 03:00:00 2009', 'Sep 4 01:59:59 2009');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 3 23:00:00 2009', 'Apr 1 23:59:59 2010', 'Sep 4 01:00:00 2009', 'Apr 2 01:59:59 2010');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 2 00:00:00 2010', 'Sep 2 22:59:59 2010', 'Apr 2 03:00:00 2010', 'Sep 3 01:59:59 2010');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 2 23:00:00 2010', 'Mar 31 23:59:59 2011', 'Sep 3 01:00:00 2010', 'Apr 1 01:59:59 2011');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 1 00:00:00 2011', 'Sep 1 22:59:59 2011', 'Apr 1 03:00:00 2011', 'Sep 2 01:59:59 2011');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 1 23:00:00 2011', 'Apr 5 23:59:59 2012', 'Sep 2 01:00:00 2011', 'Apr 6 01:59:59 2012');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 6 00:00:00 2012', 'Sep 6 22:59:59 2012', 'Apr 6 03:00:00 2012', 'Sep 7 01:59:59 2012');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 6 23:00:00 2012', 'Apr 4 23:59:59 2013', 'Sep 7 01:00:00 2012', 'Apr 5 01:59:59 2013');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 5 00:00:00 2013', 'Sep 5 22:59:59 2013', 'Apr 5 03:00:00 2013', 'Sep 6 01:59:59 2013');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 5 23:00:00 2013', 'Apr 3 23:59:59 2014', 'Sep 6 01:00:00 2013', 'Apr 4 01:59:59 2014');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 4 00:00:00 2014', 'Sep 4 22:59:59 2014', 'Apr 4 03:00:00 2014', 'Sep 5 01:59:59 2014');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 4 23:00:00 2014', 'Apr 2 23:59:59 2015', 'Sep 5 01:00:00 2014', 'Apr 3 01:59:59 2015');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 3 00:00:00 2015', 'Sep 3 22:59:59 2015', 'Apr 3 03:00:00 2015', 'Sep 4 01:59:59 2015');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 3 23:00:00 2015', 'Mar 31 23:59:59 2016', 'Sep 4 01:00:00 2015', 'Apr 1 01:59:59 2016');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 1 00:00:00 2016', 'Sep 1 22:59:59 2016', 'Apr 1 03:00:00 2016', 'Sep 2 01:59:59 2016');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 1 23:00:00 2016', 'Apr 6 23:59:59 2017', 'Sep 2 01:00:00 2016', 'Apr 7 01:59:59 2017');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 7 00:00:00 2017', 'Aug 31 22:59:59 2017', 'Apr 7 03:00:00 2017', 'Sep 1 01:59:59 2017');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 31 23:00:00 2017', 'Apr 5 23:59:59 2018', 'Sep 1 01:00:00 2017', 'Apr 6 01:59:59 2018');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 6 00:00:00 2018', 'Sep 6 22:59:59 2018', 'Apr 6 03:00:00 2018', 'Sep 7 01:59:59 2018');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 6 23:00:00 2018', 'Apr 4 23:59:59 2019', 'Sep 7 01:00:00 2018', 'Apr 5 01:59:59 2019');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 5 00:00:00 2019', 'Sep 5 22:59:59 2019', 'Apr 5 03:00:00 2019', 'Sep 6 01:59:59 2019');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 5 23:00:00 2019', 'Apr 2 23:59:59 2020', 'Sep 6 01:00:00 2019', 'Apr 3 01:59:59 2020');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 3 00:00:00 2020', 'Sep 3 22:59:59 2020', 'Apr 3 03:00:00 2020', 'Sep 4 01:59:59 2020');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 3 23:00:00 2020', 'Apr 1 23:59:59 2021', 'Sep 4 01:00:00 2020', 'Apr 2 01:59:59 2021');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 2 00:00:00 2021', 'Sep 2 22:59:59 2021', 'Apr 2 03:00:00 2021', 'Sep 3 01:59:59 2021');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 2 23:00:00 2021', 'Mar 31 23:59:59 2022', 'Sep 3 01:00:00 2021', 'Apr 1 01:59:59 2022');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 1 00:00:00 2022', 'Sep 1 22:59:59 2022', 'Apr 1 03:00:00 2022', 'Sep 2 01:59:59 2022');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 1 23:00:00 2022', 'Apr 6 23:59:59 2023', 'Sep 2 01:00:00 2022', 'Apr 7 01:59:59 2023');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 7 00:00:00 2023', 'Aug 31 22:59:59 2023', 'Apr 7 03:00:00 2023', 'Sep 1 01:59:59 2023');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 31 23:00:00 2023', 'Apr 4 23:59:59 2024', 'Sep 1 01:00:00 2023', 'Apr 5 01:59:59 2024');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 5 00:00:00 2024', 'Sep 5 22:59:59 2024', 'Apr 5 03:00:00 2024', 'Sep 6 01:59:59 2024');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 5 23:00:00 2024', 'Apr 3 23:59:59 2025', 'Sep 6 01:00:00 2024', 'Apr 4 01:59:59 2025');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 4 00:00:00 2025', 'Sep 4 22:59:59 2025', 'Apr 4 03:00:00 2025', 'Sep 5 01:59:59 2025');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 4 23:00:00 2025', 'Apr 2 23:59:59 2026', 'Sep 5 01:00:00 2025', 'Apr 3 01:59:59 2026');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 3 00:00:00 2026', 'Sep 3 22:59:59 2026', 'Apr 3 03:00:00 2026', 'Sep 4 01:59:59 2026');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 3 23:00:00 2026', 'Apr 1 23:59:59 2027', 'Sep 4 01:00:00 2026', 'Apr 2 01:59:59 2027');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 2 00:00:00 2027', 'Sep 2 22:59:59 2027', 'Apr 2 03:00:00 2027', 'Sep 3 01:59:59 2027');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 2 23:00:00 2027', 'Apr 6 23:59:59 2028', 'Sep 3 01:00:00 2027', 'Apr 7 01:59:59 2028');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 7 00:00:00 2028', 'Aug 31 22:59:59 2028', 'Apr 7 03:00:00 2028', 'Sep 1 01:59:59 2028');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 31 23:00:00 2028', 'Apr 5 23:59:59 2029', 'Sep 1 01:00:00 2028', 'Apr 6 01:59:59 2029');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 6 00:00:00 2029', 'Sep 6 22:59:59 2029', 'Apr 6 03:00:00 2029', 'Sep 7 01:59:59 2029');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 6 23:00:00 2029', 'Apr 4 23:59:59 2030', 'Sep 7 01:00:00 2029', 'Apr 5 01:59:59 2030');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 5 00:00:00 2030', 'Sep 5 22:59:59 2030', 'Apr 5 03:00:00 2030', 'Sep 6 01:59:59 2030');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 5 23:00:00 2030', 'Apr 3 23:59:59 2031', 'Sep 6 01:00:00 2030', 'Apr 4 01:59:59 2031');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 4 00:00:00 2031', 'Sep 4 22:59:59 2031', 'Apr 4 03:00:00 2031', 'Sep 5 01:59:59 2031');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 4 23:00:00 2031', 'Apr 1 23:59:59 2032', 'Sep 5 01:00:00 2031', 'Apr 2 01:59:59 2032');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 2 00:00:00 2032', 'Sep 2 22:59:59 2032', 'Apr 2 03:00:00 2032', 'Sep 3 01:59:59 2032');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 2 23:00:00 2032', 'Mar 31 23:59:59 2033', 'Sep 3 01:00:00 2032', 'Apr 1 01:59:59 2033');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 1 00:00:00 2033', 'Sep 1 22:59:59 2033', 'Apr 1 03:00:00 2033', 'Sep 2 01:59:59 2033');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 1 23:00:00 2033', 'Apr 6 23:59:59 2034', 'Sep 2 01:00:00 2033', 'Apr 7 01:59:59 2034');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 7 00:00:00 2034', 'Aug 31 22:59:59 2034', 'Apr 7 03:00:00 2034', 'Sep 1 01:59:59 2034');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Aug 31 23:00:00 2034', 'Apr 5 23:59:59 2035', 'Sep 1 01:00:00 2034', 'Apr 6 01:59:59 2035');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 6 00:00:00 2035', 'Sep 6 22:59:59 2035', 'Apr 6 03:00:00 2035', 'Sep 7 01:59:59 2035');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 6 23:00:00 2035', 'Apr 3 23:59:59 2036', 'Sep 7 01:00:00 2035', 'Apr 4 01:59:59 2036');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 4 00:00:00 2036', 'Sep 4 22:59:59 2036', 'Apr 4 03:00:00 2036', 'Sep 5 01:59:59 2036');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 4 23:00:00 2036', 'Apr 2 23:59:59 2037', 'Sep 5 01:00:00 2036', 'Apr 3 01:59:59 2037');
timezone.add_rule('Israel', 'IDT', 1, 10800, 'Apr 3 00:00:00 2037', 'Sep 3 22:59:59 2037', 'Apr 3 03:00:00 2037', 'Sep 4 01:59:59 2037');
timezone.add_rule('Israel', 'IST', 0, 7200, 'Sep 3 23:00:00 2037', 'Jan 18 03:14:07 2038', 'Sep 4 01:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- Jamaica
--

begin
timezone.add_rule('Jamaica', 'EST', 0, -18432, 'Dec 14 20:45:52 1901', 'Feb 1 05:07:11 1912', 'Dec 14 15:38:40 1901', 'Jan 31 23:59:59 1912');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Feb 1 05:07:12 1912', 'Jan 6 06:59:59 1974', 'Feb 1 00:07:12 1912', 'Jan 6 01:59:59 1974');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Jan 6 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Feb 23 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Feb 23 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Jamaica', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Jamaica', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Jan 18 03:14:07 2038', 'Oct 30 01:00:00 1983', 'Jan 17 22:14:07 2038');
end;
/

--
-- Japan
--

begin
timezone.add_rule('Japan', 'JST', 0, 32400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 05:45:52 1901', 'Jan 18 12:14:07 2038');
end;
/

--
-- Kwajalein
--

begin
timezone.add_rule('Kwajalein', 'MHT', 0, 39600, 'Dec 14 20:45:52 1901', 'Sep 30 12:59:59 1969', 'Dec 15 07:45:52 1901', 'Sep 30 23:59:59 1969');
timezone.add_rule('Kwajalein', 'MHT', 0, -43200, 'Sep 30 13:00:00 1969', 'Aug 20 11:59:59 1993', 'Sep 30 01:00:00 1969', 'Aug 19 23:59:59 1993');
timezone.add_rule('Kwajalein', 'MHT', 0, 43200, 'Aug 20 12:00:00 1993', 'Jan 18 03:14:07 2038', 'Aug 21 00:00:00 1993', 'Jan 18 15:14:07 2038');
end;
/

--
-- Libya
--

begin
timezone.add_rule('Libya', 'EET', 0, 3164, 'Dec 14 20:45:52 1901', 'Dec 31 23:07:15 1919', 'Dec 14 21:38:36 1901', 'Dec 31 23:59:59 1919');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Dec 31 23:07:16 1919', 'Oct 14 00:59:59 1951', 'Jan 1 00:07:16 1920', 'Oct 14 01:59:59 1951');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Oct 14 01:00:00 1951', 'Dec 31 21:59:59 1951', 'Oct 14 03:00:00 1951', 'Dec 31 23:59:59 1951');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Dec 31 22:00:00 1951', 'Oct 9 00:59:59 1953', 'Dec 31 23:00:00 1951', 'Oct 9 01:59:59 1953');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Oct 9 01:00:00 1953', 'Dec 31 21:59:59 1953', 'Oct 9 03:00:00 1953', 'Dec 31 23:59:59 1953');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Dec 31 22:00:00 1953', 'Sep 29 22:59:59 1955', 'Dec 31 23:00:00 1953', 'Sep 29 23:59:59 1955');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Sep 29 23:00:00 1955', 'Dec 31 21:59:59 1955', 'Sep 30 01:00:00 1955', 'Dec 31 23:59:59 1955');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Dec 31 22:00:00 1955', 'Dec 31 22:59:59 1958', 'Dec 31 23:00:00 1955', 'Dec 31 23:59:59 1958');
timezone.add_rule('Libya', 'EET', 0, 7200, 'Dec 31 23:00:00 1958', 'Dec 31 21:59:59 1981', 'Jan 1 01:00:00 1959', 'Dec 31 23:59:59 1981');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Dec 31 22:00:00 1981', 'Mar 31 22:59:59 1982', 'Dec 31 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Mar 31 23:00:00 1982', 'Sep 30 21:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Sep 30 22:00:00 1982', 'Mar 31 22:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Mar 31 23:00:00 1983', 'Sep 30 21:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Sep 30 22:00:00 1983', 'Mar 31 22:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Mar 31 23:00:00 1984', 'Sep 30 21:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 23:59:59 1984');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Sep 30 22:00:00 1984', 'Apr 5 22:59:59 1985', 'Sep 30 23:00:00 1984', 'Apr 5 23:59:59 1985');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Apr 5 23:00:00 1985', 'Sep 30 21:59:59 1985', 'Apr 6 01:00:00 1985', 'Sep 30 23:59:59 1985');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Sep 30 22:00:00 1985', 'Apr 3 22:59:59 1986', 'Sep 30 23:00:00 1985', 'Apr 3 23:59:59 1986');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Apr 3 23:00:00 1986', 'Oct 2 21:59:59 1986', 'Apr 4 01:00:00 1986', 'Oct 2 23:59:59 1986');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Oct 2 22:00:00 1986', 'Mar 31 22:59:59 1987', 'Oct 2 23:00:00 1986', 'Mar 31 23:59:59 1987');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Mar 31 23:00:00 1987', 'Sep 30 21:59:59 1987', 'Apr 1 01:00:00 1987', 'Sep 30 23:59:59 1987');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Sep 30 22:00:00 1987', 'Mar 31 22:59:59 1988', 'Sep 30 23:00:00 1987', 'Mar 31 23:59:59 1988');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Mar 31 23:00:00 1988', 'Sep 30 21:59:59 1988', 'Apr 1 01:00:00 1988', 'Sep 30 23:59:59 1988');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Sep 30 22:00:00 1988', 'Mar 31 22:59:59 1989', 'Sep 30 23:00:00 1988', 'Mar 31 23:59:59 1989');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Mar 31 23:00:00 1989', 'Sep 30 21:59:59 1989', 'Apr 1 01:00:00 1989', 'Sep 30 23:59:59 1989');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Sep 30 22:00:00 1989', 'May 3 22:59:59 1990', 'Sep 30 23:00:00 1989', 'May 3 23:59:59 1990');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'May 3 23:00:00 1990', 'Sep 30 21:59:59 1990', 'May 4 01:00:00 1990', 'Sep 30 23:59:59 1990');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Sep 30 22:00:00 1990', 'Dec 31 22:59:59 1990', 'Sep 30 23:00:00 1990', 'Dec 31 23:59:59 1990');
timezone.add_rule('Libya', 'EET', 0, 7200, 'Dec 31 23:00:00 1990', 'Mar 30 00:59:59 1996', 'Jan 1 01:00:00 1991', 'Mar 30 02:59:59 1996');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Mar 30 01:00:00 1996', 'Sep 30 00:59:59 1996', 'Mar 30 03:00:00 1996', 'Sep 30 02:59:59 1996');
timezone.add_rule('Libya', 'EET', 0, 3600, 'Sep 30 01:00:00 1996', 'Apr 3 22:59:59 1997', 'Sep 30 02:00:00 1996', 'Apr 3 23:59:59 1997');
timezone.add_rule('Libya', 'CEST', 1, 7200, 'Apr 3 23:00:00 1997', 'Oct 3 21:59:59 1997', 'Apr 4 01:00:00 1997', 'Oct 3 23:59:59 1997');
timezone.add_rule('Libya', 'EET', 0, 7200, 'Oct 3 22:00:00 1997', 'Jan 18 03:14:07 2038', 'Oct 4 00:00:00 1997', 'Jan 18 05:14:07 2038');
end;
/

--
-- MET
--

begin
timezone.add_rule('MET', 'MET', 0, 3600, 'Dec 14 20:45:52 1901', 'Apr 30 21:59:59 1916', 'Dec 14 21:45:52 1901', 'Apr 30 22:59:59 1916');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 16 01:00:00 1918', 'Apr 1 00:59:59 1940', 'Sep 16 02:00:00 1918', 'Apr 1 01:59:59 1940');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Apr 1 01:00:00 1940', 'Nov 2 00:59:59 1942', 'Apr 1 03:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('MET', 'MET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Oct 2 00:59:59 1944', 'Apr 3 03:00:00 1944', 'Oct 2 02:59:59 1944');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 2 01:00:00 1944', 'Apr 3 00:59:59 1977', 'Oct 2 02:00:00 1944', 'Apr 3 01:59:59 1977');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Apr 3 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Apr 3 03:00:00 1977', 'Sep 25 02:59:59 1977');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 02:00:00 1977', 'Apr 2 01:59:59 1978');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 03:00:00 1978', 'Oct 1 02:59:59 1978');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 02:00:00 1978', 'Apr 1 01:59:59 1979');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 03:00:00 1979', 'Sep 30 02:59:59 1979');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 02:00:00 1979', 'Apr 6 01:59:59 1980');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 03:00:00 1980', 'Sep 28 02:59:59 1980');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 02:00:00 1980', 'Mar 29 01:59:59 1981');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 03:00:00 1981', 'Sep 27 02:59:59 1981');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 02:00:00 1981', 'Mar 28 01:59:59 1982');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 03:00:00 1982', 'Sep 26 02:59:59 1982');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 02:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 02:59:59 1983');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 02:00:00 1983', 'Mar 25 01:59:59 1984');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 03:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 03:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 02:00:00 1991', 'Mar 29 01:59:59 1992');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 03:00:00 1992', 'Sep 27 02:59:59 1992');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('MET', 'MET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('MET', 'MEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('MET', 'MET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- MST
--

begin
timezone.add_rule('MST', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Mar 31 08:59:59 1918', 'Dec 14 13:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('MST', 'MDT', 1, -21600, 'Mar 31 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('MST', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'Mar 30 08:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('MST', 'MDT', 1, -21600, 'Mar 30 09:00:00 1919', 'Oct 26 07:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('MST', 'MST', 0, -25200, 'Oct 26 08:00:00 1919', 'Feb 9 08:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('MST', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Jan 1 06:00:59 1944', 'Feb 9 03:00:00 1942', 'Jan 1 00:00:59 1944');
timezone.add_rule('MST', 'MST', 0, -25200, 'Jan 1 06:01:00 1944', 'Mar 17 07:00:59 1944', 'Dec 31 23:01:00 1943', 'Mar 17 00:00:59 1944');
timezone.add_rule('MST', 'MDT', 1, -21600, 'Mar 17 07:01:00 1944', 'Oct 1 06:00:59 1944', 'Mar 17 01:01:00 1944', 'Oct 1 00:00:59 1944');
timezone.add_rule('MST', 'MST', 0, -25200, 'Oct 1 06:01:00 1944', 'Apr 30 08:59:59 1967', 'Sep 30 23:01:00 1944', 'Apr 30 01:59:59 1967');
timezone.add_rule('MST', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('MST', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Jan 18 03:14:07 2038', 'Oct 29 01:00:00 1967', 'Jan 17 20:14:07 2038');
end;
/

--
-- MST7MDT
--

begin
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Mar 31 08:59:59 1918', 'Dec 14 13:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Mar 31 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'Mar 30 08:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Mar 30 09:00:00 1919', 'Oct 26 07:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1919', 'Mar 28 08:59:59 1920', 'Oct 26 01:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Mar 28 09:00:00 1920', 'Oct 31 07:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1920', 'Mar 27 08:59:59 1921', 'Oct 31 01:00:00 1920', 'Mar 27 01:59:59 1921');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Mar 27 09:00:00 1921', 'May 22 07:59:59 1921', 'Mar 27 03:00:00 1921', 'May 22 01:59:59 1921');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'May 22 08:00:00 1921', 'Feb 9 08:59:59 1942', 'May 22 01:00:00 1921', 'Feb 9 01:59:59 1942');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 25 08:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 25 01:59:59 1965');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1965', 'Oct 31 07:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1965', 'Apr 24 08:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1966', 'Oct 30 07:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1966', 'Apr 30 08:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Apr 28 08:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1968', 'Oct 27 07:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1968', 'Apr 27 08:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1969', 'Oct 26 07:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1969', 'Apr 26 08:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1970', 'Oct 25 07:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1970', 'Apr 25 08:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1971', 'Oct 31 07:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1971', 'Apr 30 08:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1972', 'Oct 29 07:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1972', 'Apr 29 08:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1973', 'Oct 28 07:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1973', 'Jan 6 08:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Jan 6 09:00:00 1974', 'Oct 27 07:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1974', 'Feb 23 08:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Feb 23 09:00:00 1975', 'Oct 26 07:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1975', 'Apr 25 08:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1976', 'Oct 31 07:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1976', 'Apr 24 08:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1977', 'Oct 30 07:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1977', 'Apr 30 08:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1978', 'Oct 29 07:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1978', 'Apr 29 08:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1979', 'Oct 28 07:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1979', 'Apr 27 08:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('MST7MDT', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- Mexico/BajaNorte
--

begin
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28084, 'Dec 14 20:45:52 1901', 'Jan 1 07:59:59 1922', 'Dec 14 12:57:48 1901', 'Jan 1 00:11:55 1922');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Jan 1 08:00:00 1922', 'Jun 11 06:59:59 1927', 'Jan 1 00:00:00 1922', 'Jun 10 22:59:59 1927');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -25200, 'Jun 11 07:00:00 1927', 'Nov 16 06:59:59 1930', 'Jun 11 00:00:00 1927', 'Nov 15 23:59:59 1930');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Nov 16 07:00:00 1930', 'Apr 1 07:59:59 1942', 'Nov 15 23:00:00 1930', 'Mar 31 23:59:59 1942');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -25200, 'Apr 1 08:00:00 1942', 'Jan 14 06:59:59 1949', 'Apr 1 01:00:00 1942', 'Jan 13 23:59:59 1949');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Jan 14 07:00:00 1949', 'Apr 30 09:59:59 1950', 'Jan 13 23:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 30 10:00:00 1950', 'Sep 24 08:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 24 09:00:00 1950', 'Apr 29 09:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 29 10:00:00 1951', 'Sep 30 08:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 30 09:00:00 1951', 'Apr 27 09:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 27 10:00:00 1952', 'Sep 28 08:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 28 09:00:00 1952', 'Apr 26 09:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 26 10:00:00 1953', 'Sep 27 08:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 27 09:00:00 1953', 'Apr 25 09:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 25 10:00:00 1954', 'Sep 26 08:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 26 09:00:00 1954', 'Apr 24 09:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 24 10:00:00 1955', 'Sep 25 08:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 25 09:00:00 1955', 'Apr 29 09:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 29 10:00:00 1956', 'Sep 30 08:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 30 09:00:00 1956', 'Apr 28 09:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 28 10:00:00 1957', 'Sep 29 08:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 29 09:00:00 1957', 'Apr 27 09:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 27 10:00:00 1958', 'Sep 28 08:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 28 09:00:00 1958', 'Apr 26 09:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 26 10:00:00 1959', 'Sep 27 08:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 27 09:00:00 1959', 'Apr 24 09:59:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 24 10:00:00 1960', 'Sep 25 08:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 25 09:00:00 1960', 'Apr 30 09:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 30 10:00:00 1961', 'Sep 24 08:59:59 1961', 'Apr 30 03:00:00 1961', 'Sep 24 01:59:59 1961');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Sep 24 09:00:00 1961', 'Apr 29 09:59:59 1962', 'Sep 24 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 29 10:00:00 1962', 'Oct 28 08:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 1962', 'Apr 28 09:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 28 10:00:00 1963', 'Oct 27 08:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 1963', 'Apr 26 09:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 26 10:00:00 1964', 'Oct 25 08:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 1964', 'Apr 25 09:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 25 10:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 1965', 'Apr 24 09:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 24 10:00:00 1966', 'Oct 30 08:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 1966', 'Apr 30 09:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 30 10:00:00 1967', 'Oct 29 08:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 1967', 'Apr 28 09:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 28 10:00:00 1968', 'Oct 27 08:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 1968', 'Apr 27 09:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Oct 29 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 1972', 'Apr 29 09:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 29 10:00:00 1973', 'Oct 28 08:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 1973', 'Jan 6 09:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Jan 6 10:00:00 1974', 'Oct 27 08:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 1974', 'Feb 23 09:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Feb 23 10:00:00 1975', 'Oct 26 08:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 1975', 'Apr 25 09:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 25 10:00:00 1976', 'Oct 31 08:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 1976', 'Apr 24 09:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 24 10:00:00 1977', 'Oct 30 08:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 1977', 'Apr 30 09:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 30 10:00:00 1978', 'Oct 29 08:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 1978', 'Apr 29 09:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 29 10:00:00 1979', 'Oct 28 08:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 1979', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Mexico/BajaNorte', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Mexico/BajaNorte', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- Mexico/BajaSur
--

begin
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25540, 'Dec 14 20:45:52 1901', 'Jan 1 06:59:59 1922', 'Dec 14 13:40:12 1901', 'Dec 31 23:54:19 1921');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Jan 1 07:00:00 1922', 'Jun 11 05:59:59 1927', 'Jan 1 00:00:00 1922', 'Jun 10 22:59:59 1927');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -21600, 'Jun 11 06:00:00 1927', 'Nov 15 05:59:59 1930', 'Jun 11 00:00:00 1927', 'Nov 14 23:59:59 1930');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Nov 15 06:00:00 1930', 'May 2 05:59:59 1931', 'Nov 14 23:00:00 1930', 'May 1 22:59:59 1931');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -21600, 'May 2 06:00:00 1931', 'Oct 1 05:59:59 1931', 'May 2 00:00:00 1931', 'Sep 30 23:59:59 1931');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 1 06:00:00 1931', 'Mar 31 05:59:59 1932', 'Sep 30 23:00:00 1931', 'Mar 30 22:59:59 1932');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -21600, 'Mar 31 06:00:00 1932', 'Apr 1 05:59:59 1942', 'Mar 31 00:00:00 1932', 'Mar 31 23:59:59 1942');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Apr 1 06:00:00 1942', 'Jan 14 06:59:59 1949', 'Mar 31 23:00:00 1942', 'Jan 13 23:59:59 1949');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -28800, 'Jan 14 07:00:00 1949', 'Jan 1 07:59:59 1970', 'Jan 13 23:00:00 1949', 'Dec 31 23:59:59 1969');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Jan 1 08:00:00 1970', 'Apr 7 08:59:59 1996', 'Jan 1 01:00:00 1970', 'Apr 7 01:59:59 1996');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Mexico/BajaSur', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Mexico/BajaSur', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- Mexico/General
--

begin
timezone.add_rule('Mexico/General', 'CST', 0, -23796, 'Dec 14 20:45:52 1901', 'Jan 1 06:59:59 1922', 'Dec 14 14:09:16 1901', 'Jan 1 00:23:23 1922');
timezone.add_rule('Mexico/General', 'CST', 0, -25200, 'Jan 1 07:00:00 1922', 'Jun 11 05:59:59 1927', 'Jan 1 00:00:00 1922', 'Jun 10 22:59:59 1927');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Jun 11 06:00:00 1927', 'Nov 15 05:59:59 1930', 'Jun 11 00:00:00 1927', 'Nov 14 23:59:59 1930');
timezone.add_rule('Mexico/General', 'CST', 0, -25200, 'Nov 15 06:00:00 1930', 'May 2 05:59:59 1931', 'Nov 14 23:00:00 1930', 'May 1 22:59:59 1931');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'May 2 06:00:00 1931', 'Oct 1 05:59:59 1931', 'May 2 00:00:00 1931', 'Sep 30 23:59:59 1931');
timezone.add_rule('Mexico/General', 'CST', 0, -25200, 'Oct 1 06:00:00 1931', 'Mar 31 05:59:59 1932', 'Sep 30 23:00:00 1931', 'Mar 30 22:59:59 1932');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Mar 31 06:00:00 1932', 'Feb 5 05:59:59 1939', 'Mar 31 00:00:00 1932', 'Feb 4 23:59:59 1939');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Feb 5 06:00:00 1939', 'Jun 25 04:59:59 1939', 'Feb 5 01:00:00 1939', 'Jun 24 23:59:59 1939');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Jun 25 05:00:00 1939', 'Dec 9 05:59:59 1940', 'Jun 24 23:00:00 1939', 'Dec 8 23:59:59 1940');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Dec 9 06:00:00 1940', 'Apr 1 04:59:59 1941', 'Dec 9 01:00:00 1940', 'Mar 31 23:59:59 1941');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Apr 1 05:00:00 1941', 'Dec 16 05:59:59 1943', 'Mar 31 23:00:00 1941', 'Dec 15 23:59:59 1943');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Dec 16 06:00:00 1943', 'May 1 04:59:59 1944', 'Dec 16 01:00:00 1943', 'Apr 30 23:59:59 1944');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'May 1 05:00:00 1944', 'Feb 12 05:59:59 1950', 'Apr 30 23:00:00 1944', 'Feb 11 23:59:59 1950');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Feb 12 06:00:00 1950', 'Jul 30 04:59:59 1950', 'Feb 12 01:00:00 1950', 'Jul 29 23:59:59 1950');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Jul 30 05:00:00 1950', 'Apr 7 07:59:59 1996', 'Jul 29 23:00:00 1950', 'Apr 7 01:59:59 1996');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Mexico/General', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Mexico/General', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- Mideast/Riyadh87
--

begin
timezone.add_rule('Mideast/Riyadh87', '??', 0, 11224, 'Dec 14 20:45:52 1901', 'Jan 1 08:56:15 1987', 'Dec 14 23:52:56 1901', 'Jan 1 12:03:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11024, 'Jan 1 08:56:16 1987', 'Jan 2 08:56:45 1987', 'Jan 1 12:00:00 1987', 'Jan 2 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10994, 'Jan 2 08:56:46 1987', 'Jan 3 08:57:10 1987', 'Jan 2 12:00:00 1987', 'Jan 3 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10969, 'Jan 3 08:57:11 1987', 'Jan 4 08:57:40 1987', 'Jan 3 12:00:00 1987', 'Jan 4 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10939, 'Jan 4 08:57:41 1987', 'Jan 5 08:58:05 1987', 'Jan 4 12:00:00 1987', 'Jan 5 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10914, 'Jan 5 08:58:06 1987', 'Jan 6 08:58:35 1987', 'Jan 5 12:00:00 1987', 'Jan 6 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10884, 'Jan 6 08:58:36 1987', 'Jan 7 08:59:00 1987', 'Jan 6 12:00:00 1987', 'Jan 7 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10859, 'Jan 7 08:59:01 1987', 'Jan 8 08:59:25 1987', 'Jan 7 12:00:00 1987', 'Jan 8 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10834, 'Jan 8 08:59:26 1987', 'Jan 9 08:59:50 1987', 'Jan 8 12:00:00 1987', 'Jan 9 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10809, 'Jan 9 08:59:51 1987', 'Jan 10 09:00:15 1987', 'Jan 9 12:00:00 1987', 'Jan 10 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10784, 'Jan 10 09:00:16 1987', 'Jan 11 09:00:40 1987', 'Jan 10 12:00:00 1987', 'Jan 11 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10759, 'Jan 11 09:00:41 1987', 'Jan 12 09:01:05 1987', 'Jan 11 12:00:00 1987', 'Jan 12 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10734, 'Jan 12 09:01:06 1987', 'Jan 13 09:01:25 1987', 'Jan 12 12:00:00 1987', 'Jan 13 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10714, 'Jan 13 09:01:26 1987', 'Jan 14 09:01:50 1987', 'Jan 13 12:00:00 1987', 'Jan 14 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10689, 'Jan 14 09:01:51 1987', 'Jan 15 09:02:10 1987', 'Jan 14 12:00:00 1987', 'Jan 15 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10669, 'Jan 15 09:02:11 1987', 'Jan 16 09:02:30 1987', 'Jan 15 12:00:00 1987', 'Jan 16 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10649, 'Jan 16 09:02:31 1987', 'Jan 17 09:02:50 1987', 'Jan 16 12:00:00 1987', 'Jan 17 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10629, 'Jan 17 09:02:51 1987', 'Jan 18 09:03:10 1987', 'Jan 17 12:00:00 1987', 'Jan 18 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10609, 'Jan 18 09:03:11 1987', 'Jan 19 09:03:30 1987', 'Jan 18 12:00:00 1987', 'Jan 19 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10589, 'Jan 19 09:03:31 1987', 'Jan 20 09:03:50 1987', 'Jan 19 12:00:00 1987', 'Jan 20 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10569, 'Jan 20 09:03:51 1987', 'Jan 21 09:04:05 1987', 'Jan 20 12:00:00 1987', 'Jan 21 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10554, 'Jan 21 09:04:06 1987', 'Jan 22 09:04:25 1987', 'Jan 21 12:00:00 1987', 'Jan 22 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10534, 'Jan 22 09:04:26 1987', 'Jan 23 09:04:40 1987', 'Jan 22 12:00:00 1987', 'Jan 23 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10519, 'Jan 23 09:04:41 1987', 'Jan 24 09:04:55 1987', 'Jan 23 12:00:00 1987', 'Jan 24 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10504, 'Jan 24 09:04:56 1987', 'Jan 25 09:05:10 1987', 'Jan 24 12:00:00 1987', 'Jan 25 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10489, 'Jan 25 09:05:11 1987', 'Jan 26 09:05:25 1987', 'Jan 25 12:00:00 1987', 'Jan 26 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10474, 'Jan 26 09:05:26 1987', 'Jan 27 09:05:35 1987', 'Jan 26 12:00:00 1987', 'Jan 27 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10464, 'Jan 27 09:05:36 1987', 'Jan 28 09:05:50 1987', 'Jan 27 12:00:00 1987', 'Jan 28 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10449, 'Jan 28 09:05:51 1987', 'Jan 29 09:06:00 1987', 'Jan 28 12:00:00 1987', 'Jan 29 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10439, 'Jan 29 09:06:01 1987', 'Jan 30 09:06:10 1987', 'Jan 29 12:00:00 1987', 'Jan 30 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10429, 'Jan 30 09:06:11 1987', 'Jan 31 09:06:20 1987', 'Jan 30 12:00:00 1987', 'Jan 31 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10419, 'Jan 31 09:06:21 1987', 'Feb 1 09:06:30 1987', 'Jan 31 12:00:00 1987', 'Feb 1 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10409, 'Feb 1 09:06:31 1987', 'Feb 2 09:06:35 1987', 'Feb 1 12:00:00 1987', 'Feb 2 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10404, 'Feb 2 09:06:36 1987', 'Feb 3 09:06:45 1987', 'Feb 2 12:00:00 1987', 'Feb 3 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10394, 'Feb 3 09:06:46 1987', 'Feb 4 09:06:50 1987', 'Feb 3 12:00:00 1987', 'Feb 4 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10389, 'Feb 4 09:06:51 1987', 'Feb 5 09:06:55 1987', 'Feb 4 12:00:00 1987', 'Feb 5 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10384, 'Feb 5 09:06:56 1987', 'Feb 6 09:07:00 1987', 'Feb 5 12:00:00 1987', 'Feb 6 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10379, 'Feb 6 09:07:01 1987', 'Feb 7 09:07:05 1987', 'Feb 6 12:00:00 1987', 'Feb 7 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10374, 'Feb 7 09:07:06 1987', 'Feb 9 09:07:10 1987', 'Feb 7 12:00:00 1987', 'Feb 9 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10369, 'Feb 9 09:07:11 1987', 'Feb 15 09:07:05 1987', 'Feb 9 12:00:00 1987', 'Feb 15 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10374, 'Feb 15 09:07:06 1987', 'Feb 17 09:07:00 1987', 'Feb 15 12:00:00 1987', 'Feb 17 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10379, 'Feb 17 09:07:01 1987', 'Feb 18 09:06:55 1987', 'Feb 17 12:00:00 1987', 'Feb 18 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10384, 'Feb 18 09:06:56 1987', 'Feb 19 09:06:50 1987', 'Feb 18 12:00:00 1987', 'Feb 19 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10389, 'Feb 19 09:06:51 1987', 'Feb 20 09:06:45 1987', 'Feb 19 12:00:00 1987', 'Feb 20 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10394, 'Feb 20 09:06:46 1987', 'Feb 21 09:06:40 1987', 'Feb 20 12:00:00 1987', 'Feb 21 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10399, 'Feb 21 09:06:41 1987', 'Feb 22 09:06:30 1987', 'Feb 21 12:00:00 1987', 'Feb 22 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10409, 'Feb 22 09:06:31 1987', 'Feb 23 09:06:25 1987', 'Feb 22 12:00:00 1987', 'Feb 23 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10414, 'Feb 23 09:06:26 1987', 'Feb 24 09:06:15 1987', 'Feb 23 12:00:00 1987', 'Feb 24 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10424, 'Feb 24 09:06:16 1987', 'Feb 25 09:06:05 1987', 'Feb 24 12:00:00 1987', 'Feb 25 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10434, 'Feb 25 09:06:06 1987', 'Feb 26 09:05:55 1987', 'Feb 25 12:00:00 1987', 'Feb 26 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10444, 'Feb 26 09:05:56 1987', 'Feb 27 09:05:45 1987', 'Feb 26 12:00:00 1987', 'Feb 27 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10454, 'Feb 27 09:05:46 1987', 'Feb 28 09:05:35 1987', 'Feb 27 12:00:00 1987', 'Feb 28 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10464, 'Feb 28 09:05:36 1987', 'Mar 1 09:05:25 1987', 'Feb 28 12:00:00 1987', 'Mar 1 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10474, 'Mar 1 09:05:26 1987', 'Mar 2 09:05:15 1987', 'Mar 1 12:00:00 1987', 'Mar 2 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10484, 'Mar 2 09:05:16 1987', 'Mar 3 09:05:00 1987', 'Mar 2 12:00:00 1987', 'Mar 3 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10499, 'Mar 3 09:05:01 1987', 'Mar 4 09:04:50 1987', 'Mar 3 12:00:00 1987', 'Mar 4 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10509, 'Mar 4 09:04:51 1987', 'Mar 5 09:04:35 1987', 'Mar 4 12:00:00 1987', 'Mar 5 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10524, 'Mar 5 09:04:36 1987', 'Mar 6 09:04:20 1987', 'Mar 5 12:00:00 1987', 'Mar 6 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10539, 'Mar 6 09:04:21 1987', 'Mar 7 09:04:10 1987', 'Mar 6 12:00:00 1987', 'Mar 7 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10549, 'Mar 7 09:04:11 1987', 'Mar 8 09:03:55 1987', 'Mar 7 12:00:00 1987', 'Mar 8 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10564, 'Mar 8 09:03:56 1987', 'Mar 9 09:03:40 1987', 'Mar 8 12:00:00 1987', 'Mar 9 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10579, 'Mar 9 09:03:41 1987', 'Mar 10 09:03:25 1987', 'Mar 9 12:00:00 1987', 'Mar 10 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10594, 'Mar 10 09:03:26 1987', 'Mar 11 09:03:10 1987', 'Mar 10 12:00:00 1987', 'Mar 11 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10609, 'Mar 11 09:03:11 1987', 'Mar 12 09:02:50 1987', 'Mar 11 12:00:00 1987', 'Mar 12 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10629, 'Mar 12 09:02:51 1987', 'Mar 13 09:02:35 1987', 'Mar 12 12:00:00 1987', 'Mar 13 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10644, 'Mar 13 09:02:36 1987', 'Mar 14 09:02:20 1987', 'Mar 13 12:00:00 1987', 'Mar 14 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10659, 'Mar 14 09:02:21 1987', 'Mar 15 09:02:05 1987', 'Mar 14 12:00:00 1987', 'Mar 15 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10674, 'Mar 15 09:02:06 1987', 'Mar 16 09:01:45 1987', 'Mar 15 12:00:00 1987', 'Mar 16 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10694, 'Mar 16 09:01:46 1987', 'Mar 17 09:01:30 1987', 'Mar 16 12:00:00 1987', 'Mar 17 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10709, 'Mar 17 09:01:31 1987', 'Mar 18 09:01:10 1987', 'Mar 17 12:00:00 1987', 'Mar 18 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10729, 'Mar 18 09:01:11 1987', 'Mar 19 09:00:55 1987', 'Mar 18 12:00:00 1987', 'Mar 19 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10744, 'Mar 19 09:00:56 1987', 'Mar 20 09:00:35 1987', 'Mar 19 12:00:00 1987', 'Mar 20 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10764, 'Mar 20 09:00:36 1987', 'Mar 21 09:00:20 1987', 'Mar 20 12:00:00 1987', 'Mar 21 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10779, 'Mar 21 09:00:21 1987', 'Mar 22 09:00:00 1987', 'Mar 21 12:00:00 1987', 'Mar 22 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10799, 'Mar 22 09:00:01 1987', 'Mar 23 08:59:45 1987', 'Mar 22 12:00:00 1987', 'Mar 23 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10814, 'Mar 23 08:59:46 1987', 'Mar 24 08:59:25 1987', 'Mar 23 12:00:00 1987', 'Mar 24 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10834, 'Mar 24 08:59:26 1987', 'Mar 25 08:59:05 1987', 'Mar 24 12:00:00 1987', 'Mar 25 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10854, 'Mar 25 08:59:06 1987', 'Mar 26 08:58:50 1987', 'Mar 25 12:00:00 1987', 'Mar 26 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10869, 'Mar 26 08:58:51 1987', 'Mar 27 08:58:30 1987', 'Mar 26 12:00:00 1987', 'Mar 27 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10889, 'Mar 27 08:58:31 1987', 'Mar 28 08:58:10 1987', 'Mar 27 12:00:00 1987', 'Mar 28 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10909, 'Mar 28 08:58:11 1987', 'Mar 29 08:57:55 1987', 'Mar 28 12:00:00 1987', 'Mar 29 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10924, 'Mar 29 08:57:56 1987', 'Mar 30 08:57:35 1987', 'Mar 29 12:00:00 1987', 'Mar 30 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10944, 'Mar 30 08:57:36 1987', 'Mar 31 08:57:20 1987', 'Mar 30 12:00:00 1987', 'Mar 31 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10959, 'Mar 31 08:57:21 1987', 'Apr 1 08:57:00 1987', 'Mar 31 12:00:00 1987', 'Apr 1 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10979, 'Apr 1 08:57:01 1987', 'Apr 2 08:56:40 1987', 'Apr 1 12:00:00 1987', 'Apr 2 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10999, 'Apr 2 08:56:41 1987', 'Apr 3 08:56:25 1987', 'Apr 2 12:00:00 1987', 'Apr 3 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11014, 'Apr 3 08:56:26 1987', 'Apr 4 08:56:05 1987', 'Apr 3 12:00:00 1987', 'Apr 4 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11034, 'Apr 4 08:56:06 1987', 'Apr 5 08:55:50 1987', 'Apr 4 12:00:00 1987', 'Apr 5 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11049, 'Apr 5 08:55:51 1987', 'Apr 6 08:55:30 1987', 'Apr 5 12:00:00 1987', 'Apr 6 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11069, 'Apr 6 08:55:31 1987', 'Apr 7 08:55:15 1987', 'Apr 6 12:00:00 1987', 'Apr 7 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11084, 'Apr 7 08:55:16 1987', 'Apr 8 08:55:00 1987', 'Apr 7 12:00:00 1987', 'Apr 8 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11099, 'Apr 8 08:55:01 1987', 'Apr 9 08:54:40 1987', 'Apr 8 12:00:00 1987', 'Apr 9 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11119, 'Apr 9 08:54:41 1987', 'Apr 10 08:54:25 1987', 'Apr 9 12:00:00 1987', 'Apr 10 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11134, 'Apr 10 08:54:26 1987', 'Apr 11 08:54:10 1987', 'Apr 10 12:00:00 1987', 'Apr 11 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11149, 'Apr 11 08:54:11 1987', 'Apr 12 08:53:50 1987', 'Apr 11 12:00:00 1987', 'Apr 12 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11169, 'Apr 12 08:53:51 1987', 'Apr 13 08:53:35 1987', 'Apr 12 12:00:00 1987', 'Apr 13 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11184, 'Apr 13 08:53:36 1987', 'Apr 14 08:53:20 1987', 'Apr 13 12:00:00 1987', 'Apr 14 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11199, 'Apr 14 08:53:21 1987', 'Apr 15 08:53:05 1987', 'Apr 14 12:00:00 1987', 'Apr 15 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11214, 'Apr 15 08:53:06 1987', 'Apr 16 08:52:50 1987', 'Apr 15 12:00:00 1987', 'Apr 16 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11229, 'Apr 16 08:52:51 1987', 'Apr 17 08:52:40 1987', 'Apr 16 12:00:00 1987', 'Apr 17 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11239, 'Apr 17 08:52:41 1987', 'Apr 18 08:52:25 1987', 'Apr 17 12:00:00 1987', 'Apr 18 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11254, 'Apr 18 08:52:26 1987', 'Apr 19 08:52:10 1987', 'Apr 18 12:00:00 1987', 'Apr 19 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11269, 'Apr 19 08:52:11 1987', 'Apr 20 08:52:00 1987', 'Apr 19 12:00:00 1987', 'Apr 20 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11279, 'Apr 20 08:52:01 1987', 'Apr 21 08:51:45 1987', 'Apr 20 12:00:00 1987', 'Apr 21 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11294, 'Apr 21 08:51:46 1987', 'Apr 22 08:51:35 1987', 'Apr 21 12:00:00 1987', 'Apr 22 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11304, 'Apr 22 08:51:36 1987', 'Apr 23 08:51:20 1987', 'Apr 22 12:00:00 1987', 'Apr 23 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11319, 'Apr 23 08:51:21 1987', 'Apr 24 08:51:10 1987', 'Apr 23 12:00:00 1987', 'Apr 24 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11329, 'Apr 24 08:51:11 1987', 'Apr 25 08:51:00 1987', 'Apr 24 12:00:00 1987', 'Apr 25 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11339, 'Apr 25 08:51:01 1987', 'Apr 26 08:50:50 1987', 'Apr 25 12:00:00 1987', 'Apr 26 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11349, 'Apr 26 08:50:51 1987', 'Apr 27 08:50:40 1987', 'Apr 26 12:00:00 1987', 'Apr 27 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11359, 'Apr 27 08:50:41 1987', 'Apr 28 08:50:30 1987', 'Apr 27 12:00:00 1987', 'Apr 28 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11369, 'Apr 28 08:50:31 1987', 'Apr 29 08:50:20 1987', 'Apr 28 12:00:00 1987', 'Apr 29 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11379, 'Apr 29 08:50:21 1987', 'Apr 30 08:50:10 1987', 'Apr 29 12:00:00 1987', 'Apr 30 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11389, 'Apr 30 08:50:11 1987', 'May 1 08:50:05 1987', 'Apr 30 12:00:00 1987', 'May 1 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11394, 'May 1 08:50:06 1987', 'May 2 08:49:55 1987', 'May 1 12:00:00 1987', 'May 2 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11404, 'May 2 08:49:56 1987', 'May 3 08:49:50 1987', 'May 2 12:00:00 1987', 'May 3 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11409, 'May 3 08:49:51 1987', 'May 4 08:49:45 1987', 'May 3 12:00:00 1987', 'May 4 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11414, 'May 4 08:49:46 1987', 'May 5 08:49:40 1987', 'May 4 12:00:00 1987', 'May 5 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11419, 'May 5 08:49:41 1987', 'May 6 08:49:35 1987', 'May 5 12:00:00 1987', 'May 6 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11424, 'May 6 08:49:36 1987', 'May 7 08:49:30 1987', 'May 6 12:00:00 1987', 'May 7 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11429, 'May 7 08:49:31 1987', 'May 8 08:49:25 1987', 'May 7 12:00:00 1987', 'May 8 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11434, 'May 8 08:49:26 1987', 'May 9 08:49:20 1987', 'May 8 12:00:00 1987', 'May 9 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11439, 'May 9 08:49:21 1987', 'May 11 08:49:15 1987', 'May 9 12:00:00 1987', 'May 11 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11444, 'May 11 08:49:16 1987', 'May 19 08:49:20 1987', 'May 11 12:00:00 1987', 'May 19 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11439, 'May 19 08:49:21 1987', 'May 21 08:49:25 1987', 'May 19 12:00:00 1987', 'May 21 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11434, 'May 21 08:49:26 1987', 'May 22 08:49:30 1987', 'May 21 12:00:00 1987', 'May 22 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11429, 'May 22 08:49:31 1987', 'May 23 08:49:35 1987', 'May 22 12:00:00 1987', 'May 23 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11424, 'May 23 08:49:36 1987', 'May 24 08:49:40 1987', 'May 23 12:00:00 1987', 'May 24 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11419, 'May 24 08:49:41 1987', 'May 25 08:49:45 1987', 'May 24 12:00:00 1987', 'May 25 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11414, 'May 25 08:49:46 1987', 'May 26 08:49:50 1987', 'May 25 12:00:00 1987', 'May 26 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11409, 'May 26 08:49:51 1987', 'May 27 08:49:55 1987', 'May 26 12:00:00 1987', 'May 27 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11404, 'May 27 08:49:56 1987', 'May 28 08:50:05 1987', 'May 27 12:00:00 1987', 'May 28 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11394, 'May 28 08:50:06 1987', 'May 29 08:50:10 1987', 'May 28 12:00:00 1987', 'May 29 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11389, 'May 29 08:50:11 1987', 'May 30 08:50:20 1987', 'May 29 12:00:00 1987', 'May 30 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11379, 'May 30 08:50:21 1987', 'May 31 08:50:25 1987', 'May 30 12:00:00 1987', 'May 31 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11374, 'May 31 08:50:26 1987', 'Jun 1 08:50:35 1987', 'May 31 12:00:00 1987', 'Jun 1 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11364, 'Jun 1 08:50:36 1987', 'Jun 2 08:50:45 1987', 'Jun 1 12:00:00 1987', 'Jun 2 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11354, 'Jun 2 08:50:46 1987', 'Jun 3 08:50:55 1987', 'Jun 2 12:00:00 1987', 'Jun 3 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11344, 'Jun 3 08:50:56 1987', 'Jun 4 08:51:05 1987', 'Jun 3 12:00:00 1987', 'Jun 4 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11334, 'Jun 4 08:51:06 1987', 'Jun 5 08:51:15 1987', 'Jun 4 12:00:00 1987', 'Jun 5 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11324, 'Jun 5 08:51:16 1987', 'Jun 6 08:51:25 1987', 'Jun 5 12:00:00 1987', 'Jun 6 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11314, 'Jun 6 08:51:26 1987', 'Jun 7 08:51:35 1987', 'Jun 6 12:00:00 1987', 'Jun 7 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11304, 'Jun 7 08:51:36 1987', 'Jun 8 08:51:45 1987', 'Jun 7 12:00:00 1987', 'Jun 8 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11294, 'Jun 8 08:51:46 1987', 'Jun 9 08:52:00 1987', 'Jun 8 12:00:00 1987', 'Jun 9 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11279, 'Jun 9 08:52:01 1987', 'Jun 10 08:52:10 1987', 'Jun 9 12:00:00 1987', 'Jun 10 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11269, 'Jun 10 08:52:11 1987', 'Jun 11 08:52:25 1987', 'Jun 10 12:00:00 1987', 'Jun 11 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11254, 'Jun 11 08:52:26 1987', 'Jun 12 08:52:35 1987', 'Jun 11 12:00:00 1987', 'Jun 12 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11244, 'Jun 12 08:52:36 1987', 'Jun 13 08:52:45 1987', 'Jun 12 12:00:00 1987', 'Jun 13 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11234, 'Jun 13 08:52:46 1987', 'Jun 14 08:53:00 1987', 'Jun 13 12:00:00 1987', 'Jun 14 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11219, 'Jun 14 08:53:01 1987', 'Jun 15 08:53:10 1987', 'Jun 14 12:00:00 1987', 'Jun 15 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11209, 'Jun 15 08:53:11 1987', 'Jun 16 08:53:25 1987', 'Jun 15 12:00:00 1987', 'Jun 16 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11194, 'Jun 16 08:53:26 1987', 'Jun 17 08:53:40 1987', 'Jun 16 12:00:00 1987', 'Jun 17 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11179, 'Jun 17 08:53:41 1987', 'Jun 18 08:53:50 1987', 'Jun 17 12:00:00 1987', 'Jun 18 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11169, 'Jun 18 08:53:51 1987', 'Jun 19 08:54:05 1987', 'Jun 18 12:00:00 1987', 'Jun 19 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11154, 'Jun 19 08:54:06 1987', 'Jun 20 08:54:15 1987', 'Jun 19 12:00:00 1987', 'Jun 20 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11144, 'Jun 20 08:54:16 1987', 'Jun 21 08:54:30 1987', 'Jun 20 12:00:00 1987', 'Jun 21 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11129, 'Jun 21 08:54:31 1987', 'Jun 22 08:54:45 1987', 'Jun 21 12:00:00 1987', 'Jun 22 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11114, 'Jun 22 08:54:46 1987', 'Jun 23 08:54:55 1987', 'Jun 22 12:00:00 1987', 'Jun 23 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11104, 'Jun 23 08:54:56 1987', 'Jun 24 08:55:10 1987', 'Jun 23 12:00:00 1987', 'Jun 24 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11089, 'Jun 24 08:55:11 1987', 'Jun 25 08:55:20 1987', 'Jun 24 12:00:00 1987', 'Jun 25 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11079, 'Jun 25 08:55:21 1987', 'Jun 26 08:55:35 1987', 'Jun 25 12:00:00 1987', 'Jun 26 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11064, 'Jun 26 08:55:36 1987', 'Jun 27 08:55:45 1987', 'Jun 26 12:00:00 1987', 'Jun 27 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11054, 'Jun 27 08:55:46 1987', 'Jun 28 08:56:00 1987', 'Jun 27 12:00:00 1987', 'Jun 28 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11039, 'Jun 28 08:56:01 1987', 'Jun 29 08:56:10 1987', 'Jun 28 12:00:00 1987', 'Jun 29 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11029, 'Jun 29 08:56:11 1987', 'Jun 30 08:56:25 1987', 'Jun 29 12:00:00 1987', 'Jun 30 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11014, 'Jun 30 08:56:26 1987', 'Jul 1 08:56:35 1987', 'Jun 30 12:00:00 1987', 'Jul 1 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11004, 'Jul 1 08:56:36 1987', 'Jul 2 08:56:45 1987', 'Jul 1 12:00:00 1987', 'Jul 2 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10994, 'Jul 2 08:56:46 1987', 'Jul 3 08:57:00 1987', 'Jul 2 12:00:00 1987', 'Jul 3 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10979, 'Jul 3 08:57:01 1987', 'Jul 4 08:57:10 1987', 'Jul 3 12:00:00 1987', 'Jul 4 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10969, 'Jul 4 08:57:11 1987', 'Jul 5 08:57:20 1987', 'Jul 4 12:00:00 1987', 'Jul 5 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10959, 'Jul 5 08:57:21 1987', 'Jul 6 08:57:30 1987', 'Jul 5 12:00:00 1987', 'Jul 6 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10949, 'Jul 6 08:57:31 1987', 'Jul 7 08:57:40 1987', 'Jul 6 12:00:00 1987', 'Jul 7 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10939, 'Jul 7 08:57:41 1987', 'Jul 8 08:57:50 1987', 'Jul 7 12:00:00 1987', 'Jul 8 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10929, 'Jul 8 08:57:51 1987', 'Jul 9 08:58:00 1987', 'Jul 8 12:00:00 1987', 'Jul 9 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10919, 'Jul 9 08:58:01 1987', 'Jul 10 08:58:10 1987', 'Jul 9 12:00:00 1987', 'Jul 10 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10909, 'Jul 10 08:58:11 1987', 'Jul 11 08:58:15 1987', 'Jul 10 12:00:00 1987', 'Jul 11 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10904, 'Jul 11 08:58:16 1987', 'Jul 12 08:58:25 1987', 'Jul 11 12:00:00 1987', 'Jul 12 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10894, 'Jul 12 08:58:26 1987', 'Jul 13 08:58:35 1987', 'Jul 12 12:00:00 1987', 'Jul 13 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10884, 'Jul 13 08:58:36 1987', 'Jul 14 08:58:40 1987', 'Jul 13 12:00:00 1987', 'Jul 14 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10879, 'Jul 14 08:58:41 1987', 'Jul 15 08:58:45 1987', 'Jul 14 12:00:00 1987', 'Jul 15 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10874, 'Jul 15 08:58:46 1987', 'Jul 16 08:58:55 1987', 'Jul 15 12:00:00 1987', 'Jul 16 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10864, 'Jul 16 08:58:56 1987', 'Jul 17 08:59:00 1987', 'Jul 16 12:00:00 1987', 'Jul 17 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10859, 'Jul 17 08:59:01 1987', 'Jul 18 08:59:05 1987', 'Jul 17 12:00:00 1987', 'Jul 18 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10854, 'Jul 18 08:59:06 1987', 'Jul 19 08:59:10 1987', 'Jul 18 12:00:00 1987', 'Jul 19 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10849, 'Jul 19 08:59:11 1987', 'Jul 21 08:59:15 1987', 'Jul 19 12:00:00 1987', 'Jul 21 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10844, 'Jul 21 08:59:16 1987', 'Jul 22 08:59:20 1987', 'Jul 21 12:00:00 1987', 'Jul 22 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10839, 'Jul 22 08:59:21 1987', 'Jul 25 08:59:25 1987', 'Jul 22 12:00:00 1987', 'Jul 25 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10834, 'Jul 25 08:59:26 1987', 'Jul 29 08:59:20 1987', 'Jul 25 12:00:00 1987', 'Jul 29 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10839, 'Jul 29 08:59:21 1987', 'Aug 1 08:59:15 1987', 'Jul 29 12:00:00 1987', 'Aug 1 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10844, 'Aug 1 08:59:16 1987', 'Aug 2 08:59:10 1987', 'Aug 1 12:00:00 1987', 'Aug 2 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10849, 'Aug 2 08:59:11 1987', 'Aug 3 08:59:05 1987', 'Aug 2 12:00:00 1987', 'Aug 3 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10854, 'Aug 3 08:59:06 1987', 'Aug 4 08:59:00 1987', 'Aug 3 12:00:00 1987', 'Aug 4 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10859, 'Aug 4 08:59:01 1987', 'Aug 5 08:58:55 1987', 'Aug 4 12:00:00 1987', 'Aug 5 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10864, 'Aug 5 08:58:56 1987', 'Aug 6 08:58:50 1987', 'Aug 5 12:00:00 1987', 'Aug 6 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10869, 'Aug 6 08:58:51 1987', 'Aug 7 08:58:45 1987', 'Aug 6 12:00:00 1987', 'Aug 7 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10874, 'Aug 7 08:58:46 1987', 'Aug 8 08:58:35 1987', 'Aug 7 12:00:00 1987', 'Aug 8 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10884, 'Aug 8 08:58:36 1987', 'Aug 9 08:58:30 1987', 'Aug 8 12:00:00 1987', 'Aug 9 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10889, 'Aug 9 08:58:31 1987', 'Aug 10 08:58:20 1987', 'Aug 9 12:00:00 1987', 'Aug 10 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10899, 'Aug 10 08:58:21 1987', 'Aug 11 08:58:10 1987', 'Aug 10 12:00:00 1987', 'Aug 11 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10909, 'Aug 11 08:58:11 1987', 'Aug 12 08:58:00 1987', 'Aug 11 12:00:00 1987', 'Aug 12 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10919, 'Aug 12 08:58:01 1987', 'Aug 13 08:57:50 1987', 'Aug 12 12:00:00 1987', 'Aug 13 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10929, 'Aug 13 08:57:51 1987', 'Aug 14 08:57:40 1987', 'Aug 13 12:00:00 1987', 'Aug 14 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10939, 'Aug 14 08:57:41 1987', 'Aug 15 08:57:30 1987', 'Aug 14 12:00:00 1987', 'Aug 15 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10949, 'Aug 15 08:57:31 1987', 'Aug 16 08:57:20 1987', 'Aug 15 12:00:00 1987', 'Aug 16 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10959, 'Aug 16 08:57:21 1987', 'Aug 17 08:57:05 1987', 'Aug 16 12:00:00 1987', 'Aug 17 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10974, 'Aug 17 08:57:06 1987', 'Aug 18 08:56:55 1987', 'Aug 17 12:00:00 1987', 'Aug 18 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10984, 'Aug 18 08:56:56 1987', 'Aug 19 08:56:40 1987', 'Aug 18 12:00:00 1987', 'Aug 19 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 10999, 'Aug 19 08:56:41 1987', 'Aug 20 08:56:25 1987', 'Aug 19 12:00:00 1987', 'Aug 20 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11014, 'Aug 20 08:56:26 1987', 'Aug 21 08:56:10 1987', 'Aug 20 12:00:00 1987', 'Aug 21 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11029, 'Aug 21 08:56:11 1987', 'Aug 22 08:55:55 1987', 'Aug 21 12:00:00 1987', 'Aug 22 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11044, 'Aug 22 08:55:56 1987', 'Aug 23 08:55:40 1987', 'Aug 22 12:00:00 1987', 'Aug 23 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11059, 'Aug 23 08:55:41 1987', 'Aug 24 08:55:25 1987', 'Aug 23 12:00:00 1987', 'Aug 24 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11074, 'Aug 24 08:55:26 1987', 'Aug 25 08:55:10 1987', 'Aug 24 12:00:00 1987', 'Aug 25 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11089, 'Aug 25 08:55:11 1987', 'Aug 26 08:54:55 1987', 'Aug 25 12:00:00 1987', 'Aug 26 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11104, 'Aug 26 08:54:56 1987', 'Aug 27 08:54:35 1987', 'Aug 26 12:00:00 1987', 'Aug 27 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11124, 'Aug 27 08:54:36 1987', 'Aug 28 08:54:20 1987', 'Aug 27 12:00:00 1987', 'Aug 28 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11139, 'Aug 28 08:54:21 1987', 'Aug 29 08:54:00 1987', 'Aug 28 12:00:00 1987', 'Aug 29 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11159, 'Aug 29 08:54:01 1987', 'Aug 30 08:53:45 1987', 'Aug 29 12:00:00 1987', 'Aug 30 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11174, 'Aug 30 08:53:46 1987', 'Aug 31 08:53:25 1987', 'Aug 30 12:00:00 1987', 'Aug 31 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11194, 'Aug 31 08:53:26 1987', 'Sep 1 08:53:05 1987', 'Aug 31 12:00:00 1987', 'Sep 1 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11214, 'Sep 1 08:53:06 1987', 'Sep 2 08:52:45 1987', 'Sep 1 12:00:00 1987', 'Sep 2 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11234, 'Sep 2 08:52:46 1987', 'Sep 3 08:52:30 1987', 'Sep 2 12:00:00 1987', 'Sep 3 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11249, 'Sep 3 08:52:31 1987', 'Sep 4 08:52:10 1987', 'Sep 3 12:00:00 1987', 'Sep 4 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11269, 'Sep 4 08:52:11 1987', 'Sep 5 08:51:50 1987', 'Sep 4 12:00:00 1987', 'Sep 5 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11289, 'Sep 5 08:51:51 1987', 'Sep 6 08:51:30 1987', 'Sep 5 12:00:00 1987', 'Sep 6 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11309, 'Sep 6 08:51:31 1987', 'Sep 7 08:51:10 1987', 'Sep 6 12:00:00 1987', 'Sep 7 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11329, 'Sep 7 08:51:11 1987', 'Sep 8 08:50:50 1987', 'Sep 7 12:00:00 1987', 'Sep 8 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11349, 'Sep 8 08:50:51 1987', 'Sep 9 08:50:25 1987', 'Sep 8 12:00:00 1987', 'Sep 9 11:59:34 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11374, 'Sep 9 08:50:26 1987', 'Sep 10 08:50:05 1987', 'Sep 9 12:00:00 1987', 'Sep 10 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11394, 'Sep 10 08:50:06 1987', 'Sep 11 08:49:45 1987', 'Sep 10 12:00:00 1987', 'Sep 11 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11414, 'Sep 11 08:49:46 1987', 'Sep 12 08:49:25 1987', 'Sep 11 12:00:00 1987', 'Sep 12 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11434, 'Sep 12 08:49:26 1987', 'Sep 13 08:49:05 1987', 'Sep 12 12:00:00 1987', 'Sep 13 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11454, 'Sep 13 08:49:06 1987', 'Sep 14 08:48:40 1987', 'Sep 13 12:00:00 1987', 'Sep 14 11:59:34 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11479, 'Sep 14 08:48:41 1987', 'Sep 15 08:48:20 1987', 'Sep 14 12:00:00 1987', 'Sep 15 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11499, 'Sep 15 08:48:21 1987', 'Sep 16 08:48:00 1987', 'Sep 15 12:00:00 1987', 'Sep 16 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11519, 'Sep 16 08:48:01 1987', 'Sep 17 08:47:40 1987', 'Sep 16 12:00:00 1987', 'Sep 17 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11539, 'Sep 17 08:47:41 1987', 'Sep 18 08:47:15 1987', 'Sep 17 12:00:00 1987', 'Sep 18 11:59:34 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11564, 'Sep 18 08:47:16 1987', 'Sep 19 08:46:55 1987', 'Sep 18 12:00:00 1987', 'Sep 19 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11584, 'Sep 19 08:46:56 1987', 'Sep 20 08:46:35 1987', 'Sep 19 12:00:00 1987', 'Sep 20 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11604, 'Sep 20 08:46:36 1987', 'Sep 21 08:46:10 1987', 'Sep 20 12:00:00 1987', 'Sep 21 11:59:34 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11629, 'Sep 21 08:46:11 1987', 'Sep 22 08:45:50 1987', 'Sep 21 12:00:00 1987', 'Sep 22 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11649, 'Sep 22 08:45:51 1987', 'Sep 23 08:45:30 1987', 'Sep 22 12:00:00 1987', 'Sep 23 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11669, 'Sep 23 08:45:31 1987', 'Sep 24 08:45:10 1987', 'Sep 23 12:00:00 1987', 'Sep 24 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11689, 'Sep 24 08:45:11 1987', 'Sep 25 08:44:50 1987', 'Sep 24 12:00:00 1987', 'Sep 25 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11709, 'Sep 25 08:44:51 1987', 'Sep 26 08:44:30 1987', 'Sep 25 12:00:00 1987', 'Sep 26 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11729, 'Sep 26 08:44:31 1987', 'Sep 27 08:44:05 1987', 'Sep 26 12:00:00 1987', 'Sep 27 11:59:34 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11754, 'Sep 27 08:44:06 1987', 'Sep 28 08:43:45 1987', 'Sep 27 12:00:00 1987', 'Sep 28 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11774, 'Sep 28 08:43:46 1987', 'Sep 29 08:43:25 1987', 'Sep 28 12:00:00 1987', 'Sep 29 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11794, 'Sep 29 08:43:26 1987', 'Sep 30 08:43:05 1987', 'Sep 29 12:00:00 1987', 'Sep 30 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11814, 'Sep 30 08:43:06 1987', 'Oct 1 08:42:45 1987', 'Sep 30 12:00:00 1987', 'Oct 1 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11834, 'Oct 1 08:42:46 1987', 'Oct 2 08:42:30 1987', 'Oct 1 12:00:00 1987', 'Oct 2 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11849, 'Oct 2 08:42:31 1987', 'Oct 3 08:42:10 1987', 'Oct 2 12:00:00 1987', 'Oct 3 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11869, 'Oct 3 08:42:11 1987', 'Oct 4 08:41:50 1987', 'Oct 3 12:00:00 1987', 'Oct 4 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11889, 'Oct 4 08:41:51 1987', 'Oct 5 08:41:30 1987', 'Oct 4 12:00:00 1987', 'Oct 5 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11909, 'Oct 5 08:41:31 1987', 'Oct 6 08:41:15 1987', 'Oct 5 12:00:00 1987', 'Oct 6 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11924, 'Oct 6 08:41:16 1987', 'Oct 7 08:40:55 1987', 'Oct 6 12:00:00 1987', 'Oct 7 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11944, 'Oct 7 08:40:56 1987', 'Oct 8 08:40:40 1987', 'Oct 7 12:00:00 1987', 'Oct 8 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11959, 'Oct 8 08:40:41 1987', 'Oct 9 08:40:20 1987', 'Oct 8 12:00:00 1987', 'Oct 9 11:59:39 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11979, 'Oct 9 08:40:21 1987', 'Oct 10 08:40:05 1987', 'Oct 9 12:00:00 1987', 'Oct 10 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11994, 'Oct 10 08:40:06 1987', 'Oct 11 08:39:50 1987', 'Oct 10 12:00:00 1987', 'Oct 11 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12009, 'Oct 11 08:39:51 1987', 'Oct 12 08:39:35 1987', 'Oct 11 12:00:00 1987', 'Oct 12 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12024, 'Oct 12 08:39:36 1987', 'Oct 13 08:39:20 1987', 'Oct 12 12:00:00 1987', 'Oct 13 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12039, 'Oct 13 08:39:21 1987', 'Oct 14 08:39:05 1987', 'Oct 13 12:00:00 1987', 'Oct 14 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12054, 'Oct 14 08:39:06 1987', 'Oct 15 08:38:50 1987', 'Oct 14 12:00:00 1987', 'Oct 15 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12069, 'Oct 15 08:38:51 1987', 'Oct 16 08:38:40 1987', 'Oct 15 12:00:00 1987', 'Oct 16 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12079, 'Oct 16 08:38:41 1987', 'Oct 17 08:38:25 1987', 'Oct 16 12:00:00 1987', 'Oct 17 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12094, 'Oct 17 08:38:26 1987', 'Oct 18 08:38:15 1987', 'Oct 17 12:00:00 1987', 'Oct 18 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12104, 'Oct 18 08:38:16 1987', 'Oct 19 08:38:00 1987', 'Oct 18 12:00:00 1987', 'Oct 19 11:59:44 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12119, 'Oct 19 08:38:01 1987', 'Oct 20 08:37:50 1987', 'Oct 19 12:00:00 1987', 'Oct 20 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12129, 'Oct 20 08:37:51 1987', 'Oct 21 08:37:40 1987', 'Oct 20 12:00:00 1987', 'Oct 21 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12139, 'Oct 21 08:37:41 1987', 'Oct 22 08:37:30 1987', 'Oct 21 12:00:00 1987', 'Oct 22 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12149, 'Oct 22 08:37:31 1987', 'Oct 23 08:37:20 1987', 'Oct 22 12:00:00 1987', 'Oct 23 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12159, 'Oct 23 08:37:21 1987', 'Oct 24 08:37:15 1987', 'Oct 23 12:00:00 1987', 'Oct 24 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12164, 'Oct 24 08:37:16 1987', 'Oct 25 08:37:05 1987', 'Oct 24 12:00:00 1987', 'Oct 25 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12174, 'Oct 25 08:37:06 1987', 'Oct 26 08:37:00 1987', 'Oct 25 12:00:00 1987', 'Oct 26 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12179, 'Oct 26 08:37:01 1987', 'Oct 27 08:36:50 1987', 'Oct 26 12:00:00 1987', 'Oct 27 11:59:49 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12189, 'Oct 27 08:36:51 1987', 'Oct 28 08:36:45 1987', 'Oct 27 12:00:00 1987', 'Oct 28 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12194, 'Oct 28 08:36:46 1987', 'Oct 29 08:36:40 1987', 'Oct 28 12:00:00 1987', 'Oct 29 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12199, 'Oct 29 08:36:41 1987', 'Oct 31 08:36:35 1987', 'Oct 29 12:00:00 1987', 'Oct 31 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12204, 'Oct 31 08:36:36 1987', 'Nov 2 08:36:30 1987', 'Oct 31 12:00:00 1987', 'Nov 2 11:59:54 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12209, 'Nov 2 08:36:31 1987', 'Nov 6 08:36:35 1987', 'Nov 2 12:00:00 1987', 'Nov 6 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12204, 'Nov 6 08:36:36 1987', 'Nov 8 08:36:40 1987', 'Nov 6 12:00:00 1987', 'Nov 8 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12199, 'Nov 8 08:36:41 1987', 'Nov 9 08:36:45 1987', 'Nov 8 12:00:00 1987', 'Nov 9 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12194, 'Nov 9 08:36:46 1987', 'Nov 10 08:36:50 1987', 'Nov 9 12:00:00 1987', 'Nov 10 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12189, 'Nov 10 08:36:51 1987', 'Nov 11 08:36:55 1987', 'Nov 10 12:00:00 1987', 'Nov 11 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12184, 'Nov 11 08:36:56 1987', 'Nov 12 08:37:00 1987', 'Nov 11 12:00:00 1987', 'Nov 12 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12179, 'Nov 12 08:37:01 1987', 'Nov 13 08:37:10 1987', 'Nov 12 12:00:00 1987', 'Nov 13 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12169, 'Nov 13 08:37:11 1987', 'Nov 14 08:37:15 1987', 'Nov 13 12:00:00 1987', 'Nov 14 12:00:04 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12164, 'Nov 14 08:37:16 1987', 'Nov 15 08:37:25 1987', 'Nov 14 12:00:00 1987', 'Nov 15 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12154, 'Nov 15 08:37:26 1987', 'Nov 16 08:37:35 1987', 'Nov 15 12:00:00 1987', 'Nov 16 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12144, 'Nov 16 08:37:36 1987', 'Nov 17 08:37:45 1987', 'Nov 16 12:00:00 1987', 'Nov 17 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12134, 'Nov 17 08:37:46 1987', 'Nov 18 08:38:00 1987', 'Nov 17 12:00:00 1987', 'Nov 18 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12119, 'Nov 18 08:38:01 1987', 'Nov 19 08:38:10 1987', 'Nov 18 12:00:00 1987', 'Nov 19 12:00:09 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12109, 'Nov 19 08:38:11 1987', 'Nov 20 08:38:25 1987', 'Nov 19 12:00:00 1987', 'Nov 20 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12094, 'Nov 20 08:38:26 1987', 'Nov 21 08:38:40 1987', 'Nov 20 12:00:00 1987', 'Nov 21 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12079, 'Nov 21 08:38:41 1987', 'Nov 22 08:38:55 1987', 'Nov 21 12:00:00 1987', 'Nov 22 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12064, 'Nov 22 08:38:56 1987', 'Nov 23 08:39:10 1987', 'Nov 22 12:00:00 1987', 'Nov 23 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12049, 'Nov 23 08:39:11 1987', 'Nov 24 08:39:25 1987', 'Nov 23 12:00:00 1987', 'Nov 24 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12034, 'Nov 24 08:39:26 1987', 'Nov 25 08:39:45 1987', 'Nov 24 12:00:00 1987', 'Nov 25 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 12014, 'Nov 25 08:39:46 1987', 'Nov 26 08:40:05 1987', 'Nov 25 12:00:00 1987', 'Nov 26 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11994, 'Nov 26 08:40:06 1987', 'Nov 27 08:40:20 1987', 'Nov 26 12:00:00 1987', 'Nov 27 12:00:14 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11979, 'Nov 27 08:40:21 1987', 'Nov 28 08:40:40 1987', 'Nov 27 12:00:00 1987', 'Nov 28 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11959, 'Nov 28 08:40:41 1987', 'Nov 29 08:41:00 1987', 'Nov 28 12:00:00 1987', 'Nov 29 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11939, 'Nov 29 08:41:01 1987', 'Nov 30 08:41:25 1987', 'Nov 29 12:00:00 1987', 'Nov 30 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11914, 'Nov 30 08:41:26 1987', 'Dec 1 08:41:45 1987', 'Nov 30 12:00:00 1987', 'Dec 1 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11894, 'Dec 1 08:41:46 1987', 'Dec 2 08:42:05 1987', 'Dec 1 12:00:00 1987', 'Dec 2 12:00:19 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11874, 'Dec 2 08:42:06 1987', 'Dec 3 08:42:30 1987', 'Dec 2 12:00:00 1987', 'Dec 3 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11849, 'Dec 3 08:42:31 1987', 'Dec 4 08:42:55 1987', 'Dec 3 12:00:00 1987', 'Dec 4 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11824, 'Dec 4 08:42:56 1987', 'Dec 5 08:43:20 1987', 'Dec 4 12:00:00 1987', 'Dec 5 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11799, 'Dec 5 08:43:21 1987', 'Dec 6 08:43:45 1987', 'Dec 5 12:00:00 1987', 'Dec 6 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11774, 'Dec 6 08:43:46 1987', 'Dec 7 08:44:10 1987', 'Dec 6 12:00:00 1987', 'Dec 7 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11749, 'Dec 7 08:44:11 1987', 'Dec 8 08:44:35 1987', 'Dec 7 12:00:00 1987', 'Dec 8 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11724, 'Dec 8 08:44:36 1987', 'Dec 9 08:45:00 1987', 'Dec 8 12:00:00 1987', 'Dec 9 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11699, 'Dec 9 08:45:01 1987', 'Dec 10 08:45:25 1987', 'Dec 9 12:00:00 1987', 'Dec 10 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11674, 'Dec 10 08:45:26 1987', 'Dec 11 08:45:55 1987', 'Dec 10 12:00:00 1987', 'Dec 11 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11644, 'Dec 11 08:45:56 1987', 'Dec 12 08:46:20 1987', 'Dec 11 12:00:00 1987', 'Dec 12 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11619, 'Dec 12 08:46:21 1987', 'Dec 13 08:46:50 1987', 'Dec 12 12:00:00 1987', 'Dec 13 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11589, 'Dec 13 08:46:51 1987', 'Dec 14 08:47:20 1987', 'Dec 13 12:00:00 1987', 'Dec 14 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11559, 'Dec 14 08:47:21 1987', 'Dec 15 08:47:45 1987', 'Dec 14 12:00:00 1987', 'Dec 15 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11534, 'Dec 15 08:47:46 1987', 'Dec 16 08:48:15 1987', 'Dec 15 12:00:00 1987', 'Dec 16 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11504, 'Dec 16 08:48:16 1987', 'Dec 17 08:48:45 1987', 'Dec 16 12:00:00 1987', 'Dec 17 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11474, 'Dec 17 08:48:46 1987', 'Dec 18 08:49:15 1987', 'Dec 17 12:00:00 1987', 'Dec 18 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11444, 'Dec 18 08:49:16 1987', 'Dec 19 08:49:45 1987', 'Dec 18 12:00:00 1987', 'Dec 19 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11414, 'Dec 19 08:49:46 1987', 'Dec 20 08:50:15 1987', 'Dec 19 12:00:00 1987', 'Dec 20 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11384, 'Dec 20 08:50:16 1987', 'Dec 21 08:50:45 1987', 'Dec 20 12:00:00 1987', 'Dec 21 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11354, 'Dec 21 08:50:46 1987', 'Dec 22 08:51:15 1987', 'Dec 21 12:00:00 1987', 'Dec 22 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11324, 'Dec 22 08:51:16 1987', 'Dec 23 08:51:45 1987', 'Dec 22 12:00:00 1987', 'Dec 23 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11294, 'Dec 23 08:51:46 1987', 'Dec 24 08:52:15 1987', 'Dec 23 12:00:00 1987', 'Dec 24 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11264, 'Dec 24 08:52:16 1987', 'Dec 25 08:52:45 1987', 'Dec 24 12:00:00 1987', 'Dec 25 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11234, 'Dec 25 08:52:46 1987', 'Dec 26 08:53:15 1987', 'Dec 25 12:00:00 1987', 'Dec 26 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11204, 'Dec 26 08:53:16 1987', 'Dec 27 08:53:40 1987', 'Dec 26 12:00:00 1987', 'Dec 27 12:00:24 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11179, 'Dec 27 08:53:41 1987', 'Dec 28 08:54:10 1987', 'Dec 27 12:00:00 1987', 'Dec 28 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11149, 'Dec 28 08:54:11 1987', 'Dec 29 08:54:40 1987', 'Dec 28 12:00:00 1987', 'Dec 29 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11119, 'Dec 29 08:54:41 1987', 'Dec 30 08:55:10 1987', 'Dec 29 12:00:00 1987', 'Dec 30 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11089, 'Dec 30 08:55:11 1987', 'Dec 31 08:55:40 1987', 'Dec 30 12:00:00 1987', 'Dec 31 12:00:29 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 1, 11059, 'Dec 31 08:55:41 1987', 'Dec 31 20:55:40 1987', 'Dec 31 12:00:00 1987', 'Dec 31 23:59:59 1987');
timezone.add_rule('Mideast/Riyadh87', '??', 0, 11224, 'Dec 31 20:55:41 1987', 'Jan 18 03:14:07 2038', 'Jan 1 00:02:45 1988', 'Jan 18 06:21:11 2038');
end;
/

--
-- Mideast/Riyadh88
--

begin
timezone.add_rule('Mideast/Riyadh88', '??', 0, 11224, 'Dec 14 20:45:52 1901', 'Jan 1 08:56:10 1988', 'Dec 14 23:52:56 1901', 'Jan 1 12:03:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11029, 'Jan 1 08:56:11 1988', 'Jan 2 08:56:35 1988', 'Jan 1 12:00:00 1988', 'Jan 2 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11004, 'Jan 2 08:56:36 1988', 'Jan 3 08:57:05 1988', 'Jan 2 12:00:00 1988', 'Jan 3 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10974, 'Jan 3 08:57:06 1988', 'Jan 4 08:57:35 1988', 'Jan 3 12:00:00 1988', 'Jan 4 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10944, 'Jan 4 08:57:36 1988', 'Jan 5 08:58:00 1988', 'Jan 4 12:00:00 1988', 'Jan 5 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10919, 'Jan 5 08:58:01 1988', 'Jan 6 08:58:25 1988', 'Jan 5 12:00:00 1988', 'Jan 6 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10894, 'Jan 6 08:58:26 1988', 'Jan 7 08:58:55 1988', 'Jan 6 12:00:00 1988', 'Jan 7 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10864, 'Jan 7 08:58:56 1988', 'Jan 8 08:59:20 1988', 'Jan 7 12:00:00 1988', 'Jan 8 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10839, 'Jan 8 08:59:21 1988', 'Jan 9 08:59:45 1988', 'Jan 8 12:00:00 1988', 'Jan 9 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10814, 'Jan 9 08:59:46 1988', 'Jan 10 09:00:10 1988', 'Jan 9 12:00:00 1988', 'Jan 10 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10789, 'Jan 10 09:00:11 1988', 'Jan 11 09:00:35 1988', 'Jan 10 12:00:00 1988', 'Jan 11 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10764, 'Jan 11 09:00:36 1988', 'Jan 12 09:01:00 1988', 'Jan 11 12:00:00 1988', 'Jan 12 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10739, 'Jan 12 09:01:01 1988', 'Jan 13 09:01:20 1988', 'Jan 12 12:00:00 1988', 'Jan 13 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10719, 'Jan 13 09:01:21 1988', 'Jan 14 09:01:45 1988', 'Jan 13 12:00:00 1988', 'Jan 14 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10694, 'Jan 14 09:01:46 1988', 'Jan 15 09:02:05 1988', 'Jan 14 12:00:00 1988', 'Jan 15 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10674, 'Jan 15 09:02:06 1988', 'Jan 16 09:02:25 1988', 'Jan 15 12:00:00 1988', 'Jan 16 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10654, 'Jan 16 09:02:26 1988', 'Jan 17 09:02:45 1988', 'Jan 16 12:00:00 1988', 'Jan 17 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10634, 'Jan 17 09:02:46 1988', 'Jan 18 09:03:05 1988', 'Jan 17 12:00:00 1988', 'Jan 18 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10614, 'Jan 18 09:03:06 1988', 'Jan 19 09:03:25 1988', 'Jan 18 12:00:00 1988', 'Jan 19 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10594, 'Jan 19 09:03:26 1988', 'Jan 20 09:03:45 1988', 'Jan 19 12:00:00 1988', 'Jan 20 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10574, 'Jan 20 09:03:46 1988', 'Jan 21 09:04:00 1988', 'Jan 20 12:00:00 1988', 'Jan 21 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10559, 'Jan 21 09:04:01 1988', 'Jan 22 09:04:20 1988', 'Jan 21 12:00:00 1988', 'Jan 22 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10539, 'Jan 22 09:04:21 1988', 'Jan 23 09:04:35 1988', 'Jan 22 12:00:00 1988', 'Jan 23 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10524, 'Jan 23 09:04:36 1988', 'Jan 24 09:04:50 1988', 'Jan 23 12:00:00 1988', 'Jan 24 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10509, 'Jan 24 09:04:51 1988', 'Jan 25 09:05:05 1988', 'Jan 24 12:00:00 1988', 'Jan 25 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10494, 'Jan 25 09:05:06 1988', 'Jan 26 09:05:20 1988', 'Jan 25 12:00:00 1988', 'Jan 26 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10479, 'Jan 26 09:05:21 1988', 'Jan 27 09:05:35 1988', 'Jan 26 12:00:00 1988', 'Jan 27 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10464, 'Jan 27 09:05:36 1988', 'Jan 28 09:05:45 1988', 'Jan 27 12:00:00 1988', 'Jan 28 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10454, 'Jan 28 09:05:46 1988', 'Jan 29 09:05:55 1988', 'Jan 28 12:00:00 1988', 'Jan 29 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10444, 'Jan 29 09:05:56 1988', 'Jan 30 09:06:05 1988', 'Jan 29 12:00:00 1988', 'Jan 30 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10434, 'Jan 30 09:06:06 1988', 'Jan 31 09:06:15 1988', 'Jan 30 12:00:00 1988', 'Jan 31 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10424, 'Jan 31 09:06:16 1988', 'Feb 1 09:06:25 1988', 'Jan 31 12:00:00 1988', 'Feb 1 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10414, 'Feb 1 09:06:26 1988', 'Feb 2 09:06:35 1988', 'Feb 1 12:00:00 1988', 'Feb 2 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10404, 'Feb 2 09:06:36 1988', 'Feb 3 09:06:40 1988', 'Feb 2 12:00:00 1988', 'Feb 3 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10399, 'Feb 3 09:06:41 1988', 'Feb 4 09:06:50 1988', 'Feb 3 12:00:00 1988', 'Feb 4 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10389, 'Feb 4 09:06:51 1988', 'Feb 5 09:06:55 1988', 'Feb 4 12:00:00 1988', 'Feb 5 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10384, 'Feb 5 09:06:56 1988', 'Feb 6 09:07:00 1988', 'Feb 5 12:00:00 1988', 'Feb 6 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10379, 'Feb 6 09:07:01 1988', 'Feb 7 09:07:05 1988', 'Feb 6 12:00:00 1988', 'Feb 7 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10374, 'Feb 7 09:07:06 1988', 'Feb 9 09:07:10 1988', 'Feb 7 12:00:00 1988', 'Feb 9 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10369, 'Feb 9 09:07:11 1988', 'Feb 15 09:07:05 1988', 'Feb 9 12:00:00 1988', 'Feb 15 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10374, 'Feb 15 09:07:06 1988', 'Feb 17 09:07:00 1988', 'Feb 15 12:00:00 1988', 'Feb 17 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10379, 'Feb 17 09:07:01 1988', 'Feb 18 09:06:55 1988', 'Feb 17 12:00:00 1988', 'Feb 18 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10384, 'Feb 18 09:06:56 1988', 'Feb 19 09:06:50 1988', 'Feb 18 12:00:00 1988', 'Feb 19 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10389, 'Feb 19 09:06:51 1988', 'Feb 20 09:06:45 1988', 'Feb 19 12:00:00 1988', 'Feb 20 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10394, 'Feb 20 09:06:46 1988', 'Feb 21 09:06:40 1988', 'Feb 20 12:00:00 1988', 'Feb 21 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10399, 'Feb 21 09:06:41 1988', 'Feb 22 09:06:35 1988', 'Feb 21 12:00:00 1988', 'Feb 22 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10404, 'Feb 22 09:06:36 1988', 'Feb 23 09:06:25 1988', 'Feb 22 12:00:00 1988', 'Feb 23 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10414, 'Feb 23 09:06:26 1988', 'Feb 24 09:06:15 1988', 'Feb 23 12:00:00 1988', 'Feb 24 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10424, 'Feb 24 09:06:16 1988', 'Feb 25 09:06:10 1988', 'Feb 24 12:00:00 1988', 'Feb 25 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10429, 'Feb 25 09:06:11 1988', 'Feb 26 09:06:00 1988', 'Feb 25 12:00:00 1988', 'Feb 26 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10439, 'Feb 26 09:06:01 1988', 'Feb 27 09:05:50 1988', 'Feb 26 12:00:00 1988', 'Feb 27 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10449, 'Feb 27 09:05:51 1988', 'Feb 28 09:05:40 1988', 'Feb 27 12:00:00 1988', 'Feb 28 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10459, 'Feb 28 09:05:41 1988', 'Feb 29 09:05:25 1988', 'Feb 28 12:00:00 1988', 'Feb 29 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10474, 'Feb 29 09:05:26 1988', 'Mar 1 09:05:15 1988', 'Feb 29 12:00:00 1988', 'Mar 1 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10484, 'Mar 1 09:05:16 1988', 'Mar 2 09:05:05 1988', 'Mar 1 12:00:00 1988', 'Mar 2 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10494, 'Mar 2 09:05:06 1988', 'Mar 3 09:04:50 1988', 'Mar 2 12:00:00 1988', 'Mar 3 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10509, 'Mar 3 09:04:51 1988', 'Mar 4 09:04:40 1988', 'Mar 3 12:00:00 1988', 'Mar 4 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10519, 'Mar 4 09:04:41 1988', 'Mar 5 09:04:25 1988', 'Mar 4 12:00:00 1988', 'Mar 5 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10534, 'Mar 5 09:04:26 1988', 'Mar 6 09:04:10 1988', 'Mar 5 12:00:00 1988', 'Mar 6 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10549, 'Mar 6 09:04:11 1988', 'Mar 7 09:03:55 1988', 'Mar 6 12:00:00 1988', 'Mar 7 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10564, 'Mar 7 09:03:56 1988', 'Mar 8 09:03:40 1988', 'Mar 7 12:00:00 1988', 'Mar 8 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10579, 'Mar 8 09:03:41 1988', 'Mar 9 09:03:25 1988', 'Mar 8 12:00:00 1988', 'Mar 9 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10594, 'Mar 9 09:03:26 1988', 'Mar 10 09:03:10 1988', 'Mar 9 12:00:00 1988', 'Mar 10 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10609, 'Mar 10 09:03:11 1988', 'Mar 11 09:02:55 1988', 'Mar 10 12:00:00 1988', 'Mar 11 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10624, 'Mar 11 09:02:56 1988', 'Mar 12 09:02:40 1988', 'Mar 11 12:00:00 1988', 'Mar 12 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10639, 'Mar 12 09:02:41 1988', 'Mar 13 09:02:25 1988', 'Mar 12 12:00:00 1988', 'Mar 13 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10654, 'Mar 13 09:02:26 1988', 'Mar 14 09:02:05 1988', 'Mar 13 12:00:00 1988', 'Mar 14 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10674, 'Mar 14 09:02:06 1988', 'Mar 15 09:01:50 1988', 'Mar 14 12:00:00 1988', 'Mar 15 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10689, 'Mar 15 09:01:51 1988', 'Mar 16 09:01:35 1988', 'Mar 15 12:00:00 1988', 'Mar 16 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10704, 'Mar 16 09:01:36 1988', 'Mar 17 09:01:15 1988', 'Mar 16 12:00:00 1988', 'Mar 17 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10724, 'Mar 17 09:01:16 1988', 'Mar 18 09:01:00 1988', 'Mar 17 12:00:00 1988', 'Mar 18 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10739, 'Mar 18 09:01:01 1988', 'Mar 19 09:00:40 1988', 'Mar 18 12:00:00 1988', 'Mar 19 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10759, 'Mar 19 09:00:41 1988', 'Mar 20 09:00:25 1988', 'Mar 19 12:00:00 1988', 'Mar 20 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10774, 'Mar 20 09:00:26 1988', 'Mar 21 09:00:05 1988', 'Mar 20 12:00:00 1988', 'Mar 21 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10794, 'Mar 21 09:00:06 1988', 'Mar 22 08:59:45 1988', 'Mar 21 12:00:00 1988', 'Mar 22 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10814, 'Mar 22 08:59:46 1988', 'Mar 23 08:59:30 1988', 'Mar 22 12:00:00 1988', 'Mar 23 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10829, 'Mar 23 08:59:31 1988', 'Mar 24 08:59:10 1988', 'Mar 23 12:00:00 1988', 'Mar 24 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10849, 'Mar 24 08:59:11 1988', 'Mar 25 08:58:55 1988', 'Mar 24 12:00:00 1988', 'Mar 25 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10864, 'Mar 25 08:58:56 1988', 'Mar 26 08:58:35 1988', 'Mar 25 12:00:00 1988', 'Mar 26 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10884, 'Mar 26 08:58:36 1988', 'Mar 27 08:58:15 1988', 'Mar 26 12:00:00 1988', 'Mar 27 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10904, 'Mar 27 08:58:16 1988', 'Mar 28 08:58:00 1988', 'Mar 27 12:00:00 1988', 'Mar 28 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10919, 'Mar 28 08:58:01 1988', 'Mar 29 08:57:40 1988', 'Mar 28 12:00:00 1988', 'Mar 29 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10939, 'Mar 29 08:57:41 1988', 'Mar 30 08:57:20 1988', 'Mar 29 12:00:00 1988', 'Mar 30 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10959, 'Mar 30 08:57:21 1988', 'Mar 31 08:57:05 1988', 'Mar 30 12:00:00 1988', 'Mar 31 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10974, 'Mar 31 08:57:06 1988', 'Apr 1 08:56:45 1988', 'Mar 31 12:00:00 1988', 'Apr 1 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10994, 'Apr 1 08:56:46 1988', 'Apr 2 08:56:30 1988', 'Apr 1 12:00:00 1988', 'Apr 2 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11009, 'Apr 2 08:56:31 1988', 'Apr 3 08:56:10 1988', 'Apr 2 12:00:00 1988', 'Apr 3 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11029, 'Apr 3 08:56:11 1988', 'Apr 4 08:55:55 1988', 'Apr 3 12:00:00 1988', 'Apr 4 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11044, 'Apr 4 08:55:56 1988', 'Apr 5 08:55:35 1988', 'Apr 4 12:00:00 1988', 'Apr 5 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11064, 'Apr 5 08:55:36 1988', 'Apr 6 08:55:20 1988', 'Apr 5 12:00:00 1988', 'Apr 6 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11079, 'Apr 6 08:55:21 1988', 'Apr 7 08:55:00 1988', 'Apr 6 12:00:00 1988', 'Apr 7 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11099, 'Apr 7 08:55:01 1988', 'Apr 8 08:54:45 1988', 'Apr 7 12:00:00 1988', 'Apr 8 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11114, 'Apr 8 08:54:46 1988', 'Apr 9 08:54:30 1988', 'Apr 8 12:00:00 1988', 'Apr 9 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11129, 'Apr 9 08:54:31 1988', 'Apr 10 08:54:10 1988', 'Apr 9 12:00:00 1988', 'Apr 10 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11149, 'Apr 10 08:54:11 1988', 'Apr 11 08:53:55 1988', 'Apr 10 12:00:00 1988', 'Apr 11 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11164, 'Apr 11 08:53:56 1988', 'Apr 12 08:53:40 1988', 'Apr 11 12:00:00 1988', 'Apr 12 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11179, 'Apr 12 08:53:41 1988', 'Apr 13 08:53:25 1988', 'Apr 12 12:00:00 1988', 'Apr 13 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11194, 'Apr 13 08:53:26 1988', 'Apr 14 08:53:10 1988', 'Apr 13 12:00:00 1988', 'Apr 14 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11209, 'Apr 14 08:53:11 1988', 'Apr 15 08:52:55 1988', 'Apr 14 12:00:00 1988', 'Apr 15 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 0, 11224, 'Apr 15 08:52:56 1988', 'Apr 16 08:52:40 1988', 'Apr 15 12:00:00 1988', 'Apr 16 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11239, 'Apr 16 08:52:41 1988', 'Apr 17 08:52:25 1988', 'Apr 16 12:00:00 1988', 'Apr 17 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11254, 'Apr 17 08:52:26 1988', 'Apr 18 08:52:15 1988', 'Apr 17 12:00:00 1988', 'Apr 18 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11264, 'Apr 18 08:52:16 1988', 'Apr 19 08:52:00 1988', 'Apr 18 12:00:00 1988', 'Apr 19 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11279, 'Apr 19 08:52:01 1988', 'Apr 20 08:51:50 1988', 'Apr 19 12:00:00 1988', 'Apr 20 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11289, 'Apr 20 08:51:51 1988', 'Apr 21 08:51:35 1988', 'Apr 20 12:00:00 1988', 'Apr 21 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11304, 'Apr 21 08:51:36 1988', 'Apr 22 08:51:25 1988', 'Apr 21 12:00:00 1988', 'Apr 22 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11314, 'Apr 22 08:51:26 1988', 'Apr 23 08:51:10 1988', 'Apr 22 12:00:00 1988', 'Apr 23 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11329, 'Apr 23 08:51:11 1988', 'Apr 24 08:51:00 1988', 'Apr 23 12:00:00 1988', 'Apr 24 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11339, 'Apr 24 08:51:01 1988', 'Apr 25 08:50:50 1988', 'Apr 24 12:00:00 1988', 'Apr 25 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11349, 'Apr 25 08:50:51 1988', 'Apr 26 08:50:40 1988', 'Apr 25 12:00:00 1988', 'Apr 26 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11359, 'Apr 26 08:50:41 1988', 'Apr 27 08:50:30 1988', 'Apr 26 12:00:00 1988', 'Apr 27 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11369, 'Apr 27 08:50:31 1988', 'Apr 28 08:50:25 1988', 'Apr 27 12:00:00 1988', 'Apr 28 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11374, 'Apr 28 08:50:26 1988', 'Apr 29 08:50:15 1988', 'Apr 28 12:00:00 1988', 'Apr 29 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11384, 'Apr 29 08:50:16 1988', 'Apr 30 08:50:05 1988', 'Apr 29 12:00:00 1988', 'Apr 30 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11394, 'Apr 30 08:50:06 1988', 'May 1 08:50:00 1988', 'Apr 30 12:00:00 1988', 'May 1 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11399, 'May 1 08:50:01 1988', 'May 2 08:49:50 1988', 'May 1 12:00:00 1988', 'May 2 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11409, 'May 2 08:49:51 1988', 'May 3 08:49:45 1988', 'May 2 12:00:00 1988', 'May 3 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11414, 'May 3 08:49:46 1988', 'May 4 08:49:40 1988', 'May 3 12:00:00 1988', 'May 4 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11419, 'May 4 08:49:41 1988', 'May 5 08:49:35 1988', 'May 4 12:00:00 1988', 'May 5 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11424, 'May 5 08:49:36 1988', 'May 6 08:49:30 1988', 'May 5 12:00:00 1988', 'May 6 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11429, 'May 6 08:49:31 1988', 'May 7 08:49:25 1988', 'May 6 12:00:00 1988', 'May 7 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11434, 'May 7 08:49:26 1988', 'May 8 08:49:20 1988', 'May 7 12:00:00 1988', 'May 8 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11439, 'May 8 08:49:21 1988', 'May 10 08:49:15 1988', 'May 8 12:00:00 1988', 'May 10 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11444, 'May 10 08:49:16 1988', 'May 18 08:49:20 1988', 'May 10 12:00:00 1988', 'May 18 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11439, 'May 18 08:49:21 1988', 'May 20 08:49:25 1988', 'May 18 12:00:00 1988', 'May 20 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11434, 'May 20 08:49:26 1988', 'May 21 08:49:30 1988', 'May 20 12:00:00 1988', 'May 21 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11429, 'May 21 08:49:31 1988', 'May 22 08:49:35 1988', 'May 21 12:00:00 1988', 'May 22 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11424, 'May 22 08:49:36 1988', 'May 23 08:49:40 1988', 'May 22 12:00:00 1988', 'May 23 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11419, 'May 23 08:49:41 1988', 'May 24 08:49:45 1988', 'May 23 12:00:00 1988', 'May 24 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11414, 'May 24 08:49:46 1988', 'May 25 08:49:50 1988', 'May 24 12:00:00 1988', 'May 25 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11409, 'May 25 08:49:51 1988', 'May 26 08:49:55 1988', 'May 25 12:00:00 1988', 'May 26 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11404, 'May 26 08:49:56 1988', 'May 27 08:50:00 1988', 'May 26 12:00:00 1988', 'May 27 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11399, 'May 27 08:50:01 1988', 'May 28 08:50:10 1988', 'May 27 12:00:00 1988', 'May 28 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11389, 'May 28 08:50:11 1988', 'May 29 08:50:15 1988', 'May 28 12:00:00 1988', 'May 29 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11384, 'May 29 08:50:16 1988', 'May 30 08:50:25 1988', 'May 29 12:00:00 1988', 'May 30 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11374, 'May 30 08:50:26 1988', 'May 31 08:50:35 1988', 'May 30 12:00:00 1988', 'May 31 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11364, 'May 31 08:50:36 1988', 'Jun 1 08:50:45 1988', 'May 31 12:00:00 1988', 'Jun 1 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11354, 'Jun 1 08:50:46 1988', 'Jun 2 08:50:50 1988', 'Jun 1 12:00:00 1988', 'Jun 2 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11349, 'Jun 2 08:50:51 1988', 'Jun 3 08:51:00 1988', 'Jun 2 12:00:00 1988', 'Jun 3 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11339, 'Jun 3 08:51:01 1988', 'Jun 4 08:51:10 1988', 'Jun 3 12:00:00 1988', 'Jun 4 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11329, 'Jun 4 08:51:11 1988', 'Jun 5 08:51:25 1988', 'Jun 4 12:00:00 1988', 'Jun 5 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11314, 'Jun 5 08:51:26 1988', 'Jun 6 08:51:35 1988', 'Jun 5 12:00:00 1988', 'Jun 6 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11304, 'Jun 6 08:51:36 1988', 'Jun 7 08:51:45 1988', 'Jun 6 12:00:00 1988', 'Jun 7 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11294, 'Jun 7 08:51:46 1988', 'Jun 8 08:51:55 1988', 'Jun 7 12:00:00 1988', 'Jun 8 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11284, 'Jun 8 08:51:56 1988', 'Jun 9 08:52:10 1988', 'Jun 8 12:00:00 1988', 'Jun 9 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11269, 'Jun 9 08:52:11 1988', 'Jun 10 08:52:20 1988', 'Jun 9 12:00:00 1988', 'Jun 10 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11259, 'Jun 10 08:52:21 1988', 'Jun 11 08:52:30 1988', 'Jun 10 12:00:00 1988', 'Jun 11 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11249, 'Jun 11 08:52:31 1988', 'Jun 12 08:52:45 1988', 'Jun 11 12:00:00 1988', 'Jun 12 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11234, 'Jun 12 08:52:46 1988', 'Jun 13 08:52:55 1988', 'Jun 12 12:00:00 1988', 'Jun 13 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 0, 11224, 'Jun 13 08:52:56 1988', 'Jun 14 08:53:10 1988', 'Jun 13 12:00:00 1988', 'Jun 14 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11209, 'Jun 14 08:53:11 1988', 'Jun 15 08:53:20 1988', 'Jun 14 12:00:00 1988', 'Jun 15 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11199, 'Jun 15 08:53:21 1988', 'Jun 16 08:53:35 1988', 'Jun 15 12:00:00 1988', 'Jun 16 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11184, 'Jun 16 08:53:36 1988', 'Jun 17 08:53:50 1988', 'Jun 16 12:00:00 1988', 'Jun 17 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11169, 'Jun 17 08:53:51 1988', 'Jun 18 08:54:00 1988', 'Jun 17 12:00:00 1988', 'Jun 18 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11159, 'Jun 18 08:54:01 1988', 'Jun 19 08:54:15 1988', 'Jun 18 12:00:00 1988', 'Jun 19 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11144, 'Jun 19 08:54:16 1988', 'Jun 20 08:54:25 1988', 'Jun 19 12:00:00 1988', 'Jun 20 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11134, 'Jun 20 08:54:26 1988', 'Jun 21 08:54:40 1988', 'Jun 20 12:00:00 1988', 'Jun 21 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11119, 'Jun 21 08:54:41 1988', 'Jun 22 08:54:55 1988', 'Jun 21 12:00:00 1988', 'Jun 22 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11104, 'Jun 22 08:54:56 1988', 'Jun 23 08:55:05 1988', 'Jun 22 12:00:00 1988', 'Jun 23 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11094, 'Jun 23 08:55:06 1988', 'Jun 24 08:55:20 1988', 'Jun 23 12:00:00 1988', 'Jun 24 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11079, 'Jun 24 08:55:21 1988', 'Jun 25 08:55:30 1988', 'Jun 24 12:00:00 1988', 'Jun 25 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11069, 'Jun 25 08:55:31 1988', 'Jun 26 08:55:45 1988', 'Jun 25 12:00:00 1988', 'Jun 26 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11054, 'Jun 26 08:55:46 1988', 'Jun 27 08:55:55 1988', 'Jun 26 12:00:00 1988', 'Jun 27 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11044, 'Jun 27 08:55:56 1988', 'Jun 28 08:56:10 1988', 'Jun 27 12:00:00 1988', 'Jun 28 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11029, 'Jun 28 08:56:11 1988', 'Jun 29 08:56:20 1988', 'Jun 28 12:00:00 1988', 'Jun 29 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11019, 'Jun 29 08:56:21 1988', 'Jun 30 08:56:35 1988', 'Jun 29 12:00:00 1988', 'Jun 30 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11004, 'Jun 30 08:56:36 1988', 'Jul 1 08:56:45 1988', 'Jun 30 12:00:00 1988', 'Jul 1 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10994, 'Jul 1 08:56:46 1988', 'Jul 2 08:56:55 1988', 'Jul 1 12:00:00 1988', 'Jul 2 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10984, 'Jul 2 08:56:56 1988', 'Jul 3 08:57:05 1988', 'Jul 2 12:00:00 1988', 'Jul 3 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10974, 'Jul 3 08:57:06 1988', 'Jul 4 08:57:20 1988', 'Jul 3 12:00:00 1988', 'Jul 4 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10959, 'Jul 4 08:57:21 1988', 'Jul 5 08:57:30 1988', 'Jul 4 12:00:00 1988', 'Jul 5 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10949, 'Jul 5 08:57:31 1988', 'Jul 6 08:57:40 1988', 'Jul 5 12:00:00 1988', 'Jul 6 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10939, 'Jul 6 08:57:41 1988', 'Jul 7 08:57:50 1988', 'Jul 6 12:00:00 1988', 'Jul 7 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10929, 'Jul 7 08:57:51 1988', 'Jul 8 08:58:00 1988', 'Jul 7 12:00:00 1988', 'Jul 8 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10919, 'Jul 8 08:58:01 1988', 'Jul 9 08:58:05 1988', 'Jul 8 12:00:00 1988', 'Jul 9 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10914, 'Jul 9 08:58:06 1988', 'Jul 10 08:58:15 1988', 'Jul 9 12:00:00 1988', 'Jul 10 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10904, 'Jul 10 08:58:16 1988', 'Jul 11 08:58:25 1988', 'Jul 10 12:00:00 1988', 'Jul 11 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10894, 'Jul 11 08:58:26 1988', 'Jul 12 08:58:30 1988', 'Jul 11 12:00:00 1988', 'Jul 12 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10889, 'Jul 12 08:58:31 1988', 'Jul 13 08:58:40 1988', 'Jul 12 12:00:00 1988', 'Jul 13 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10879, 'Jul 13 08:58:41 1988', 'Jul 14 08:58:45 1988', 'Jul 13 12:00:00 1988', 'Jul 14 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10874, 'Jul 14 08:58:46 1988', 'Jul 15 08:58:50 1988', 'Jul 14 12:00:00 1988', 'Jul 15 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10869, 'Jul 15 08:58:51 1988', 'Jul 16 08:58:55 1988', 'Jul 15 12:00:00 1988', 'Jul 16 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10864, 'Jul 16 08:58:56 1988', 'Jul 17 08:59:00 1988', 'Jul 16 12:00:00 1988', 'Jul 17 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10859, 'Jul 17 08:59:01 1988', 'Jul 18 08:59:05 1988', 'Jul 17 12:00:00 1988', 'Jul 18 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10854, 'Jul 18 08:59:06 1988', 'Jul 19 08:59:10 1988', 'Jul 18 12:00:00 1988', 'Jul 19 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10849, 'Jul 19 08:59:11 1988', 'Jul 20 08:59:15 1988', 'Jul 19 12:00:00 1988', 'Jul 20 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10844, 'Jul 20 08:59:16 1988', 'Jul 21 08:59:20 1988', 'Jul 20 12:00:00 1988', 'Jul 21 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10839, 'Jul 21 08:59:21 1988', 'Jul 24 08:59:25 1988', 'Jul 21 12:00:00 1988', 'Jul 24 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10834, 'Jul 24 08:59:26 1988', 'Jul 29 08:59:20 1988', 'Jul 24 12:00:00 1988', 'Jul 29 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10839, 'Jul 29 08:59:21 1988', 'Jul 31 08:59:15 1988', 'Jul 29 12:00:00 1988', 'Jul 31 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10844, 'Jul 31 08:59:16 1988', 'Aug 1 08:59:10 1988', 'Jul 31 12:00:00 1988', 'Aug 1 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10849, 'Aug 1 08:59:11 1988', 'Aug 3 08:59:05 1988', 'Aug 1 12:00:00 1988', 'Aug 3 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10854, 'Aug 3 08:59:06 1988', 'Aug 4 08:59:00 1988', 'Aug 3 12:00:00 1988', 'Aug 4 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10859, 'Aug 4 08:59:01 1988', 'Aug 5 08:58:50 1988', 'Aug 4 12:00:00 1988', 'Aug 5 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10869, 'Aug 5 08:58:51 1988', 'Aug 6 08:58:45 1988', 'Aug 5 12:00:00 1988', 'Aug 6 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10874, 'Aug 6 08:58:46 1988', 'Aug 7 08:58:40 1988', 'Aug 6 12:00:00 1988', 'Aug 7 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10879, 'Aug 7 08:58:41 1988', 'Aug 8 08:58:30 1988', 'Aug 7 12:00:00 1988', 'Aug 8 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10889, 'Aug 8 08:58:31 1988', 'Aug 9 08:58:20 1988', 'Aug 8 12:00:00 1988', 'Aug 9 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10899, 'Aug 9 08:58:21 1988', 'Aug 10 08:58:15 1988', 'Aug 9 12:00:00 1988', 'Aug 10 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10904, 'Aug 10 08:58:16 1988', 'Aug 11 08:58:05 1988', 'Aug 10 12:00:00 1988', 'Aug 11 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10914, 'Aug 11 08:58:06 1988', 'Aug 12 08:57:55 1988', 'Aug 11 12:00:00 1988', 'Aug 12 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10924, 'Aug 12 08:57:56 1988', 'Aug 13 08:57:45 1988', 'Aug 12 12:00:00 1988', 'Aug 13 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10934, 'Aug 13 08:57:46 1988', 'Aug 14 08:57:30 1988', 'Aug 13 12:00:00 1988', 'Aug 14 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10949, 'Aug 14 08:57:31 1988', 'Aug 15 08:57:20 1988', 'Aug 14 12:00:00 1988', 'Aug 15 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10959, 'Aug 15 08:57:21 1988', 'Aug 16 08:57:10 1988', 'Aug 15 12:00:00 1988', 'Aug 16 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10969, 'Aug 16 08:57:11 1988', 'Aug 17 08:56:55 1988', 'Aug 16 12:00:00 1988', 'Aug 17 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10984, 'Aug 17 08:56:56 1988', 'Aug 18 08:56:45 1988', 'Aug 17 12:00:00 1988', 'Aug 18 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 10994, 'Aug 18 08:56:46 1988', 'Aug 19 08:56:30 1988', 'Aug 18 12:00:00 1988', 'Aug 19 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11009, 'Aug 19 08:56:31 1988', 'Aug 20 08:56:15 1988', 'Aug 19 12:00:00 1988', 'Aug 20 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11024, 'Aug 20 08:56:16 1988', 'Aug 21 08:56:00 1988', 'Aug 20 12:00:00 1988', 'Aug 21 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11039, 'Aug 21 08:56:01 1988', 'Aug 22 08:55:45 1988', 'Aug 21 12:00:00 1988', 'Aug 22 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11054, 'Aug 22 08:55:46 1988', 'Aug 23 08:55:30 1988', 'Aug 22 12:00:00 1988', 'Aug 23 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11069, 'Aug 23 08:55:31 1988', 'Aug 24 08:55:15 1988', 'Aug 23 12:00:00 1988', 'Aug 24 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11084, 'Aug 24 08:55:16 1988', 'Aug 25 08:54:55 1988', 'Aug 24 12:00:00 1988', 'Aug 25 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11104, 'Aug 25 08:54:56 1988', 'Aug 26 08:54:40 1988', 'Aug 25 12:00:00 1988', 'Aug 26 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11119, 'Aug 26 08:54:41 1988', 'Aug 27 08:54:25 1988', 'Aug 26 12:00:00 1988', 'Aug 27 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11134, 'Aug 27 08:54:26 1988', 'Aug 28 08:54:05 1988', 'Aug 27 12:00:00 1988', 'Aug 28 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11154, 'Aug 28 08:54:06 1988', 'Aug 29 08:53:45 1988', 'Aug 28 12:00:00 1988', 'Aug 29 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11174, 'Aug 29 08:53:46 1988', 'Aug 30 08:53:30 1988', 'Aug 29 12:00:00 1988', 'Aug 30 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11189, 'Aug 30 08:53:31 1988', 'Aug 31 08:53:10 1988', 'Aug 30 12:00:00 1988', 'Aug 31 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11209, 'Aug 31 08:53:11 1988', 'Sep 1 08:52:50 1988', 'Aug 31 12:00:00 1988', 'Sep 1 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11229, 'Sep 1 08:52:51 1988', 'Sep 2 08:52:30 1988', 'Sep 1 12:00:00 1988', 'Sep 2 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11249, 'Sep 2 08:52:31 1988', 'Sep 3 08:52:15 1988', 'Sep 2 12:00:00 1988', 'Sep 3 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11264, 'Sep 3 08:52:16 1988', 'Sep 4 08:51:55 1988', 'Sep 3 12:00:00 1988', 'Sep 4 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11284, 'Sep 4 08:51:56 1988', 'Sep 5 08:51:35 1988', 'Sep 4 12:00:00 1988', 'Sep 5 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11304, 'Sep 5 08:51:36 1988', 'Sep 6 08:51:15 1988', 'Sep 5 12:00:00 1988', 'Sep 6 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11324, 'Sep 6 08:51:16 1988', 'Sep 7 08:50:55 1988', 'Sep 6 12:00:00 1988', 'Sep 7 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11344, 'Sep 7 08:50:56 1988', 'Sep 8 08:50:30 1988', 'Sep 7 12:00:00 1988', 'Sep 8 11:59:34 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11369, 'Sep 8 08:50:31 1988', 'Sep 9 08:50:10 1988', 'Sep 8 12:00:00 1988', 'Sep 9 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11389, 'Sep 9 08:50:11 1988', 'Sep 10 08:49:50 1988', 'Sep 9 12:00:00 1988', 'Sep 10 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11409, 'Sep 10 08:49:51 1988', 'Sep 11 08:49:30 1988', 'Sep 10 12:00:00 1988', 'Sep 11 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11429, 'Sep 11 08:49:31 1988', 'Sep 12 08:49:10 1988', 'Sep 11 12:00:00 1988', 'Sep 12 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11449, 'Sep 12 08:49:11 1988', 'Sep 13 08:48:45 1988', 'Sep 12 12:00:00 1988', 'Sep 13 11:59:34 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11474, 'Sep 13 08:48:46 1988', 'Sep 14 08:48:25 1988', 'Sep 13 12:00:00 1988', 'Sep 14 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11494, 'Sep 14 08:48:26 1988', 'Sep 15 08:48:05 1988', 'Sep 14 12:00:00 1988', 'Sep 15 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11514, 'Sep 15 08:48:06 1988', 'Sep 16 08:47:45 1988', 'Sep 15 12:00:00 1988', 'Sep 16 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11534, 'Sep 16 08:47:46 1988', 'Sep 17 08:47:20 1988', 'Sep 16 12:00:00 1988', 'Sep 17 11:59:34 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11559, 'Sep 17 08:47:21 1988', 'Sep 18 08:47:00 1988', 'Sep 17 12:00:00 1988', 'Sep 18 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11579, 'Sep 18 08:47:01 1988', 'Sep 19 08:46:40 1988', 'Sep 18 12:00:00 1988', 'Sep 19 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11599, 'Sep 19 08:46:41 1988', 'Sep 20 08:46:20 1988', 'Sep 19 12:00:00 1988', 'Sep 20 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11619, 'Sep 20 08:46:21 1988', 'Sep 21 08:45:55 1988', 'Sep 20 12:00:00 1988', 'Sep 21 11:59:34 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11644, 'Sep 21 08:45:56 1988', 'Sep 22 08:45:35 1988', 'Sep 21 12:00:00 1988', 'Sep 22 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11664, 'Sep 22 08:45:36 1988', 'Sep 23 08:45:15 1988', 'Sep 22 12:00:00 1988', 'Sep 23 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11684, 'Sep 23 08:45:16 1988', 'Sep 24 08:44:55 1988', 'Sep 23 12:00:00 1988', 'Sep 24 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11704, 'Sep 24 08:44:56 1988', 'Sep 25 08:44:35 1988', 'Sep 24 12:00:00 1988', 'Sep 25 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11724, 'Sep 25 08:44:36 1988', 'Sep 26 08:44:10 1988', 'Sep 25 12:00:00 1988', 'Sep 26 11:59:34 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11749, 'Sep 26 08:44:11 1988', 'Sep 27 08:43:50 1988', 'Sep 26 12:00:00 1988', 'Sep 27 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11769, 'Sep 27 08:43:51 1988', 'Sep 28 08:43:30 1988', 'Sep 27 12:00:00 1988', 'Sep 28 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11789, 'Sep 28 08:43:31 1988', 'Sep 29 08:43:10 1988', 'Sep 28 12:00:00 1988', 'Sep 29 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11809, 'Sep 29 08:43:11 1988', 'Sep 30 08:42:50 1988', 'Sep 29 12:00:00 1988', 'Sep 30 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11829, 'Sep 30 08:42:51 1988', 'Oct 1 08:42:30 1988', 'Sep 30 12:00:00 1988', 'Oct 1 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11849, 'Oct 1 08:42:31 1988', 'Oct 2 08:42:15 1988', 'Oct 1 12:00:00 1988', 'Oct 2 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11864, 'Oct 2 08:42:16 1988', 'Oct 3 08:41:55 1988', 'Oct 2 12:00:00 1988', 'Oct 3 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11884, 'Oct 3 08:41:56 1988', 'Oct 4 08:41:35 1988', 'Oct 3 12:00:00 1988', 'Oct 4 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11904, 'Oct 4 08:41:36 1988', 'Oct 5 08:41:20 1988', 'Oct 4 12:00:00 1988', 'Oct 5 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11919, 'Oct 5 08:41:21 1988', 'Oct 6 08:41:00 1988', 'Oct 5 12:00:00 1988', 'Oct 6 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11939, 'Oct 6 08:41:01 1988', 'Oct 7 08:40:45 1988', 'Oct 6 12:00:00 1988', 'Oct 7 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11954, 'Oct 7 08:40:46 1988', 'Oct 8 08:40:25 1988', 'Oct 7 12:00:00 1988', 'Oct 8 11:59:39 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11974, 'Oct 8 08:40:26 1988', 'Oct 9 08:40:10 1988', 'Oct 8 12:00:00 1988', 'Oct 9 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11989, 'Oct 9 08:40:11 1988', 'Oct 10 08:39:55 1988', 'Oct 9 12:00:00 1988', 'Oct 10 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12004, 'Oct 10 08:39:56 1988', 'Oct 11 08:39:40 1988', 'Oct 10 12:00:00 1988', 'Oct 11 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12019, 'Oct 11 08:39:41 1988', 'Oct 12 08:39:25 1988', 'Oct 11 12:00:00 1988', 'Oct 12 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12034, 'Oct 12 08:39:26 1988', 'Oct 13 08:39:10 1988', 'Oct 12 12:00:00 1988', 'Oct 13 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12049, 'Oct 13 08:39:11 1988', 'Oct 14 08:38:55 1988', 'Oct 13 12:00:00 1988', 'Oct 14 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12064, 'Oct 14 08:38:56 1988', 'Oct 15 08:38:40 1988', 'Oct 14 12:00:00 1988', 'Oct 15 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12079, 'Oct 15 08:38:41 1988', 'Oct 16 08:38:30 1988', 'Oct 15 12:00:00 1988', 'Oct 16 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12089, 'Oct 16 08:38:31 1988', 'Oct 17 08:38:15 1988', 'Oct 16 12:00:00 1988', 'Oct 17 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12104, 'Oct 17 08:38:16 1988', 'Oct 18 08:38:05 1988', 'Oct 17 12:00:00 1988', 'Oct 18 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12114, 'Oct 18 08:38:06 1988', 'Oct 19 08:37:55 1988', 'Oct 18 12:00:00 1988', 'Oct 19 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12124, 'Oct 19 08:37:56 1988', 'Oct 20 08:37:40 1988', 'Oct 19 12:00:00 1988', 'Oct 20 11:59:44 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12139, 'Oct 20 08:37:41 1988', 'Oct 21 08:37:35 1988', 'Oct 20 12:00:00 1988', 'Oct 21 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12144, 'Oct 21 08:37:36 1988', 'Oct 22 08:37:25 1988', 'Oct 21 12:00:00 1988', 'Oct 22 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12154, 'Oct 22 08:37:26 1988', 'Oct 23 08:37:15 1988', 'Oct 22 12:00:00 1988', 'Oct 23 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12164, 'Oct 23 08:37:16 1988', 'Oct 24 08:37:05 1988', 'Oct 23 12:00:00 1988', 'Oct 24 11:59:49 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12174, 'Oct 24 08:37:06 1988', 'Oct 25 08:37:00 1988', 'Oct 24 12:00:00 1988', 'Oct 25 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12179, 'Oct 25 08:37:01 1988', 'Oct 26 08:36:55 1988', 'Oct 25 12:00:00 1988', 'Oct 26 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12184, 'Oct 26 08:36:56 1988', 'Oct 27 08:36:50 1988', 'Oct 26 12:00:00 1988', 'Oct 27 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12189, 'Oct 27 08:36:51 1988', 'Oct 28 08:36:45 1988', 'Oct 27 12:00:00 1988', 'Oct 28 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12194, 'Oct 28 08:36:46 1988', 'Oct 29 08:36:40 1988', 'Oct 28 12:00:00 1988', 'Oct 29 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12199, 'Oct 29 08:36:41 1988', 'Oct 30 08:36:35 1988', 'Oct 29 12:00:00 1988', 'Oct 30 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12204, 'Oct 30 08:36:36 1988', 'Nov 1 08:36:30 1988', 'Oct 30 12:00:00 1988', 'Nov 1 11:59:54 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12209, 'Nov 1 08:36:31 1988', 'Nov 5 08:36:35 1988', 'Nov 1 12:00:00 1988', 'Nov 5 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12204, 'Nov 5 08:36:36 1988', 'Nov 7 08:36:40 1988', 'Nov 5 12:00:00 1988', 'Nov 7 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12199, 'Nov 7 08:36:41 1988', 'Nov 9 08:36:45 1988', 'Nov 7 12:00:00 1988', 'Nov 9 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12194, 'Nov 9 08:36:46 1988', 'Nov 10 08:36:55 1988', 'Nov 9 12:00:00 1988', 'Nov 10 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12184, 'Nov 10 08:36:56 1988', 'Nov 11 08:37:00 1988', 'Nov 10 12:00:00 1988', 'Nov 11 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12179, 'Nov 11 08:37:01 1988', 'Nov 12 08:37:05 1988', 'Nov 11 12:00:00 1988', 'Nov 12 12:00:04 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12174, 'Nov 12 08:37:06 1988', 'Nov 13 08:37:15 1988', 'Nov 12 12:00:00 1988', 'Nov 13 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12164, 'Nov 13 08:37:16 1988', 'Nov 14 08:37:25 1988', 'Nov 13 12:00:00 1988', 'Nov 14 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12154, 'Nov 14 08:37:26 1988', 'Nov 15 08:37:35 1988', 'Nov 14 12:00:00 1988', 'Nov 15 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12144, 'Nov 15 08:37:36 1988', 'Nov 16 08:37:45 1988', 'Nov 15 12:00:00 1988', 'Nov 16 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12134, 'Nov 16 08:37:46 1988', 'Nov 17 08:37:55 1988', 'Nov 16 12:00:00 1988', 'Nov 17 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12124, 'Nov 17 08:37:56 1988', 'Nov 18 08:38:10 1988', 'Nov 17 12:00:00 1988', 'Nov 18 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12109, 'Nov 18 08:38:11 1988', 'Nov 19 08:38:20 1988', 'Nov 18 12:00:00 1988', 'Nov 19 12:00:09 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12099, 'Nov 19 08:38:21 1988', 'Nov 20 08:38:35 1988', 'Nov 19 12:00:00 1988', 'Nov 20 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12084, 'Nov 20 08:38:36 1988', 'Nov 21 08:38:50 1988', 'Nov 20 12:00:00 1988', 'Nov 21 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12069, 'Nov 21 08:38:51 1988', 'Nov 22 08:39:05 1988', 'Nov 21 12:00:00 1988', 'Nov 22 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12054, 'Nov 22 08:39:06 1988', 'Nov 23 08:39:25 1988', 'Nov 22 12:00:00 1988', 'Nov 23 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12034, 'Nov 23 08:39:26 1988', 'Nov 24 08:39:40 1988', 'Nov 23 12:00:00 1988', 'Nov 24 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 12019, 'Nov 24 08:39:41 1988', 'Nov 25 08:40:00 1988', 'Nov 24 12:00:00 1988', 'Nov 25 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11999, 'Nov 25 08:40:01 1988', 'Nov 26 08:40:15 1988', 'Nov 25 12:00:00 1988', 'Nov 26 12:00:14 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11984, 'Nov 26 08:40:16 1988', 'Nov 27 08:40:35 1988', 'Nov 26 12:00:00 1988', 'Nov 27 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11964, 'Nov 27 08:40:36 1988', 'Nov 28 08:40:55 1988', 'Nov 27 12:00:00 1988', 'Nov 28 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11944, 'Nov 28 08:40:56 1988', 'Nov 29 08:41:20 1988', 'Nov 28 12:00:00 1988', 'Nov 29 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11919, 'Nov 29 08:41:21 1988', 'Nov 30 08:41:40 1988', 'Nov 29 12:00:00 1988', 'Nov 30 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11899, 'Nov 30 08:41:41 1988', 'Dec 1 08:42:00 1988', 'Nov 30 12:00:00 1988', 'Dec 1 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11879, 'Dec 1 08:42:01 1988', 'Dec 2 08:42:25 1988', 'Dec 1 12:00:00 1988', 'Dec 2 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11854, 'Dec 2 08:42:26 1988', 'Dec 3 08:42:50 1988', 'Dec 2 12:00:00 1988', 'Dec 3 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11829, 'Dec 3 08:42:51 1988', 'Dec 4 08:43:10 1988', 'Dec 3 12:00:00 1988', 'Dec 4 12:00:19 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11809, 'Dec 4 08:43:11 1988', 'Dec 5 08:43:35 1988', 'Dec 4 12:00:00 1988', 'Dec 5 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11784, 'Dec 5 08:43:36 1988', 'Dec 6 08:44:00 1988', 'Dec 5 12:00:00 1988', 'Dec 6 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11759, 'Dec 6 08:44:01 1988', 'Dec 7 08:44:30 1988', 'Dec 6 12:00:00 1988', 'Dec 7 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11729, 'Dec 7 08:44:31 1988', 'Dec 8 08:44:55 1988', 'Dec 7 12:00:00 1988', 'Dec 8 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11704, 'Dec 8 08:44:56 1988', 'Dec 9 08:45:20 1988', 'Dec 8 12:00:00 1988', 'Dec 9 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11679, 'Dec 9 08:45:21 1988', 'Dec 10 08:45:50 1988', 'Dec 9 12:00:00 1988', 'Dec 10 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11649, 'Dec 10 08:45:51 1988', 'Dec 11 08:46:15 1988', 'Dec 10 12:00:00 1988', 'Dec 11 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11624, 'Dec 11 08:46:16 1988', 'Dec 12 08:46:45 1988', 'Dec 11 12:00:00 1988', 'Dec 12 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11594, 'Dec 12 08:46:46 1988', 'Dec 13 08:47:10 1988', 'Dec 12 12:00:00 1988', 'Dec 13 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11569, 'Dec 13 08:47:11 1988', 'Dec 14 08:47:40 1988', 'Dec 13 12:00:00 1988', 'Dec 14 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11539, 'Dec 14 08:47:41 1988', 'Dec 15 08:48:10 1988', 'Dec 14 12:00:00 1988', 'Dec 15 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11509, 'Dec 15 08:48:11 1988', 'Dec 16 08:48:40 1988', 'Dec 15 12:00:00 1988', 'Dec 16 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11479, 'Dec 16 08:48:41 1988', 'Dec 17 08:49:10 1988', 'Dec 16 12:00:00 1988', 'Dec 17 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11449, 'Dec 17 08:49:11 1988', 'Dec 18 08:49:35 1988', 'Dec 17 12:00:00 1988', 'Dec 18 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11424, 'Dec 18 08:49:36 1988', 'Dec 19 08:50:05 1988', 'Dec 18 12:00:00 1988', 'Dec 19 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11394, 'Dec 19 08:50:06 1988', 'Dec 20 08:50:35 1988', 'Dec 19 12:00:00 1988', 'Dec 20 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11364, 'Dec 20 08:50:36 1988', 'Dec 21 08:51:05 1988', 'Dec 20 12:00:00 1988', 'Dec 21 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11334, 'Dec 21 08:51:06 1988', 'Dec 22 08:51:35 1988', 'Dec 21 12:00:00 1988', 'Dec 22 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11304, 'Dec 22 08:51:36 1988', 'Dec 23 08:52:05 1988', 'Dec 22 12:00:00 1988', 'Dec 23 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11274, 'Dec 23 08:52:06 1988', 'Dec 24 08:52:35 1988', 'Dec 23 12:00:00 1988', 'Dec 24 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11244, 'Dec 24 08:52:36 1988', 'Dec 25 08:53:05 1988', 'Dec 24 12:00:00 1988', 'Dec 25 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11214, 'Dec 25 08:53:06 1988', 'Dec 26 08:53:35 1988', 'Dec 25 12:00:00 1988', 'Dec 26 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11184, 'Dec 26 08:53:36 1988', 'Dec 27 08:54:05 1988', 'Dec 26 12:00:00 1988', 'Dec 27 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11154, 'Dec 27 08:54:06 1988', 'Dec 28 08:54:35 1988', 'Dec 27 12:00:00 1988', 'Dec 28 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11124, 'Dec 28 08:54:36 1988', 'Dec 29 08:55:05 1988', 'Dec 28 12:00:00 1988', 'Dec 29 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11094, 'Dec 29 08:55:06 1988', 'Dec 30 08:55:30 1988', 'Dec 29 12:00:00 1988', 'Dec 30 12:00:24 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11069, 'Dec 30 08:55:31 1988', 'Dec 31 08:56:00 1988', 'Dec 30 12:00:00 1988', 'Dec 31 12:00:29 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 1, 11039, 'Dec 31 08:56:01 1988', 'Dec 31 20:56:00 1988', 'Dec 31 12:00:00 1988', 'Dec 31 23:59:59 1988');
timezone.add_rule('Mideast/Riyadh88', '??', 0, 11224, 'Dec 31 20:56:01 1988', 'Jan 18 03:14:07 2038', 'Jan 1 00:03:05 1989', 'Jan 18 06:21:11 2038');
end;
/

--
-- Mideast/Riyadh89
--

begin
timezone.add_rule('Mideast/Riyadh89', '??', 0, 11224, 'Dec 14 20:45:52 1901', 'Jan 1 08:56:30 1989', 'Dec 14 23:52:56 1901', 'Jan 1 12:03:34 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11009, 'Jan 1 08:56:31 1989', 'Jan 2 08:57:00 1989', 'Jan 1 12:00:00 1989', 'Jan 2 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10979, 'Jan 2 08:57:01 1989', 'Jan 3 08:57:25 1989', 'Jan 2 12:00:00 1989', 'Jan 3 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10954, 'Jan 3 08:57:26 1989', 'Jan 4 08:57:55 1989', 'Jan 3 12:00:00 1989', 'Jan 4 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10924, 'Jan 4 08:57:56 1989', 'Jan 5 08:58:20 1989', 'Jan 4 12:00:00 1989', 'Jan 5 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10899, 'Jan 5 08:58:21 1989', 'Jan 6 08:58:45 1989', 'Jan 5 12:00:00 1989', 'Jan 6 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10874, 'Jan 6 08:58:46 1989', 'Jan 7 08:59:10 1989', 'Jan 6 12:00:00 1989', 'Jan 7 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10849, 'Jan 7 08:59:11 1989', 'Jan 8 08:59:40 1989', 'Jan 7 12:00:00 1989', 'Jan 8 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10819, 'Jan 8 08:59:41 1989', 'Jan 9 09:00:05 1989', 'Jan 8 12:00:00 1989', 'Jan 9 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10794, 'Jan 9 09:00:06 1989', 'Jan 10 09:00:30 1989', 'Jan 9 12:00:00 1989', 'Jan 10 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10769, 'Jan 10 09:00:31 1989', 'Jan 11 09:00:50 1989', 'Jan 10 12:00:00 1989', 'Jan 11 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10749, 'Jan 11 09:00:51 1989', 'Jan 12 09:01:15 1989', 'Jan 11 12:00:00 1989', 'Jan 12 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10724, 'Jan 12 09:01:16 1989', 'Jan 13 09:01:40 1989', 'Jan 12 12:00:00 1989', 'Jan 13 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10699, 'Jan 13 09:01:41 1989', 'Jan 14 09:02:00 1989', 'Jan 13 12:00:00 1989', 'Jan 14 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10679, 'Jan 14 09:02:01 1989', 'Jan 15 09:02:20 1989', 'Jan 14 12:00:00 1989', 'Jan 15 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10659, 'Jan 15 09:02:21 1989', 'Jan 16 09:02:40 1989', 'Jan 15 12:00:00 1989', 'Jan 16 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10639, 'Jan 16 09:02:41 1989', 'Jan 17 09:03:00 1989', 'Jan 16 12:00:00 1989', 'Jan 17 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10619, 'Jan 17 09:03:01 1989', 'Jan 18 09:03:20 1989', 'Jan 17 12:00:00 1989', 'Jan 18 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10599, 'Jan 18 09:03:21 1989', 'Jan 19 09:03:40 1989', 'Jan 18 12:00:00 1989', 'Jan 19 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10579, 'Jan 19 09:03:41 1989', 'Jan 20 09:04:00 1989', 'Jan 19 12:00:00 1989', 'Jan 20 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10559, 'Jan 20 09:04:01 1989', 'Jan 21 09:04:15 1989', 'Jan 20 12:00:00 1989', 'Jan 21 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10544, 'Jan 21 09:04:16 1989', 'Jan 22 09:04:30 1989', 'Jan 21 12:00:00 1989', 'Jan 22 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10529, 'Jan 22 09:04:31 1989', 'Jan 23 09:04:50 1989', 'Jan 22 12:00:00 1989', 'Jan 23 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10509, 'Jan 23 09:04:51 1989', 'Jan 24 09:05:05 1989', 'Jan 23 12:00:00 1989', 'Jan 24 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10494, 'Jan 24 09:05:06 1989', 'Jan 25 09:05:15 1989', 'Jan 24 12:00:00 1989', 'Jan 25 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10484, 'Jan 25 09:05:16 1989', 'Jan 26 09:05:30 1989', 'Jan 25 12:00:00 1989', 'Jan 26 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10469, 'Jan 26 09:05:31 1989', 'Jan 27 09:05:45 1989', 'Jan 26 12:00:00 1989', 'Jan 27 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10454, 'Jan 27 09:05:46 1989', 'Jan 28 09:05:55 1989', 'Jan 27 12:00:00 1989', 'Jan 28 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10444, 'Jan 28 09:05:56 1989', 'Jan 29 09:06:05 1989', 'Jan 28 12:00:00 1989', 'Jan 29 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10434, 'Jan 29 09:06:06 1989', 'Jan 30 09:06:15 1989', 'Jan 29 12:00:00 1989', 'Jan 30 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10424, 'Jan 30 09:06:16 1989', 'Jan 31 09:06:25 1989', 'Jan 30 12:00:00 1989', 'Jan 31 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10414, 'Jan 31 09:06:26 1989', 'Feb 1 09:06:35 1989', 'Jan 31 12:00:00 1989', 'Feb 1 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10404, 'Feb 1 09:06:36 1989', 'Feb 2 09:06:40 1989', 'Feb 1 12:00:00 1989', 'Feb 2 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10399, 'Feb 2 09:06:41 1989', 'Feb 3 09:06:50 1989', 'Feb 2 12:00:00 1989', 'Feb 3 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10389, 'Feb 3 09:06:51 1989', 'Feb 4 09:06:55 1989', 'Feb 3 12:00:00 1989', 'Feb 4 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10384, 'Feb 4 09:06:56 1989', 'Feb 5 09:07:00 1989', 'Feb 4 12:00:00 1989', 'Feb 5 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10379, 'Feb 5 09:07:01 1989', 'Feb 6 09:07:05 1989', 'Feb 5 12:00:00 1989', 'Feb 6 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10374, 'Feb 6 09:07:06 1989', 'Feb 8 09:07:10 1989', 'Feb 6 12:00:00 1989', 'Feb 8 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10369, 'Feb 8 09:07:11 1989', 'Feb 10 09:07:15 1989', 'Feb 8 12:00:00 1989', 'Feb 10 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10364, 'Feb 10 09:07:16 1989', 'Feb 13 09:07:10 1989', 'Feb 10 12:00:00 1989', 'Feb 13 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10369, 'Feb 13 09:07:11 1989', 'Feb 15 09:07:05 1989', 'Feb 13 12:00:00 1989', 'Feb 15 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10374, 'Feb 15 09:07:06 1989', 'Feb 17 09:07:00 1989', 'Feb 15 12:00:00 1989', 'Feb 17 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10379, 'Feb 17 09:07:01 1989', 'Feb 18 09:06:55 1989', 'Feb 17 12:00:00 1989', 'Feb 18 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10384, 'Feb 18 09:06:56 1989', 'Feb 19 09:06:50 1989', 'Feb 18 12:00:00 1989', 'Feb 19 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10389, 'Feb 19 09:06:51 1989', 'Feb 20 09:06:45 1989', 'Feb 19 12:00:00 1989', 'Feb 20 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10394, 'Feb 20 09:06:46 1989', 'Feb 21 09:06:35 1989', 'Feb 20 12:00:00 1989', 'Feb 21 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10404, 'Feb 21 09:06:36 1989', 'Feb 22 09:06:30 1989', 'Feb 21 12:00:00 1989', 'Feb 22 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10409, 'Feb 22 09:06:31 1989', 'Feb 23 09:06:20 1989', 'Feb 22 12:00:00 1989', 'Feb 23 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10419, 'Feb 23 09:06:21 1989', 'Feb 24 09:06:10 1989', 'Feb 23 12:00:00 1989', 'Feb 24 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10429, 'Feb 24 09:06:11 1989', 'Feb 25 09:06:00 1989', 'Feb 24 12:00:00 1989', 'Feb 25 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10439, 'Feb 25 09:06:01 1989', 'Feb 26 09:05:50 1989', 'Feb 25 12:00:00 1989', 'Feb 26 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10449, 'Feb 26 09:05:51 1989', 'Feb 27 09:05:40 1989', 'Feb 26 12:00:00 1989', 'Feb 27 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10459, 'Feb 27 09:05:41 1989', 'Feb 28 09:05:30 1989', 'Feb 27 12:00:00 1989', 'Feb 28 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10469, 'Feb 28 09:05:31 1989', 'Mar 1 09:05:20 1989', 'Feb 28 12:00:00 1989', 'Mar 1 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10479, 'Mar 1 09:05:21 1989', 'Mar 2 09:05:05 1989', 'Mar 1 12:00:00 1989', 'Mar 2 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10494, 'Mar 2 09:05:06 1989', 'Mar 3 09:04:55 1989', 'Mar 2 12:00:00 1989', 'Mar 3 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10504, 'Mar 3 09:04:56 1989', 'Mar 4 09:04:40 1989', 'Mar 3 12:00:00 1989', 'Mar 4 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10519, 'Mar 4 09:04:41 1989', 'Mar 5 09:04:30 1989', 'Mar 4 12:00:00 1989', 'Mar 5 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10529, 'Mar 5 09:04:31 1989', 'Mar 6 09:04:15 1989', 'Mar 5 12:00:00 1989', 'Mar 6 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10544, 'Mar 6 09:04:16 1989', 'Mar 7 09:04:00 1989', 'Mar 6 12:00:00 1989', 'Mar 7 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10559, 'Mar 7 09:04:01 1989', 'Mar 8 09:03:45 1989', 'Mar 7 12:00:00 1989', 'Mar 8 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10574, 'Mar 8 09:03:46 1989', 'Mar 9 09:03:30 1989', 'Mar 8 12:00:00 1989', 'Mar 9 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10589, 'Mar 9 09:03:31 1989', 'Mar 10 09:03:15 1989', 'Mar 9 12:00:00 1989', 'Mar 10 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10604, 'Mar 10 09:03:16 1989', 'Mar 11 09:03:00 1989', 'Mar 10 12:00:00 1989', 'Mar 11 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10619, 'Mar 11 09:03:01 1989', 'Mar 12 09:02:45 1989', 'Mar 11 12:00:00 1989', 'Mar 12 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10634, 'Mar 12 09:02:46 1989', 'Mar 13 09:02:25 1989', 'Mar 12 12:00:00 1989', 'Mar 13 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10654, 'Mar 13 09:02:26 1989', 'Mar 14 09:02:10 1989', 'Mar 13 12:00:00 1989', 'Mar 14 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10669, 'Mar 14 09:02:11 1989', 'Mar 15 09:01:55 1989', 'Mar 14 12:00:00 1989', 'Mar 15 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10684, 'Mar 15 09:01:56 1989', 'Mar 16 09:01:35 1989', 'Mar 15 12:00:00 1989', 'Mar 16 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10704, 'Mar 16 09:01:36 1989', 'Mar 17 09:01:20 1989', 'Mar 16 12:00:00 1989', 'Mar 17 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10719, 'Mar 17 09:01:21 1989', 'Mar 18 09:01:00 1989', 'Mar 17 12:00:00 1989', 'Mar 18 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10739, 'Mar 18 09:01:01 1989', 'Mar 19 09:00:45 1989', 'Mar 18 12:00:00 1989', 'Mar 19 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10754, 'Mar 19 09:00:46 1989', 'Mar 20 09:00:25 1989', 'Mar 19 12:00:00 1989', 'Mar 20 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10774, 'Mar 20 09:00:26 1989', 'Mar 21 09:00:10 1989', 'Mar 20 12:00:00 1989', 'Mar 21 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10789, 'Mar 21 09:00:11 1989', 'Mar 22 08:59:50 1989', 'Mar 21 12:00:00 1989', 'Mar 22 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10809, 'Mar 22 08:59:51 1989', 'Mar 23 08:59:30 1989', 'Mar 22 12:00:00 1989', 'Mar 23 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10829, 'Mar 23 08:59:31 1989', 'Mar 24 08:59:15 1989', 'Mar 23 12:00:00 1989', 'Mar 24 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10844, 'Mar 24 08:59:16 1989', 'Mar 25 08:58:55 1989', 'Mar 24 12:00:00 1989', 'Mar 25 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10864, 'Mar 25 08:58:56 1989', 'Mar 26 08:58:35 1989', 'Mar 25 12:00:00 1989', 'Mar 26 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10884, 'Mar 26 08:58:36 1989', 'Mar 27 08:58:20 1989', 'Mar 26 12:00:00 1989', 'Mar 27 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10899, 'Mar 27 08:58:21 1989', 'Mar 28 08:58:00 1989', 'Mar 27 12:00:00 1989', 'Mar 28 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10919, 'Mar 28 08:58:01 1989', 'Mar 29 08:57:45 1989', 'Mar 28 12:00:00 1989', 'Mar 29 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10934, 'Mar 29 08:57:46 1989', 'Mar 30 08:57:25 1989', 'Mar 29 12:00:00 1989', 'Mar 30 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10954, 'Mar 30 08:57:26 1989', 'Mar 31 08:57:05 1989', 'Mar 30 12:00:00 1989', 'Mar 31 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10974, 'Mar 31 08:57:06 1989', 'Apr 1 08:56:50 1989', 'Mar 31 12:00:00 1989', 'Apr 1 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10989, 'Apr 1 08:56:51 1989', 'Apr 2 08:56:30 1989', 'Apr 1 12:00:00 1989', 'Apr 2 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11009, 'Apr 2 08:56:31 1989', 'Apr 3 08:56:15 1989', 'Apr 2 12:00:00 1989', 'Apr 3 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11024, 'Apr 3 08:56:16 1989', 'Apr 4 08:55:55 1989', 'Apr 3 12:00:00 1989', 'Apr 4 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11044, 'Apr 4 08:55:56 1989', 'Apr 5 08:55:40 1989', 'Apr 4 12:00:00 1989', 'Apr 5 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11059, 'Apr 5 08:55:41 1989', 'Apr 6 08:55:20 1989', 'Apr 5 12:00:00 1989', 'Apr 6 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11079, 'Apr 6 08:55:21 1989', 'Apr 7 08:55:05 1989', 'Apr 6 12:00:00 1989', 'Apr 7 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11094, 'Apr 7 08:55:06 1989', 'Apr 8 08:54:45 1989', 'Apr 7 12:00:00 1989', 'Apr 8 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11114, 'Apr 8 08:54:46 1989', 'Apr 9 08:54:30 1989', 'Apr 8 12:00:00 1989', 'Apr 9 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11129, 'Apr 9 08:54:31 1989', 'Apr 10 08:54:15 1989', 'Apr 9 12:00:00 1989', 'Apr 10 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11144, 'Apr 10 08:54:16 1989', 'Apr 11 08:54:00 1989', 'Apr 10 12:00:00 1989', 'Apr 11 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11159, 'Apr 11 08:54:01 1989', 'Apr 12 08:53:45 1989', 'Apr 11 12:00:00 1989', 'Apr 12 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11174, 'Apr 12 08:53:46 1989', 'Apr 13 08:53:30 1989', 'Apr 12 12:00:00 1989', 'Apr 13 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11189, 'Apr 13 08:53:31 1989', 'Apr 14 08:53:15 1989', 'Apr 13 12:00:00 1989', 'Apr 14 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11204, 'Apr 14 08:53:16 1989', 'Apr 15 08:53:00 1989', 'Apr 14 12:00:00 1989', 'Apr 15 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11219, 'Apr 15 08:53:01 1989', 'Apr 16 08:52:45 1989', 'Apr 15 12:00:00 1989', 'Apr 16 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11234, 'Apr 16 08:52:46 1989', 'Apr 17 08:52:30 1989', 'Apr 16 12:00:00 1989', 'Apr 17 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11249, 'Apr 17 08:52:31 1989', 'Apr 18 08:52:15 1989', 'Apr 17 12:00:00 1989', 'Apr 18 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11264, 'Apr 18 08:52:16 1989', 'Apr 19 08:52:05 1989', 'Apr 18 12:00:00 1989', 'Apr 19 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11274, 'Apr 19 08:52:06 1989', 'Apr 20 08:51:50 1989', 'Apr 19 12:00:00 1989', 'Apr 20 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11289, 'Apr 20 08:51:51 1989', 'Apr 21 08:51:40 1989', 'Apr 20 12:00:00 1989', 'Apr 21 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11299, 'Apr 21 08:51:41 1989', 'Apr 22 08:51:25 1989', 'Apr 21 12:00:00 1989', 'Apr 22 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11314, 'Apr 22 08:51:26 1989', 'Apr 23 08:51:15 1989', 'Apr 22 12:00:00 1989', 'Apr 23 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11324, 'Apr 23 08:51:16 1989', 'Apr 24 08:51:05 1989', 'Apr 23 12:00:00 1989', 'Apr 24 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11334, 'Apr 24 08:51:06 1989', 'Apr 25 08:50:55 1989', 'Apr 24 12:00:00 1989', 'Apr 25 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11344, 'Apr 25 08:50:56 1989', 'Apr 26 08:50:45 1989', 'Apr 25 12:00:00 1989', 'Apr 26 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11354, 'Apr 26 08:50:46 1989', 'Apr 27 08:50:35 1989', 'Apr 26 12:00:00 1989', 'Apr 27 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11364, 'Apr 27 08:50:36 1989', 'Apr 28 08:50:25 1989', 'Apr 27 12:00:00 1989', 'Apr 28 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11374, 'Apr 28 08:50:26 1989', 'Apr 29 08:50:15 1989', 'Apr 28 12:00:00 1989', 'Apr 29 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11384, 'Apr 29 08:50:16 1989', 'Apr 30 08:50:10 1989', 'Apr 29 12:00:00 1989', 'Apr 30 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11389, 'Apr 30 08:50:11 1989', 'May 1 08:50:00 1989', 'Apr 30 12:00:00 1989', 'May 1 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11399, 'May 1 08:50:01 1989', 'May 2 08:49:55 1989', 'May 1 12:00:00 1989', 'May 2 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11404, 'May 2 08:49:56 1989', 'May 3 08:49:45 1989', 'May 2 12:00:00 1989', 'May 3 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11414, 'May 3 08:49:46 1989', 'May 4 08:49:40 1989', 'May 3 12:00:00 1989', 'May 4 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11419, 'May 4 08:49:41 1989', 'May 5 08:49:35 1989', 'May 4 12:00:00 1989', 'May 5 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11424, 'May 5 08:49:36 1989', 'May 6 08:49:30 1989', 'May 5 12:00:00 1989', 'May 6 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11429, 'May 6 08:49:31 1989', 'May 7 08:49:25 1989', 'May 6 12:00:00 1989', 'May 7 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11434, 'May 7 08:49:26 1989', 'May 9 08:49:20 1989', 'May 7 12:00:00 1989', 'May 9 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11439, 'May 9 08:49:21 1989', 'May 11 08:49:15 1989', 'May 9 12:00:00 1989', 'May 11 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11444, 'May 11 08:49:16 1989', 'May 18 08:49:20 1989', 'May 11 12:00:00 1989', 'May 18 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11439, 'May 18 08:49:21 1989', 'May 20 08:49:25 1989', 'May 18 12:00:00 1989', 'May 20 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11434, 'May 20 08:49:26 1989', 'May 21 08:49:30 1989', 'May 20 12:00:00 1989', 'May 21 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11429, 'May 21 08:49:31 1989', 'May 23 08:49:35 1989', 'May 21 12:00:00 1989', 'May 23 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11424, 'May 23 08:49:36 1989', 'May 24 08:49:40 1989', 'May 23 12:00:00 1989', 'May 24 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11419, 'May 24 08:49:41 1989', 'May 25 08:49:50 1989', 'May 24 12:00:00 1989', 'May 25 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11409, 'May 25 08:49:51 1989', 'May 26 08:49:55 1989', 'May 25 12:00:00 1989', 'May 26 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11404, 'May 26 08:49:56 1989', 'May 27 08:50:00 1989', 'May 26 12:00:00 1989', 'May 27 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11399, 'May 27 08:50:01 1989', 'May 28 08:50:10 1989', 'May 27 12:00:00 1989', 'May 28 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11389, 'May 28 08:50:11 1989', 'May 29 08:50:15 1989', 'May 28 12:00:00 1989', 'May 29 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11384, 'May 29 08:50:16 1989', 'May 30 08:50:25 1989', 'May 29 12:00:00 1989', 'May 30 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11374, 'May 30 08:50:26 1989', 'May 31 08:50:30 1989', 'May 30 12:00:00 1989', 'May 31 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11369, 'May 31 08:50:31 1989', 'Jun 1 08:50:40 1989', 'May 31 12:00:00 1989', 'Jun 1 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11359, 'Jun 1 08:50:41 1989', 'Jun 2 08:50:50 1989', 'Jun 1 12:00:00 1989', 'Jun 2 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11349, 'Jun 2 08:50:51 1989', 'Jun 3 08:51:00 1989', 'Jun 2 12:00:00 1989', 'Jun 3 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11339, 'Jun 3 08:51:01 1989', 'Jun 4 08:51:10 1989', 'Jun 3 12:00:00 1989', 'Jun 4 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11329, 'Jun 4 08:51:11 1989', 'Jun 5 08:51:20 1989', 'Jun 4 12:00:00 1989', 'Jun 5 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11319, 'Jun 5 08:51:21 1989', 'Jun 6 08:51:30 1989', 'Jun 5 12:00:00 1989', 'Jun 6 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11309, 'Jun 6 08:51:31 1989', 'Jun 7 08:51:40 1989', 'Jun 6 12:00:00 1989', 'Jun 7 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11299, 'Jun 7 08:51:41 1989', 'Jun 8 08:51:55 1989', 'Jun 7 12:00:00 1989', 'Jun 8 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11284, 'Jun 8 08:51:56 1989', 'Jun 9 08:52:05 1989', 'Jun 8 12:00:00 1989', 'Jun 9 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11274, 'Jun 9 08:52:06 1989', 'Jun 10 08:52:15 1989', 'Jun 9 12:00:00 1989', 'Jun 10 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11264, 'Jun 10 08:52:16 1989', 'Jun 11 08:52:30 1989', 'Jun 10 12:00:00 1989', 'Jun 11 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11249, 'Jun 11 08:52:31 1989', 'Jun 12 08:52:40 1989', 'Jun 11 12:00:00 1989', 'Jun 12 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11239, 'Jun 12 08:52:41 1989', 'Jun 13 08:52:55 1989', 'Jun 12 12:00:00 1989', 'Jun 13 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 0, 11224, 'Jun 13 08:52:56 1989', 'Jun 14 08:53:05 1989', 'Jun 13 12:00:00 1989', 'Jun 14 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11214, 'Jun 14 08:53:06 1989', 'Jun 15 08:53:20 1989', 'Jun 14 12:00:00 1989', 'Jun 15 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11199, 'Jun 15 08:53:21 1989', 'Jun 16 08:53:30 1989', 'Jun 15 12:00:00 1989', 'Jun 16 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11189, 'Jun 16 08:53:31 1989', 'Jun 17 08:53:45 1989', 'Jun 16 12:00:00 1989', 'Jun 17 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11174, 'Jun 17 08:53:46 1989', 'Jun 18 08:54:00 1989', 'Jun 17 12:00:00 1989', 'Jun 18 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11159, 'Jun 18 08:54:01 1989', 'Jun 19 08:54:10 1989', 'Jun 18 12:00:00 1989', 'Jun 19 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11149, 'Jun 19 08:54:11 1989', 'Jun 20 08:54:25 1989', 'Jun 19 12:00:00 1989', 'Jun 20 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11134, 'Jun 20 08:54:26 1989', 'Jun 21 08:54:35 1989', 'Jun 20 12:00:00 1989', 'Jun 21 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11124, 'Jun 21 08:54:36 1989', 'Jun 22 08:54:50 1989', 'Jun 21 12:00:00 1989', 'Jun 22 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11109, 'Jun 22 08:54:51 1989', 'Jun 23 08:55:05 1989', 'Jun 22 12:00:00 1989', 'Jun 23 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11094, 'Jun 23 08:55:06 1989', 'Jun 24 08:55:15 1989', 'Jun 23 12:00:00 1989', 'Jun 24 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11084, 'Jun 24 08:55:16 1989', 'Jun 25 08:55:30 1989', 'Jun 24 12:00:00 1989', 'Jun 25 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11069, 'Jun 25 08:55:31 1989', 'Jun 26 08:55:40 1989', 'Jun 25 12:00:00 1989', 'Jun 26 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11059, 'Jun 26 08:55:41 1989', 'Jun 27 08:55:55 1989', 'Jun 26 12:00:00 1989', 'Jun 27 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11044, 'Jun 27 08:55:56 1989', 'Jun 28 08:56:05 1989', 'Jun 27 12:00:00 1989', 'Jun 28 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11034, 'Jun 28 08:56:06 1989', 'Jun 29 08:56:20 1989', 'Jun 28 12:00:00 1989', 'Jun 29 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11019, 'Jun 29 08:56:21 1989', 'Jun 30 08:56:30 1989', 'Jun 29 12:00:00 1989', 'Jun 30 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11009, 'Jun 30 08:56:31 1989', 'Jul 1 08:56:40 1989', 'Jun 30 12:00:00 1989', 'Jul 1 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10999, 'Jul 1 08:56:41 1989', 'Jul 2 08:56:55 1989', 'Jul 1 12:00:00 1989', 'Jul 2 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10984, 'Jul 2 08:56:56 1989', 'Jul 3 08:57:05 1989', 'Jul 2 12:00:00 1989', 'Jul 3 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10974, 'Jul 3 08:57:06 1989', 'Jul 4 08:57:15 1989', 'Jul 3 12:00:00 1989', 'Jul 4 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10964, 'Jul 4 08:57:16 1989', 'Jul 5 08:57:25 1989', 'Jul 4 12:00:00 1989', 'Jul 5 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10954, 'Jul 5 08:57:26 1989', 'Jul 6 08:57:35 1989', 'Jul 5 12:00:00 1989', 'Jul 6 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10944, 'Jul 6 08:57:36 1989', 'Jul 7 08:57:45 1989', 'Jul 6 12:00:00 1989', 'Jul 7 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10934, 'Jul 7 08:57:46 1989', 'Jul 8 08:57:55 1989', 'Jul 7 12:00:00 1989', 'Jul 8 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10924, 'Jul 8 08:57:56 1989', 'Jul 9 08:58:05 1989', 'Jul 8 12:00:00 1989', 'Jul 9 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10914, 'Jul 9 08:58:06 1989', 'Jul 10 08:58:15 1989', 'Jul 9 12:00:00 1989', 'Jul 10 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10904, 'Jul 10 08:58:16 1989', 'Jul 11 08:58:20 1989', 'Jul 10 12:00:00 1989', 'Jul 11 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10899, 'Jul 11 08:58:21 1989', 'Jul 12 08:58:30 1989', 'Jul 11 12:00:00 1989', 'Jul 12 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10889, 'Jul 12 08:58:31 1989', 'Jul 13 08:58:35 1989', 'Jul 12 12:00:00 1989', 'Jul 13 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10884, 'Jul 13 08:58:36 1989', 'Jul 14 08:58:45 1989', 'Jul 13 12:00:00 1989', 'Jul 14 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10874, 'Jul 14 08:58:46 1989', 'Jul 15 08:58:50 1989', 'Jul 14 12:00:00 1989', 'Jul 15 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10869, 'Jul 15 08:58:51 1989', 'Jul 16 08:58:55 1989', 'Jul 15 12:00:00 1989', 'Jul 16 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10864, 'Jul 16 08:58:56 1989', 'Jul 17 08:59:00 1989', 'Jul 16 12:00:00 1989', 'Jul 17 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10859, 'Jul 17 08:59:01 1989', 'Jul 18 08:59:05 1989', 'Jul 17 12:00:00 1989', 'Jul 18 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10854, 'Jul 18 08:59:06 1989', 'Jul 19 08:59:10 1989', 'Jul 18 12:00:00 1989', 'Jul 19 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10849, 'Jul 19 08:59:11 1989', 'Jul 20 08:59:15 1989', 'Jul 19 12:00:00 1989', 'Jul 20 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10844, 'Jul 20 08:59:16 1989', 'Jul 22 08:59:20 1989', 'Jul 20 12:00:00 1989', 'Jul 22 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10839, 'Jul 22 08:59:21 1989', 'Jul 24 08:59:25 1989', 'Jul 22 12:00:00 1989', 'Jul 24 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10834, 'Jul 24 08:59:26 1989', 'Jul 29 08:59:20 1989', 'Jul 24 12:00:00 1989', 'Jul 29 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10839, 'Jul 29 08:59:21 1989', 'Jul 31 08:59:15 1989', 'Jul 29 12:00:00 1989', 'Jul 31 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10844, 'Jul 31 08:59:16 1989', 'Aug 2 08:59:10 1989', 'Jul 31 12:00:00 1989', 'Aug 2 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10849, 'Aug 2 08:59:11 1989', 'Aug 3 08:59:05 1989', 'Aug 2 12:00:00 1989', 'Aug 3 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10854, 'Aug 3 08:59:06 1989', 'Aug 4 08:59:00 1989', 'Aug 3 12:00:00 1989', 'Aug 4 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10859, 'Aug 4 08:59:01 1989', 'Aug 5 08:58:55 1989', 'Aug 4 12:00:00 1989', 'Aug 5 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10864, 'Aug 5 08:58:56 1989', 'Aug 6 08:58:45 1989', 'Aug 5 12:00:00 1989', 'Aug 6 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10874, 'Aug 6 08:58:46 1989', 'Aug 7 08:58:40 1989', 'Aug 6 12:00:00 1989', 'Aug 7 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10879, 'Aug 7 08:58:41 1989', 'Aug 8 08:58:30 1989', 'Aug 7 12:00:00 1989', 'Aug 8 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10889, 'Aug 8 08:58:31 1989', 'Aug 9 08:58:25 1989', 'Aug 8 12:00:00 1989', 'Aug 9 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10894, 'Aug 9 08:58:26 1989', 'Aug 10 08:58:15 1989', 'Aug 9 12:00:00 1989', 'Aug 10 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10904, 'Aug 10 08:58:16 1989', 'Aug 11 08:58:05 1989', 'Aug 10 12:00:00 1989', 'Aug 11 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10914, 'Aug 11 08:58:06 1989', 'Aug 12 08:57:55 1989', 'Aug 11 12:00:00 1989', 'Aug 12 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10924, 'Aug 12 08:57:56 1989', 'Aug 13 08:57:45 1989', 'Aug 12 12:00:00 1989', 'Aug 13 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10934, 'Aug 13 08:57:46 1989', 'Aug 14 08:57:35 1989', 'Aug 13 12:00:00 1989', 'Aug 14 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10944, 'Aug 14 08:57:36 1989', 'Aug 15 08:57:25 1989', 'Aug 14 12:00:00 1989', 'Aug 15 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10954, 'Aug 15 08:57:26 1989', 'Aug 16 08:57:10 1989', 'Aug 15 12:00:00 1989', 'Aug 16 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10969, 'Aug 16 08:57:11 1989', 'Aug 17 08:57:00 1989', 'Aug 16 12:00:00 1989', 'Aug 17 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10979, 'Aug 17 08:57:01 1989', 'Aug 18 08:56:45 1989', 'Aug 17 12:00:00 1989', 'Aug 18 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 10994, 'Aug 18 08:56:46 1989', 'Aug 19 08:56:30 1989', 'Aug 18 12:00:00 1989', 'Aug 19 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11009, 'Aug 19 08:56:31 1989', 'Aug 20 08:56:20 1989', 'Aug 19 12:00:00 1989', 'Aug 20 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11019, 'Aug 20 08:56:21 1989', 'Aug 21 08:56:05 1989', 'Aug 20 12:00:00 1989', 'Aug 21 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11034, 'Aug 21 08:56:06 1989', 'Aug 22 08:55:50 1989', 'Aug 21 12:00:00 1989', 'Aug 22 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11049, 'Aug 22 08:55:51 1989', 'Aug 23 08:55:35 1989', 'Aug 22 12:00:00 1989', 'Aug 23 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11064, 'Aug 23 08:55:36 1989', 'Aug 24 08:55:15 1989', 'Aug 23 12:00:00 1989', 'Aug 24 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11084, 'Aug 24 08:55:16 1989', 'Aug 25 08:55:00 1989', 'Aug 24 12:00:00 1989', 'Aug 25 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11099, 'Aug 25 08:55:01 1989', 'Aug 26 08:54:45 1989', 'Aug 25 12:00:00 1989', 'Aug 26 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11114, 'Aug 26 08:54:46 1989', 'Aug 27 08:54:25 1989', 'Aug 26 12:00:00 1989', 'Aug 27 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11134, 'Aug 27 08:54:26 1989', 'Aug 28 08:54:10 1989', 'Aug 27 12:00:00 1989', 'Aug 28 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11149, 'Aug 28 08:54:11 1989', 'Aug 29 08:53:50 1989', 'Aug 28 12:00:00 1989', 'Aug 29 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11169, 'Aug 29 08:53:51 1989', 'Aug 30 08:53:35 1989', 'Aug 29 12:00:00 1989', 'Aug 30 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11184, 'Aug 30 08:53:36 1989', 'Aug 31 08:53:15 1989', 'Aug 30 12:00:00 1989', 'Aug 31 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11204, 'Aug 31 08:53:16 1989', 'Sep 1 08:52:55 1989', 'Aug 31 12:00:00 1989', 'Sep 1 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 0, 11224, 'Sep 1 08:52:56 1989', 'Sep 2 08:52:40 1989', 'Sep 1 12:00:00 1989', 'Sep 2 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11239, 'Sep 2 08:52:41 1989', 'Sep 3 08:52:20 1989', 'Sep 2 12:00:00 1989', 'Sep 3 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11259, 'Sep 3 08:52:21 1989', 'Sep 4 08:52:00 1989', 'Sep 3 12:00:00 1989', 'Sep 4 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11279, 'Sep 4 08:52:01 1989', 'Sep 5 08:51:40 1989', 'Sep 4 12:00:00 1989', 'Sep 5 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11299, 'Sep 5 08:51:41 1989', 'Sep 6 08:51:20 1989', 'Sep 5 12:00:00 1989', 'Sep 6 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11319, 'Sep 6 08:51:21 1989', 'Sep 7 08:51:00 1989', 'Sep 6 12:00:00 1989', 'Sep 7 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11339, 'Sep 7 08:51:01 1989', 'Sep 8 08:50:40 1989', 'Sep 7 12:00:00 1989', 'Sep 8 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11359, 'Sep 8 08:50:41 1989', 'Sep 9 08:50:15 1989', 'Sep 8 12:00:00 1989', 'Sep 9 11:59:34 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11384, 'Sep 9 08:50:16 1989', 'Sep 10 08:49:55 1989', 'Sep 9 12:00:00 1989', 'Sep 10 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11404, 'Sep 10 08:49:56 1989', 'Sep 11 08:49:35 1989', 'Sep 10 12:00:00 1989', 'Sep 11 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11424, 'Sep 11 08:49:36 1989', 'Sep 12 08:49:15 1989', 'Sep 11 12:00:00 1989', 'Sep 12 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11444, 'Sep 12 08:49:16 1989', 'Sep 13 08:48:55 1989', 'Sep 12 12:00:00 1989', 'Sep 13 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11464, 'Sep 13 08:48:56 1989', 'Sep 14 08:48:30 1989', 'Sep 13 12:00:00 1989', 'Sep 14 11:59:34 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11489, 'Sep 14 08:48:31 1989', 'Sep 15 08:48:10 1989', 'Sep 14 12:00:00 1989', 'Sep 15 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11509, 'Sep 15 08:48:11 1989', 'Sep 16 08:47:50 1989', 'Sep 15 12:00:00 1989', 'Sep 16 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11529, 'Sep 16 08:47:51 1989', 'Sep 17 08:47:30 1989', 'Sep 16 12:00:00 1989', 'Sep 17 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11549, 'Sep 17 08:47:31 1989', 'Sep 18 08:47:05 1989', 'Sep 17 12:00:00 1989', 'Sep 18 11:59:34 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11574, 'Sep 18 08:47:06 1989', 'Sep 19 08:46:45 1989', 'Sep 18 12:00:00 1989', 'Sep 19 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11594, 'Sep 19 08:46:46 1989', 'Sep 20 08:46:25 1989', 'Sep 19 12:00:00 1989', 'Sep 20 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11614, 'Sep 20 08:46:26 1989', 'Sep 21 08:46:05 1989', 'Sep 20 12:00:00 1989', 'Sep 21 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11634, 'Sep 21 08:46:06 1989', 'Sep 22 08:45:40 1989', 'Sep 21 12:00:00 1989', 'Sep 22 11:59:34 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11659, 'Sep 22 08:45:41 1989', 'Sep 23 08:45:20 1989', 'Sep 22 12:00:00 1989', 'Sep 23 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11679, 'Sep 23 08:45:21 1989', 'Sep 24 08:45:00 1989', 'Sep 23 12:00:00 1989', 'Sep 24 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11699, 'Sep 24 08:45:01 1989', 'Sep 25 08:44:40 1989', 'Sep 24 12:00:00 1989', 'Sep 25 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11719, 'Sep 25 08:44:41 1989', 'Sep 26 08:44:20 1989', 'Sep 25 12:00:00 1989', 'Sep 26 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11739, 'Sep 26 08:44:21 1989', 'Sep 27 08:44:00 1989', 'Sep 26 12:00:00 1989', 'Sep 27 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11759, 'Sep 27 08:44:01 1989', 'Sep 28 08:43:35 1989', 'Sep 27 12:00:00 1989', 'Sep 28 11:59:34 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11784, 'Sep 28 08:43:36 1989', 'Sep 29 08:43:15 1989', 'Sep 28 12:00:00 1989', 'Sep 29 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11804, 'Sep 29 08:43:16 1989', 'Sep 30 08:42:55 1989', 'Sep 29 12:00:00 1989', 'Sep 30 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11824, 'Sep 30 08:42:56 1989', 'Oct 1 08:42:40 1989', 'Sep 30 12:00:00 1989', 'Oct 1 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11839, 'Oct 1 08:42:41 1989', 'Oct 2 08:42:20 1989', 'Oct 1 12:00:00 1989', 'Oct 2 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11859, 'Oct 2 08:42:21 1989', 'Oct 3 08:42:00 1989', 'Oct 2 12:00:00 1989', 'Oct 3 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11879, 'Oct 3 08:42:01 1989', 'Oct 4 08:41:40 1989', 'Oct 3 12:00:00 1989', 'Oct 4 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11899, 'Oct 4 08:41:41 1989', 'Oct 5 08:41:25 1989', 'Oct 4 12:00:00 1989', 'Oct 5 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11914, 'Oct 5 08:41:26 1989', 'Oct 6 08:41:05 1989', 'Oct 5 12:00:00 1989', 'Oct 6 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11934, 'Oct 6 08:41:06 1989', 'Oct 7 08:40:45 1989', 'Oct 6 12:00:00 1989', 'Oct 7 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11954, 'Oct 7 08:40:46 1989', 'Oct 8 08:40:30 1989', 'Oct 7 12:00:00 1989', 'Oct 8 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11969, 'Oct 8 08:40:31 1989', 'Oct 9 08:40:15 1989', 'Oct 8 12:00:00 1989', 'Oct 9 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11984, 'Oct 9 08:40:16 1989', 'Oct 10 08:39:55 1989', 'Oct 9 12:00:00 1989', 'Oct 10 11:59:39 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12004, 'Oct 10 08:39:56 1989', 'Oct 11 08:39:40 1989', 'Oct 10 12:00:00 1989', 'Oct 11 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12019, 'Oct 11 08:39:41 1989', 'Oct 12 08:39:25 1989', 'Oct 11 12:00:00 1989', 'Oct 12 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12034, 'Oct 12 08:39:26 1989', 'Oct 13 08:39:10 1989', 'Oct 12 12:00:00 1989', 'Oct 13 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12049, 'Oct 13 08:39:11 1989', 'Oct 14 08:38:55 1989', 'Oct 13 12:00:00 1989', 'Oct 14 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12064, 'Oct 14 08:38:56 1989', 'Oct 15 08:38:45 1989', 'Oct 14 12:00:00 1989', 'Oct 15 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12074, 'Oct 15 08:38:46 1989', 'Oct 16 08:38:30 1989', 'Oct 15 12:00:00 1989', 'Oct 16 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12089, 'Oct 16 08:38:31 1989', 'Oct 17 08:38:15 1989', 'Oct 16 12:00:00 1989', 'Oct 17 11:59:44 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12104, 'Oct 17 08:38:16 1989', 'Oct 18 08:38:05 1989', 'Oct 17 12:00:00 1989', 'Oct 18 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12114, 'Oct 18 08:38:06 1989', 'Oct 19 08:37:55 1989', 'Oct 18 12:00:00 1989', 'Oct 19 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12124, 'Oct 19 08:37:56 1989', 'Oct 20 08:37:45 1989', 'Oct 19 12:00:00 1989', 'Oct 20 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12134, 'Oct 20 08:37:46 1989', 'Oct 21 08:37:35 1989', 'Oct 20 12:00:00 1989', 'Oct 21 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12144, 'Oct 21 08:37:36 1989', 'Oct 22 08:37:25 1989', 'Oct 21 12:00:00 1989', 'Oct 22 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12154, 'Oct 22 08:37:26 1989', 'Oct 23 08:37:15 1989', 'Oct 22 12:00:00 1989', 'Oct 23 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12164, 'Oct 23 08:37:16 1989', 'Oct 24 08:37:05 1989', 'Oct 23 12:00:00 1989', 'Oct 24 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12174, 'Oct 24 08:37:06 1989', 'Oct 25 08:37:00 1989', 'Oct 24 12:00:00 1989', 'Oct 25 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12179, 'Oct 25 08:37:01 1989', 'Oct 26 08:36:55 1989', 'Oct 25 12:00:00 1989', 'Oct 26 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12184, 'Oct 26 08:36:56 1989', 'Oct 27 08:36:45 1989', 'Oct 26 12:00:00 1989', 'Oct 27 11:59:49 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12194, 'Oct 27 08:36:46 1989', 'Oct 28 08:36:40 1989', 'Oct 27 12:00:00 1989', 'Oct 28 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12199, 'Oct 28 08:36:41 1989', 'Oct 29 08:36:35 1989', 'Oct 28 12:00:00 1989', 'Oct 29 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12204, 'Oct 29 08:36:36 1989', 'Oct 31 08:36:30 1989', 'Oct 29 12:00:00 1989', 'Oct 31 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12209, 'Oct 31 08:36:31 1989', 'Nov 3 08:36:25 1989', 'Oct 31 12:00:00 1989', 'Nov 3 11:59:54 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12214, 'Nov 3 08:36:26 1989', 'Nov 4 08:36:30 1989', 'Nov 3 12:00:00 1989', 'Nov 4 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12209, 'Nov 4 08:36:31 1989', 'Nov 7 08:36:35 1989', 'Nov 4 12:00:00 1989', 'Nov 7 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12204, 'Nov 7 08:36:36 1989', 'Nov 8 08:36:40 1989', 'Nov 7 12:00:00 1989', 'Nov 8 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12199, 'Nov 8 08:36:41 1989', 'Nov 9 08:36:45 1989', 'Nov 8 12:00:00 1989', 'Nov 9 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12194, 'Nov 9 08:36:46 1989', 'Nov 10 08:36:50 1989', 'Nov 9 12:00:00 1989', 'Nov 10 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12189, 'Nov 10 08:36:51 1989', 'Nov 11 08:36:55 1989', 'Nov 10 12:00:00 1989', 'Nov 11 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12184, 'Nov 11 08:36:56 1989', 'Nov 12 08:37:00 1989', 'Nov 11 12:00:00 1989', 'Nov 12 12:00:04 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12179, 'Nov 12 08:37:01 1989', 'Nov 13 08:37:10 1989', 'Nov 12 12:00:00 1989', 'Nov 13 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12169, 'Nov 13 08:37:11 1989', 'Nov 14 08:37:20 1989', 'Nov 13 12:00:00 1989', 'Nov 14 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12159, 'Nov 14 08:37:21 1989', 'Nov 15 08:37:30 1989', 'Nov 14 12:00:00 1989', 'Nov 15 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12149, 'Nov 15 08:37:31 1989', 'Nov 16 08:37:40 1989', 'Nov 15 12:00:00 1989', 'Nov 16 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12139, 'Nov 16 08:37:41 1989', 'Nov 17 08:37:50 1989', 'Nov 16 12:00:00 1989', 'Nov 17 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12129, 'Nov 17 08:37:51 1989', 'Nov 18 08:38:05 1989', 'Nov 17 12:00:00 1989', 'Nov 18 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12114, 'Nov 18 08:38:06 1989', 'Nov 19 08:38:15 1989', 'Nov 18 12:00:00 1989', 'Nov 19 12:00:09 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12104, 'Nov 19 08:38:16 1989', 'Nov 20 08:38:30 1989', 'Nov 19 12:00:00 1989', 'Nov 20 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12089, 'Nov 20 08:38:31 1989', 'Nov 21 08:38:45 1989', 'Nov 20 12:00:00 1989', 'Nov 21 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12074, 'Nov 21 08:38:46 1989', 'Nov 22 08:39:00 1989', 'Nov 21 12:00:00 1989', 'Nov 22 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12059, 'Nov 22 08:39:01 1989', 'Nov 23 08:39:20 1989', 'Nov 22 12:00:00 1989', 'Nov 23 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12039, 'Nov 23 08:39:21 1989', 'Nov 24 08:39:35 1989', 'Nov 23 12:00:00 1989', 'Nov 24 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12024, 'Nov 24 08:39:36 1989', 'Nov 25 08:39:55 1989', 'Nov 24 12:00:00 1989', 'Nov 25 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 12004, 'Nov 25 08:39:56 1989', 'Nov 26 08:40:15 1989', 'Nov 25 12:00:00 1989', 'Nov 26 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11984, 'Nov 26 08:40:16 1989', 'Nov 27 08:40:30 1989', 'Nov 26 12:00:00 1989', 'Nov 27 12:00:14 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11969, 'Nov 27 08:40:31 1989', 'Nov 28 08:40:50 1989', 'Nov 27 12:00:00 1989', 'Nov 28 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11949, 'Nov 28 08:40:51 1989', 'Nov 29 08:41:15 1989', 'Nov 28 12:00:00 1989', 'Nov 29 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11924, 'Nov 29 08:41:16 1989', 'Nov 30 08:41:35 1989', 'Nov 29 12:00:00 1989', 'Nov 30 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11904, 'Nov 30 08:41:36 1989', 'Dec 1 08:41:55 1989', 'Nov 30 12:00:00 1989', 'Dec 1 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11884, 'Dec 1 08:41:56 1989', 'Dec 2 08:42:20 1989', 'Dec 1 12:00:00 1989', 'Dec 2 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11859, 'Dec 2 08:42:21 1989', 'Dec 3 08:42:45 1989', 'Dec 2 12:00:00 1989', 'Dec 3 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11834, 'Dec 3 08:42:46 1989', 'Dec 4 08:43:10 1989', 'Dec 3 12:00:00 1989', 'Dec 4 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11809, 'Dec 4 08:43:11 1989', 'Dec 5 08:43:30 1989', 'Dec 4 12:00:00 1989', 'Dec 5 12:00:19 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11789, 'Dec 5 08:43:31 1989', 'Dec 6 08:43:55 1989', 'Dec 5 12:00:00 1989', 'Dec 6 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11764, 'Dec 6 08:43:56 1989', 'Dec 7 08:44:25 1989', 'Dec 6 12:00:00 1989', 'Dec 7 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11734, 'Dec 7 08:44:26 1989', 'Dec 8 08:44:50 1989', 'Dec 7 12:00:00 1989', 'Dec 8 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11709, 'Dec 8 08:44:51 1989', 'Dec 9 08:45:15 1989', 'Dec 8 12:00:00 1989', 'Dec 9 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11684, 'Dec 9 08:45:16 1989', 'Dec 10 08:45:45 1989', 'Dec 9 12:00:00 1989', 'Dec 10 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11654, 'Dec 10 08:45:46 1989', 'Dec 11 08:46:10 1989', 'Dec 10 12:00:00 1989', 'Dec 11 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11629, 'Dec 11 08:46:11 1989', 'Dec 12 08:46:40 1989', 'Dec 11 12:00:00 1989', 'Dec 12 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11599, 'Dec 12 08:46:41 1989', 'Dec 13 08:47:05 1989', 'Dec 12 12:00:00 1989', 'Dec 13 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11574, 'Dec 13 08:47:06 1989', 'Dec 14 08:47:35 1989', 'Dec 13 12:00:00 1989', 'Dec 14 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11544, 'Dec 14 08:47:36 1989', 'Dec 15 08:48:05 1989', 'Dec 14 12:00:00 1989', 'Dec 15 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11514, 'Dec 15 08:48:06 1989', 'Dec 16 08:48:35 1989', 'Dec 15 12:00:00 1989', 'Dec 16 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11484, 'Dec 16 08:48:36 1989', 'Dec 17 08:49:00 1989', 'Dec 16 12:00:00 1989', 'Dec 17 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11459, 'Dec 17 08:49:01 1989', 'Dec 18 08:49:30 1989', 'Dec 17 12:00:00 1989', 'Dec 18 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11429, 'Dec 18 08:49:31 1989', 'Dec 19 08:50:00 1989', 'Dec 18 12:00:00 1989', 'Dec 19 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11399, 'Dec 19 08:50:01 1989', 'Dec 20 08:50:30 1989', 'Dec 19 12:00:00 1989', 'Dec 20 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11369, 'Dec 20 08:50:31 1989', 'Dec 21 08:51:00 1989', 'Dec 20 12:00:00 1989', 'Dec 21 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11339, 'Dec 21 08:51:01 1989', 'Dec 22 08:51:30 1989', 'Dec 21 12:00:00 1989', 'Dec 22 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11309, 'Dec 22 08:51:31 1989', 'Dec 23 08:52:00 1989', 'Dec 22 12:00:00 1989', 'Dec 23 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11279, 'Dec 23 08:52:01 1989', 'Dec 24 08:52:30 1989', 'Dec 23 12:00:00 1989', 'Dec 24 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11249, 'Dec 24 08:52:31 1989', 'Dec 25 08:53:00 1989', 'Dec 24 12:00:00 1989', 'Dec 25 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11219, 'Dec 25 08:53:01 1989', 'Dec 26 08:53:30 1989', 'Dec 25 12:00:00 1989', 'Dec 26 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11189, 'Dec 26 08:53:31 1989', 'Dec 27 08:54:00 1989', 'Dec 26 12:00:00 1989', 'Dec 27 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11159, 'Dec 27 08:54:01 1989', 'Dec 28 08:54:30 1989', 'Dec 27 12:00:00 1989', 'Dec 28 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11129, 'Dec 28 08:54:31 1989', 'Dec 29 08:54:55 1989', 'Dec 28 12:00:00 1989', 'Dec 29 12:00:24 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11104, 'Dec 29 08:54:56 1989', 'Dec 30 08:55:25 1989', 'Dec 29 12:00:00 1989', 'Dec 30 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11074, 'Dec 30 08:55:26 1989', 'Dec 31 08:55:55 1989', 'Dec 30 12:00:00 1989', 'Dec 31 12:00:29 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 1, 11044, 'Dec 31 08:55:56 1989', 'Dec 31 20:55:55 1989', 'Dec 31 12:00:00 1989', 'Dec 31 23:59:59 1989');
timezone.add_rule('Mideast/Riyadh89', '??', 0, 11224, 'Dec 31 20:55:56 1989', 'Jan 18 03:14:07 2038', 'Jan 1 00:03:00 1990', 'Jan 18 06:21:11 2038');
end;
/

--
-- NZ
--

begin
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Dec 14 20:45:52 1901', 'Nov 25 14:29:59 1927', 'Dec 15 08:15:52 1901', 'Nov 26 01:59:59 1927');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Nov 25 14:30:00 1927', 'Mar 3 13:59:59 1928', 'Nov 26 02:30:00 1927', 'Mar 4 01:59:59 1928');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Mar 3 14:00:00 1928', 'Nov 3 14:29:59 1928', 'Mar 4 01:30:00 1928', 'Nov 4 01:59:59 1928');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Nov 3 14:30:00 1928', 'Mar 2 13:59:59 1929', 'Nov 4 02:30:00 1928', 'Mar 3 01:59:59 1929');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Mar 2 14:00:00 1929', 'Oct 29 14:29:59 1929', 'Mar 3 01:30:00 1929', 'Oct 30 01:59:59 1929');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Oct 29 14:30:00 1929', 'Mar 15 13:59:59 1930', 'Oct 30 02:30:00 1929', 'Mar 16 01:59:59 1930');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Mar 15 14:00:00 1930', 'Oct 11 14:29:59 1930', 'Mar 16 01:30:00 1930', 'Oct 12 01:59:59 1930');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Oct 11 14:30:00 1930', 'Mar 14 13:59:59 1931', 'Oct 12 02:30:00 1930', 'Mar 15 01:59:59 1931');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Mar 14 14:00:00 1931', 'Oct 10 14:29:59 1931', 'Mar 15 01:30:00 1931', 'Oct 11 01:59:59 1931');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Oct 10 14:30:00 1931', 'Mar 19 13:59:59 1932', 'Oct 11 02:30:00 1931', 'Mar 20 01:59:59 1932');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Mar 19 14:00:00 1932', 'Oct 8 14:29:59 1932', 'Mar 20 01:30:00 1932', 'Oct 9 01:59:59 1932');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Oct 8 14:30:00 1932', 'Mar 18 13:59:59 1933', 'Oct 9 02:30:00 1932', 'Mar 19 01:59:59 1933');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Mar 18 14:00:00 1933', 'Oct 7 14:29:59 1933', 'Mar 19 01:30:00 1933', 'Oct 8 01:59:59 1933');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Oct 7 14:30:00 1933', 'Apr 28 13:59:59 1934', 'Oct 8 02:30:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Apr 28 14:00:00 1934', 'Sep 29 14:29:59 1934', 'Apr 29 01:30:00 1934', 'Sep 30 01:59:59 1934');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Sep 29 14:30:00 1934', 'Apr 27 13:59:59 1935', 'Sep 30 02:30:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Apr 27 14:00:00 1935', 'Sep 28 14:29:59 1935', 'Apr 28 01:30:00 1935', 'Sep 29 01:59:59 1935');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Sep 28 14:30:00 1935', 'Apr 25 13:59:59 1936', 'Sep 29 02:30:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Apr 25 14:00:00 1936', 'Sep 26 14:29:59 1936', 'Apr 26 01:30:00 1936', 'Sep 27 01:59:59 1936');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Sep 26 14:30:00 1936', 'Apr 24 13:59:59 1937', 'Sep 27 02:30:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Apr 24 14:00:00 1937', 'Sep 25 14:29:59 1937', 'Apr 25 01:30:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Sep 25 14:30:00 1937', 'Apr 23 13:59:59 1938', 'Sep 26 02:30:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Apr 23 14:00:00 1938', 'Sep 24 14:29:59 1938', 'Apr 24 01:30:00 1938', 'Sep 25 01:59:59 1938');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Sep 24 14:30:00 1938', 'Apr 29 13:59:59 1939', 'Sep 25 02:30:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Apr 29 14:00:00 1939', 'Sep 23 14:29:59 1939', 'Apr 30 01:30:00 1939', 'Sep 24 01:59:59 1939');
timezone.add_rule('NZ', 'NZDT', 1, 43200, 'Sep 23 14:30:00 1939', 'Apr 27 13:59:59 1940', 'Sep 24 02:30:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('NZ', 'NZST', 0, 41400, 'Apr 27 14:00:00 1940', 'Sep 28 14:29:59 1940', 'Apr 28 01:30:00 1940', 'Sep 29 01:59:59 1940');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Sep 28 14:30:00 1940', 'Nov 2 13:59:59 1974', 'Sep 29 02:30:00 1940', 'Nov 3 01:59:59 1974');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Nov 2 14:00:00 1974', 'Feb 22 13:59:59 1975', 'Nov 3 03:00:00 1974', 'Feb 23 02:59:59 1975');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Feb 22 14:00:00 1975', 'Oct 25 13:59:59 1975', 'Feb 23 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1975', 'Mar 6 13:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 6 14:00:00 1976', 'Oct 30 13:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 30 14:00:00 1976', 'Mar 5 13:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 5 14:00:00 1977', 'Oct 29 13:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1977', 'Mar 4 13:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 4 14:00:00 1978', 'Oct 28 13:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 28 14:00:00 1978', 'Mar 3 13:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 3 14:00:00 1979', 'Oct 27 13:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 27 14:00:00 1979', 'Mar 1 13:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 1 14:00:00 1980', 'Oct 25 13:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1980', 'Feb 28 13:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Feb 28 14:00:00 1981', 'Oct 24 13:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 24 14:00:00 1981', 'Mar 6 13:59:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 6 14:00:00 1982', 'Oct 30 13:59:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 30 14:00:00 1982', 'Mar 5 13:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 5 14:00:00 1983', 'Oct 29 13:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1983', 'Mar 3 13:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 3 14:00:00 1984', 'Oct 27 13:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 27 14:00:00 1984', 'Mar 2 13:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 2 14:00:00 1985', 'Oct 26 13:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 26 14:00:00 1985', 'Mar 1 13:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 2 02:59:59 1986');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 1 14:00:00 1986', 'Oct 25 13:59:59 1986', 'Mar 2 02:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1986', 'Feb 28 13:59:59 1987', 'Oct 26 03:00:00 1986', 'Mar 1 02:59:59 1987');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Feb 28 14:00:00 1987', 'Oct 24 13:59:59 1987', 'Mar 1 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 24 14:00:00 1987', 'Mar 5 13:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 6 02:59:59 1988');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 5 14:00:00 1988', 'Oct 29 13:59:59 1988', 'Mar 6 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1988', 'Mar 4 13:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 5 02:59:59 1989');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 4 14:00:00 1989', 'Oct 7 13:59:59 1989', 'Mar 5 02:00:00 1989', 'Oct 8 01:59:59 1989');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 7 14:00:00 1989', 'Mar 17 13:59:59 1990', 'Oct 8 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 17 14:00:00 1990', 'Oct 6 13:59:59 1990', 'Mar 18 02:00:00 1990', 'Oct 7 01:59:59 1990');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 6 14:00:00 1990', 'Mar 16 13:59:59 1991', 'Oct 7 03:00:00 1990', 'Mar 17 02:59:59 1991');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 16 14:00:00 1991', 'Oct 5 13:59:59 1991', 'Mar 17 02:00:00 1991', 'Oct 6 01:59:59 1991');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 5 14:00:00 1991', 'Mar 14 13:59:59 1992', 'Oct 6 03:00:00 1991', 'Mar 15 02:59:59 1992');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 14 14:00:00 1992', 'Oct 3 13:59:59 1992', 'Mar 15 02:00:00 1992', 'Oct 4 01:59:59 1992');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 3 14:00:00 1992', 'Mar 20 13:59:59 1993', 'Oct 4 03:00:00 1992', 'Mar 21 02:59:59 1993');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 20 14:00:00 1993', 'Oct 2 13:59:59 1993', 'Mar 21 02:00:00 1993', 'Oct 3 01:59:59 1993');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 2 14:00:00 1993', 'Mar 19 13:59:59 1994', 'Oct 3 03:00:00 1993', 'Mar 20 02:59:59 1994');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 19 14:00:00 1994', 'Oct 1 13:59:59 1994', 'Mar 20 02:00:00 1994', 'Oct 2 01:59:59 1994');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 1 14:00:00 1994', 'Mar 18 13:59:59 1995', 'Oct 2 03:00:00 1994', 'Mar 19 02:59:59 1995');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 18 14:00:00 1995', 'Sep 30 13:59:59 1995', 'Mar 19 02:00:00 1995', 'Oct 1 01:59:59 1995');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Sep 30 14:00:00 1995', 'Mar 16 13:59:59 1996', 'Oct 1 03:00:00 1995', 'Mar 17 02:59:59 1996');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 16 14:00:00 1996', 'Oct 5 13:59:59 1996', 'Mar 17 02:00:00 1996', 'Oct 6 01:59:59 1996');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 5 14:00:00 1996', 'Mar 15 13:59:59 1997', 'Oct 6 03:00:00 1996', 'Mar 16 02:59:59 1997');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 15 14:00:00 1997', 'Oct 4 13:59:59 1997', 'Mar 16 02:00:00 1997', 'Oct 5 01:59:59 1997');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 4 14:00:00 1997', 'Mar 14 13:59:59 1998', 'Oct 5 03:00:00 1997', 'Mar 15 02:59:59 1998');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 14 14:00:00 1998', 'Oct 3 13:59:59 1998', 'Mar 15 02:00:00 1998', 'Oct 4 01:59:59 1998');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 3 14:00:00 1998', 'Mar 20 13:59:59 1999', 'Oct 4 03:00:00 1998', 'Mar 21 02:59:59 1999');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 20 14:00:00 1999', 'Oct 2 13:59:59 1999', 'Mar 21 02:00:00 1999', 'Oct 3 01:59:59 1999');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 2 14:00:00 1999', 'Mar 18 13:59:59 2000', 'Oct 3 03:00:00 1999', 'Mar 19 02:59:59 2000');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 18 14:00:00 2000', 'Sep 30 13:59:59 2000', 'Mar 19 02:00:00 2000', 'Oct 1 01:59:59 2000');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2000', 'Mar 17 13:59:59 2001', 'Oct 1 03:00:00 2000', 'Mar 18 02:59:59 2001');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 17 14:00:00 2001', 'Oct 6 13:59:59 2001', 'Mar 18 02:00:00 2001', 'Oct 7 01:59:59 2001');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2001', 'Mar 16 13:59:59 2002', 'Oct 7 03:00:00 2001', 'Mar 17 02:59:59 2002');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 16 14:00:00 2002', 'Oct 5 13:59:59 2002', 'Mar 17 02:00:00 2002', 'Oct 6 01:59:59 2002');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2002', 'Mar 15 13:59:59 2003', 'Oct 6 03:00:00 2002', 'Mar 16 02:59:59 2003');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 15 14:00:00 2003', 'Oct 4 13:59:59 2003', 'Mar 16 02:00:00 2003', 'Oct 5 01:59:59 2003');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2003', 'Mar 20 13:59:59 2004', 'Oct 5 03:00:00 2003', 'Mar 21 02:59:59 2004');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 20 14:00:00 2004', 'Oct 2 13:59:59 2004', 'Mar 21 02:00:00 2004', 'Oct 3 01:59:59 2004');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2004', 'Mar 19 13:59:59 2005', 'Oct 3 03:00:00 2004', 'Mar 20 02:59:59 2005');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 19 14:00:00 2005', 'Oct 1 13:59:59 2005', 'Mar 20 02:00:00 2005', 'Oct 2 01:59:59 2005');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2005', 'Mar 18 13:59:59 2006', 'Oct 2 03:00:00 2005', 'Mar 19 02:59:59 2006');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 18 14:00:00 2006', 'Sep 30 13:59:59 2006', 'Mar 19 02:00:00 2006', 'Oct 1 01:59:59 2006');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2006', 'Mar 17 13:59:59 2007', 'Oct 1 03:00:00 2006', 'Mar 18 02:59:59 2007');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 17 14:00:00 2007', 'Oct 6 13:59:59 2007', 'Mar 18 02:00:00 2007', 'Oct 7 01:59:59 2007');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2007', 'Mar 15 13:59:59 2008', 'Oct 7 03:00:00 2007', 'Mar 16 02:59:59 2008');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 15 14:00:00 2008', 'Oct 4 13:59:59 2008', 'Mar 16 02:00:00 2008', 'Oct 5 01:59:59 2008');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2008', 'Mar 14 13:59:59 2009', 'Oct 5 03:00:00 2008', 'Mar 15 02:59:59 2009');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 14 14:00:00 2009', 'Oct 3 13:59:59 2009', 'Mar 15 02:00:00 2009', 'Oct 4 01:59:59 2009');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2009', 'Mar 20 13:59:59 2010', 'Oct 4 03:00:00 2009', 'Mar 21 02:59:59 2010');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 20 14:00:00 2010', 'Oct 2 13:59:59 2010', 'Mar 21 02:00:00 2010', 'Oct 3 01:59:59 2010');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2010', 'Mar 19 13:59:59 2011', 'Oct 3 03:00:00 2010', 'Mar 20 02:59:59 2011');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 19 14:00:00 2011', 'Oct 1 13:59:59 2011', 'Mar 20 02:00:00 2011', 'Oct 2 01:59:59 2011');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2011', 'Mar 17 13:59:59 2012', 'Oct 2 03:00:00 2011', 'Mar 18 02:59:59 2012');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 17 14:00:00 2012', 'Oct 6 13:59:59 2012', 'Mar 18 02:00:00 2012', 'Oct 7 01:59:59 2012');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2012', 'Mar 16 13:59:59 2013', 'Oct 7 03:00:00 2012', 'Mar 17 02:59:59 2013');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 16 14:00:00 2013', 'Oct 5 13:59:59 2013', 'Mar 17 02:00:00 2013', 'Oct 6 01:59:59 2013');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2013', 'Mar 15 13:59:59 2014', 'Oct 6 03:00:00 2013', 'Mar 16 02:59:59 2014');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 15 14:00:00 2014', 'Oct 4 13:59:59 2014', 'Mar 16 02:00:00 2014', 'Oct 5 01:59:59 2014');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2014', 'Mar 14 13:59:59 2015', 'Oct 5 03:00:00 2014', 'Mar 15 02:59:59 2015');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 14 14:00:00 2015', 'Oct 3 13:59:59 2015', 'Mar 15 02:00:00 2015', 'Oct 4 01:59:59 2015');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2015', 'Mar 19 13:59:59 2016', 'Oct 4 03:00:00 2015', 'Mar 20 02:59:59 2016');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 19 14:00:00 2016', 'Oct 1 13:59:59 2016', 'Mar 20 02:00:00 2016', 'Oct 2 01:59:59 2016');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2016', 'Mar 18 13:59:59 2017', 'Oct 2 03:00:00 2016', 'Mar 19 02:59:59 2017');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 18 14:00:00 2017', 'Sep 30 13:59:59 2017', 'Mar 19 02:00:00 2017', 'Oct 1 01:59:59 2017');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2017', 'Mar 17 13:59:59 2018', 'Oct 1 03:00:00 2017', 'Mar 18 02:59:59 2018');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 17 14:00:00 2018', 'Oct 6 13:59:59 2018', 'Mar 18 02:00:00 2018', 'Oct 7 01:59:59 2018');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2018', 'Mar 16 13:59:59 2019', 'Oct 7 03:00:00 2018', 'Mar 17 02:59:59 2019');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 16 14:00:00 2019', 'Oct 5 13:59:59 2019', 'Mar 17 02:00:00 2019', 'Oct 6 01:59:59 2019');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2019', 'Mar 14 13:59:59 2020', 'Oct 6 03:00:00 2019', 'Mar 15 02:59:59 2020');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 14 14:00:00 2020', 'Oct 3 13:59:59 2020', 'Mar 15 02:00:00 2020', 'Oct 4 01:59:59 2020');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2020', 'Mar 20 13:59:59 2021', 'Oct 4 03:00:00 2020', 'Mar 21 02:59:59 2021');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 20 14:00:00 2021', 'Oct 2 13:59:59 2021', 'Mar 21 02:00:00 2021', 'Oct 3 01:59:59 2021');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2021', 'Mar 19 13:59:59 2022', 'Oct 3 03:00:00 2021', 'Mar 20 02:59:59 2022');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 19 14:00:00 2022', 'Oct 1 13:59:59 2022', 'Mar 20 02:00:00 2022', 'Oct 2 01:59:59 2022');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2022', 'Mar 18 13:59:59 2023', 'Oct 2 03:00:00 2022', 'Mar 19 02:59:59 2023');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 18 14:00:00 2023', 'Sep 30 13:59:59 2023', 'Mar 19 02:00:00 2023', 'Oct 1 01:59:59 2023');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2023', 'Mar 16 13:59:59 2024', 'Oct 1 03:00:00 2023', 'Mar 17 02:59:59 2024');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 16 14:00:00 2024', 'Oct 5 13:59:59 2024', 'Mar 17 02:00:00 2024', 'Oct 6 01:59:59 2024');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2024', 'Mar 15 13:59:59 2025', 'Oct 6 03:00:00 2024', 'Mar 16 02:59:59 2025');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 15 14:00:00 2025', 'Oct 4 13:59:59 2025', 'Mar 16 02:00:00 2025', 'Oct 5 01:59:59 2025');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2025', 'Mar 14 13:59:59 2026', 'Oct 5 03:00:00 2025', 'Mar 15 02:59:59 2026');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 14 14:00:00 2026', 'Oct 3 13:59:59 2026', 'Mar 15 02:00:00 2026', 'Oct 4 01:59:59 2026');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2026', 'Mar 20 13:59:59 2027', 'Oct 4 03:00:00 2026', 'Mar 21 02:59:59 2027');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 20 14:00:00 2027', 'Oct 2 13:59:59 2027', 'Mar 21 02:00:00 2027', 'Oct 3 01:59:59 2027');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2027', 'Mar 18 13:59:59 2028', 'Oct 3 03:00:00 2027', 'Mar 19 02:59:59 2028');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 18 14:00:00 2028', 'Sep 30 13:59:59 2028', 'Mar 19 02:00:00 2028', 'Oct 1 01:59:59 2028');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2028', 'Mar 17 13:59:59 2029', 'Oct 1 03:00:00 2028', 'Mar 18 02:59:59 2029');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 17 14:00:00 2029', 'Oct 6 13:59:59 2029', 'Mar 18 02:00:00 2029', 'Oct 7 01:59:59 2029');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2029', 'Mar 16 13:59:59 2030', 'Oct 7 03:00:00 2029', 'Mar 17 02:59:59 2030');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 16 14:00:00 2030', 'Oct 5 13:59:59 2030', 'Mar 17 02:00:00 2030', 'Oct 6 01:59:59 2030');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2030', 'Mar 15 13:59:59 2031', 'Oct 6 03:00:00 2030', 'Mar 16 02:59:59 2031');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 15 14:00:00 2031', 'Oct 4 13:59:59 2031', 'Mar 16 02:00:00 2031', 'Oct 5 01:59:59 2031');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2031', 'Mar 20 13:59:59 2032', 'Oct 5 03:00:00 2031', 'Mar 21 02:59:59 2032');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 20 14:00:00 2032', 'Oct 2 13:59:59 2032', 'Mar 21 02:00:00 2032', 'Oct 3 01:59:59 2032');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2032', 'Mar 19 13:59:59 2033', 'Oct 3 03:00:00 2032', 'Mar 20 02:59:59 2033');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 19 14:00:00 2033', 'Oct 1 13:59:59 2033', 'Mar 20 02:00:00 2033', 'Oct 2 01:59:59 2033');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2033', 'Mar 18 13:59:59 2034', 'Oct 2 03:00:00 2033', 'Mar 19 02:59:59 2034');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 18 14:00:00 2034', 'Sep 30 13:59:59 2034', 'Mar 19 02:00:00 2034', 'Oct 1 01:59:59 2034');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2034', 'Mar 17 13:59:59 2035', 'Oct 1 03:00:00 2034', 'Mar 18 02:59:59 2035');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 17 14:00:00 2035', 'Oct 6 13:59:59 2035', 'Mar 18 02:00:00 2035', 'Oct 7 01:59:59 2035');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2035', 'Mar 15 13:59:59 2036', 'Oct 7 03:00:00 2035', 'Mar 16 02:59:59 2036');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 15 14:00:00 2036', 'Oct 4 13:59:59 2036', 'Mar 16 02:00:00 2036', 'Oct 5 01:59:59 2036');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2036', 'Mar 14 13:59:59 2037', 'Oct 5 03:00:00 2036', 'Mar 15 02:59:59 2037');
timezone.add_rule('NZ', 'NZST', 0, 43200, 'Mar 14 14:00:00 2037', 'Oct 3 13:59:59 2037', 'Mar 15 02:00:00 2037', 'Oct 4 01:59:59 2037');
timezone.add_rule('NZ', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 4 03:00:00 2037', 'Jan 18 16:14:07 2038');
end;
/

--
-- NZ-CHAT
--

begin
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Dec 14 20:45:52 1901', 'Oct 6 13:59:59 1990', 'Dec 15 09:30:52 1901', 'Oct 7 02:44:59 1990');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 6 14:00:00 1990', 'Mar 16 13:59:59 1991', 'Oct 7 03:45:00 1990', 'Mar 17 03:44:59 1991');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 16 14:00:00 1991', 'Oct 5 13:59:59 1991', 'Mar 17 02:45:00 1991', 'Oct 6 02:44:59 1991');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 5 14:00:00 1991', 'Mar 14 13:59:59 1992', 'Oct 6 03:45:00 1991', 'Mar 15 03:44:59 1992');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 14 14:00:00 1992', 'Oct 3 13:59:59 1992', 'Mar 15 02:45:00 1992', 'Oct 4 02:44:59 1992');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 3 14:00:00 1992', 'Mar 20 13:59:59 1993', 'Oct 4 03:45:00 1992', 'Mar 21 03:44:59 1993');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 20 14:00:00 1993', 'Oct 2 13:59:59 1993', 'Mar 21 02:45:00 1993', 'Oct 3 02:44:59 1993');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 2 14:00:00 1993', 'Mar 19 13:59:59 1994', 'Oct 3 03:45:00 1993', 'Mar 20 03:44:59 1994');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 19 14:00:00 1994', 'Oct 1 13:59:59 1994', 'Mar 20 02:45:00 1994', 'Oct 2 02:44:59 1994');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 1 14:00:00 1994', 'Mar 18 13:59:59 1995', 'Oct 2 03:45:00 1994', 'Mar 19 03:44:59 1995');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 18 14:00:00 1995', 'Sep 30 13:59:59 1995', 'Mar 19 02:45:00 1995', 'Oct 1 02:44:59 1995');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Sep 30 14:00:00 1995', 'Mar 16 13:59:59 1996', 'Oct 1 03:45:00 1995', 'Mar 17 03:44:59 1996');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 16 14:00:00 1996', 'Oct 5 13:59:59 1996', 'Mar 17 02:45:00 1996', 'Oct 6 02:44:59 1996');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 5 14:00:00 1996', 'Mar 15 13:59:59 1997', 'Oct 6 03:45:00 1996', 'Mar 16 03:44:59 1997');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 15 14:00:00 1997', 'Oct 4 13:59:59 1997', 'Mar 16 02:45:00 1997', 'Oct 5 02:44:59 1997');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 4 14:00:00 1997', 'Mar 14 13:59:59 1998', 'Oct 5 03:45:00 1997', 'Mar 15 03:44:59 1998');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 14 14:00:00 1998', 'Oct 3 13:59:59 1998', 'Mar 15 02:45:00 1998', 'Oct 4 02:44:59 1998');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 3 14:00:00 1998', 'Mar 20 13:59:59 1999', 'Oct 4 03:45:00 1998', 'Mar 21 03:44:59 1999');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 20 14:00:00 1999', 'Oct 2 13:59:59 1999', 'Mar 21 02:45:00 1999', 'Oct 3 02:44:59 1999');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 2 14:00:00 1999', 'Mar 18 13:59:59 2000', 'Oct 3 03:45:00 1999', 'Mar 19 03:44:59 2000');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2000', 'Sep 30 13:59:59 2000', 'Mar 19 02:45:00 2000', 'Oct 1 02:44:59 2000');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2000', 'Mar 17 13:59:59 2001', 'Oct 1 03:45:00 2000', 'Mar 18 03:44:59 2001');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2001', 'Oct 6 13:59:59 2001', 'Mar 18 02:45:00 2001', 'Oct 7 02:44:59 2001');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2001', 'Mar 16 13:59:59 2002', 'Oct 7 03:45:00 2001', 'Mar 17 03:44:59 2002');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2002', 'Oct 5 13:59:59 2002', 'Mar 17 02:45:00 2002', 'Oct 6 02:44:59 2002');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2002', 'Mar 15 13:59:59 2003', 'Oct 6 03:45:00 2002', 'Mar 16 03:44:59 2003');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2003', 'Oct 4 13:59:59 2003', 'Mar 16 02:45:00 2003', 'Oct 5 02:44:59 2003');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2003', 'Mar 20 13:59:59 2004', 'Oct 5 03:45:00 2003', 'Mar 21 03:44:59 2004');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2004', 'Oct 2 13:59:59 2004', 'Mar 21 02:45:00 2004', 'Oct 3 02:44:59 2004');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2004', 'Mar 19 13:59:59 2005', 'Oct 3 03:45:00 2004', 'Mar 20 03:44:59 2005');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2005', 'Oct 1 13:59:59 2005', 'Mar 20 02:45:00 2005', 'Oct 2 02:44:59 2005');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2005', 'Mar 18 13:59:59 2006', 'Oct 2 03:45:00 2005', 'Mar 19 03:44:59 2006');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2006', 'Sep 30 13:59:59 2006', 'Mar 19 02:45:00 2006', 'Oct 1 02:44:59 2006');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2006', 'Mar 17 13:59:59 2007', 'Oct 1 03:45:00 2006', 'Mar 18 03:44:59 2007');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2007', 'Oct 6 13:59:59 2007', 'Mar 18 02:45:00 2007', 'Oct 7 02:44:59 2007');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2007', 'Mar 15 13:59:59 2008', 'Oct 7 03:45:00 2007', 'Mar 16 03:44:59 2008');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2008', 'Oct 4 13:59:59 2008', 'Mar 16 02:45:00 2008', 'Oct 5 02:44:59 2008');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2008', 'Mar 14 13:59:59 2009', 'Oct 5 03:45:00 2008', 'Mar 15 03:44:59 2009');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2009', 'Oct 3 13:59:59 2009', 'Mar 15 02:45:00 2009', 'Oct 4 02:44:59 2009');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2009', 'Mar 20 13:59:59 2010', 'Oct 4 03:45:00 2009', 'Mar 21 03:44:59 2010');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2010', 'Oct 2 13:59:59 2010', 'Mar 21 02:45:00 2010', 'Oct 3 02:44:59 2010');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2010', 'Mar 19 13:59:59 2011', 'Oct 3 03:45:00 2010', 'Mar 20 03:44:59 2011');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2011', 'Oct 1 13:59:59 2011', 'Mar 20 02:45:00 2011', 'Oct 2 02:44:59 2011');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2011', 'Mar 17 13:59:59 2012', 'Oct 2 03:45:00 2011', 'Mar 18 03:44:59 2012');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2012', 'Oct 6 13:59:59 2012', 'Mar 18 02:45:00 2012', 'Oct 7 02:44:59 2012');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2012', 'Mar 16 13:59:59 2013', 'Oct 7 03:45:00 2012', 'Mar 17 03:44:59 2013');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2013', 'Oct 5 13:59:59 2013', 'Mar 17 02:45:00 2013', 'Oct 6 02:44:59 2013');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2013', 'Mar 15 13:59:59 2014', 'Oct 6 03:45:00 2013', 'Mar 16 03:44:59 2014');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2014', 'Oct 4 13:59:59 2014', 'Mar 16 02:45:00 2014', 'Oct 5 02:44:59 2014');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2014', 'Mar 14 13:59:59 2015', 'Oct 5 03:45:00 2014', 'Mar 15 03:44:59 2015');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2015', 'Oct 3 13:59:59 2015', 'Mar 15 02:45:00 2015', 'Oct 4 02:44:59 2015');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2015', 'Mar 19 13:59:59 2016', 'Oct 4 03:45:00 2015', 'Mar 20 03:44:59 2016');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2016', 'Oct 1 13:59:59 2016', 'Mar 20 02:45:00 2016', 'Oct 2 02:44:59 2016');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2016', 'Mar 18 13:59:59 2017', 'Oct 2 03:45:00 2016', 'Mar 19 03:44:59 2017');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2017', 'Sep 30 13:59:59 2017', 'Mar 19 02:45:00 2017', 'Oct 1 02:44:59 2017');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2017', 'Mar 17 13:59:59 2018', 'Oct 1 03:45:00 2017', 'Mar 18 03:44:59 2018');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2018', 'Oct 6 13:59:59 2018', 'Mar 18 02:45:00 2018', 'Oct 7 02:44:59 2018');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2018', 'Mar 16 13:59:59 2019', 'Oct 7 03:45:00 2018', 'Mar 17 03:44:59 2019');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2019', 'Oct 5 13:59:59 2019', 'Mar 17 02:45:00 2019', 'Oct 6 02:44:59 2019');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2019', 'Mar 14 13:59:59 2020', 'Oct 6 03:45:00 2019', 'Mar 15 03:44:59 2020');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2020', 'Oct 3 13:59:59 2020', 'Mar 15 02:45:00 2020', 'Oct 4 02:44:59 2020');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2020', 'Mar 20 13:59:59 2021', 'Oct 4 03:45:00 2020', 'Mar 21 03:44:59 2021');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2021', 'Oct 2 13:59:59 2021', 'Mar 21 02:45:00 2021', 'Oct 3 02:44:59 2021');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2021', 'Mar 19 13:59:59 2022', 'Oct 3 03:45:00 2021', 'Mar 20 03:44:59 2022');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2022', 'Oct 1 13:59:59 2022', 'Mar 20 02:45:00 2022', 'Oct 2 02:44:59 2022');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2022', 'Mar 18 13:59:59 2023', 'Oct 2 03:45:00 2022', 'Mar 19 03:44:59 2023');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2023', 'Sep 30 13:59:59 2023', 'Mar 19 02:45:00 2023', 'Oct 1 02:44:59 2023');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2023', 'Mar 16 13:59:59 2024', 'Oct 1 03:45:00 2023', 'Mar 17 03:44:59 2024');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2024', 'Oct 5 13:59:59 2024', 'Mar 17 02:45:00 2024', 'Oct 6 02:44:59 2024');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2024', 'Mar 15 13:59:59 2025', 'Oct 6 03:45:00 2024', 'Mar 16 03:44:59 2025');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2025', 'Oct 4 13:59:59 2025', 'Mar 16 02:45:00 2025', 'Oct 5 02:44:59 2025');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2025', 'Mar 14 13:59:59 2026', 'Oct 5 03:45:00 2025', 'Mar 15 03:44:59 2026');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2026', 'Oct 3 13:59:59 2026', 'Mar 15 02:45:00 2026', 'Oct 4 02:44:59 2026');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2026', 'Mar 20 13:59:59 2027', 'Oct 4 03:45:00 2026', 'Mar 21 03:44:59 2027');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2027', 'Oct 2 13:59:59 2027', 'Mar 21 02:45:00 2027', 'Oct 3 02:44:59 2027');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2027', 'Mar 18 13:59:59 2028', 'Oct 3 03:45:00 2027', 'Mar 19 03:44:59 2028');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2028', 'Sep 30 13:59:59 2028', 'Mar 19 02:45:00 2028', 'Oct 1 02:44:59 2028');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2028', 'Mar 17 13:59:59 2029', 'Oct 1 03:45:00 2028', 'Mar 18 03:44:59 2029');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2029', 'Oct 6 13:59:59 2029', 'Mar 18 02:45:00 2029', 'Oct 7 02:44:59 2029');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2029', 'Mar 16 13:59:59 2030', 'Oct 7 03:45:00 2029', 'Mar 17 03:44:59 2030');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2030', 'Oct 5 13:59:59 2030', 'Mar 17 02:45:00 2030', 'Oct 6 02:44:59 2030');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2030', 'Mar 15 13:59:59 2031', 'Oct 6 03:45:00 2030', 'Mar 16 03:44:59 2031');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2031', 'Oct 4 13:59:59 2031', 'Mar 16 02:45:00 2031', 'Oct 5 02:44:59 2031');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2031', 'Mar 20 13:59:59 2032', 'Oct 5 03:45:00 2031', 'Mar 21 03:44:59 2032');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2032', 'Oct 2 13:59:59 2032', 'Mar 21 02:45:00 2032', 'Oct 3 02:44:59 2032');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2032', 'Mar 19 13:59:59 2033', 'Oct 3 03:45:00 2032', 'Mar 20 03:44:59 2033');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2033', 'Oct 1 13:59:59 2033', 'Mar 20 02:45:00 2033', 'Oct 2 02:44:59 2033');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2033', 'Mar 18 13:59:59 2034', 'Oct 2 03:45:00 2033', 'Mar 19 03:44:59 2034');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2034', 'Sep 30 13:59:59 2034', 'Mar 19 02:45:00 2034', 'Oct 1 02:44:59 2034');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2034', 'Mar 17 13:59:59 2035', 'Oct 1 03:45:00 2034', 'Mar 18 03:44:59 2035');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2035', 'Oct 6 13:59:59 2035', 'Mar 18 02:45:00 2035', 'Oct 7 02:44:59 2035');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2035', 'Mar 15 13:59:59 2036', 'Oct 7 03:45:00 2035', 'Mar 16 03:44:59 2036');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2036', 'Oct 4 13:59:59 2036', 'Mar 16 02:45:00 2036', 'Oct 5 02:44:59 2036');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2036', 'Mar 14 13:59:59 2037', 'Oct 5 03:45:00 2036', 'Mar 15 03:44:59 2037');
timezone.add_rule('NZ-CHAT', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2037', 'Oct 3 13:59:59 2037', 'Mar 15 02:45:00 2037', 'Oct 4 02:44:59 2037');
timezone.add_rule('NZ-CHAT', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 4 03:45:00 2037', 'Jan 18 16:59:07 2038');
end;
/

--
-- Navajo
--

begin
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Mar 31 08:59:59 1918', 'Dec 14 13:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Mar 31 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'Mar 30 08:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Mar 30 09:00:00 1919', 'Oct 26 07:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 1919', 'Mar 28 08:59:59 1920', 'Oct 26 01:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Mar 28 09:00:00 1920', 'Oct 31 07:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 1920', 'Mar 27 08:59:59 1921', 'Oct 31 01:00:00 1920', 'Mar 27 01:59:59 1921');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Mar 27 09:00:00 1921', 'May 22 07:59:59 1921', 'Mar 27 03:00:00 1921', 'May 22 01:59:59 1921');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'May 22 08:00:00 1921', 'Feb 9 08:59:59 1942', 'May 22 01:00:00 1921', 'Feb 9 01:59:59 1942');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 25 08:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 25 01:59:59 1965');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 25 09:00:00 1965', 'Oct 31 07:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 1965', 'Apr 24 08:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 24 09:00:00 1966', 'Oct 30 07:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 1966', 'Apr 30 08:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Apr 28 08:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 28 09:00:00 1968', 'Oct 27 07:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 1968', 'Apr 27 08:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 27 09:00:00 1969', 'Oct 26 07:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 1969', 'Apr 26 08:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 26 09:00:00 1970', 'Oct 25 07:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 1970', 'Apr 25 08:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 25 09:00:00 1971', 'Oct 31 07:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 1971', 'Apr 30 08:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 30 09:00:00 1972', 'Oct 29 07:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 1972', 'Apr 29 08:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 29 09:00:00 1973', 'Oct 28 07:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 1973', 'Jan 6 08:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Jan 6 09:00:00 1974', 'Oct 27 07:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 1974', 'Feb 23 08:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Feb 23 09:00:00 1975', 'Oct 26 07:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 1975', 'Apr 25 08:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 25 09:00:00 1976', 'Oct 31 07:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 1976', 'Apr 24 08:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 24 09:00:00 1977', 'Oct 30 07:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 1977', 'Apr 30 08:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 30 09:00:00 1978', 'Oct 29 07:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 1978', 'Apr 29 08:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 29 09:00:00 1979', 'Oct 28 07:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 1979', 'Apr 27 08:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('Navajo', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Navajo', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- PRC
--

begin
timezone.add_rule('PRC', 'CST', 0, 29152, 'Dec 14 20:45:52 1901', 'Dec 31 15:54:07 1927', 'Dec 15 04:51:44 1901', 'Dec 31 23:59:59 1927');
timezone.add_rule('PRC', 'CST', 0, 28800, 'Dec 31 15:54:08 1927', 'Jun 2 15:59:59 1940', 'Dec 31 23:54:08 1927', 'Jun 2 23:59:59 1940');
timezone.add_rule('PRC', 'CDT', 1, 32400, 'Jun 2 16:00:00 1940', 'Sep 30 14:59:59 1940', 'Jun 3 01:00:00 1940', 'Sep 30 23:59:59 1940');
timezone.add_rule('PRC', 'CST', 0, 28800, 'Sep 30 15:00:00 1940', 'Mar 15 15:59:59 1941', 'Sep 30 23:00:00 1940', 'Mar 15 23:59:59 1941');
timezone.add_rule('PRC', 'CDT', 1, 32400, 'Mar 15 16:00:00 1941', 'Sep 30 14:59:59 1941', 'Mar 16 01:00:00 1941', 'Sep 30 23:59:59 1941');
timezone.add_rule('PRC', 'CST', 0, 28800, 'Sep 30 15:00:00 1941', 'May 3 15:59:59 1986', 'Sep 30 23:00:00 1941', 'May 3 23:59:59 1986');
timezone.add_rule('PRC', 'CDT', 1, 32400, 'May 3 16:00:00 1986', 'Sep 13 14:59:59 1986', 'May 4 01:00:00 1986', 'Sep 13 23:59:59 1986');
timezone.add_rule('PRC', 'CST', 0, 28800, 'Sep 13 15:00:00 1986', 'Apr 11 15:59:59 1987', 'Sep 13 23:00:00 1986', 'Apr 11 23:59:59 1987');
timezone.add_rule('PRC', 'CDT', 1, 32400, 'Apr 11 16:00:00 1987', 'Sep 12 14:59:59 1987', 'Apr 12 01:00:00 1987', 'Sep 12 23:59:59 1987');
timezone.add_rule('PRC', 'CST', 0, 28800, 'Sep 12 15:00:00 1987', 'Apr 9 15:59:59 1988', 'Sep 12 23:00:00 1987', 'Apr 9 23:59:59 1988');
timezone.add_rule('PRC', 'CDT', 1, 32400, 'Apr 9 16:00:00 1988', 'Sep 10 14:59:59 1988', 'Apr 10 01:00:00 1988', 'Sep 10 23:59:59 1988');
timezone.add_rule('PRC', 'CST', 0, 28800, 'Sep 10 15:00:00 1988', 'Apr 15 15:59:59 1989', 'Sep 10 23:00:00 1988', 'Apr 15 23:59:59 1989');
timezone.add_rule('PRC', 'CDT', 1, 32400, 'Apr 15 16:00:00 1989', 'Sep 16 14:59:59 1989', 'Apr 16 01:00:00 1989', 'Sep 16 23:59:59 1989');
timezone.add_rule('PRC', 'CST', 0, 28800, 'Sep 16 15:00:00 1989', 'Apr 14 15:59:59 1990', 'Sep 16 23:00:00 1989', 'Apr 14 23:59:59 1990');
timezone.add_rule('PRC', 'CDT', 1, 32400, 'Apr 14 16:00:00 1990', 'Sep 15 14:59:59 1990', 'Apr 15 01:00:00 1990', 'Sep 15 23:59:59 1990');
timezone.add_rule('PRC', 'CST', 0, 28800, 'Sep 15 15:00:00 1990', 'Apr 13 15:59:59 1991', 'Sep 15 23:00:00 1990', 'Apr 13 23:59:59 1991');
timezone.add_rule('PRC', 'CDT', 1, 32400, 'Apr 13 16:00:00 1991', 'Sep 14 14:59:59 1991', 'Apr 14 01:00:00 1991', 'Sep 14 23:59:59 1991');
timezone.add_rule('PRC', 'CST', 0, 28800, 'Sep 14 15:00:00 1991', 'Jan 18 03:14:07 2038', 'Sep 14 23:00:00 1991', 'Jan 18 11:14:07 2038');
end;
/

--
-- PST8PDT
--

begin
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Dec 14 20:45:52 1901', 'Mar 31 09:59:59 1918', 'Dec 14 12:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Mar 31 10:00:00 1918', 'Oct 27 08:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1918', 'Mar 30 09:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Mar 30 10:00:00 1919', 'Oct 26 08:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1919', 'Feb 9 09:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Feb 9 10:00:00 1942', 'Sep 30 08:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 30 09:00:00 1945', 'Mar 14 09:59:59 1948', 'Sep 30 01:00:00 1945', 'Mar 14 01:59:59 1948');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Mar 14 10:00:00 1948', 'Jan 1 08:59:59 1949', 'Mar 14 03:00:00 1948', 'Jan 1 01:59:59 1949');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Jan 1 09:00:00 1949', 'Apr 30 09:59:59 1950', 'Jan 1 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1950', 'Sep 24 08:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 24 09:00:00 1950', 'Apr 29 09:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1951', 'Sep 30 08:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 30 09:00:00 1951', 'Apr 27 09:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1952', 'Sep 28 08:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 28 09:00:00 1952', 'Apr 26 09:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1953', 'Sep 27 08:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 27 09:00:00 1953', 'Apr 25 09:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1954', 'Sep 26 08:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 26 09:00:00 1954', 'Apr 24 09:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1955', 'Sep 25 08:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 25 09:00:00 1955', 'Apr 29 09:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1956', 'Sep 30 08:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 30 09:00:00 1956', 'Apr 28 09:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1957', 'Sep 29 08:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 29 09:00:00 1957', 'Apr 27 09:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1958', 'Sep 28 08:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 28 09:00:00 1958', 'Apr 26 09:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1959', 'Sep 27 08:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 27 09:00:00 1959', 'Apr 24 09:59:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1960', 'Sep 25 08:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 25 09:00:00 1960', 'Apr 30 09:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1961', 'Sep 24 08:59:59 1961', 'Apr 30 03:00:00 1961', 'Sep 24 01:59:59 1961');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Sep 24 09:00:00 1961', 'Apr 29 09:59:59 1962', 'Sep 24 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1962', 'Oct 28 08:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1962', 'Apr 28 09:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1963', 'Oct 27 08:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1963', 'Apr 26 09:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1964', 'Oct 25 08:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1964', 'Apr 25 09:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1965', 'Apr 24 09:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1966', 'Oct 30 08:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1966', 'Apr 30 09:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1967', 'Oct 29 08:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1967', 'Apr 28 09:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1968', 'Oct 27 08:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1968', 'Apr 27 09:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Oct 29 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1972', 'Apr 29 09:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1973', 'Oct 28 08:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1973', 'Jan 6 09:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Jan 6 10:00:00 1974', 'Oct 27 08:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1974', 'Feb 23 09:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Feb 23 10:00:00 1975', 'Oct 26 08:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1975', 'Apr 25 09:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1976', 'Oct 31 08:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1976', 'Apr 24 09:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1977', 'Oct 30 08:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1977', 'Apr 30 09:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1978', 'Oct 29 08:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1978', 'Apr 29 09:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1979', 'Oct 28 08:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1979', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('PST8PDT', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- Pacific/Apia
--

begin
timezone.add_rule('Pacific/Apia', 'WST', 0, -41216, 'Dec 14 20:45:52 1901', 'Jan 1 11:26:55 1911', 'Dec 14 09:18:56 1901', 'Dec 31 23:59:59 1910');
timezone.add_rule('Pacific/Apia', 'WST', 0, -41400, 'Jan 1 11:26:56 1911', 'Jan 1 11:29:59 1950', 'Dec 31 23:56:56 1910', 'Dec 31 23:59:59 1949');
timezone.add_rule('Pacific/Apia', 'WST', 0, -39600, 'Jan 1 11:30:00 1950', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1950', 'Jan 17 16:14:07 2038');
end;
/

--
-- Pacific/Auckland
--

begin
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Dec 14 20:45:52 1901', 'Nov 25 14:29:59 1927', 'Dec 15 08:15:52 1901', 'Nov 26 01:59:59 1927');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Nov 25 14:30:00 1927', 'Mar 3 13:59:59 1928', 'Nov 26 02:30:00 1927', 'Mar 4 01:59:59 1928');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Mar 3 14:00:00 1928', 'Nov 3 14:29:59 1928', 'Mar 4 01:30:00 1928', 'Nov 4 01:59:59 1928');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Nov 3 14:30:00 1928', 'Mar 2 13:59:59 1929', 'Nov 4 02:30:00 1928', 'Mar 3 01:59:59 1929');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Mar 2 14:00:00 1929', 'Oct 29 14:29:59 1929', 'Mar 3 01:30:00 1929', 'Oct 30 01:59:59 1929');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Oct 29 14:30:00 1929', 'Mar 15 13:59:59 1930', 'Oct 30 02:30:00 1929', 'Mar 16 01:59:59 1930');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Mar 15 14:00:00 1930', 'Oct 11 14:29:59 1930', 'Mar 16 01:30:00 1930', 'Oct 12 01:59:59 1930');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Oct 11 14:30:00 1930', 'Mar 14 13:59:59 1931', 'Oct 12 02:30:00 1930', 'Mar 15 01:59:59 1931');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Mar 14 14:00:00 1931', 'Oct 10 14:29:59 1931', 'Mar 15 01:30:00 1931', 'Oct 11 01:59:59 1931');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Oct 10 14:30:00 1931', 'Mar 19 13:59:59 1932', 'Oct 11 02:30:00 1931', 'Mar 20 01:59:59 1932');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Mar 19 14:00:00 1932', 'Oct 8 14:29:59 1932', 'Mar 20 01:30:00 1932', 'Oct 9 01:59:59 1932');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Oct 8 14:30:00 1932', 'Mar 18 13:59:59 1933', 'Oct 9 02:30:00 1932', 'Mar 19 01:59:59 1933');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Mar 18 14:00:00 1933', 'Oct 7 14:29:59 1933', 'Mar 19 01:30:00 1933', 'Oct 8 01:59:59 1933');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Oct 7 14:30:00 1933', 'Apr 28 13:59:59 1934', 'Oct 8 02:30:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Apr 28 14:00:00 1934', 'Sep 29 14:29:59 1934', 'Apr 29 01:30:00 1934', 'Sep 30 01:59:59 1934');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Sep 29 14:30:00 1934', 'Apr 27 13:59:59 1935', 'Sep 30 02:30:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Apr 27 14:00:00 1935', 'Sep 28 14:29:59 1935', 'Apr 28 01:30:00 1935', 'Sep 29 01:59:59 1935');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Sep 28 14:30:00 1935', 'Apr 25 13:59:59 1936', 'Sep 29 02:30:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Apr 25 14:00:00 1936', 'Sep 26 14:29:59 1936', 'Apr 26 01:30:00 1936', 'Sep 27 01:59:59 1936');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Sep 26 14:30:00 1936', 'Apr 24 13:59:59 1937', 'Sep 27 02:30:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Apr 24 14:00:00 1937', 'Sep 25 14:29:59 1937', 'Apr 25 01:30:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Sep 25 14:30:00 1937', 'Apr 23 13:59:59 1938', 'Sep 26 02:30:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Apr 23 14:00:00 1938', 'Sep 24 14:29:59 1938', 'Apr 24 01:30:00 1938', 'Sep 25 01:59:59 1938');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Sep 24 14:30:00 1938', 'Apr 29 13:59:59 1939', 'Sep 25 02:30:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Apr 29 14:00:00 1939', 'Sep 23 14:29:59 1939', 'Apr 30 01:30:00 1939', 'Sep 24 01:59:59 1939');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 43200, 'Sep 23 14:30:00 1939', 'Apr 27 13:59:59 1940', 'Sep 24 02:30:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 41400, 'Apr 27 14:00:00 1940', 'Sep 28 14:29:59 1940', 'Apr 28 01:30:00 1940', 'Sep 29 01:59:59 1940');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Sep 28 14:30:00 1940', 'Nov 2 13:59:59 1974', 'Sep 29 02:30:00 1940', 'Nov 3 01:59:59 1974');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Nov 2 14:00:00 1974', 'Feb 22 13:59:59 1975', 'Nov 3 03:00:00 1974', 'Feb 23 02:59:59 1975');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Feb 22 14:00:00 1975', 'Oct 25 13:59:59 1975', 'Feb 23 02:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1975', 'Mar 6 13:59:59 1976', 'Oct 26 03:00:00 1975', 'Mar 7 02:59:59 1976');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 6 14:00:00 1976', 'Oct 30 13:59:59 1976', 'Mar 7 02:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 30 14:00:00 1976', 'Mar 5 13:59:59 1977', 'Oct 31 03:00:00 1976', 'Mar 6 02:59:59 1977');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 5 14:00:00 1977', 'Oct 29 13:59:59 1977', 'Mar 6 02:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1977', 'Mar 4 13:59:59 1978', 'Oct 30 03:00:00 1977', 'Mar 5 02:59:59 1978');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 4 14:00:00 1978', 'Oct 28 13:59:59 1978', 'Mar 5 02:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 28 14:00:00 1978', 'Mar 3 13:59:59 1979', 'Oct 29 03:00:00 1978', 'Mar 4 02:59:59 1979');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 3 14:00:00 1979', 'Oct 27 13:59:59 1979', 'Mar 4 02:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 27 14:00:00 1979', 'Mar 1 13:59:59 1980', 'Oct 28 03:00:00 1979', 'Mar 2 02:59:59 1980');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 1 14:00:00 1980', 'Oct 25 13:59:59 1980', 'Mar 2 02:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1980', 'Feb 28 13:59:59 1981', 'Oct 26 03:00:00 1980', 'Mar 1 02:59:59 1981');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Feb 28 14:00:00 1981', 'Oct 24 13:59:59 1981', 'Mar 1 02:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 24 14:00:00 1981', 'Mar 6 13:59:59 1982', 'Oct 25 03:00:00 1981', 'Mar 7 02:59:59 1982');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 6 14:00:00 1982', 'Oct 30 13:59:59 1982', 'Mar 7 02:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 30 14:00:00 1982', 'Mar 5 13:59:59 1983', 'Oct 31 03:00:00 1982', 'Mar 6 02:59:59 1983');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 5 14:00:00 1983', 'Oct 29 13:59:59 1983', 'Mar 6 02:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1983', 'Mar 3 13:59:59 1984', 'Oct 30 03:00:00 1983', 'Mar 4 02:59:59 1984');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 3 14:00:00 1984', 'Oct 27 13:59:59 1984', 'Mar 4 02:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 27 14:00:00 1984', 'Mar 2 13:59:59 1985', 'Oct 28 03:00:00 1984', 'Mar 3 02:59:59 1985');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 2 14:00:00 1985', 'Oct 26 13:59:59 1985', 'Mar 3 02:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 26 14:00:00 1985', 'Mar 1 13:59:59 1986', 'Oct 27 03:00:00 1985', 'Mar 2 02:59:59 1986');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 1 14:00:00 1986', 'Oct 25 13:59:59 1986', 'Mar 2 02:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 25 14:00:00 1986', 'Feb 28 13:59:59 1987', 'Oct 26 03:00:00 1986', 'Mar 1 02:59:59 1987');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Feb 28 14:00:00 1987', 'Oct 24 13:59:59 1987', 'Mar 1 02:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 24 14:00:00 1987', 'Mar 5 13:59:59 1988', 'Oct 25 03:00:00 1987', 'Mar 6 02:59:59 1988');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 5 14:00:00 1988', 'Oct 29 13:59:59 1988', 'Mar 6 02:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 29 14:00:00 1988', 'Mar 4 13:59:59 1989', 'Oct 30 03:00:00 1988', 'Mar 5 02:59:59 1989');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 4 14:00:00 1989', 'Oct 7 13:59:59 1989', 'Mar 5 02:00:00 1989', 'Oct 8 01:59:59 1989');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 7 14:00:00 1989', 'Mar 17 13:59:59 1990', 'Oct 8 03:00:00 1989', 'Mar 18 02:59:59 1990');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 17 14:00:00 1990', 'Oct 6 13:59:59 1990', 'Mar 18 02:00:00 1990', 'Oct 7 01:59:59 1990');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 6 14:00:00 1990', 'Mar 16 13:59:59 1991', 'Oct 7 03:00:00 1990', 'Mar 17 02:59:59 1991');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 16 14:00:00 1991', 'Oct 5 13:59:59 1991', 'Mar 17 02:00:00 1991', 'Oct 6 01:59:59 1991');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 5 14:00:00 1991', 'Mar 14 13:59:59 1992', 'Oct 6 03:00:00 1991', 'Mar 15 02:59:59 1992');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 14 14:00:00 1992', 'Oct 3 13:59:59 1992', 'Mar 15 02:00:00 1992', 'Oct 4 01:59:59 1992');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 3 14:00:00 1992', 'Mar 20 13:59:59 1993', 'Oct 4 03:00:00 1992', 'Mar 21 02:59:59 1993');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 20 14:00:00 1993', 'Oct 2 13:59:59 1993', 'Mar 21 02:00:00 1993', 'Oct 3 01:59:59 1993');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 2 14:00:00 1993', 'Mar 19 13:59:59 1994', 'Oct 3 03:00:00 1993', 'Mar 20 02:59:59 1994');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 19 14:00:00 1994', 'Oct 1 13:59:59 1994', 'Mar 20 02:00:00 1994', 'Oct 2 01:59:59 1994');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 1 14:00:00 1994', 'Mar 18 13:59:59 1995', 'Oct 2 03:00:00 1994', 'Mar 19 02:59:59 1995');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 18 14:00:00 1995', 'Sep 30 13:59:59 1995', 'Mar 19 02:00:00 1995', 'Oct 1 01:59:59 1995');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Sep 30 14:00:00 1995', 'Mar 16 13:59:59 1996', 'Oct 1 03:00:00 1995', 'Mar 17 02:59:59 1996');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 16 14:00:00 1996', 'Oct 5 13:59:59 1996', 'Mar 17 02:00:00 1996', 'Oct 6 01:59:59 1996');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 5 14:00:00 1996', 'Mar 15 13:59:59 1997', 'Oct 6 03:00:00 1996', 'Mar 16 02:59:59 1997');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 15 14:00:00 1997', 'Oct 4 13:59:59 1997', 'Mar 16 02:00:00 1997', 'Oct 5 01:59:59 1997');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 4 14:00:00 1997', 'Mar 14 13:59:59 1998', 'Oct 5 03:00:00 1997', 'Mar 15 02:59:59 1998');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 14 14:00:00 1998', 'Oct 3 13:59:59 1998', 'Mar 15 02:00:00 1998', 'Oct 4 01:59:59 1998');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 3 14:00:00 1998', 'Mar 20 13:59:59 1999', 'Oct 4 03:00:00 1998', 'Mar 21 02:59:59 1999');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 20 14:00:00 1999', 'Oct 2 13:59:59 1999', 'Mar 21 02:00:00 1999', 'Oct 3 01:59:59 1999');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 2 14:00:00 1999', 'Mar 18 13:59:59 2000', 'Oct 3 03:00:00 1999', 'Mar 19 02:59:59 2000');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 18 14:00:00 2000', 'Sep 30 13:59:59 2000', 'Mar 19 02:00:00 2000', 'Oct 1 01:59:59 2000');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2000', 'Mar 17 13:59:59 2001', 'Oct 1 03:00:00 2000', 'Mar 18 02:59:59 2001');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 17 14:00:00 2001', 'Oct 6 13:59:59 2001', 'Mar 18 02:00:00 2001', 'Oct 7 01:59:59 2001');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2001', 'Mar 16 13:59:59 2002', 'Oct 7 03:00:00 2001', 'Mar 17 02:59:59 2002');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 16 14:00:00 2002', 'Oct 5 13:59:59 2002', 'Mar 17 02:00:00 2002', 'Oct 6 01:59:59 2002');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2002', 'Mar 15 13:59:59 2003', 'Oct 6 03:00:00 2002', 'Mar 16 02:59:59 2003');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 15 14:00:00 2003', 'Oct 4 13:59:59 2003', 'Mar 16 02:00:00 2003', 'Oct 5 01:59:59 2003');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2003', 'Mar 20 13:59:59 2004', 'Oct 5 03:00:00 2003', 'Mar 21 02:59:59 2004');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 20 14:00:00 2004', 'Oct 2 13:59:59 2004', 'Mar 21 02:00:00 2004', 'Oct 3 01:59:59 2004');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2004', 'Mar 19 13:59:59 2005', 'Oct 3 03:00:00 2004', 'Mar 20 02:59:59 2005');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 19 14:00:00 2005', 'Oct 1 13:59:59 2005', 'Mar 20 02:00:00 2005', 'Oct 2 01:59:59 2005');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2005', 'Mar 18 13:59:59 2006', 'Oct 2 03:00:00 2005', 'Mar 19 02:59:59 2006');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 18 14:00:00 2006', 'Sep 30 13:59:59 2006', 'Mar 19 02:00:00 2006', 'Oct 1 01:59:59 2006');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2006', 'Mar 17 13:59:59 2007', 'Oct 1 03:00:00 2006', 'Mar 18 02:59:59 2007');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 17 14:00:00 2007', 'Oct 6 13:59:59 2007', 'Mar 18 02:00:00 2007', 'Oct 7 01:59:59 2007');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2007', 'Mar 15 13:59:59 2008', 'Oct 7 03:00:00 2007', 'Mar 16 02:59:59 2008');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 15 14:00:00 2008', 'Oct 4 13:59:59 2008', 'Mar 16 02:00:00 2008', 'Oct 5 01:59:59 2008');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2008', 'Mar 14 13:59:59 2009', 'Oct 5 03:00:00 2008', 'Mar 15 02:59:59 2009');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 14 14:00:00 2009', 'Oct 3 13:59:59 2009', 'Mar 15 02:00:00 2009', 'Oct 4 01:59:59 2009');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2009', 'Mar 20 13:59:59 2010', 'Oct 4 03:00:00 2009', 'Mar 21 02:59:59 2010');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 20 14:00:00 2010', 'Oct 2 13:59:59 2010', 'Mar 21 02:00:00 2010', 'Oct 3 01:59:59 2010');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2010', 'Mar 19 13:59:59 2011', 'Oct 3 03:00:00 2010', 'Mar 20 02:59:59 2011');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 19 14:00:00 2011', 'Oct 1 13:59:59 2011', 'Mar 20 02:00:00 2011', 'Oct 2 01:59:59 2011');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2011', 'Mar 17 13:59:59 2012', 'Oct 2 03:00:00 2011', 'Mar 18 02:59:59 2012');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 17 14:00:00 2012', 'Oct 6 13:59:59 2012', 'Mar 18 02:00:00 2012', 'Oct 7 01:59:59 2012');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2012', 'Mar 16 13:59:59 2013', 'Oct 7 03:00:00 2012', 'Mar 17 02:59:59 2013');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 16 14:00:00 2013', 'Oct 5 13:59:59 2013', 'Mar 17 02:00:00 2013', 'Oct 6 01:59:59 2013');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2013', 'Mar 15 13:59:59 2014', 'Oct 6 03:00:00 2013', 'Mar 16 02:59:59 2014');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 15 14:00:00 2014', 'Oct 4 13:59:59 2014', 'Mar 16 02:00:00 2014', 'Oct 5 01:59:59 2014');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2014', 'Mar 14 13:59:59 2015', 'Oct 5 03:00:00 2014', 'Mar 15 02:59:59 2015');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 14 14:00:00 2015', 'Oct 3 13:59:59 2015', 'Mar 15 02:00:00 2015', 'Oct 4 01:59:59 2015');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2015', 'Mar 19 13:59:59 2016', 'Oct 4 03:00:00 2015', 'Mar 20 02:59:59 2016');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 19 14:00:00 2016', 'Oct 1 13:59:59 2016', 'Mar 20 02:00:00 2016', 'Oct 2 01:59:59 2016');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2016', 'Mar 18 13:59:59 2017', 'Oct 2 03:00:00 2016', 'Mar 19 02:59:59 2017');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 18 14:00:00 2017', 'Sep 30 13:59:59 2017', 'Mar 19 02:00:00 2017', 'Oct 1 01:59:59 2017');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2017', 'Mar 17 13:59:59 2018', 'Oct 1 03:00:00 2017', 'Mar 18 02:59:59 2018');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 17 14:00:00 2018', 'Oct 6 13:59:59 2018', 'Mar 18 02:00:00 2018', 'Oct 7 01:59:59 2018');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2018', 'Mar 16 13:59:59 2019', 'Oct 7 03:00:00 2018', 'Mar 17 02:59:59 2019');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 16 14:00:00 2019', 'Oct 5 13:59:59 2019', 'Mar 17 02:00:00 2019', 'Oct 6 01:59:59 2019');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2019', 'Mar 14 13:59:59 2020', 'Oct 6 03:00:00 2019', 'Mar 15 02:59:59 2020');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 14 14:00:00 2020', 'Oct 3 13:59:59 2020', 'Mar 15 02:00:00 2020', 'Oct 4 01:59:59 2020');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2020', 'Mar 20 13:59:59 2021', 'Oct 4 03:00:00 2020', 'Mar 21 02:59:59 2021');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 20 14:00:00 2021', 'Oct 2 13:59:59 2021', 'Mar 21 02:00:00 2021', 'Oct 3 01:59:59 2021');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2021', 'Mar 19 13:59:59 2022', 'Oct 3 03:00:00 2021', 'Mar 20 02:59:59 2022');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 19 14:00:00 2022', 'Oct 1 13:59:59 2022', 'Mar 20 02:00:00 2022', 'Oct 2 01:59:59 2022');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2022', 'Mar 18 13:59:59 2023', 'Oct 2 03:00:00 2022', 'Mar 19 02:59:59 2023');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 18 14:00:00 2023', 'Sep 30 13:59:59 2023', 'Mar 19 02:00:00 2023', 'Oct 1 01:59:59 2023');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2023', 'Mar 16 13:59:59 2024', 'Oct 1 03:00:00 2023', 'Mar 17 02:59:59 2024');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 16 14:00:00 2024', 'Oct 5 13:59:59 2024', 'Mar 17 02:00:00 2024', 'Oct 6 01:59:59 2024');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2024', 'Mar 15 13:59:59 2025', 'Oct 6 03:00:00 2024', 'Mar 16 02:59:59 2025');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 15 14:00:00 2025', 'Oct 4 13:59:59 2025', 'Mar 16 02:00:00 2025', 'Oct 5 01:59:59 2025');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2025', 'Mar 14 13:59:59 2026', 'Oct 5 03:00:00 2025', 'Mar 15 02:59:59 2026');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 14 14:00:00 2026', 'Oct 3 13:59:59 2026', 'Mar 15 02:00:00 2026', 'Oct 4 01:59:59 2026');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2026', 'Mar 20 13:59:59 2027', 'Oct 4 03:00:00 2026', 'Mar 21 02:59:59 2027');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 20 14:00:00 2027', 'Oct 2 13:59:59 2027', 'Mar 21 02:00:00 2027', 'Oct 3 01:59:59 2027');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2027', 'Mar 18 13:59:59 2028', 'Oct 3 03:00:00 2027', 'Mar 19 02:59:59 2028');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 18 14:00:00 2028', 'Sep 30 13:59:59 2028', 'Mar 19 02:00:00 2028', 'Oct 1 01:59:59 2028');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2028', 'Mar 17 13:59:59 2029', 'Oct 1 03:00:00 2028', 'Mar 18 02:59:59 2029');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 17 14:00:00 2029', 'Oct 6 13:59:59 2029', 'Mar 18 02:00:00 2029', 'Oct 7 01:59:59 2029');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2029', 'Mar 16 13:59:59 2030', 'Oct 7 03:00:00 2029', 'Mar 17 02:59:59 2030');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 16 14:00:00 2030', 'Oct 5 13:59:59 2030', 'Mar 17 02:00:00 2030', 'Oct 6 01:59:59 2030');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 5 14:00:00 2030', 'Mar 15 13:59:59 2031', 'Oct 6 03:00:00 2030', 'Mar 16 02:59:59 2031');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 15 14:00:00 2031', 'Oct 4 13:59:59 2031', 'Mar 16 02:00:00 2031', 'Oct 5 01:59:59 2031');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2031', 'Mar 20 13:59:59 2032', 'Oct 5 03:00:00 2031', 'Mar 21 02:59:59 2032');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 20 14:00:00 2032', 'Oct 2 13:59:59 2032', 'Mar 21 02:00:00 2032', 'Oct 3 01:59:59 2032');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 2 14:00:00 2032', 'Mar 19 13:59:59 2033', 'Oct 3 03:00:00 2032', 'Mar 20 02:59:59 2033');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 19 14:00:00 2033', 'Oct 1 13:59:59 2033', 'Mar 20 02:00:00 2033', 'Oct 2 01:59:59 2033');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 1 14:00:00 2033', 'Mar 18 13:59:59 2034', 'Oct 2 03:00:00 2033', 'Mar 19 02:59:59 2034');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 18 14:00:00 2034', 'Sep 30 13:59:59 2034', 'Mar 19 02:00:00 2034', 'Oct 1 01:59:59 2034');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Sep 30 14:00:00 2034', 'Mar 17 13:59:59 2035', 'Oct 1 03:00:00 2034', 'Mar 18 02:59:59 2035');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 17 14:00:00 2035', 'Oct 6 13:59:59 2035', 'Mar 18 02:00:00 2035', 'Oct 7 01:59:59 2035');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 6 14:00:00 2035', 'Mar 15 13:59:59 2036', 'Oct 7 03:00:00 2035', 'Mar 16 02:59:59 2036');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 15 14:00:00 2036', 'Oct 4 13:59:59 2036', 'Mar 16 02:00:00 2036', 'Oct 5 01:59:59 2036');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 4 14:00:00 2036', 'Mar 14 13:59:59 2037', 'Oct 5 03:00:00 2036', 'Mar 15 02:59:59 2037');
timezone.add_rule('Pacific/Auckland', 'NZST', 0, 43200, 'Mar 14 14:00:00 2037', 'Oct 3 13:59:59 2037', 'Mar 15 02:00:00 2037', 'Oct 4 01:59:59 2037');
timezone.add_rule('Pacific/Auckland', 'NZDT', 1, 46800, 'Oct 3 14:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 4 03:00:00 2037', 'Jan 18 16:14:07 2038');
end;
/

--
-- Pacific/Chatham
--

begin
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Dec 14 20:45:52 1901', 'Oct 6 13:59:59 1990', 'Dec 15 09:30:52 1901', 'Oct 7 02:44:59 1990');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 6 14:00:00 1990', 'Mar 16 13:59:59 1991', 'Oct 7 03:45:00 1990', 'Mar 17 03:44:59 1991');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 16 14:00:00 1991', 'Oct 5 13:59:59 1991', 'Mar 17 02:45:00 1991', 'Oct 6 02:44:59 1991');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 5 14:00:00 1991', 'Mar 14 13:59:59 1992', 'Oct 6 03:45:00 1991', 'Mar 15 03:44:59 1992');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 14 14:00:00 1992', 'Oct 3 13:59:59 1992', 'Mar 15 02:45:00 1992', 'Oct 4 02:44:59 1992');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 3 14:00:00 1992', 'Mar 20 13:59:59 1993', 'Oct 4 03:45:00 1992', 'Mar 21 03:44:59 1993');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 20 14:00:00 1993', 'Oct 2 13:59:59 1993', 'Mar 21 02:45:00 1993', 'Oct 3 02:44:59 1993');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 2 14:00:00 1993', 'Mar 19 13:59:59 1994', 'Oct 3 03:45:00 1993', 'Mar 20 03:44:59 1994');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 19 14:00:00 1994', 'Oct 1 13:59:59 1994', 'Mar 20 02:45:00 1994', 'Oct 2 02:44:59 1994');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 1 14:00:00 1994', 'Mar 18 13:59:59 1995', 'Oct 2 03:45:00 1994', 'Mar 19 03:44:59 1995');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 18 14:00:00 1995', 'Sep 30 13:59:59 1995', 'Mar 19 02:45:00 1995', 'Oct 1 02:44:59 1995');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Sep 30 14:00:00 1995', 'Mar 16 13:59:59 1996', 'Oct 1 03:45:00 1995', 'Mar 17 03:44:59 1996');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 16 14:00:00 1996', 'Oct 5 13:59:59 1996', 'Mar 17 02:45:00 1996', 'Oct 6 02:44:59 1996');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 5 14:00:00 1996', 'Mar 15 13:59:59 1997', 'Oct 6 03:45:00 1996', 'Mar 16 03:44:59 1997');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 15 14:00:00 1997', 'Oct 4 13:59:59 1997', 'Mar 16 02:45:00 1997', 'Oct 5 02:44:59 1997');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 4 14:00:00 1997', 'Mar 14 13:59:59 1998', 'Oct 5 03:45:00 1997', 'Mar 15 03:44:59 1998');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 14 14:00:00 1998', 'Oct 3 13:59:59 1998', 'Mar 15 02:45:00 1998', 'Oct 4 02:44:59 1998');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 3 14:00:00 1998', 'Mar 20 13:59:59 1999', 'Oct 4 03:45:00 1998', 'Mar 21 03:44:59 1999');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 20 14:00:00 1999', 'Oct 2 13:59:59 1999', 'Mar 21 02:45:00 1999', 'Oct 3 02:44:59 1999');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 2 14:00:00 1999', 'Mar 18 13:59:59 2000', 'Oct 3 03:45:00 1999', 'Mar 19 03:44:59 2000');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2000', 'Sep 30 13:59:59 2000', 'Mar 19 02:45:00 2000', 'Oct 1 02:44:59 2000');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2000', 'Mar 17 13:59:59 2001', 'Oct 1 03:45:00 2000', 'Mar 18 03:44:59 2001');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2001', 'Oct 6 13:59:59 2001', 'Mar 18 02:45:00 2001', 'Oct 7 02:44:59 2001');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2001', 'Mar 16 13:59:59 2002', 'Oct 7 03:45:00 2001', 'Mar 17 03:44:59 2002');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2002', 'Oct 5 13:59:59 2002', 'Mar 17 02:45:00 2002', 'Oct 6 02:44:59 2002');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2002', 'Mar 15 13:59:59 2003', 'Oct 6 03:45:00 2002', 'Mar 16 03:44:59 2003');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2003', 'Oct 4 13:59:59 2003', 'Mar 16 02:45:00 2003', 'Oct 5 02:44:59 2003');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2003', 'Mar 20 13:59:59 2004', 'Oct 5 03:45:00 2003', 'Mar 21 03:44:59 2004');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2004', 'Oct 2 13:59:59 2004', 'Mar 21 02:45:00 2004', 'Oct 3 02:44:59 2004');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2004', 'Mar 19 13:59:59 2005', 'Oct 3 03:45:00 2004', 'Mar 20 03:44:59 2005');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2005', 'Oct 1 13:59:59 2005', 'Mar 20 02:45:00 2005', 'Oct 2 02:44:59 2005');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2005', 'Mar 18 13:59:59 2006', 'Oct 2 03:45:00 2005', 'Mar 19 03:44:59 2006');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2006', 'Sep 30 13:59:59 2006', 'Mar 19 02:45:00 2006', 'Oct 1 02:44:59 2006');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2006', 'Mar 17 13:59:59 2007', 'Oct 1 03:45:00 2006', 'Mar 18 03:44:59 2007');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2007', 'Oct 6 13:59:59 2007', 'Mar 18 02:45:00 2007', 'Oct 7 02:44:59 2007');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2007', 'Mar 15 13:59:59 2008', 'Oct 7 03:45:00 2007', 'Mar 16 03:44:59 2008');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2008', 'Oct 4 13:59:59 2008', 'Mar 16 02:45:00 2008', 'Oct 5 02:44:59 2008');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2008', 'Mar 14 13:59:59 2009', 'Oct 5 03:45:00 2008', 'Mar 15 03:44:59 2009');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2009', 'Oct 3 13:59:59 2009', 'Mar 15 02:45:00 2009', 'Oct 4 02:44:59 2009');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2009', 'Mar 20 13:59:59 2010', 'Oct 4 03:45:00 2009', 'Mar 21 03:44:59 2010');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2010', 'Oct 2 13:59:59 2010', 'Mar 21 02:45:00 2010', 'Oct 3 02:44:59 2010');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2010', 'Mar 19 13:59:59 2011', 'Oct 3 03:45:00 2010', 'Mar 20 03:44:59 2011');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2011', 'Oct 1 13:59:59 2011', 'Mar 20 02:45:00 2011', 'Oct 2 02:44:59 2011');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2011', 'Mar 17 13:59:59 2012', 'Oct 2 03:45:00 2011', 'Mar 18 03:44:59 2012');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2012', 'Oct 6 13:59:59 2012', 'Mar 18 02:45:00 2012', 'Oct 7 02:44:59 2012');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2012', 'Mar 16 13:59:59 2013', 'Oct 7 03:45:00 2012', 'Mar 17 03:44:59 2013');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2013', 'Oct 5 13:59:59 2013', 'Mar 17 02:45:00 2013', 'Oct 6 02:44:59 2013');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2013', 'Mar 15 13:59:59 2014', 'Oct 6 03:45:00 2013', 'Mar 16 03:44:59 2014');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2014', 'Oct 4 13:59:59 2014', 'Mar 16 02:45:00 2014', 'Oct 5 02:44:59 2014');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2014', 'Mar 14 13:59:59 2015', 'Oct 5 03:45:00 2014', 'Mar 15 03:44:59 2015');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2015', 'Oct 3 13:59:59 2015', 'Mar 15 02:45:00 2015', 'Oct 4 02:44:59 2015');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2015', 'Mar 19 13:59:59 2016', 'Oct 4 03:45:00 2015', 'Mar 20 03:44:59 2016');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2016', 'Oct 1 13:59:59 2016', 'Mar 20 02:45:00 2016', 'Oct 2 02:44:59 2016');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2016', 'Mar 18 13:59:59 2017', 'Oct 2 03:45:00 2016', 'Mar 19 03:44:59 2017');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2017', 'Sep 30 13:59:59 2017', 'Mar 19 02:45:00 2017', 'Oct 1 02:44:59 2017');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2017', 'Mar 17 13:59:59 2018', 'Oct 1 03:45:00 2017', 'Mar 18 03:44:59 2018');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2018', 'Oct 6 13:59:59 2018', 'Mar 18 02:45:00 2018', 'Oct 7 02:44:59 2018');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2018', 'Mar 16 13:59:59 2019', 'Oct 7 03:45:00 2018', 'Mar 17 03:44:59 2019');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2019', 'Oct 5 13:59:59 2019', 'Mar 17 02:45:00 2019', 'Oct 6 02:44:59 2019');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2019', 'Mar 14 13:59:59 2020', 'Oct 6 03:45:00 2019', 'Mar 15 03:44:59 2020');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2020', 'Oct 3 13:59:59 2020', 'Mar 15 02:45:00 2020', 'Oct 4 02:44:59 2020');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2020', 'Mar 20 13:59:59 2021', 'Oct 4 03:45:00 2020', 'Mar 21 03:44:59 2021');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2021', 'Oct 2 13:59:59 2021', 'Mar 21 02:45:00 2021', 'Oct 3 02:44:59 2021');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2021', 'Mar 19 13:59:59 2022', 'Oct 3 03:45:00 2021', 'Mar 20 03:44:59 2022');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2022', 'Oct 1 13:59:59 2022', 'Mar 20 02:45:00 2022', 'Oct 2 02:44:59 2022');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2022', 'Mar 18 13:59:59 2023', 'Oct 2 03:45:00 2022', 'Mar 19 03:44:59 2023');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2023', 'Sep 30 13:59:59 2023', 'Mar 19 02:45:00 2023', 'Oct 1 02:44:59 2023');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2023', 'Mar 16 13:59:59 2024', 'Oct 1 03:45:00 2023', 'Mar 17 03:44:59 2024');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2024', 'Oct 5 13:59:59 2024', 'Mar 17 02:45:00 2024', 'Oct 6 02:44:59 2024');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2024', 'Mar 15 13:59:59 2025', 'Oct 6 03:45:00 2024', 'Mar 16 03:44:59 2025');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2025', 'Oct 4 13:59:59 2025', 'Mar 16 02:45:00 2025', 'Oct 5 02:44:59 2025');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2025', 'Mar 14 13:59:59 2026', 'Oct 5 03:45:00 2025', 'Mar 15 03:44:59 2026');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2026', 'Oct 3 13:59:59 2026', 'Mar 15 02:45:00 2026', 'Oct 4 02:44:59 2026');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2026', 'Mar 20 13:59:59 2027', 'Oct 4 03:45:00 2026', 'Mar 21 03:44:59 2027');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2027', 'Oct 2 13:59:59 2027', 'Mar 21 02:45:00 2027', 'Oct 3 02:44:59 2027');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2027', 'Mar 18 13:59:59 2028', 'Oct 3 03:45:00 2027', 'Mar 19 03:44:59 2028');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2028', 'Sep 30 13:59:59 2028', 'Mar 19 02:45:00 2028', 'Oct 1 02:44:59 2028');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2028', 'Mar 17 13:59:59 2029', 'Oct 1 03:45:00 2028', 'Mar 18 03:44:59 2029');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2029', 'Oct 6 13:59:59 2029', 'Mar 18 02:45:00 2029', 'Oct 7 02:44:59 2029');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2029', 'Mar 16 13:59:59 2030', 'Oct 7 03:45:00 2029', 'Mar 17 03:44:59 2030');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 16 14:00:00 2030', 'Oct 5 13:59:59 2030', 'Mar 17 02:45:00 2030', 'Oct 6 02:44:59 2030');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 5 14:00:00 2030', 'Mar 15 13:59:59 2031', 'Oct 6 03:45:00 2030', 'Mar 16 03:44:59 2031');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2031', 'Oct 4 13:59:59 2031', 'Mar 16 02:45:00 2031', 'Oct 5 02:44:59 2031');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2031', 'Mar 20 13:59:59 2032', 'Oct 5 03:45:00 2031', 'Mar 21 03:44:59 2032');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 20 14:00:00 2032', 'Oct 2 13:59:59 2032', 'Mar 21 02:45:00 2032', 'Oct 3 02:44:59 2032');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 2 14:00:00 2032', 'Mar 19 13:59:59 2033', 'Oct 3 03:45:00 2032', 'Mar 20 03:44:59 2033');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 19 14:00:00 2033', 'Oct 1 13:59:59 2033', 'Mar 20 02:45:00 2033', 'Oct 2 02:44:59 2033');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 1 14:00:00 2033', 'Mar 18 13:59:59 2034', 'Oct 2 03:45:00 2033', 'Mar 19 03:44:59 2034');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 18 14:00:00 2034', 'Sep 30 13:59:59 2034', 'Mar 19 02:45:00 2034', 'Oct 1 02:44:59 2034');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Sep 30 14:00:00 2034', 'Mar 17 13:59:59 2035', 'Oct 1 03:45:00 2034', 'Mar 18 03:44:59 2035');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 17 14:00:00 2035', 'Oct 6 13:59:59 2035', 'Mar 18 02:45:00 2035', 'Oct 7 02:44:59 2035');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 6 14:00:00 2035', 'Mar 15 13:59:59 2036', 'Oct 7 03:45:00 2035', 'Mar 16 03:44:59 2036');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 15 14:00:00 2036', 'Oct 4 13:59:59 2036', 'Mar 16 02:45:00 2036', 'Oct 5 02:44:59 2036');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 4 14:00:00 2036', 'Mar 14 13:59:59 2037', 'Oct 5 03:45:00 2036', 'Mar 15 03:44:59 2037');
timezone.add_rule('Pacific/Chatham', 'CHAST', 0, 45900, 'Mar 14 14:00:00 2037', 'Oct 3 13:59:59 2037', 'Mar 15 02:45:00 2037', 'Oct 4 02:44:59 2037');
timezone.add_rule('Pacific/Chatham', 'CHADT', 1, 49500, 'Oct 3 14:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 4 03:45:00 2037', 'Jan 18 16:59:07 2038');
end;
/

--
-- Pacific/Easter
--

begin
timezone.add_rule('Pacific/Easter', 'EAST', 0, -26248, 'Dec 14 20:45:52 1901', 'Sep 1 07:17:27 1932', 'Dec 14 13:28:24 1901', 'Aug 31 23:59:59 1932');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Sep 1 07:17:28 1932', 'Oct 12 06:59:59 1969', 'Sep 1 00:17:28 1932', 'Oct 11 23:59:59 1969');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 12 07:00:00 1969', 'Mar 15 05:59:59 1970', 'Oct 12 01:00:00 1969', 'Mar 14 23:59:59 1970');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 15 06:00:00 1970', 'Oct 11 06:59:59 1970', 'Mar 14 23:00:00 1970', 'Oct 10 23:59:59 1970');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 11 07:00:00 1970', 'Mar 14 05:59:59 1971', 'Oct 11 01:00:00 1970', 'Mar 13 23:59:59 1971');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 14 06:00:00 1971', 'Oct 10 06:59:59 1971', 'Mar 13 23:00:00 1971', 'Oct 9 23:59:59 1971');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 10 07:00:00 1971', 'Mar 12 05:59:59 1972', 'Oct 10 01:00:00 1971', 'Mar 11 23:59:59 1972');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 12 06:00:00 1972', 'Oct 15 06:59:59 1972', 'Mar 11 23:00:00 1972', 'Oct 14 23:59:59 1972');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 15 07:00:00 1972', 'Mar 11 05:59:59 1973', 'Oct 15 01:00:00 1972', 'Mar 10 23:59:59 1973');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 11 06:00:00 1973', 'Oct 14 06:59:59 1973', 'Mar 10 23:00:00 1973', 'Oct 13 23:59:59 1973');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 14 07:00:00 1973', 'Mar 10 05:59:59 1974', 'Oct 14 01:00:00 1973', 'Mar 9 23:59:59 1974');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 10 06:00:00 1974', 'Oct 13 06:59:59 1974', 'Mar 9 23:00:00 1974', 'Oct 12 23:59:59 1974');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 13 07:00:00 1974', 'Mar 9 05:59:59 1975', 'Oct 13 01:00:00 1974', 'Mar 8 23:59:59 1975');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 9 06:00:00 1975', 'Oct 12 06:59:59 1975', 'Mar 8 23:00:00 1975', 'Oct 11 23:59:59 1975');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 12 07:00:00 1975', 'Mar 14 05:59:59 1976', 'Oct 12 01:00:00 1975', 'Mar 13 23:59:59 1976');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 14 06:00:00 1976', 'Oct 10 06:59:59 1976', 'Mar 13 23:00:00 1976', 'Oct 9 23:59:59 1976');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 10 07:00:00 1976', 'Mar 13 05:59:59 1977', 'Oct 10 01:00:00 1976', 'Mar 12 23:59:59 1977');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 13 06:00:00 1977', 'Oct 9 06:59:59 1977', 'Mar 12 23:00:00 1977', 'Oct 8 23:59:59 1977');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 9 07:00:00 1977', 'Mar 12 05:59:59 1978', 'Oct 9 01:00:00 1977', 'Mar 11 23:59:59 1978');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 12 06:00:00 1978', 'Oct 15 06:59:59 1978', 'Mar 11 23:00:00 1978', 'Oct 14 23:59:59 1978');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 15 07:00:00 1978', 'Mar 11 05:59:59 1979', 'Oct 15 01:00:00 1978', 'Mar 10 23:59:59 1979');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 11 06:00:00 1979', 'Oct 14 06:59:59 1979', 'Mar 10 23:00:00 1979', 'Oct 13 23:59:59 1979');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 14 07:00:00 1979', 'Mar 9 05:59:59 1980', 'Oct 14 01:00:00 1979', 'Mar 8 23:59:59 1980');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 9 06:00:00 1980', 'Oct 12 06:59:59 1980', 'Mar 8 23:00:00 1980', 'Oct 11 23:59:59 1980');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 12 07:00:00 1980', 'Mar 15 05:59:59 1981', 'Oct 12 01:00:00 1980', 'Mar 14 23:59:59 1981');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -25200, 'Mar 15 06:00:00 1981', 'Oct 11 06:59:59 1981', 'Mar 14 23:00:00 1981', 'Oct 10 23:59:59 1981');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -21600, 'Oct 11 07:00:00 1981', 'Mar 14 05:59:59 1982', 'Oct 11 01:00:00 1981', 'Mar 13 23:59:59 1982');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 14 06:00:00 1982', 'Oct 10 05:59:59 1982', 'Mar 14 00:00:00 1982', 'Oct 9 23:59:59 1982');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 10 06:00:00 1982', 'Mar 13 04:59:59 1983', 'Oct 10 01:00:00 1982', 'Mar 12 23:59:59 1983');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 13 05:00:00 1983', 'Oct 9 05:59:59 1983', 'Mar 12 23:00:00 1983', 'Oct 8 23:59:59 1983');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 9 06:00:00 1983', 'Mar 11 04:59:59 1984', 'Oct 9 01:00:00 1983', 'Mar 10 23:59:59 1984');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 11 05:00:00 1984', 'Oct 14 05:59:59 1984', 'Mar 10 23:00:00 1984', 'Oct 13 23:59:59 1984');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 14 06:00:00 1984', 'Mar 10 04:59:59 1985', 'Oct 14 01:00:00 1984', 'Mar 9 23:59:59 1985');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 10 05:00:00 1985', 'Oct 13 05:59:59 1985', 'Mar 9 23:00:00 1985', 'Oct 12 23:59:59 1985');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 13 06:00:00 1985', 'Mar 9 04:59:59 1986', 'Oct 13 01:00:00 1985', 'Mar 8 23:59:59 1986');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 9 05:00:00 1986', 'Oct 12 05:59:59 1986', 'Mar 8 23:00:00 1986', 'Oct 11 23:59:59 1986');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 12 06:00:00 1986', 'Mar 15 04:59:59 1987', 'Oct 12 01:00:00 1986', 'Mar 14 23:59:59 1987');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 15 05:00:00 1987', 'Oct 11 05:59:59 1987', 'Mar 14 23:00:00 1987', 'Oct 10 23:59:59 1987');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 11 06:00:00 1987', 'Mar 13 04:59:59 1988', 'Oct 11 01:00:00 1987', 'Mar 12 23:59:59 1988');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 13 05:00:00 1988', 'Oct 9 05:59:59 1988', 'Mar 12 23:00:00 1988', 'Oct 8 23:59:59 1988');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 9 06:00:00 1988', 'Mar 12 04:59:59 1989', 'Oct 9 01:00:00 1988', 'Mar 11 23:59:59 1989');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 12 05:00:00 1989', 'Oct 15 05:59:59 1989', 'Mar 11 23:00:00 1989', 'Oct 14 23:59:59 1989');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 15 06:00:00 1989', 'Mar 11 04:59:59 1990', 'Oct 15 01:00:00 1989', 'Mar 10 23:59:59 1990');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 11 05:00:00 1990', 'Oct 14 05:59:59 1990', 'Mar 10 23:00:00 1990', 'Oct 13 23:59:59 1990');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 14 06:00:00 1990', 'Mar 10 04:59:59 1991', 'Oct 14 01:00:00 1990', 'Mar 9 23:59:59 1991');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 10 05:00:00 1991', 'Oct 13 05:59:59 1991', 'Mar 9 23:00:00 1991', 'Oct 12 23:59:59 1991');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 13 06:00:00 1991', 'Mar 15 04:59:59 1992', 'Oct 13 01:00:00 1991', 'Mar 14 23:59:59 1992');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 15 05:00:00 1992', 'Oct 11 05:59:59 1992', 'Mar 14 23:00:00 1992', 'Oct 10 23:59:59 1992');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 11 06:00:00 1992', 'Mar 14 04:59:59 1993', 'Oct 11 01:00:00 1992', 'Mar 13 23:59:59 1993');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 14 05:00:00 1993', 'Oct 10 05:59:59 1993', 'Mar 13 23:00:00 1993', 'Oct 9 23:59:59 1993');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 10 06:00:00 1993', 'Mar 13 04:59:59 1994', 'Oct 10 01:00:00 1993', 'Mar 12 23:59:59 1994');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 13 05:00:00 1994', 'Oct 9 05:59:59 1994', 'Mar 12 23:00:00 1994', 'Oct 8 23:59:59 1994');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 9 06:00:00 1994', 'Mar 12 04:59:59 1995', 'Oct 9 01:00:00 1994', 'Mar 11 23:59:59 1995');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 12 05:00:00 1995', 'Oct 15 05:59:59 1995', 'Mar 11 23:00:00 1995', 'Oct 14 23:59:59 1995');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 15 06:00:00 1995', 'Mar 10 04:59:59 1996', 'Oct 15 01:00:00 1995', 'Mar 9 23:59:59 1996');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 10 05:00:00 1996', 'Oct 13 05:59:59 1996', 'Mar 9 23:00:00 1996', 'Oct 12 23:59:59 1996');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 13 06:00:00 1996', 'Mar 9 04:59:59 1997', 'Oct 13 01:00:00 1996', 'Mar 8 23:59:59 1997');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 9 05:00:00 1997', 'Oct 12 05:59:59 1997', 'Mar 8 23:00:00 1997', 'Oct 11 23:59:59 1997');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 12 06:00:00 1997', 'Mar 15 04:59:59 1998', 'Oct 12 01:00:00 1997', 'Mar 14 23:59:59 1998');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 15 05:00:00 1998', 'Sep 27 05:59:59 1998', 'Mar 14 23:00:00 1998', 'Sep 26 23:59:59 1998');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Sep 27 06:00:00 1998', 'Apr 4 04:59:59 1999', 'Sep 27 01:00:00 1998', 'Apr 3 23:59:59 1999');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Apr 4 05:00:00 1999', 'Oct 10 05:59:59 1999', 'Apr 3 23:00:00 1999', 'Oct 9 23:59:59 1999');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 10 06:00:00 1999', 'Mar 12 04:59:59 2000', 'Oct 10 01:00:00 1999', 'Mar 11 23:59:59 2000');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 12 05:00:00 2000', 'Oct 15 05:59:59 2000', 'Mar 11 23:00:00 2000', 'Oct 14 23:59:59 2000');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 15 06:00:00 2000', 'Mar 11 04:59:59 2001', 'Oct 15 01:00:00 2000', 'Mar 10 23:59:59 2001');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 11 05:00:00 2001', 'Oct 14 05:59:59 2001', 'Mar 10 23:00:00 2001', 'Oct 13 23:59:59 2001');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 14 06:00:00 2001', 'Mar 10 04:59:59 2002', 'Oct 14 01:00:00 2001', 'Mar 9 23:59:59 2002');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 10 05:00:00 2002', 'Oct 13 05:59:59 2002', 'Mar 9 23:00:00 2002', 'Oct 12 23:59:59 2002');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 13 06:00:00 2002', 'Mar 9 04:59:59 2003', 'Oct 13 01:00:00 2002', 'Mar 8 23:59:59 2003');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 9 05:00:00 2003', 'Oct 12 05:59:59 2003', 'Mar 8 23:00:00 2003', 'Oct 11 23:59:59 2003');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 12 06:00:00 2003', 'Mar 14 04:59:59 2004', 'Oct 12 01:00:00 2003', 'Mar 13 23:59:59 2004');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 14 05:00:00 2004', 'Oct 10 05:59:59 2004', 'Mar 13 23:00:00 2004', 'Oct 9 23:59:59 2004');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 10 06:00:00 2004', 'Mar 13 04:59:59 2005', 'Oct 10 01:00:00 2004', 'Mar 12 23:59:59 2005');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 13 05:00:00 2005', 'Oct 9 05:59:59 2005', 'Mar 12 23:00:00 2005', 'Oct 8 23:59:59 2005');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 9 06:00:00 2005', 'Mar 12 04:59:59 2006', 'Oct 9 01:00:00 2005', 'Mar 11 23:59:59 2006');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 12 05:00:00 2006', 'Oct 15 05:59:59 2006', 'Mar 11 23:00:00 2006', 'Oct 14 23:59:59 2006');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 15 06:00:00 2006', 'Mar 11 04:59:59 2007', 'Oct 15 01:00:00 2006', 'Mar 10 23:59:59 2007');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 11 05:00:00 2007', 'Oct 14 05:59:59 2007', 'Mar 10 23:00:00 2007', 'Oct 13 23:59:59 2007');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 14 06:00:00 2007', 'Mar 9 04:59:59 2008', 'Oct 14 01:00:00 2007', 'Mar 8 23:59:59 2008');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 9 05:00:00 2008', 'Oct 12 05:59:59 2008', 'Mar 8 23:00:00 2008', 'Oct 11 23:59:59 2008');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 12 06:00:00 2008', 'Mar 15 04:59:59 2009', 'Oct 12 01:00:00 2008', 'Mar 14 23:59:59 2009');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 15 05:00:00 2009', 'Oct 11 05:59:59 2009', 'Mar 14 23:00:00 2009', 'Oct 10 23:59:59 2009');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 11 06:00:00 2009', 'Mar 14 04:59:59 2010', 'Oct 11 01:00:00 2009', 'Mar 13 23:59:59 2010');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 14 05:00:00 2010', 'Oct 10 05:59:59 2010', 'Mar 13 23:00:00 2010', 'Oct 9 23:59:59 2010');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 10 06:00:00 2010', 'Mar 13 04:59:59 2011', 'Oct 10 01:00:00 2010', 'Mar 12 23:59:59 2011');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 13 05:00:00 2011', 'Oct 9 05:59:59 2011', 'Mar 12 23:00:00 2011', 'Oct 8 23:59:59 2011');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 9 06:00:00 2011', 'Mar 11 04:59:59 2012', 'Oct 9 01:00:00 2011', 'Mar 10 23:59:59 2012');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 11 05:00:00 2012', 'Oct 14 05:59:59 2012', 'Mar 10 23:00:00 2012', 'Oct 13 23:59:59 2012');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 14 06:00:00 2012', 'Mar 10 04:59:59 2013', 'Oct 14 01:00:00 2012', 'Mar 9 23:59:59 2013');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 10 05:00:00 2013', 'Oct 13 05:59:59 2013', 'Mar 9 23:00:00 2013', 'Oct 12 23:59:59 2013');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 13 06:00:00 2013', 'Mar 9 04:59:59 2014', 'Oct 13 01:00:00 2013', 'Mar 8 23:59:59 2014');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 9 05:00:00 2014', 'Oct 12 05:59:59 2014', 'Mar 8 23:00:00 2014', 'Oct 11 23:59:59 2014');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 12 06:00:00 2014', 'Mar 15 04:59:59 2015', 'Oct 12 01:00:00 2014', 'Mar 14 23:59:59 2015');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 15 05:00:00 2015', 'Oct 11 05:59:59 2015', 'Mar 14 23:00:00 2015', 'Oct 10 23:59:59 2015');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 11 06:00:00 2015', 'Mar 13 04:59:59 2016', 'Oct 11 01:00:00 2015', 'Mar 12 23:59:59 2016');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 13 05:00:00 2016', 'Oct 9 05:59:59 2016', 'Mar 12 23:00:00 2016', 'Oct 8 23:59:59 2016');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 9 06:00:00 2016', 'Mar 12 04:59:59 2017', 'Oct 9 01:00:00 2016', 'Mar 11 23:59:59 2017');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 12 05:00:00 2017', 'Oct 15 05:59:59 2017', 'Mar 11 23:00:00 2017', 'Oct 14 23:59:59 2017');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 15 06:00:00 2017', 'Mar 11 04:59:59 2018', 'Oct 15 01:00:00 2017', 'Mar 10 23:59:59 2018');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 11 05:00:00 2018', 'Oct 14 05:59:59 2018', 'Mar 10 23:00:00 2018', 'Oct 13 23:59:59 2018');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 14 06:00:00 2018', 'Mar 10 04:59:59 2019', 'Oct 14 01:00:00 2018', 'Mar 9 23:59:59 2019');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 10 05:00:00 2019', 'Oct 13 05:59:59 2019', 'Mar 9 23:00:00 2019', 'Oct 12 23:59:59 2019');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 13 06:00:00 2019', 'Mar 15 04:59:59 2020', 'Oct 13 01:00:00 2019', 'Mar 14 23:59:59 2020');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 15 05:00:00 2020', 'Oct 11 05:59:59 2020', 'Mar 14 23:00:00 2020', 'Oct 10 23:59:59 2020');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 11 06:00:00 2020', 'Mar 14 04:59:59 2021', 'Oct 11 01:00:00 2020', 'Mar 13 23:59:59 2021');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 14 05:00:00 2021', 'Oct 10 05:59:59 2021', 'Mar 13 23:00:00 2021', 'Oct 9 23:59:59 2021');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 10 06:00:00 2021', 'Mar 13 04:59:59 2022', 'Oct 10 01:00:00 2021', 'Mar 12 23:59:59 2022');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 13 05:00:00 2022', 'Oct 9 05:59:59 2022', 'Mar 12 23:00:00 2022', 'Oct 8 23:59:59 2022');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 9 06:00:00 2022', 'Mar 12 04:59:59 2023', 'Oct 9 01:00:00 2022', 'Mar 11 23:59:59 2023');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 12 05:00:00 2023', 'Oct 15 05:59:59 2023', 'Mar 11 23:00:00 2023', 'Oct 14 23:59:59 2023');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 15 06:00:00 2023', 'Mar 10 04:59:59 2024', 'Oct 15 01:00:00 2023', 'Mar 9 23:59:59 2024');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 10 05:00:00 2024', 'Oct 13 05:59:59 2024', 'Mar 9 23:00:00 2024', 'Oct 12 23:59:59 2024');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 13 06:00:00 2024', 'Mar 9 04:59:59 2025', 'Oct 13 01:00:00 2024', 'Mar 8 23:59:59 2025');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 9 05:00:00 2025', 'Oct 12 05:59:59 2025', 'Mar 8 23:00:00 2025', 'Oct 11 23:59:59 2025');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 12 06:00:00 2025', 'Mar 15 04:59:59 2026', 'Oct 12 01:00:00 2025', 'Mar 14 23:59:59 2026');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 15 05:00:00 2026', 'Oct 11 05:59:59 2026', 'Mar 14 23:00:00 2026', 'Oct 10 23:59:59 2026');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 11 06:00:00 2026', 'Mar 14 04:59:59 2027', 'Oct 11 01:00:00 2026', 'Mar 13 23:59:59 2027');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 14 05:00:00 2027', 'Oct 10 05:59:59 2027', 'Mar 13 23:00:00 2027', 'Oct 9 23:59:59 2027');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 10 06:00:00 2027', 'Mar 12 04:59:59 2028', 'Oct 10 01:00:00 2027', 'Mar 11 23:59:59 2028');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 12 05:00:00 2028', 'Oct 15 05:59:59 2028', 'Mar 11 23:00:00 2028', 'Oct 14 23:59:59 2028');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 15 06:00:00 2028', 'Mar 11 04:59:59 2029', 'Oct 15 01:00:00 2028', 'Mar 10 23:59:59 2029');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 11 05:00:00 2029', 'Oct 14 05:59:59 2029', 'Mar 10 23:00:00 2029', 'Oct 13 23:59:59 2029');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 14 06:00:00 2029', 'Mar 10 04:59:59 2030', 'Oct 14 01:00:00 2029', 'Mar 9 23:59:59 2030');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 10 05:00:00 2030', 'Oct 13 05:59:59 2030', 'Mar 9 23:00:00 2030', 'Oct 12 23:59:59 2030');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 13 06:00:00 2030', 'Mar 9 04:59:59 2031', 'Oct 13 01:00:00 2030', 'Mar 8 23:59:59 2031');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 9 05:00:00 2031', 'Oct 12 05:59:59 2031', 'Mar 8 23:00:00 2031', 'Oct 11 23:59:59 2031');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 12 06:00:00 2031', 'Mar 14 04:59:59 2032', 'Oct 12 01:00:00 2031', 'Mar 13 23:59:59 2032');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 14 05:00:00 2032', 'Oct 10 05:59:59 2032', 'Mar 13 23:00:00 2032', 'Oct 9 23:59:59 2032');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 10 06:00:00 2032', 'Mar 13 04:59:59 2033', 'Oct 10 01:00:00 2032', 'Mar 12 23:59:59 2033');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 13 05:00:00 2033', 'Oct 9 05:59:59 2033', 'Mar 12 23:00:00 2033', 'Oct 8 23:59:59 2033');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 9 06:00:00 2033', 'Mar 12 04:59:59 2034', 'Oct 9 01:00:00 2033', 'Mar 11 23:59:59 2034');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 12 05:00:00 2034', 'Oct 15 05:59:59 2034', 'Mar 11 23:00:00 2034', 'Oct 14 23:59:59 2034');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 15 06:00:00 2034', 'Mar 11 04:59:59 2035', 'Oct 15 01:00:00 2034', 'Mar 10 23:59:59 2035');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 11 05:00:00 2035', 'Oct 14 05:59:59 2035', 'Mar 10 23:00:00 2035', 'Oct 13 23:59:59 2035');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 14 06:00:00 2035', 'Mar 9 04:59:59 2036', 'Oct 14 01:00:00 2035', 'Mar 8 23:59:59 2036');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 9 05:00:00 2036', 'Oct 12 05:59:59 2036', 'Mar 8 23:00:00 2036', 'Oct 11 23:59:59 2036');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 12 06:00:00 2036', 'Mar 15 04:59:59 2037', 'Oct 12 01:00:00 2036', 'Mar 14 23:59:59 2037');
timezone.add_rule('Pacific/Easter', 'EAST', 0, -21600, 'Mar 15 05:00:00 2037', 'Oct 11 05:59:59 2037', 'Mar 14 23:00:00 2037', 'Oct 10 23:59:59 2037');
timezone.add_rule('Pacific/Easter', 'EASST', 1, -18000, 'Oct 11 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 11 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- Pacific/Efate
--

begin
timezone.add_rule('Pacific/Efate', 'VUT', 0, 40396, 'Dec 14 20:45:52 1901', 'Jan 12 12:46:43 1912', 'Dec 15 07:59:08 1901', 'Jan 12 23:59:59 1912');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Jan 12 12:46:44 1912', 'Sep 24 12:59:59 1983', 'Jan 12 23:46:44 1912', 'Sep 24 23:59:59 1983');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Sep 24 13:00:00 1983', 'Mar 24 11:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 24 23:59:59 1984');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Mar 24 12:00:00 1984', 'Oct 22 12:59:59 1984', 'Mar 24 23:00:00 1984', 'Oct 22 23:59:59 1984');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Oct 22 13:00:00 1984', 'Mar 23 11:59:59 1985', 'Oct 23 01:00:00 1984', 'Mar 23 23:59:59 1985');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Mar 23 12:00:00 1985', 'Sep 28 12:59:59 1985', 'Mar 23 23:00:00 1985', 'Sep 28 23:59:59 1985');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Sep 28 13:00:00 1985', 'Mar 22 11:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 22 23:59:59 1986');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Mar 22 12:00:00 1986', 'Sep 27 12:59:59 1986', 'Mar 22 23:00:00 1986', 'Sep 27 23:59:59 1986');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Sep 27 13:00:00 1986', 'Mar 28 11:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 28 23:59:59 1987');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Mar 28 12:00:00 1987', 'Sep 26 12:59:59 1987', 'Mar 28 23:00:00 1987', 'Sep 26 23:59:59 1987');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Sep 26 13:00:00 1987', 'Mar 26 11:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 26 23:59:59 1988');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Mar 26 12:00:00 1988', 'Sep 24 12:59:59 1988', 'Mar 26 23:00:00 1988', 'Sep 24 23:59:59 1988');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Sep 24 13:00:00 1988', 'Mar 25 11:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 25 23:59:59 1989');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Mar 25 12:00:00 1989', 'Sep 23 12:59:59 1989', 'Mar 25 23:00:00 1989', 'Sep 23 23:59:59 1989');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Sep 23 13:00:00 1989', 'Mar 24 11:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 24 23:59:59 1990');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Mar 24 12:00:00 1990', 'Sep 22 12:59:59 1990', 'Mar 24 23:00:00 1990', 'Sep 22 23:59:59 1990');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Sep 22 13:00:00 1990', 'Mar 23 11:59:59 1991', 'Sep 23 01:00:00 1990', 'Mar 23 23:59:59 1991');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Mar 23 12:00:00 1991', 'Sep 28 12:59:59 1991', 'Mar 23 23:00:00 1991', 'Sep 28 23:59:59 1991');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Sep 28 13:00:00 1991', 'Jan 25 11:59:59 1992', 'Sep 29 01:00:00 1991', 'Jan 25 23:59:59 1992');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Jan 25 12:00:00 1992', 'Oct 24 12:59:59 1992', 'Jan 25 23:00:00 1992', 'Oct 24 23:59:59 1992');
timezone.add_rule('Pacific/Efate', 'VUST', 1, 43200, 'Oct 24 13:00:00 1992', 'Jan 23 11:59:59 1993', 'Oct 25 01:00:00 1992', 'Jan 23 23:59:59 1993');
timezone.add_rule('Pacific/Efate', 'VUT', 0, 39600, 'Jan 23 12:00:00 1993', 'Jan 18 03:14:07 2038', 'Jan 23 23:00:00 1993', 'Jan 18 14:14:07 2038');
end;
/

--
-- Pacific/Enderbury
--

begin
timezone.add_rule('Pacific/Enderbury', 'PHOT', 0, -43200, 'Dec 14 20:45:52 1901', 'Oct 1 11:59:59 1979', 'Dec 14 08:45:52 1901', 'Sep 30 23:59:59 1979');
timezone.add_rule('Pacific/Enderbury', 'PHOT', 0, -39600, 'Oct 1 12:00:00 1979', 'Jan 1 10:59:59 1995', 'Oct 1 01:00:00 1979', 'Dec 31 23:59:59 1994');
timezone.add_rule('Pacific/Enderbury', 'PHOT', 0, 46800, 'Jan 1 11:00:00 1995', 'Jan 18 03:14:07 2038', 'Jan 2 00:00:00 1995', 'Jan 18 16:14:07 2038');
end;
/

--
-- Pacific/Fakaofo
--

begin
timezone.add_rule('Pacific/Fakaofo', 'TKT', 0, -36000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 10:45:52 1901', 'Jan 17 17:14:07 2038');
end;
/

--
-- Pacific/Fiji
--

begin
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 42820, 'Dec 14 20:45:52 1901', 'Oct 25 12:06:19 1915', 'Dec 15 08:39:32 1901', 'Oct 25 23:59:59 1915');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Oct 25 12:06:20 1915', 'Oct 31 13:59:59 1998', 'Oct 26 00:06:20 1915', 'Nov 1 01:59:59 1998');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Oct 31 14:00:00 1998', 'Feb 27 13:59:59 1999', 'Nov 1 03:00:00 1998', 'Feb 28 02:59:59 1999');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 27 14:00:00 1999', 'Nov 6 13:59:59 1999', 'Feb 28 02:00:00 1999', 'Nov 7 01:59:59 1999');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 6 14:00:00 1999', 'Feb 26 13:59:59 2000', 'Nov 7 03:00:00 1999', 'Feb 27 02:59:59 2000');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 26 14:00:00 2000', 'Nov 4 13:59:59 2000', 'Feb 27 02:00:00 2000', 'Nov 5 01:59:59 2000');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 4 14:00:00 2000', 'Feb 24 13:59:59 2001', 'Nov 5 03:00:00 2000', 'Feb 25 02:59:59 2001');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 24 14:00:00 2001', 'Nov 3 13:59:59 2001', 'Feb 25 02:00:00 2001', 'Nov 4 01:59:59 2001');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 3 14:00:00 2001', 'Feb 23 13:59:59 2002', 'Nov 4 03:00:00 2001', 'Feb 24 02:59:59 2002');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 23 14:00:00 2002', 'Nov 2 13:59:59 2002', 'Feb 24 02:00:00 2002', 'Nov 3 01:59:59 2002');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 2 14:00:00 2002', 'Feb 22 13:59:59 2003', 'Nov 3 03:00:00 2002', 'Feb 23 02:59:59 2003');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 22 14:00:00 2003', 'Nov 1 13:59:59 2003', 'Feb 23 02:00:00 2003', 'Nov 2 01:59:59 2003');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 1 14:00:00 2003', 'Feb 28 13:59:59 2004', 'Nov 2 03:00:00 2003', 'Feb 29 02:59:59 2004');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 28 14:00:00 2004', 'Nov 6 13:59:59 2004', 'Feb 29 02:00:00 2004', 'Nov 7 01:59:59 2004');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 6 14:00:00 2004', 'Feb 26 13:59:59 2005', 'Nov 7 03:00:00 2004', 'Feb 27 02:59:59 2005');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 26 14:00:00 2005', 'Nov 5 13:59:59 2005', 'Feb 27 02:00:00 2005', 'Nov 6 01:59:59 2005');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 5 14:00:00 2005', 'Feb 25 13:59:59 2006', 'Nov 6 03:00:00 2005', 'Feb 26 02:59:59 2006');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 25 14:00:00 2006', 'Nov 4 13:59:59 2006', 'Feb 26 02:00:00 2006', 'Nov 5 01:59:59 2006');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 4 14:00:00 2006', 'Feb 24 13:59:59 2007', 'Nov 5 03:00:00 2006', 'Feb 25 02:59:59 2007');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 24 14:00:00 2007', 'Nov 3 13:59:59 2007', 'Feb 25 02:00:00 2007', 'Nov 4 01:59:59 2007');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 3 14:00:00 2007', 'Feb 23 13:59:59 2008', 'Nov 4 03:00:00 2007', 'Feb 24 02:59:59 2008');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 23 14:00:00 2008', 'Nov 1 13:59:59 2008', 'Feb 24 02:00:00 2008', 'Nov 2 01:59:59 2008');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 1 14:00:00 2008', 'Feb 21 13:59:59 2009', 'Nov 2 03:00:00 2008', 'Feb 22 02:59:59 2009');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 21 14:00:00 2009', 'Oct 31 13:59:59 2009', 'Feb 22 02:00:00 2009', 'Nov 1 01:59:59 2009');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Oct 31 14:00:00 2009', 'Feb 27 13:59:59 2010', 'Nov 1 03:00:00 2009', 'Feb 28 02:59:59 2010');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 27 14:00:00 2010', 'Nov 6 13:59:59 2010', 'Feb 28 02:00:00 2010', 'Nov 7 01:59:59 2010');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 6 14:00:00 2010', 'Feb 26 13:59:59 2011', 'Nov 7 03:00:00 2010', 'Feb 27 02:59:59 2011');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 26 14:00:00 2011', 'Nov 5 13:59:59 2011', 'Feb 27 02:00:00 2011', 'Nov 6 01:59:59 2011');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 5 14:00:00 2011', 'Feb 25 13:59:59 2012', 'Nov 6 03:00:00 2011', 'Feb 26 02:59:59 2012');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 25 14:00:00 2012', 'Nov 3 13:59:59 2012', 'Feb 26 02:00:00 2012', 'Nov 4 01:59:59 2012');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 3 14:00:00 2012', 'Feb 23 13:59:59 2013', 'Nov 4 03:00:00 2012', 'Feb 24 02:59:59 2013');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 23 14:00:00 2013', 'Nov 2 13:59:59 2013', 'Feb 24 02:00:00 2013', 'Nov 3 01:59:59 2013');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 2 14:00:00 2013', 'Feb 22 13:59:59 2014', 'Nov 3 03:00:00 2013', 'Feb 23 02:59:59 2014');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 22 14:00:00 2014', 'Nov 1 13:59:59 2014', 'Feb 23 02:00:00 2014', 'Nov 2 01:59:59 2014');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 1 14:00:00 2014', 'Feb 21 13:59:59 2015', 'Nov 2 03:00:00 2014', 'Feb 22 02:59:59 2015');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 21 14:00:00 2015', 'Oct 31 13:59:59 2015', 'Feb 22 02:00:00 2015', 'Nov 1 01:59:59 2015');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Oct 31 14:00:00 2015', 'Feb 27 13:59:59 2016', 'Nov 1 03:00:00 2015', 'Feb 28 02:59:59 2016');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 27 14:00:00 2016', 'Nov 5 13:59:59 2016', 'Feb 28 02:00:00 2016', 'Nov 6 01:59:59 2016');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 5 14:00:00 2016', 'Feb 25 13:59:59 2017', 'Nov 6 03:00:00 2016', 'Feb 26 02:59:59 2017');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 25 14:00:00 2017', 'Nov 4 13:59:59 2017', 'Feb 26 02:00:00 2017', 'Nov 5 01:59:59 2017');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 4 14:00:00 2017', 'Feb 24 13:59:59 2018', 'Nov 5 03:00:00 2017', 'Feb 25 02:59:59 2018');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 24 14:00:00 2018', 'Nov 3 13:59:59 2018', 'Feb 25 02:00:00 2018', 'Nov 4 01:59:59 2018');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 3 14:00:00 2018', 'Feb 23 13:59:59 2019', 'Nov 4 03:00:00 2018', 'Feb 24 02:59:59 2019');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 23 14:00:00 2019', 'Nov 2 13:59:59 2019', 'Feb 24 02:00:00 2019', 'Nov 3 01:59:59 2019');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 2 14:00:00 2019', 'Feb 22 13:59:59 2020', 'Nov 3 03:00:00 2019', 'Feb 23 02:59:59 2020');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 22 14:00:00 2020', 'Oct 31 13:59:59 2020', 'Feb 23 02:00:00 2020', 'Nov 1 01:59:59 2020');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Oct 31 14:00:00 2020', 'Feb 27 13:59:59 2021', 'Nov 1 03:00:00 2020', 'Feb 28 02:59:59 2021');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 27 14:00:00 2021', 'Nov 6 13:59:59 2021', 'Feb 28 02:00:00 2021', 'Nov 7 01:59:59 2021');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 6 14:00:00 2021', 'Feb 26 13:59:59 2022', 'Nov 7 03:00:00 2021', 'Feb 27 02:59:59 2022');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 26 14:00:00 2022', 'Nov 5 13:59:59 2022', 'Feb 27 02:00:00 2022', 'Nov 6 01:59:59 2022');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 5 14:00:00 2022', 'Feb 25 13:59:59 2023', 'Nov 6 03:00:00 2022', 'Feb 26 02:59:59 2023');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 25 14:00:00 2023', 'Nov 4 13:59:59 2023', 'Feb 26 02:00:00 2023', 'Nov 5 01:59:59 2023');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 4 14:00:00 2023', 'Feb 24 13:59:59 2024', 'Nov 5 03:00:00 2023', 'Feb 25 02:59:59 2024');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 24 14:00:00 2024', 'Nov 2 13:59:59 2024', 'Feb 25 02:00:00 2024', 'Nov 3 01:59:59 2024');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 2 14:00:00 2024', 'Feb 22 13:59:59 2025', 'Nov 3 03:00:00 2024', 'Feb 23 02:59:59 2025');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 22 14:00:00 2025', 'Nov 1 13:59:59 2025', 'Feb 23 02:00:00 2025', 'Nov 2 01:59:59 2025');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 1 14:00:00 2025', 'Feb 21 13:59:59 2026', 'Nov 2 03:00:00 2025', 'Feb 22 02:59:59 2026');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 21 14:00:00 2026', 'Oct 31 13:59:59 2026', 'Feb 22 02:00:00 2026', 'Nov 1 01:59:59 2026');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Oct 31 14:00:00 2026', 'Feb 27 13:59:59 2027', 'Nov 1 03:00:00 2026', 'Feb 28 02:59:59 2027');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 27 14:00:00 2027', 'Nov 6 13:59:59 2027', 'Feb 28 02:00:00 2027', 'Nov 7 01:59:59 2027');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 6 14:00:00 2027', 'Feb 26 13:59:59 2028', 'Nov 7 03:00:00 2027', 'Feb 27 02:59:59 2028');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 26 14:00:00 2028', 'Nov 4 13:59:59 2028', 'Feb 27 02:00:00 2028', 'Nov 5 01:59:59 2028');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 4 14:00:00 2028', 'Feb 24 13:59:59 2029', 'Nov 5 03:00:00 2028', 'Feb 25 02:59:59 2029');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 24 14:00:00 2029', 'Nov 3 13:59:59 2029', 'Feb 25 02:00:00 2029', 'Nov 4 01:59:59 2029');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 3 14:00:00 2029', 'Feb 23 13:59:59 2030', 'Nov 4 03:00:00 2029', 'Feb 24 02:59:59 2030');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 23 14:00:00 2030', 'Nov 2 13:59:59 2030', 'Feb 24 02:00:00 2030', 'Nov 3 01:59:59 2030');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 2 14:00:00 2030', 'Feb 22 13:59:59 2031', 'Nov 3 03:00:00 2030', 'Feb 23 02:59:59 2031');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 22 14:00:00 2031', 'Nov 1 13:59:59 2031', 'Feb 23 02:00:00 2031', 'Nov 2 01:59:59 2031');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 1 14:00:00 2031', 'Feb 28 13:59:59 2032', 'Nov 2 03:00:00 2031', 'Feb 29 02:59:59 2032');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 28 14:00:00 2032', 'Nov 6 13:59:59 2032', 'Feb 29 02:00:00 2032', 'Nov 7 01:59:59 2032');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 6 14:00:00 2032', 'Feb 26 13:59:59 2033', 'Nov 7 03:00:00 2032', 'Feb 27 02:59:59 2033');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 26 14:00:00 2033', 'Nov 5 13:59:59 2033', 'Feb 27 02:00:00 2033', 'Nov 6 01:59:59 2033');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 5 14:00:00 2033', 'Feb 25 13:59:59 2034', 'Nov 6 03:00:00 2033', 'Feb 26 02:59:59 2034');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 25 14:00:00 2034', 'Nov 4 13:59:59 2034', 'Feb 26 02:00:00 2034', 'Nov 5 01:59:59 2034');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 4 14:00:00 2034', 'Feb 24 13:59:59 2035', 'Nov 5 03:00:00 2034', 'Feb 25 02:59:59 2035');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 24 14:00:00 2035', 'Nov 3 13:59:59 2035', 'Feb 25 02:00:00 2035', 'Nov 4 01:59:59 2035');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 3 14:00:00 2035', 'Feb 23 13:59:59 2036', 'Nov 4 03:00:00 2035', 'Feb 24 02:59:59 2036');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 23 14:00:00 2036', 'Nov 1 13:59:59 2036', 'Feb 24 02:00:00 2036', 'Nov 2 01:59:59 2036');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Nov 1 14:00:00 2036', 'Feb 21 13:59:59 2037', 'Nov 2 03:00:00 2036', 'Feb 22 02:59:59 2037');
timezone.add_rule('Pacific/Fiji', 'FJT', 0, 43200, 'Feb 21 14:00:00 2037', 'Oct 31 13:59:59 2037', 'Feb 22 02:00:00 2037', 'Nov 1 01:59:59 2037');
timezone.add_rule('Pacific/Fiji', 'FJST', 1, 46800, 'Oct 31 14:00:00 2037', 'Jan 18 03:14:07 2038', 'Nov 1 03:00:00 2037', 'Jan 18 16:14:07 2038');
end;
/

--
-- Pacific/Funafuti
--

begin
timezone.add_rule('Pacific/Funafuti', 'TVT', 0, 43200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 08:45:52 1901', 'Jan 18 15:14:07 2038');
end;
/

--
-- Pacific/Galapagos
--

begin
timezone.add_rule('Pacific/Galapagos', 'GALT', 0, -21504, 'Dec 14 20:45:52 1901', 'Jan 1 05:58:23 1931', 'Dec 14 14:47:28 1901', 'Dec 31 23:59:59 1930');
timezone.add_rule('Pacific/Galapagos', 'GALT', 0, -18000, 'Jan 1 05:58:24 1931', 'Jan 1 04:59:59 1986', 'Jan 1 00:58:24 1931', 'Dec 31 23:59:59 1985');
timezone.add_rule('Pacific/Galapagos', 'GALT', 0, -21600, 'Jan 1 05:00:00 1986', 'Jan 18 03:14:07 2038', 'Dec 31 23:00:00 1985', 'Jan 17 21:14:07 2038');
end;
/

--
-- Pacific/Gambier
--

begin
timezone.add_rule('Pacific/Gambier', 'GAMT', 0, -32388, 'Dec 14 20:45:52 1901', 'Oct 1 08:59:47 1912', 'Dec 14 11:46:04 1901', 'Sep 30 23:59:59 1912');
timezone.add_rule('Pacific/Gambier', 'GAMT', 0, -32400, 'Oct 1 08:59:48 1912', 'Jan 18 03:14:07 2038', 'Sep 30 23:59:48 1912', 'Jan 17 18:14:07 2038');
end;
/

--
-- Pacific/Guadalcanal
--

begin
timezone.add_rule('Pacific/Guadalcanal', 'SBT', 0, 38388, 'Dec 14 20:45:52 1901', 'Sep 30 13:20:11 1912', 'Dec 15 07:25:40 1901', 'Sep 30 23:59:59 1912');
timezone.add_rule('Pacific/Guadalcanal', 'SBT', 0, 39600, 'Sep 30 13:20:12 1912', 'Jan 18 03:14:07 2038', 'Oct 1 00:20:12 1912', 'Jan 18 14:14:07 2038');
end;
/

--
-- Pacific/Guam
--

begin
timezone.add_rule('Pacific/Guam', 'GST', 0, 36000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 06:45:52 1901', 'Jan 18 13:14:07 2038');
end;
/

--
-- Pacific/Honolulu
--

begin
timezone.add_rule('Pacific/Honolulu', 'HST', 0, -37800, 'Dec 14 20:45:52 1901', 'Apr 30 12:29:59 1933', 'Dec 14 10:15:52 1901', 'Apr 30 01:59:59 1933');
timezone.add_rule('Pacific/Honolulu', 'HWT', 1, -34200, 'Apr 30 12:30:00 1933', 'May 21 11:29:59 1933', 'Apr 30 03:00:00 1933', 'May 21 01:59:59 1933');
timezone.add_rule('Pacific/Honolulu', 'HST', 0, -37800, 'May 21 11:30:00 1933', 'Feb 9 12:29:59 1942', 'May 21 01:00:00 1933', 'Feb 9 01:59:59 1942');
timezone.add_rule('Pacific/Honolulu', 'HWT', 1, -34200, 'Feb 9 12:30:00 1942', 'Sep 30 11:29:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('Pacific/Honolulu', 'HST', 0, -37800, 'Sep 30 11:30:00 1945', 'Jun 8 12:29:59 1947', 'Sep 30 01:00:00 1945', 'Jun 8 01:59:59 1947');
timezone.add_rule('Pacific/Honolulu', 'HST', 0, -36000, 'Jun 8 12:30:00 1947', 'Jan 18 03:14:07 2038', 'Jun 8 02:30:00 1947', 'Jan 17 17:14:07 2038');
end;
/

--
-- Pacific/Johnston
--

begin
timezone.add_rule('Pacific/Johnston', 'HST', 0, -36000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 10:45:52 1901', 'Jan 17 17:14:07 2038');
end;
/

--
-- Pacific/Kiritimati
--

begin
timezone.add_rule('Pacific/Kiritimati', 'LINT', 0, -38400, 'Dec 14 20:45:52 1901', 'Oct 1 10:39:59 1979', 'Dec 14 10:05:52 1901', 'Sep 30 23:59:59 1979');
timezone.add_rule('Pacific/Kiritimati', 'LINT', 0, -36000, 'Oct 1 10:40:00 1979', 'Jan 1 09:59:59 1995', 'Oct 1 00:40:00 1979', 'Dec 31 23:59:59 1994');
timezone.add_rule('Pacific/Kiritimati', 'LINT', 0, 50400, 'Jan 1 10:00:00 1995', 'Jan 18 03:14:07 2038', 'Jan 2 00:00:00 1995', 'Jan 18 17:14:07 2038');
end;
/

--
-- Pacific/Kosrae
--

begin
timezone.add_rule('Pacific/Kosrae', 'KOST', 0, 39600, 'Dec 14 20:45:52 1901', 'Sep 30 12:59:59 1969', 'Dec 15 07:45:52 1901', 'Sep 30 23:59:59 1969');
timezone.add_rule('Pacific/Kosrae', 'KOST', 0, 43200, 'Sep 30 13:00:00 1969', 'Jan 18 03:14:07 2038', 'Oct 1 01:00:00 1969', 'Jan 18 15:14:07 2038');
end;
/

--
-- Pacific/Kwajalein
--

begin
timezone.add_rule('Pacific/Kwajalein', 'MHT', 0, 39600, 'Dec 14 20:45:52 1901', 'Sep 30 12:59:59 1969', 'Dec 15 07:45:52 1901', 'Sep 30 23:59:59 1969');
timezone.add_rule('Pacific/Kwajalein', 'MHT', 0, -43200, 'Sep 30 13:00:00 1969', 'Aug 20 11:59:59 1993', 'Sep 30 01:00:00 1969', 'Aug 19 23:59:59 1993');
timezone.add_rule('Pacific/Kwajalein', 'MHT', 0, 43200, 'Aug 20 12:00:00 1993', 'Jan 18 03:14:07 2038', 'Aug 21 00:00:00 1993', 'Jan 18 15:14:07 2038');
end;
/

--
-- Pacific/Majuro
--

begin
timezone.add_rule('Pacific/Majuro', 'MHT', 0, 39600, 'Dec 14 20:45:52 1901', 'Sep 30 12:59:59 1969', 'Dec 15 07:45:52 1901', 'Sep 30 23:59:59 1969');
timezone.add_rule('Pacific/Majuro', 'MHT', 0, 43200, 'Sep 30 13:00:00 1969', 'Jan 18 03:14:07 2038', 'Oct 1 01:00:00 1969', 'Jan 18 15:14:07 2038');
end;
/

--
-- Pacific/Marquesas
--

begin
timezone.add_rule('Pacific/Marquesas', 'MART', 0, -33480, 'Dec 14 20:45:52 1901', 'Oct 1 09:17:59 1912', 'Dec 14 11:27:52 1901', 'Sep 30 23:59:59 1912');
timezone.add_rule('Pacific/Marquesas', 'MART', 0, -34200, 'Oct 1 09:18:00 1912', 'Jan 18 03:14:07 2038', 'Sep 30 23:48:00 1912', 'Jan 17 17:44:07 2038');
end;
/

--
-- Pacific/Midway
--

begin
timezone.add_rule('Pacific/Midway', 'SST', 0, -39600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 09:45:52 1901', 'Jan 17 16:14:07 2038');
end;
/

--
-- Pacific/Nauru
--

begin
timezone.add_rule('Pacific/Nauru', 'NRT', 0, 40060, 'Dec 14 20:45:52 1901', 'Jan 14 12:52:19 1921', 'Dec 15 07:53:32 1901', 'Jan 14 23:59:59 1921');
timezone.add_rule('Pacific/Nauru', 'NRT', 0, 41400, 'Jan 14 12:52:20 1921', 'Mar 14 12:29:59 1942', 'Jan 15 00:22:20 1921', 'Mar 14 23:59:59 1942');
timezone.add_rule('Pacific/Nauru', 'NRT', 0, 32400, 'Mar 14 12:30:00 1942', 'Aug 14 14:59:59 1944', 'Mar 14 21:30:00 1942', 'Aug 14 23:59:59 1944');
timezone.add_rule('Pacific/Nauru', 'NRT', 0, 41400, 'Aug 14 15:00:00 1944', 'Apr 30 12:29:59 1979', 'Aug 15 02:30:00 1944', 'Apr 30 23:59:59 1979');
timezone.add_rule('Pacific/Nauru', 'NRT', 0, 43200, 'Apr 30 12:30:00 1979', 'Jan 18 03:14:07 2038', 'May 1 00:30:00 1979', 'Jan 18 15:14:07 2038');
end;
/

--
-- Pacific/Niue
--

begin
timezone.add_rule('Pacific/Niue', 'NUT', 0, -40800, 'Dec 14 20:45:52 1901', 'Jan 1 11:19:59 1951', 'Dec 14 09:25:52 1901', 'Dec 31 23:59:59 1950');
timezone.add_rule('Pacific/Niue', 'NUT', 0, -41400, 'Jan 1 11:20:00 1951', 'Oct 1 11:29:59 1978', 'Dec 31 23:50:00 1950', 'Sep 30 23:59:59 1978');
timezone.add_rule('Pacific/Niue', 'NUT', 0, -39600, 'Oct 1 11:30:00 1978', 'Jan 18 03:14:07 2038', 'Oct 1 00:30:00 1978', 'Jan 17 16:14:07 2038');
end;
/

--
-- Pacific/Norfolk
--

begin
timezone.add_rule('Pacific/Norfolk', 'NFT', 0, 40320, 'Dec 14 20:45:52 1901', 'Dec 31 12:47:59 1950', 'Dec 15 07:57:52 1901', 'Dec 31 23:59:59 1950');
timezone.add_rule('Pacific/Norfolk', 'NFT', 0, 41400, 'Dec 31 12:48:00 1950', 'Jan 18 03:14:07 2038', 'Jan 1 00:18:00 1951', 'Jan 18 14:44:07 2038');
end;
/

--
-- Pacific/Noumea
--

begin
timezone.add_rule('Pacific/Noumea', 'NCT', 0, 39948, 'Dec 14 20:45:52 1901', 'Jan 12 12:54:11 1912', 'Dec 15 07:51:40 1901', 'Jan 12 23:59:59 1912');
timezone.add_rule('Pacific/Noumea', 'NCT', 0, 39600, 'Jan 12 12:54:12 1912', 'Dec 3 12:59:59 1977', 'Jan 12 23:54:12 1912', 'Dec 3 23:59:59 1977');
timezone.add_rule('Pacific/Noumea', 'NCST', 1, 43200, 'Dec 3 13:00:00 1977', 'Feb 26 11:59:59 1978', 'Dec 4 01:00:00 1977', 'Feb 26 23:59:59 1978');
timezone.add_rule('Pacific/Noumea', 'NCT', 0, 39600, 'Feb 26 12:00:00 1978', 'Dec 2 12:59:59 1978', 'Feb 26 23:00:00 1978', 'Dec 2 23:59:59 1978');
timezone.add_rule('Pacific/Noumea', 'NCST', 1, 43200, 'Dec 2 13:00:00 1978', 'Feb 26 11:59:59 1979', 'Dec 3 01:00:00 1978', 'Feb 26 23:59:59 1979');
timezone.add_rule('Pacific/Noumea', 'NCT', 0, 39600, 'Feb 26 12:00:00 1979', 'Nov 30 14:59:59 1996', 'Feb 26 23:00:00 1979', 'Dec 1 01:59:59 1996');
timezone.add_rule('Pacific/Noumea', 'NCST', 1, 43200, 'Nov 30 15:00:00 1996', 'Mar 1 14:59:59 1997', 'Dec 1 03:00:00 1996', 'Mar 2 02:59:59 1997');
timezone.add_rule('Pacific/Noumea', 'NCT', 0, 39600, 'Mar 1 15:00:00 1997', 'Jan 18 03:14:07 2038', 'Mar 2 02:00:00 1997', 'Jan 18 14:14:07 2038');
end;
/

--
-- Pacific/Pago_Pago
--

begin
timezone.add_rule('Pacific/Pago_Pago', 'SST', 0, -40968, 'Dec 14 20:45:52 1901', 'Jan 1 11:22:47 1911', 'Dec 14 09:23:04 1901', 'Dec 31 23:59:59 1910');
timezone.add_rule('Pacific/Pago_Pago', 'SST', 0, -41400, 'Jan 1 11:22:48 1911', 'Jan 1 11:29:59 1950', 'Dec 31 23:52:48 1910', 'Dec 31 23:59:59 1949');
timezone.add_rule('Pacific/Pago_Pago', 'SST', 0, -39600, 'Jan 1 11:30:00 1950', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1950', 'Jan 17 16:14:07 2038');
end;
/

--
-- Pacific/Palau
--

begin
timezone.add_rule('Pacific/Palau', 'PWT', 0, 32400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 05:45:52 1901', 'Jan 18 12:14:07 2038');
end;
/

--
-- Pacific/Pitcairn
--

begin
timezone.add_rule('Pacific/Pitcairn', 'PNT', 0, -30600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 12:15:52 1901', 'Jan 17 18:44:07 2038');
end;
/

--
-- Pacific/Ponape
--

begin
timezone.add_rule('Pacific/Ponape', 'PONT', 0, 39600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 07:45:52 1901', 'Jan 18 14:14:07 2038');
end;
/

--
-- Pacific/Port_Moresby
--

begin
timezone.add_rule('Pacific/Port_Moresby', 'PGT', 0, 36000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 06:45:52 1901', 'Jan 18 13:14:07 2038');
end;
/

--
-- Pacific/Rarotonga
--

begin
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -37800, 'Dec 14 20:45:52 1901', 'Nov 12 10:29:59 1978', 'Dec 14 10:15:52 1901', 'Nov 11 23:59:59 1978');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Nov 12 10:30:00 1978', 'Mar 4 09:29:59 1979', 'Nov 12 01:00:00 1978', 'Mar 3 23:59:59 1979');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 4 09:30:00 1979', 'Oct 28 09:59:59 1979', 'Mar 3 23:30:00 1979', 'Oct 27 23:59:59 1979');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 28 10:00:00 1979', 'Mar 2 09:29:59 1980', 'Oct 28 00:30:00 1979', 'Mar 1 23:59:59 1980');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 2 09:30:00 1980', 'Oct 26 09:59:59 1980', 'Mar 1 23:30:00 1980', 'Oct 25 23:59:59 1980');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 26 10:00:00 1980', 'Mar 1 09:29:59 1981', 'Oct 26 00:30:00 1980', 'Feb 28 23:59:59 1981');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 1 09:30:00 1981', 'Oct 25 09:59:59 1981', 'Feb 28 23:30:00 1981', 'Oct 24 23:59:59 1981');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 25 10:00:00 1981', 'Mar 7 09:29:59 1982', 'Oct 25 00:30:00 1981', 'Mar 6 23:59:59 1982');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 7 09:30:00 1982', 'Oct 31 09:59:59 1982', 'Mar 6 23:30:00 1982', 'Oct 30 23:59:59 1982');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 31 10:00:00 1982', 'Mar 6 09:29:59 1983', 'Oct 31 00:30:00 1982', 'Mar 5 23:59:59 1983');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 6 09:30:00 1983', 'Oct 30 09:59:59 1983', 'Mar 5 23:30:00 1983', 'Oct 29 23:59:59 1983');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 30 10:00:00 1983', 'Mar 4 09:29:59 1984', 'Oct 30 00:30:00 1983', 'Mar 3 23:59:59 1984');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 4 09:30:00 1984', 'Oct 28 09:59:59 1984', 'Mar 3 23:30:00 1984', 'Oct 27 23:59:59 1984');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 28 10:00:00 1984', 'Mar 3 09:29:59 1985', 'Oct 28 00:30:00 1984', 'Mar 2 23:59:59 1985');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 3 09:30:00 1985', 'Oct 27 09:59:59 1985', 'Mar 2 23:30:00 1985', 'Oct 26 23:59:59 1985');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 27 10:00:00 1985', 'Mar 2 09:29:59 1986', 'Oct 27 00:30:00 1985', 'Mar 1 23:59:59 1986');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 2 09:30:00 1986', 'Oct 26 09:59:59 1986', 'Mar 1 23:30:00 1986', 'Oct 25 23:59:59 1986');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 26 10:00:00 1986', 'Mar 1 09:29:59 1987', 'Oct 26 00:30:00 1986', 'Feb 28 23:59:59 1987');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 1 09:30:00 1987', 'Oct 25 09:59:59 1987', 'Feb 28 23:30:00 1987', 'Oct 24 23:59:59 1987');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 25 10:00:00 1987', 'Mar 6 09:29:59 1988', 'Oct 25 00:30:00 1987', 'Mar 5 23:59:59 1988');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 6 09:30:00 1988', 'Oct 30 09:59:59 1988', 'Mar 5 23:30:00 1988', 'Oct 29 23:59:59 1988');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 30 10:00:00 1988', 'Mar 5 09:29:59 1989', 'Oct 30 00:30:00 1988', 'Mar 4 23:59:59 1989');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 5 09:30:00 1989', 'Oct 29 09:59:59 1989', 'Mar 4 23:30:00 1989', 'Oct 28 23:59:59 1989');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 29 10:00:00 1989', 'Mar 4 09:29:59 1990', 'Oct 29 00:30:00 1989', 'Mar 3 23:59:59 1990');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 4 09:30:00 1990', 'Oct 28 09:59:59 1990', 'Mar 3 23:30:00 1990', 'Oct 27 23:59:59 1990');
timezone.add_rule('Pacific/Rarotonga', 'CKHST', 1, -34200, 'Oct 28 10:00:00 1990', 'Mar 3 09:29:59 1991', 'Oct 28 00:30:00 1990', 'Mar 2 23:59:59 1991');
timezone.add_rule('Pacific/Rarotonga', 'CKT', 0, -36000, 'Mar 3 09:30:00 1991', 'Jan 18 03:14:07 2038', 'Mar 2 23:30:00 1991', 'Jan 17 17:14:07 2038');
end;
/

--
-- Pacific/Saipan
--

begin
timezone.add_rule('Pacific/Saipan', 'MPT', 0, 32400, 'Dec 14 20:45:52 1901', 'Sep 30 14:59:59 1969', 'Dec 15 05:45:52 1901', 'Sep 30 23:59:59 1969');
timezone.add_rule('Pacific/Saipan', 'MPT', 0, 36000, 'Sep 30 15:00:00 1969', 'Jan 18 03:14:07 2038', 'Oct 1 01:00:00 1969', 'Jan 18 13:14:07 2038');
end;
/

--
-- Pacific/Samoa
--

begin
timezone.add_rule('Pacific/Samoa', 'SST', 0, -40968, 'Dec 14 20:45:52 1901', 'Jan 1 11:22:47 1911', 'Dec 14 09:23:04 1901', 'Dec 31 23:59:59 1910');
timezone.add_rule('Pacific/Samoa', 'SST', 0, -41400, 'Jan 1 11:22:48 1911', 'Jan 1 11:29:59 1950', 'Dec 31 23:52:48 1910', 'Dec 31 23:59:59 1949');
timezone.add_rule('Pacific/Samoa', 'SST', 0, -39600, 'Jan 1 11:30:00 1950', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1950', 'Jan 17 16:14:07 2038');
end;
/

--
-- Pacific/Tahiti
--

begin
timezone.add_rule('Pacific/Tahiti', 'TAHT', 0, -35896, 'Dec 14 20:45:52 1901', 'Oct 1 09:58:15 1912', 'Dec 14 10:47:36 1901', 'Sep 30 23:59:59 1912');
timezone.add_rule('Pacific/Tahiti', 'TAHT', 0, -36000, 'Oct 1 09:58:16 1912', 'Jan 18 03:14:07 2038', 'Sep 30 23:58:16 1912', 'Jan 17 17:14:07 2038');
end;
/

--
-- Pacific/Tarawa
--

begin
timezone.add_rule('Pacific/Tarawa', 'GILT', 0, 43200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 08:45:52 1901', 'Jan 18 15:14:07 2038');
end;
/

--
-- Pacific/Tongatapu
--

begin
timezone.add_rule('Pacific/Tongatapu', 'TOT', 0, 44400, 'Dec 14 20:45:52 1901', 'Dec 31 11:39:59 1940', 'Dec 15 09:05:52 1901', 'Dec 31 23:59:59 1940');
timezone.add_rule('Pacific/Tongatapu', 'TOT', 0, 46800, 'Dec 31 11:40:00 1940', 'Jan 18 03:14:07 2038', 'Jan 1 00:40:00 1941', 'Jan 18 16:14:07 2038');
end;
/

--
-- Pacific/Truk
--

begin
timezone.add_rule('Pacific/Truk', 'TRUT', 0, 36000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 06:45:52 1901', 'Jan 18 13:14:07 2038');
end;
/

--
-- Pacific/Wake
--

begin
timezone.add_rule('Pacific/Wake', 'WAKT', 0, 43200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 08:45:52 1901', 'Jan 18 15:14:07 2038');
end;
/

--
-- Pacific/Wallis
--

begin
timezone.add_rule('Pacific/Wallis', 'WFT', 0, 43200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 15 08:45:52 1901', 'Jan 18 15:14:07 2038');
end;
/

--
-- Pacific/Yap
--

begin
timezone.add_rule('Pacific/Yap', 'YAPT', 0, 32400, 'Dec 14 20:45:52 1901', 'Sep 30 14:59:59 1969', 'Dec 15 05:45:52 1901', 'Sep 30 23:59:59 1969');
timezone.add_rule('Pacific/Yap', 'YAPT', 0, 36000, 'Sep 30 15:00:00 1969', 'Jan 18 03:14:07 2038', 'Oct 1 01:00:00 1969', 'Jan 18 13:14:07 2038');
end;
/

--
-- Poland
--

begin
timezone.add_rule('Poland', 'CET', 0, 5040, 'Dec 14 20:45:52 1901', 'Aug 4 22:35:59 1915', 'Dec 14 22:09:52 1901', 'Aug 4 23:59:59 1915');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Aug 4 22:36:00 1915', 'Apr 30 21:59:59 1916', 'Aug 4 23:36:00 1915', 'Apr 30 22:59:59 1916');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 30 22:00:00 1916', 'Sep 30 22:59:59 1916', 'May 1 00:00:00 1916', 'Oct 1 00:59:59 1916');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 30 23:00:00 1916', 'Apr 16 00:59:59 1917', 'Oct 1 00:00:00 1916', 'Apr 16 01:59:59 1917');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 16 01:00:00 1917', 'Sep 17 00:59:59 1917', 'Apr 16 03:00:00 1917', 'Sep 17 02:59:59 1917');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 17 01:00:00 1917', 'Apr 15 00:59:59 1918', 'Sep 17 02:00:00 1917', 'Apr 15 01:59:59 1918');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 15 01:00:00 1918', 'Sep 16 00:59:59 1918', 'Apr 15 03:00:00 1918', 'Sep 16 02:59:59 1918');
timezone.add_rule('Poland', 'CET', 0, 7200, 'Sep 16 01:00:00 1918', 'Apr 14 23:59:59 1919', 'Sep 16 03:00:00 1918', 'Apr 15 01:59:59 1919');
timezone.add_rule('Poland', 'CEST', 1, 10800, 'Apr 15 00:00:00 1919', 'Sep 15 23:59:59 1919', 'Apr 15 03:00:00 1919', 'Sep 16 02:59:59 1919');
timezone.add_rule('Poland', 'CET', 0, 7200, 'Sep 16 00:00:00 1919', 'May 31 21:59:59 1922', 'Sep 16 02:00:00 1919', 'May 31 23:59:59 1922');
timezone.add_rule('Poland', 'CET', 0, 3600, 'May 31 22:00:00 1922', 'Jun 23 00:59:59 1940', 'May 31 23:00:00 1922', 'Jun 23 01:59:59 1940');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Jun 23 01:00:00 1940', 'Nov 2 00:59:59 1942', 'Jun 23 03:00:00 1940', 'Nov 2 02:59:59 1942');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Nov 2 01:00:00 1942', 'Mar 29 00:59:59 1943', 'Nov 2 02:00:00 1942', 'Mar 29 01:59:59 1943');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 01:00:00 1943', 'Oct 4 00:59:59 1943', 'Mar 29 03:00:00 1943', 'Oct 4 02:59:59 1943');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 4 01:00:00 1943', 'Apr 3 00:59:59 1944', 'Oct 4 02:00:00 1943', 'Apr 3 01:59:59 1944');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 3 01:00:00 1944', 'Sep 30 21:59:59 1944', 'Apr 3 03:00:00 1944', 'Sep 30 23:59:59 1944');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 30 22:00:00 1944', 'Apr 28 22:59:59 1945', 'Sep 30 23:00:00 1944', 'Apr 28 23:59:59 1945');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 28 23:00:00 1945', 'Oct 31 21:59:59 1945', 'Apr 29 01:00:00 1945', 'Oct 31 23:59:59 1945');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 31 22:00:00 1945', 'Apr 13 22:59:59 1946', 'Oct 31 23:00:00 1945', 'Apr 13 23:59:59 1946');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 13 23:00:00 1946', 'Sep 6 21:59:59 1946', 'Apr 14 01:00:00 1946', 'Sep 6 23:59:59 1946');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 6 22:00:00 1946', 'May 3 22:59:59 1947', 'Sep 6 23:00:00 1946', 'May 3 23:59:59 1947');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'May 3 23:00:00 1947', 'Oct 4 21:59:59 1947', 'May 4 01:00:00 1947', 'Oct 4 23:59:59 1947');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 4 22:00:00 1947', 'Apr 17 22:59:59 1948', 'Oct 4 23:00:00 1947', 'Apr 17 23:59:59 1948');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 17 23:00:00 1948', 'Oct 2 21:59:59 1948', 'Apr 18 01:00:00 1948', 'Oct 2 23:59:59 1948');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 2 22:00:00 1948', 'Jun 1 23:59:59 1957', 'Oct 2 23:00:00 1948', 'Jun 2 00:59:59 1957');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Jun 2 00:00:00 1957', 'Sep 28 23:59:59 1957', 'Jun 2 02:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 29 00:00:00 1957', 'Mar 29 23:59:59 1958', 'Sep 29 01:00:00 1957', 'Mar 30 00:59:59 1958');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 30 00:00:00 1958', 'Sep 27 23:59:59 1958', 'Mar 30 02:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 28 00:00:00 1958', 'May 30 23:59:59 1959', 'Sep 28 01:00:00 1958', 'May 31 00:59:59 1959');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'May 31 00:00:00 1959', 'Oct 3 23:59:59 1959', 'May 31 02:00:00 1959', 'Oct 4 01:59:59 1959');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 4 00:00:00 1959', 'Apr 2 23:59:59 1960', 'Oct 4 01:00:00 1959', 'Apr 3 00:59:59 1960');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 3 00:00:00 1960', 'Oct 1 23:59:59 1960', 'Apr 3 02:00:00 1960', 'Oct 2 01:59:59 1960');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 2 00:00:00 1960', 'May 27 23:59:59 1961', 'Oct 2 01:00:00 1960', 'May 28 00:59:59 1961');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'May 28 00:00:00 1961', 'Sep 30 23:59:59 1961', 'May 28 02:00:00 1961', 'Oct 1 01:59:59 1961');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 1 00:00:00 1961', 'May 26 23:59:59 1962', 'Oct 1 01:00:00 1961', 'May 27 00:59:59 1962');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'May 27 00:00:00 1962', 'Sep 29 23:59:59 1962', 'May 27 02:00:00 1962', 'Sep 30 01:59:59 1962');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 30 00:00:00 1962', 'May 25 23:59:59 1963', 'Sep 30 01:00:00 1962', 'May 26 00:59:59 1963');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'May 26 00:00:00 1963', 'Sep 28 23:59:59 1963', 'May 26 02:00:00 1963', 'Sep 29 01:59:59 1963');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 29 00:00:00 1963', 'May 30 23:59:59 1964', 'Sep 29 01:00:00 1963', 'May 31 00:59:59 1964');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'May 31 00:00:00 1964', 'Sep 26 23:59:59 1964', 'May 31 02:00:00 1964', 'Sep 27 01:59:59 1964');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 27 00:00:00 1964', 'Apr 2 23:59:59 1977', 'Sep 27 01:00:00 1964', 'Apr 3 00:59:59 1977');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 3 00:00:00 1977', 'Sep 24 23:59:59 1977', 'Apr 3 02:00:00 1977', 'Sep 25 01:59:59 1977');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 25 00:00:00 1977', 'Apr 1 23:59:59 1978', 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 2 00:00:00 1978', 'Sep 30 23:59:59 1978', 'Apr 2 02:00:00 1978', 'Oct 1 01:59:59 1978');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 1 00:00:00 1978', 'Mar 31 23:59:59 1979', 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 1 00:00:00 1979', 'Sep 29 23:59:59 1979', 'Apr 1 02:00:00 1979', 'Sep 30 01:59:59 1979');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 30 00:00:00 1979', 'Apr 5 23:59:59 1980', 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Apr 6 00:00:00 1980', 'Sep 27 23:59:59 1980', 'Apr 6 02:00:00 1980', 'Sep 28 01:59:59 1980');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 28 00:00:00 1980', 'Mar 28 23:59:59 1981', 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 00:00:00 1981', 'Sep 26 23:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 27 00:00:00 1981', 'Mar 27 23:59:59 1982', 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 28 00:00:00 1982', 'Sep 25 23:59:59 1982', 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 26 00:00:00 1982', 'Mar 26 23:59:59 1983', 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 27 00:00:00 1983', 'Sep 24 23:59:59 1983', 'Mar 27 02:00:00 1983', 'Sep 25 01:59:59 1983');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 25 00:00:00 1983', 'Mar 24 23:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 25 00:00:00 1984', 'Sep 29 23:59:59 1984', 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 30 00:00:00 1984', 'Mar 30 23:59:59 1985', 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 31 00:00:00 1985', 'Sep 28 23:59:59 1985', 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 29 00:00:00 1985', 'Mar 29 23:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 30 00:00:00 1986', 'Sep 27 23:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 28 00:00:00 1986', 'Mar 28 23:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 00:00:00 1987', 'Sep 26 23:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 27 00:00:00 1987', 'Mar 26 23:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 27 00:00:00 1988', 'Sep 24 23:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 25 00:00:00 1988', 'Mar 25 23:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 26 00:00:00 1989', 'Sep 23 23:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 25 00:00:00 1990', 'Sep 29 23:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 30 00:00:00 1990', 'Mar 30 23:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 31 00:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 29 00:00:00 1991', 'Mar 28 23:59:59 1992', 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 00:00:00 1992', 'Sep 26 23:59:59 1992', 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 27 00:00:00 1992', 'Mar 27 23:59:59 1993', 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 28 00:00:00 1993', 'Sep 25 23:59:59 1993', 'Mar 28 02:00:00 1993', 'Sep 26 01:59:59 1993');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 26 00:00:00 1993', 'Mar 26 23:59:59 1994', 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 27 00:00:00 1994', 'Sep 24 23:59:59 1994', 'Mar 27 02:00:00 1994', 'Sep 25 01:59:59 1994');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 25 00:00:00 1994', 'Mar 25 23:59:59 1995', 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 26 00:00:00 1995', 'Sep 23 23:59:59 1995', 'Mar 26 02:00:00 1995', 'Sep 24 01:59:59 1995');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Sep 24 00:00:00 1995', 'Mar 30 23:59:59 1996', 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 31 00:00:00 1996', 'Oct 26 23:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 27 00:00:00 1996', 'Mar 29 23:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 30 00:00:00 1997', 'Oct 25 23:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 26 00:00:00 1997', 'Mar 28 23:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 00:00:00 1998', 'Oct 24 23:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 25 00:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('Poland', 'CEST', 1, 7200, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('Poland', 'CET', 0, 3600, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 04:14:07 2038');
end;
/

--
-- Portugal
--

begin
timezone.add_rule('Portugal', 'WET', 0, -2192, 'Dec 14 20:45:52 1901', 'May 24 00:36:31 1911', 'Dec 14 20:09:20 1901', 'May 23 23:59:59 1911');
timezone.add_rule('Portugal', 'WET', 0, 0, 'May 24 00:36:32 1911', 'Jun 17 22:59:59 1916', 'May 24 00:36:32 1911', 'Jun 17 22:59:59 1916');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Jun 17 23:00:00 1916', 'Oct 31 23:59:59 1916', 'Jun 18 00:00:00 1916', 'Nov 1 00:59:59 1916');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Nov 1 00:00:00 1916', 'Feb 28 22:59:59 1917', 'Nov 1 00:00:00 1916', 'Feb 28 22:59:59 1917');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Feb 28 23:00:00 1917', 'Oct 14 22:59:59 1917', 'Mar 1 00:00:00 1917', 'Oct 14 23:59:59 1917');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 14 23:00:00 1917', 'Mar 1 22:59:59 1918', 'Oct 14 23:00:00 1917', 'Mar 1 22:59:59 1918');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 1 23:00:00 1918', 'Oct 14 22:59:59 1918', 'Mar 2 00:00:00 1918', 'Oct 14 23:59:59 1918');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 14 23:00:00 1918', 'Feb 28 22:59:59 1919', 'Oct 14 23:00:00 1918', 'Feb 28 22:59:59 1919');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Feb 28 23:00:00 1919', 'Oct 14 22:59:59 1919', 'Mar 1 00:00:00 1919', 'Oct 14 23:59:59 1919');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 14 23:00:00 1919', 'Feb 29 22:59:59 1920', 'Oct 14 23:00:00 1919', 'Feb 29 22:59:59 1920');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Feb 29 23:00:00 1920', 'Oct 14 22:59:59 1920', 'Mar 1 00:00:00 1920', 'Oct 14 23:59:59 1920');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 14 23:00:00 1920', 'Feb 28 22:59:59 1921', 'Oct 14 23:00:00 1920', 'Feb 28 22:59:59 1921');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Feb 28 23:00:00 1921', 'Oct 14 22:59:59 1921', 'Mar 1 00:00:00 1921', 'Oct 14 23:59:59 1921');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 14 23:00:00 1921', 'Apr 16 22:59:59 1924', 'Oct 14 23:00:00 1921', 'Apr 16 22:59:59 1924');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 16 23:00:00 1924', 'Oct 14 22:59:59 1924', 'Apr 17 00:00:00 1924', 'Oct 14 23:59:59 1924');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 14 23:00:00 1924', 'Apr 17 22:59:59 1926', 'Oct 14 23:00:00 1924', 'Apr 17 22:59:59 1926');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 17 23:00:00 1926', 'Oct 2 22:59:59 1926', 'Apr 18 00:00:00 1926', 'Oct 2 23:59:59 1926');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927', 'Oct 2 23:00:00 1926', 'Apr 9 22:59:59 1927');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 9 23:00:00 1927', 'Oct 1 22:59:59 1927', 'Apr 10 00:00:00 1927', 'Oct 1 23:59:59 1927');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928', 'Oct 1 23:00:00 1927', 'Apr 14 22:59:59 1928');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 14 23:00:00 1928', 'Oct 6 22:59:59 1928', 'Apr 15 00:00:00 1928', 'Oct 6 23:59:59 1928');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929', 'Oct 6 23:00:00 1928', 'Apr 20 22:59:59 1929');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 20 23:00:00 1929', 'Oct 5 22:59:59 1929', 'Apr 21 00:00:00 1929', 'Oct 5 23:59:59 1929');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 5 23:00:00 1929', 'Apr 18 22:59:59 1931', 'Oct 5 23:00:00 1929', 'Apr 18 22:59:59 1931');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 18 23:00:00 1931', 'Oct 3 22:59:59 1931', 'Apr 19 00:00:00 1931', 'Oct 3 23:59:59 1931');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932', 'Oct 3 23:00:00 1931', 'Apr 2 22:59:59 1932');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 2 23:00:00 1932', 'Oct 1 22:59:59 1932', 'Apr 3 00:00:00 1932', 'Oct 1 23:59:59 1932');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 1 23:00:00 1932', 'Apr 7 22:59:59 1934', 'Oct 1 23:00:00 1932', 'Apr 7 22:59:59 1934');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 7 23:00:00 1934', 'Oct 6 22:59:59 1934', 'Apr 8 00:00:00 1934', 'Oct 6 23:59:59 1934');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935', 'Oct 6 23:00:00 1934', 'Mar 30 22:59:59 1935');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 23:00:00 1935', 'Oct 5 22:59:59 1935', 'Mar 31 00:00:00 1935', 'Oct 5 23:59:59 1935');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936', 'Oct 5 23:00:00 1935', 'Apr 18 22:59:59 1936');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 18 23:00:00 1936', 'Oct 3 22:59:59 1936', 'Apr 19 00:00:00 1936', 'Oct 3 23:59:59 1936');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937', 'Oct 3 23:00:00 1936', 'Apr 3 22:59:59 1937');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 3 23:00:00 1937', 'Oct 2 22:59:59 1937', 'Apr 4 00:00:00 1937', 'Oct 2 23:59:59 1937');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938', 'Oct 2 23:00:00 1937', 'Mar 26 22:59:59 1938');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 26 23:00:00 1938', 'Oct 1 22:59:59 1938', 'Mar 27 00:00:00 1938', 'Oct 1 23:59:59 1938');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939', 'Oct 1 23:00:00 1938', 'Apr 15 22:59:59 1939');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 15 23:00:00 1939', 'Nov 18 22:59:59 1939', 'Apr 16 00:00:00 1939', 'Nov 18 23:59:59 1939');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Nov 18 23:00:00 1939', 'Feb 24 22:59:59 1940', 'Nov 18 23:00:00 1939', 'Feb 24 22:59:59 1940');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Feb 24 23:00:00 1940', 'Oct 5 22:59:59 1940', 'Feb 25 00:00:00 1940', 'Oct 5 23:59:59 1940');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 5 23:00:00 1940', 'Apr 5 22:59:59 1941', 'Oct 5 23:00:00 1940', 'Apr 5 22:59:59 1941');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 5 23:00:00 1941', 'Oct 5 22:59:59 1941', 'Apr 6 00:00:00 1941', 'Oct 5 23:59:59 1941');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 5 23:00:00 1941', 'Mar 14 22:59:59 1942', 'Oct 5 23:00:00 1941', 'Mar 14 22:59:59 1942');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 14 23:00:00 1942', 'Apr 25 21:59:59 1942', 'Mar 15 00:00:00 1942', 'Apr 25 22:59:59 1942');
timezone.add_rule('Portugal', 'WEST', 1, 7200, 'Apr 25 22:00:00 1942', 'Aug 15 21:59:59 1942', 'Apr 26 00:00:00 1942', 'Aug 15 23:59:59 1942');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Aug 15 22:00:00 1942', 'Oct 24 22:59:59 1942', 'Aug 15 23:00:00 1942', 'Oct 24 23:59:59 1942');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 24 23:00:00 1942', 'Mar 13 22:59:59 1943', 'Oct 24 23:00:00 1942', 'Mar 13 22:59:59 1943');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 13 23:00:00 1943', 'Apr 17 21:59:59 1943', 'Mar 14 00:00:00 1943', 'Apr 17 22:59:59 1943');
timezone.add_rule('Portugal', 'WEST', 1, 7200, 'Apr 17 22:00:00 1943', 'Aug 28 21:59:59 1943', 'Apr 18 00:00:00 1943', 'Aug 28 23:59:59 1943');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Aug 28 22:00:00 1943', 'Oct 30 22:59:59 1943', 'Aug 28 23:00:00 1943', 'Oct 30 23:59:59 1943');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 30 23:00:00 1943', 'Mar 11 22:59:59 1944', 'Oct 30 23:00:00 1943', 'Mar 11 22:59:59 1944');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 11 23:00:00 1944', 'Apr 22 21:59:59 1944', 'Mar 12 00:00:00 1944', 'Apr 22 22:59:59 1944');
timezone.add_rule('Portugal', 'WEST', 1, 7200, 'Apr 22 22:00:00 1944', 'Aug 26 21:59:59 1944', 'Apr 23 00:00:00 1944', 'Aug 26 23:59:59 1944');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Aug 26 22:00:00 1944', 'Oct 28 22:59:59 1944', 'Aug 26 23:00:00 1944', 'Oct 28 23:59:59 1944');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 28 23:00:00 1944', 'Mar 10 22:59:59 1945', 'Oct 28 23:00:00 1944', 'Mar 10 22:59:59 1945');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 10 23:00:00 1945', 'Apr 21 21:59:59 1945', 'Mar 11 00:00:00 1945', 'Apr 21 22:59:59 1945');
timezone.add_rule('Portugal', 'WEST', 1, 7200, 'Apr 21 22:00:00 1945', 'Aug 25 21:59:59 1945', 'Apr 22 00:00:00 1945', 'Aug 25 23:59:59 1945');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Aug 25 22:00:00 1945', 'Oct 27 22:59:59 1945', 'Aug 25 23:00:00 1945', 'Oct 27 23:59:59 1945');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 27 23:00:00 1945', 'Apr 6 22:59:59 1946', 'Oct 27 23:00:00 1945', 'Apr 6 22:59:59 1946');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 6 23:00:00 1946', 'Oct 5 22:59:59 1946', 'Apr 7 00:00:00 1946', 'Oct 5 23:59:59 1946');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 5 23:00:00 1946', 'Apr 6 01:59:59 1947', 'Oct 5 23:00:00 1946', 'Apr 6 01:59:59 1947');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 6 02:00:00 1947', 'Oct 5 01:59:59 1947', 'Apr 6 03:00:00 1947', 'Oct 5 02:59:59 1947');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 5 02:00:00 1947', 'Apr 4 01:59:59 1948', 'Oct 5 02:00:00 1947', 'Apr 4 01:59:59 1948');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 4 02:00:00 1948', 'Oct 3 01:59:59 1948', 'Apr 4 03:00:00 1948', 'Oct 3 02:59:59 1948');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 3 02:00:00 1948', 'Apr 3 01:59:59 1949', 'Oct 3 02:00:00 1948', 'Apr 3 01:59:59 1949');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 3 02:00:00 1949', 'Oct 2 01:59:59 1949', 'Apr 3 03:00:00 1949', 'Oct 2 02:59:59 1949');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 2 02:00:00 1949', 'Apr 1 01:59:59 1951', 'Oct 2 02:00:00 1949', 'Apr 1 01:59:59 1951');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 1 02:00:00 1951', 'Oct 7 01:59:59 1951', 'Apr 1 03:00:00 1951', 'Oct 7 02:59:59 1951');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 7 02:00:00 1951', 'Apr 6 01:59:59 1952', 'Oct 7 02:00:00 1951', 'Apr 6 01:59:59 1952');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 6 02:00:00 1952', 'Oct 5 01:59:59 1952', 'Apr 6 03:00:00 1952', 'Oct 5 02:59:59 1952');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 5 02:00:00 1952', 'Apr 5 01:59:59 1953', 'Oct 5 02:00:00 1952', 'Apr 5 01:59:59 1953');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 5 02:00:00 1953', 'Oct 4 01:59:59 1953', 'Apr 5 03:00:00 1953', 'Oct 4 02:59:59 1953');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 4 02:00:00 1953', 'Apr 4 01:59:59 1954', 'Oct 4 02:00:00 1953', 'Apr 4 01:59:59 1954');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 4 02:00:00 1954', 'Oct 3 01:59:59 1954', 'Apr 4 03:00:00 1954', 'Oct 3 02:59:59 1954');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 3 02:00:00 1954', 'Apr 3 01:59:59 1955', 'Oct 3 02:00:00 1954', 'Apr 3 01:59:59 1955');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 3 02:00:00 1955', 'Oct 2 01:59:59 1955', 'Apr 3 03:00:00 1955', 'Oct 2 02:59:59 1955');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 2 02:00:00 1955', 'Apr 1 01:59:59 1956', 'Oct 2 02:00:00 1955', 'Apr 1 01:59:59 1956');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 1 02:00:00 1956', 'Oct 7 01:59:59 1956', 'Apr 1 03:00:00 1956', 'Oct 7 02:59:59 1956');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 7 02:00:00 1956', 'Apr 7 01:59:59 1957', 'Oct 7 02:00:00 1956', 'Apr 7 01:59:59 1957');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 7 02:00:00 1957', 'Oct 6 01:59:59 1957', 'Apr 7 03:00:00 1957', 'Oct 6 02:59:59 1957');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 6 02:00:00 1957', 'Apr 6 01:59:59 1958', 'Oct 6 02:00:00 1957', 'Apr 6 01:59:59 1958');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 6 02:00:00 1958', 'Oct 5 01:59:59 1958', 'Apr 6 03:00:00 1958', 'Oct 5 02:59:59 1958');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 5 02:00:00 1958', 'Apr 5 01:59:59 1959', 'Oct 5 02:00:00 1958', 'Apr 5 01:59:59 1959');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 5 02:00:00 1959', 'Oct 4 01:59:59 1959', 'Apr 5 03:00:00 1959', 'Oct 4 02:59:59 1959');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 4 02:00:00 1959', 'Apr 3 01:59:59 1960', 'Oct 4 02:00:00 1959', 'Apr 3 01:59:59 1960');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 3 02:00:00 1960', 'Oct 2 01:59:59 1960', 'Apr 3 03:00:00 1960', 'Oct 2 02:59:59 1960');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 2 02:00:00 1960', 'Apr 2 01:59:59 1961', 'Oct 2 02:00:00 1960', 'Apr 2 01:59:59 1961');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 2 02:00:00 1961', 'Oct 1 01:59:59 1961', 'Apr 2 03:00:00 1961', 'Oct 1 02:59:59 1961');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 1 02:00:00 1961', 'Apr 1 01:59:59 1962', 'Oct 1 02:00:00 1961', 'Apr 1 01:59:59 1962');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 1 02:00:00 1962', 'Oct 7 01:59:59 1962', 'Apr 1 03:00:00 1962', 'Oct 7 02:59:59 1962');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 7 02:00:00 1962', 'Apr 7 01:59:59 1963', 'Oct 7 02:00:00 1962', 'Apr 7 01:59:59 1963');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 7 02:00:00 1963', 'Oct 6 01:59:59 1963', 'Apr 7 03:00:00 1963', 'Oct 6 02:59:59 1963');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 6 02:00:00 1963', 'Apr 5 01:59:59 1964', 'Oct 6 02:00:00 1963', 'Apr 5 01:59:59 1964');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 5 02:00:00 1964', 'Oct 4 01:59:59 1964', 'Apr 5 03:00:00 1964', 'Oct 4 02:59:59 1964');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 4 02:00:00 1964', 'Apr 4 01:59:59 1965', 'Oct 4 02:00:00 1964', 'Apr 4 01:59:59 1965');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 4 02:00:00 1965', 'Oct 3 01:59:59 1965', 'Apr 4 03:00:00 1965', 'Oct 3 02:59:59 1965');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 3 02:00:00 1965', 'Apr 3 01:59:59 1966', 'Oct 3 02:00:00 1965', 'Apr 3 01:59:59 1966');
timezone.add_rule('Portugal', 'WET', 0, 3600, 'Apr 3 02:00:00 1966', 'Sep 25 23:59:59 1976', 'Apr 3 03:00:00 1966', 'Sep 26 00:59:59 1976');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 26 00:00:00 1976', 'Mar 26 23:59:59 1977', 'Sep 26 00:00:00 1976', 'Mar 26 23:59:59 1977');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 27 00:00:00 1977', 'Sep 24 23:59:59 1977', 'Mar 27 01:00:00 1977', 'Sep 25 00:59:59 1977');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 25 00:00:00 1977', 'Apr 1 23:59:59 1978', 'Sep 25 00:00:00 1977', 'Apr 1 23:59:59 1978');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 2 00:00:00 1978', 'Sep 30 23:59:59 1978', 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 1 00:00:00 1978', 'Mar 31 23:59:59 1979', 'Oct 1 00:00:00 1978', 'Mar 31 23:59:59 1979');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Apr 1 00:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 01:00:00 1979', 'Sep 30 01:59:59 1979');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 30 01:00:00 1979', 'Mar 29 23:59:59 1980', 'Sep 30 01:00:00 1979', 'Mar 29 23:59:59 1980');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 00:00:00 1980', 'Sep 28 00:59:59 1980', 'Mar 30 01:00:00 1980', 'Sep 28 01:59:59 1980');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 26 01:00:00 1982', 'Mar 27 01:59:59 1983', 'Sep 26 01:00:00 1982', 'Mar 27 01:59:59 1983');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 27 02:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 03:00:00 1983', 'Sep 25 01:59:59 1983');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('Portugal', 'WET', 0, 3600, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 02:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('Portugal', 'WEST', 1, 7200, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('Portugal', 'WET', 0, 3600, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('Portugal', 'WEST', 1, 7200, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('Portugal', 'WET', 0, 3600, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('Portugal', 'WEST', 1, 7200, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('Portugal', 'WET', 0, 3600, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('Portugal', 'WEST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('Portugal', 'WET', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- ROC
--

begin
timezone.add_rule('ROC', 'CST', 0, 28800, 'Dec 14 20:45:52 1901', 'Apr 30 15:59:59 1945', 'Dec 15 04:45:52 1901', 'Apr 30 23:59:59 1945');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Apr 30 16:00:00 1945', 'Sep 30 14:59:59 1945', 'May 1 01:00:00 1945', 'Sep 30 23:59:59 1945');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1945', 'Apr 30 15:59:59 1946', 'Sep 30 23:00:00 1945', 'Apr 30 23:59:59 1946');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Apr 30 16:00:00 1946', 'Sep 30 14:59:59 1946', 'May 1 01:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1946', 'Apr 30 15:59:59 1947', 'Sep 30 23:00:00 1946', 'Apr 30 23:59:59 1947');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Apr 30 16:00:00 1947', 'Sep 30 14:59:59 1947', 'May 1 01:00:00 1947', 'Sep 30 23:59:59 1947');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1947', 'Apr 30 15:59:59 1948', 'Sep 30 23:00:00 1947', 'Apr 30 23:59:59 1948');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Apr 30 16:00:00 1948', 'Sep 30 14:59:59 1948', 'May 1 01:00:00 1948', 'Sep 30 23:59:59 1948');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1948', 'Apr 30 15:59:59 1949', 'Sep 30 23:00:00 1948', 'Apr 30 23:59:59 1949');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Apr 30 16:00:00 1949', 'Sep 30 14:59:59 1949', 'May 1 01:00:00 1949', 'Sep 30 23:59:59 1949');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1949', 'Apr 30 15:59:59 1950', 'Sep 30 23:00:00 1949', 'Apr 30 23:59:59 1950');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Apr 30 16:00:00 1950', 'Sep 30 14:59:59 1950', 'May 1 01:00:00 1950', 'Sep 30 23:59:59 1950');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1950', 'Apr 30 15:59:59 1951', 'Sep 30 23:00:00 1950', 'Apr 30 23:59:59 1951');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Apr 30 16:00:00 1951', 'Sep 30 14:59:59 1951', 'May 1 01:00:00 1951', 'Sep 30 23:59:59 1951');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1951', 'Feb 29 15:59:59 1952', 'Sep 30 23:00:00 1951', 'Feb 29 23:59:59 1952');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Feb 29 16:00:00 1952', 'Oct 31 14:59:59 1952', 'Mar 1 01:00:00 1952', 'Oct 31 23:59:59 1952');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Oct 31 15:00:00 1952', 'Mar 31 15:59:59 1953', 'Oct 31 23:00:00 1952', 'Mar 31 23:59:59 1953');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Mar 31 16:00:00 1953', 'Oct 31 14:59:59 1953', 'Apr 1 01:00:00 1953', 'Oct 31 23:59:59 1953');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Oct 31 15:00:00 1953', 'Mar 31 15:59:59 1954', 'Oct 31 23:00:00 1953', 'Mar 31 23:59:59 1954');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Mar 31 16:00:00 1954', 'Oct 31 14:59:59 1954', 'Apr 1 01:00:00 1954', 'Oct 31 23:59:59 1954');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Oct 31 15:00:00 1954', 'Mar 31 15:59:59 1955', 'Oct 31 23:00:00 1954', 'Mar 31 23:59:59 1955');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Mar 31 16:00:00 1955', 'Sep 30 14:59:59 1955', 'Apr 1 01:00:00 1955', 'Sep 30 23:59:59 1955');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1955', 'Mar 31 15:59:59 1956', 'Sep 30 23:00:00 1955', 'Mar 31 23:59:59 1956');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Mar 31 16:00:00 1956', 'Sep 30 14:59:59 1956', 'Apr 1 01:00:00 1956', 'Sep 30 23:59:59 1956');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1956', 'Mar 31 15:59:59 1957', 'Sep 30 23:00:00 1956', 'Mar 31 23:59:59 1957');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Mar 31 16:00:00 1957', 'Sep 30 14:59:59 1957', 'Apr 1 01:00:00 1957', 'Sep 30 23:59:59 1957');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1957', 'Mar 31 15:59:59 1958', 'Sep 30 23:00:00 1957', 'Mar 31 23:59:59 1958');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Mar 31 16:00:00 1958', 'Sep 30 14:59:59 1958', 'Apr 1 01:00:00 1958', 'Sep 30 23:59:59 1958');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1958', 'Mar 31 15:59:59 1959', 'Sep 30 23:00:00 1958', 'Mar 31 23:59:59 1959');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Mar 31 16:00:00 1959', 'Sep 30 14:59:59 1959', 'Apr 1 01:00:00 1959', 'Sep 30 23:59:59 1959');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1959', 'May 31 15:59:59 1960', 'Sep 30 23:00:00 1959', 'May 31 23:59:59 1960');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'May 31 16:00:00 1960', 'Sep 30 14:59:59 1960', 'Jun 1 01:00:00 1960', 'Sep 30 23:59:59 1960');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1960', 'May 31 15:59:59 1961', 'Sep 30 23:00:00 1960', 'May 31 23:59:59 1961');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'May 31 16:00:00 1961', 'Sep 30 14:59:59 1961', 'Jun 1 01:00:00 1961', 'Sep 30 23:59:59 1961');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1961', 'Mar 31 15:59:59 1974', 'Sep 30 23:00:00 1961', 'Mar 31 23:59:59 1974');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Mar 31 16:00:00 1974', 'Sep 30 14:59:59 1974', 'Apr 1 01:00:00 1974', 'Sep 30 23:59:59 1974');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1974', 'Mar 31 15:59:59 1975', 'Sep 30 23:00:00 1974', 'Mar 31 23:59:59 1975');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Mar 31 16:00:00 1975', 'Sep 30 14:59:59 1975', 'Apr 1 01:00:00 1975', 'Sep 30 23:59:59 1975');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 30 15:00:00 1975', 'Jun 29 15:59:59 1980', 'Sep 30 23:00:00 1975', 'Jun 29 23:59:59 1980');
timezone.add_rule('ROC', 'CDT', 1, 32400, 'Jun 29 16:00:00 1980', 'Sep 29 14:59:59 1980', 'Jun 30 01:00:00 1980', 'Sep 29 23:59:59 1980');
timezone.add_rule('ROC', 'CST', 0, 28800, 'Sep 29 15:00:00 1980', 'Jan 18 03:14:07 2038', 'Sep 29 23:00:00 1980', 'Jan 18 11:14:07 2038');
end;
/

--
-- ROK
--

begin
timezone.add_rule('ROK', 'KST', 0, 30600, 'Dec 14 20:45:52 1901', 'Nov 30 15:29:59 1904', 'Dec 15 05:15:52 1901', 'Nov 30 23:59:59 1904');
timezone.add_rule('ROK', 'KST', 0, 32400, 'Nov 30 15:30:00 1904', 'Dec 31 14:59:59 1927', 'Dec 1 00:30:00 1904', 'Dec 31 23:59:59 1927');
timezone.add_rule('ROK', 'KST', 0, 30600, 'Dec 31 15:00:00 1927', 'Dec 31 15:29:59 1931', 'Dec 31 23:30:00 1927', 'Dec 31 23:59:59 1931');
timezone.add_rule('ROK', 'KST', 0, 32400, 'Dec 31 15:30:00 1931', 'Mar 20 14:59:59 1954', 'Jan 1 00:30:00 1932', 'Mar 20 23:59:59 1954');
timezone.add_rule('ROK', 'KST', 0, 28800, 'Mar 20 15:00:00 1954', 'May 14 15:59:59 1960', 'Mar 20 23:00:00 1954', 'May 14 23:59:59 1960');
timezone.add_rule('ROK', 'KDT', 1, 32400, 'May 14 16:00:00 1960', 'Sep 12 14:59:59 1960', 'May 15 01:00:00 1960', 'Sep 12 23:59:59 1960');
timezone.add_rule('ROK', 'KST', 0, 28800, 'Sep 12 15:00:00 1960', 'Aug 9 15:59:59 1961', 'Sep 12 23:00:00 1960', 'Aug 9 23:59:59 1961');
timezone.add_rule('ROK', 'KST', 0, 30600, 'Aug 9 16:00:00 1961', 'Sep 30 15:29:59 1968', 'Aug 10 00:30:00 1961', 'Sep 30 23:59:59 1968');
timezone.add_rule('ROK', 'KST', 0, 32400, 'Sep 30 15:30:00 1968', 'May 9 14:59:59 1987', 'Oct 1 00:30:00 1968', 'May 9 23:59:59 1987');
timezone.add_rule('ROK', 'KDT', 1, 36000, 'May 9 15:00:00 1987', 'Oct 10 13:59:59 1987', 'May 10 01:00:00 1987', 'Oct 10 23:59:59 1987');
timezone.add_rule('ROK', 'KST', 0, 32400, 'Oct 10 14:00:00 1987', 'May 7 14:59:59 1988', 'Oct 10 23:00:00 1987', 'May 7 23:59:59 1988');
timezone.add_rule('ROK', 'KDT', 1, 36000, 'May 7 15:00:00 1988', 'Oct 8 13:59:59 1988', 'May 8 01:00:00 1988', 'Oct 8 23:59:59 1988');
timezone.add_rule('ROK', 'KST', 0, 32400, 'Oct 8 14:00:00 1988', 'Jan 18 03:14:07 2038', 'Oct 8 23:00:00 1988', 'Jan 18 12:14:07 2038');
end;
/

--
-- Singapore
--

begin
timezone.add_rule('Singapore', 'SGT', 0, 24924, 'Dec 14 20:45:52 1901', 'May 31 17:04:35 1905', 'Dec 15 03:41:16 1901', 'May 31 23:59:59 1905');
timezone.add_rule('Singapore', 'SGT', 0, 25200, 'May 31 17:04:36 1905', 'Dec 31 16:59:59 1932', 'Jun 1 00:04:36 1905', 'Dec 31 23:59:59 1932');
timezone.add_rule('Singapore', 'SGT', 0, 26400, 'Dec 31 17:00:00 1932', 'Feb 14 16:39:59 1942', 'Jan 1 00:20:00 1933', 'Feb 14 23:59:59 1942');
timezone.add_rule('Singapore', 'SGT', 0, 32400, 'Feb 14 16:40:00 1942', 'Sep 1 14:59:59 1945', 'Feb 15 01:40:00 1942', 'Sep 1 23:59:59 1945');
timezone.add_rule('Singapore', 'SGT', 0, 26400, 'Sep 1 15:00:00 1945', 'Dec 31 16:39:59 1949', 'Sep 1 22:20:00 1945', 'Dec 31 23:59:59 1949');
timezone.add_rule('Singapore', 'SGT', 0, 27000, 'Dec 31 16:40:00 1949', 'Apr 30 16:29:59 1982', 'Jan 1 00:10:00 1950', 'Apr 30 23:59:59 1982');
timezone.add_rule('Singapore', 'SGT', 0, 28800, 'Apr 30 16:30:00 1982', 'Jan 18 03:14:07 2038', 'May 1 00:30:00 1982', 'Jan 18 11:14:07 2038');
end;
/

--
-- SystemV/AST4
--

begin
timezone.add_rule('SystemV/AST4', 'AST', 0, -14400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 16:45:52 1901', 'Jan 17 23:14:07 2038');
end;
/

--
-- SystemV/AST4ADT
--

begin
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Dec 14 20:45:52 1901', 'Apr 27 05:59:59 1902', 'Dec 14 16:45:52 1901', 'Apr 27 01:59:59 1902');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1902', 'Oct 26 04:59:59 1902', 'Apr 27 03:00:00 1902', 'Oct 26 01:59:59 1902');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1902', 'Apr 26 05:59:59 1903', 'Oct 26 01:00:00 1902', 'Apr 26 01:59:59 1903');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1903', 'Oct 25 04:59:59 1903', 'Apr 26 03:00:00 1903', 'Oct 25 01:59:59 1903');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1903', 'Apr 24 05:59:59 1904', 'Oct 25 01:00:00 1903', 'Apr 24 01:59:59 1904');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1904', 'Oct 30 04:59:59 1904', 'Apr 24 03:00:00 1904', 'Oct 30 01:59:59 1904');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1904', 'Apr 30 05:59:59 1905', 'Oct 30 01:00:00 1904', 'Apr 30 01:59:59 1905');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1905', 'Oct 29 04:59:59 1905', 'Apr 30 03:00:00 1905', 'Oct 29 01:59:59 1905');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1905', 'Apr 29 05:59:59 1906', 'Oct 29 01:00:00 1905', 'Apr 29 01:59:59 1906');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1906', 'Oct 28 04:59:59 1906', 'Apr 29 03:00:00 1906', 'Oct 28 01:59:59 1906');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1906', 'Apr 28 05:59:59 1907', 'Oct 28 01:00:00 1906', 'Apr 28 01:59:59 1907');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1907', 'Oct 27 04:59:59 1907', 'Apr 28 03:00:00 1907', 'Oct 27 01:59:59 1907');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1907', 'Apr 26 05:59:59 1908', 'Oct 27 01:00:00 1907', 'Apr 26 01:59:59 1908');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1908', 'Oct 25 04:59:59 1908', 'Apr 26 03:00:00 1908', 'Oct 25 01:59:59 1908');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1908', 'Apr 25 05:59:59 1909', 'Oct 25 01:00:00 1908', 'Apr 25 01:59:59 1909');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1909', 'Oct 31 04:59:59 1909', 'Apr 25 03:00:00 1909', 'Oct 31 01:59:59 1909');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1909', 'Apr 24 05:59:59 1910', 'Oct 31 01:00:00 1909', 'Apr 24 01:59:59 1910');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1910', 'Oct 30 04:59:59 1910', 'Apr 24 03:00:00 1910', 'Oct 30 01:59:59 1910');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1910', 'Apr 30 05:59:59 1911', 'Oct 30 01:00:00 1910', 'Apr 30 01:59:59 1911');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1911', 'Oct 29 04:59:59 1911', 'Apr 30 03:00:00 1911', 'Oct 29 01:59:59 1911');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1911', 'Apr 28 05:59:59 1912', 'Oct 29 01:00:00 1911', 'Apr 28 01:59:59 1912');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1912', 'Oct 27 04:59:59 1912', 'Apr 28 03:00:00 1912', 'Oct 27 01:59:59 1912');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1912', 'Apr 27 05:59:59 1913', 'Oct 27 01:00:00 1912', 'Apr 27 01:59:59 1913');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1913', 'Oct 26 04:59:59 1913', 'Apr 27 03:00:00 1913', 'Oct 26 01:59:59 1913');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1913', 'Apr 26 05:59:59 1914', 'Oct 26 01:00:00 1913', 'Apr 26 01:59:59 1914');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1914', 'Oct 25 04:59:59 1914', 'Apr 26 03:00:00 1914', 'Oct 25 01:59:59 1914');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1914', 'Apr 25 05:59:59 1915', 'Oct 25 01:00:00 1914', 'Apr 25 01:59:59 1915');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1915', 'Oct 31 04:59:59 1915', 'Apr 25 03:00:00 1915', 'Oct 31 01:59:59 1915');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1915', 'Apr 30 05:59:59 1916', 'Oct 31 01:00:00 1915', 'Apr 30 01:59:59 1916');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1916', 'Oct 29 04:59:59 1916', 'Apr 30 03:00:00 1916', 'Oct 29 01:59:59 1916');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1916', 'Apr 29 05:59:59 1917', 'Oct 29 01:00:00 1916', 'Apr 29 01:59:59 1917');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1917', 'Oct 28 04:59:59 1917', 'Apr 29 03:00:00 1917', 'Oct 28 01:59:59 1917');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1917', 'Apr 28 05:59:59 1918', 'Oct 28 01:00:00 1917', 'Apr 28 01:59:59 1918');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1918', 'Oct 27 04:59:59 1918', 'Apr 28 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1918', 'Apr 27 05:59:59 1919', 'Oct 27 01:00:00 1918', 'Apr 27 01:59:59 1919');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1919', 'Oct 26 04:59:59 1919', 'Apr 27 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1919', 'Apr 25 05:59:59 1920', 'Oct 26 01:00:00 1919', 'Apr 25 01:59:59 1920');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1920', 'Oct 31 04:59:59 1920', 'Apr 25 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1920', 'Apr 24 05:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1921', 'Oct 30 04:59:59 1921', 'Apr 24 03:00:00 1921', 'Oct 30 01:59:59 1921');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1921', 'Apr 30 05:59:59 1922', 'Oct 30 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1922', 'Oct 29 04:59:59 1922', 'Apr 30 03:00:00 1922', 'Oct 29 01:59:59 1922');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1922', 'Apr 29 05:59:59 1923', 'Oct 29 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1923', 'Oct 28 04:59:59 1923', 'Apr 29 03:00:00 1923', 'Oct 28 01:59:59 1923');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1923', 'Apr 27 05:59:59 1924', 'Oct 28 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1924', 'Oct 26 04:59:59 1924', 'Apr 27 03:00:00 1924', 'Oct 26 01:59:59 1924');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1924', 'Apr 26 05:59:59 1925', 'Oct 26 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1925', 'Oct 25 04:59:59 1925', 'Apr 26 03:00:00 1925', 'Oct 25 01:59:59 1925');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1925', 'Apr 25 05:59:59 1926', 'Oct 25 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1926', 'Oct 31 04:59:59 1926', 'Apr 25 03:00:00 1926', 'Oct 31 01:59:59 1926');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1926', 'Apr 24 05:59:59 1927', 'Oct 31 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1927', 'Oct 30 04:59:59 1927', 'Apr 24 03:00:00 1927', 'Oct 30 01:59:59 1927');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1927', 'Apr 29 05:59:59 1928', 'Oct 30 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1928', 'Oct 28 04:59:59 1928', 'Apr 29 03:00:00 1928', 'Oct 28 01:59:59 1928');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1928', 'Apr 28 05:59:59 1929', 'Oct 28 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1929', 'Oct 27 04:59:59 1929', 'Apr 28 03:00:00 1929', 'Oct 27 01:59:59 1929');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1929', 'Apr 27 05:59:59 1930', 'Oct 27 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1930', 'Oct 26 04:59:59 1930', 'Apr 27 03:00:00 1930', 'Oct 26 01:59:59 1930');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1930', 'Apr 26 05:59:59 1931', 'Oct 26 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1931', 'Oct 25 04:59:59 1931', 'Apr 26 03:00:00 1931', 'Oct 25 01:59:59 1931');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1931', 'Apr 24 05:59:59 1932', 'Oct 25 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1932', 'Oct 30 04:59:59 1932', 'Apr 24 03:00:00 1932', 'Oct 30 01:59:59 1932');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1932', 'Apr 30 05:59:59 1933', 'Oct 30 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1933', 'Oct 29 04:59:59 1933', 'Apr 30 03:00:00 1933', 'Oct 29 01:59:59 1933');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1933', 'Apr 29 05:59:59 1934', 'Oct 29 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1934', 'Oct 28 04:59:59 1934', 'Apr 29 03:00:00 1934', 'Oct 28 01:59:59 1934');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1934', 'Apr 28 05:59:59 1935', 'Oct 28 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1935', 'Oct 27 04:59:59 1935', 'Apr 28 03:00:00 1935', 'Oct 27 01:59:59 1935');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1935', 'Apr 26 05:59:59 1936', 'Oct 27 01:00:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1936', 'Oct 25 04:59:59 1936', 'Apr 26 03:00:00 1936', 'Oct 25 01:59:59 1936');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1936', 'Apr 25 05:59:59 1937', 'Oct 25 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1937', 'Oct 31 04:59:59 1937', 'Apr 25 03:00:00 1937', 'Oct 31 01:59:59 1937');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1937', 'Apr 24 05:59:59 1938', 'Oct 31 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1938', 'Oct 30 04:59:59 1938', 'Apr 24 03:00:00 1938', 'Oct 30 01:59:59 1938');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1938', 'Apr 30 05:59:59 1939', 'Oct 30 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1939', 'Oct 29 04:59:59 1939', 'Apr 30 03:00:00 1939', 'Oct 29 01:59:59 1939');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1939', 'Apr 28 05:59:59 1940', 'Oct 29 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1940', 'Oct 27 04:59:59 1940', 'Apr 28 03:00:00 1940', 'Oct 27 01:59:59 1940');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1940', 'Apr 27 05:59:59 1941', 'Oct 27 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1941', 'Oct 26 04:59:59 1941', 'Apr 27 03:00:00 1941', 'Oct 26 01:59:59 1941');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1941', 'Apr 26 05:59:59 1942', 'Oct 26 01:00:00 1941', 'Apr 26 01:59:59 1942');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1942', 'Oct 25 04:59:59 1942', 'Apr 26 03:00:00 1942', 'Oct 25 01:59:59 1942');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1942', 'Apr 25 05:59:59 1943', 'Oct 25 01:00:00 1942', 'Apr 25 01:59:59 1943');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1943', 'Oct 31 04:59:59 1943', 'Apr 25 03:00:00 1943', 'Oct 31 01:59:59 1943');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1943', 'Apr 30 05:59:59 1944', 'Oct 31 01:00:00 1943', 'Apr 30 01:59:59 1944');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1944', 'Oct 29 04:59:59 1944', 'Apr 30 03:00:00 1944', 'Oct 29 01:59:59 1944');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1944', 'Apr 29 05:59:59 1945', 'Oct 29 01:00:00 1944', 'Apr 29 01:59:59 1945');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1945', 'Oct 28 04:59:59 1945', 'Apr 29 03:00:00 1945', 'Oct 28 01:59:59 1945');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1945', 'Apr 28 05:59:59 1946', 'Oct 28 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1946', 'Oct 27 04:59:59 1946', 'Apr 28 03:00:00 1946', 'Oct 27 01:59:59 1946');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1946', 'Apr 27 05:59:59 1947', 'Oct 27 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1947', 'Oct 26 04:59:59 1947', 'Apr 27 03:00:00 1947', 'Oct 26 01:59:59 1947');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1947', 'Apr 25 05:59:59 1948', 'Oct 26 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1948', 'Oct 31 04:59:59 1948', 'Apr 25 03:00:00 1948', 'Oct 31 01:59:59 1948');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1948', 'Apr 24 05:59:59 1949', 'Oct 31 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1949', 'Oct 30 04:59:59 1949', 'Apr 24 03:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1949', 'Apr 30 05:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1950', 'Oct 29 04:59:59 1950', 'Apr 30 03:00:00 1950', 'Oct 29 01:59:59 1950');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1950', 'Apr 29 05:59:59 1951', 'Oct 29 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1951', 'Oct 28 04:59:59 1951', 'Apr 29 03:00:00 1951', 'Oct 28 01:59:59 1951');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1951', 'Apr 27 05:59:59 1952', 'Oct 28 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1952', 'Oct 26 04:59:59 1952', 'Apr 27 03:00:00 1952', 'Oct 26 01:59:59 1952');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1952', 'Apr 26 05:59:59 1953', 'Oct 26 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1953', 'Oct 25 04:59:59 1953', 'Apr 26 03:00:00 1953', 'Oct 25 01:59:59 1953');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1953', 'Apr 25 05:59:59 1954', 'Oct 25 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1954', 'Oct 31 04:59:59 1954', 'Apr 25 03:00:00 1954', 'Oct 31 01:59:59 1954');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1954', 'Apr 24 05:59:59 1955', 'Oct 31 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1955', 'Oct 30 04:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1955', 'Apr 29 05:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1956', 'Oct 28 04:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1956', 'Apr 28 05:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1957', 'Oct 27 04:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1957', 'Apr 27 05:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1958', 'Oct 26 04:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1958', 'Apr 26 05:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1959', 'Oct 25 04:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1959', 'Apr 24 05:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1960', 'Oct 30 04:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1960', 'Apr 30 05:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1961', 'Oct 29 04:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1961', 'Apr 29 05:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1962', 'Oct 28 04:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1962', 'Apr 28 05:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1963', 'Oct 27 04:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1963', 'Apr 26 05:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1964', 'Oct 25 04:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1964', 'Apr 25 05:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1965', 'Oct 31 04:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1965', 'Apr 24 05:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1966', 'Oct 30 04:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1966', 'Apr 30 05:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1967', 'Oct 29 04:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1967', 'Apr 28 05:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1968', 'Oct 27 04:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1968', 'Apr 27 05:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1969', 'Oct 26 04:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1969', 'Apr 26 05:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1970', 'Oct 25 04:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1970', 'Apr 25 05:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1971', 'Oct 31 04:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1971', 'Apr 30 05:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1972', 'Oct 29 04:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1972', 'Apr 29 05:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1973', 'Oct 28 04:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1973', 'Jan 6 05:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Jan 6 06:00:00 1974', 'Nov 24 04:59:59 1974', 'Jan 6 03:00:00 1974', 'Nov 24 01:59:59 1974');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Nov 24 05:00:00 1974', 'Feb 23 05:59:59 1975', 'Nov 24 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Feb 23 06:00:00 1975', 'Oct 26 04:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1975', 'Apr 25 05:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1976', 'Oct 31 04:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1976', 'Apr 24 05:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1977', 'Oct 30 04:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1977', 'Apr 30 05:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1978', 'Oct 29 04:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1978', 'Apr 29 05:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1979', 'Oct 28 04:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1979', 'Apr 27 05:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1980', 'Oct 26 04:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1980', 'Apr 26 05:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1981', 'Oct 25 04:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1981', 'Apr 25 05:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1982', 'Oct 31 04:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1982', 'Apr 24 05:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1983', 'Oct 30 04:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1983', 'Apr 29 05:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1984', 'Oct 28 04:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1984', 'Apr 28 05:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1985', 'Oct 27 04:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1985', 'Apr 27 05:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1986', 'Oct 26 04:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1986', 'Apr 26 05:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 26 01:59:59 1987');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1987', 'Oct 25 04:59:59 1987', 'Apr 26 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1987', 'Apr 24 05:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 24 01:59:59 1988');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1988', 'Oct 30 04:59:59 1988', 'Apr 24 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1988', 'Apr 30 05:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 30 01:59:59 1989');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1989', 'Oct 29 04:59:59 1989', 'Apr 30 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1989', 'Apr 29 05:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 29 01:59:59 1990');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 1990', 'Oct 28 04:59:59 1990', 'Apr 29 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 1990', 'Apr 28 05:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 28 01:59:59 1991');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1991', 'Oct 27 04:59:59 1991', 'Apr 28 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1991', 'Apr 26 05:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 26 01:59:59 1992');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1992', 'Oct 25 04:59:59 1992', 'Apr 26 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1992', 'Apr 25 05:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 25 01:59:59 1993');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1993', 'Oct 31 04:59:59 1993', 'Apr 25 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1993', 'Apr 24 05:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 24 01:59:59 1994');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 1994', 'Oct 30 04:59:59 1994', 'Apr 24 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 1994', 'Apr 30 05:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 30 01:59:59 1995');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 1995', 'Oct 29 04:59:59 1995', 'Apr 30 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 1995', 'Apr 28 05:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 28 01:59:59 1996');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 1996', 'Oct 27 04:59:59 1996', 'Apr 28 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 1996', 'Apr 27 05:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 27 01:59:59 1997');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 1997', 'Oct 26 04:59:59 1997', 'Apr 27 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 1997', 'Apr 26 05:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 26 01:59:59 1998');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 1998', 'Oct 25 04:59:59 1998', 'Apr 26 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 1998', 'Apr 25 05:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 25 01:59:59 1999');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 1999', 'Oct 31 04:59:59 1999', 'Apr 25 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 1999', 'Apr 30 05:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 30 01:59:59 2000');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 2000', 'Oct 29 04:59:59 2000', 'Apr 30 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 2000', 'Apr 29 05:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 29 01:59:59 2001');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 2001', 'Oct 28 04:59:59 2001', 'Apr 29 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 2001', 'Apr 28 05:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 28 01:59:59 2002');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 2002', 'Oct 27 04:59:59 2002', 'Apr 28 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 2002', 'Apr 27 05:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 27 01:59:59 2003');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 2003', 'Oct 26 04:59:59 2003', 'Apr 27 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 2003', 'Apr 25 05:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 25 01:59:59 2004');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 2004', 'Oct 31 04:59:59 2004', 'Apr 25 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 2004', 'Apr 24 05:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 24 01:59:59 2005');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 2005', 'Oct 30 04:59:59 2005', 'Apr 24 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 2005', 'Apr 30 05:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 30 01:59:59 2006');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 2006', 'Oct 29 04:59:59 2006', 'Apr 30 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 2006', 'Apr 29 05:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 29 01:59:59 2007');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 2007', 'Oct 28 04:59:59 2007', 'Apr 29 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 2007', 'Apr 27 05:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 27 01:59:59 2008');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 2008', 'Oct 26 04:59:59 2008', 'Apr 27 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 2008', 'Apr 26 05:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 26 01:59:59 2009');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 2009', 'Oct 25 04:59:59 2009', 'Apr 26 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 2009', 'Apr 25 05:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 25 01:59:59 2010');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 2010', 'Oct 31 04:59:59 2010', 'Apr 25 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 2010', 'Apr 24 05:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 24 01:59:59 2011');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 2011', 'Oct 30 04:59:59 2011', 'Apr 24 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 2011', 'Apr 29 05:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 29 01:59:59 2012');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 2012', 'Oct 28 04:59:59 2012', 'Apr 29 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 2012', 'Apr 28 05:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 28 01:59:59 2013');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 2013', 'Oct 27 04:59:59 2013', 'Apr 28 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 2013', 'Apr 27 05:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 27 01:59:59 2014');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 2014', 'Oct 26 04:59:59 2014', 'Apr 27 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 2014', 'Apr 26 05:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 26 01:59:59 2015');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 2015', 'Oct 25 04:59:59 2015', 'Apr 26 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 2015', 'Apr 24 05:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 24 01:59:59 2016');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 2016', 'Oct 30 04:59:59 2016', 'Apr 24 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 2016', 'Apr 30 05:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 30 01:59:59 2017');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 2017', 'Oct 29 04:59:59 2017', 'Apr 30 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 2017', 'Apr 29 05:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 29 01:59:59 2018');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 2018', 'Oct 28 04:59:59 2018', 'Apr 29 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 2018', 'Apr 28 05:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 28 01:59:59 2019');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 2019', 'Oct 27 04:59:59 2019', 'Apr 28 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 2019', 'Apr 26 05:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 26 01:59:59 2020');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 2020', 'Oct 25 04:59:59 2020', 'Apr 26 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 2020', 'Apr 25 05:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 25 01:59:59 2021');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 2021', 'Oct 31 04:59:59 2021', 'Apr 25 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 2021', 'Apr 24 05:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 24 01:59:59 2022');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 2022', 'Oct 30 04:59:59 2022', 'Apr 24 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 2022', 'Apr 30 05:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 30 01:59:59 2023');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 2023', 'Oct 29 04:59:59 2023', 'Apr 30 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 2023', 'Apr 28 05:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 28 01:59:59 2024');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 2024', 'Oct 27 04:59:59 2024', 'Apr 28 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 2024', 'Apr 27 05:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 27 01:59:59 2025');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 2025', 'Oct 26 04:59:59 2025', 'Apr 27 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 2025', 'Apr 26 05:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 26 01:59:59 2026');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 2026', 'Oct 25 04:59:59 2026', 'Apr 26 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 2026', 'Apr 25 05:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 25 01:59:59 2027');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 2027', 'Oct 31 04:59:59 2027', 'Apr 25 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 2027', 'Apr 30 05:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 30 01:59:59 2028');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 2028', 'Oct 29 04:59:59 2028', 'Apr 30 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 2028', 'Apr 29 05:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 29 01:59:59 2029');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 2029', 'Oct 28 04:59:59 2029', 'Apr 29 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 2029', 'Apr 28 05:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 28 01:59:59 2030');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 28 06:00:00 2030', 'Oct 27 04:59:59 2030', 'Apr 28 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 27 05:00:00 2030', 'Apr 27 05:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 27 01:59:59 2031');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 2031', 'Oct 26 04:59:59 2031', 'Apr 27 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 2031', 'Apr 25 05:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 25 01:59:59 2032');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 25 06:00:00 2032', 'Oct 31 04:59:59 2032', 'Apr 25 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 31 05:00:00 2032', 'Apr 24 05:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 24 01:59:59 2033');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 24 06:00:00 2033', 'Oct 30 04:59:59 2033', 'Apr 24 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 30 05:00:00 2033', 'Apr 30 05:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 30 01:59:59 2034');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 30 06:00:00 2034', 'Oct 29 04:59:59 2034', 'Apr 30 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 29 05:00:00 2034', 'Apr 29 05:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 29 01:59:59 2035');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 29 06:00:00 2035', 'Oct 28 04:59:59 2035', 'Apr 29 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 28 05:00:00 2035', 'Apr 27 05:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 27 01:59:59 2036');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 27 06:00:00 2036', 'Oct 26 04:59:59 2036', 'Apr 27 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 26 05:00:00 2036', 'Apr 26 05:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 26 01:59:59 2037');
timezone.add_rule('SystemV/AST4ADT', 'ADT', 1, -10800, 'Apr 26 06:00:00 2037', 'Oct 25 04:59:59 2037', 'Apr 26 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('SystemV/AST4ADT', 'AST', 0, -14400, 'Oct 25 05:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 23:14:07 2038');
end;
/

--
-- SystemV/CST6
--

begin
timezone.add_rule('SystemV/CST6', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 14:45:52 1901', 'Jan 17 21:14:07 2038');
end;
/

--
-- SystemV/CST6CDT
--

begin
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Apr 27 07:59:59 1902', 'Dec 14 14:45:52 1901', 'Apr 27 01:59:59 1902');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1902', 'Oct 26 06:59:59 1902', 'Apr 27 03:00:00 1902', 'Oct 26 01:59:59 1902');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1902', 'Apr 26 07:59:59 1903', 'Oct 26 01:00:00 1902', 'Apr 26 01:59:59 1903');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1903', 'Oct 25 06:59:59 1903', 'Apr 26 03:00:00 1903', 'Oct 25 01:59:59 1903');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1903', 'Apr 24 07:59:59 1904', 'Oct 25 01:00:00 1903', 'Apr 24 01:59:59 1904');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1904', 'Oct 30 06:59:59 1904', 'Apr 24 03:00:00 1904', 'Oct 30 01:59:59 1904');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1904', 'Apr 30 07:59:59 1905', 'Oct 30 01:00:00 1904', 'Apr 30 01:59:59 1905');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1905', 'Oct 29 06:59:59 1905', 'Apr 30 03:00:00 1905', 'Oct 29 01:59:59 1905');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1905', 'Apr 29 07:59:59 1906', 'Oct 29 01:00:00 1905', 'Apr 29 01:59:59 1906');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1906', 'Oct 28 06:59:59 1906', 'Apr 29 03:00:00 1906', 'Oct 28 01:59:59 1906');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1906', 'Apr 28 07:59:59 1907', 'Oct 28 01:00:00 1906', 'Apr 28 01:59:59 1907');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1907', 'Oct 27 06:59:59 1907', 'Apr 28 03:00:00 1907', 'Oct 27 01:59:59 1907');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1907', 'Apr 26 07:59:59 1908', 'Oct 27 01:00:00 1907', 'Apr 26 01:59:59 1908');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1908', 'Oct 25 06:59:59 1908', 'Apr 26 03:00:00 1908', 'Oct 25 01:59:59 1908');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1908', 'Apr 25 07:59:59 1909', 'Oct 25 01:00:00 1908', 'Apr 25 01:59:59 1909');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1909', 'Oct 31 06:59:59 1909', 'Apr 25 03:00:00 1909', 'Oct 31 01:59:59 1909');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1909', 'Apr 24 07:59:59 1910', 'Oct 31 01:00:00 1909', 'Apr 24 01:59:59 1910');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1910', 'Oct 30 06:59:59 1910', 'Apr 24 03:00:00 1910', 'Oct 30 01:59:59 1910');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1910', 'Apr 30 07:59:59 1911', 'Oct 30 01:00:00 1910', 'Apr 30 01:59:59 1911');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1911', 'Oct 29 06:59:59 1911', 'Apr 30 03:00:00 1911', 'Oct 29 01:59:59 1911');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1911', 'Apr 28 07:59:59 1912', 'Oct 29 01:00:00 1911', 'Apr 28 01:59:59 1912');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1912', 'Oct 27 06:59:59 1912', 'Apr 28 03:00:00 1912', 'Oct 27 01:59:59 1912');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1912', 'Apr 27 07:59:59 1913', 'Oct 27 01:00:00 1912', 'Apr 27 01:59:59 1913');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1913', 'Oct 26 06:59:59 1913', 'Apr 27 03:00:00 1913', 'Oct 26 01:59:59 1913');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1913', 'Apr 26 07:59:59 1914', 'Oct 26 01:00:00 1913', 'Apr 26 01:59:59 1914');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1914', 'Oct 25 06:59:59 1914', 'Apr 26 03:00:00 1914', 'Oct 25 01:59:59 1914');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1914', 'Apr 25 07:59:59 1915', 'Oct 25 01:00:00 1914', 'Apr 25 01:59:59 1915');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1915', 'Oct 31 06:59:59 1915', 'Apr 25 03:00:00 1915', 'Oct 31 01:59:59 1915');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1915', 'Apr 30 07:59:59 1916', 'Oct 31 01:00:00 1915', 'Apr 30 01:59:59 1916');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1916', 'Oct 29 06:59:59 1916', 'Apr 30 03:00:00 1916', 'Oct 29 01:59:59 1916');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1916', 'Apr 29 07:59:59 1917', 'Oct 29 01:00:00 1916', 'Apr 29 01:59:59 1917');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1917', 'Oct 28 06:59:59 1917', 'Apr 29 03:00:00 1917', 'Oct 28 01:59:59 1917');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1917', 'Apr 28 07:59:59 1918', 'Oct 28 01:00:00 1917', 'Apr 28 01:59:59 1918');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Apr 28 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1918', 'Apr 27 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Apr 27 01:59:59 1919');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Apr 27 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1919', 'Apr 25 07:59:59 1920', 'Oct 26 01:00:00 1919', 'Apr 25 01:59:59 1920');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1920', 'Oct 31 06:59:59 1920', 'Apr 25 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1920', 'Apr 24 07:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1921', 'Oct 30 06:59:59 1921', 'Apr 24 03:00:00 1921', 'Oct 30 01:59:59 1921');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1921', 'Apr 30 07:59:59 1922', 'Oct 30 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1922', 'Oct 29 06:59:59 1922', 'Apr 30 03:00:00 1922', 'Oct 29 01:59:59 1922');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1922', 'Apr 29 07:59:59 1923', 'Oct 29 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1923', 'Oct 28 06:59:59 1923', 'Apr 29 03:00:00 1923', 'Oct 28 01:59:59 1923');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1923', 'Apr 27 07:59:59 1924', 'Oct 28 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1924', 'Oct 26 06:59:59 1924', 'Apr 27 03:00:00 1924', 'Oct 26 01:59:59 1924');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1924', 'Apr 26 07:59:59 1925', 'Oct 26 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1925', 'Oct 25 06:59:59 1925', 'Apr 26 03:00:00 1925', 'Oct 25 01:59:59 1925');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1925', 'Apr 25 07:59:59 1926', 'Oct 25 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1926', 'Oct 31 06:59:59 1926', 'Apr 25 03:00:00 1926', 'Oct 31 01:59:59 1926');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1926', 'Apr 24 07:59:59 1927', 'Oct 31 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1927', 'Oct 30 06:59:59 1927', 'Apr 24 03:00:00 1927', 'Oct 30 01:59:59 1927');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1927', 'Apr 29 07:59:59 1928', 'Oct 30 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1928', 'Oct 28 06:59:59 1928', 'Apr 29 03:00:00 1928', 'Oct 28 01:59:59 1928');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1928', 'Apr 28 07:59:59 1929', 'Oct 28 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1929', 'Oct 27 06:59:59 1929', 'Apr 28 03:00:00 1929', 'Oct 27 01:59:59 1929');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1929', 'Apr 27 07:59:59 1930', 'Oct 27 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1930', 'Oct 26 06:59:59 1930', 'Apr 27 03:00:00 1930', 'Oct 26 01:59:59 1930');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1930', 'Apr 26 07:59:59 1931', 'Oct 26 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1931', 'Oct 25 06:59:59 1931', 'Apr 26 03:00:00 1931', 'Oct 25 01:59:59 1931');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1931', 'Apr 24 07:59:59 1932', 'Oct 25 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1932', 'Oct 30 06:59:59 1932', 'Apr 24 03:00:00 1932', 'Oct 30 01:59:59 1932');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1932', 'Apr 30 07:59:59 1933', 'Oct 30 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1933', 'Oct 29 06:59:59 1933', 'Apr 30 03:00:00 1933', 'Oct 29 01:59:59 1933');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1933', 'Apr 29 07:59:59 1934', 'Oct 29 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1934', 'Oct 28 06:59:59 1934', 'Apr 29 03:00:00 1934', 'Oct 28 01:59:59 1934');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1934', 'Apr 28 07:59:59 1935', 'Oct 28 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1935', 'Oct 27 06:59:59 1935', 'Apr 28 03:00:00 1935', 'Oct 27 01:59:59 1935');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1935', 'Apr 26 07:59:59 1936', 'Oct 27 01:00:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1936', 'Oct 25 06:59:59 1936', 'Apr 26 03:00:00 1936', 'Oct 25 01:59:59 1936');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1936', 'Apr 25 07:59:59 1937', 'Oct 25 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1937', 'Oct 31 06:59:59 1937', 'Apr 25 03:00:00 1937', 'Oct 31 01:59:59 1937');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1937', 'Apr 24 07:59:59 1938', 'Oct 31 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1938', 'Oct 30 06:59:59 1938', 'Apr 24 03:00:00 1938', 'Oct 30 01:59:59 1938');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1938', 'Apr 30 07:59:59 1939', 'Oct 30 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1939', 'Oct 29 06:59:59 1939', 'Apr 30 03:00:00 1939', 'Oct 29 01:59:59 1939');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1939', 'Apr 28 07:59:59 1940', 'Oct 29 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1940', 'Oct 27 06:59:59 1940', 'Apr 28 03:00:00 1940', 'Oct 27 01:59:59 1940');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1940', 'Apr 27 07:59:59 1941', 'Oct 27 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1941', 'Oct 26 06:59:59 1941', 'Apr 27 03:00:00 1941', 'Oct 26 01:59:59 1941');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1941', 'Apr 26 07:59:59 1942', 'Oct 26 01:00:00 1941', 'Apr 26 01:59:59 1942');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1942', 'Oct 25 06:59:59 1942', 'Apr 26 03:00:00 1942', 'Oct 25 01:59:59 1942');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1942', 'Apr 25 07:59:59 1943', 'Oct 25 01:00:00 1942', 'Apr 25 01:59:59 1943');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1943', 'Oct 31 06:59:59 1943', 'Apr 25 03:00:00 1943', 'Oct 31 01:59:59 1943');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1943', 'Apr 30 07:59:59 1944', 'Oct 31 01:00:00 1943', 'Apr 30 01:59:59 1944');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1944', 'Oct 29 06:59:59 1944', 'Apr 30 03:00:00 1944', 'Oct 29 01:59:59 1944');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1944', 'Apr 29 07:59:59 1945', 'Oct 29 01:00:00 1944', 'Apr 29 01:59:59 1945');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1945', 'Oct 28 06:59:59 1945', 'Apr 29 03:00:00 1945', 'Oct 28 01:59:59 1945');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Oct 28 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Oct 27 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Oct 27 01:59:59 1946');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Oct 27 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Oct 26 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Oct 26 01:59:59 1947');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Oct 26 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Oct 31 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Oct 31 01:59:59 1948');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Oct 31 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Oct 30 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Oct 29 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Oct 29 01:59:59 1950');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Oct 29 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Oct 28 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Oct 28 01:59:59 1951');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Oct 28 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Oct 26 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Oct 26 01:59:59 1952');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Oct 26 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Oct 25 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Oct 25 01:59:59 1953');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Oct 25 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Oct 31 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Oct 31 01:59:59 1954');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Oct 31 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Oct 30 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Oct 28 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Oct 27 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Oct 26 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Oct 30 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1960', 'Apr 30 07:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1961', 'Oct 29 06:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1961', 'Apr 29 07:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1962', 'Oct 28 06:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1962', 'Apr 28 07:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1963', 'Oct 27 06:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1963', 'Apr 26 07:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1964', 'Oct 25 06:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1964', 'Apr 25 07:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1965', 'Oct 31 06:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1965', 'Apr 24 07:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1966', 'Oct 30 06:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1966', 'Apr 30 07:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1967', 'Oct 29 06:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1967', 'Apr 28 07:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1968', 'Oct 27 06:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1968', 'Apr 27 07:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1969', 'Oct 26 06:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1969', 'Apr 26 07:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1970', 'Oct 25 06:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1970', 'Apr 25 07:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1971', 'Oct 31 06:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1971', 'Apr 30 07:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1972', 'Oct 29 06:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1972', 'Apr 29 07:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1973', 'Jan 6 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Jan 6 08:00:00 1974', 'Nov 24 06:59:59 1974', 'Jan 6 03:00:00 1974', 'Nov 24 01:59:59 1974');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Nov 24 07:00:00 1974', 'Feb 23 07:59:59 1975', 'Nov 24 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Feb 23 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 26 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 26 01:59:59 1987');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 26 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 24 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 24 01:59:59 1988');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 24 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 30 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 30 01:59:59 1989');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 30 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 29 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 29 01:59:59 1990');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 29 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 28 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 28 01:59:59 1991');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 28 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1991', 'Apr 26 07:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 26 01:59:59 1992');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1992', 'Oct 25 06:59:59 1992', 'Apr 26 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1992', 'Apr 25 07:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 25 01:59:59 1993');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1993', 'Oct 31 06:59:59 1993', 'Apr 25 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1993', 'Apr 24 07:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 24 01:59:59 1994');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 1994', 'Oct 30 06:59:59 1994', 'Apr 24 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 1994', 'Apr 30 07:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 30 01:59:59 1995');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 1995', 'Oct 29 06:59:59 1995', 'Apr 30 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 1995', 'Apr 28 07:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 28 01:59:59 1996');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 28 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 27 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 27 01:59:59 1997');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 27 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 26 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 26 01:59:59 1998');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 26 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 25 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 25 01:59:59 1999');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 25 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 30 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 30 01:59:59 2000');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 30 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 29 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 29 01:59:59 2001');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 29 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 28 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 28 01:59:59 2002');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 28 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 27 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 27 01:59:59 2003');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 27 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 25 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 25 01:59:59 2004');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 25 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 24 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 24 01:59:59 2005');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 24 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 30 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 30 01:59:59 2006');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 30 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 29 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 29 01:59:59 2007');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 29 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 27 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 27 01:59:59 2008');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 27 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 26 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 26 01:59:59 2009');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 26 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 25 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 25 01:59:59 2010');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 25 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 24 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 24 01:59:59 2011');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 24 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 29 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 29 01:59:59 2012');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 29 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 28 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 28 01:59:59 2013');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 28 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 27 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 27 01:59:59 2014');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 27 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 26 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 26 01:59:59 2015');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 26 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 24 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 24 01:59:59 2016');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 24 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 30 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 30 01:59:59 2017');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 30 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 29 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 29 01:59:59 2018');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 29 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 28 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 28 01:59:59 2019');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 28 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 26 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 26 01:59:59 2020');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 26 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 25 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 25 01:59:59 2021');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 25 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 24 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 24 01:59:59 2022');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 24 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 30 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 30 01:59:59 2023');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 30 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 28 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 28 01:59:59 2024');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 28 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 27 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 27 01:59:59 2025');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 27 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 26 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 26 01:59:59 2026');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 26 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 25 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 25 01:59:59 2027');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 25 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 30 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 30 01:59:59 2028');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 30 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 29 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 29 01:59:59 2029');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 29 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 28 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 28 01:59:59 2030');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 28 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 28 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 27 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 27 01:59:59 2031');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 27 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 25 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 25 01:59:59 2032');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 25 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 25 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 24 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 24 01:59:59 2033');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 24 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 24 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 30 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 30 01:59:59 2034');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 30 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 30 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 29 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 29 01:59:59 2035');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 29 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 29 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 27 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 27 01:59:59 2036');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 27 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 27 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 26 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 26 01:59:59 2037');
timezone.add_rule('SystemV/CST6CDT', 'CDT', 1, -18000, 'Apr 26 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 26 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('SystemV/CST6CDT', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- SystemV/EST5
--

begin
timezone.add_rule('SystemV/EST5', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 15:45:52 1901', 'Jan 17 22:14:07 2038');
end;
/

--
-- SystemV/EST5EDT
--

begin
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Apr 27 06:59:59 1902', 'Dec 14 15:45:52 1901', 'Apr 27 01:59:59 1902');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1902', 'Oct 26 05:59:59 1902', 'Apr 27 03:00:00 1902', 'Oct 26 01:59:59 1902');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1902', 'Apr 26 06:59:59 1903', 'Oct 26 01:00:00 1902', 'Apr 26 01:59:59 1903');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1903', 'Oct 25 05:59:59 1903', 'Apr 26 03:00:00 1903', 'Oct 25 01:59:59 1903');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1903', 'Apr 24 06:59:59 1904', 'Oct 25 01:00:00 1903', 'Apr 24 01:59:59 1904');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1904', 'Oct 30 05:59:59 1904', 'Apr 24 03:00:00 1904', 'Oct 30 01:59:59 1904');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1904', 'Apr 30 06:59:59 1905', 'Oct 30 01:00:00 1904', 'Apr 30 01:59:59 1905');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1905', 'Oct 29 05:59:59 1905', 'Apr 30 03:00:00 1905', 'Oct 29 01:59:59 1905');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1905', 'Apr 29 06:59:59 1906', 'Oct 29 01:00:00 1905', 'Apr 29 01:59:59 1906');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1906', 'Oct 28 05:59:59 1906', 'Apr 29 03:00:00 1906', 'Oct 28 01:59:59 1906');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1906', 'Apr 28 06:59:59 1907', 'Oct 28 01:00:00 1906', 'Apr 28 01:59:59 1907');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1907', 'Oct 27 05:59:59 1907', 'Apr 28 03:00:00 1907', 'Oct 27 01:59:59 1907');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1907', 'Apr 26 06:59:59 1908', 'Oct 27 01:00:00 1907', 'Apr 26 01:59:59 1908');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1908', 'Oct 25 05:59:59 1908', 'Apr 26 03:00:00 1908', 'Oct 25 01:59:59 1908');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1908', 'Apr 25 06:59:59 1909', 'Oct 25 01:00:00 1908', 'Apr 25 01:59:59 1909');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1909', 'Oct 31 05:59:59 1909', 'Apr 25 03:00:00 1909', 'Oct 31 01:59:59 1909');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1909', 'Apr 24 06:59:59 1910', 'Oct 31 01:00:00 1909', 'Apr 24 01:59:59 1910');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1910', 'Oct 30 05:59:59 1910', 'Apr 24 03:00:00 1910', 'Oct 30 01:59:59 1910');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1910', 'Apr 30 06:59:59 1911', 'Oct 30 01:00:00 1910', 'Apr 30 01:59:59 1911');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1911', 'Oct 29 05:59:59 1911', 'Apr 30 03:00:00 1911', 'Oct 29 01:59:59 1911');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1911', 'Apr 28 06:59:59 1912', 'Oct 29 01:00:00 1911', 'Apr 28 01:59:59 1912');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1912', 'Oct 27 05:59:59 1912', 'Apr 28 03:00:00 1912', 'Oct 27 01:59:59 1912');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1912', 'Apr 27 06:59:59 1913', 'Oct 27 01:00:00 1912', 'Apr 27 01:59:59 1913');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1913', 'Oct 26 05:59:59 1913', 'Apr 27 03:00:00 1913', 'Oct 26 01:59:59 1913');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1913', 'Apr 26 06:59:59 1914', 'Oct 26 01:00:00 1913', 'Apr 26 01:59:59 1914');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1914', 'Oct 25 05:59:59 1914', 'Apr 26 03:00:00 1914', 'Oct 25 01:59:59 1914');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1914', 'Apr 25 06:59:59 1915', 'Oct 25 01:00:00 1914', 'Apr 25 01:59:59 1915');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1915', 'Oct 31 05:59:59 1915', 'Apr 25 03:00:00 1915', 'Oct 31 01:59:59 1915');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1915', 'Apr 30 06:59:59 1916', 'Oct 31 01:00:00 1915', 'Apr 30 01:59:59 1916');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1916', 'Oct 29 05:59:59 1916', 'Apr 30 03:00:00 1916', 'Oct 29 01:59:59 1916');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1916', 'Apr 29 06:59:59 1917', 'Oct 29 01:00:00 1916', 'Apr 29 01:59:59 1917');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1917', 'Oct 28 05:59:59 1917', 'Apr 29 03:00:00 1917', 'Oct 28 01:59:59 1917');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1917', 'Apr 28 06:59:59 1918', 'Oct 28 01:00:00 1917', 'Apr 28 01:59:59 1918');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1918', 'Oct 27 05:59:59 1918', 'Apr 28 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1918', 'Apr 27 06:59:59 1919', 'Oct 27 01:00:00 1918', 'Apr 27 01:59:59 1919');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1919', 'Oct 26 05:59:59 1919', 'Apr 27 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1919', 'Apr 25 06:59:59 1920', 'Oct 26 01:00:00 1919', 'Apr 25 01:59:59 1920');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1920', 'Oct 31 05:59:59 1920', 'Apr 25 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1920', 'Apr 24 06:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1921', 'Oct 30 05:59:59 1921', 'Apr 24 03:00:00 1921', 'Oct 30 01:59:59 1921');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1921', 'Apr 30 06:59:59 1922', 'Oct 30 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1922', 'Oct 29 05:59:59 1922', 'Apr 30 03:00:00 1922', 'Oct 29 01:59:59 1922');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1922', 'Apr 29 06:59:59 1923', 'Oct 29 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1923', 'Oct 28 05:59:59 1923', 'Apr 29 03:00:00 1923', 'Oct 28 01:59:59 1923');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1923', 'Apr 27 06:59:59 1924', 'Oct 28 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1924', 'Oct 26 05:59:59 1924', 'Apr 27 03:00:00 1924', 'Oct 26 01:59:59 1924');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1924', 'Apr 26 06:59:59 1925', 'Oct 26 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1925', 'Oct 25 05:59:59 1925', 'Apr 26 03:00:00 1925', 'Oct 25 01:59:59 1925');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1925', 'Apr 25 06:59:59 1926', 'Oct 25 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1926', 'Oct 31 05:59:59 1926', 'Apr 25 03:00:00 1926', 'Oct 31 01:59:59 1926');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1926', 'Apr 24 06:59:59 1927', 'Oct 31 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1927', 'Oct 30 05:59:59 1927', 'Apr 24 03:00:00 1927', 'Oct 30 01:59:59 1927');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1927', 'Apr 29 06:59:59 1928', 'Oct 30 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1928', 'Oct 28 05:59:59 1928', 'Apr 29 03:00:00 1928', 'Oct 28 01:59:59 1928');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1928', 'Apr 28 06:59:59 1929', 'Oct 28 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1929', 'Oct 27 05:59:59 1929', 'Apr 28 03:00:00 1929', 'Oct 27 01:59:59 1929');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1929', 'Apr 27 06:59:59 1930', 'Oct 27 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1930', 'Oct 26 05:59:59 1930', 'Apr 27 03:00:00 1930', 'Oct 26 01:59:59 1930');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1930', 'Apr 26 06:59:59 1931', 'Oct 26 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1931', 'Oct 25 05:59:59 1931', 'Apr 26 03:00:00 1931', 'Oct 25 01:59:59 1931');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1931', 'Apr 24 06:59:59 1932', 'Oct 25 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1932', 'Oct 30 05:59:59 1932', 'Apr 24 03:00:00 1932', 'Oct 30 01:59:59 1932');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1932', 'Apr 30 06:59:59 1933', 'Oct 30 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1933', 'Oct 29 05:59:59 1933', 'Apr 30 03:00:00 1933', 'Oct 29 01:59:59 1933');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1933', 'Apr 29 06:59:59 1934', 'Oct 29 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1934', 'Oct 28 05:59:59 1934', 'Apr 29 03:00:00 1934', 'Oct 28 01:59:59 1934');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1934', 'Apr 28 06:59:59 1935', 'Oct 28 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1935', 'Oct 27 05:59:59 1935', 'Apr 28 03:00:00 1935', 'Oct 27 01:59:59 1935');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1935', 'Apr 26 06:59:59 1936', 'Oct 27 01:00:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1936', 'Oct 25 05:59:59 1936', 'Apr 26 03:00:00 1936', 'Oct 25 01:59:59 1936');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1936', 'Apr 25 06:59:59 1937', 'Oct 25 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1937', 'Oct 31 05:59:59 1937', 'Apr 25 03:00:00 1937', 'Oct 31 01:59:59 1937');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1937', 'Apr 24 06:59:59 1938', 'Oct 31 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1938', 'Oct 30 05:59:59 1938', 'Apr 24 03:00:00 1938', 'Oct 30 01:59:59 1938');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1938', 'Apr 30 06:59:59 1939', 'Oct 30 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1939', 'Oct 29 05:59:59 1939', 'Apr 30 03:00:00 1939', 'Oct 29 01:59:59 1939');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1939', 'Apr 28 06:59:59 1940', 'Oct 29 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1940', 'Oct 27 05:59:59 1940', 'Apr 28 03:00:00 1940', 'Oct 27 01:59:59 1940');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1940', 'Apr 27 06:59:59 1941', 'Oct 27 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1941', 'Oct 26 05:59:59 1941', 'Apr 27 03:00:00 1941', 'Oct 26 01:59:59 1941');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1941', 'Apr 26 06:59:59 1942', 'Oct 26 01:00:00 1941', 'Apr 26 01:59:59 1942');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1942', 'Oct 25 05:59:59 1942', 'Apr 26 03:00:00 1942', 'Oct 25 01:59:59 1942');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1942', 'Apr 25 06:59:59 1943', 'Oct 25 01:00:00 1942', 'Apr 25 01:59:59 1943');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1943', 'Oct 31 05:59:59 1943', 'Apr 25 03:00:00 1943', 'Oct 31 01:59:59 1943');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1943', 'Apr 30 06:59:59 1944', 'Oct 31 01:00:00 1943', 'Apr 30 01:59:59 1944');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1944', 'Oct 29 05:59:59 1944', 'Apr 30 03:00:00 1944', 'Oct 29 01:59:59 1944');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1944', 'Apr 29 06:59:59 1945', 'Oct 29 01:00:00 1944', 'Apr 29 01:59:59 1945');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1945', 'Oct 28 05:59:59 1945', 'Apr 29 03:00:00 1945', 'Oct 28 01:59:59 1945');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1945', 'Apr 28 06:59:59 1946', 'Oct 28 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1946', 'Oct 27 05:59:59 1946', 'Apr 28 03:00:00 1946', 'Oct 27 01:59:59 1946');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1946', 'Apr 27 06:59:59 1947', 'Oct 27 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1947', 'Oct 26 05:59:59 1947', 'Apr 27 03:00:00 1947', 'Oct 26 01:59:59 1947');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1947', 'Apr 25 06:59:59 1948', 'Oct 26 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1948', 'Oct 31 05:59:59 1948', 'Apr 25 03:00:00 1948', 'Oct 31 01:59:59 1948');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1948', 'Apr 24 06:59:59 1949', 'Oct 31 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1949', 'Oct 30 05:59:59 1949', 'Apr 24 03:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1949', 'Apr 30 06:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1950', 'Oct 29 05:59:59 1950', 'Apr 30 03:00:00 1950', 'Oct 29 01:59:59 1950');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1950', 'Apr 29 06:59:59 1951', 'Oct 29 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1951', 'Oct 28 05:59:59 1951', 'Apr 29 03:00:00 1951', 'Oct 28 01:59:59 1951');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1951', 'Apr 27 06:59:59 1952', 'Oct 28 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1952', 'Oct 26 05:59:59 1952', 'Apr 27 03:00:00 1952', 'Oct 26 01:59:59 1952');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1952', 'Apr 26 06:59:59 1953', 'Oct 26 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1953', 'Oct 25 05:59:59 1953', 'Apr 26 03:00:00 1953', 'Oct 25 01:59:59 1953');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1953', 'Apr 25 06:59:59 1954', 'Oct 25 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1954', 'Oct 31 05:59:59 1954', 'Apr 25 03:00:00 1954', 'Oct 31 01:59:59 1954');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1954', 'Apr 24 06:59:59 1955', 'Oct 31 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1955', 'Oct 30 05:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1955', 'Apr 29 06:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1956', 'Oct 28 05:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1956', 'Apr 28 06:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1957', 'Oct 27 05:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1957', 'Apr 27 06:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1958', 'Oct 26 05:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1958', 'Apr 26 06:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1959', 'Oct 25 05:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1959', 'Apr 24 06:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1960', 'Oct 30 05:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1960', 'Apr 30 06:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1961', 'Oct 29 05:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1961', 'Apr 29 06:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1962', 'Oct 28 05:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1962', 'Apr 28 06:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1963', 'Oct 27 05:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1963', 'Apr 26 06:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1964', 'Oct 25 05:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1964', 'Apr 25 06:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1965', 'Oct 31 05:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1965', 'Apr 24 06:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1966', 'Oct 30 05:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1966', 'Apr 30 06:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1967', 'Oct 29 05:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1967', 'Apr 28 06:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1968', 'Oct 27 05:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1968', 'Apr 27 06:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Jan 6 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Jan 6 07:00:00 1974', 'Nov 24 05:59:59 1974', 'Jan 6 03:00:00 1974', 'Nov 24 01:59:59 1974');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Nov 24 06:00:00 1974', 'Feb 23 06:59:59 1975', 'Nov 24 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Feb 23 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 26 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 26 01:59:59 1987');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 26 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 24 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 24 01:59:59 1988');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 24 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 30 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 30 01:59:59 1989');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 30 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 29 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 29 01:59:59 1990');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 29 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 28 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 28 01:59:59 1991');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 28 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 26 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 26 01:59:59 1992');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 26 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 25 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 25 01:59:59 1993');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 25 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 24 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 24 01:59:59 1994');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 24 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 30 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 30 01:59:59 1995');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 30 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 28 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 28 01:59:59 1996');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 28 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 27 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 27 01:59:59 1997');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 27 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 26 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 26 01:59:59 1998');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 26 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 25 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 25 01:59:59 1999');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 25 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 30 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 30 01:59:59 2000');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 30 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 29 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 29 01:59:59 2001');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 29 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 28 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 28 01:59:59 2002');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 28 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 27 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 27 01:59:59 2003');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 27 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 25 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 25 01:59:59 2004');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 25 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 24 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 24 01:59:59 2005');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 24 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 30 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 30 01:59:59 2006');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 30 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 29 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 29 01:59:59 2007');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 29 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 27 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 27 01:59:59 2008');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 27 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 26 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 26 01:59:59 2009');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 26 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 25 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 25 01:59:59 2010');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 25 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 24 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 24 01:59:59 2011');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 24 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 29 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 29 01:59:59 2012');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 29 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 28 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 28 01:59:59 2013');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 28 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 27 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 27 01:59:59 2014');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 27 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 26 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 26 01:59:59 2015');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 26 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 24 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 24 01:59:59 2016');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 24 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 30 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 30 01:59:59 2017');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 30 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 29 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 29 01:59:59 2018');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 29 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 28 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 28 01:59:59 2019');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 28 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 26 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 26 01:59:59 2020');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 26 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 25 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 25 01:59:59 2021');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 25 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 24 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 24 01:59:59 2022');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 24 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 30 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 30 01:59:59 2023');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 30 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 28 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 28 01:59:59 2024');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 28 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 27 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 27 01:59:59 2025');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 27 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 26 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 26 01:59:59 2026');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 26 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 25 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 25 01:59:59 2027');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 25 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 30 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 30 01:59:59 2028');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 30 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 29 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 29 01:59:59 2029');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 29 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 28 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 28 01:59:59 2030');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 28 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 28 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 27 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 27 01:59:59 2031');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 27 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 25 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 25 01:59:59 2032');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 25 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 25 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 24 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 24 01:59:59 2033');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 24 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 24 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 30 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 30 01:59:59 2034');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 30 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 30 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 29 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 29 01:59:59 2035');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 29 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 29 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 27 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 27 01:59:59 2036');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 27 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 27 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 26 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 26 01:59:59 2037');
timezone.add_rule('SystemV/EST5EDT', 'EDT', 1, -14400, 'Apr 26 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 26 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('SystemV/EST5EDT', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- SystemV/HST10
--

begin
timezone.add_rule('SystemV/HST10', 'HST', 0, -36000, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 10:45:52 1901', 'Jan 17 17:14:07 2038');
end;
/

--
-- SystemV/MST7
--

begin
timezone.add_rule('SystemV/MST7', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 13:45:52 1901', 'Jan 17 20:14:07 2038');
end;
/

--
-- SystemV/MST7MDT
--

begin
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Apr 27 08:59:59 1902', 'Dec 14 13:45:52 1901', 'Apr 27 01:59:59 1902');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1902', 'Oct 26 07:59:59 1902', 'Apr 27 03:00:00 1902', 'Oct 26 01:59:59 1902');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1902', 'Apr 26 08:59:59 1903', 'Oct 26 01:00:00 1902', 'Apr 26 01:59:59 1903');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1903', 'Oct 25 07:59:59 1903', 'Apr 26 03:00:00 1903', 'Oct 25 01:59:59 1903');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1903', 'Apr 24 08:59:59 1904', 'Oct 25 01:00:00 1903', 'Apr 24 01:59:59 1904');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1904', 'Oct 30 07:59:59 1904', 'Apr 24 03:00:00 1904', 'Oct 30 01:59:59 1904');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1904', 'Apr 30 08:59:59 1905', 'Oct 30 01:00:00 1904', 'Apr 30 01:59:59 1905');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1905', 'Oct 29 07:59:59 1905', 'Apr 30 03:00:00 1905', 'Oct 29 01:59:59 1905');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1905', 'Apr 29 08:59:59 1906', 'Oct 29 01:00:00 1905', 'Apr 29 01:59:59 1906');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1906', 'Oct 28 07:59:59 1906', 'Apr 29 03:00:00 1906', 'Oct 28 01:59:59 1906');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1906', 'Apr 28 08:59:59 1907', 'Oct 28 01:00:00 1906', 'Apr 28 01:59:59 1907');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1907', 'Oct 27 07:59:59 1907', 'Apr 28 03:00:00 1907', 'Oct 27 01:59:59 1907');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1907', 'Apr 26 08:59:59 1908', 'Oct 27 01:00:00 1907', 'Apr 26 01:59:59 1908');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1908', 'Oct 25 07:59:59 1908', 'Apr 26 03:00:00 1908', 'Oct 25 01:59:59 1908');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1908', 'Apr 25 08:59:59 1909', 'Oct 25 01:00:00 1908', 'Apr 25 01:59:59 1909');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1909', 'Oct 31 07:59:59 1909', 'Apr 25 03:00:00 1909', 'Oct 31 01:59:59 1909');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1909', 'Apr 24 08:59:59 1910', 'Oct 31 01:00:00 1909', 'Apr 24 01:59:59 1910');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1910', 'Oct 30 07:59:59 1910', 'Apr 24 03:00:00 1910', 'Oct 30 01:59:59 1910');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1910', 'Apr 30 08:59:59 1911', 'Oct 30 01:00:00 1910', 'Apr 30 01:59:59 1911');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1911', 'Oct 29 07:59:59 1911', 'Apr 30 03:00:00 1911', 'Oct 29 01:59:59 1911');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1911', 'Apr 28 08:59:59 1912', 'Oct 29 01:00:00 1911', 'Apr 28 01:59:59 1912');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1912', 'Oct 27 07:59:59 1912', 'Apr 28 03:00:00 1912', 'Oct 27 01:59:59 1912');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1912', 'Apr 27 08:59:59 1913', 'Oct 27 01:00:00 1912', 'Apr 27 01:59:59 1913');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1913', 'Oct 26 07:59:59 1913', 'Apr 27 03:00:00 1913', 'Oct 26 01:59:59 1913');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1913', 'Apr 26 08:59:59 1914', 'Oct 26 01:00:00 1913', 'Apr 26 01:59:59 1914');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1914', 'Oct 25 07:59:59 1914', 'Apr 26 03:00:00 1914', 'Oct 25 01:59:59 1914');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1914', 'Apr 25 08:59:59 1915', 'Oct 25 01:00:00 1914', 'Apr 25 01:59:59 1915');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1915', 'Oct 31 07:59:59 1915', 'Apr 25 03:00:00 1915', 'Oct 31 01:59:59 1915');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1915', 'Apr 30 08:59:59 1916', 'Oct 31 01:00:00 1915', 'Apr 30 01:59:59 1916');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1916', 'Oct 29 07:59:59 1916', 'Apr 30 03:00:00 1916', 'Oct 29 01:59:59 1916');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1916', 'Apr 29 08:59:59 1917', 'Oct 29 01:00:00 1916', 'Apr 29 01:59:59 1917');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1917', 'Oct 28 07:59:59 1917', 'Apr 29 03:00:00 1917', 'Oct 28 01:59:59 1917');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1917', 'Apr 28 08:59:59 1918', 'Oct 28 01:00:00 1917', 'Apr 28 01:59:59 1918');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Apr 28 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'Apr 27 08:59:59 1919', 'Oct 27 01:00:00 1918', 'Apr 27 01:59:59 1919');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1919', 'Oct 26 07:59:59 1919', 'Apr 27 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1919', 'Apr 25 08:59:59 1920', 'Oct 26 01:00:00 1919', 'Apr 25 01:59:59 1920');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1920', 'Oct 31 07:59:59 1920', 'Apr 25 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1920', 'Apr 24 08:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1921', 'Oct 30 07:59:59 1921', 'Apr 24 03:00:00 1921', 'Oct 30 01:59:59 1921');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1921', 'Apr 30 08:59:59 1922', 'Oct 30 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1922', 'Oct 29 07:59:59 1922', 'Apr 30 03:00:00 1922', 'Oct 29 01:59:59 1922');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1922', 'Apr 29 08:59:59 1923', 'Oct 29 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1923', 'Oct 28 07:59:59 1923', 'Apr 29 03:00:00 1923', 'Oct 28 01:59:59 1923');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1923', 'Apr 27 08:59:59 1924', 'Oct 28 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1924', 'Oct 26 07:59:59 1924', 'Apr 27 03:00:00 1924', 'Oct 26 01:59:59 1924');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1924', 'Apr 26 08:59:59 1925', 'Oct 26 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1925', 'Oct 25 07:59:59 1925', 'Apr 26 03:00:00 1925', 'Oct 25 01:59:59 1925');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1925', 'Apr 25 08:59:59 1926', 'Oct 25 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1926', 'Oct 31 07:59:59 1926', 'Apr 25 03:00:00 1926', 'Oct 31 01:59:59 1926');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1926', 'Apr 24 08:59:59 1927', 'Oct 31 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1927', 'Oct 30 07:59:59 1927', 'Apr 24 03:00:00 1927', 'Oct 30 01:59:59 1927');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1927', 'Apr 29 08:59:59 1928', 'Oct 30 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1928', 'Oct 28 07:59:59 1928', 'Apr 29 03:00:00 1928', 'Oct 28 01:59:59 1928');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1928', 'Apr 28 08:59:59 1929', 'Oct 28 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1929', 'Oct 27 07:59:59 1929', 'Apr 28 03:00:00 1929', 'Oct 27 01:59:59 1929');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1929', 'Apr 27 08:59:59 1930', 'Oct 27 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1930', 'Oct 26 07:59:59 1930', 'Apr 27 03:00:00 1930', 'Oct 26 01:59:59 1930');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1930', 'Apr 26 08:59:59 1931', 'Oct 26 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1931', 'Oct 25 07:59:59 1931', 'Apr 26 03:00:00 1931', 'Oct 25 01:59:59 1931');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1931', 'Apr 24 08:59:59 1932', 'Oct 25 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1932', 'Oct 30 07:59:59 1932', 'Apr 24 03:00:00 1932', 'Oct 30 01:59:59 1932');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1932', 'Apr 30 08:59:59 1933', 'Oct 30 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1933', 'Oct 29 07:59:59 1933', 'Apr 30 03:00:00 1933', 'Oct 29 01:59:59 1933');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1933', 'Apr 29 08:59:59 1934', 'Oct 29 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1934', 'Oct 28 07:59:59 1934', 'Apr 29 03:00:00 1934', 'Oct 28 01:59:59 1934');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1934', 'Apr 28 08:59:59 1935', 'Oct 28 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1935', 'Oct 27 07:59:59 1935', 'Apr 28 03:00:00 1935', 'Oct 27 01:59:59 1935');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1935', 'Apr 26 08:59:59 1936', 'Oct 27 01:00:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1936', 'Oct 25 07:59:59 1936', 'Apr 26 03:00:00 1936', 'Oct 25 01:59:59 1936');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1936', 'Apr 25 08:59:59 1937', 'Oct 25 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1937', 'Oct 31 07:59:59 1937', 'Apr 25 03:00:00 1937', 'Oct 31 01:59:59 1937');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1937', 'Apr 24 08:59:59 1938', 'Oct 31 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1938', 'Oct 30 07:59:59 1938', 'Apr 24 03:00:00 1938', 'Oct 30 01:59:59 1938');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1938', 'Apr 30 08:59:59 1939', 'Oct 30 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1939', 'Oct 29 07:59:59 1939', 'Apr 30 03:00:00 1939', 'Oct 29 01:59:59 1939');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1939', 'Apr 28 08:59:59 1940', 'Oct 29 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1940', 'Oct 27 07:59:59 1940', 'Apr 28 03:00:00 1940', 'Oct 27 01:59:59 1940');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1940', 'Apr 27 08:59:59 1941', 'Oct 27 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1941', 'Oct 26 07:59:59 1941', 'Apr 27 03:00:00 1941', 'Oct 26 01:59:59 1941');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1941', 'Apr 26 08:59:59 1942', 'Oct 26 01:00:00 1941', 'Apr 26 01:59:59 1942');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1942', 'Oct 25 07:59:59 1942', 'Apr 26 03:00:00 1942', 'Oct 25 01:59:59 1942');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1942', 'Apr 25 08:59:59 1943', 'Oct 25 01:00:00 1942', 'Apr 25 01:59:59 1943');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1943', 'Oct 31 07:59:59 1943', 'Apr 25 03:00:00 1943', 'Oct 31 01:59:59 1943');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1943', 'Apr 30 08:59:59 1944', 'Oct 31 01:00:00 1943', 'Apr 30 01:59:59 1944');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1944', 'Oct 29 07:59:59 1944', 'Apr 30 03:00:00 1944', 'Oct 29 01:59:59 1944');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1944', 'Apr 29 08:59:59 1945', 'Oct 29 01:00:00 1944', 'Apr 29 01:59:59 1945');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1945', 'Oct 28 07:59:59 1945', 'Apr 29 03:00:00 1945', 'Oct 28 01:59:59 1945');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1945', 'Apr 28 08:59:59 1946', 'Oct 28 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1946', 'Oct 27 07:59:59 1946', 'Apr 28 03:00:00 1946', 'Oct 27 01:59:59 1946');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1946', 'Apr 27 08:59:59 1947', 'Oct 27 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1947', 'Oct 26 07:59:59 1947', 'Apr 27 03:00:00 1947', 'Oct 26 01:59:59 1947');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1947', 'Apr 25 08:59:59 1948', 'Oct 26 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1948', 'Oct 31 07:59:59 1948', 'Apr 25 03:00:00 1948', 'Oct 31 01:59:59 1948');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1948', 'Apr 24 08:59:59 1949', 'Oct 31 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1949', 'Oct 30 07:59:59 1949', 'Apr 24 03:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1949', 'Apr 30 08:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1950', 'Oct 29 07:59:59 1950', 'Apr 30 03:00:00 1950', 'Oct 29 01:59:59 1950');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1950', 'Apr 29 08:59:59 1951', 'Oct 29 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1951', 'Oct 28 07:59:59 1951', 'Apr 29 03:00:00 1951', 'Oct 28 01:59:59 1951');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1951', 'Apr 27 08:59:59 1952', 'Oct 28 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1952', 'Oct 26 07:59:59 1952', 'Apr 27 03:00:00 1952', 'Oct 26 01:59:59 1952');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1952', 'Apr 26 08:59:59 1953', 'Oct 26 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1953', 'Oct 25 07:59:59 1953', 'Apr 26 03:00:00 1953', 'Oct 25 01:59:59 1953');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1953', 'Apr 25 08:59:59 1954', 'Oct 25 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1954', 'Oct 31 07:59:59 1954', 'Apr 25 03:00:00 1954', 'Oct 31 01:59:59 1954');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1954', 'Apr 24 08:59:59 1955', 'Oct 31 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1955', 'Oct 30 07:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1955', 'Apr 29 08:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1956', 'Oct 28 07:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1956', 'Apr 28 08:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1957', 'Oct 27 07:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1957', 'Apr 27 08:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1958', 'Oct 26 07:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1958', 'Apr 26 08:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1959', 'Oct 25 07:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1959', 'Apr 24 08:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1960', 'Oct 30 07:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1960', 'Apr 30 08:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1961', 'Oct 29 07:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1961', 'Apr 29 08:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1962', 'Oct 28 07:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1962', 'Apr 28 08:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1963', 'Oct 27 07:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1963', 'Apr 26 08:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1964', 'Oct 25 07:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1964', 'Apr 25 08:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1965', 'Oct 31 07:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1965', 'Apr 24 08:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1966', 'Oct 30 07:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1966', 'Apr 30 08:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Apr 28 08:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1968', 'Oct 27 07:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1968', 'Apr 27 08:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1969', 'Oct 26 07:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1969', 'Apr 26 08:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1970', 'Oct 25 07:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1970', 'Apr 25 08:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1971', 'Oct 31 07:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1971', 'Apr 30 08:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1972', 'Oct 29 07:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1972', 'Apr 29 08:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1973', 'Oct 28 07:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1973', 'Jan 6 08:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Jan 6 09:00:00 1974', 'Nov 24 07:59:59 1974', 'Jan 6 03:00:00 1974', 'Nov 24 01:59:59 1974');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Nov 24 08:00:00 1974', 'Feb 23 08:59:59 1975', 'Nov 24 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Feb 23 09:00:00 1975', 'Oct 26 07:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1975', 'Apr 25 08:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1976', 'Oct 31 07:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1976', 'Apr 24 08:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1977', 'Oct 30 07:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1977', 'Apr 30 08:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1978', 'Oct 29 07:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1978', 'Apr 29 08:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1979', 'Oct 28 07:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1979', 'Apr 27 08:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 26 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 26 01:59:59 1987');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 26 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 24 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 24 01:59:59 1988');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 24 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 30 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 30 01:59:59 1989');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 30 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 29 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 29 01:59:59 1990');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 29 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 28 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 28 01:59:59 1991');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 28 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 26 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 26 01:59:59 1992');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 26 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 25 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 25 01:59:59 1993');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 25 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 24 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 24 01:59:59 1994');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 24 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 30 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 30 01:59:59 1995');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 30 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 28 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 28 01:59:59 1996');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 28 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 27 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 27 01:59:59 1997');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 27 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 26 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 26 01:59:59 1998');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 26 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 25 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 25 01:59:59 1999');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 25 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 30 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 30 01:59:59 2000');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 30 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 29 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 29 01:59:59 2001');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 29 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 28 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 28 01:59:59 2002');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 28 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 27 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 27 01:59:59 2003');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 27 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 25 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 25 01:59:59 2004');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 25 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 24 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 24 01:59:59 2005');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 24 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 30 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 30 01:59:59 2006');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 30 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 29 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 29 01:59:59 2007');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 29 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 27 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 27 01:59:59 2008');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 27 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 26 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 26 01:59:59 2009');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 26 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 25 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 25 01:59:59 2010');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 25 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 24 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 24 01:59:59 2011');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 24 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 29 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 29 01:59:59 2012');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 29 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 28 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 28 01:59:59 2013');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 28 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 27 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 27 01:59:59 2014');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 27 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 26 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 26 01:59:59 2015');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 26 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 24 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 24 01:59:59 2016');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 24 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 30 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 30 01:59:59 2017');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 30 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 29 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 29 01:59:59 2018');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 29 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 28 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 28 01:59:59 2019');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 28 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 26 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 26 01:59:59 2020');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 26 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 25 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 25 01:59:59 2021');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 25 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 24 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 24 01:59:59 2022');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 24 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 30 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 30 01:59:59 2023');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 30 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 28 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 28 01:59:59 2024');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 28 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 27 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 27 01:59:59 2025');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 27 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 26 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 26 01:59:59 2026');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 26 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 25 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 25 01:59:59 2027');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 25 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 30 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 30 01:59:59 2028');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 30 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 29 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 29 01:59:59 2029');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 29 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 28 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 28 01:59:59 2030');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 28 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 28 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 27 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 27 01:59:59 2031');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 27 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 25 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 25 01:59:59 2032');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 25 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 25 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 24 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 24 01:59:59 2033');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 24 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 24 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 30 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 30 01:59:59 2034');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 30 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 30 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 29 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 29 01:59:59 2035');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 29 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 29 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 27 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 27 01:59:59 2036');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 27 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 27 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 26 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 26 01:59:59 2037');
timezone.add_rule('SystemV/MST7MDT', 'MDT', 1, -21600, 'Apr 26 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 26 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('SystemV/MST7MDT', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- SystemV/PST8
--

begin
timezone.add_rule('SystemV/PST8', 'PST', 0, -28800, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 12:45:52 1901', 'Jan 17 19:14:07 2038');
end;
/

--
-- SystemV/PST8PDT
--

begin
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Dec 14 20:45:52 1901', 'Apr 27 09:59:59 1902', 'Dec 14 12:45:52 1901', 'Apr 27 01:59:59 1902');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1902', 'Oct 26 08:59:59 1902', 'Apr 27 03:00:00 1902', 'Oct 26 01:59:59 1902');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1902', 'Apr 26 09:59:59 1903', 'Oct 26 01:00:00 1902', 'Apr 26 01:59:59 1903');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1903', 'Oct 25 08:59:59 1903', 'Apr 26 03:00:00 1903', 'Oct 25 01:59:59 1903');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1903', 'Apr 24 09:59:59 1904', 'Oct 25 01:00:00 1903', 'Apr 24 01:59:59 1904');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1904', 'Oct 30 08:59:59 1904', 'Apr 24 03:00:00 1904', 'Oct 30 01:59:59 1904');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1904', 'Apr 30 09:59:59 1905', 'Oct 30 01:00:00 1904', 'Apr 30 01:59:59 1905');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1905', 'Oct 29 08:59:59 1905', 'Apr 30 03:00:00 1905', 'Oct 29 01:59:59 1905');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1905', 'Apr 29 09:59:59 1906', 'Oct 29 01:00:00 1905', 'Apr 29 01:59:59 1906');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1906', 'Oct 28 08:59:59 1906', 'Apr 29 03:00:00 1906', 'Oct 28 01:59:59 1906');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1906', 'Apr 28 09:59:59 1907', 'Oct 28 01:00:00 1906', 'Apr 28 01:59:59 1907');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1907', 'Oct 27 08:59:59 1907', 'Apr 28 03:00:00 1907', 'Oct 27 01:59:59 1907');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1907', 'Apr 26 09:59:59 1908', 'Oct 27 01:00:00 1907', 'Apr 26 01:59:59 1908');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1908', 'Oct 25 08:59:59 1908', 'Apr 26 03:00:00 1908', 'Oct 25 01:59:59 1908');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1908', 'Apr 25 09:59:59 1909', 'Oct 25 01:00:00 1908', 'Apr 25 01:59:59 1909');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1909', 'Oct 31 08:59:59 1909', 'Apr 25 03:00:00 1909', 'Oct 31 01:59:59 1909');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1909', 'Apr 24 09:59:59 1910', 'Oct 31 01:00:00 1909', 'Apr 24 01:59:59 1910');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1910', 'Oct 30 08:59:59 1910', 'Apr 24 03:00:00 1910', 'Oct 30 01:59:59 1910');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1910', 'Apr 30 09:59:59 1911', 'Oct 30 01:00:00 1910', 'Apr 30 01:59:59 1911');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1911', 'Oct 29 08:59:59 1911', 'Apr 30 03:00:00 1911', 'Oct 29 01:59:59 1911');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1911', 'Apr 28 09:59:59 1912', 'Oct 29 01:00:00 1911', 'Apr 28 01:59:59 1912');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1912', 'Oct 27 08:59:59 1912', 'Apr 28 03:00:00 1912', 'Oct 27 01:59:59 1912');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1912', 'Apr 27 09:59:59 1913', 'Oct 27 01:00:00 1912', 'Apr 27 01:59:59 1913');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1913', 'Oct 26 08:59:59 1913', 'Apr 27 03:00:00 1913', 'Oct 26 01:59:59 1913');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1913', 'Apr 26 09:59:59 1914', 'Oct 26 01:00:00 1913', 'Apr 26 01:59:59 1914');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1914', 'Oct 25 08:59:59 1914', 'Apr 26 03:00:00 1914', 'Oct 25 01:59:59 1914');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1914', 'Apr 25 09:59:59 1915', 'Oct 25 01:00:00 1914', 'Apr 25 01:59:59 1915');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1915', 'Oct 31 08:59:59 1915', 'Apr 25 03:00:00 1915', 'Oct 31 01:59:59 1915');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1915', 'Apr 30 09:59:59 1916', 'Oct 31 01:00:00 1915', 'Apr 30 01:59:59 1916');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1916', 'Oct 29 08:59:59 1916', 'Apr 30 03:00:00 1916', 'Oct 29 01:59:59 1916');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1916', 'Apr 29 09:59:59 1917', 'Oct 29 01:00:00 1916', 'Apr 29 01:59:59 1917');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1917', 'Oct 28 08:59:59 1917', 'Apr 29 03:00:00 1917', 'Oct 28 01:59:59 1917');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1917', 'Apr 28 09:59:59 1918', 'Oct 28 01:00:00 1917', 'Apr 28 01:59:59 1918');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1918', 'Oct 27 08:59:59 1918', 'Apr 28 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1918', 'Apr 27 09:59:59 1919', 'Oct 27 01:00:00 1918', 'Apr 27 01:59:59 1919');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1919', 'Oct 26 08:59:59 1919', 'Apr 27 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1919', 'Apr 25 09:59:59 1920', 'Oct 26 01:00:00 1919', 'Apr 25 01:59:59 1920');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1920', 'Oct 31 08:59:59 1920', 'Apr 25 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1920', 'Apr 24 09:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1921', 'Oct 30 08:59:59 1921', 'Apr 24 03:00:00 1921', 'Oct 30 01:59:59 1921');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1921', 'Apr 30 09:59:59 1922', 'Oct 30 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1922', 'Oct 29 08:59:59 1922', 'Apr 30 03:00:00 1922', 'Oct 29 01:59:59 1922');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1922', 'Apr 29 09:59:59 1923', 'Oct 29 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1923', 'Oct 28 08:59:59 1923', 'Apr 29 03:00:00 1923', 'Oct 28 01:59:59 1923');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1923', 'Apr 27 09:59:59 1924', 'Oct 28 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1924', 'Oct 26 08:59:59 1924', 'Apr 27 03:00:00 1924', 'Oct 26 01:59:59 1924');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1924', 'Apr 26 09:59:59 1925', 'Oct 26 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1925', 'Oct 25 08:59:59 1925', 'Apr 26 03:00:00 1925', 'Oct 25 01:59:59 1925');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1925', 'Apr 25 09:59:59 1926', 'Oct 25 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1926', 'Oct 31 08:59:59 1926', 'Apr 25 03:00:00 1926', 'Oct 31 01:59:59 1926');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1926', 'Apr 24 09:59:59 1927', 'Oct 31 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1927', 'Oct 30 08:59:59 1927', 'Apr 24 03:00:00 1927', 'Oct 30 01:59:59 1927');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1927', 'Apr 29 09:59:59 1928', 'Oct 30 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1928', 'Oct 28 08:59:59 1928', 'Apr 29 03:00:00 1928', 'Oct 28 01:59:59 1928');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1928', 'Apr 28 09:59:59 1929', 'Oct 28 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1929', 'Oct 27 08:59:59 1929', 'Apr 28 03:00:00 1929', 'Oct 27 01:59:59 1929');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1929', 'Apr 27 09:59:59 1930', 'Oct 27 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1930', 'Oct 26 08:59:59 1930', 'Apr 27 03:00:00 1930', 'Oct 26 01:59:59 1930');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1930', 'Apr 26 09:59:59 1931', 'Oct 26 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1931', 'Oct 25 08:59:59 1931', 'Apr 26 03:00:00 1931', 'Oct 25 01:59:59 1931');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1931', 'Apr 24 09:59:59 1932', 'Oct 25 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1932', 'Oct 30 08:59:59 1932', 'Apr 24 03:00:00 1932', 'Oct 30 01:59:59 1932');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1932', 'Apr 30 09:59:59 1933', 'Oct 30 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1933', 'Oct 29 08:59:59 1933', 'Apr 30 03:00:00 1933', 'Oct 29 01:59:59 1933');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1933', 'Apr 29 09:59:59 1934', 'Oct 29 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1934', 'Oct 28 08:59:59 1934', 'Apr 29 03:00:00 1934', 'Oct 28 01:59:59 1934');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1934', 'Apr 28 09:59:59 1935', 'Oct 28 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1935', 'Oct 27 08:59:59 1935', 'Apr 28 03:00:00 1935', 'Oct 27 01:59:59 1935');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1935', 'Apr 26 09:59:59 1936', 'Oct 27 01:00:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1936', 'Oct 25 08:59:59 1936', 'Apr 26 03:00:00 1936', 'Oct 25 01:59:59 1936');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1936', 'Apr 25 09:59:59 1937', 'Oct 25 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1937', 'Oct 31 08:59:59 1937', 'Apr 25 03:00:00 1937', 'Oct 31 01:59:59 1937');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1937', 'Apr 24 09:59:59 1938', 'Oct 31 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1938', 'Oct 30 08:59:59 1938', 'Apr 24 03:00:00 1938', 'Oct 30 01:59:59 1938');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1938', 'Apr 30 09:59:59 1939', 'Oct 30 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1939', 'Oct 29 08:59:59 1939', 'Apr 30 03:00:00 1939', 'Oct 29 01:59:59 1939');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1939', 'Apr 28 09:59:59 1940', 'Oct 29 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1940', 'Oct 27 08:59:59 1940', 'Apr 28 03:00:00 1940', 'Oct 27 01:59:59 1940');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1940', 'Apr 27 09:59:59 1941', 'Oct 27 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1941', 'Oct 26 08:59:59 1941', 'Apr 27 03:00:00 1941', 'Oct 26 01:59:59 1941');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1941', 'Apr 26 09:59:59 1942', 'Oct 26 01:00:00 1941', 'Apr 26 01:59:59 1942');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1942', 'Oct 25 08:59:59 1942', 'Apr 26 03:00:00 1942', 'Oct 25 01:59:59 1942');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1942', 'Apr 25 09:59:59 1943', 'Oct 25 01:00:00 1942', 'Apr 25 01:59:59 1943');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1943', 'Oct 31 08:59:59 1943', 'Apr 25 03:00:00 1943', 'Oct 31 01:59:59 1943');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1943', 'Apr 30 09:59:59 1944', 'Oct 31 01:00:00 1943', 'Apr 30 01:59:59 1944');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1944', 'Oct 29 08:59:59 1944', 'Apr 30 03:00:00 1944', 'Oct 29 01:59:59 1944');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1944', 'Apr 29 09:59:59 1945', 'Oct 29 01:00:00 1944', 'Apr 29 01:59:59 1945');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1945', 'Oct 28 08:59:59 1945', 'Apr 29 03:00:00 1945', 'Oct 28 01:59:59 1945');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1945', 'Apr 28 09:59:59 1946', 'Oct 28 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1946', 'Oct 27 08:59:59 1946', 'Apr 28 03:00:00 1946', 'Oct 27 01:59:59 1946');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1946', 'Apr 27 09:59:59 1947', 'Oct 27 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1947', 'Oct 26 08:59:59 1947', 'Apr 27 03:00:00 1947', 'Oct 26 01:59:59 1947');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1947', 'Apr 25 09:59:59 1948', 'Oct 26 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1948', 'Oct 31 08:59:59 1948', 'Apr 25 03:00:00 1948', 'Oct 31 01:59:59 1948');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1948', 'Apr 24 09:59:59 1949', 'Oct 31 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1949', 'Oct 30 08:59:59 1949', 'Apr 24 03:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1949', 'Apr 30 09:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1950', 'Oct 29 08:59:59 1950', 'Apr 30 03:00:00 1950', 'Oct 29 01:59:59 1950');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1950', 'Apr 29 09:59:59 1951', 'Oct 29 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1951', 'Oct 28 08:59:59 1951', 'Apr 29 03:00:00 1951', 'Oct 28 01:59:59 1951');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1951', 'Apr 27 09:59:59 1952', 'Oct 28 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1952', 'Oct 26 08:59:59 1952', 'Apr 27 03:00:00 1952', 'Oct 26 01:59:59 1952');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1952', 'Apr 26 09:59:59 1953', 'Oct 26 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1953', 'Oct 25 08:59:59 1953', 'Apr 26 03:00:00 1953', 'Oct 25 01:59:59 1953');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1953', 'Apr 25 09:59:59 1954', 'Oct 25 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1954', 'Oct 31 08:59:59 1954', 'Apr 25 03:00:00 1954', 'Oct 31 01:59:59 1954');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1954', 'Apr 24 09:59:59 1955', 'Oct 31 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1955', 'Oct 30 08:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1955', 'Apr 29 09:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1956', 'Oct 28 08:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1956', 'Apr 28 09:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1957', 'Oct 27 08:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1957', 'Apr 27 09:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1958', 'Oct 26 08:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1958', 'Apr 26 09:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1959', 'Oct 25 08:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1959', 'Apr 24 09:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1960', 'Oct 30 08:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1960', 'Apr 30 09:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1961', 'Oct 29 08:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1961', 'Apr 29 09:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1962', 'Oct 28 08:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1962', 'Apr 28 09:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1963', 'Oct 27 08:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1963', 'Apr 26 09:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1964', 'Oct 25 08:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1964', 'Apr 25 09:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1965', 'Apr 24 09:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1966', 'Oct 30 08:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1966', 'Apr 30 09:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1967', 'Oct 29 08:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1967', 'Apr 28 09:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1968', 'Oct 27 08:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1968', 'Apr 27 09:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Oct 29 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1972', 'Apr 29 09:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1973', 'Oct 28 08:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1973', 'Jan 6 09:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Jan 6 10:00:00 1974', 'Nov 24 08:59:59 1974', 'Jan 6 03:00:00 1974', 'Nov 24 01:59:59 1974');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Nov 24 09:00:00 1974', 'Feb 23 09:59:59 1975', 'Nov 24 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Feb 23 10:00:00 1975', 'Oct 26 08:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1975', 'Apr 25 09:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1976', 'Oct 31 08:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1976', 'Apr 24 09:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1977', 'Oct 30 08:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1977', 'Apr 30 09:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1978', 'Oct 29 08:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1978', 'Apr 29 09:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1979', 'Oct 28 08:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1979', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 26 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 26 01:59:59 1987');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 26 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 24 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 24 01:59:59 1988');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 24 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 30 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 30 01:59:59 1989');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 30 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 29 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 29 01:59:59 1990');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 29 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 28 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 28 01:59:59 1991');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 28 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 26 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 26 01:59:59 1992');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 26 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 25 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 25 01:59:59 1993');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 25 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 24 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 24 01:59:59 1994');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 24 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 30 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 30 01:59:59 1995');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 30 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 28 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 28 01:59:59 1996');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 28 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 27 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 27 01:59:59 1997');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 27 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 26 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 26 01:59:59 1998');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 26 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 25 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 25 01:59:59 1999');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 25 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 30 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 30 01:59:59 2000');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 30 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 29 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 29 01:59:59 2001');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 29 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 28 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 28 01:59:59 2002');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 28 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 27 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 27 01:59:59 2003');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 27 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 25 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 25 01:59:59 2004');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 25 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 24 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 24 01:59:59 2005');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 24 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 30 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 30 01:59:59 2006');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 30 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 29 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 29 01:59:59 2007');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 29 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 27 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 27 01:59:59 2008');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 27 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 26 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 26 01:59:59 2009');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 26 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 25 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 25 01:59:59 2010');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 25 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 24 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 24 01:59:59 2011');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 24 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 29 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 29 01:59:59 2012');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 29 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 28 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 28 01:59:59 2013');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 28 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 27 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 27 01:59:59 2014');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 27 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 26 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 26 01:59:59 2015');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 26 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 24 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 24 01:59:59 2016');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 24 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 30 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 30 01:59:59 2017');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 30 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 29 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 29 01:59:59 2018');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 29 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 28 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 28 01:59:59 2019');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 28 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 26 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 26 01:59:59 2020');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 26 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 25 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 25 01:59:59 2021');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 25 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 24 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 24 01:59:59 2022');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 24 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 30 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 30 01:59:59 2023');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 30 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 28 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 28 01:59:59 2024');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 28 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 27 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 27 01:59:59 2025');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 27 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 26 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 26 01:59:59 2026');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 26 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 25 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 25 01:59:59 2027');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 25 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 30 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 30 01:59:59 2028');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 30 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 29 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 29 01:59:59 2029');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 29 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 28 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 28 01:59:59 2030');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 28 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 28 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 27 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 27 01:59:59 2031');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 27 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 25 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 25 01:59:59 2032');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 25 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 25 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 24 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 24 01:59:59 2033');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 24 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 24 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 30 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 30 01:59:59 2034');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 30 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 30 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 29 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 29 01:59:59 2035');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 29 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 29 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 27 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 27 01:59:59 2036');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 27 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 27 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 26 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 26 01:59:59 2037');
timezone.add_rule('SystemV/PST8PDT', 'PDT', 1, -25200, 'Apr 26 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 26 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('SystemV/PST8PDT', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- SystemV/YST9
--

begin
timezone.add_rule('SystemV/YST9', 'YST', 0, -32400, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 11:45:52 1901', 'Jan 17 18:14:07 2038');
end;
/

--
-- SystemV/YST9YDT
--

begin
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Dec 14 20:45:52 1901', 'Apr 27 10:59:59 1902', 'Dec 14 11:45:52 1901', 'Apr 27 01:59:59 1902');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1902', 'Oct 26 09:59:59 1902', 'Apr 27 03:00:00 1902', 'Oct 26 01:59:59 1902');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1902', 'Apr 26 10:59:59 1903', 'Oct 26 01:00:00 1902', 'Apr 26 01:59:59 1903');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1903', 'Oct 25 09:59:59 1903', 'Apr 26 03:00:00 1903', 'Oct 25 01:59:59 1903');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1903', 'Apr 24 10:59:59 1904', 'Oct 25 01:00:00 1903', 'Apr 24 01:59:59 1904');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1904', 'Oct 30 09:59:59 1904', 'Apr 24 03:00:00 1904', 'Oct 30 01:59:59 1904');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1904', 'Apr 30 10:59:59 1905', 'Oct 30 01:00:00 1904', 'Apr 30 01:59:59 1905');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1905', 'Oct 29 09:59:59 1905', 'Apr 30 03:00:00 1905', 'Oct 29 01:59:59 1905');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1905', 'Apr 29 10:59:59 1906', 'Oct 29 01:00:00 1905', 'Apr 29 01:59:59 1906');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1906', 'Oct 28 09:59:59 1906', 'Apr 29 03:00:00 1906', 'Oct 28 01:59:59 1906');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1906', 'Apr 28 10:59:59 1907', 'Oct 28 01:00:00 1906', 'Apr 28 01:59:59 1907');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1907', 'Oct 27 09:59:59 1907', 'Apr 28 03:00:00 1907', 'Oct 27 01:59:59 1907');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1907', 'Apr 26 10:59:59 1908', 'Oct 27 01:00:00 1907', 'Apr 26 01:59:59 1908');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1908', 'Oct 25 09:59:59 1908', 'Apr 26 03:00:00 1908', 'Oct 25 01:59:59 1908');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1908', 'Apr 25 10:59:59 1909', 'Oct 25 01:00:00 1908', 'Apr 25 01:59:59 1909');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1909', 'Oct 31 09:59:59 1909', 'Apr 25 03:00:00 1909', 'Oct 31 01:59:59 1909');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1909', 'Apr 24 10:59:59 1910', 'Oct 31 01:00:00 1909', 'Apr 24 01:59:59 1910');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1910', 'Oct 30 09:59:59 1910', 'Apr 24 03:00:00 1910', 'Oct 30 01:59:59 1910');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1910', 'Apr 30 10:59:59 1911', 'Oct 30 01:00:00 1910', 'Apr 30 01:59:59 1911');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1911', 'Oct 29 09:59:59 1911', 'Apr 30 03:00:00 1911', 'Oct 29 01:59:59 1911');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1911', 'Apr 28 10:59:59 1912', 'Oct 29 01:00:00 1911', 'Apr 28 01:59:59 1912');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1912', 'Oct 27 09:59:59 1912', 'Apr 28 03:00:00 1912', 'Oct 27 01:59:59 1912');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1912', 'Apr 27 10:59:59 1913', 'Oct 27 01:00:00 1912', 'Apr 27 01:59:59 1913');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1913', 'Oct 26 09:59:59 1913', 'Apr 27 03:00:00 1913', 'Oct 26 01:59:59 1913');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1913', 'Apr 26 10:59:59 1914', 'Oct 26 01:00:00 1913', 'Apr 26 01:59:59 1914');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1914', 'Oct 25 09:59:59 1914', 'Apr 26 03:00:00 1914', 'Oct 25 01:59:59 1914');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1914', 'Apr 25 10:59:59 1915', 'Oct 25 01:00:00 1914', 'Apr 25 01:59:59 1915');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1915', 'Oct 31 09:59:59 1915', 'Apr 25 03:00:00 1915', 'Oct 31 01:59:59 1915');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1915', 'Apr 30 10:59:59 1916', 'Oct 31 01:00:00 1915', 'Apr 30 01:59:59 1916');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1916', 'Oct 29 09:59:59 1916', 'Apr 30 03:00:00 1916', 'Oct 29 01:59:59 1916');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1916', 'Apr 29 10:59:59 1917', 'Oct 29 01:00:00 1916', 'Apr 29 01:59:59 1917');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1917', 'Oct 28 09:59:59 1917', 'Apr 29 03:00:00 1917', 'Oct 28 01:59:59 1917');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1917', 'Apr 28 10:59:59 1918', 'Oct 28 01:00:00 1917', 'Apr 28 01:59:59 1918');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1918', 'Oct 27 09:59:59 1918', 'Apr 28 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1918', 'Apr 27 10:59:59 1919', 'Oct 27 01:00:00 1918', 'Apr 27 01:59:59 1919');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1919', 'Oct 26 09:59:59 1919', 'Apr 27 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1919', 'Apr 25 10:59:59 1920', 'Oct 26 01:00:00 1919', 'Apr 25 01:59:59 1920');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1920', 'Oct 31 09:59:59 1920', 'Apr 25 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1920', 'Apr 24 10:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1921', 'Oct 30 09:59:59 1921', 'Apr 24 03:00:00 1921', 'Oct 30 01:59:59 1921');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1921', 'Apr 30 10:59:59 1922', 'Oct 30 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1922', 'Oct 29 09:59:59 1922', 'Apr 30 03:00:00 1922', 'Oct 29 01:59:59 1922');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1922', 'Apr 29 10:59:59 1923', 'Oct 29 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1923', 'Oct 28 09:59:59 1923', 'Apr 29 03:00:00 1923', 'Oct 28 01:59:59 1923');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1923', 'Apr 27 10:59:59 1924', 'Oct 28 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1924', 'Oct 26 09:59:59 1924', 'Apr 27 03:00:00 1924', 'Oct 26 01:59:59 1924');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1924', 'Apr 26 10:59:59 1925', 'Oct 26 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1925', 'Oct 25 09:59:59 1925', 'Apr 26 03:00:00 1925', 'Oct 25 01:59:59 1925');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1925', 'Apr 25 10:59:59 1926', 'Oct 25 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1926', 'Oct 31 09:59:59 1926', 'Apr 25 03:00:00 1926', 'Oct 31 01:59:59 1926');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1926', 'Apr 24 10:59:59 1927', 'Oct 31 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1927', 'Oct 30 09:59:59 1927', 'Apr 24 03:00:00 1927', 'Oct 30 01:59:59 1927');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1927', 'Apr 29 10:59:59 1928', 'Oct 30 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1928', 'Oct 28 09:59:59 1928', 'Apr 29 03:00:00 1928', 'Oct 28 01:59:59 1928');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1928', 'Apr 28 10:59:59 1929', 'Oct 28 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1929', 'Oct 27 09:59:59 1929', 'Apr 28 03:00:00 1929', 'Oct 27 01:59:59 1929');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1929', 'Apr 27 10:59:59 1930', 'Oct 27 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1930', 'Oct 26 09:59:59 1930', 'Apr 27 03:00:00 1930', 'Oct 26 01:59:59 1930');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1930', 'Apr 26 10:59:59 1931', 'Oct 26 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1931', 'Oct 25 09:59:59 1931', 'Apr 26 03:00:00 1931', 'Oct 25 01:59:59 1931');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1931', 'Apr 24 10:59:59 1932', 'Oct 25 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1932', 'Oct 30 09:59:59 1932', 'Apr 24 03:00:00 1932', 'Oct 30 01:59:59 1932');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1932', 'Apr 30 10:59:59 1933', 'Oct 30 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1933', 'Oct 29 09:59:59 1933', 'Apr 30 03:00:00 1933', 'Oct 29 01:59:59 1933');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1933', 'Apr 29 10:59:59 1934', 'Oct 29 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1934', 'Oct 28 09:59:59 1934', 'Apr 29 03:00:00 1934', 'Oct 28 01:59:59 1934');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1934', 'Apr 28 10:59:59 1935', 'Oct 28 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1935', 'Oct 27 09:59:59 1935', 'Apr 28 03:00:00 1935', 'Oct 27 01:59:59 1935');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1935', 'Apr 26 10:59:59 1936', 'Oct 27 01:00:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1936', 'Oct 25 09:59:59 1936', 'Apr 26 03:00:00 1936', 'Oct 25 01:59:59 1936');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1936', 'Apr 25 10:59:59 1937', 'Oct 25 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1937', 'Oct 31 09:59:59 1937', 'Apr 25 03:00:00 1937', 'Oct 31 01:59:59 1937');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1937', 'Apr 24 10:59:59 1938', 'Oct 31 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1938', 'Oct 30 09:59:59 1938', 'Apr 24 03:00:00 1938', 'Oct 30 01:59:59 1938');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1938', 'Apr 30 10:59:59 1939', 'Oct 30 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1939', 'Oct 29 09:59:59 1939', 'Apr 30 03:00:00 1939', 'Oct 29 01:59:59 1939');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1939', 'Apr 28 10:59:59 1940', 'Oct 29 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1940', 'Oct 27 09:59:59 1940', 'Apr 28 03:00:00 1940', 'Oct 27 01:59:59 1940');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1940', 'Apr 27 10:59:59 1941', 'Oct 27 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1941', 'Oct 26 09:59:59 1941', 'Apr 27 03:00:00 1941', 'Oct 26 01:59:59 1941');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1941', 'Apr 26 10:59:59 1942', 'Oct 26 01:00:00 1941', 'Apr 26 01:59:59 1942');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1942', 'Oct 25 09:59:59 1942', 'Apr 26 03:00:00 1942', 'Oct 25 01:59:59 1942');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1942', 'Apr 25 10:59:59 1943', 'Oct 25 01:00:00 1942', 'Apr 25 01:59:59 1943');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1943', 'Oct 31 09:59:59 1943', 'Apr 25 03:00:00 1943', 'Oct 31 01:59:59 1943');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1943', 'Apr 30 10:59:59 1944', 'Oct 31 01:00:00 1943', 'Apr 30 01:59:59 1944');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1944', 'Oct 29 09:59:59 1944', 'Apr 30 03:00:00 1944', 'Oct 29 01:59:59 1944');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1944', 'Apr 29 10:59:59 1945', 'Oct 29 01:00:00 1944', 'Apr 29 01:59:59 1945');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1945', 'Oct 28 09:59:59 1945', 'Apr 29 03:00:00 1945', 'Oct 28 01:59:59 1945');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1945', 'Apr 28 10:59:59 1946', 'Oct 28 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1946', 'Oct 27 09:59:59 1946', 'Apr 28 03:00:00 1946', 'Oct 27 01:59:59 1946');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1946', 'Apr 27 10:59:59 1947', 'Oct 27 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1947', 'Oct 26 09:59:59 1947', 'Apr 27 03:00:00 1947', 'Oct 26 01:59:59 1947');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1947', 'Apr 25 10:59:59 1948', 'Oct 26 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1948', 'Oct 31 09:59:59 1948', 'Apr 25 03:00:00 1948', 'Oct 31 01:59:59 1948');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1948', 'Apr 24 10:59:59 1949', 'Oct 31 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1949', 'Oct 30 09:59:59 1949', 'Apr 24 03:00:00 1949', 'Oct 30 01:59:59 1949');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1949', 'Apr 30 10:59:59 1950', 'Oct 30 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1950', 'Oct 29 09:59:59 1950', 'Apr 30 03:00:00 1950', 'Oct 29 01:59:59 1950');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1950', 'Apr 29 10:59:59 1951', 'Oct 29 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1951', 'Oct 28 09:59:59 1951', 'Apr 29 03:00:00 1951', 'Oct 28 01:59:59 1951');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1951', 'Apr 27 10:59:59 1952', 'Oct 28 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1952', 'Oct 26 09:59:59 1952', 'Apr 27 03:00:00 1952', 'Oct 26 01:59:59 1952');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1952', 'Apr 26 10:59:59 1953', 'Oct 26 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1953', 'Oct 25 09:59:59 1953', 'Apr 26 03:00:00 1953', 'Oct 25 01:59:59 1953');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1953', 'Apr 25 10:59:59 1954', 'Oct 25 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1954', 'Oct 31 09:59:59 1954', 'Apr 25 03:00:00 1954', 'Oct 31 01:59:59 1954');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1954', 'Apr 24 10:59:59 1955', 'Oct 31 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1955', 'Oct 30 09:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1955', 'Apr 29 10:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1956', 'Oct 28 09:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1956', 'Apr 28 10:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1957', 'Oct 27 09:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1957', 'Apr 27 10:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1958', 'Oct 26 09:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1958', 'Apr 26 10:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1959', 'Oct 25 09:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1959', 'Apr 24 10:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1960', 'Oct 30 09:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1960', 'Apr 30 10:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1961', 'Oct 29 09:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1961', 'Apr 29 10:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1962', 'Oct 28 09:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1962', 'Apr 28 10:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1963', 'Oct 27 09:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1963', 'Apr 26 10:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1964', 'Oct 25 09:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1964', 'Apr 25 10:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1965', 'Oct 31 09:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1965', 'Apr 24 10:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1966', 'Oct 30 09:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1966', 'Apr 30 10:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1967', 'Oct 29 09:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1967', 'Apr 28 10:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1968', 'Oct 27 09:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1968', 'Apr 27 10:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1969', 'Oct 26 09:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1969', 'Apr 26 10:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1970', 'Oct 25 09:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1970', 'Apr 25 10:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1971', 'Oct 31 09:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1971', 'Apr 30 10:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1972', 'Oct 29 09:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1972', 'Apr 29 10:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1973', 'Oct 28 09:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1973', 'Jan 6 10:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Jan 6 11:00:00 1974', 'Nov 24 09:59:59 1974', 'Jan 6 03:00:00 1974', 'Nov 24 01:59:59 1974');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Nov 24 10:00:00 1974', 'Feb 23 10:59:59 1975', 'Nov 24 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Feb 23 11:00:00 1975', 'Oct 26 09:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1975', 'Apr 25 10:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1976', 'Oct 31 09:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1976', 'Apr 24 10:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1977', 'Oct 30 09:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1977', 'Apr 30 10:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1978', 'Oct 29 09:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1978', 'Apr 29 10:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1979', 'Oct 28 09:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1979', 'Apr 27 10:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1980', 'Oct 26 09:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1980', 'Apr 26 10:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1981', 'Oct 25 09:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1981', 'Apr 25 10:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1982', 'Oct 31 09:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1982', 'Apr 24 10:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1983', 'Oct 30 09:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1983', 'Apr 29 10:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1984', 'Oct 28 09:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1984', 'Apr 28 10:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1985', 'Oct 27 09:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1985', 'Apr 27 10:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1986', 'Oct 26 09:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1986', 'Apr 26 10:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 26 01:59:59 1987');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1987', 'Oct 25 09:59:59 1987', 'Apr 26 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1987', 'Apr 24 10:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 24 01:59:59 1988');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1988', 'Oct 30 09:59:59 1988', 'Apr 24 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1988', 'Apr 30 10:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 30 01:59:59 1989');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1989', 'Oct 29 09:59:59 1989', 'Apr 30 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1989', 'Apr 29 10:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 29 01:59:59 1990');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 1990', 'Oct 28 09:59:59 1990', 'Apr 29 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 1990', 'Apr 28 10:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 28 01:59:59 1991');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1991', 'Oct 27 09:59:59 1991', 'Apr 28 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1991', 'Apr 26 10:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 26 01:59:59 1992');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1992', 'Oct 25 09:59:59 1992', 'Apr 26 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1992', 'Apr 25 10:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 25 01:59:59 1993');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1993', 'Oct 31 09:59:59 1993', 'Apr 25 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1993', 'Apr 24 10:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 24 01:59:59 1994');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 1994', 'Oct 30 09:59:59 1994', 'Apr 24 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 1994', 'Apr 30 10:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 30 01:59:59 1995');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 1995', 'Oct 29 09:59:59 1995', 'Apr 30 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 1995', 'Apr 28 10:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 28 01:59:59 1996');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 1996', 'Oct 27 09:59:59 1996', 'Apr 28 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 1996', 'Apr 27 10:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 27 01:59:59 1997');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 1997', 'Oct 26 09:59:59 1997', 'Apr 27 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 1997', 'Apr 26 10:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 26 01:59:59 1998');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 1998', 'Oct 25 09:59:59 1998', 'Apr 26 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 1998', 'Apr 25 10:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 25 01:59:59 1999');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 1999', 'Oct 31 09:59:59 1999', 'Apr 25 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 1999', 'Apr 30 10:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 30 01:59:59 2000');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 2000', 'Oct 29 09:59:59 2000', 'Apr 30 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 2000', 'Apr 29 10:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 29 01:59:59 2001');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 2001', 'Oct 28 09:59:59 2001', 'Apr 29 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 2001', 'Apr 28 10:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 28 01:59:59 2002');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 2002', 'Oct 27 09:59:59 2002', 'Apr 28 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 2002', 'Apr 27 10:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 27 01:59:59 2003');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 2003', 'Oct 26 09:59:59 2003', 'Apr 27 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 2003', 'Apr 25 10:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 25 01:59:59 2004');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 2004', 'Oct 31 09:59:59 2004', 'Apr 25 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 2004', 'Apr 24 10:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 24 01:59:59 2005');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 2005', 'Oct 30 09:59:59 2005', 'Apr 24 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 2005', 'Apr 30 10:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 30 01:59:59 2006');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 2006', 'Oct 29 09:59:59 2006', 'Apr 30 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 2006', 'Apr 29 10:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 29 01:59:59 2007');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 2007', 'Oct 28 09:59:59 2007', 'Apr 29 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 2007', 'Apr 27 10:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 27 01:59:59 2008');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 2008', 'Oct 26 09:59:59 2008', 'Apr 27 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 2008', 'Apr 26 10:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 26 01:59:59 2009');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 2009', 'Oct 25 09:59:59 2009', 'Apr 26 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 2009', 'Apr 25 10:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 25 01:59:59 2010');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 2010', 'Oct 31 09:59:59 2010', 'Apr 25 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 2010', 'Apr 24 10:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 24 01:59:59 2011');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 2011', 'Oct 30 09:59:59 2011', 'Apr 24 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 2011', 'Apr 29 10:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 29 01:59:59 2012');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 2012', 'Oct 28 09:59:59 2012', 'Apr 29 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 2012', 'Apr 28 10:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 28 01:59:59 2013');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 2013', 'Oct 27 09:59:59 2013', 'Apr 28 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 2013', 'Apr 27 10:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 27 01:59:59 2014');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 2014', 'Oct 26 09:59:59 2014', 'Apr 27 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 2014', 'Apr 26 10:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 26 01:59:59 2015');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 2015', 'Oct 25 09:59:59 2015', 'Apr 26 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 2015', 'Apr 24 10:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 24 01:59:59 2016');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 2016', 'Oct 30 09:59:59 2016', 'Apr 24 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 2016', 'Apr 30 10:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 30 01:59:59 2017');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 2017', 'Oct 29 09:59:59 2017', 'Apr 30 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 2017', 'Apr 29 10:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 29 01:59:59 2018');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 2018', 'Oct 28 09:59:59 2018', 'Apr 29 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 2018', 'Apr 28 10:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 28 01:59:59 2019');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 2019', 'Oct 27 09:59:59 2019', 'Apr 28 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 2019', 'Apr 26 10:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 26 01:59:59 2020');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 2020', 'Oct 25 09:59:59 2020', 'Apr 26 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 2020', 'Apr 25 10:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 25 01:59:59 2021');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 2021', 'Oct 31 09:59:59 2021', 'Apr 25 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 2021', 'Apr 24 10:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 24 01:59:59 2022');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 2022', 'Oct 30 09:59:59 2022', 'Apr 24 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 2022', 'Apr 30 10:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 30 01:59:59 2023');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 2023', 'Oct 29 09:59:59 2023', 'Apr 30 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 2023', 'Apr 28 10:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 28 01:59:59 2024');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 2024', 'Oct 27 09:59:59 2024', 'Apr 28 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 2024', 'Apr 27 10:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 27 01:59:59 2025');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 2025', 'Oct 26 09:59:59 2025', 'Apr 27 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 2025', 'Apr 26 10:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 26 01:59:59 2026');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 2026', 'Oct 25 09:59:59 2026', 'Apr 26 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 2026', 'Apr 25 10:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 25 01:59:59 2027');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 2027', 'Oct 31 09:59:59 2027', 'Apr 25 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 2027', 'Apr 30 10:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 30 01:59:59 2028');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 2028', 'Oct 29 09:59:59 2028', 'Apr 30 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 2028', 'Apr 29 10:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 29 01:59:59 2029');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 2029', 'Oct 28 09:59:59 2029', 'Apr 29 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 2029', 'Apr 28 10:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 28 01:59:59 2030');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 28 11:00:00 2030', 'Oct 27 09:59:59 2030', 'Apr 28 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 27 10:00:00 2030', 'Apr 27 10:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 27 01:59:59 2031');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 2031', 'Oct 26 09:59:59 2031', 'Apr 27 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 2031', 'Apr 25 10:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 25 01:59:59 2032');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 25 11:00:00 2032', 'Oct 31 09:59:59 2032', 'Apr 25 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 31 10:00:00 2032', 'Apr 24 10:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 24 01:59:59 2033');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 24 11:00:00 2033', 'Oct 30 09:59:59 2033', 'Apr 24 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 30 10:00:00 2033', 'Apr 30 10:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 30 01:59:59 2034');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 30 11:00:00 2034', 'Oct 29 09:59:59 2034', 'Apr 30 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 29 10:00:00 2034', 'Apr 29 10:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 29 01:59:59 2035');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 29 11:00:00 2035', 'Oct 28 09:59:59 2035', 'Apr 29 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 28 10:00:00 2035', 'Apr 27 10:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 27 01:59:59 2036');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 27 11:00:00 2036', 'Oct 26 09:59:59 2036', 'Apr 27 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 26 10:00:00 2036', 'Apr 26 10:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 26 01:59:59 2037');
timezone.add_rule('SystemV/YST9YDT', 'YDT', 1, -28800, 'Apr 26 11:00:00 2037', 'Oct 25 09:59:59 2037', 'Apr 26 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('SystemV/YST9YDT', 'YST', 0, -32400, 'Oct 25 10:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 18:14:07 2038');
end;
/

--
-- Turkey
--

begin
timezone.add_rule('Turkey', 'EET', 0, 7016, 'Dec 14 20:45:52 1901', 'Sep 30 22:03:03 1910', 'Dec 14 22:42:48 1901', 'Sep 30 23:59:59 1910');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 30 22:03:04 1910', 'Apr 30 21:59:59 1916', 'Oct 1 00:03:04 1910', 'Apr 30 23:59:59 1916');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 30 22:00:00 1916', 'Sep 30 20:59:59 1916', 'May 1 01:00:00 1916', 'Sep 30 23:59:59 1916');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 30 21:00:00 1916', 'Mar 27 21:59:59 1920', 'Sep 30 23:00:00 1916', 'Mar 27 23:59:59 1920');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 27 22:00:00 1920', 'Oct 24 20:59:59 1920', 'Mar 28 01:00:00 1920', 'Oct 24 23:59:59 1920');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 24 21:00:00 1920', 'Apr 2 21:59:59 1921', 'Oct 24 23:00:00 1920', 'Apr 2 23:59:59 1921');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 2 22:00:00 1921', 'Oct 2 20:59:59 1921', 'Apr 3 01:00:00 1921', 'Oct 2 23:59:59 1921');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 2 21:00:00 1921', 'Mar 25 21:59:59 1922', 'Oct 2 23:00:00 1921', 'Mar 25 23:59:59 1922');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 25 22:00:00 1922', 'Oct 7 20:59:59 1922', 'Mar 26 01:00:00 1922', 'Oct 7 23:59:59 1922');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 7 21:00:00 1922', 'May 12 21:59:59 1924', 'Oct 7 23:00:00 1922', 'May 12 23:59:59 1924');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'May 12 22:00:00 1924', 'Sep 30 20:59:59 1924', 'May 13 01:00:00 1924', 'Sep 30 23:59:59 1924');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 30 21:00:00 1924', 'Apr 30 21:59:59 1925', 'Sep 30 23:00:00 1924', 'Apr 30 23:59:59 1925');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 30 22:00:00 1925', 'Sep 30 20:59:59 1925', 'May 1 01:00:00 1925', 'Sep 30 23:59:59 1925');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 30 21:00:00 1925', 'Jun 29 21:59:59 1940', 'Sep 30 23:00:00 1925', 'Jun 29 23:59:59 1940');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Jun 29 22:00:00 1940', 'Oct 4 20:59:59 1940', 'Jun 30 01:00:00 1940', 'Oct 4 23:59:59 1940');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 4 21:00:00 1940', 'Nov 30 21:59:59 1940', 'Oct 4 23:00:00 1940', 'Nov 30 23:59:59 1940');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Nov 30 22:00:00 1940', 'Sep 20 20:59:59 1941', 'Dec 1 01:00:00 1940', 'Sep 20 23:59:59 1941');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 20 21:00:00 1941', 'Mar 31 21:59:59 1942', 'Sep 20 23:00:00 1941', 'Mar 31 23:59:59 1942');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 31 22:00:00 1942', 'Oct 31 20:59:59 1942', 'Apr 1 01:00:00 1942', 'Oct 31 23:59:59 1942');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 31 21:00:00 1942', 'Apr 1 21:59:59 1945', 'Oct 31 23:00:00 1942', 'Apr 1 23:59:59 1945');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 1 22:00:00 1945', 'Oct 7 20:59:59 1945', 'Apr 2 01:00:00 1945', 'Oct 7 23:59:59 1945');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 7 21:00:00 1945', 'May 31 21:59:59 1946', 'Oct 7 23:00:00 1945', 'May 31 23:59:59 1946');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'May 31 22:00:00 1946', 'Sep 30 20:59:59 1946', 'Jun 1 01:00:00 1946', 'Sep 30 23:59:59 1946');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 30 21:00:00 1946', 'Apr 19 21:59:59 1947', 'Sep 30 23:00:00 1946', 'Apr 19 23:59:59 1947');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 19 22:00:00 1947', 'Oct 4 20:59:59 1947', 'Apr 20 01:00:00 1947', 'Oct 4 23:59:59 1947');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 4 21:00:00 1947', 'Apr 17 21:59:59 1948', 'Oct 4 23:00:00 1947', 'Apr 17 23:59:59 1948');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 17 22:00:00 1948', 'Oct 2 20:59:59 1948', 'Apr 18 01:00:00 1948', 'Oct 2 23:59:59 1948');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 2 21:00:00 1948', 'Apr 9 21:59:59 1949', 'Oct 2 23:00:00 1948', 'Apr 9 23:59:59 1949');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 9 22:00:00 1949', 'Oct 1 20:59:59 1949', 'Apr 10 01:00:00 1949', 'Oct 1 23:59:59 1949');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 1 21:00:00 1949', 'Apr 18 21:59:59 1950', 'Oct 1 23:00:00 1949', 'Apr 18 23:59:59 1950');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 18 22:00:00 1950', 'Oct 7 20:59:59 1950', 'Apr 19 01:00:00 1950', 'Oct 7 23:59:59 1950');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 7 21:00:00 1950', 'Apr 21 21:59:59 1951', 'Oct 7 23:00:00 1950', 'Apr 21 23:59:59 1951');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 21 22:00:00 1951', 'Oct 7 20:59:59 1951', 'Apr 22 01:00:00 1951', 'Oct 7 23:59:59 1951');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 7 21:00:00 1951', 'Jul 14 21:59:59 1962', 'Oct 7 23:00:00 1951', 'Jul 14 23:59:59 1962');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Jul 14 22:00:00 1962', 'Oct 7 20:59:59 1962', 'Jul 15 01:00:00 1962', 'Oct 7 23:59:59 1962');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 7 21:00:00 1962', 'May 14 21:59:59 1964', 'Oct 7 23:00:00 1962', 'May 14 23:59:59 1964');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'May 14 22:00:00 1964', 'Sep 30 20:59:59 1964', 'May 15 01:00:00 1964', 'Sep 30 23:59:59 1964');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 30 21:00:00 1964', 'May 2 21:59:59 1970', 'Sep 30 23:00:00 1964', 'May 2 23:59:59 1970');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'May 2 22:00:00 1970', 'Oct 3 20:59:59 1970', 'May 3 01:00:00 1970', 'Oct 3 23:59:59 1970');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 3 21:00:00 1970', 'May 1 21:59:59 1971', 'Oct 3 23:00:00 1970', 'May 1 23:59:59 1971');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'May 1 22:00:00 1971', 'Oct 2 20:59:59 1971', 'May 2 01:00:00 1971', 'Oct 2 23:59:59 1971');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 2 21:00:00 1971', 'May 6 21:59:59 1972', 'Oct 2 23:00:00 1971', 'May 6 23:59:59 1972');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'May 6 22:00:00 1972', 'Oct 7 20:59:59 1972', 'May 7 01:00:00 1972', 'Oct 7 23:59:59 1972');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 7 21:00:00 1972', 'Jun 2 22:59:59 1973', 'Oct 7 23:00:00 1972', 'Jun 3 00:59:59 1973');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Jun 2 23:00:00 1973', 'Nov 3 23:59:59 1973', 'Jun 3 02:00:00 1973', 'Nov 4 02:59:59 1973');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Nov 4 00:00:00 1973', 'Mar 30 23:59:59 1974', 'Nov 4 02:00:00 1973', 'Mar 31 01:59:59 1974');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 31 00:00:00 1974', 'Nov 3 01:59:59 1974', 'Mar 31 03:00:00 1974', 'Nov 3 04:59:59 1974');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Nov 3 02:00:00 1974', 'Mar 29 21:59:59 1975', 'Nov 3 04:00:00 1974', 'Mar 29 23:59:59 1975');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 29 22:00:00 1975', 'Oct 25 20:59:59 1975', 'Mar 30 01:00:00 1975', 'Oct 25 23:59:59 1975');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 25 21:00:00 1975', 'May 31 21:59:59 1976', 'Oct 25 23:00:00 1975', 'May 31 23:59:59 1976');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'May 31 22:00:00 1976', 'Oct 30 20:59:59 1976', 'Jun 1 01:00:00 1976', 'Oct 30 23:59:59 1976');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 30 21:00:00 1976', 'Apr 2 21:59:59 1977', 'Oct 30 23:00:00 1976', 'Apr 2 23:59:59 1977');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 2 22:00:00 1977', 'Oct 15 20:59:59 1977', 'Apr 3 01:00:00 1977', 'Oct 15 23:59:59 1977');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 15 21:00:00 1977', 'Apr 1 21:59:59 1978', 'Oct 15 23:00:00 1977', 'Apr 1 23:59:59 1978');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 1 22:00:00 1978', 'Oct 14 20:59:59 1978', 'Apr 2 01:00:00 1978', 'Oct 14 23:59:59 1978');
timezone.add_rule('Turkey', 'EEST', 1, 14400, 'Oct 14 21:00:00 1978', 'Oct 14 19:59:59 1979', 'Oct 15 01:00:00 1978', 'Oct 14 23:59:59 1979');
timezone.add_rule('Turkey', 'EET', 0, 10800, 'Oct 14 20:00:00 1979', 'Apr 5 23:59:59 1980', 'Oct 14 23:00:00 1979', 'Apr 6 02:59:59 1980');
timezone.add_rule('Turkey', 'EEST', 1, 14400, 'Apr 6 00:00:00 1980', 'Oct 12 19:59:59 1980', 'Apr 6 04:00:00 1980', 'Oct 12 23:59:59 1980');
timezone.add_rule('Turkey', 'EET', 0, 10800, 'Oct 12 20:00:00 1980', 'Mar 28 23:59:59 1981', 'Oct 12 23:00:00 1980', 'Mar 29 02:59:59 1981');
timezone.add_rule('Turkey', 'EEST', 1, 14400, 'Mar 29 00:00:00 1981', 'Oct 11 19:59:59 1981', 'Mar 29 04:00:00 1981', 'Oct 11 23:59:59 1981');
timezone.add_rule('Turkey', 'EET', 0, 10800, 'Oct 11 20:00:00 1981', 'Mar 27 23:59:59 1982', 'Oct 11 23:00:00 1981', 'Mar 28 02:59:59 1982');
timezone.add_rule('Turkey', 'EEST', 1, 14400, 'Mar 28 00:00:00 1982', 'Oct 10 19:59:59 1982', 'Mar 28 04:00:00 1982', 'Oct 10 23:59:59 1982');
timezone.add_rule('Turkey', 'EET', 0, 10800, 'Oct 10 20:00:00 1982', 'Jul 30 20:59:59 1983', 'Oct 10 23:00:00 1982', 'Jul 30 23:59:59 1983');
timezone.add_rule('Turkey', 'EEST', 1, 14400, 'Jul 30 21:00:00 1983', 'Oct 1 19:59:59 1983', 'Jul 31 01:00:00 1983', 'Oct 1 23:59:59 1983');
timezone.add_rule('Turkey', 'EET', 0, 10800, 'Oct 1 20:00:00 1983', 'Apr 19 20:59:59 1985', 'Oct 1 23:00:00 1983', 'Apr 19 23:59:59 1985');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Apr 19 21:00:00 1985', 'Sep 27 20:59:59 1985', 'Apr 20 00:00:00 1985', 'Sep 27 23:59:59 1985');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 27 21:00:00 1985', 'Mar 29 23:59:59 1986', 'Sep 27 23:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 30 00:00:00 1986', 'Sep 27 23:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 28 00:00:00 1986', 'Mar 28 23:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 29 00:00:00 1987', 'Sep 26 23:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 27 00:00:00 1987', 'Mar 26 23:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 27 00:00:00 1988', 'Sep 24 23:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 25 00:00:00 1988', 'Mar 25 23:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 26 00:00:00 1989', 'Sep 23 23:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 24 00:00:00 1989', 'Mar 24 23:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 25 00:00:00 1990', 'Sep 29 23:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 30 00:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 02:59:59 1991');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 04:00:00 1991', 'Sep 29 03:59:59 1991');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 03:00:00 1991', 'Mar 29 02:59:59 1992');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 04:00:00 1992', 'Sep 27 03:59:59 1992');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 03:00:00 1992', 'Mar 28 02:59:59 1993');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 04:00:00 1993', 'Sep 26 03:59:59 1993');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 03:00:00 1993', 'Mar 27 02:59:59 1994');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 04:00:00 1994', 'Sep 25 03:59:59 1994');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 03:00:00 1994', 'Mar 26 02:59:59 1995');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 04:00:00 1995', 'Sep 24 03:59:59 1995');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 03:00:00 1995', 'Mar 31 02:59:59 1996');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 04:00:00 1996', 'Oct 27 03:59:59 1996');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 03:00:00 1996', 'Mar 30 02:59:59 1997');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 04:00:00 1997', 'Oct 26 03:59:59 1997');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 03:00:00 1997', 'Mar 29 02:59:59 1998');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 04:00:00 1998', 'Oct 25 03:59:59 1998');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 03:00:00 1998', 'Mar 28 02:59:59 1999');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 04:00:00 1999', 'Oct 31 03:59:59 1999');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 03:00:00 1999', 'Mar 26 02:59:59 2000');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 04:00:00 2000', 'Oct 29 03:59:59 2000');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 03:00:00 2000', 'Mar 25 02:59:59 2001');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 04:00:00 2001', 'Oct 28 03:59:59 2001');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 03:00:00 2001', 'Mar 31 02:59:59 2002');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 04:00:00 2002', 'Oct 27 03:59:59 2002');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 03:00:00 2002', 'Mar 30 02:59:59 2003');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 04:00:00 2003', 'Oct 26 03:59:59 2003');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 03:00:00 2003', 'Mar 28 02:59:59 2004');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 04:00:00 2004', 'Oct 31 03:59:59 2004');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 03:00:00 2004', 'Mar 27 02:59:59 2005');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 04:00:00 2005', 'Oct 30 03:59:59 2005');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 03:00:00 2005', 'Mar 26 02:59:59 2006');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 04:00:00 2006', 'Oct 29 03:59:59 2006');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 03:00:00 2006', 'Mar 25 02:59:59 2007');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 04:00:00 2007', 'Oct 28 03:59:59 2007');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 03:00:00 2007', 'Mar 30 02:59:59 2008');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 04:00:00 2008', 'Oct 26 03:59:59 2008');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 03:00:00 2008', 'Mar 29 02:59:59 2009');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 04:00:00 2009', 'Oct 25 03:59:59 2009');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 03:00:00 2009', 'Mar 28 02:59:59 2010');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 04:00:00 2010', 'Oct 31 03:59:59 2010');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 03:00:00 2010', 'Mar 27 02:59:59 2011');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 04:00:00 2011', 'Oct 30 03:59:59 2011');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 03:00:00 2011', 'Mar 25 02:59:59 2012');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 04:00:00 2012', 'Oct 28 03:59:59 2012');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 03:00:00 2012', 'Mar 31 02:59:59 2013');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 04:00:00 2013', 'Oct 27 03:59:59 2013');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 03:00:00 2013', 'Mar 30 02:59:59 2014');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 04:00:00 2014', 'Oct 26 03:59:59 2014');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 03:00:00 2014', 'Mar 29 02:59:59 2015');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 04:00:00 2015', 'Oct 25 03:59:59 2015');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 03:00:00 2015', 'Mar 27 02:59:59 2016');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 04:00:00 2016', 'Oct 30 03:59:59 2016');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 03:00:00 2016', 'Mar 26 02:59:59 2017');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 04:00:00 2017', 'Oct 29 03:59:59 2017');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 03:00:00 2017', 'Mar 25 02:59:59 2018');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 04:00:00 2018', 'Oct 28 03:59:59 2018');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 03:00:00 2018', 'Mar 31 02:59:59 2019');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 04:00:00 2019', 'Oct 27 03:59:59 2019');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 03:00:00 2019', 'Mar 29 02:59:59 2020');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 04:00:00 2020', 'Oct 25 03:59:59 2020');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 03:00:00 2020', 'Mar 28 02:59:59 2021');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 04:00:00 2021', 'Oct 31 03:59:59 2021');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 03:00:00 2021', 'Mar 27 02:59:59 2022');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 04:00:00 2022', 'Oct 30 03:59:59 2022');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 03:00:00 2022', 'Mar 26 02:59:59 2023');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 04:00:00 2023', 'Oct 29 03:59:59 2023');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 03:00:00 2023', 'Mar 31 02:59:59 2024');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 04:00:00 2024', 'Oct 27 03:59:59 2024');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 03:00:00 2024', 'Mar 30 02:59:59 2025');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 04:00:00 2025', 'Oct 26 03:59:59 2025');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 03:00:00 2025', 'Mar 29 02:59:59 2026');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 04:00:00 2026', 'Oct 25 03:59:59 2026');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 03:00:00 2026', 'Mar 28 02:59:59 2027');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 04:00:00 2027', 'Oct 31 03:59:59 2027');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 03:00:00 2027', 'Mar 26 02:59:59 2028');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 04:00:00 2028', 'Oct 29 03:59:59 2028');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 03:00:00 2028', 'Mar 25 02:59:59 2029');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 04:00:00 2029', 'Oct 28 03:59:59 2029');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 03:00:00 2029', 'Mar 31 02:59:59 2030');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 04:00:00 2030', 'Oct 27 03:59:59 2030');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 03:00:00 2030', 'Mar 30 02:59:59 2031');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 04:00:00 2031', 'Oct 26 03:59:59 2031');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 03:00:00 2031', 'Mar 28 02:59:59 2032');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 04:00:00 2032', 'Oct 31 03:59:59 2032');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 03:00:00 2032', 'Mar 27 02:59:59 2033');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 04:00:00 2033', 'Oct 30 03:59:59 2033');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 03:00:00 2033', 'Mar 26 02:59:59 2034');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 04:00:00 2034', 'Oct 29 03:59:59 2034');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 03:00:00 2034', 'Mar 25 02:59:59 2035');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 04:00:00 2035', 'Oct 28 03:59:59 2035');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 03:00:00 2035', 'Mar 30 02:59:59 2036');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 04:00:00 2036', 'Oct 26 03:59:59 2036');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 03:00:00 2036', 'Mar 29 02:59:59 2037');
timezone.add_rule('Turkey', 'EEST', 1, 10800, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 04:00:00 2037', 'Oct 25 03:59:59 2037');
timezone.add_rule('Turkey', 'EET', 0, 7200, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 03:00:00 2037', 'Jan 18 05:14:07 2038');
end;
/

--
-- UCT
--

begin
timezone.add_rule('UCT', 'UCT', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- US/Alaska
--

begin
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Dec 14 20:45:52 1901', 'Feb 9 11:59:59 1942', 'Dec 14 10:45:52 1901', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Feb 9 12:00:00 1942', 'Sep 30 10:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Sep 30 11:00:00 1945', 'Apr 27 11:59:59 1969', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1969');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 27 12:00:00 1969', 'Oct 26 10:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 26 11:00:00 1969', 'Apr 26 11:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 26 12:00:00 1970', 'Oct 25 10:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 25 11:00:00 1970', 'Apr 25 11:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 25 12:00:00 1971', 'Oct 31 10:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 31 11:00:00 1971', 'Apr 30 11:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 30 12:00:00 1972', 'Oct 29 10:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 29 11:00:00 1972', 'Apr 29 11:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 29 12:00:00 1973', 'Oct 28 10:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 28 11:00:00 1973', 'Jan 6 11:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Jan 6 12:00:00 1974', 'Oct 27 10:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 27 11:00:00 1974', 'Feb 23 11:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Feb 23 12:00:00 1975', 'Oct 26 10:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 26 11:00:00 1975', 'Apr 25 11:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 25 12:00:00 1976', 'Oct 31 10:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 31 11:00:00 1976', 'Apr 24 11:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 24 12:00:00 1977', 'Oct 30 10:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 30 11:00:00 1977', 'Apr 30 11:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 30 12:00:00 1978', 'Oct 29 10:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 29 11:00:00 1978', 'Apr 29 11:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 29 12:00:00 1979', 'Oct 28 10:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 28 11:00:00 1979', 'Apr 27 11:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 27 12:00:00 1980', 'Oct 26 10:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 26 11:00:00 1980', 'Apr 26 11:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 26 12:00:00 1981', 'Oct 25 10:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 25 11:00:00 1981', 'Apr 25 11:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 25 12:00:00 1982', 'Oct 31 10:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('US/Alaska', 'AKST', 0, -36000, 'Oct 31 11:00:00 1982', 'Apr 24 11:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('US/Alaska', 'AKDT', 1, -32400, 'Apr 24 12:00:00 1983', 'Oct 30 10:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 30 11:00:00 1983', 'Apr 29 10:59:59 1984', 'Oct 30 02:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 29 11:00:00 1984', 'Oct 28 09:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 28 10:00:00 1984', 'Apr 28 10:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 28 11:00:00 1985', 'Oct 27 09:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 27 10:00:00 1985', 'Apr 27 10:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 27 11:00:00 1986', 'Oct 26 09:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 26 10:00:00 1986', 'Apr 5 10:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1987', 'Oct 25 09:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 25 10:00:00 1987', 'Apr 3 10:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1988', 'Oct 30 09:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 30 10:00:00 1988', 'Apr 2 10:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1989', 'Oct 29 09:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 29 10:00:00 1989', 'Apr 1 10:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 1 11:00:00 1990', 'Oct 28 09:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 28 10:00:00 1990', 'Apr 7 10:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1991', 'Oct 27 09:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 27 10:00:00 1991', 'Apr 5 10:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1992', 'Oct 25 09:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 25 10:00:00 1992', 'Apr 4 10:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1993', 'Oct 31 09:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 31 10:00:00 1993', 'Apr 3 10:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 3 11:00:00 1994', 'Oct 30 09:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 30 10:00:00 1994', 'Apr 2 10:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 2 11:00:00 1995', 'Oct 29 09:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 29 10:00:00 1995', 'Apr 7 10:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 7 11:00:00 1996', 'Oct 27 09:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 27 10:00:00 1996', 'Apr 6 10:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 6 11:00:00 1997', 'Oct 26 09:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 26 10:00:00 1997', 'Apr 5 10:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 5 11:00:00 1998', 'Oct 25 09:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 25 10:00:00 1998', 'Apr 4 10:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 4 11:00:00 1999', 'Oct 31 09:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 31 10:00:00 1999', 'Apr 2 10:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2000', 'Oct 29 09:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 29 10:00:00 2000', 'Apr 1 10:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2001', 'Oct 28 09:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 28 10:00:00 2001', 'Apr 7 10:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2002', 'Oct 27 09:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 27 10:00:00 2002', 'Apr 6 10:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2003', 'Oct 26 09:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 26 10:00:00 2003', 'Apr 4 10:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2004', 'Oct 31 09:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 31 10:00:00 2004', 'Apr 3 10:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2005', 'Oct 30 09:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 30 10:00:00 2005', 'Apr 2 10:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2006', 'Oct 29 09:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 29 10:00:00 2006', 'Apr 1 10:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2007', 'Oct 28 09:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 28 10:00:00 2007', 'Apr 6 10:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2008', 'Oct 26 09:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 26 10:00:00 2008', 'Apr 5 10:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2009', 'Oct 25 09:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 25 10:00:00 2009', 'Apr 4 10:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2010', 'Oct 31 09:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 31 10:00:00 2010', 'Apr 3 10:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2011', 'Oct 30 09:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 30 10:00:00 2011', 'Apr 1 10:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2012', 'Oct 28 09:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 28 10:00:00 2012', 'Apr 7 10:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2013', 'Oct 27 09:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 27 10:00:00 2013', 'Apr 6 10:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2014', 'Oct 26 09:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 26 10:00:00 2014', 'Apr 5 10:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2015', 'Oct 25 09:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 25 10:00:00 2015', 'Apr 3 10:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2016', 'Oct 30 09:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 30 10:00:00 2016', 'Apr 2 10:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2017', 'Oct 29 09:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 29 10:00:00 2017', 'Apr 1 10:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2018', 'Oct 28 09:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 28 10:00:00 2018', 'Apr 7 10:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2019', 'Oct 27 09:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 27 10:00:00 2019', 'Apr 5 10:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2020', 'Oct 25 09:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 25 10:00:00 2020', 'Apr 4 10:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2021', 'Oct 31 09:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 31 10:00:00 2021', 'Apr 3 10:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2022', 'Oct 30 09:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 30 10:00:00 2022', 'Apr 2 10:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2023', 'Oct 29 09:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 29 10:00:00 2023', 'Apr 7 10:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2024', 'Oct 27 09:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 27 10:00:00 2024', 'Apr 6 10:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2025', 'Oct 26 09:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 26 10:00:00 2025', 'Apr 5 10:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2026', 'Oct 25 09:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 25 10:00:00 2026', 'Apr 4 10:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2027', 'Oct 31 09:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 31 10:00:00 2027', 'Apr 2 10:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2028', 'Oct 29 09:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 29 10:00:00 2028', 'Apr 1 10:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2029', 'Oct 28 09:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 28 10:00:00 2029', 'Apr 7 10:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 7 11:00:00 2030', 'Oct 27 09:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 27 10:00:00 2030', 'Apr 6 10:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2031', 'Oct 26 09:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 26 10:00:00 2031', 'Apr 4 10:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 4 11:00:00 2032', 'Oct 31 09:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 31 10:00:00 2032', 'Apr 3 10:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 3 11:00:00 2033', 'Oct 30 09:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 30 10:00:00 2033', 'Apr 2 10:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 2 11:00:00 2034', 'Oct 29 09:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 29 10:00:00 2034', 'Apr 1 10:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 1 11:00:00 2035', 'Oct 28 09:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 28 10:00:00 2035', 'Apr 6 10:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 6 11:00:00 2036', 'Oct 26 09:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 26 10:00:00 2036', 'Apr 5 10:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('US/Alaska', 'AKDT', 1, -28800, 'Apr 5 11:00:00 2037', 'Oct 25 09:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('US/Alaska', 'AKST', 0, -32400, 'Oct 25 10:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 18:14:07 2038');
end;
/

--
-- US/Aleutian
--

begin
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Dec 14 20:45:52 1901', 'Feb 9 12:59:59 1942', 'Dec 14 09:45:52 1901', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Feb 9 13:00:00 1942', 'Sep 30 11:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Sep 30 12:00:00 1945', 'Apr 27 12:59:59 1969', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1969');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 27 13:00:00 1969', 'Oct 26 11:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 26 12:00:00 1969', 'Apr 26 12:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 26 13:00:00 1970', 'Oct 25 11:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 25 12:00:00 1970', 'Apr 25 12:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 25 13:00:00 1971', 'Oct 31 11:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 31 12:00:00 1971', 'Apr 30 12:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 30 13:00:00 1972', 'Oct 29 11:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 29 12:00:00 1972', 'Apr 29 12:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 29 13:00:00 1973', 'Oct 28 11:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 28 12:00:00 1973', 'Jan 6 12:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Jan 6 13:00:00 1974', 'Oct 27 11:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 27 12:00:00 1974', 'Feb 23 12:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Feb 23 13:00:00 1975', 'Oct 26 11:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 26 12:00:00 1975', 'Apr 25 12:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 25 13:00:00 1976', 'Oct 31 11:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 31 12:00:00 1976', 'Apr 24 12:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 24 13:00:00 1977', 'Oct 30 11:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 30 12:00:00 1977', 'Apr 30 12:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 30 13:00:00 1978', 'Oct 29 11:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 29 12:00:00 1978', 'Apr 29 12:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 29 13:00:00 1979', 'Oct 28 11:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 28 12:00:00 1979', 'Apr 27 12:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 27 13:00:00 1980', 'Oct 26 11:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 26 12:00:00 1980', 'Apr 26 12:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 26 13:00:00 1981', 'Oct 25 11:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 25 12:00:00 1981', 'Apr 25 12:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 25 13:00:00 1982', 'Oct 31 11:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('US/Aleutian', 'HAST', 0, -39600, 'Oct 31 12:00:00 1982', 'Apr 24 12:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('US/Aleutian', 'HADT', 1, -36000, 'Apr 24 13:00:00 1983', 'Oct 30 11:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 30 12:00:00 1983', 'Apr 29 11:59:59 1984', 'Oct 30 02:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 29 12:00:00 1984', 'Oct 28 10:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 28 11:00:00 1984', 'Apr 28 11:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 28 12:00:00 1985', 'Oct 27 10:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 27 11:00:00 1985', 'Apr 27 11:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 27 12:00:00 1986', 'Oct 26 10:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 26 11:00:00 1986', 'Apr 5 11:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 5 12:00:00 1987', 'Oct 25 10:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 25 11:00:00 1987', 'Apr 3 11:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 3 12:00:00 1988', 'Oct 30 10:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 30 11:00:00 1988', 'Apr 2 11:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 2 12:00:00 1989', 'Oct 29 10:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 29 11:00:00 1989', 'Apr 1 11:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 1 12:00:00 1990', 'Oct 28 10:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 28 11:00:00 1990', 'Apr 7 11:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 7 12:00:00 1991', 'Oct 27 10:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 27 11:00:00 1991', 'Apr 5 11:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 5 12:00:00 1992', 'Oct 25 10:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 25 11:00:00 1992', 'Apr 4 11:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 4 12:00:00 1993', 'Oct 31 10:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 31 11:00:00 1993', 'Apr 3 11:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 3 12:00:00 1994', 'Oct 30 10:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 30 11:00:00 1994', 'Apr 2 11:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 2 12:00:00 1995', 'Oct 29 10:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 29 11:00:00 1995', 'Apr 7 11:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 7 12:00:00 1996', 'Oct 27 10:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 27 11:00:00 1996', 'Apr 6 11:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 6 12:00:00 1997', 'Oct 26 10:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 26 11:00:00 1997', 'Apr 5 11:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 5 12:00:00 1998', 'Oct 25 10:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 25 11:00:00 1998', 'Apr 4 11:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 4 12:00:00 1999', 'Oct 31 10:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 31 11:00:00 1999', 'Apr 2 11:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 2 12:00:00 2000', 'Oct 29 10:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 29 11:00:00 2000', 'Apr 1 11:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 1 12:00:00 2001', 'Oct 28 10:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 28 11:00:00 2001', 'Apr 7 11:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 7 12:00:00 2002', 'Oct 27 10:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 27 11:00:00 2002', 'Apr 6 11:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 6 12:00:00 2003', 'Oct 26 10:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 26 11:00:00 2003', 'Apr 4 11:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 4 12:00:00 2004', 'Oct 31 10:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 31 11:00:00 2004', 'Apr 3 11:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 3 12:00:00 2005', 'Oct 30 10:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 30 11:00:00 2005', 'Apr 2 11:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 2 12:00:00 2006', 'Oct 29 10:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 29 11:00:00 2006', 'Apr 1 11:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 1 12:00:00 2007', 'Oct 28 10:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 28 11:00:00 2007', 'Apr 6 11:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 6 12:00:00 2008', 'Oct 26 10:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 26 11:00:00 2008', 'Apr 5 11:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 5 12:00:00 2009', 'Oct 25 10:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 25 11:00:00 2009', 'Apr 4 11:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 4 12:00:00 2010', 'Oct 31 10:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 31 11:00:00 2010', 'Apr 3 11:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 3 12:00:00 2011', 'Oct 30 10:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 30 11:00:00 2011', 'Apr 1 11:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 1 12:00:00 2012', 'Oct 28 10:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 28 11:00:00 2012', 'Apr 7 11:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 7 12:00:00 2013', 'Oct 27 10:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 27 11:00:00 2013', 'Apr 6 11:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 6 12:00:00 2014', 'Oct 26 10:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 26 11:00:00 2014', 'Apr 5 11:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 5 12:00:00 2015', 'Oct 25 10:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 25 11:00:00 2015', 'Apr 3 11:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 3 12:00:00 2016', 'Oct 30 10:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 30 11:00:00 2016', 'Apr 2 11:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 2 12:00:00 2017', 'Oct 29 10:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 29 11:00:00 2017', 'Apr 1 11:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 1 12:00:00 2018', 'Oct 28 10:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 28 11:00:00 2018', 'Apr 7 11:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 7 12:00:00 2019', 'Oct 27 10:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 27 11:00:00 2019', 'Apr 5 11:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 5 12:00:00 2020', 'Oct 25 10:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 25 11:00:00 2020', 'Apr 4 11:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 4 12:00:00 2021', 'Oct 31 10:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 31 11:00:00 2021', 'Apr 3 11:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 3 12:00:00 2022', 'Oct 30 10:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 30 11:00:00 2022', 'Apr 2 11:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 2 12:00:00 2023', 'Oct 29 10:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 29 11:00:00 2023', 'Apr 7 11:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 7 12:00:00 2024', 'Oct 27 10:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 27 11:00:00 2024', 'Apr 6 11:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 6 12:00:00 2025', 'Oct 26 10:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 26 11:00:00 2025', 'Apr 5 11:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 5 12:00:00 2026', 'Oct 25 10:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 25 11:00:00 2026', 'Apr 4 11:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 4 12:00:00 2027', 'Oct 31 10:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 31 11:00:00 2027', 'Apr 2 11:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 2 12:00:00 2028', 'Oct 29 10:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 29 11:00:00 2028', 'Apr 1 11:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 1 12:00:00 2029', 'Oct 28 10:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 28 11:00:00 2029', 'Apr 7 11:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 7 12:00:00 2030', 'Oct 27 10:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 27 11:00:00 2030', 'Apr 6 11:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 6 12:00:00 2031', 'Oct 26 10:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 26 11:00:00 2031', 'Apr 4 11:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 4 12:00:00 2032', 'Oct 31 10:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 31 11:00:00 2032', 'Apr 3 11:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 3 12:00:00 2033', 'Oct 30 10:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 30 11:00:00 2033', 'Apr 2 11:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 2 12:00:00 2034', 'Oct 29 10:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 29 11:00:00 2034', 'Apr 1 11:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 1 12:00:00 2035', 'Oct 28 10:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 28 11:00:00 2035', 'Apr 6 11:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 6 12:00:00 2036', 'Oct 26 10:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 26 11:00:00 2036', 'Apr 5 11:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('US/Aleutian', 'HADT', 1, -32400, 'Apr 5 12:00:00 2037', 'Oct 25 10:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('US/Aleutian', 'HAST', 0, -36000, 'Oct 25 11:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 17:14:07 2038');
end;
/

--
-- US/Arizona
--

begin
timezone.add_rule('US/Arizona', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Mar 31 08:59:59 1918', 'Dec 14 13:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('US/Arizona', 'MDT', 1, -21600, 'Mar 31 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('US/Arizona', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'Mar 30 08:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('US/Arizona', 'MDT', 1, -21600, 'Mar 30 09:00:00 1919', 'Oct 26 07:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('US/Arizona', 'MST', 0, -25200, 'Oct 26 08:00:00 1919', 'Feb 9 08:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Arizona', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Jan 1 06:00:59 1944', 'Feb 9 03:00:00 1942', 'Jan 1 00:00:59 1944');
timezone.add_rule('US/Arizona', 'MST', 0, -25200, 'Jan 1 06:01:00 1944', 'Mar 17 07:00:59 1944', 'Dec 31 23:01:00 1943', 'Mar 17 00:00:59 1944');
timezone.add_rule('US/Arizona', 'MDT', 1, -21600, 'Mar 17 07:01:00 1944', 'Oct 1 06:00:59 1944', 'Mar 17 01:01:00 1944', 'Oct 1 00:00:59 1944');
timezone.add_rule('US/Arizona', 'MST', 0, -25200, 'Oct 1 06:01:00 1944', 'Apr 30 08:59:59 1967', 'Sep 30 23:01:00 1944', 'Apr 30 01:59:59 1967');
timezone.add_rule('US/Arizona', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('US/Arizona', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Jan 18 03:14:07 2038', 'Oct 29 01:00:00 1967', 'Jan 17 20:14:07 2038');
end;
/

--
-- US/Central
--

begin
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1919', 'Jun 13 07:59:59 1920', 'Oct 26 01:00:00 1919', 'Jun 13 01:59:59 1920');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Jun 13 08:00:00 1920', 'Oct 31 06:59:59 1920', 'Jun 13 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1920', 'Mar 27 07:59:59 1921', 'Oct 31 01:00:00 1920', 'Mar 27 01:59:59 1921');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Mar 27 08:00:00 1921', 'Oct 30 06:59:59 1921', 'Mar 27 03:00:00 1921', 'Oct 30 01:59:59 1921');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1921', 'Apr 30 07:59:59 1922', 'Oct 30 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1922', 'Sep 24 06:59:59 1922', 'Apr 30 03:00:00 1922', 'Sep 24 01:59:59 1922');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 24 07:00:00 1922', 'Apr 29 07:59:59 1923', 'Sep 24 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1923', 'Sep 30 06:59:59 1923', 'Apr 29 03:00:00 1923', 'Sep 30 01:59:59 1923');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 30 07:00:00 1923', 'Apr 27 07:59:59 1924', 'Sep 30 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1924', 'Sep 28 06:59:59 1924', 'Apr 27 03:00:00 1924', 'Sep 28 01:59:59 1924');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 28 07:00:00 1924', 'Apr 26 07:59:59 1925', 'Sep 28 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1925', 'Sep 27 06:59:59 1925', 'Apr 26 03:00:00 1925', 'Sep 27 01:59:59 1925');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 27 07:00:00 1925', 'Apr 25 07:59:59 1926', 'Sep 27 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1926', 'Sep 26 06:59:59 1926', 'Apr 25 03:00:00 1926', 'Sep 26 01:59:59 1926');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 26 07:00:00 1926', 'Apr 24 07:59:59 1927', 'Sep 26 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1927', 'Sep 25 06:59:59 1927', 'Apr 24 03:00:00 1927', 'Sep 25 01:59:59 1927');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 25 07:00:00 1927', 'Apr 29 07:59:59 1928', 'Sep 25 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1928', 'Sep 30 06:59:59 1928', 'Apr 29 03:00:00 1928', 'Sep 30 01:59:59 1928');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 30 07:00:00 1928', 'Apr 28 07:59:59 1929', 'Sep 30 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1929', 'Sep 29 06:59:59 1929', 'Apr 28 03:00:00 1929', 'Sep 29 01:59:59 1929');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 29 07:00:00 1929', 'Apr 27 07:59:59 1930', 'Sep 29 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1930', 'Sep 28 06:59:59 1930', 'Apr 27 03:00:00 1930', 'Sep 28 01:59:59 1930');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 28 07:00:00 1930', 'Apr 26 07:59:59 1931', 'Sep 28 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1931', 'Sep 27 06:59:59 1931', 'Apr 26 03:00:00 1931', 'Sep 27 01:59:59 1931');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 27 07:00:00 1931', 'Apr 24 07:59:59 1932', 'Sep 27 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1932', 'Sep 25 06:59:59 1932', 'Apr 24 03:00:00 1932', 'Sep 25 01:59:59 1932');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 25 07:00:00 1932', 'Apr 30 07:59:59 1933', 'Sep 25 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1933', 'Sep 24 06:59:59 1933', 'Apr 30 03:00:00 1933', 'Sep 24 01:59:59 1933');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 24 07:00:00 1933', 'Apr 29 07:59:59 1934', 'Sep 24 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1934', 'Sep 30 06:59:59 1934', 'Apr 29 03:00:00 1934', 'Sep 30 01:59:59 1934');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 30 07:00:00 1934', 'Apr 28 07:59:59 1935', 'Sep 30 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1935', 'Sep 29 06:59:59 1935', 'Apr 28 03:00:00 1935', 'Sep 29 01:59:59 1935');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 29 07:00:00 1935', 'Mar 1 07:59:59 1936', 'Sep 29 01:00:00 1935', 'Mar 1 01:59:59 1936');
timezone.add_rule('US/Central', 'CST', 0, -18000, 'Mar 1 08:00:00 1936', 'Nov 15 06:59:59 1936', 'Mar 1 03:00:00 1936', 'Nov 15 01:59:59 1936');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Nov 15 07:00:00 1936', 'Apr 25 07:59:59 1937', 'Nov 15 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1937', 'Sep 26 06:59:59 1937', 'Apr 25 03:00:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 26 07:00:00 1937', 'Apr 24 07:59:59 1938', 'Sep 26 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1938', 'Sep 25 06:59:59 1938', 'Apr 24 03:00:00 1938', 'Sep 25 01:59:59 1938');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 25 07:00:00 1938', 'Apr 30 07:59:59 1939', 'Sep 25 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1939', 'Sep 24 06:59:59 1939', 'Apr 30 03:00:00 1939', 'Sep 24 01:59:59 1939');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 24 07:00:00 1939', 'Apr 28 07:59:59 1940', 'Sep 24 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1940', 'Sep 29 06:59:59 1940', 'Apr 28 03:00:00 1940', 'Sep 29 01:59:59 1940');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 29 07:00:00 1940', 'Apr 27 07:59:59 1941', 'Sep 29 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1941', 'Sep 28 06:59:59 1941', 'Apr 27 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 28 07:00:00 1941', 'Feb 9 07:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Sep 29 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 29 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Oct 30 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Oct 28 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Oct 27 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Oct 26 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Oct 30 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1960', 'Apr 30 07:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1961', 'Oct 29 06:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1961', 'Apr 29 07:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1962', 'Oct 28 06:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1962', 'Apr 28 07:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1963', 'Oct 27 06:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1963', 'Apr 26 07:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1964', 'Oct 25 06:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1964', 'Apr 25 07:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1965', 'Oct 31 06:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1965', 'Apr 24 07:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1966', 'Oct 30 06:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1966', 'Apr 30 07:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1967', 'Oct 29 06:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1967', 'Apr 28 07:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1968', 'Oct 27 06:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1968', 'Apr 27 07:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1969', 'Oct 26 06:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1969', 'Apr 26 07:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1970', 'Oct 25 06:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1970', 'Apr 25 07:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1971', 'Oct 31 06:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1971', 'Apr 30 07:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1972', 'Oct 29 06:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1972', 'Apr 29 07:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1973', 'Jan 6 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Jan 6 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1974', 'Feb 23 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Feb 23 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1991', 'Apr 5 07:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 1992', 'Oct 25 06:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1992', 'Apr 4 07:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 1993', 'Oct 31 06:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1993', 'Apr 3 07:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 1994', 'Oct 30 06:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 1994', 'Apr 2 07:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 1995', 'Oct 29 06:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 1995', 'Apr 7 07:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 1996', 'Oct 27 06:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 1996', 'Apr 6 07:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 1997', 'Oct 26 06:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 1997', 'Apr 5 07:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 1998', 'Oct 25 06:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 1998', 'Apr 4 07:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 1999', 'Oct 31 06:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 1999', 'Apr 2 07:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2000', 'Oct 29 06:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2000', 'Apr 1 07:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2001', 'Oct 28 06:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2001', 'Apr 7 07:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2002', 'Oct 27 06:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2002', 'Apr 6 07:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2003', 'Oct 26 06:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2003', 'Apr 4 07:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2004', 'Oct 31 06:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2004', 'Apr 3 07:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2005', 'Oct 30 06:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2005', 'Apr 2 07:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2006', 'Oct 29 06:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2006', 'Apr 1 07:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2007', 'Oct 28 06:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2007', 'Apr 6 07:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2008', 'Oct 26 06:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2008', 'Apr 5 07:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2009', 'Oct 25 06:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2009', 'Apr 4 07:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2010', 'Oct 31 06:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2010', 'Apr 3 07:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2011', 'Oct 30 06:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2011', 'Apr 1 07:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2012', 'Oct 28 06:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2012', 'Apr 7 07:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2013', 'Oct 27 06:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2013', 'Apr 6 07:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2014', 'Oct 26 06:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2014', 'Apr 5 07:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2015', 'Oct 25 06:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2015', 'Apr 3 07:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2016', 'Oct 30 06:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2016', 'Apr 2 07:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2017', 'Oct 29 06:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2017', 'Apr 1 07:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2018', 'Oct 28 06:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2018', 'Apr 7 07:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2019', 'Oct 27 06:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2019', 'Apr 5 07:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2020', 'Oct 25 06:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2020', 'Apr 4 07:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2021', 'Oct 31 06:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2021', 'Apr 3 07:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2022', 'Oct 30 06:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2022', 'Apr 2 07:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2023', 'Oct 29 06:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2023', 'Apr 7 07:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2024', 'Oct 27 06:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2024', 'Apr 6 07:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2025', 'Oct 26 06:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2025', 'Apr 5 07:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2026', 'Oct 25 06:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2026', 'Apr 4 07:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2027', 'Oct 31 06:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2027', 'Apr 2 07:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2028', 'Oct 29 06:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2028', 'Apr 1 07:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2029', 'Oct 28 06:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2029', 'Apr 7 07:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 7 08:00:00 2030', 'Oct 27 06:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 27 07:00:00 2030', 'Apr 6 07:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2031', 'Oct 26 06:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2031', 'Apr 4 07:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 4 08:00:00 2032', 'Oct 31 06:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 31 07:00:00 2032', 'Apr 3 07:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 3 08:00:00 2033', 'Oct 30 06:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 30 07:00:00 2033', 'Apr 2 07:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 2 08:00:00 2034', 'Oct 29 06:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 29 07:00:00 2034', 'Apr 1 07:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 1 08:00:00 2035', 'Oct 28 06:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 28 07:00:00 2035', 'Apr 6 07:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 6 08:00:00 2036', 'Oct 26 06:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 26 07:00:00 2036', 'Apr 5 07:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('US/Central', 'CDT', 1, -18000, 'Apr 5 08:00:00 2037', 'Oct 25 06:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('US/Central', 'CST', 0, -21600, 'Oct 25 07:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 21:14:07 2038');
end;
/

--
-- US/East-Indiana
--

begin
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Jun 22 07:59:59 1941', 'Oct 26 01:00:00 1919', 'Jun 22 01:59:59 1941');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Jun 22 08:00:00 1941', 'Sep 28 06:59:59 1941', 'Jun 22 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 28 07:00:00 1941', 'Feb 9 07:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 28 07:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Apr 28 08:00:00 1946', 'Sep 29 06:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 29 07:00:00 1946', 'Apr 27 07:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('US/East-Indiana', 'EST', 0, -18000, 'Apr 24 08:00:00 1955', 'Sep 29 06:59:59 1957', 'Apr 24 03:00:00 1955', 'Sep 29 01:59:59 1957');
timezone.add_rule('US/East-Indiana', 'EST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('US/East-Indiana', 'EST', 0, -18000, 'Apr 27 08:00:00 1958', 'Apr 27 06:59:59 1969', 'Apr 27 03:00:00 1958', 'Apr 27 01:59:59 1969');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('US/East-Indiana', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('US/East-Indiana', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('US/East-Indiana', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 1970', 'Jan 17 22:14:07 2038');
end;
/

--
-- US/Eastern
--

begin
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Dec 14 20:45:52 1901', 'Mar 31 06:59:59 1918', 'Dec 14 15:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Mar 31 07:00:00 1918', 'Oct 27 05:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1918', 'Mar 30 06:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Mar 30 07:00:00 1919', 'Oct 26 05:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1919', 'Mar 28 06:59:59 1920', 'Oct 26 01:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Mar 28 07:00:00 1920', 'Oct 31 05:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1920', 'Apr 24 06:59:59 1921', 'Oct 31 01:00:00 1920', 'Apr 24 01:59:59 1921');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1921', 'Sep 25 05:59:59 1921', 'Apr 24 03:00:00 1921', 'Sep 25 01:59:59 1921');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 25 06:00:00 1921', 'Apr 30 06:59:59 1922', 'Sep 25 01:00:00 1921', 'Apr 30 01:59:59 1922');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1922', 'Sep 24 05:59:59 1922', 'Apr 30 03:00:00 1922', 'Sep 24 01:59:59 1922');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 24 06:00:00 1922', 'Apr 29 06:59:59 1923', 'Sep 24 01:00:00 1922', 'Apr 29 01:59:59 1923');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1923', 'Sep 30 05:59:59 1923', 'Apr 29 03:00:00 1923', 'Sep 30 01:59:59 1923');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 30 06:00:00 1923', 'Apr 27 06:59:59 1924', 'Sep 30 01:00:00 1923', 'Apr 27 01:59:59 1924');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1924', 'Sep 28 05:59:59 1924', 'Apr 27 03:00:00 1924', 'Sep 28 01:59:59 1924');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 28 06:00:00 1924', 'Apr 26 06:59:59 1925', 'Sep 28 01:00:00 1924', 'Apr 26 01:59:59 1925');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1925', 'Sep 27 05:59:59 1925', 'Apr 26 03:00:00 1925', 'Sep 27 01:59:59 1925');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 27 06:00:00 1925', 'Apr 25 06:59:59 1926', 'Sep 27 01:00:00 1925', 'Apr 25 01:59:59 1926');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1926', 'Sep 26 05:59:59 1926', 'Apr 25 03:00:00 1926', 'Sep 26 01:59:59 1926');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 26 06:00:00 1926', 'Apr 24 06:59:59 1927', 'Sep 26 01:00:00 1926', 'Apr 24 01:59:59 1927');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1927', 'Sep 25 05:59:59 1927', 'Apr 24 03:00:00 1927', 'Sep 25 01:59:59 1927');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 25 06:00:00 1927', 'Apr 29 06:59:59 1928', 'Sep 25 01:00:00 1927', 'Apr 29 01:59:59 1928');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1928', 'Sep 30 05:59:59 1928', 'Apr 29 03:00:00 1928', 'Sep 30 01:59:59 1928');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 30 06:00:00 1928', 'Apr 28 06:59:59 1929', 'Sep 30 01:00:00 1928', 'Apr 28 01:59:59 1929');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1929', 'Sep 29 05:59:59 1929', 'Apr 28 03:00:00 1929', 'Sep 29 01:59:59 1929');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 29 06:00:00 1929', 'Apr 27 06:59:59 1930', 'Sep 29 01:00:00 1929', 'Apr 27 01:59:59 1930');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1930', 'Sep 28 05:59:59 1930', 'Apr 27 03:00:00 1930', 'Sep 28 01:59:59 1930');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 28 06:00:00 1930', 'Apr 26 06:59:59 1931', 'Sep 28 01:00:00 1930', 'Apr 26 01:59:59 1931');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1931', 'Sep 27 05:59:59 1931', 'Apr 26 03:00:00 1931', 'Sep 27 01:59:59 1931');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 27 06:00:00 1931', 'Apr 24 06:59:59 1932', 'Sep 27 01:00:00 1931', 'Apr 24 01:59:59 1932');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1932', 'Sep 25 05:59:59 1932', 'Apr 24 03:00:00 1932', 'Sep 25 01:59:59 1932');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 25 06:00:00 1932', 'Apr 30 06:59:59 1933', 'Sep 25 01:00:00 1932', 'Apr 30 01:59:59 1933');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1933', 'Sep 24 05:59:59 1933', 'Apr 30 03:00:00 1933', 'Sep 24 01:59:59 1933');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 24 06:00:00 1933', 'Apr 29 06:59:59 1934', 'Sep 24 01:00:00 1933', 'Apr 29 01:59:59 1934');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1934', 'Sep 30 05:59:59 1934', 'Apr 29 03:00:00 1934', 'Sep 30 01:59:59 1934');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 30 06:00:00 1934', 'Apr 28 06:59:59 1935', 'Sep 30 01:00:00 1934', 'Apr 28 01:59:59 1935');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1935', 'Sep 29 05:59:59 1935', 'Apr 28 03:00:00 1935', 'Sep 29 01:59:59 1935');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 29 06:00:00 1935', 'Apr 26 06:59:59 1936', 'Sep 29 01:00:00 1935', 'Apr 26 01:59:59 1936');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1936', 'Sep 27 05:59:59 1936', 'Apr 26 03:00:00 1936', 'Sep 27 01:59:59 1936');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 27 06:00:00 1936', 'Apr 25 06:59:59 1937', 'Sep 27 01:00:00 1936', 'Apr 25 01:59:59 1937');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1937', 'Sep 26 05:59:59 1937', 'Apr 25 03:00:00 1937', 'Sep 26 01:59:59 1937');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 26 06:00:00 1937', 'Apr 24 06:59:59 1938', 'Sep 26 01:00:00 1937', 'Apr 24 01:59:59 1938');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1938', 'Sep 25 05:59:59 1938', 'Apr 24 03:00:00 1938', 'Sep 25 01:59:59 1938');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 25 06:00:00 1938', 'Apr 30 06:59:59 1939', 'Sep 25 01:00:00 1938', 'Apr 30 01:59:59 1939');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1939', 'Sep 24 05:59:59 1939', 'Apr 30 03:00:00 1939', 'Sep 24 01:59:59 1939');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 24 06:00:00 1939', 'Apr 28 06:59:59 1940', 'Sep 24 01:00:00 1939', 'Apr 28 01:59:59 1940');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1940', 'Sep 29 05:59:59 1940', 'Apr 28 03:00:00 1940', 'Sep 29 01:59:59 1940');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 29 06:00:00 1940', 'Apr 27 06:59:59 1941', 'Sep 29 01:00:00 1940', 'Apr 27 01:59:59 1941');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1941', 'Sep 28 05:59:59 1941', 'Apr 27 03:00:00 1941', 'Sep 28 01:59:59 1941');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 28 06:00:00 1941', 'Feb 9 06:59:59 1942', 'Sep 28 01:00:00 1941', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Feb 9 07:00:00 1942', 'Sep 30 05:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 28 06:59:59 1946', 'Sep 30 01:00:00 1945', 'Apr 28 01:59:59 1946');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1946', 'Sep 29 05:59:59 1946', 'Apr 28 03:00:00 1946', 'Sep 29 01:59:59 1946');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 29 06:00:00 1946', 'Apr 27 06:59:59 1947', 'Sep 29 01:00:00 1946', 'Apr 27 01:59:59 1947');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1947', 'Sep 28 05:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 28 06:00:00 1947', 'Apr 25 06:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1948', 'Sep 26 05:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 26 06:00:00 1948', 'Apr 24 06:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1949', 'Sep 25 05:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 25 06:00:00 1949', 'Apr 30 06:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1950', 'Sep 24 05:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 24 06:00:00 1950', 'Apr 29 06:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1951', 'Sep 30 05:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 30 06:00:00 1951', 'Apr 27 06:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1952', 'Sep 28 05:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 28 06:00:00 1952', 'Apr 26 06:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1953', 'Sep 27 05:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 27 06:00:00 1953', 'Apr 25 06:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1954', 'Sep 26 05:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Sep 26 06:00:00 1954', 'Apr 24 06:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1955', 'Oct 30 05:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1955', 'Apr 29 06:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1956', 'Oct 28 05:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1956', 'Apr 28 06:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1957', 'Oct 27 05:59:59 1957', 'Apr 28 03:00:00 1957', 'Oct 27 01:59:59 1957');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1957', 'Apr 27 06:59:59 1958', 'Oct 27 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1958', 'Oct 26 05:59:59 1958', 'Apr 27 03:00:00 1958', 'Oct 26 01:59:59 1958');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1958', 'Apr 26 06:59:59 1959', 'Oct 26 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1959', 'Oct 25 05:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1959', 'Apr 24 06:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1960', 'Oct 30 05:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1960', 'Apr 30 06:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1961', 'Oct 29 05:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1961', 'Apr 29 06:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1962', 'Oct 28 05:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1962', 'Apr 28 06:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1963', 'Oct 27 05:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1963', 'Apr 26 06:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1964', 'Oct 25 05:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1964', 'Apr 25 06:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1965', 'Oct 31 05:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1965', 'Apr 24 06:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1966', 'Oct 30 05:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1966', 'Apr 30 06:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1967', 'Oct 29 05:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1967', 'Apr 28 06:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1968', 'Oct 27 05:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1968', 'Apr 27 06:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1969', 'Oct 26 05:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1969', 'Apr 26 06:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1970', 'Oct 25 05:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1970', 'Apr 25 06:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1971', 'Oct 31 05:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1971', 'Apr 30 06:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1972', 'Oct 29 05:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1972', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Jan 6 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Jan 6 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Feb 23 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Feb 23 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('US/Eastern', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('US/Eastern', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- US/Hawaii
--

begin
timezone.add_rule('US/Hawaii', 'HST', 0, -37800, 'Dec 14 20:45:52 1901', 'Apr 30 12:29:59 1933', 'Dec 14 10:15:52 1901', 'Apr 30 01:59:59 1933');
timezone.add_rule('US/Hawaii', 'HWT', 1, -34200, 'Apr 30 12:30:00 1933', 'May 21 11:29:59 1933', 'Apr 30 03:00:00 1933', 'May 21 01:59:59 1933');
timezone.add_rule('US/Hawaii', 'HST', 0, -37800, 'May 21 11:30:00 1933', 'Feb 9 12:29:59 1942', 'May 21 01:00:00 1933', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Hawaii', 'HWT', 1, -34200, 'Feb 9 12:30:00 1942', 'Sep 30 11:29:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/Hawaii', 'HST', 0, -37800, 'Sep 30 11:30:00 1945', 'Jun 8 12:29:59 1947', 'Sep 30 01:00:00 1945', 'Jun 8 01:59:59 1947');
timezone.add_rule('US/Hawaii', 'HST', 0, -36000, 'Jun 8 12:30:00 1947', 'Jan 18 03:14:07 2038', 'Jun 8 02:30:00 1947', 'Jan 17 17:14:07 2038');
end;
/

--
-- US/Indiana-Starke
--

begin
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Dec 14 20:45:52 1901', 'Mar 31 07:59:59 1918', 'Dec 14 14:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Mar 31 08:00:00 1918', 'Oct 27 06:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 27 07:00:00 1918', 'Mar 30 07:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Mar 30 08:00:00 1919', 'Oct 26 06:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 26 07:00:00 1919', 'Feb 9 07:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Feb 9 08:00:00 1942', 'Sep 30 06:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 30 07:00:00 1945', 'Apr 27 07:59:59 1947', 'Sep 30 01:00:00 1945', 'Apr 27 01:59:59 1947');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 27 08:00:00 1947', 'Sep 28 06:59:59 1947', 'Apr 27 03:00:00 1947', 'Sep 28 01:59:59 1947');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 28 07:00:00 1947', 'Apr 25 07:59:59 1948', 'Sep 28 01:00:00 1947', 'Apr 25 01:59:59 1948');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 25 08:00:00 1948', 'Sep 26 06:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 26 07:00:00 1948', 'Apr 24 07:59:59 1949', 'Sep 26 01:00:00 1948', 'Apr 24 01:59:59 1949');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 24 08:00:00 1949', 'Sep 25 06:59:59 1949', 'Apr 24 03:00:00 1949', 'Sep 25 01:59:59 1949');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 25 07:00:00 1949', 'Apr 30 07:59:59 1950', 'Sep 25 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 30 08:00:00 1950', 'Sep 24 06:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 24 07:00:00 1950', 'Apr 29 07:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 29 08:00:00 1951', 'Sep 30 06:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 30 07:00:00 1951', 'Apr 27 07:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 27 08:00:00 1952', 'Sep 28 06:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 28 07:00:00 1952', 'Apr 26 07:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 26 08:00:00 1953', 'Sep 27 06:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 27 07:00:00 1953', 'Apr 25 07:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 25 08:00:00 1954', 'Sep 26 06:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 26 07:00:00 1954', 'Apr 24 07:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 24 08:00:00 1955', 'Oct 30 06:59:59 1955', 'Apr 24 03:00:00 1955', 'Oct 30 01:59:59 1955');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 30 07:00:00 1955', 'Apr 29 07:59:59 1956', 'Oct 30 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 29 08:00:00 1956', 'Oct 28 06:59:59 1956', 'Apr 29 03:00:00 1956', 'Oct 28 01:59:59 1956');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 28 07:00:00 1956', 'Apr 28 07:59:59 1957', 'Oct 28 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 28 08:00:00 1957', 'Sep 29 06:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 29 07:00:00 1957', 'Apr 27 07:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 27 08:00:00 1958', 'Sep 28 06:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Sep 28 07:00:00 1958', 'Apr 26 07:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 26 08:00:00 1959', 'Oct 25 06:59:59 1959', 'Apr 26 03:00:00 1959', 'Oct 25 01:59:59 1959');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 25 07:00:00 1959', 'Apr 24 07:59:59 1960', 'Oct 25 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 24 08:00:00 1960', 'Oct 30 06:59:59 1960', 'Apr 24 03:00:00 1960', 'Oct 30 01:59:59 1960');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 30 07:00:00 1960', 'Apr 30 07:59:59 1961', 'Oct 30 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 30 08:00:00 1961', 'Oct 29 06:59:59 1961', 'Apr 30 03:00:00 1961', 'Oct 29 01:59:59 1961');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 29 07:00:00 1961', 'Apr 29 07:59:59 1962', 'Oct 29 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -18000, 'Apr 29 08:00:00 1962', 'Oct 27 06:59:59 1963', 'Apr 29 03:00:00 1962', 'Oct 27 01:59:59 1963');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 27 07:00:00 1963', 'Apr 30 07:59:59 1967', 'Oct 27 01:00:00 1963', 'Apr 30 01:59:59 1967');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 30 08:00:00 1967', 'Oct 29 06:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 29 07:00:00 1967', 'Apr 28 07:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 28 08:00:00 1968', 'Oct 27 06:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 27 07:00:00 1968', 'Apr 27 07:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 27 08:00:00 1969', 'Oct 26 06:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 26 07:00:00 1969', 'Apr 26 07:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 26 08:00:00 1970', 'Oct 25 06:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 25 07:00:00 1970', 'Apr 25 07:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 25 08:00:00 1971', 'Oct 31 06:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 31 07:00:00 1971', 'Apr 30 07:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 30 08:00:00 1972', 'Oct 29 06:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 29 07:00:00 1972', 'Apr 29 07:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 29 08:00:00 1973', 'Oct 28 06:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 28 07:00:00 1973', 'Jan 6 07:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Jan 6 08:00:00 1974', 'Oct 27 06:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 27 07:00:00 1974', 'Feb 23 07:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Feb 23 08:00:00 1975', 'Oct 26 06:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 26 07:00:00 1975', 'Apr 25 07:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 25 08:00:00 1976', 'Oct 31 06:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 31 07:00:00 1976', 'Apr 24 07:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 24 08:00:00 1977', 'Oct 30 06:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 30 07:00:00 1977', 'Apr 30 07:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 30 08:00:00 1978', 'Oct 29 06:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 29 07:00:00 1978', 'Apr 29 07:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 29 08:00:00 1979', 'Oct 28 06:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 28 07:00:00 1979', 'Apr 27 07:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 27 08:00:00 1980', 'Oct 26 06:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 26 07:00:00 1980', 'Apr 26 07:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 26 08:00:00 1981', 'Oct 25 06:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 25 07:00:00 1981', 'Apr 25 07:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 25 08:00:00 1982', 'Oct 31 06:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 31 07:00:00 1982', 'Apr 24 07:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 24 08:00:00 1983', 'Oct 30 06:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 30 07:00:00 1983', 'Apr 29 07:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 29 08:00:00 1984', 'Oct 28 06:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 28 07:00:00 1984', 'Apr 28 07:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 28 08:00:00 1985', 'Oct 27 06:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 27 07:00:00 1985', 'Apr 27 07:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 27 08:00:00 1986', 'Oct 26 06:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 26 07:00:00 1986', 'Apr 5 07:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 5 08:00:00 1987', 'Oct 25 06:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 25 07:00:00 1987', 'Apr 3 07:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 3 08:00:00 1988', 'Oct 30 06:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 30 07:00:00 1988', 'Apr 2 07:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 2 08:00:00 1989', 'Oct 29 06:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 29 07:00:00 1989', 'Apr 1 07:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 1 08:00:00 1990', 'Oct 28 06:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -21600, 'Oct 28 07:00:00 1990', 'Apr 7 07:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('US/Indiana-Starke', 'CDT', 1, -18000, 'Apr 7 08:00:00 1991', 'Oct 27 06:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('US/Indiana-Starke', 'EST', 0, -18000, 'Oct 27 07:00:00 1991', 'Jan 18 03:14:07 2038', 'Oct 27 02:00:00 1991', 'Jan 17 22:14:07 2038');
end;
/

--
-- US/Michigan
--

begin
timezone.add_rule('US/Michigan', 'EST', 0, -19931, 'Dec 14 20:45:52 1901', 'Jan 1 05:32:10 1905', 'Dec 14 15:13:41 1901', 'Dec 31 23:59:59 1904');
timezone.add_rule('US/Michigan', 'EST', 0, -21600, 'Jan 1 05:32:11 1905', 'May 15 07:59:59 1915', 'Dec 31 23:32:11 1904', 'May 15 01:59:59 1915');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'May 15 08:00:00 1915', 'Feb 9 06:59:59 1942', 'May 15 03:00:00 1915', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Feb 9 07:00:00 1942', 'Sep 30 05:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Sep 30 06:00:00 1945', 'Apr 25 06:59:59 1948', 'Sep 30 01:00:00 1945', 'Apr 25 01:59:59 1948');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 25 07:00:00 1948', 'Sep 26 05:59:59 1948', 'Apr 25 03:00:00 1948', 'Sep 26 01:59:59 1948');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Sep 26 06:00:00 1948', 'Jun 14 06:59:59 1967', 'Sep 26 01:00:00 1948', 'Jun 14 01:59:59 1967');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Jun 14 07:00:00 1967', 'Oct 29 05:59:59 1967', 'Jun 14 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 1967', 'Apr 29 06:59:59 1973', 'Oct 29 01:00:00 1967', 'Apr 29 01:59:59 1973');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 29 07:00:00 1973', 'Oct 28 05:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 1973', 'Jan 6 06:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Jan 6 07:00:00 1974', 'Oct 27 05:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 27 06:00:00 1974', 'Apr 27 06:59:59 1975', 'Oct 27 01:00:00 1974', 'Apr 27 01:59:59 1975');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 27 07:00:00 1975', 'Oct 26 05:59:59 1975', 'Apr 27 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 1975', 'Apr 25 06:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 25 07:00:00 1976', 'Oct 31 05:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 31 06:00:00 1976', 'Apr 24 06:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 24 07:00:00 1977', 'Oct 30 05:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 30 06:00:00 1977', 'Apr 30 06:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 30 07:00:00 1978', 'Oct 29 05:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 1978', 'Apr 29 06:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 29 07:00:00 1979', 'Oct 28 05:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 1979', 'Apr 27 06:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 27 07:00:00 1980', 'Oct 26 05:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 1980', 'Apr 26 06:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 26 07:00:00 1981', 'Oct 25 05:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 25 06:00:00 1981', 'Apr 25 06:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 25 07:00:00 1982', 'Oct 31 05:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 31 06:00:00 1982', 'Apr 24 06:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 24 07:00:00 1983', 'Oct 30 05:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 30 06:00:00 1983', 'Apr 29 06:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 29 07:00:00 1984', 'Oct 28 05:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 1984', 'Apr 28 06:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 28 07:00:00 1985', 'Oct 27 05:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 27 06:00:00 1985', 'Apr 27 06:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 27 07:00:00 1986', 'Oct 26 05:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 1986', 'Apr 5 06:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 5 07:00:00 1987', 'Oct 25 05:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 25 06:00:00 1987', 'Apr 3 06:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 3 07:00:00 1988', 'Oct 30 05:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 30 06:00:00 1988', 'Apr 2 06:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 2 07:00:00 1989', 'Oct 29 05:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 1989', 'Apr 1 06:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 1 07:00:00 1990', 'Oct 28 05:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 1990', 'Apr 7 06:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 7 07:00:00 1991', 'Oct 27 05:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 27 06:00:00 1991', 'Apr 5 06:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 5 07:00:00 1992', 'Oct 25 05:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 25 06:00:00 1992', 'Apr 4 06:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 4 07:00:00 1993', 'Oct 31 05:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 31 06:00:00 1993', 'Apr 3 06:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 3 07:00:00 1994', 'Oct 30 05:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 30 06:00:00 1994', 'Apr 2 06:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 2 07:00:00 1995', 'Oct 29 05:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 1995', 'Apr 7 06:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 7 07:00:00 1996', 'Oct 27 05:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 27 06:00:00 1996', 'Apr 6 06:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 6 07:00:00 1997', 'Oct 26 05:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 1997', 'Apr 5 06:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 5 07:00:00 1998', 'Oct 25 05:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 25 06:00:00 1998', 'Apr 4 06:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 4 07:00:00 1999', 'Oct 31 05:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 31 06:00:00 1999', 'Apr 2 06:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 2 07:00:00 2000', 'Oct 29 05:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 2000', 'Apr 1 06:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 1 07:00:00 2001', 'Oct 28 05:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 2001', 'Apr 7 06:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 7 07:00:00 2002', 'Oct 27 05:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 27 06:00:00 2002', 'Apr 6 06:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 6 07:00:00 2003', 'Oct 26 05:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 2003', 'Apr 4 06:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 4 07:00:00 2004', 'Oct 31 05:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 31 06:00:00 2004', 'Apr 3 06:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 3 07:00:00 2005', 'Oct 30 05:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 30 06:00:00 2005', 'Apr 2 06:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 2 07:00:00 2006', 'Oct 29 05:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 2006', 'Apr 1 06:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 1 07:00:00 2007', 'Oct 28 05:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 2007', 'Apr 6 06:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 6 07:00:00 2008', 'Oct 26 05:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 2008', 'Apr 5 06:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 5 07:00:00 2009', 'Oct 25 05:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 25 06:00:00 2009', 'Apr 4 06:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 4 07:00:00 2010', 'Oct 31 05:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 31 06:00:00 2010', 'Apr 3 06:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 3 07:00:00 2011', 'Oct 30 05:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 30 06:00:00 2011', 'Apr 1 06:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 1 07:00:00 2012', 'Oct 28 05:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 2012', 'Apr 7 06:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 7 07:00:00 2013', 'Oct 27 05:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 27 06:00:00 2013', 'Apr 6 06:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 6 07:00:00 2014', 'Oct 26 05:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 2014', 'Apr 5 06:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 5 07:00:00 2015', 'Oct 25 05:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 25 06:00:00 2015', 'Apr 3 06:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 3 07:00:00 2016', 'Oct 30 05:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 30 06:00:00 2016', 'Apr 2 06:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 2 07:00:00 2017', 'Oct 29 05:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 2017', 'Apr 1 06:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 1 07:00:00 2018', 'Oct 28 05:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 2018', 'Apr 7 06:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 7 07:00:00 2019', 'Oct 27 05:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 27 06:00:00 2019', 'Apr 5 06:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 5 07:00:00 2020', 'Oct 25 05:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 25 06:00:00 2020', 'Apr 4 06:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 4 07:00:00 2021', 'Oct 31 05:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 31 06:00:00 2021', 'Apr 3 06:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 3 07:00:00 2022', 'Oct 30 05:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 30 06:00:00 2022', 'Apr 2 06:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 2 07:00:00 2023', 'Oct 29 05:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 2023', 'Apr 7 06:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 7 07:00:00 2024', 'Oct 27 05:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 27 06:00:00 2024', 'Apr 6 06:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 6 07:00:00 2025', 'Oct 26 05:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 2025', 'Apr 5 06:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 5 07:00:00 2026', 'Oct 25 05:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 25 06:00:00 2026', 'Apr 4 06:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 4 07:00:00 2027', 'Oct 31 05:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 31 06:00:00 2027', 'Apr 2 06:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 2 07:00:00 2028', 'Oct 29 05:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 2028', 'Apr 1 06:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 1 07:00:00 2029', 'Oct 28 05:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 2029', 'Apr 7 06:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 7 07:00:00 2030', 'Oct 27 05:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 27 06:00:00 2030', 'Apr 6 06:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 6 07:00:00 2031', 'Oct 26 05:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 2031', 'Apr 4 06:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 4 07:00:00 2032', 'Oct 31 05:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 31 06:00:00 2032', 'Apr 3 06:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 3 07:00:00 2033', 'Oct 30 05:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 30 06:00:00 2033', 'Apr 2 06:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 2 07:00:00 2034', 'Oct 29 05:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 29 06:00:00 2034', 'Apr 1 06:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 1 07:00:00 2035', 'Oct 28 05:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 28 06:00:00 2035', 'Apr 6 06:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 6 07:00:00 2036', 'Oct 26 05:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 26 06:00:00 2036', 'Apr 5 06:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('US/Michigan', 'EDT', 1, -14400, 'Apr 5 07:00:00 2037', 'Oct 25 05:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('US/Michigan', 'EST', 0, -18000, 'Oct 25 06:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 22:14:07 2038');
end;
/

--
-- US/Mountain
--

begin
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Dec 14 20:45:52 1901', 'Mar 31 08:59:59 1918', 'Dec 14 13:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Mar 31 09:00:00 1918', 'Oct 27 07:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1918', 'Mar 30 08:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Mar 30 09:00:00 1919', 'Oct 26 07:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1919', 'Mar 28 08:59:59 1920', 'Oct 26 01:00:00 1919', 'Mar 28 01:59:59 1920');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Mar 28 09:00:00 1920', 'Oct 31 07:59:59 1920', 'Mar 28 03:00:00 1920', 'Oct 31 01:59:59 1920');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1920', 'Mar 27 08:59:59 1921', 'Oct 31 01:00:00 1920', 'Mar 27 01:59:59 1921');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Mar 27 09:00:00 1921', 'May 22 07:59:59 1921', 'Mar 27 03:00:00 1921', 'May 22 01:59:59 1921');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'May 22 08:00:00 1921', 'Feb 9 08:59:59 1942', 'May 22 01:00:00 1921', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Feb 9 09:00:00 1942', 'Sep 30 07:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Sep 30 08:00:00 1945', 'Apr 25 08:59:59 1965', 'Sep 30 01:00:00 1945', 'Apr 25 01:59:59 1965');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 25 09:00:00 1965', 'Oct 31 07:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1965', 'Apr 24 08:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 24 09:00:00 1966', 'Oct 30 07:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 1966', 'Apr 30 08:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 30 09:00:00 1967', 'Oct 29 07:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1967', 'Apr 28 08:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 28 09:00:00 1968', 'Oct 27 07:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1968', 'Apr 27 08:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 27 09:00:00 1969', 'Oct 26 07:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1969', 'Apr 26 08:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 26 09:00:00 1970', 'Oct 25 07:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 1970', 'Apr 25 08:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 25 09:00:00 1971', 'Oct 31 07:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1971', 'Apr 30 08:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 30 09:00:00 1972', 'Oct 29 07:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1972', 'Apr 29 08:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 29 09:00:00 1973', 'Oct 28 07:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 1973', 'Jan 6 08:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Jan 6 09:00:00 1974', 'Oct 27 07:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1974', 'Feb 23 08:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Feb 23 09:00:00 1975', 'Oct 26 07:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1975', 'Apr 25 08:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 25 09:00:00 1976', 'Oct 31 07:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1976', 'Apr 24 08:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 24 09:00:00 1977', 'Oct 30 07:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 1977', 'Apr 30 08:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 30 09:00:00 1978', 'Oct 29 07:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1978', 'Apr 29 08:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 29 09:00:00 1979', 'Oct 28 07:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 1979', 'Apr 27 08:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 27 09:00:00 1980', 'Oct 26 07:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1980', 'Apr 26 08:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 26 09:00:00 1981', 'Oct 25 07:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 1981', 'Apr 25 08:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 25 09:00:00 1982', 'Oct 31 07:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1982', 'Apr 24 08:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 24 09:00:00 1983', 'Oct 30 07:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 1983', 'Apr 29 08:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 29 09:00:00 1984', 'Oct 28 07:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 1984', 'Apr 28 08:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 28 09:00:00 1985', 'Oct 27 07:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1985', 'Apr 27 08:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 27 09:00:00 1986', 'Oct 26 07:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1986', 'Apr 5 08:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 1987', 'Oct 25 07:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 1987', 'Apr 3 08:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 1988', 'Oct 30 07:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 1988', 'Apr 2 08:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 1989', 'Oct 29 07:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1989', 'Apr 1 08:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 1990', 'Oct 28 07:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 1990', 'Apr 7 08:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 1991', 'Oct 27 07:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1991', 'Apr 5 08:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 1992', 'Oct 25 07:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 1992', 'Apr 4 08:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 1993', 'Oct 31 07:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1993', 'Apr 3 08:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 1994', 'Oct 30 07:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 1994', 'Apr 2 08:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 1995', 'Oct 29 07:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 1995', 'Apr 7 08:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 1996', 'Oct 27 07:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 1996', 'Apr 6 08:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 1997', 'Oct 26 07:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 1997', 'Apr 5 08:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 1998', 'Oct 25 07:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 1998', 'Apr 4 08:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 1999', 'Oct 31 07:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 1999', 'Apr 2 08:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2000', 'Oct 29 07:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2000', 'Apr 1 08:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2001', 'Oct 28 07:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2001', 'Apr 7 08:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2002', 'Oct 27 07:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2002', 'Apr 6 08:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2003', 'Oct 26 07:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2003', 'Apr 4 08:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2004', 'Oct 31 07:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2004', 'Apr 3 08:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2005', 'Oct 30 07:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2005', 'Apr 2 08:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2006', 'Oct 29 07:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2006', 'Apr 1 08:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2007', 'Oct 28 07:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2007', 'Apr 6 08:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2008', 'Oct 26 07:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2008', 'Apr 5 08:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2009', 'Oct 25 07:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2009', 'Apr 4 08:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2010', 'Oct 31 07:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2010', 'Apr 3 08:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2011', 'Oct 30 07:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2011', 'Apr 1 08:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2012', 'Oct 28 07:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2012', 'Apr 7 08:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2013', 'Oct 27 07:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2013', 'Apr 6 08:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2014', 'Oct 26 07:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2014', 'Apr 5 08:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2015', 'Oct 25 07:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2015', 'Apr 3 08:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2016', 'Oct 30 07:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2016', 'Apr 2 08:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2017', 'Oct 29 07:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2017', 'Apr 1 08:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2018', 'Oct 28 07:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2018', 'Apr 7 08:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2019', 'Oct 27 07:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2019', 'Apr 5 08:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2020', 'Oct 25 07:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2020', 'Apr 4 08:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2021', 'Oct 31 07:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2021', 'Apr 3 08:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2022', 'Oct 30 07:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2022', 'Apr 2 08:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2023', 'Oct 29 07:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2023', 'Apr 7 08:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2024', 'Oct 27 07:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2024', 'Apr 6 08:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2025', 'Oct 26 07:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2025', 'Apr 5 08:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2026', 'Oct 25 07:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2026', 'Apr 4 08:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2027', 'Oct 31 07:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2027', 'Apr 2 08:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2028', 'Oct 29 07:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2028', 'Apr 1 08:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2029', 'Oct 28 07:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2029', 'Apr 7 08:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 7 09:00:00 2030', 'Oct 27 07:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 27 08:00:00 2030', 'Apr 6 08:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2031', 'Oct 26 07:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2031', 'Apr 4 08:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 4 09:00:00 2032', 'Oct 31 07:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 31 08:00:00 2032', 'Apr 3 08:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 3 09:00:00 2033', 'Oct 30 07:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 30 08:00:00 2033', 'Apr 2 08:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 2 09:00:00 2034', 'Oct 29 07:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 29 08:00:00 2034', 'Apr 1 08:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 1 09:00:00 2035', 'Oct 28 07:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 28 08:00:00 2035', 'Apr 6 08:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 6 09:00:00 2036', 'Oct 26 07:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 26 08:00:00 2036', 'Apr 5 08:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('US/Mountain', 'MDT', 1, -21600, 'Apr 5 09:00:00 2037', 'Oct 25 07:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('US/Mountain', 'MST', 0, -25200, 'Oct 25 08:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 20:14:07 2038');
end;
/

--
-- US/Pacific
--

begin
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Dec 14 20:45:52 1901', 'Mar 31 09:59:59 1918', 'Dec 14 12:45:52 1901', 'Mar 31 01:59:59 1918');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Mar 31 10:00:00 1918', 'Oct 27 08:59:59 1918', 'Mar 31 03:00:00 1918', 'Oct 27 01:59:59 1918');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1918', 'Mar 30 09:59:59 1919', 'Oct 27 01:00:00 1918', 'Mar 30 01:59:59 1919');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Mar 30 10:00:00 1919', 'Oct 26 08:59:59 1919', 'Mar 30 03:00:00 1919', 'Oct 26 01:59:59 1919');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1919', 'Feb 9 09:59:59 1942', 'Oct 26 01:00:00 1919', 'Feb 9 01:59:59 1942');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Feb 9 10:00:00 1942', 'Sep 30 08:59:59 1945', 'Feb 9 03:00:00 1942', 'Sep 30 01:59:59 1945');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 30 09:00:00 1945', 'Mar 14 09:59:59 1948', 'Sep 30 01:00:00 1945', 'Mar 14 01:59:59 1948');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Mar 14 10:00:00 1948', 'Jan 1 08:59:59 1949', 'Mar 14 03:00:00 1948', 'Jan 1 01:59:59 1949');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Jan 1 09:00:00 1949', 'Apr 30 09:59:59 1950', 'Jan 1 01:00:00 1949', 'Apr 30 01:59:59 1950');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1950', 'Sep 24 08:59:59 1950', 'Apr 30 03:00:00 1950', 'Sep 24 01:59:59 1950');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 24 09:00:00 1950', 'Apr 29 09:59:59 1951', 'Sep 24 01:00:00 1950', 'Apr 29 01:59:59 1951');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1951', 'Sep 30 08:59:59 1951', 'Apr 29 03:00:00 1951', 'Sep 30 01:59:59 1951');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 30 09:00:00 1951', 'Apr 27 09:59:59 1952', 'Sep 30 01:00:00 1951', 'Apr 27 01:59:59 1952');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1952', 'Sep 28 08:59:59 1952', 'Apr 27 03:00:00 1952', 'Sep 28 01:59:59 1952');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 28 09:00:00 1952', 'Apr 26 09:59:59 1953', 'Sep 28 01:00:00 1952', 'Apr 26 01:59:59 1953');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1953', 'Sep 27 08:59:59 1953', 'Apr 26 03:00:00 1953', 'Sep 27 01:59:59 1953');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 27 09:00:00 1953', 'Apr 25 09:59:59 1954', 'Sep 27 01:00:00 1953', 'Apr 25 01:59:59 1954');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1954', 'Sep 26 08:59:59 1954', 'Apr 25 03:00:00 1954', 'Sep 26 01:59:59 1954');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 26 09:00:00 1954', 'Apr 24 09:59:59 1955', 'Sep 26 01:00:00 1954', 'Apr 24 01:59:59 1955');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1955', 'Sep 25 08:59:59 1955', 'Apr 24 03:00:00 1955', 'Sep 25 01:59:59 1955');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 25 09:00:00 1955', 'Apr 29 09:59:59 1956', 'Sep 25 01:00:00 1955', 'Apr 29 01:59:59 1956');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1956', 'Sep 30 08:59:59 1956', 'Apr 29 03:00:00 1956', 'Sep 30 01:59:59 1956');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 30 09:00:00 1956', 'Apr 28 09:59:59 1957', 'Sep 30 01:00:00 1956', 'Apr 28 01:59:59 1957');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1957', 'Sep 29 08:59:59 1957', 'Apr 28 03:00:00 1957', 'Sep 29 01:59:59 1957');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 29 09:00:00 1957', 'Apr 27 09:59:59 1958', 'Sep 29 01:00:00 1957', 'Apr 27 01:59:59 1958');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1958', 'Sep 28 08:59:59 1958', 'Apr 27 03:00:00 1958', 'Sep 28 01:59:59 1958');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 28 09:00:00 1958', 'Apr 26 09:59:59 1959', 'Sep 28 01:00:00 1958', 'Apr 26 01:59:59 1959');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1959', 'Sep 27 08:59:59 1959', 'Apr 26 03:00:00 1959', 'Sep 27 01:59:59 1959');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 27 09:00:00 1959', 'Apr 24 09:59:59 1960', 'Sep 27 01:00:00 1959', 'Apr 24 01:59:59 1960');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1960', 'Sep 25 08:59:59 1960', 'Apr 24 03:00:00 1960', 'Sep 25 01:59:59 1960');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 25 09:00:00 1960', 'Apr 30 09:59:59 1961', 'Sep 25 01:00:00 1960', 'Apr 30 01:59:59 1961');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1961', 'Sep 24 08:59:59 1961', 'Apr 30 03:00:00 1961', 'Sep 24 01:59:59 1961');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Sep 24 09:00:00 1961', 'Apr 29 09:59:59 1962', 'Sep 24 01:00:00 1961', 'Apr 29 01:59:59 1962');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1962', 'Oct 28 08:59:59 1962', 'Apr 29 03:00:00 1962', 'Oct 28 01:59:59 1962');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1962', 'Apr 28 09:59:59 1963', 'Oct 28 01:00:00 1962', 'Apr 28 01:59:59 1963');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1963', 'Oct 27 08:59:59 1963', 'Apr 28 03:00:00 1963', 'Oct 27 01:59:59 1963');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1963', 'Apr 26 09:59:59 1964', 'Oct 27 01:00:00 1963', 'Apr 26 01:59:59 1964');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1964', 'Oct 25 08:59:59 1964', 'Apr 26 03:00:00 1964', 'Oct 25 01:59:59 1964');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1964', 'Apr 25 09:59:59 1965', 'Oct 25 01:00:00 1964', 'Apr 25 01:59:59 1965');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1965', 'Oct 31 08:59:59 1965', 'Apr 25 03:00:00 1965', 'Oct 31 01:59:59 1965');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1965', 'Apr 24 09:59:59 1966', 'Oct 31 01:00:00 1965', 'Apr 24 01:59:59 1966');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1966', 'Oct 30 08:59:59 1966', 'Apr 24 03:00:00 1966', 'Oct 30 01:59:59 1966');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1966', 'Apr 30 09:59:59 1967', 'Oct 30 01:00:00 1966', 'Apr 30 01:59:59 1967');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1967', 'Oct 29 08:59:59 1967', 'Apr 30 03:00:00 1967', 'Oct 29 01:59:59 1967');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1967', 'Apr 28 09:59:59 1968', 'Oct 29 01:00:00 1967', 'Apr 28 01:59:59 1968');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1968', 'Oct 27 08:59:59 1968', 'Apr 28 03:00:00 1968', 'Oct 27 01:59:59 1968');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1968', 'Apr 27 09:59:59 1969', 'Oct 27 01:00:00 1968', 'Apr 27 01:59:59 1969');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1969', 'Oct 26 08:59:59 1969', 'Apr 27 03:00:00 1969', 'Oct 26 01:59:59 1969');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1969', 'Apr 26 09:59:59 1970', 'Oct 26 01:00:00 1969', 'Apr 26 01:59:59 1970');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1970', 'Oct 25 08:59:59 1970', 'Apr 26 03:00:00 1970', 'Oct 25 01:59:59 1970');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1970', 'Apr 25 09:59:59 1971', 'Oct 25 01:00:00 1970', 'Apr 25 01:59:59 1971');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1971', 'Oct 31 08:59:59 1971', 'Apr 25 03:00:00 1971', 'Oct 31 01:59:59 1971');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1971', 'Apr 30 09:59:59 1972', 'Oct 31 01:00:00 1971', 'Apr 30 01:59:59 1972');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1972', 'Oct 29 08:59:59 1972', 'Apr 30 03:00:00 1972', 'Oct 29 01:59:59 1972');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1972', 'Apr 29 09:59:59 1973', 'Oct 29 01:00:00 1972', 'Apr 29 01:59:59 1973');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1973', 'Oct 28 08:59:59 1973', 'Apr 29 03:00:00 1973', 'Oct 28 01:59:59 1973');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1973', 'Jan 6 09:59:59 1974', 'Oct 28 01:00:00 1973', 'Jan 6 01:59:59 1974');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Jan 6 10:00:00 1974', 'Oct 27 08:59:59 1974', 'Jan 6 03:00:00 1974', 'Oct 27 01:59:59 1974');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1974', 'Feb 23 09:59:59 1975', 'Oct 27 01:00:00 1974', 'Feb 23 01:59:59 1975');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Feb 23 10:00:00 1975', 'Oct 26 08:59:59 1975', 'Feb 23 03:00:00 1975', 'Oct 26 01:59:59 1975');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1975', 'Apr 25 09:59:59 1976', 'Oct 26 01:00:00 1975', 'Apr 25 01:59:59 1976');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1976', 'Oct 31 08:59:59 1976', 'Apr 25 03:00:00 1976', 'Oct 31 01:59:59 1976');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1976', 'Apr 24 09:59:59 1977', 'Oct 31 01:00:00 1976', 'Apr 24 01:59:59 1977');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1977', 'Oct 30 08:59:59 1977', 'Apr 24 03:00:00 1977', 'Oct 30 01:59:59 1977');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1977', 'Apr 30 09:59:59 1978', 'Oct 30 01:00:00 1977', 'Apr 30 01:59:59 1978');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 30 10:00:00 1978', 'Oct 29 08:59:59 1978', 'Apr 30 03:00:00 1978', 'Oct 29 01:59:59 1978');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1978', 'Apr 29 09:59:59 1979', 'Oct 29 01:00:00 1978', 'Apr 29 01:59:59 1979');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1979', 'Oct 28 08:59:59 1979', 'Apr 29 03:00:00 1979', 'Oct 28 01:59:59 1979');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1979', 'Apr 27 09:59:59 1980', 'Oct 28 01:00:00 1979', 'Apr 27 01:59:59 1980');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1980', 'Oct 26 08:59:59 1980', 'Apr 27 03:00:00 1980', 'Oct 26 01:59:59 1980');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1980', 'Apr 26 09:59:59 1981', 'Oct 26 01:00:00 1980', 'Apr 26 01:59:59 1981');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 26 10:00:00 1981', 'Oct 25 08:59:59 1981', 'Apr 26 03:00:00 1981', 'Oct 25 01:59:59 1981');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1981', 'Apr 25 09:59:59 1982', 'Oct 25 01:00:00 1981', 'Apr 25 01:59:59 1982');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 25 10:00:00 1982', 'Oct 31 08:59:59 1982', 'Apr 25 03:00:00 1982', 'Oct 31 01:59:59 1982');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1982', 'Apr 24 09:59:59 1983', 'Oct 31 01:00:00 1982', 'Apr 24 01:59:59 1983');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 24 10:00:00 1983', 'Oct 30 08:59:59 1983', 'Apr 24 03:00:00 1983', 'Oct 30 01:59:59 1983');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1983', 'Apr 29 09:59:59 1984', 'Oct 30 01:00:00 1983', 'Apr 29 01:59:59 1984');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 29 10:00:00 1984', 'Oct 28 08:59:59 1984', 'Apr 29 03:00:00 1984', 'Oct 28 01:59:59 1984');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1984', 'Apr 28 09:59:59 1985', 'Oct 28 01:00:00 1984', 'Apr 28 01:59:59 1985');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 28 10:00:00 1985', 'Oct 27 08:59:59 1985', 'Apr 28 03:00:00 1985', 'Oct 27 01:59:59 1985');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1985', 'Apr 27 09:59:59 1986', 'Oct 27 01:00:00 1985', 'Apr 27 01:59:59 1986');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 27 10:00:00 1986', 'Oct 26 08:59:59 1986', 'Apr 27 03:00:00 1986', 'Oct 26 01:59:59 1986');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1986', 'Apr 5 09:59:59 1987', 'Oct 26 01:00:00 1986', 'Apr 5 01:59:59 1987');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 1987', 'Oct 25 08:59:59 1987', 'Apr 5 03:00:00 1987', 'Oct 25 01:59:59 1987');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1987', 'Apr 3 09:59:59 1988', 'Oct 25 01:00:00 1987', 'Apr 3 01:59:59 1988');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 1988', 'Oct 30 08:59:59 1988', 'Apr 3 03:00:00 1988', 'Oct 30 01:59:59 1988');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1988', 'Apr 2 09:59:59 1989', 'Oct 30 01:00:00 1988', 'Apr 2 01:59:59 1989');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 1989', 'Oct 29 08:59:59 1989', 'Apr 2 03:00:00 1989', 'Oct 29 01:59:59 1989');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1989', 'Apr 1 09:59:59 1990', 'Oct 29 01:00:00 1989', 'Apr 1 01:59:59 1990');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 1990', 'Oct 28 08:59:59 1990', 'Apr 1 03:00:00 1990', 'Oct 28 01:59:59 1990');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 1990', 'Apr 7 09:59:59 1991', 'Oct 28 01:00:00 1990', 'Apr 7 01:59:59 1991');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 1991', 'Oct 27 08:59:59 1991', 'Apr 7 03:00:00 1991', 'Oct 27 01:59:59 1991');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1991', 'Apr 5 09:59:59 1992', 'Oct 27 01:00:00 1991', 'Apr 5 01:59:59 1992');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 1992', 'Oct 25 08:59:59 1992', 'Apr 5 03:00:00 1992', 'Oct 25 01:59:59 1992');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1992', 'Apr 4 09:59:59 1993', 'Oct 25 01:00:00 1992', 'Apr 4 01:59:59 1993');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 1993', 'Oct 31 08:59:59 1993', 'Apr 4 03:00:00 1993', 'Oct 31 01:59:59 1993');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1993', 'Apr 3 09:59:59 1994', 'Oct 31 01:00:00 1993', 'Apr 3 01:59:59 1994');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 1994', 'Oct 30 08:59:59 1994', 'Apr 3 03:00:00 1994', 'Oct 30 01:59:59 1994');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 1994', 'Apr 2 09:59:59 1995', 'Oct 30 01:00:00 1994', 'Apr 2 01:59:59 1995');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 1995', 'Oct 29 08:59:59 1995', 'Apr 2 03:00:00 1995', 'Oct 29 01:59:59 1995');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 1995', 'Apr 7 09:59:59 1996', 'Oct 29 01:00:00 1995', 'Apr 7 01:59:59 1996');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 1996', 'Oct 27 08:59:59 1996', 'Apr 7 03:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 1996', 'Apr 6 09:59:59 1997', 'Oct 27 01:00:00 1996', 'Apr 6 01:59:59 1997');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 1997', 'Oct 26 08:59:59 1997', 'Apr 6 03:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 1997', 'Apr 5 09:59:59 1998', 'Oct 26 01:00:00 1997', 'Apr 5 01:59:59 1998');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 1998', 'Oct 25 08:59:59 1998', 'Apr 5 03:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 1998', 'Apr 4 09:59:59 1999', 'Oct 25 01:00:00 1998', 'Apr 4 01:59:59 1999');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 1999', 'Oct 31 08:59:59 1999', 'Apr 4 03:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 1999', 'Apr 2 09:59:59 2000', 'Oct 31 01:00:00 1999', 'Apr 2 01:59:59 2000');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2000', 'Oct 29 08:59:59 2000', 'Apr 2 03:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2000', 'Apr 1 09:59:59 2001', 'Oct 29 01:00:00 2000', 'Apr 1 01:59:59 2001');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2001', 'Oct 28 08:59:59 2001', 'Apr 1 03:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2001', 'Apr 7 09:59:59 2002', 'Oct 28 01:00:00 2001', 'Apr 7 01:59:59 2002');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2002', 'Oct 27 08:59:59 2002', 'Apr 7 03:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2002', 'Apr 6 09:59:59 2003', 'Oct 27 01:00:00 2002', 'Apr 6 01:59:59 2003');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2003', 'Oct 26 08:59:59 2003', 'Apr 6 03:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2003', 'Apr 4 09:59:59 2004', 'Oct 26 01:00:00 2003', 'Apr 4 01:59:59 2004');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2004', 'Oct 31 08:59:59 2004', 'Apr 4 03:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2004', 'Apr 3 09:59:59 2005', 'Oct 31 01:00:00 2004', 'Apr 3 01:59:59 2005');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2005', 'Oct 30 08:59:59 2005', 'Apr 3 03:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2005', 'Apr 2 09:59:59 2006', 'Oct 30 01:00:00 2005', 'Apr 2 01:59:59 2006');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2006', 'Oct 29 08:59:59 2006', 'Apr 2 03:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2006', 'Apr 1 09:59:59 2007', 'Oct 29 01:00:00 2006', 'Apr 1 01:59:59 2007');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2007', 'Oct 28 08:59:59 2007', 'Apr 1 03:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2007', 'Apr 6 09:59:59 2008', 'Oct 28 01:00:00 2007', 'Apr 6 01:59:59 2008');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2008', 'Oct 26 08:59:59 2008', 'Apr 6 03:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2008', 'Apr 5 09:59:59 2009', 'Oct 26 01:00:00 2008', 'Apr 5 01:59:59 2009');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2009', 'Oct 25 08:59:59 2009', 'Apr 5 03:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2009', 'Apr 4 09:59:59 2010', 'Oct 25 01:00:00 2009', 'Apr 4 01:59:59 2010');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2010', 'Oct 31 08:59:59 2010', 'Apr 4 03:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2010', 'Apr 3 09:59:59 2011', 'Oct 31 01:00:00 2010', 'Apr 3 01:59:59 2011');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2011', 'Oct 30 08:59:59 2011', 'Apr 3 03:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2011', 'Apr 1 09:59:59 2012', 'Oct 30 01:00:00 2011', 'Apr 1 01:59:59 2012');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2012', 'Oct 28 08:59:59 2012', 'Apr 1 03:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2012', 'Apr 7 09:59:59 2013', 'Oct 28 01:00:00 2012', 'Apr 7 01:59:59 2013');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2013', 'Oct 27 08:59:59 2013', 'Apr 7 03:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2013', 'Apr 6 09:59:59 2014', 'Oct 27 01:00:00 2013', 'Apr 6 01:59:59 2014');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2014', 'Oct 26 08:59:59 2014', 'Apr 6 03:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2014', 'Apr 5 09:59:59 2015', 'Oct 26 01:00:00 2014', 'Apr 5 01:59:59 2015');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2015', 'Oct 25 08:59:59 2015', 'Apr 5 03:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2015', 'Apr 3 09:59:59 2016', 'Oct 25 01:00:00 2015', 'Apr 3 01:59:59 2016');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2016', 'Oct 30 08:59:59 2016', 'Apr 3 03:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2016', 'Apr 2 09:59:59 2017', 'Oct 30 01:00:00 2016', 'Apr 2 01:59:59 2017');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2017', 'Oct 29 08:59:59 2017', 'Apr 2 03:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2017', 'Apr 1 09:59:59 2018', 'Oct 29 01:00:00 2017', 'Apr 1 01:59:59 2018');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2018', 'Oct 28 08:59:59 2018', 'Apr 1 03:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2018', 'Apr 7 09:59:59 2019', 'Oct 28 01:00:00 2018', 'Apr 7 01:59:59 2019');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2019', 'Oct 27 08:59:59 2019', 'Apr 7 03:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2019', 'Apr 5 09:59:59 2020', 'Oct 27 01:00:00 2019', 'Apr 5 01:59:59 2020');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2020', 'Oct 25 08:59:59 2020', 'Apr 5 03:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2020', 'Apr 4 09:59:59 2021', 'Oct 25 01:00:00 2020', 'Apr 4 01:59:59 2021');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2021', 'Oct 31 08:59:59 2021', 'Apr 4 03:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2021', 'Apr 3 09:59:59 2022', 'Oct 31 01:00:00 2021', 'Apr 3 01:59:59 2022');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2022', 'Oct 30 08:59:59 2022', 'Apr 3 03:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2022', 'Apr 2 09:59:59 2023', 'Oct 30 01:00:00 2022', 'Apr 2 01:59:59 2023');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2023', 'Oct 29 08:59:59 2023', 'Apr 2 03:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2023', 'Apr 7 09:59:59 2024', 'Oct 29 01:00:00 2023', 'Apr 7 01:59:59 2024');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2024', 'Oct 27 08:59:59 2024', 'Apr 7 03:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2024', 'Apr 6 09:59:59 2025', 'Oct 27 01:00:00 2024', 'Apr 6 01:59:59 2025');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2025', 'Oct 26 08:59:59 2025', 'Apr 6 03:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2025', 'Apr 5 09:59:59 2026', 'Oct 26 01:00:00 2025', 'Apr 5 01:59:59 2026');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2026', 'Oct 25 08:59:59 2026', 'Apr 5 03:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2026', 'Apr 4 09:59:59 2027', 'Oct 25 01:00:00 2026', 'Apr 4 01:59:59 2027');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2027', 'Oct 31 08:59:59 2027', 'Apr 4 03:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2027', 'Apr 2 09:59:59 2028', 'Oct 31 01:00:00 2027', 'Apr 2 01:59:59 2028');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2028', 'Oct 29 08:59:59 2028', 'Apr 2 03:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2028', 'Apr 1 09:59:59 2029', 'Oct 29 01:00:00 2028', 'Apr 1 01:59:59 2029');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2029', 'Oct 28 08:59:59 2029', 'Apr 1 03:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2029', 'Apr 7 09:59:59 2030', 'Oct 28 01:00:00 2029', 'Apr 7 01:59:59 2030');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 7 10:00:00 2030', 'Oct 27 08:59:59 2030', 'Apr 7 03:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 27 09:00:00 2030', 'Apr 6 09:59:59 2031', 'Oct 27 01:00:00 2030', 'Apr 6 01:59:59 2031');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2031', 'Oct 26 08:59:59 2031', 'Apr 6 03:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2031', 'Apr 4 09:59:59 2032', 'Oct 26 01:00:00 2031', 'Apr 4 01:59:59 2032');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 4 10:00:00 2032', 'Oct 31 08:59:59 2032', 'Apr 4 03:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 31 09:00:00 2032', 'Apr 3 09:59:59 2033', 'Oct 31 01:00:00 2032', 'Apr 3 01:59:59 2033');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 3 10:00:00 2033', 'Oct 30 08:59:59 2033', 'Apr 3 03:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 30 09:00:00 2033', 'Apr 2 09:59:59 2034', 'Oct 30 01:00:00 2033', 'Apr 2 01:59:59 2034');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 2 10:00:00 2034', 'Oct 29 08:59:59 2034', 'Apr 2 03:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 29 09:00:00 2034', 'Apr 1 09:59:59 2035', 'Oct 29 01:00:00 2034', 'Apr 1 01:59:59 2035');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 1 10:00:00 2035', 'Oct 28 08:59:59 2035', 'Apr 1 03:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 28 09:00:00 2035', 'Apr 6 09:59:59 2036', 'Oct 28 01:00:00 2035', 'Apr 6 01:59:59 2036');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 6 10:00:00 2036', 'Oct 26 08:59:59 2036', 'Apr 6 03:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 26 09:00:00 2036', 'Apr 5 09:59:59 2037', 'Oct 26 01:00:00 2036', 'Apr 5 01:59:59 2037');
timezone.add_rule('US/Pacific', 'PDT', 1, -25200, 'Apr 5 10:00:00 2037', 'Oct 25 08:59:59 2037', 'Apr 5 03:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('US/Pacific', 'PST', 0, -28800, 'Oct 25 09:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 17 19:14:07 2038');
end;
/

--
-- US/Pacific-New not installed
--

--
-- US/Samoa
--

begin
timezone.add_rule('US/Samoa', 'SST', 0, -40968, 'Dec 14 20:45:52 1901', 'Jan 1 11:22:47 1911', 'Dec 14 09:23:04 1901', 'Dec 31 23:59:59 1910');
timezone.add_rule('US/Samoa', 'SST', 0, -41400, 'Jan 1 11:22:48 1911', 'Jan 1 11:29:59 1950', 'Dec 31 23:52:48 1910', 'Dec 31 23:59:59 1949');
timezone.add_rule('US/Samoa', 'SST', 0, -39600, 'Jan 1 11:30:00 1950', 'Jan 18 03:14:07 2038', 'Jan 1 00:30:00 1950', 'Jan 17 16:14:07 2038');
end;
/

--
-- UTC
--

begin
timezone.add_rule('UTC', 'UTC', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- Universal
--

begin
timezone.add_rule('Universal', 'UTC', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/

--
-- W-SU
--

begin
timezone.add_rule('W-SU', 'MSK', 0, 9020, 'Dec 14 20:45:52 1901', 'Jul 1 20:29:39 1917', 'Dec 14 23:16:12 1901', 'Jul 1 22:59:59 1917');
timezone.add_rule('W-SU', 'MSD', 1, 12620, 'Jul 1 20:29:40 1917', 'Dec 27 20:29:39 1917', 'Jul 2 00:00:00 1917', 'Dec 27 23:59:59 1917');
timezone.add_rule('W-SU', 'MSK', 0, 9020, 'Dec 27 20:29:40 1917', 'May 31 19:29:39 1918', 'Dec 27 23:00:00 1917', 'May 31 21:59:59 1918');
timezone.add_rule('W-SU', 'MSD', 1, 16220, 'May 31 19:29:40 1918', 'Sep 16 19:29:39 1918', 'Jun 1 00:00:00 1918', 'Sep 16 23:59:59 1918');
timezone.add_rule('W-SU', 'MSD', 1, 12620, 'Sep 16 19:29:40 1918', 'May 31 19:29:39 1919', 'Sep 16 23:00:00 1918', 'May 31 22:59:59 1919');
timezone.add_rule('W-SU', 'MSD', 1, 16220, 'May 31 19:29:40 1919', 'Jun 30 21:29:39 1919', 'Jun 1 00:00:00 1919', 'Jul 1 01:59:59 1919');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Jun 30 21:29:40 1919', 'Aug 15 19:59:59 1919', 'Jul 1 01:29:40 1919', 'Aug 15 23:59:59 1919');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Aug 15 20:00:00 1919', 'Feb 14 19:59:59 1921', 'Aug 15 23:00:00 1919', 'Feb 14 22:59:59 1921');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Feb 14 20:00:00 1921', 'Mar 20 18:59:59 1921', 'Feb 15 00:00:00 1921', 'Mar 20 22:59:59 1921');
timezone.add_rule('W-SU', 'MSD', 1, 18000, 'Mar 20 19:00:00 1921', 'Aug 31 18:59:59 1921', 'Mar 21 00:00:00 1921', 'Aug 31 23:59:59 1921');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Aug 31 19:00:00 1921', 'Sep 30 19:59:59 1921', 'Aug 31 23:00:00 1921', 'Sep 30 23:59:59 1921');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 30 20:00:00 1921', 'Sep 30 20:59:59 1922', 'Sep 30 23:00:00 1921', 'Sep 30 23:59:59 1922');
timezone.add_rule('W-SU', 'MSK', 0, 7200, 'Sep 30 21:00:00 1922', 'Jun 20 21:59:59 1930', 'Sep 30 23:00:00 1922', 'Jun 20 23:59:59 1930');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Jun 20 22:00:00 1930', 'Mar 31 20:59:59 1981', 'Jun 21 01:00:00 1930', 'Mar 31 23:59:59 1981');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 31 21:00:00 1981', 'Sep 30 19:59:59 1981', 'Apr 1 01:00:00 1981', 'Sep 30 23:59:59 1981');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 30 20:00:00 1981', 'Mar 31 20:59:59 1982', 'Sep 30 23:00:00 1981', 'Mar 31 23:59:59 1982');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 31 21:00:00 1982', 'Sep 30 19:59:59 1982', 'Apr 1 01:00:00 1982', 'Sep 30 23:59:59 1982');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 30 20:00:00 1982', 'Mar 31 20:59:59 1983', 'Sep 30 23:00:00 1982', 'Mar 31 23:59:59 1983');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 31 21:00:00 1983', 'Sep 30 19:59:59 1983', 'Apr 1 01:00:00 1983', 'Sep 30 23:59:59 1983');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 30 20:00:00 1983', 'Mar 31 20:59:59 1984', 'Sep 30 23:00:00 1983', 'Mar 31 23:59:59 1984');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 31 21:00:00 1984', 'Sep 29 22:59:59 1984', 'Apr 1 01:00:00 1984', 'Sep 30 02:59:59 1984');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 29 23:00:00 1984', 'Mar 30 22:59:59 1985', 'Sep 30 02:00:00 1984', 'Mar 31 01:59:59 1985');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 30 23:00:00 1985', 'Sep 28 22:59:59 1985', 'Mar 31 03:00:00 1985', 'Sep 29 02:59:59 1985');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 28 23:00:00 1985', 'Mar 29 22:59:59 1986', 'Sep 29 02:00:00 1985', 'Mar 30 01:59:59 1986');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 29 23:00:00 1986', 'Sep 27 22:59:59 1986', 'Mar 30 03:00:00 1986', 'Sep 28 02:59:59 1986');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 27 23:00:00 1986', 'Mar 28 22:59:59 1987', 'Sep 28 02:00:00 1986', 'Mar 29 01:59:59 1987');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 28 23:00:00 1987', 'Sep 26 22:59:59 1987', 'Mar 29 03:00:00 1987', 'Sep 27 02:59:59 1987');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 26 23:00:00 1987', 'Mar 26 22:59:59 1988', 'Sep 27 02:00:00 1987', 'Mar 27 01:59:59 1988');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 26 23:00:00 1988', 'Sep 24 22:59:59 1988', 'Mar 27 03:00:00 1988', 'Sep 25 02:59:59 1988');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 24 23:00:00 1988', 'Mar 25 22:59:59 1989', 'Sep 25 02:00:00 1988', 'Mar 26 01:59:59 1989');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 25 23:00:00 1989', 'Sep 23 22:59:59 1989', 'Mar 26 03:00:00 1989', 'Sep 24 02:59:59 1989');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 23 23:00:00 1989', 'Mar 24 22:59:59 1990', 'Sep 24 02:00:00 1989', 'Mar 25 01:59:59 1990');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 24 23:00:00 1990', 'Sep 29 22:59:59 1990', 'Mar 25 03:00:00 1990', 'Sep 30 02:59:59 1990');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 29 23:00:00 1990', 'Mar 30 22:59:59 1991', 'Sep 30 02:00:00 1990', 'Mar 31 01:59:59 1991');
timezone.add_rule('W-SU', 'MSD', 1, 10800, 'Mar 30 23:00:00 1991', 'Sep 28 23:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 02:59:59 1991');
timezone.add_rule('W-SU', 'MSK', 0, 7200, 'Sep 29 00:00:00 1991', 'Jan 18 23:59:59 1992', 'Sep 29 02:00:00 1991', 'Jan 19 01:59:59 1992');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Jan 19 00:00:00 1992', 'Mar 28 19:59:59 1992', 'Jan 19 03:00:00 1992', 'Mar 28 22:59:59 1992');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 28 20:00:00 1992', 'Sep 26 18:59:59 1992', 'Mar 29 00:00:00 1992', 'Sep 26 22:59:59 1992');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 26 19:00:00 1992', 'Mar 27 22:59:59 1993', 'Sep 26 22:00:00 1992', 'Mar 28 01:59:59 1993');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 27 23:00:00 1993', 'Sep 25 22:59:59 1993', 'Mar 28 03:00:00 1993', 'Sep 26 02:59:59 1993');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 25 23:00:00 1993', 'Mar 26 22:59:59 1994', 'Sep 26 02:00:00 1993', 'Mar 27 01:59:59 1994');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 26 23:00:00 1994', 'Sep 24 22:59:59 1994', 'Mar 27 03:00:00 1994', 'Sep 25 02:59:59 1994');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 24 23:00:00 1994', 'Mar 25 22:59:59 1995', 'Sep 25 02:00:00 1994', 'Mar 26 01:59:59 1995');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 25 23:00:00 1995', 'Sep 23 22:59:59 1995', 'Mar 26 03:00:00 1995', 'Sep 24 02:59:59 1995');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Sep 23 23:00:00 1995', 'Mar 30 22:59:59 1996', 'Sep 24 02:00:00 1995', 'Mar 31 01:59:59 1996');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 30 23:00:00 1996', 'Oct 26 22:59:59 1996', 'Mar 31 03:00:00 1996', 'Oct 27 02:59:59 1996');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 26 23:00:00 1996', 'Mar 29 22:59:59 1997', 'Oct 27 02:00:00 1996', 'Mar 30 01:59:59 1997');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 29 23:00:00 1997', 'Oct 25 22:59:59 1997', 'Mar 30 03:00:00 1997', 'Oct 26 02:59:59 1997');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 25 23:00:00 1997', 'Mar 28 22:59:59 1998', 'Oct 26 02:00:00 1997', 'Mar 29 01:59:59 1998');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 28 23:00:00 1998', 'Oct 24 22:59:59 1998', 'Mar 29 03:00:00 1998', 'Oct 25 02:59:59 1998');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 24 23:00:00 1998', 'Mar 27 22:59:59 1999', 'Oct 25 02:00:00 1998', 'Mar 28 01:59:59 1999');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 27 23:00:00 1999', 'Oct 30 22:59:59 1999', 'Mar 28 03:00:00 1999', 'Oct 31 02:59:59 1999');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 30 23:00:00 1999', 'Mar 25 22:59:59 2000', 'Oct 31 02:00:00 1999', 'Mar 26 01:59:59 2000');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 25 23:00:00 2000', 'Oct 28 22:59:59 2000', 'Mar 26 03:00:00 2000', 'Oct 29 02:59:59 2000');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 28 23:00:00 2000', 'Mar 24 22:59:59 2001', 'Oct 29 02:00:00 2000', 'Mar 25 01:59:59 2001');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 24 23:00:00 2001', 'Oct 27 22:59:59 2001', 'Mar 25 03:00:00 2001', 'Oct 28 02:59:59 2001');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 27 23:00:00 2001', 'Mar 30 22:59:59 2002', 'Oct 28 02:00:00 2001', 'Mar 31 01:59:59 2002');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 30 23:00:00 2002', 'Oct 26 22:59:59 2002', 'Mar 31 03:00:00 2002', 'Oct 27 02:59:59 2002');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 26 23:00:00 2002', 'Mar 29 22:59:59 2003', 'Oct 27 02:00:00 2002', 'Mar 30 01:59:59 2003');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 29 23:00:00 2003', 'Oct 25 22:59:59 2003', 'Mar 30 03:00:00 2003', 'Oct 26 02:59:59 2003');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 25 23:00:00 2003', 'Mar 27 22:59:59 2004', 'Oct 26 02:00:00 2003', 'Mar 28 01:59:59 2004');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 27 23:00:00 2004', 'Oct 30 22:59:59 2004', 'Mar 28 03:00:00 2004', 'Oct 31 02:59:59 2004');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 30 23:00:00 2004', 'Mar 26 22:59:59 2005', 'Oct 31 02:00:00 2004', 'Mar 27 01:59:59 2005');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 26 23:00:00 2005', 'Oct 29 22:59:59 2005', 'Mar 27 03:00:00 2005', 'Oct 30 02:59:59 2005');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 29 23:00:00 2005', 'Mar 25 22:59:59 2006', 'Oct 30 02:00:00 2005', 'Mar 26 01:59:59 2006');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 25 23:00:00 2006', 'Oct 28 22:59:59 2006', 'Mar 26 03:00:00 2006', 'Oct 29 02:59:59 2006');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 28 23:00:00 2006', 'Mar 24 22:59:59 2007', 'Oct 29 02:00:00 2006', 'Mar 25 01:59:59 2007');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 24 23:00:00 2007', 'Oct 27 22:59:59 2007', 'Mar 25 03:00:00 2007', 'Oct 28 02:59:59 2007');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 27 23:00:00 2007', 'Mar 29 22:59:59 2008', 'Oct 28 02:00:00 2007', 'Mar 30 01:59:59 2008');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 29 23:00:00 2008', 'Oct 25 22:59:59 2008', 'Mar 30 03:00:00 2008', 'Oct 26 02:59:59 2008');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 25 23:00:00 2008', 'Mar 28 22:59:59 2009', 'Oct 26 02:00:00 2008', 'Mar 29 01:59:59 2009');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 28 23:00:00 2009', 'Oct 24 22:59:59 2009', 'Mar 29 03:00:00 2009', 'Oct 25 02:59:59 2009');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 24 23:00:00 2009', 'Mar 27 22:59:59 2010', 'Oct 25 02:00:00 2009', 'Mar 28 01:59:59 2010');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 27 23:00:00 2010', 'Oct 30 22:59:59 2010', 'Mar 28 03:00:00 2010', 'Oct 31 02:59:59 2010');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 30 23:00:00 2010', 'Mar 26 22:59:59 2011', 'Oct 31 02:00:00 2010', 'Mar 27 01:59:59 2011');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 26 23:00:00 2011', 'Oct 29 22:59:59 2011', 'Mar 27 03:00:00 2011', 'Oct 30 02:59:59 2011');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 29 23:00:00 2011', 'Mar 24 22:59:59 2012', 'Oct 30 02:00:00 2011', 'Mar 25 01:59:59 2012');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 24 23:00:00 2012', 'Oct 27 22:59:59 2012', 'Mar 25 03:00:00 2012', 'Oct 28 02:59:59 2012');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 27 23:00:00 2012', 'Mar 30 22:59:59 2013', 'Oct 28 02:00:00 2012', 'Mar 31 01:59:59 2013');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 30 23:00:00 2013', 'Oct 26 22:59:59 2013', 'Mar 31 03:00:00 2013', 'Oct 27 02:59:59 2013');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 26 23:00:00 2013', 'Mar 29 22:59:59 2014', 'Oct 27 02:00:00 2013', 'Mar 30 01:59:59 2014');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 29 23:00:00 2014', 'Oct 25 22:59:59 2014', 'Mar 30 03:00:00 2014', 'Oct 26 02:59:59 2014');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 25 23:00:00 2014', 'Mar 28 22:59:59 2015', 'Oct 26 02:00:00 2014', 'Mar 29 01:59:59 2015');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 28 23:00:00 2015', 'Oct 24 22:59:59 2015', 'Mar 29 03:00:00 2015', 'Oct 25 02:59:59 2015');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 24 23:00:00 2015', 'Mar 26 22:59:59 2016', 'Oct 25 02:00:00 2015', 'Mar 27 01:59:59 2016');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 26 23:00:00 2016', 'Oct 29 22:59:59 2016', 'Mar 27 03:00:00 2016', 'Oct 30 02:59:59 2016');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 29 23:00:00 2016', 'Mar 25 22:59:59 2017', 'Oct 30 02:00:00 2016', 'Mar 26 01:59:59 2017');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 25 23:00:00 2017', 'Oct 28 22:59:59 2017', 'Mar 26 03:00:00 2017', 'Oct 29 02:59:59 2017');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 28 23:00:00 2017', 'Mar 24 22:59:59 2018', 'Oct 29 02:00:00 2017', 'Mar 25 01:59:59 2018');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 24 23:00:00 2018', 'Oct 27 22:59:59 2018', 'Mar 25 03:00:00 2018', 'Oct 28 02:59:59 2018');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 27 23:00:00 2018', 'Mar 30 22:59:59 2019', 'Oct 28 02:00:00 2018', 'Mar 31 01:59:59 2019');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 30 23:00:00 2019', 'Oct 26 22:59:59 2019', 'Mar 31 03:00:00 2019', 'Oct 27 02:59:59 2019');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 26 23:00:00 2019', 'Mar 28 22:59:59 2020', 'Oct 27 02:00:00 2019', 'Mar 29 01:59:59 2020');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 28 23:00:00 2020', 'Oct 24 22:59:59 2020', 'Mar 29 03:00:00 2020', 'Oct 25 02:59:59 2020');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 24 23:00:00 2020', 'Mar 27 22:59:59 2021', 'Oct 25 02:00:00 2020', 'Mar 28 01:59:59 2021');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 27 23:00:00 2021', 'Oct 30 22:59:59 2021', 'Mar 28 03:00:00 2021', 'Oct 31 02:59:59 2021');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 30 23:00:00 2021', 'Mar 26 22:59:59 2022', 'Oct 31 02:00:00 2021', 'Mar 27 01:59:59 2022');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 26 23:00:00 2022', 'Oct 29 22:59:59 2022', 'Mar 27 03:00:00 2022', 'Oct 30 02:59:59 2022');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 29 23:00:00 2022', 'Mar 25 22:59:59 2023', 'Oct 30 02:00:00 2022', 'Mar 26 01:59:59 2023');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 25 23:00:00 2023', 'Oct 28 22:59:59 2023', 'Mar 26 03:00:00 2023', 'Oct 29 02:59:59 2023');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 28 23:00:00 2023', 'Mar 30 22:59:59 2024', 'Oct 29 02:00:00 2023', 'Mar 31 01:59:59 2024');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 30 23:00:00 2024', 'Oct 26 22:59:59 2024', 'Mar 31 03:00:00 2024', 'Oct 27 02:59:59 2024');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 26 23:00:00 2024', 'Mar 29 22:59:59 2025', 'Oct 27 02:00:00 2024', 'Mar 30 01:59:59 2025');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 29 23:00:00 2025', 'Oct 25 22:59:59 2025', 'Mar 30 03:00:00 2025', 'Oct 26 02:59:59 2025');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 25 23:00:00 2025', 'Mar 28 22:59:59 2026', 'Oct 26 02:00:00 2025', 'Mar 29 01:59:59 2026');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 28 23:00:00 2026', 'Oct 24 22:59:59 2026', 'Mar 29 03:00:00 2026', 'Oct 25 02:59:59 2026');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 24 23:00:00 2026', 'Mar 27 22:59:59 2027', 'Oct 25 02:00:00 2026', 'Mar 28 01:59:59 2027');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 27 23:00:00 2027', 'Oct 30 22:59:59 2027', 'Mar 28 03:00:00 2027', 'Oct 31 02:59:59 2027');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 30 23:00:00 2027', 'Mar 25 22:59:59 2028', 'Oct 31 02:00:00 2027', 'Mar 26 01:59:59 2028');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 25 23:00:00 2028', 'Oct 28 22:59:59 2028', 'Mar 26 03:00:00 2028', 'Oct 29 02:59:59 2028');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 28 23:00:00 2028', 'Mar 24 22:59:59 2029', 'Oct 29 02:00:00 2028', 'Mar 25 01:59:59 2029');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 24 23:00:00 2029', 'Oct 27 22:59:59 2029', 'Mar 25 03:00:00 2029', 'Oct 28 02:59:59 2029');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 27 23:00:00 2029', 'Mar 30 22:59:59 2030', 'Oct 28 02:00:00 2029', 'Mar 31 01:59:59 2030');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 30 23:00:00 2030', 'Oct 26 22:59:59 2030', 'Mar 31 03:00:00 2030', 'Oct 27 02:59:59 2030');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 26 23:00:00 2030', 'Mar 29 22:59:59 2031', 'Oct 27 02:00:00 2030', 'Mar 30 01:59:59 2031');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 29 23:00:00 2031', 'Oct 25 22:59:59 2031', 'Mar 30 03:00:00 2031', 'Oct 26 02:59:59 2031');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 25 23:00:00 2031', 'Mar 27 22:59:59 2032', 'Oct 26 02:00:00 2031', 'Mar 28 01:59:59 2032');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 27 23:00:00 2032', 'Oct 30 22:59:59 2032', 'Mar 28 03:00:00 2032', 'Oct 31 02:59:59 2032');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 30 23:00:00 2032', 'Mar 26 22:59:59 2033', 'Oct 31 02:00:00 2032', 'Mar 27 01:59:59 2033');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 26 23:00:00 2033', 'Oct 29 22:59:59 2033', 'Mar 27 03:00:00 2033', 'Oct 30 02:59:59 2033');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 29 23:00:00 2033', 'Mar 25 22:59:59 2034', 'Oct 30 02:00:00 2033', 'Mar 26 01:59:59 2034');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 25 23:00:00 2034', 'Oct 28 22:59:59 2034', 'Mar 26 03:00:00 2034', 'Oct 29 02:59:59 2034');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 28 23:00:00 2034', 'Mar 24 22:59:59 2035', 'Oct 29 02:00:00 2034', 'Mar 25 01:59:59 2035');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 24 23:00:00 2035', 'Oct 27 22:59:59 2035', 'Mar 25 03:00:00 2035', 'Oct 28 02:59:59 2035');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 27 23:00:00 2035', 'Mar 29 22:59:59 2036', 'Oct 28 02:00:00 2035', 'Mar 30 01:59:59 2036');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 29 23:00:00 2036', 'Oct 25 22:59:59 2036', 'Mar 30 03:00:00 2036', 'Oct 26 02:59:59 2036');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 25 23:00:00 2036', 'Mar 28 22:59:59 2037', 'Oct 26 02:00:00 2036', 'Mar 29 01:59:59 2037');
timezone.add_rule('W-SU', 'MSD', 1, 14400, 'Mar 28 23:00:00 2037', 'Oct 24 22:59:59 2037', 'Mar 29 03:00:00 2037', 'Oct 25 02:59:59 2037');
timezone.add_rule('W-SU', 'MSK', 0, 10800, 'Oct 24 23:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 02:00:00 2037', 'Jan 18 06:14:07 2038');
end;
/

--
-- WET
--

begin
timezone.add_rule('WET', 'WET', 0, 0, 'Dec 14 20:45:52 1901', 'Apr 3 00:59:59 1977', 'Dec 14 20:45:52 1901', 'Apr 3 00:59:59 1977');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Apr 3 01:00:00 1977', 'Sep 25 00:59:59 1977', 'Apr 3 02:00:00 1977', 'Sep 25 01:59:59 1977');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978', 'Sep 25 01:00:00 1977', 'Apr 2 00:59:59 1978');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Apr 2 01:00:00 1978', 'Oct 1 00:59:59 1978', 'Apr 2 02:00:00 1978', 'Oct 1 01:59:59 1978');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979', 'Oct 1 01:00:00 1978', 'Apr 1 00:59:59 1979');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Apr 1 01:00:00 1979', 'Sep 30 00:59:59 1979', 'Apr 1 02:00:00 1979', 'Sep 30 01:59:59 1979');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980', 'Sep 30 01:00:00 1979', 'Apr 6 00:59:59 1980');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Apr 6 01:00:00 1980', 'Sep 28 00:59:59 1980', 'Apr 6 02:00:00 1980', 'Sep 28 01:59:59 1980');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981', 'Sep 28 01:00:00 1980', 'Mar 29 00:59:59 1981');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 29 01:00:00 1981', 'Sep 27 00:59:59 1981', 'Mar 29 02:00:00 1981', 'Sep 27 01:59:59 1981');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982', 'Sep 27 01:00:00 1981', 'Mar 28 00:59:59 1982');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 28 01:00:00 1982', 'Sep 26 00:59:59 1982', 'Mar 28 02:00:00 1982', 'Sep 26 01:59:59 1982');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983', 'Sep 26 01:00:00 1982', 'Mar 27 00:59:59 1983');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 27 01:00:00 1983', 'Sep 25 00:59:59 1983', 'Mar 27 02:00:00 1983', 'Sep 25 01:59:59 1983');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984', 'Sep 25 01:00:00 1983', 'Mar 25 00:59:59 1984');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 25 01:00:00 1984', 'Sep 30 00:59:59 1984', 'Mar 25 02:00:00 1984', 'Sep 30 01:59:59 1984');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985', 'Sep 30 01:00:00 1984', 'Mar 31 00:59:59 1985');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 31 01:00:00 1985', 'Sep 29 00:59:59 1985', 'Mar 31 02:00:00 1985', 'Sep 29 01:59:59 1985');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986', 'Sep 29 01:00:00 1985', 'Mar 30 00:59:59 1986');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 30 01:00:00 1986', 'Sep 28 00:59:59 1986', 'Mar 30 02:00:00 1986', 'Sep 28 01:59:59 1986');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987', 'Sep 28 01:00:00 1986', 'Mar 29 00:59:59 1987');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 29 01:00:00 1987', 'Sep 27 00:59:59 1987', 'Mar 29 02:00:00 1987', 'Sep 27 01:59:59 1987');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988', 'Sep 27 01:00:00 1987', 'Mar 27 00:59:59 1988');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 27 01:00:00 1988', 'Sep 25 00:59:59 1988', 'Mar 27 02:00:00 1988', 'Sep 25 01:59:59 1988');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989', 'Sep 25 01:00:00 1988', 'Mar 26 00:59:59 1989');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 26 01:00:00 1989', 'Sep 24 00:59:59 1989', 'Mar 26 02:00:00 1989', 'Sep 24 01:59:59 1989');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990', 'Sep 24 01:00:00 1989', 'Mar 25 00:59:59 1990');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 25 01:00:00 1990', 'Sep 30 00:59:59 1990', 'Mar 25 02:00:00 1990', 'Sep 30 01:59:59 1990');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991', 'Sep 30 01:00:00 1990', 'Mar 31 00:59:59 1991');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 31 01:00:00 1991', 'Sep 29 00:59:59 1991', 'Mar 31 02:00:00 1991', 'Sep 29 01:59:59 1991');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992', 'Sep 29 01:00:00 1991', 'Mar 29 00:59:59 1992');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 29 01:00:00 1992', 'Sep 27 00:59:59 1992', 'Mar 29 02:00:00 1992', 'Sep 27 01:59:59 1992');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993', 'Sep 27 01:00:00 1992', 'Mar 28 00:59:59 1993');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 28 01:00:00 1993', 'Sep 26 00:59:59 1993', 'Mar 28 02:00:00 1993', 'Sep 26 01:59:59 1993');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994', 'Sep 26 01:00:00 1993', 'Mar 27 00:59:59 1994');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 27 01:00:00 1994', 'Sep 25 00:59:59 1994', 'Mar 27 02:00:00 1994', 'Sep 25 01:59:59 1994');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995', 'Sep 25 01:00:00 1994', 'Mar 26 00:59:59 1995');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 26 01:00:00 1995', 'Sep 24 00:59:59 1995', 'Mar 26 02:00:00 1995', 'Sep 24 01:59:59 1995');
timezone.add_rule('WET', 'WET', 0, 0, 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996', 'Sep 24 01:00:00 1995', 'Mar 31 00:59:59 1996');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 31 01:00:00 1996', 'Oct 27 00:59:59 1996', 'Mar 31 02:00:00 1996', 'Oct 27 01:59:59 1996');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997', 'Oct 27 01:00:00 1996', 'Mar 30 00:59:59 1997');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 30 01:00:00 1997', 'Oct 26 00:59:59 1997', 'Mar 30 02:00:00 1997', 'Oct 26 01:59:59 1997');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998', 'Oct 26 01:00:00 1997', 'Mar 29 00:59:59 1998');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 29 01:00:00 1998', 'Oct 25 00:59:59 1998', 'Mar 29 02:00:00 1998', 'Oct 25 01:59:59 1998');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999', 'Oct 25 01:00:00 1998', 'Mar 28 00:59:59 1999');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 28 01:00:00 1999', 'Oct 31 00:59:59 1999', 'Mar 28 02:00:00 1999', 'Oct 31 01:59:59 1999');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000', 'Oct 31 01:00:00 1999', 'Mar 26 00:59:59 2000');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 26 01:00:00 2000', 'Oct 29 00:59:59 2000', 'Mar 26 02:00:00 2000', 'Oct 29 01:59:59 2000');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001', 'Oct 29 01:00:00 2000', 'Mar 25 00:59:59 2001');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 25 01:00:00 2001', 'Oct 28 00:59:59 2001', 'Mar 25 02:00:00 2001', 'Oct 28 01:59:59 2001');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002', 'Oct 28 01:00:00 2001', 'Mar 31 00:59:59 2002');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 31 01:00:00 2002', 'Oct 27 00:59:59 2002', 'Mar 31 02:00:00 2002', 'Oct 27 01:59:59 2002');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003', 'Oct 27 01:00:00 2002', 'Mar 30 00:59:59 2003');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 30 01:00:00 2003', 'Oct 26 00:59:59 2003', 'Mar 30 02:00:00 2003', 'Oct 26 01:59:59 2003');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004', 'Oct 26 01:00:00 2003', 'Mar 28 00:59:59 2004');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 28 01:00:00 2004', 'Oct 31 00:59:59 2004', 'Mar 28 02:00:00 2004', 'Oct 31 01:59:59 2004');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005', 'Oct 31 01:00:00 2004', 'Mar 27 00:59:59 2005');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 27 01:00:00 2005', 'Oct 30 00:59:59 2005', 'Mar 27 02:00:00 2005', 'Oct 30 01:59:59 2005');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006', 'Oct 30 01:00:00 2005', 'Mar 26 00:59:59 2006');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 26 01:00:00 2006', 'Oct 29 00:59:59 2006', 'Mar 26 02:00:00 2006', 'Oct 29 01:59:59 2006');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007', 'Oct 29 01:00:00 2006', 'Mar 25 00:59:59 2007');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 25 01:00:00 2007', 'Oct 28 00:59:59 2007', 'Mar 25 02:00:00 2007', 'Oct 28 01:59:59 2007');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008', 'Oct 28 01:00:00 2007', 'Mar 30 00:59:59 2008');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 30 01:00:00 2008', 'Oct 26 00:59:59 2008', 'Mar 30 02:00:00 2008', 'Oct 26 01:59:59 2008');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009', 'Oct 26 01:00:00 2008', 'Mar 29 00:59:59 2009');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 29 01:00:00 2009', 'Oct 25 00:59:59 2009', 'Mar 29 02:00:00 2009', 'Oct 25 01:59:59 2009');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010', 'Oct 25 01:00:00 2009', 'Mar 28 00:59:59 2010');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 28 01:00:00 2010', 'Oct 31 00:59:59 2010', 'Mar 28 02:00:00 2010', 'Oct 31 01:59:59 2010');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011', 'Oct 31 01:00:00 2010', 'Mar 27 00:59:59 2011');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 27 01:00:00 2011', 'Oct 30 00:59:59 2011', 'Mar 27 02:00:00 2011', 'Oct 30 01:59:59 2011');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012', 'Oct 30 01:00:00 2011', 'Mar 25 00:59:59 2012');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 25 01:00:00 2012', 'Oct 28 00:59:59 2012', 'Mar 25 02:00:00 2012', 'Oct 28 01:59:59 2012');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013', 'Oct 28 01:00:00 2012', 'Mar 31 00:59:59 2013');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 31 01:00:00 2013', 'Oct 27 00:59:59 2013', 'Mar 31 02:00:00 2013', 'Oct 27 01:59:59 2013');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014', 'Oct 27 01:00:00 2013', 'Mar 30 00:59:59 2014');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 30 01:00:00 2014', 'Oct 26 00:59:59 2014', 'Mar 30 02:00:00 2014', 'Oct 26 01:59:59 2014');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015', 'Oct 26 01:00:00 2014', 'Mar 29 00:59:59 2015');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 29 01:00:00 2015', 'Oct 25 00:59:59 2015', 'Mar 29 02:00:00 2015', 'Oct 25 01:59:59 2015');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016', 'Oct 25 01:00:00 2015', 'Mar 27 00:59:59 2016');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 27 01:00:00 2016', 'Oct 30 00:59:59 2016', 'Mar 27 02:00:00 2016', 'Oct 30 01:59:59 2016');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017', 'Oct 30 01:00:00 2016', 'Mar 26 00:59:59 2017');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 26 01:00:00 2017', 'Oct 29 00:59:59 2017', 'Mar 26 02:00:00 2017', 'Oct 29 01:59:59 2017');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018', 'Oct 29 01:00:00 2017', 'Mar 25 00:59:59 2018');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 25 01:00:00 2018', 'Oct 28 00:59:59 2018', 'Mar 25 02:00:00 2018', 'Oct 28 01:59:59 2018');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019', 'Oct 28 01:00:00 2018', 'Mar 31 00:59:59 2019');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 31 01:00:00 2019', 'Oct 27 00:59:59 2019', 'Mar 31 02:00:00 2019', 'Oct 27 01:59:59 2019');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020', 'Oct 27 01:00:00 2019', 'Mar 29 00:59:59 2020');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 29 01:00:00 2020', 'Oct 25 00:59:59 2020', 'Mar 29 02:00:00 2020', 'Oct 25 01:59:59 2020');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021', 'Oct 25 01:00:00 2020', 'Mar 28 00:59:59 2021');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 28 01:00:00 2021', 'Oct 31 00:59:59 2021', 'Mar 28 02:00:00 2021', 'Oct 31 01:59:59 2021');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022', 'Oct 31 01:00:00 2021', 'Mar 27 00:59:59 2022');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 27 01:00:00 2022', 'Oct 30 00:59:59 2022', 'Mar 27 02:00:00 2022', 'Oct 30 01:59:59 2022');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023', 'Oct 30 01:00:00 2022', 'Mar 26 00:59:59 2023');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 26 01:00:00 2023', 'Oct 29 00:59:59 2023', 'Mar 26 02:00:00 2023', 'Oct 29 01:59:59 2023');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024', 'Oct 29 01:00:00 2023', 'Mar 31 00:59:59 2024');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 31 01:00:00 2024', 'Oct 27 00:59:59 2024', 'Mar 31 02:00:00 2024', 'Oct 27 01:59:59 2024');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025', 'Oct 27 01:00:00 2024', 'Mar 30 00:59:59 2025');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 30 01:00:00 2025', 'Oct 26 00:59:59 2025', 'Mar 30 02:00:00 2025', 'Oct 26 01:59:59 2025');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026', 'Oct 26 01:00:00 2025', 'Mar 29 00:59:59 2026');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 29 01:00:00 2026', 'Oct 25 00:59:59 2026', 'Mar 29 02:00:00 2026', 'Oct 25 01:59:59 2026');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027', 'Oct 25 01:00:00 2026', 'Mar 28 00:59:59 2027');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 28 01:00:00 2027', 'Oct 31 00:59:59 2027', 'Mar 28 02:00:00 2027', 'Oct 31 01:59:59 2027');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028', 'Oct 31 01:00:00 2027', 'Mar 26 00:59:59 2028');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 26 01:00:00 2028', 'Oct 29 00:59:59 2028', 'Mar 26 02:00:00 2028', 'Oct 29 01:59:59 2028');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029', 'Oct 29 01:00:00 2028', 'Mar 25 00:59:59 2029');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 25 01:00:00 2029', 'Oct 28 00:59:59 2029', 'Mar 25 02:00:00 2029', 'Oct 28 01:59:59 2029');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030', 'Oct 28 01:00:00 2029', 'Mar 31 00:59:59 2030');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 31 01:00:00 2030', 'Oct 27 00:59:59 2030', 'Mar 31 02:00:00 2030', 'Oct 27 01:59:59 2030');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031', 'Oct 27 01:00:00 2030', 'Mar 30 00:59:59 2031');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 30 01:00:00 2031', 'Oct 26 00:59:59 2031', 'Mar 30 02:00:00 2031', 'Oct 26 01:59:59 2031');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032', 'Oct 26 01:00:00 2031', 'Mar 28 00:59:59 2032');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 28 01:00:00 2032', 'Oct 31 00:59:59 2032', 'Mar 28 02:00:00 2032', 'Oct 31 01:59:59 2032');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033', 'Oct 31 01:00:00 2032', 'Mar 27 00:59:59 2033');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 27 01:00:00 2033', 'Oct 30 00:59:59 2033', 'Mar 27 02:00:00 2033', 'Oct 30 01:59:59 2033');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034', 'Oct 30 01:00:00 2033', 'Mar 26 00:59:59 2034');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 26 01:00:00 2034', 'Oct 29 00:59:59 2034', 'Mar 26 02:00:00 2034', 'Oct 29 01:59:59 2034');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035', 'Oct 29 01:00:00 2034', 'Mar 25 00:59:59 2035');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 25 01:00:00 2035', 'Oct 28 00:59:59 2035', 'Mar 25 02:00:00 2035', 'Oct 28 01:59:59 2035');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036', 'Oct 28 01:00:00 2035', 'Mar 30 00:59:59 2036');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 30 01:00:00 2036', 'Oct 26 00:59:59 2036', 'Mar 30 02:00:00 2036', 'Oct 26 01:59:59 2036');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037', 'Oct 26 01:00:00 2036', 'Mar 29 00:59:59 2037');
timezone.add_rule('WET', 'WEST', 1, 3600, 'Mar 29 01:00:00 2037', 'Oct 25 00:59:59 2037', 'Mar 29 02:00:00 2037', 'Oct 25 01:59:59 2037');
timezone.add_rule('WET', 'WET', 0, 0, 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038', 'Oct 25 01:00:00 2037', 'Jan 18 03:14:07 2038');
end;
/

--
-- Zulu
--

begin
timezone.add_rule('Zulu', 'UTC', 0, 0, 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038', 'Dec 14 20:45:52 1901', 'Jan 18 03:14:07 2038');
end;
/
-- End of TimeZone Rules Database
